/*===========================================================================*/
/*   (Llib/alsa.scm)                                                         */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -unsafe -safee -srfi alsa -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/alsa.scm -o objs/alsa.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <alsa/asoundlib.h>
#include <bglalsa.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___ALSA_ALSA_TYPE_DEFINITIONS
#define BGL___ALSA_ALSA_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_alsazd2objectzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_alsazd2objectzd2_bglt;

typedef struct BgL_z62alsazd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62alsazd2errorzb0_bglt;


#endif // BGL___ALSA_ALSA_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62zc3z04anonymousza31112ze3ze5zz__alsa_alsaz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__alsa_alsaz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_alsazd2objectzd2zz__alsa_alsaz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__alsa_alsaz00(void);
static obj_t BGl_genericzd2initzd2zz__alsa_alsaz00(void);
static obj_t BGl_z62alsazd2error1119zb0zz__alsa_alsaz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__alsa_alsaz00(void);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2versionz00zz__alsa_alsaz00(void);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__alsa_alsaz00(void);
BGL_EXPORTED_DECL int bgl_alsa_error(char *, char *, obj_t);
BGL_EXPORTED_DECL obj_t BGl_alsazd2sndzd2deviceszd2listzd2zz__alsa_alsaz00(obj_t);
static BgL_alsazd2objectzd2_bglt BGl_z62lambda1100z62zz__alsa_alsaz00(obj_t);
static BgL_z62alsazd2errorzb0_bglt BGl_z62lambda1108z62zz__alsa_alsaz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62alsazd2errorzb0zz__alsa_alsaz00 = BUNSPEC;
static BgL_z62alsazd2errorzb0_bglt BGl_z62lambda1110z62zz__alsa_alsaz00(obj_t);
static obj_t BGl_z62alsazd2sndzd2versionz62zz__alsa_alsaz00(obj_t);
static obj_t BGl_z62alsazd2sndzd2deviceszd2listzb0zz__alsa_alsaz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static obj_t BGl_z62alsazd2initzb0zz__alsa_alsaz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__alsa_alsaz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__alsa_alsaz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__alsa_alsaz00(void);
static obj_t BGl_z62alsazd2init1066zb0zz__alsa_alsaz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_alsazd2initzd2zz__alsa_alsaz00(BgL_alsazd2objectzd2_bglt);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31102ze3ze5zz__alsa_alsaz00(obj_t, obj_t);
static obj_t __cnst[ 3 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2versionzd2envzd2zz__alsa_alsaz00, BgL_bgl_za762alsaza7d2sndza7d21149za7, BGl_z62alsazd2sndzd2versionz62zz__alsa_alsaz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2errorzd2envz00zz__alsa_alsaz00, BgL_bgl_za762alsaza7d2error11150z00, BGl_z62alsazd2error1119zb0zz__alsa_alsaz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_alsazd2sndzd2deviceszd2listzd2envz00zz__alsa_alsaz00, BgL_bgl_za762alsaza7d2sndza7d21151za7, BGl_z62alsazd2sndzd2deviceszd2listzb0zz__alsa_alsaz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1128z00zz__alsa_alsaz00, BgL_bgl_string1128za700za7za7_1152za7, "/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/api/alsa/src/Llib/alsa.scm", 78 );
DEFINE_STRING( BGl_string1129z00zz__alsa_alsaz00, BgL_bgl_string1129za700za7za7_1153za7, "&alsa-error1119", 15 );
DEFINE_STRING( BGl_string1130z00zz__alsa_alsaz00, BgL_bgl_string1130za700za7za7_1154za7, "bstring", 7 );
DEFINE_STRING( BGl_string1131z00zz__alsa_alsaz00, BgL_bgl_string1131za700za7za7_1155za7, "&alsa-snd-devices-list", 22 );
DEFINE_STRING( BGl_string1138z00zz__alsa_alsaz00, BgL_bgl_string1138za700za7za7_1156za7, "alsa-init1066", 13 );
DEFINE_STRING( BGl_string1139z00zz__alsa_alsaz00, BgL_bgl_string1139za700za7za7_1157za7, "&alsa-init", 10 );
DEFINE_EXPORT_BGL_GENERIC( BGl_alsazd2initzd2envz00zz__alsa_alsaz00, BgL_bgl_za762alsaza7d2initza7b1158za7, BGl_z62alsazd2initzb0zz__alsa_alsaz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1132z00zz__alsa_alsaz00, BgL_bgl_za762za7c3za704anonymo1159za7, BGl_z62zc3z04anonymousza31102ze3ze5zz__alsa_alsaz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1133z00zz__alsa_alsaz00, BgL_bgl_za762lambda1100za7621160z00, BGl_z62lambda1100z62zz__alsa_alsaz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1140z00zz__alsa_alsaz00, BgL_bgl_string1140za700za7za7_1161za7, "alsa-object", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1134z00zz__alsa_alsaz00, BgL_bgl_za762za7c3za704anonymo1162za7, BGl_z62zc3z04anonymousza31112ze3ze5zz__alsa_alsaz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1141z00zz__alsa_alsaz00, BgL_bgl_string1141za700za7za7_1163za7, "&alsa-error __alsa_alsa alsa-object ", 36 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1135z00zz__alsa_alsaz00, BgL_bgl_za762lambda1110za7621164z00, BGl_z62lambda1110z62zz__alsa_alsaz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1136z00zz__alsa_alsaz00, BgL_bgl_za762lambda1108za7621165z00, BGl_z62lambda1108z62zz__alsa_alsaz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1137z00zz__alsa_alsaz00, BgL_bgl_za762alsaza7d2init101166z00, BGl_z62alsazd2init1066zb0zz__alsa_alsaz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__alsa_alsaz00) );
ADD_ROOT( (void *)(&BGl_alsazd2objectzd2zz__alsa_alsaz00) );
ADD_ROOT( (void *)(&BGl_z62alsazd2errorzb0zz__alsa_alsaz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(long BgL_checksumz00_211, char * BgL_fromz00_212)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__alsa_alsaz00))
{ 
BGl_requirezd2initializa7ationz75zz__alsa_alsaz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__alsa_alsaz00(); 
BGl_libraryzd2moduleszd2initz00zz__alsa_alsaz00(); 
BGl_cnstzd2initzd2zz__alsa_alsaz00(); 
BGl_objectzd2initzd2zz__alsa_alsaz00(); 
BGl_genericzd2initzd2zz__alsa_alsaz00(); 
return 
BGl_toplevelzd2initzd2zz__alsa_alsaz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__alsa_alsaz00(void)
{
{ /* Llib/alsa.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__alsa_alsa"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__alsa_alsa"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__alsa_alsa"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__alsa_alsa"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__alsa_alsa"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__alsa_alsa"); 
BGl_modulezd2initializa7ationz75zz__bitz00(0L, "__alsa_alsa"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__alsa_alsa"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__alsa_alsa"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__alsa_alsaz00(void)
{
{ /* Llib/alsa.scm 15 */
{ /* Llib/alsa.scm 15 */
 obj_t BgL_cportz00_153;
{ /* Llib/alsa.scm 15 */
 obj_t BgL_stringz00_160;
BgL_stringz00_160 = BGl_string1141z00zz__alsa_alsaz00; 
{ /* Llib/alsa.scm 15 */
 obj_t BgL_startz00_161;
BgL_startz00_161 = 
BINT(0L); 
{ /* Llib/alsa.scm 15 */
 obj_t BgL_endz00_162;
BgL_endz00_162 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_160))); 
{ /* Llib/alsa.scm 15 */

BgL_cportz00_153 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_160, BgL_startz00_161, BgL_endz00_162); } } } } 
{ 
 long BgL_iz00_154;
BgL_iz00_154 = 2L; 
BgL_loopz00_155:
if(
(BgL_iz00_154==-1L))
{ /* Llib/alsa.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/alsa.scm 15 */
{ /* Llib/alsa.scm 15 */
 obj_t BgL_arg1147z00_156;
{ /* Llib/alsa.scm 15 */

{ /* Llib/alsa.scm 15 */
 obj_t BgL_locationz00_158;
BgL_locationz00_158 = 
BBOOL(((bool_t)0)); 
{ /* Llib/alsa.scm 15 */

BgL_arg1147z00_156 = 
BGl_readz00zz__readerz00(BgL_cportz00_153, BgL_locationz00_158); } } } 
{ /* Llib/alsa.scm 15 */
 int BgL_tmpz00_241;
BgL_tmpz00_241 = 
(int)(BgL_iz00_154); 
CNST_TABLE_SET(BgL_tmpz00_241, BgL_arg1147z00_156); } } 
{ /* Llib/alsa.scm 15 */
 int BgL_auxz00_159;
BgL_auxz00_159 = 
(int)(
(BgL_iz00_154-1L)); 
{ 
 long BgL_iz00_246;
BgL_iz00_246 = 
(long)(BgL_auxz00_159); 
BgL_iz00_154 = BgL_iz00_246; 
goto BgL_loopz00_155;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__alsa_alsaz00(void)
{
{ /* Llib/alsa.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__alsa_alsaz00(void)
{
{ /* Llib/alsa.scm 15 */
return BUNSPEC;} 

}



/* alsa-error */
BGL_EXPORTED_DEF int bgl_alsa_error(char * BgL_procz00_4, char * BgL_msgz00_5, obj_t BgL_objz00_6)
{
{ /* Llib/alsa.scm 43 */
{ /* Llib/alsa.scm 44 */
 BgL_z62alsazd2errorzb0_bglt BgL_arg1075z00_16;
{ /* Llib/alsa.scm 44 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1059z00_17;
{ /* Llib/alsa.scm 44 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1058z00_20;
BgL_new1058z00_20 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/alsa.scm 44 */
 long BgL_arg1086z00_21;
BgL_arg1086z00_21 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1058z00_20), BgL_arg1086z00_21); } 
BgL_new1059z00_17 = BgL_new1058z00_20; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1059z00_17)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1059z00_17)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_257;
{ /* Llib/alsa.scm 44 */
 obj_t BgL_arg1076z00_18;
{ /* Llib/alsa.scm 44 */
 obj_t BgL_arg1077z00_19;
{ /* Llib/alsa.scm 44 */
 obj_t BgL_classz00_68;
BgL_classz00_68 = BGl_z62alsazd2errorzb0zz__alsa_alsaz00; 
BgL_arg1077z00_19 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_68); } 
BgL_arg1076z00_18 = 
VECTOR_REF(BgL_arg1077z00_19,2L); } 
BgL_auxz00_257 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1076z00_18); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1059z00_17)))->BgL_stackz00)=((obj_t)BgL_auxz00_257),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1059z00_17)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_4)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1059z00_17)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_5)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1059z00_17)))->BgL_objz00)=((obj_t)BgL_objz00_6),BUNSPEC); 
BgL_arg1075z00_16 = BgL_new1059z00_17; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1075z00_16)); } 
return 
(int)(0L);} 

}



/* &alsa-error1119 */
obj_t BGl_z62alsazd2error1119zb0zz__alsa_alsaz00(obj_t BgL_envz00_113, obj_t BgL_procz00_114, obj_t BgL_msgz00_115, obj_t BgL_objz00_116)
{
{ /* Llib/alsa.scm 43 */
{ /* Llib/alsa.scm 47 */
 int BgL_tmpz00_274;
{ /* Llib/alsa.scm 47 */
 char * BgL_auxz00_284; char * BgL_auxz00_275;
{ /* Llib/alsa.scm 47 */
 obj_t BgL_tmpz00_285;
if(
STRINGP(BgL_msgz00_115))
{ /* Llib/alsa.scm 47 */
BgL_tmpz00_285 = BgL_msgz00_115
; }  else 
{ 
 obj_t BgL_auxz00_288;
BgL_auxz00_288 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1128z00zz__alsa_alsaz00, 
BINT(1988L), BGl_string1129z00zz__alsa_alsaz00, BGl_string1130z00zz__alsa_alsaz00, BgL_msgz00_115); 
FAILURE(BgL_auxz00_288,BFALSE,BFALSE);} 
BgL_auxz00_284 = 
BSTRING_TO_STRING(BgL_tmpz00_285); } 
{ /* Llib/alsa.scm 47 */
 obj_t BgL_tmpz00_276;
if(
STRINGP(BgL_procz00_114))
{ /* Llib/alsa.scm 47 */
BgL_tmpz00_276 = BgL_procz00_114
; }  else 
{ 
 obj_t BgL_auxz00_279;
BgL_auxz00_279 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1128z00zz__alsa_alsaz00, 
BINT(1988L), BGl_string1129z00zz__alsa_alsaz00, BGl_string1130z00zz__alsa_alsaz00, BgL_procz00_114); 
FAILURE(BgL_auxz00_279,BFALSE,BFALSE);} 
BgL_auxz00_275 = 
BSTRING_TO_STRING(BgL_tmpz00_276); } 
BgL_tmpz00_274 = 
bgl_alsa_error(BgL_auxz00_275, BgL_auxz00_284, BgL_objz00_116); } 
return 
BINT(BgL_tmpz00_274);} } 

}



/* alsa-snd-version */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2versionz00zz__alsa_alsaz00(void)
{
{ /* Llib/alsa.scm 53 */
return 
string_to_bstring(
(char *)snd_asoundlib_version());} 

}



/* &alsa-snd-version */
obj_t BGl_z62alsazd2sndzd2versionz62zz__alsa_alsaz00(obj_t BgL_envz00_117)
{
{ /* Llib/alsa.scm 53 */
return 
BGl_alsazd2sndzd2versionz00zz__alsa_alsaz00();} 

}



/* alsa-snd-devices-list */
BGL_EXPORTED_DEF obj_t BGl_alsazd2sndzd2deviceszd2listzd2zz__alsa_alsaz00(obj_t BgL_ifacez00_7)
{
{ /* Llib/alsa.scm 59 */
{ /* Llib/alsa.scm 60 */
 char * BgL_tmpz00_298;
BgL_tmpz00_298 = 
BSTRING_TO_STRING(BgL_ifacez00_7); 
return 
bgl_snd_devices_list(BgL_tmpz00_298);} } 

}



/* &alsa-snd-devices-list */
obj_t BGl_z62alsazd2sndzd2deviceszd2listzb0zz__alsa_alsaz00(obj_t BgL_envz00_118, obj_t BgL_ifacez00_119)
{
{ /* Llib/alsa.scm 59 */
{ /* Llib/alsa.scm 60 */
 obj_t BgL_auxz00_301;
if(
STRINGP(BgL_ifacez00_119))
{ /* Llib/alsa.scm 60 */
BgL_auxz00_301 = BgL_ifacez00_119
; }  else 
{ 
 obj_t BgL_auxz00_304;
BgL_auxz00_304 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1128z00zz__alsa_alsaz00, 
BINT(2539L), BGl_string1131z00zz__alsa_alsaz00, BGl_string1130z00zz__alsa_alsaz00, BgL_ifacez00_119); 
FAILURE(BgL_auxz00_304,BFALSE,BFALSE);} 
return 
BGl_alsazd2sndzd2deviceszd2listzd2zz__alsa_alsaz00(BgL_auxz00_301);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__alsa_alsaz00(void)
{
{ /* Llib/alsa.scm 15 */
{ /* Llib/alsa.scm 23 */
 obj_t BgL_arg1096z00_24; obj_t BgL_arg1099z00_25;
{ /* Llib/alsa.scm 23 */
 obj_t BgL_v1062z00_31;
BgL_v1062z00_31 = 
create_vector(0L); 
BgL_arg1096z00_24 = BgL_v1062z00_31; } 
{ /* Llib/alsa.scm 23 */
 obj_t BgL_v1063z00_32;
BgL_v1063z00_32 = 
create_vector(0L); 
BgL_arg1099z00_25 = BgL_v1063z00_32; } 
BGl_alsazd2objectzd2zz__alsa_alsaz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(0L), 
CNST_TABLE_REF(1L), BGl_objectz00zz__objectz00, 27479L, BFALSE, BGl_proc1133z00zz__alsa_alsaz00, BGl_alsazd2initzd2envz00zz__alsa_alsaz00, BGl_proc1132z00zz__alsa_alsaz00, BFALSE, BgL_arg1096z00_24, BgL_arg1099z00_25); } 
{ /* Llib/alsa.scm 28 */
 obj_t BgL_arg1106z00_38; obj_t BgL_arg1107z00_39;
{ /* Llib/alsa.scm 28 */
 obj_t BgL_v1064z00_55;
BgL_v1064z00_55 = 
create_vector(0L); 
BgL_arg1106z00_38 = BgL_v1064z00_55; } 
{ /* Llib/alsa.scm 28 */
 obj_t BgL_v1065z00_56;
BgL_v1065z00_56 = 
create_vector(0L); 
BgL_arg1107z00_39 = BgL_v1065z00_56; } 
return ( 
BGl_z62alsazd2errorzb0zz__alsa_alsaz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(2L), 
CNST_TABLE_REF(1L), BGl_z62errorz62zz__objectz00, 55645L, BGl_proc1136z00zz__alsa_alsaz00, BGl_proc1135z00zz__alsa_alsaz00, BFALSE, BGl_proc1134z00zz__alsa_alsaz00, BFALSE, BgL_arg1106z00_38, BgL_arg1107z00_39), BUNSPEC) ;} } 

}



/* &<@anonymous:1112> */
obj_t BGl_z62zc3z04anonymousza31112ze3ze5zz__alsa_alsaz00(obj_t BgL_envz00_125, obj_t BgL_new1057z00_126)
{
{ /* Llib/alsa.scm 28 */
{ 
 BgL_z62alsazd2errorzb0_bglt BgL_auxz00_319;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62alsazd2errorzb0_bglt)BgL_new1057z00_126))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62alsazd2errorzb0_bglt)BgL_new1057z00_126))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62alsazd2errorzb0_bglt)BgL_new1057z00_126))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62alsazd2errorzb0_bglt)BgL_new1057z00_126))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62alsazd2errorzb0_bglt)BgL_new1057z00_126))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62alsazd2errorzb0_bglt)BgL_new1057z00_126))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_319 = 
((BgL_z62alsazd2errorzb0_bglt)BgL_new1057z00_126); 
return 
((obj_t)BgL_auxz00_319);} } 

}



/* &lambda1110 */
BgL_z62alsazd2errorzb0_bglt BGl_z62lambda1110z62zz__alsa_alsaz00(obj_t BgL_envz00_127)
{
{ /* Llib/alsa.scm 28 */
{ /* Llib/alsa.scm 28 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1056z00_165;
BgL_new1056z00_165 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/alsa.scm 28 */
 long BgL_arg1111z00_166;
BgL_arg1111z00_166 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1056z00_165), BgL_arg1111z00_166); } 
return BgL_new1056z00_165;} } 

}



/* &lambda1108 */
BgL_z62alsazd2errorzb0_bglt BGl_z62lambda1108z62zz__alsa_alsaz00(obj_t BgL_envz00_128, obj_t BgL_fname1050z00_129, obj_t BgL_location1051z00_130, obj_t BgL_stack1052z00_131, obj_t BgL_proc1053z00_132, obj_t BgL_msg1054z00_133, obj_t BgL_obj1055z00_134)
{
{ /* Llib/alsa.scm 28 */
{ /* Llib/alsa.scm 28 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1061z00_167;
{ /* Llib/alsa.scm 28 */
 BgL_z62alsazd2errorzb0_bglt BgL_new1060z00_168;
BgL_new1060z00_168 = 
((BgL_z62alsazd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62alsazd2errorzb0_bgl) ))); 
{ /* Llib/alsa.scm 28 */
 long BgL_arg1109z00_169;
BgL_arg1109z00_169 = 
BGL_CLASS_NUM(BGl_z62alsazd2errorzb0zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1060z00_168), BgL_arg1109z00_169); } 
BgL_new1061z00_167 = BgL_new1060z00_168; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_167)))->BgL_fnamez00)=((obj_t)BgL_fname1050z00_129),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_167)))->BgL_locationz00)=((obj_t)BgL_location1051z00_130),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_167)))->BgL_stackz00)=((obj_t)BgL_stack1052z00_131),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1061z00_167)))->BgL_procz00)=((obj_t)BgL_proc1053z00_132),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1061z00_167)))->BgL_msgz00)=((obj_t)BgL_msg1054z00_133),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1061z00_167)))->BgL_objz00)=((obj_t)BgL_obj1055z00_134),BUNSPEC); 
return BgL_new1061z00_167;} } 

}



/* &<@anonymous:1102> */
obj_t BGl_z62zc3z04anonymousza31102ze3ze5zz__alsa_alsaz00(obj_t BgL_envz00_135, obj_t BgL_new1048z00_136)
{
{ /* Llib/alsa.scm 23 */
return 
((obj_t)
((BgL_alsazd2objectzd2_bglt)BgL_new1048z00_136));} 

}



/* &lambda1100 */
BgL_alsazd2objectzd2_bglt BGl_z62lambda1100z62zz__alsa_alsaz00(obj_t BgL_envz00_137)
{
{ /* Llib/alsa.scm 23 */
{ /* Llib/alsa.scm 23 */
 BgL_alsazd2objectzd2_bglt BgL_new1047z00_171;
BgL_new1047z00_171 = 
((BgL_alsazd2objectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_alsazd2objectzd2_bgl) ))); 
{ /* Llib/alsa.scm 23 */
 long BgL_arg1101z00_172;
BgL_arg1101z00_172 = 
BGL_CLASS_NUM(BGl_alsazd2objectzd2zz__alsa_alsaz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1047z00_171), BgL_arg1101z00_172); } 
return BgL_new1047z00_171;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__alsa_alsaz00(void)
{
{ /* Llib/alsa.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_alsazd2initzd2envz00zz__alsa_alsaz00, BGl_proc1137z00zz__alsa_alsaz00, BGl_alsazd2objectzd2zz__alsa_alsaz00, BGl_string1138z00zz__alsa_alsaz00);} 

}



/* &alsa-init1066 */
obj_t BGl_z62alsazd2init1066zb0zz__alsa_alsaz00(obj_t BgL_envz00_141, obj_t BgL_oz00_142)
{
{ /* Llib/alsa.scm 37 */
return 
((obj_t)
((BgL_alsazd2objectzd2_bglt)BgL_oz00_142));} 

}



/* alsa-init */
BGL_EXPORTED_DEF obj_t BGl_alsazd2initzd2zz__alsa_alsaz00(BgL_alsazd2objectzd2_bglt BgL_oz00_3)
{
{ /* Llib/alsa.scm 37 */
{ /* Llib/alsa.scm 37 */
 obj_t BgL_method1067z00_64;
{ /* Llib/alsa.scm 37 */
 obj_t BgL_res1118z00_112;
{ /* Llib/alsa.scm 37 */
 long BgL_objzd2classzd2numz00_83;
BgL_objzd2classzd2numz00_83 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_3)); 
{ /* Llib/alsa.scm 37 */
 obj_t BgL_arg1782z00_84;
BgL_arg1782z00_84 = 
PROCEDURE_REF(BGl_alsazd2initzd2envz00zz__alsa_alsaz00, 
(int)(1L)); 
{ /* Llib/alsa.scm 37 */
 int BgL_offsetz00_87;
BgL_offsetz00_87 = 
(int)(BgL_objzd2classzd2numz00_83); 
{ /* Llib/alsa.scm 37 */
 long BgL_offsetz00_88;
BgL_offsetz00_88 = 
(
(long)(BgL_offsetz00_87)-OBJECT_TYPE); 
{ /* Llib/alsa.scm 37 */
 long BgL_modz00_89;
BgL_modz00_89 = 
(BgL_offsetz00_88 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/alsa.scm 37 */
 long BgL_restz00_91;
BgL_restz00_91 = 
(BgL_offsetz00_88 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/alsa.scm 37 */

{ /* Llib/alsa.scm 37 */
 obj_t BgL_bucketz00_93;
BgL_bucketz00_93 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_84),BgL_modz00_89); 
BgL_res1118z00_112 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_93),BgL_restz00_91); } } } } } } } } 
BgL_method1067z00_64 = BgL_res1118z00_112; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1067z00_64))(BgL_method1067z00_64, 
((obj_t)BgL_oz00_3), BEOA);} } 

}



/* &alsa-init */
obj_t BGl_z62alsazd2initzb0zz__alsa_alsaz00(obj_t BgL_envz00_138, obj_t BgL_oz00_139)
{
{ /* Llib/alsa.scm 37 */
{ /* Llib/alsa.scm 37 */
 BgL_alsazd2objectzd2_bglt BgL_auxz00_399;
{ /* Llib/alsa.scm 37 */
 bool_t BgL_test1172z00_400;
{ /* Llib/alsa.scm 37 */
 obj_t BgL_classz00_174;
BgL_classz00_174 = BGl_alsazd2objectzd2zz__alsa_alsaz00; 
if(
BGL_OBJECTP(BgL_oz00_139))
{ /* Llib/alsa.scm 37 */
 BgL_objectz00_bglt BgL_arg1780z00_176; long BgL_arg1781z00_177;
BgL_arg1780z00_176 = 
(BgL_objectz00_bglt)(BgL_oz00_139); 
BgL_arg1781z00_177 = 
BGL_CLASS_DEPTH(BgL_classz00_174); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/alsa.scm 37 */
 long BgL_idxz00_185;
BgL_idxz00_185 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_176); 
{ /* Llib/alsa.scm 37 */
 obj_t BgL_arg1773z00_186;
{ /* Llib/alsa.scm 37 */
 long BgL_arg1774z00_187;
BgL_arg1774z00_187 = 
(BgL_idxz00_185+BgL_arg1781z00_177); 
BgL_arg1773z00_186 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_187); } 
BgL_test1172z00_400 = 
(BgL_arg1773z00_186==BgL_classz00_174); } }  else 
{ /* Llib/alsa.scm 37 */
 bool_t BgL_res1148z00_210;
{ /* Llib/alsa.scm 37 */
 obj_t BgL_oclassz00_195;
{ /* Llib/alsa.scm 37 */
 long BgL_arg1785z00_201;
{ /* Llib/alsa.scm 37 */
 long BgL_arg1786z00_202;
BgL_arg1786z00_202 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_176); 
BgL_arg1785z00_201 = 
(BgL_arg1786z00_202-OBJECT_TYPE); } 
BgL_oclassz00_195 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_201); } 
{ /* Llib/alsa.scm 37 */
 bool_t BgL__ortest_1114z00_196;
BgL__ortest_1114z00_196 = 
(BgL_classz00_174==BgL_oclassz00_195); 
if(BgL__ortest_1114z00_196)
{ /* Llib/alsa.scm 37 */
BgL_res1148z00_210 = BgL__ortest_1114z00_196; }  else 
{ /* Llib/alsa.scm 37 */
 long BgL_odepthz00_197;
BgL_odepthz00_197 = 
BGL_CLASS_DEPTH(BgL_oclassz00_195); 
if(
(BgL_arg1781z00_177<BgL_odepthz00_197))
{ /* Llib/alsa.scm 37 */
 obj_t BgL_arg1775z00_199;
BgL_arg1775z00_199 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_195, BgL_arg1781z00_177); 
BgL_res1148z00_210 = 
(BgL_arg1775z00_199==BgL_classz00_174); }  else 
{ /* Llib/alsa.scm 37 */
BgL_res1148z00_210 = ((bool_t)0); } } } } 
BgL_test1172z00_400 = BgL_res1148z00_210; } }  else 
{ /* Llib/alsa.scm 37 */
BgL_test1172z00_400 = ((bool_t)0)
; } } 
if(BgL_test1172z00_400)
{ /* Llib/alsa.scm 37 */
BgL_auxz00_399 = 
((BgL_alsazd2objectzd2_bglt)BgL_oz00_139)
; }  else 
{ 
 obj_t BgL_auxz00_422;
BgL_auxz00_422 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1128z00zz__alsa_alsaz00, 
BINT(1596L), BGl_string1139z00zz__alsa_alsaz00, BGl_string1140z00zz__alsa_alsaz00, BgL_oz00_139); 
FAILURE(BgL_auxz00_422,BFALSE,BFALSE);} } 
return 
BGl_alsazd2initzd2zz__alsa_alsaz00(BgL_auxz00_399);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__alsa_alsaz00(void)
{
{ /* Llib/alsa.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
