/*===========================================================================*/
/*   (Llib/loop.scm)                                                         */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/loop.scm -o objs/loop.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___LIBUV_LOOP_TYPE_DEFINITIONS
#define BGL___LIBUV_LOOP_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_uvhandlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
} *BgL_uvhandlez00_bglt;

typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvworkz00_bgl {
   header_t header;
   obj_t widening;
   uv_work_t * BgL_z42builtinz42;
   obj_t BgL_z52workzd2cbz80;
   obj_t BgL_z52afterzd2cbz80;
} *BgL_uvworkz00_bglt;


#endif // BGL___LIBUV_LOOP_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_requirezd2initializa7ationz75zz__libuv_loopz00 = BUNSPEC;
static obj_t BGl_z62uvzd2stopzb0zz__libuv_loopz00(obj_t, obj_t);
BGL_EXPORTED_DECL BgL_uvloopz00_bglt BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(void);
static BgL_uvloopz00_bglt BGl_z62uvzd2defaultzd2loopz62zz__libuv_loopz00(obj_t);
static obj_t BGl_z62z52uvzd2initzd2UvLoop1091z30zz__libuv_loopz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31115ze3ze5zz__libuv_loopz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__libuv_loopz00(void);
static obj_t BGl_z62uvzd2updatezd2timez62zz__libuv_loopz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__libuv_loopz00(void);
static obj_t BGl_uvzd2queuezd2workz00zz__libuv_loopz00(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__libuv_loopz00(void);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_defaultzd2loopzd2zz__libuv_loopz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2updatezd2timez00zz__libuv_loopz00(BgL_uvloopz00_bglt);
static obj_t BGl_methodzd2initzd2zz__libuv_loopz00(void);
extern obj_t BGl_UvLoopz00zz__libuv_typesz00;
extern void bgl_uv_loop_init(obj_t);
BGL_EXPORTED_DECL uint64_t BGl_uvzd2nowzd2zz__libuv_loopz00(BgL_uvloopz00_bglt);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_UvWorkz00zz__libuv_typesz00;
BGL_EXPORTED_DEF obj_t bgl_uv_mutex = BUNSPEC;
static obj_t BGl_z62uvzd2loopzd2alivezf3z91zz__libuv_loopz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2stopzd2zz__libuv_loopz00(BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_loopz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern void bgl_uv_queue_work(BgL_uvworkz00_bglt, BgL_uvloopz00_bglt);
BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__libuv_loopz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_loopz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__libuv_loopz00(void);
BGL_EXPORTED_DECL bool_t BGl_uvzd2loopzd2alivezf3zf3zz__libuv_loopz00(BgL_uvloopz00_bglt);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_loopz00(void);
static obj_t BGl_z62uvzd2nowzb0zz__libuv_loopz00(obj_t, obj_t);
static obj_t BGl_gczd2loopszd2zz__libuv_loopz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2runzd2zz__libuv_loopz00(BgL_uvloopz00_bglt, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__uvzd2runzd2zz__libuv_loopz00(obj_t, obj_t);
static obj_t __cnst[ 2 ] ;


DEFINE_STRING( BGl_string1182z00zz__libuv_loopz00, BgL_bgl_string1182za700za7za7_1194za7, "BROKEN AS LIBUV uses its own thread (and not Bigloo threads)", 60 );
DEFINE_STRING( BGl_string1183z00zz__libuv_loopz00, BgL_bgl_string1183za700za7za7_1195za7, ":", 1 );
DEFINE_STRING( BGl_string1184z00zz__libuv_loopz00, BgL_bgl_string1184za700za7za7_1196za7, ",", 1 );
DEFINE_STRING( BGl_string1185z00zz__libuv_loopz00, BgL_bgl_string1185za700za7za7_1197za7, "Llib/loop.scm", 13 );
DEFINE_STRING( BGl_string1186z00zz__libuv_loopz00, BgL_bgl_string1186za700za7za7_1198za7, "uv-queue-work", 13 );
DEFINE_STRING( BGl_string1187z00zz__libuv_loopz00, BgL_bgl_string1187za700za7za7_1199za7, "wrong after callback arity", 26 );
DEFINE_STRING( BGl_string1188z00zz__libuv_loopz00, BgL_bgl_string1188za700za7za7_1200za7, "wrong work callback arity", 25 );
DEFINE_STRING( BGl_string1190z00zz__libuv_loopz00, BgL_bgl_string1190za700za7za7_1201za7, "%uv-init", 8 );
DEFINE_STRING( BGl_string1191z00zz__libuv_loopz00, BgL_bgl_string1191za700za7za7_1202za7, "__libuv_loop", 12 );
DEFINE_STRING( BGl_string1192z00zz__libuv_loopz00, BgL_bgl_string1192za700za7za7_1203za7, ":loop spinlock ", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1189z00zz__libuv_loopz00, BgL_bgl_za762za752uvza7d2initza71204z00, BGl_z62z52uvzd2initzd2UvLoop1091z30zz__libuv_loopz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2updatezd2timezd2envzd2zz__libuv_loopz00, BgL_bgl_za762uvza7d2updateza7d1205za7, BGl_z62uvzd2updatezd2timez62zz__libuv_loopz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2stopzd2envz00zz__libuv_loopz00, BgL_bgl_za762uvza7d2stopza7b0za71206z00, BGl_z62uvzd2stopzb0zz__libuv_loopz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2runzd2envz00zz__libuv_loopz00, BgL_bgl__uvza7d2runza7d2za7za7__1207z00, opt_generic_entry, BGl__uvzd2runzd2zz__libuv_loopz00, BFALSE, -1 );
extern obj_t BGl_z52uvzd2initzd2envz52zz__libuv_typesz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2defaultzd2loopzd2envzd2zz__libuv_loopz00, BgL_bgl_za762uvza7d2defaultza71208za7, BGl_z62uvzd2defaultzd2loopz62zz__libuv_loopz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2loopzd2alivezf3zd2envz21zz__libuv_loopz00, BgL_bgl_za762uvza7d2loopza7d2a1209za7, BGl_z62uvzd2loopzd2alivezf3z91zz__libuv_loopz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2nowzd2envz00zz__libuv_loopz00, BgL_bgl_za762uvza7d2nowza7b0za7za71210za7, BGl_z62uvzd2nowzb0zz__libuv_loopz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_loopz00) );
ADD_ROOT( (void *)(&BGl_defaultzd2loopzd2zz__libuv_loopz00) );
ADD_ROOT( (void *)(&bgl_uv_mutex) );
ADD_ROOT( (void *)(&BGl_gczd2loopszd2zz__libuv_loopz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_loopz00(long BgL_checksumz00_186, char * BgL_fromz00_187)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_loopz00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_loopz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__libuv_loopz00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_loopz00(); 
BGl_cnstzd2initzd2zz__libuv_loopz00(); 
BGl_importedzd2moduleszd2initz00zz__libuv_loopz00(); 
BGl_methodzd2initzd2zz__libuv_loopz00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_loopz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__libuv_loop"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
{ /* Llib/loop.scm 15 */
 obj_t BgL_cportz00_171;
{ /* Llib/loop.scm 15 */
 obj_t BgL_stringz00_178;
BgL_stringz00_178 = BGl_string1192z00zz__libuv_loopz00; 
{ /* Llib/loop.scm 15 */
 obj_t BgL_startz00_179;
BgL_startz00_179 = 
BINT(0L); 
{ /* Llib/loop.scm 15 */
 obj_t BgL_endz00_180;
BgL_endz00_180 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_178))); 
{ /* Llib/loop.scm 15 */

BgL_cportz00_171 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_178, BgL_startz00_179, BgL_endz00_180); } } } } 
{ 
 long BgL_iz00_172;
BgL_iz00_172 = 1L; 
BgL_loopz00_173:
if(
(BgL_iz00_172==-1L))
{ /* Llib/loop.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/loop.scm 15 */
{ /* Llib/loop.scm 15 */
 obj_t BgL_arg1193z00_174;
{ /* Llib/loop.scm 15 */

{ /* Llib/loop.scm 15 */
 obj_t BgL_locationz00_176;
BgL_locationz00_176 = 
BBOOL(((bool_t)0)); 
{ /* Llib/loop.scm 15 */

BgL_arg1193z00_174 = 
BGl_readz00zz__readerz00(BgL_cportz00_171, BgL_locationz00_176); } } } 
{ /* Llib/loop.scm 15 */
 int BgL_tmpz00_219;
BgL_tmpz00_219 = 
(int)(BgL_iz00_172); 
CNST_TABLE_SET(BgL_tmpz00_219, BgL_arg1193z00_174); } } 
{ /* Llib/loop.scm 15 */
 int BgL_auxz00_177;
BgL_auxz00_177 = 
(int)(
(BgL_iz00_172-1L)); 
{ 
 long BgL_iz00_224;
BgL_iz00_224 = 
(long)(BgL_auxz00_177); 
BgL_iz00_172 = BgL_iz00_224; 
goto BgL_loopz00_173;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
BGl_defaultzd2loopzd2zz__libuv_loopz00 = BFALSE; 
BGl_gczd2loopszd2zz__libuv_loopz00 = BNIL; 
{ /* Llib/loop.scm 45 */

{ /* Llib/loop.scm 45 */
 obj_t BgL_namez00_21;
BgL_namez00_21 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(0L)); 
{ /* Llib/loop.scm 45 */

bgl_uv_mutex = 
bgl_make_spinlock(BgL_namez00_21); } } } 
return BUNSPEC;} 

}



/* uv-default-loop */
BGL_EXPORTED_DEF BgL_uvloopz00_bglt BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 60 */
if(
CBOOL(BGl_defaultzd2loopzd2zz__libuv_loopz00))
{ /* Llib/loop.scm 61 */BFALSE; }  else 
{ /* Llib/loop.scm 63 */
 BgL_uvloopz00_bglt BgL_new1068z00_30;
{ /* Llib/loop.scm 64 */
 BgL_uvloopz00_bglt BgL_new1067z00_35;
BgL_new1067z00_35 = 
((BgL_uvloopz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvloopz00_bgl) ))); 
{ /* Llib/loop.scm 64 */
 long BgL_arg1111z00_36;
BgL_arg1111z00_36 = 
BGL_CLASS_NUM(BGl_UvLoopz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1067z00_35), BgL_arg1111z00_36); } 
BgL_new1068z00_30 = BgL_new1067z00_35; } 
{ 
 uv_handle_t * BgL_auxz00_236;
{ /* Llib/loop.scm 64 */
 uv_loop_t * BgL_arg1107z00_31;
BgL_arg1107z00_31 = 
uv_default_loop(); 
BgL_auxz00_236 = 
(uv_handle_t *)(BgL_arg1107z00_31); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1068z00_30)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_236),BUNSPEC); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1068z00_30)))->BgL_z52onclosez52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1068z00_30)))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1068z00_30)))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1068z00_30)))->BgL_z52gcmarkz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1068z00_30)))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_251;
{ /* Llib/uvtypes.scm 30 */
 obj_t BgL_arg1108z00_32;
{ /* Llib/uvtypes.scm 30 */
 obj_t BgL_arg1109z00_33;
{ /* Llib/uvtypes.scm 30 */
 obj_t BgL_classz00_115;
BgL_classz00_115 = BGl_UvLoopz00zz__libuv_typesz00; 
BgL_arg1109z00_33 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_115); } 
BgL_arg1108z00_32 = 
VECTOR_REF(BgL_arg1109z00_33,6L); } 
BgL_auxz00_251 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1108z00_32); } 
((((BgL_uvloopz00_bglt)COBJECT(BgL_new1068z00_30))->BgL_z52mutexz52)=((obj_t)BgL_auxz00_251),BUNSPEC); } 
{ /* Llib/loop.scm 63 */
 obj_t BgL_fun1110z00_34;
BgL_fun1110z00_34 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvLoopz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1110z00_34))(BgL_fun1110z00_34, 
((obj_t)BgL_new1068z00_30), BEOA); } 
BGl_defaultzd2loopzd2zz__libuv_loopz00 = 
((obj_t)BgL_new1068z00_30); } 
return 
((BgL_uvloopz00_bglt)BGl_defaultzd2loopzd2zz__libuv_loopz00);} 

}



/* &uv-default-loop */
BgL_uvloopz00_bglt BGl_z62uvzd2defaultzd2loopz62zz__libuv_loopz00(obj_t BgL_envz00_154)
{
{ /* Llib/loop.scm 60 */
return 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00();} 

}



/* _uv-run */
obj_t BGl__uvzd2runzd2zz__libuv_loopz00(obj_t BgL_env1093z00_7, obj_t BgL_opt1092z00_6)
{
{ /* Llib/loop.scm 70 */
{ /* Llib/loop.scm 70 */
 obj_t BgL_g1094z00_37;
BgL_g1094z00_37 = 
VECTOR_REF(BgL_opt1092z00_6,0L); 
switch( 
VECTOR_LENGTH(BgL_opt1092z00_6)) { case 1L : 

{ /* Llib/loop.scm 70 */

return 
BINT(
BGl_uvzd2runzd2zz__libuv_loopz00(
((BgL_uvloopz00_bglt)BgL_g1094z00_37), BFALSE));} break;case 2L : 

{ /* Llib/loop.scm 70 */
 obj_t BgL_modez00_41;
BgL_modez00_41 = 
VECTOR_REF(BgL_opt1092z00_6,1L); 
{ /* Llib/loop.scm 70 */

return 
BINT(
BGl_uvzd2runzd2zz__libuv_loopz00(
((BgL_uvloopz00_bglt)BgL_g1094z00_37), BgL_modez00_41));} } break;
default: 
return BUNSPEC;} } } 

}



/* uv-run */
BGL_EXPORTED_DEF int BGl_uvzd2runzd2zz__libuv_loopz00(BgL_uvloopz00_bglt BgL_loopz00_4, obj_t BgL_modez00_5)
{
{ /* Llib/loop.scm 70 */
{ /* Llib/loop.scm 72 */
 obj_t BgL_exitd1071z00_43;
BgL_exitd1071z00_43 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/loop.scm 77 */
 obj_t BgL_zc3z04anonymousza31115ze3z87_155;
BgL_zc3z04anonymousza31115ze3z87_155 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31115ze3ze5zz__libuv_loopz00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31115ze3z87_155, 
(int)(0L), 
((obj_t)BgL_loopz00_4)); 
{ /* Llib/loop.scm 72 */
 obj_t BgL_arg1797z00_117;
{ /* Llib/loop.scm 72 */
 obj_t BgL_arg1798z00_118;
BgL_arg1798z00_118 = 
BGL_EXITD_PROTECT(BgL_exitd1071z00_43); 
BgL_arg1797z00_117 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31115ze3z87_155, BgL_arg1798z00_118); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1071z00_43, BgL_arg1797z00_117); BUNSPEC; } 
{ /* Llib/loop.scm 74 */
 int BgL_tmp1073z00_45;
BGl_gczd2loopszd2zz__libuv_loopz00 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_loopz00_4), BGl_gczd2loopszd2zz__libuv_loopz00); 
bgl_uv_loop_init(
((obj_t)BgL_loopz00_4)); BUNSPEC; 
{ /* Llib/loop.scm 76 */
 uv_loop_t * BgL_arg1112z00_46; obj_t BgL_arg1113z00_47;
{ /* Llib/loop.scm 76 */
 uv_handle_t * BgL_arg1114z00_48;
BgL_arg1114z00_48 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_4)))->BgL_z42builtinz42); 
BgL_arg1112z00_46 = 
(uv_loop_t *)(BgL_arg1114z00_48); } 
if(
CBOOL(BgL_modez00_5))
{ /* Llib/loop.scm 76 */
BgL_arg1113z00_47 = BgL_modez00_5; }  else 
{ /* Llib/loop.scm 76 */
BgL_arg1113z00_47 = 
BINT(UV_RUN_DEFAULT); } 
{ /* Llib/loop.scm 76 */
 int BgL_tmpz00_295;
BgL_tmpz00_295 = 
CINT(BgL_arg1113z00_47); 
BgL_tmp1073z00_45 = 
uv_run(BgL_arg1112z00_46, BgL_tmpz00_295); } } 
{ /* Llib/loop.scm 72 */
 bool_t BgL_test1215z00_298;
{ /* Llib/loop.scm 72 */
 obj_t BgL_arg1796z00_120;
BgL_arg1796z00_120 = 
BGL_EXITD_PROTECT(BgL_exitd1071z00_43); 
BgL_test1215z00_298 = 
PAIRP(BgL_arg1796z00_120); } 
if(BgL_test1215z00_298)
{ /* Llib/loop.scm 72 */
 obj_t BgL_arg1794z00_121;
{ /* Llib/loop.scm 72 */
 obj_t BgL_arg1795z00_122;
BgL_arg1795z00_122 = 
BGL_EXITD_PROTECT(BgL_exitd1071z00_43); 
BgL_arg1794z00_121 = 
CDR(
((obj_t)BgL_arg1795z00_122)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1071z00_43, BgL_arg1794z00_121); BUNSPEC; }  else 
{ /* Llib/loop.scm 72 */BFALSE; } } 
BGl_z62zc3z04anonymousza31115ze3ze5zz__libuv_loopz00(BgL_zc3z04anonymousza31115ze3z87_155); 
return BgL_tmp1073z00_45;} } } } 

}



/* &<@anonymous:1115> */
obj_t BGl_z62zc3z04anonymousza31115ze3ze5zz__libuv_loopz00(obj_t BgL_envz00_156)
{
{ /* Llib/loop.scm 72 */
{ /* Llib/loop.scm 77 */
 BgL_uvloopz00_bglt BgL_loopz00_157;
BgL_loopz00_157 = 
((BgL_uvloopz00_bglt)
PROCEDURE_REF(BgL_envz00_156, 
(int)(0L))); 
{ /* Llib/loop.scm 77 */
 obj_t BgL_top1217z00_310;
BgL_top1217z00_310 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(bgl_uv_mutex); 
BGL_EXITD_PUSH_PROTECT(BgL_top1217z00_310, bgl_uv_mutex); BUNSPEC; 
{ /* Llib/loop.scm 77 */
 obj_t BgL_tmp1216z00_309;
BgL_tmp1216z00_309 = ( 
BGl_gczd2loopszd2zz__libuv_loopz00 = 
bgl_remq_bang(
((obj_t)BgL_loopz00_157), BGl_gczd2loopszd2zz__libuv_loopz00), BUNSPEC) ; 
BGL_EXITD_POP_PROTECT(BgL_top1217z00_310); BUNSPEC; 
BGL_MUTEX_UNLOCK(bgl_uv_mutex); 
return BgL_tmp1216z00_309;} } } } 

}



/* uv-stop */
BGL_EXPORTED_DEF obj_t BGl_uvzd2stopzd2zz__libuv_loopz00(BgL_uvloopz00_bglt BgL_loopz00_8)
{
{ /* Llib/loop.scm 83 */
{ /* Llib/loop.scm 85 */
 obj_t BgL_top1219z00_319;
BgL_top1219z00_319 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(bgl_uv_mutex); 
BGL_EXITD_PUSH_PROTECT(BgL_top1219z00_319, bgl_uv_mutex); BUNSPEC; 
{ /* Llib/loop.scm 85 */
 obj_t BgL_tmp1218z00_318;
BgL_tmp1218z00_318 = ( 
BGl_gczd2loopszd2zz__libuv_loopz00 = 
bgl_remq_bang(
((obj_t)BgL_loopz00_8), BGl_gczd2loopszd2zz__libuv_loopz00), BUNSPEC) ; 
BGL_EXITD_POP_PROTECT(BgL_top1219z00_319); BUNSPEC; 
BGL_MUTEX_UNLOCK(bgl_uv_mutex); BgL_tmp1218z00_318; } } 
{ /* Llib/loop.scm 87 */
 uv_loop_t * BgL_arg1116z00_53;
{ /* Llib/loop.scm 87 */
 uv_handle_t * BgL_arg1117z00_54;
BgL_arg1117z00_54 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_8)))->BgL_z42builtinz42); 
BgL_arg1116z00_53 = 
(uv_loop_t *)(BgL_arg1117z00_54); } 
uv_stop(BgL_arg1116z00_53); 
return BUNSPEC;} } 

}



/* &uv-stop */
obj_t BGl_z62uvzd2stopzb0zz__libuv_loopz00(obj_t BgL_envz00_158, obj_t BgL_loopz00_159)
{
{ /* Llib/loop.scm 83 */
return 
BGl_uvzd2stopzd2zz__libuv_loopz00(
((BgL_uvloopz00_bglt)BgL_loopz00_159));} 

}



/* uv-loop-alive? */
BGL_EXPORTED_DEF bool_t BGl_uvzd2loopzd2alivezf3zf3zz__libuv_loopz00(BgL_uvloopz00_bglt BgL_loopz00_9)
{
{ /* Llib/loop.scm 92 */
{ /* Llib/loop.scm 94 */
 uv_loop_t * BgL_arg1118z00_125;
{ /* Llib/loop.scm 94 */
 uv_handle_t * BgL_arg1119z00_126;
BgL_arg1119z00_126 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_9)))->BgL_z42builtinz42); 
BgL_arg1118z00_125 = 
(uv_loop_t *)(BgL_arg1119z00_126); } 
return 
uv_loop_alive(BgL_arg1118z00_125);} } 

}



/* &uv-loop-alive? */
obj_t BGl_z62uvzd2loopzd2alivezf3z91zz__libuv_loopz00(obj_t BgL_envz00_160, obj_t BgL_loopz00_161)
{
{ /* Llib/loop.scm 92 */
return 
BBOOL(
BGl_uvzd2loopzd2alivezf3zf3zz__libuv_loopz00(
((BgL_uvloopz00_bglt)BgL_loopz00_161)));} 

}



/* uv-update-time */
BGL_EXPORTED_DEF obj_t BGl_uvzd2updatezd2timez00zz__libuv_loopz00(BgL_uvloopz00_bglt BgL_loopz00_10)
{
{ /* Llib/loop.scm 99 */
{ /* Llib/loop.scm 101 */
 uv_loop_t * BgL_arg1120z00_128;
{ /* Llib/loop.scm 101 */
 uv_handle_t * BgL_arg1129z00_129;
BgL_arg1129z00_129 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_10)))->BgL_z42builtinz42); 
BgL_arg1120z00_128 = 
(uv_loop_t *)(BgL_arg1129z00_129); } 
uv_update_time(BgL_arg1120z00_128); BUNSPEC; } 
return 
((obj_t)BgL_loopz00_10);} 

}



/* &uv-update-time */
obj_t BGl_z62uvzd2updatezd2timez62zz__libuv_loopz00(obj_t BgL_envz00_162, obj_t BgL_loopz00_163)
{
{ /* Llib/loop.scm 99 */
return 
BGl_uvzd2updatezd2timez00zz__libuv_loopz00(
((BgL_uvloopz00_bglt)BgL_loopz00_163));} 

}



/* uv-now */
BGL_EXPORTED_DEF uint64_t BGl_uvzd2nowzd2zz__libuv_loopz00(BgL_uvloopz00_bglt BgL_loopz00_11)
{
{ /* Llib/loop.scm 107 */
{ /* Llib/loop.scm 109 */
 uv_loop_t * BgL_arg1130z00_131;
{ /* Llib/loop.scm 109 */
 uv_handle_t * BgL_arg1131z00_132;
BgL_arg1131z00_132 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_11)))->BgL_z42builtinz42); 
BgL_arg1130z00_131 = 
(uv_loop_t *)(BgL_arg1131z00_132); } 
return 
uv_now(BgL_arg1130z00_131);} } 

}



/* &uv-now */
obj_t BGl_z62uvzd2nowzb0zz__libuv_loopz00(obj_t BgL_envz00_164, obj_t BgL_loopz00_165)
{
{ /* Llib/loop.scm 107 */
{ /* Llib/loop.scm 108 */
 uint64_t BgL_tmpz00_351;
BgL_tmpz00_351 = 
BGl_uvzd2nowzd2zz__libuv_loopz00(
((BgL_uvloopz00_bglt)BgL_loopz00_165)); 
return 
BGL_UINT64_TO_BUINT64(BgL_tmpz00_351);} } 

}



/* uv-queue-work */
obj_t BGl_uvzd2queuezd2workz00zz__libuv_loopz00(obj_t BgL_workzd2cbzd2_12, obj_t BgL_afterzd2cbzd2_13, obj_t BgL_loopz00_14)
{
{ /* Llib/loop.scm 114 */
{ /* Llib/loop.scm 115 */
 obj_t BgL_arg1139z00_79;
{ /* Llib/loop.scm 115 */
 obj_t BgL_tmpz00_355;
BgL_tmpz00_355 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1139z00_79 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_355); } 
{ /* Llib/loop.scm 115 */
 obj_t BgL_list1140z00_80;
{ /* Llib/loop.scm 115 */
 obj_t BgL_arg1147z00_81;
{ /* Llib/loop.scm 115 */
 obj_t BgL_arg1150z00_82;
{ /* Llib/loop.scm 115 */
 obj_t BgL_arg1151z00_83;
{ /* Llib/loop.scm 115 */
 obj_t BgL_arg1153z00_84;
BgL_arg1153z00_84 = 
MAKE_YOUNG_PAIR(BGl_string1182z00zz__libuv_loopz00, BNIL); 
BgL_arg1151z00_83 = 
MAKE_YOUNG_PAIR(BGl_string1183z00zz__libuv_loopz00, BgL_arg1153z00_84); } 
BgL_arg1150z00_82 = 
MAKE_YOUNG_PAIR(
BINT(115L), BgL_arg1151z00_83); } 
BgL_arg1147z00_81 = 
MAKE_YOUNG_PAIR(BGl_string1184z00zz__libuv_loopz00, BgL_arg1150z00_82); } 
BgL_list1140z00_80 = 
MAKE_YOUNG_PAIR(BGl_string1185z00zz__libuv_loopz00, BgL_arg1147z00_81); } 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1139z00_79, BgL_list1140z00_80); } } 
{ /* Llib/loop.scm 116 */
 obj_t BgL_wz00_85;
{ /* Llib/loop.scm 116 */
 BgL_uvworkz00_bglt BgL_new1085z00_86;
{ /* Llib/loop.scm 116 */
 BgL_uvworkz00_bglt BgL_new1084z00_90;
BgL_new1084z00_90 = 
((BgL_uvworkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvworkz00_bgl) ))); 
{ /* Llib/loop.scm 116 */
 obj_t BgL_arg1165z00_91;
{ /* Llib/loop.scm 116 */
 obj_t BgL_classz00_149;
BgL_classz00_149 = BGl_UvWorkz00zz__libuv_typesz00; 
BgL_arg1165z00_91 = 
BINT(
BGL_CLASS_NUM(BgL_classz00_149)); } 
{ /* Llib/loop.scm 116 */
 long BgL_numz00_151;
BgL_numz00_151 = 
(long)CINT(BgL_arg1165z00_91); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1084z00_90), BgL_numz00_151); } } 
BgL_new1085z00_86 = BgL_new1084z00_90; } 
{ 
 void * BgL_auxz00_371;
{ /* Llib/loop.scm 116 */
 obj_t BgL_arg1162z00_87;
{ /* Llib/loop.scm 116 */
 obj_t BgL_arg1163z00_88;
{ /* Llib/loop.scm 116 */
 obj_t BgL_classz00_152;
BgL_classz00_152 = BGl_UvWorkz00zz__libuv_typesz00; 
BgL_arg1163z00_88 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_152); } 
BgL_arg1162z00_87 = 
VECTOR_REF(
((obj_t)BgL_arg1163z00_88),0L); } 
BgL_auxz00_371 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1162z00_87)); } 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1085z00_86))->BgL_z42builtinz42)=((uv_work_t *)BgL_auxz00_371),BUNSPEC); } 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1085z00_86))->BgL_z52workzd2cbz80)=((obj_t)BgL_workzd2cbzd2_12),BUNSPEC); 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1085z00_86))->BgL_z52afterzd2cbz80)=((obj_t)BgL_afterzd2cbzd2_13),BUNSPEC); 
{ /* Llib/loop.scm 116 */
 obj_t BgL_fun1164z00_89;
BgL_fun1164z00_89 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvWorkz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1164z00_89))(BgL_fun1164z00_89, 
((obj_t)BgL_new1085z00_86), BEOA); } 
BgL_wz00_85 = 
((obj_t)BgL_new1085z00_86); } 
if(
PROCEDURE_CORRECT_ARITYP(BgL_workzd2cbzd2_12, 
(int)(0L)))
{ /* Llib/loop.scm 120 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_afterzd2cbzd2_13, 
(int)(1L)))
{ /* Llib/loop.scm 122 */
bgl_uv_queue_work(
((BgL_uvworkz00_bglt)BgL_wz00_85), 
((BgL_uvloopz00_bglt)BgL_loopz00_14)); BUNSPEC; 
return BgL_wz00_85;}  else 
{ /* Llib/loop.scm 122 */
BGL_TAIL return 
BGl_errorz00zz__errorz00(BGl_string1186z00zz__libuv_loopz00, BGl_string1187z00zz__libuv_loopz00, BgL_afterzd2cbzd2_13);} }  else 
{ /* Llib/loop.scm 120 */
BGL_TAIL return 
BGl_errorz00zz__errorz00(BGl_string1186z00zz__libuv_loopz00, BGl_string1188z00zz__libuv_loopz00, BgL_workzd2cbzd2_12);} } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_UvLoopz00zz__libuv_typesz00, BGl_proc1189z00zz__libuv_loopz00, BGl_string1190z00zz__libuv_loopz00);} 

}



/* &%uv-init-UvLoop1091 */
obj_t BGl_z62z52uvzd2initzd2UvLoop1091z30zz__libuv_loopz00(obj_t BgL_envz00_167, obj_t BgL_oz00_168)
{
{ /* Llib/loop.scm 50 */
{ /* Llib/loop.scm 52 */
 bool_t BgL_test1222z00_399;
{ /* Llib/loop.scm 52 */
 uv_handle_t * BgL_arg1174z00_183;
BgL_arg1174z00_183 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_oz00_168))))->BgL_z42builtinz42); 
BgL_test1222z00_399 = 
((uv_handle_t *)0L) == (BgL_arg1174z00_183); } 
if(BgL_test1222z00_399)
{ /* Llib/loop.scm 52 */
{ 
 uv_handle_t * BgL_auxz00_404;
{ /* Llib/loop.scm 53 */
 uv_loop_t * BgL_arg1172z00_184;
BgL_arg1172z00_184 = 
uv_loop_new(); 
BgL_auxz00_404 = 
(uv_handle_t *)(BgL_arg1172z00_184); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_oz00_168))))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_404),BUNSPEC); } 
{ /* Llib/loop.scm 54 */
 uv_handle_t * BgL_arg1173z00_185;
BgL_arg1173z00_185 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_oz00_168))))->BgL_z42builtinz42); 
{ /* Llib/loop.scm 54 */
 obj_t BgL_tmpz00_413;
BgL_tmpz00_413 = 
((obj_t)
((BgL_uvloopz00_bglt)BgL_oz00_168)); 
BGL_UV_LOOP_DATA_SET(BgL_arg1173z00_185, BgL_tmpz00_413); } } }  else 
{ /* Llib/loop.scm 52 */BFALSE; } } 
return 
((obj_t)
((BgL_uvloopz00_bglt)BgL_oz00_168));} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__libuv_typesz00(129964225L, 
BSTRING_TO_STRING(BGl_string1191z00zz__libuv_loopz00));} 

}

#ifdef __cplusplus
}
#endif
