/*===========================================================================*/
/*   (Llib/process.scm)                                                      */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/process.scm -o objs/process.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___LIBUV_PROCESS_TYPE_DEFINITIONS
#define BGL___LIBUV_PROCESS_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_uvhandlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
} *BgL_uvhandlez00_bglt;

typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvstreamz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   void * BgL_z52dataz52;
} *BgL_uvstreamz00_bglt;

typedef struct BgL_uvttyz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   void * BgL_z52dataz52;
   int BgL_fdz00;
   bool_t BgL_readablez00;
} *BgL_uvttyz00_bglt;

typedef struct BgL_uvfilez00_bgl {
   header_t header;
   obj_t widening;
   int BgL_fdz00;
   obj_t BgL_pathz00;
} *BgL_uvfilez00_bglt;

typedef struct BgL_uvprocessz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   obj_t BgL_z42onexitz42;
} *BgL_uvprocessz00_bglt;

typedef struct BgL_uvprocessoptionsz00_bgl {
   header_t header;
   obj_t widening;
   uv_process_options_t * BgL_z42builtinz42;
} *BgL_uvprocessoptionsz00_bglt;


#endif // BGL___LIBUV_PROCESS_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62z52uvzd2initzd2UvProcessOp1099z30zz__libuv_processz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2killzd2zz__libuv_processz00(int, int);
extern uv_process_t * bgl_uv_process_new(BgL_uvprocessz00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zz__libuv_processz00 = BUNSPEC;
extern BgL_uvloopz00_bglt BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(void);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_uvzd2processzd2optionszd2stdiozd2containerzd2streamzd2setz12z12zz__libuv_processz00(BgL_uvprocessoptionsz00_bglt, int, BgL_uvhandlez00_bglt);
extern obj_t BGl_UvTtyz00zz__libuv_typesz00;
BGL_EXPORTED_DECL obj_t BGl_UVzd2PROCESSzd2WINDOWSzd2HIDEzd2zz__libuv_processz00(void);
static obj_t BGl_toplevelzd2initzd2zz__libuv_processz00(void);
static obj_t BGl_z62UVzd2PROCESSzd2DETACHEDz62zz__libuv_processz00(obj_t);
static obj_t BGl_z62UVzd2PROCESSzd2SETUIDz62zz__libuv_processz00(obj_t);
static obj_t BGl_genericzd2initzd2zz__libuv_processz00(void);
static obj_t BGl_objectzd2initzd2zz__libuv_processz00(void);
BGL_EXPORTED_DECL obj_t BGl_UVzd2INHERITzd2FDz00zz__libuv_processz00(void);
static obj_t BGl__uvzd2processzd2spawnz00zz__libuv_processz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62z52uvzd2initzd2UvProcess1097z30zz__libuv_processz00(obj_t, obj_t);
static obj_t BGl_z62UVzd2PROCESSzd2SETGIDz62zz__libuv_processz00(obj_t);
extern obj_t BGl_UvFilez00zz__libuv_typesz00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__libuv_processz00(void);
static obj_t BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2flagszd2setz12z70zz__libuv_processz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2processzd2killz00zz__libuv_processz00(BgL_uvprocessz00_bglt, int);
static obj_t BGl_z62uvzd2processzd2killz62zz__libuv_processz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_UVzd2PROCESSzd2DETACHEDz00zz__libuv_processz00(void);
BGL_EXPORTED_DECL obj_t BGl_UVzd2READABLEzd2PIPEz00zz__libuv_processz00(void);
BGL_EXPORTED_DECL obj_t BGl_UVzd2INHERITzd2STREAMz00zz__libuv_processz00(void);
BGL_EXPORTED_DECL int BGl_uvzd2processzd2spawnz00zz__libuv_processz00(BgL_uvprocessz00_bglt, BgL_uvprocessoptionsz00_bglt, obj_t, obj_t);
static obj_t BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2setz12za2zz__libuv_processz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2killzb0zz__libuv_processz00(obj_t, obj_t, obj_t);
extern obj_t BGl_UvProcessz00zz__libuv_typesz00;
extern obj_t BGl_UvStreamz00zz__libuv_typesz00;
extern obj_t BGl_UvProcessOptionsz00zz__libuv_typesz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_processz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_netz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_loopz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62UVzd2READABLEzd2PIPEz62zz__libuv_processz00(obj_t);
static obj_t BGl_z62UVzd2PROCESSzd2WINDOWSzd2HIDEzb0zz__libuv_processz00(obj_t);
extern long BGl_uvzd2streamzd2fdz00zz__libuv_netz00(BgL_uvstreamz00_bglt);
static obj_t BGl_z62UVzd2CREATEzd2PIPEz62zz__libuv_processz00(obj_t);
extern int bgl_uv_spawn(BgL_uvloopz00_bglt, BgL_uvprocessz00_bglt, BgL_uvprocessoptionsz00_bglt, obj_t);
static obj_t BGl_cnstzd2initzd2zz__libuv_processz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_processz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__libuv_processz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_processz00(void);
BGL_EXPORTED_DECL obj_t BGl_uvzd2processzd2optionszd2stdiozd2containerzd2flagszd2setz12z12zz__libuv_processz00(BgL_uvprocessoptionsz00_bglt, int, int);
BGL_EXPORTED_DECL obj_t BGl_UVzd2PROCESSzd2WINDOWSzd2VERBATIMzd2ARGUMENTSz00zz__libuv_processz00(void);
BGL_EXPORTED_DECL obj_t BGl_uvzd2processzd2optionszd2stdiozd2containerzd2fdzd2setz12z12zz__libuv_processz00(BgL_uvprocessoptionsz00_bglt, int, obj_t);
static obj_t BGl_z62UVzd2IGNOREzb0zz__libuv_processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_UVzd2WRITABLEzd2PIPEz00zz__libuv_processz00(void);
BGL_EXPORTED_DECL obj_t BGl_UVzd2PROCESSzd2SETUIDz00zz__libuv_processz00(void);
BGL_IMPORT obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2fdzd2setz12z70zz__libuv_processz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_UVzd2CREATEzd2PIPEz00zz__libuv_processz00(void);
static obj_t BGl_z62UVzd2INHERITzd2FDz62zz__libuv_processz00(obj_t);
static obj_t BGl_z62UVzd2INHERITzd2STREAMz62zz__libuv_processz00(obj_t);
static obj_t BGl_z62UVzd2PROCESSzd2WINDOWSzd2VERBATIMzd2ARGUMENTSz62zz__libuv_processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_UVzd2IGNOREzd2zz__libuv_processz00(void);
BGL_EXPORTED_DECL obj_t BGl_UVzd2PROCESSzd2SETGIDz00zz__libuv_processz00(void);
static obj_t BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2streamzd2setz12z70zz__libuv_processz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2processzd2optionszd2stdiozd2containerzd2setz12zc0zz__libuv_processz00(BgL_uvprocessoptionsz00_bglt, int);
static obj_t BGl_z62UVzd2WRITABLEzd2PIPEz62zz__libuv_processz00(obj_t);
static obj_t __cnst[ 2 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2PROCESSzd2SETUIDzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71546za7, BGl_z62UVzd2PROCESSzd2SETUIDz62zz__libuv_processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2processzd2spawnzd2envzd2zz__libuv_processz00, BgL_bgl__uvza7d2processza7d21547z00, opt_generic_entry, BGl__uvzd2processzd2spawnz00zz__libuv_processz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2PROCESSzd2DETACHEDzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71548za7, BGl_z62UVzd2PROCESSzd2DETACHEDz62zz__libuv_processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2processzd2optionszd2stdiozd2containerzd2flagszd2setz12zd2envzc0zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71549za7, BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2flagszd2setz12z70zz__libuv_processz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2processzd2optionszd2stdiozd2containerzd2setz12zd2envz12zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71550za7, BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2setz12za2zz__libuv_processz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1538z00zz__libuv_processz00, BgL_bgl_string1538za700za7za7_1551za7, "uv-process-options-stdio-container-fd-set!", 42 );
DEFINE_STRING( BGl_string1539z00zz__libuv_processz00, BgL_bgl_string1539za700za7za7_1552za7, "UvFile/UvTty/UvStream", 21 );
DEFINE_STRING( BGl_string1541z00zz__libuv_processz00, BgL_bgl_string1541za700za7za7_1553za7, "%uv-init", 8 );
DEFINE_STRING( BGl_string1543z00zz__libuv_processz00, BgL_bgl_string1543za700za7za7_1554za7, "__libuv_process", 15 );
DEFINE_STRING( BGl_string1544z00zz__libuv_processz00, BgL_bgl_string1544za700za7za7_1555za7, ":loop :callback ", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1540z00zz__libuv_processz00, BgL_bgl_za762za752uvza7d2initza71556z00, BGl_z62z52uvzd2initzd2UvProcess1097z30zz__libuv_processz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1542z00zz__libuv_processz00, BgL_bgl_za762za752uvza7d2initza71557z00, BGl_z62z52uvzd2initzd2UvProcessOp1099z30zz__libuv_processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2processzd2killzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71558za7, BGl_z62uvzd2processzd2killz62zz__libuv_processz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2IGNOREzd2envz00zz__libuv_processz00, BgL_bgl_za762uvza7d2ignoreza7b1559za7, BGl_z62UVzd2IGNOREzb0zz__libuv_processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2PROCESSzd2SETGIDzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71560za7, BGl_z62UVzd2PROCESSzd2SETGIDz62zz__libuv_processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2WRITABLEzd2PIPEzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2writable1561z00, BGl_z62UVzd2WRITABLEzd2PIPEz62zz__libuv_processz00, 0L, BUNSPEC, 0 );
extern obj_t BGl_z52uvzd2initzd2envz52zz__libuv_typesz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2INHERITzd2FDzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2inheritza71562za7, BGl_z62UVzd2INHERITzd2FDz62zz__libuv_processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2processzd2optionszd2stdiozd2containerzd2streamzd2setz12zd2envzc0zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71563za7, BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2streamzd2setz12z70zz__libuv_processz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2killzd2envz00zz__libuv_processz00, BgL_bgl_za762uvza7d2killza7b0za71564z00, BGl_z62uvzd2killzb0zz__libuv_processz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2CREATEzd2PIPEzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2createza7d1565za7, BGl_z62UVzd2CREATEzd2PIPEz62zz__libuv_processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2READABLEzd2PIPEzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2readable1566z00, BGl_z62UVzd2READABLEzd2PIPEz62zz__libuv_processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2PROCESSzd2WINDOWSzd2HIDEzd2envz00zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71567za7, BGl_z62UVzd2PROCESSzd2WINDOWSzd2HIDEzb0zz__libuv_processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2PROCESSzd2WINDOWSzd2VERBATIMzd2ARGUMENTSzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71568za7, BGl_z62UVzd2PROCESSzd2WINDOWSzd2VERBATIMzd2ARGUMENTSz62zz__libuv_processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2processzd2optionszd2stdiozd2containerzd2fdzd2setz12zd2envzc0zz__libuv_processz00, BgL_bgl_za762uvza7d2processza71569za7, BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2fdzd2setz12z70zz__libuv_processz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UVzd2INHERITzd2STREAMzd2envzd2zz__libuv_processz00, BgL_bgl_za762uvza7d2inheritza71570za7, BGl_z62UVzd2INHERITzd2STREAMz62zz__libuv_processz00, 0L, BUNSPEC, 0 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_processz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_processz00(long BgL_checksumz00_732, char * BgL_fromz00_733)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_processz00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_processz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libuv_processz00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_processz00(); 
BGl_cnstzd2initzd2zz__libuv_processz00(); 
BGl_importedzd2moduleszd2initz00zz__libuv_processz00(); 
BGl_methodzd2initzd2zz__libuv_processz00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_processz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_processz00(void)
{
{ /* Llib/process.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__libuv_process"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__libuv_process"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__libuv_process"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__libuv_process"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__libuv_process"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__libuv_process"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__libuv_process"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__libuv_process"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__libuv_processz00(void)
{
{ /* Llib/process.scm 15 */
{ /* Llib/process.scm 15 */
 obj_t BgL_cportz00_718;
{ /* Llib/process.scm 15 */
 obj_t BgL_stringz00_725;
BgL_stringz00_725 = BGl_string1544z00zz__libuv_processz00; 
{ /* Llib/process.scm 15 */
 obj_t BgL_startz00_726;
BgL_startz00_726 = 
BINT(0L); 
{ /* Llib/process.scm 15 */
 obj_t BgL_endz00_727;
BgL_endz00_727 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_725))); 
{ /* Llib/process.scm 15 */

BgL_cportz00_718 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_725, BgL_startz00_726, BgL_endz00_727); } } } } 
{ 
 long BgL_iz00_719;
BgL_iz00_719 = 1L; 
BgL_loopz00_720:
if(
(BgL_iz00_719==-1L))
{ /* Llib/process.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/process.scm 15 */
{ /* Llib/process.scm 15 */
 obj_t BgL_arg1545z00_721;
{ /* Llib/process.scm 15 */

{ /* Llib/process.scm 15 */
 obj_t BgL_locationz00_723;
BgL_locationz00_723 = 
BBOOL(((bool_t)0)); 
{ /* Llib/process.scm 15 */

BgL_arg1545z00_721 = 
BGl_readz00zz__readerz00(BgL_cportz00_718, BgL_locationz00_723); } } } 
{ /* Llib/process.scm 15 */
 int BgL_tmpz00_760;
BgL_tmpz00_760 = 
(int)(BgL_iz00_719); 
CNST_TABLE_SET(BgL_tmpz00_760, BgL_arg1545z00_721); } } 
{ /* Llib/process.scm 15 */
 int BgL_auxz00_724;
BgL_auxz00_724 = 
(int)(
(BgL_iz00_719-1L)); 
{ 
 long BgL_iz00_765;
BgL_iz00_765 = 
(long)(BgL_auxz00_724); 
BgL_iz00_719 = BgL_iz00_765; 
goto BgL_loopz00_720;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_processz00(void)
{
{ /* Llib/process.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_processz00(void)
{
{ /* Llib/process.scm 15 */
return BUNSPEC;} 

}



/* _uv-process-spawn */
obj_t BGl__uvzd2processzd2spawnz00zz__libuv_processz00(obj_t BgL_env1101z00_10, obj_t BgL_opt1100z00_9)
{
{ /* Llib/process.scm 66 */
{ /* Llib/process.scm 66 */
 obj_t BgL_g1108z00_93; obj_t BgL_g1109z00_94;
BgL_g1108z00_93 = 
VECTOR_REF(BgL_opt1100z00_9,0L); 
BgL_g1109z00_94 = 
VECTOR_REF(BgL_opt1100z00_9,1L); 
{ /* Llib/process.scm 66 */
 obj_t BgL_callbackz00_95;
BgL_callbackz00_95 = BFALSE; 
{ /* Llib/process.scm 66 */
 obj_t BgL_loopz00_96;
BgL_loopz00_96 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/process.scm 66 */

{ /* Llib/process.scm 66 */
 long BgL_index1106z00_97;
{ 
 long BgL_iz00_317;
BgL_iz00_317 = 2L; 
BgL_search1103z00_316:
if(
(BgL_iz00_317==
VECTOR_LENGTH(BgL_opt1100z00_9)))
{ /* Llib/process.scm 66 */
BgL_index1106z00_97 = -1L; }  else 
{ /* Llib/process.scm 66 */
 obj_t BgL_vz00_321;
BgL_vz00_321 = 
VECTOR_REF(BgL_opt1100z00_9,BgL_iz00_317); 
if(
(BgL_vz00_321==
CNST_TABLE_REF(0L)))
{ /* Llib/process.scm 66 */
BgL_index1106z00_97 = 
(BgL_iz00_317+1L); }  else 
{ 
 long BgL_iz00_780;
BgL_iz00_780 = 
(BgL_iz00_317+2L); 
BgL_iz00_317 = BgL_iz00_780; 
goto BgL_search1103z00_316;} } } 
if(
(BgL_index1106z00_97>=0L))
{ /* Llib/process.scm 66 */
BgL_callbackz00_95 = 
VECTOR_REF(BgL_opt1100z00_9,BgL_index1106z00_97); }  else 
{ /* Llib/process.scm 66 */BFALSE; } } 
{ /* Llib/process.scm 66 */
 long BgL_index1107z00_99;
{ 
 long BgL_iz00_327;
BgL_iz00_327 = 2L; 
BgL_search1103z00_326:
if(
(BgL_iz00_327==
VECTOR_LENGTH(BgL_opt1100z00_9)))
{ /* Llib/process.scm 66 */
BgL_index1107z00_99 = -1L; }  else 
{ /* Llib/process.scm 66 */
 obj_t BgL_vz00_331;
BgL_vz00_331 = 
VECTOR_REF(BgL_opt1100z00_9,BgL_iz00_327); 
if(
(BgL_vz00_331==
CNST_TABLE_REF(1L)))
{ /* Llib/process.scm 66 */
BgL_index1107z00_99 = 
(BgL_iz00_327+1L); }  else 
{ 
 long BgL_iz00_793;
BgL_iz00_793 = 
(BgL_iz00_327+2L); 
BgL_iz00_327 = BgL_iz00_793; 
goto BgL_search1103z00_326;} } } 
if(
(BgL_index1107z00_99>=0L))
{ /* Llib/process.scm 66 */
BgL_loopz00_96 = 
VECTOR_REF(BgL_opt1100z00_9,BgL_index1107z00_99); }  else 
{ /* Llib/process.scm 66 */BFALSE; } } 
{ /* Llib/process.scm 66 */
 obj_t BgL_arg1200z00_101; obj_t BgL_arg1202z00_102;
BgL_arg1200z00_101 = 
VECTOR_REF(BgL_opt1100z00_9,0L); 
BgL_arg1202z00_102 = 
VECTOR_REF(BgL_opt1100z00_9,1L); 
{ /* Llib/process.scm 66 */
 obj_t BgL_callbackz00_103;
BgL_callbackz00_103 = BgL_callbackz00_95; 
{ /* Llib/process.scm 66 */
 obj_t BgL_loopz00_104;
BgL_loopz00_104 = BgL_loopz00_96; 
return 
BINT(
bgl_uv_spawn(
((BgL_uvloopz00_bglt)BgL_loopz00_104), 
((BgL_uvprocessz00_bglt)BgL_arg1200z00_101), 
((BgL_uvprocessoptionsz00_bglt)BgL_arg1202z00_102), BgL_callbackz00_103));} } } } } } } } 

}



/* uv-process-spawn */
BGL_EXPORTED_DEF int BGl_uvzd2processzd2spawnz00zz__libuv_processz00(BgL_uvprocessz00_bglt BgL_oz00_5, BgL_uvprocessoptionsz00_bglt BgL_optionsz00_6, obj_t BgL_callbackz00_7, obj_t BgL_loopz00_8)
{
{ /* Llib/process.scm 66 */
return 
bgl_uv_spawn(
((BgL_uvloopz00_bglt)BgL_loopz00_8), BgL_oz00_5, BgL_optionsz00_6, BgL_callbackz00_7);} 

}



/* uv-process-kill */
BGL_EXPORTED_DEF int BGl_uvzd2processzd2killz00zz__libuv_processz00(BgL_uvprocessz00_bglt BgL_procz00_11, int BgL_sigz00_12)
{
{ /* Llib/process.scm 72 */
{ /* Llib/process.scm 74 */
 uv_process_t * BgL_arg1212z00_339;
{ /* Llib/process.scm 74 */
 uv_handle_t * BgL_arg1215z00_340;
BgL_arg1215z00_340 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_procz00_11)))->BgL_z42builtinz42); 
BgL_arg1212z00_339 = 
(uv_process_t *)(BgL_arg1215z00_340); } 
return 
uv_process_kill(BgL_arg1212z00_339, BgL_sigz00_12);} } 

}



/* &uv-process-kill */
obj_t BGl_z62uvzd2processzd2killz62zz__libuv_processz00(obj_t BgL_envz00_678, obj_t BgL_procz00_679, obj_t BgL_sigz00_680)
{
{ /* Llib/process.scm 72 */
return 
BINT(
BGl_uvzd2processzd2killz00zz__libuv_processz00(
((BgL_uvprocessz00_bglt)BgL_procz00_679), 
CINT(BgL_sigz00_680)));} 

}



/* uv-kill */
BGL_EXPORTED_DEF int BGl_uvzd2killzd2zz__libuv_processz00(int BgL_pidz00_13, int BgL_sigz00_14)
{
{ /* Llib/process.scm 79 */
return 
uv_kill(BgL_pidz00_13, BgL_sigz00_14);} 

}



/* &uv-kill */
obj_t BGl_z62uvzd2killzb0zz__libuv_processz00(obj_t BgL_envz00_681, obj_t BgL_pidz00_682, obj_t BgL_sigz00_683)
{
{ /* Llib/process.scm 79 */
return 
BINT(
BGl_uvzd2killzd2zz__libuv_processz00(
CINT(BgL_pidz00_682), 
CINT(BgL_sigz00_683)));} 

}



/* uv-process-options-stdio-container-set! */
BGL_EXPORTED_DEF obj_t BGl_uvzd2processzd2optionszd2stdiozd2containerzd2setz12zc0zz__libuv_processz00(BgL_uvprocessoptionsz00_bglt BgL_oz00_15, int BgL_lenz00_16)
{
{ /* Llib/process.scm 85 */
{ /* Llib/process.scm 87 */
 uv_process_options_t * BgL_arg1216z00_341;
BgL_arg1216z00_341 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(BgL_oz00_15))->BgL_z42builtinz42); 
BGL_UV_PROCESS_OPTIONS_STDIO_CONTAINER_SET(BgL_arg1216z00_341, BgL_lenz00_16); 
return BUNSPEC;} } 

}



/* &uv-process-options-stdio-container-set! */
obj_t BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2setz12za2zz__libuv_processz00(obj_t BgL_envz00_684, obj_t BgL_oz00_685, obj_t BgL_lenz00_686)
{
{ /* Llib/process.scm 85 */
return 
BGl_uvzd2processzd2optionszd2stdiozd2containerzd2setz12zc0zz__libuv_processz00(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_685), 
CINT(BgL_lenz00_686));} 

}



/* uv-process-options-stdio-container-stream-set! */
BGL_EXPORTED_DEF obj_t BGl_uvzd2processzd2optionszd2stdiozd2containerzd2streamzd2setz12z12zz__libuv_processz00(BgL_uvprocessoptionsz00_bglt BgL_oz00_17, int BgL_iz00_18, BgL_uvhandlez00_bglt BgL_hdlz00_19)
{
{ /* Llib/process.scm 92 */
{ /* Llib/process.scm 94 */
 uv_process_options_t * BgL_arg1227z00_343; uv_stream_t * BgL_arg1229z00_344;
BgL_arg1227z00_343 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(BgL_oz00_17))->BgL_z42builtinz42); 
{ /* Llib/process.scm 96 */
 uv_handle_t * BgL_tmpz00_826;
BgL_tmpz00_826 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_hdlz00_19))->BgL_z42builtinz42); 
BgL_arg1229z00_344 = 
(uv_stream_t *)(BgL_tmpz00_826); } 
BGL_UV_PROCESS_OPTIONS_STDIO_CONTAINER_STREAM_SET(BgL_arg1227z00_343, BgL_iz00_18, BgL_arg1229z00_344); 
return BUNSPEC;} } 

}



/* &uv-process-options-stdio-container-stream-set! */
obj_t BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2streamzd2setz12z70zz__libuv_processz00(obj_t BgL_envz00_687, obj_t BgL_oz00_688, obj_t BgL_iz00_689, obj_t BgL_hdlz00_690)
{
{ /* Llib/process.scm 92 */
return 
BGl_uvzd2processzd2optionszd2stdiozd2containerzd2streamzd2setz12z12zz__libuv_processz00(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_688), 
CINT(BgL_iz00_689), 
((BgL_uvhandlez00_bglt)BgL_hdlz00_690));} 

}



/* uv-process-options-stdio-container-fd-set! */
BGL_EXPORTED_DEF obj_t BGl_uvzd2processzd2optionszd2stdiozd2containerzd2fdzd2setz12z12zz__libuv_processz00(BgL_uvprocessoptionsz00_bglt BgL_oz00_20, int BgL_iz00_21, obj_t BgL_hdlz00_22)
{
{ /* Llib/process.scm 101 */
{ /* Llib/process.scm 103 */
 uv_process_options_t * BgL_arg1231z00_118; obj_t BgL_arg1235z00_119;
BgL_arg1231z00_118 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(BgL_oz00_20))->BgL_z42builtinz42); 
{ /* Llib/process.scm 106 */
 bool_t BgL_test1579z00_835;
{ /* Llib/process.scm 106 */
 obj_t BgL_classz00_348;
BgL_classz00_348 = BGl_UvFilez00zz__libuv_typesz00; 
if(
BGL_OBJECTP(BgL_hdlz00_22))
{ /* Llib/process.scm 106 */
 BgL_objectz00_bglt BgL_arg1778z00_350;
BgL_arg1778z00_350 = 
(BgL_objectz00_bglt)(BgL_hdlz00_22); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/process.scm 106 */
 long BgL_idxz00_356;
BgL_idxz00_356 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_350); 
BgL_test1579z00_835 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_356+1L))==BgL_classz00_348); }  else 
{ /* Llib/process.scm 106 */
 bool_t BgL_res1534z00_378;
{ /* Llib/process.scm 106 */
 obj_t BgL_oclassz00_364;
{ /* Llib/process.scm 106 */
 long BgL_arg1785z00_370;
{ /* Llib/process.scm 106 */
 long BgL_arg1786z00_371;
BgL_arg1786z00_371 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_350); 
BgL_arg1785z00_370 = 
(BgL_arg1786z00_371-OBJECT_TYPE); } 
BgL_oclassz00_364 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_370); } 
{ /* Llib/process.scm 106 */
 bool_t BgL__ortest_1114z00_365;
BgL__ortest_1114z00_365 = 
(BgL_classz00_348==BgL_oclassz00_364); 
if(BgL__ortest_1114z00_365)
{ /* Llib/process.scm 106 */
BgL_res1534z00_378 = BgL__ortest_1114z00_365; }  else 
{ /* Llib/process.scm 106 */
 long BgL_odepthz00_366;
BgL_odepthz00_366 = 
BGL_CLASS_DEPTH(BgL_oclassz00_364); 
if(
(1L<BgL_odepthz00_366))
{ /* Llib/process.scm 106 */
 obj_t BgL_arg1775z00_368;
BgL_arg1775z00_368 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_364, 1L); 
BgL_res1534z00_378 = 
(BgL_arg1775z00_368==BgL_classz00_348); }  else 
{ /* Llib/process.scm 106 */
BgL_res1534z00_378 = ((bool_t)0); } } } } 
BgL_test1579z00_835 = BgL_res1534z00_378; } }  else 
{ /* Llib/process.scm 106 */
BgL_test1579z00_835 = ((bool_t)0)
; } } 
if(BgL_test1579z00_835)
{ /* Llib/process.scm 106 */
BgL_arg1235z00_119 = 
BINT(
(((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_hdlz00_22)))->BgL_fdz00)); }  else 
{ /* Llib/process.scm 107 */
 bool_t BgL_test1587z00_858;
{ /* Llib/process.scm 107 */
 obj_t BgL_classz00_379;
BgL_classz00_379 = BGl_UvTtyz00zz__libuv_typesz00; 
if(
BGL_OBJECTP(BgL_hdlz00_22))
{ /* Llib/process.scm 107 */
 BgL_objectz00_bglt BgL_arg1778z00_381;
BgL_arg1778z00_381 = 
(BgL_objectz00_bglt)(BgL_hdlz00_22); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/process.scm 107 */
 long BgL_idxz00_387;
BgL_idxz00_387 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_381); 
BgL_test1587z00_858 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_387+4L))==BgL_classz00_379); }  else 
{ /* Llib/process.scm 107 */
 bool_t BgL_res1535z00_409;
{ /* Llib/process.scm 107 */
 obj_t BgL_oclassz00_395;
{ /* Llib/process.scm 107 */
 long BgL_arg1785z00_401;
{ /* Llib/process.scm 107 */
 long BgL_arg1786z00_402;
BgL_arg1786z00_402 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_381); 
BgL_arg1785z00_401 = 
(BgL_arg1786z00_402-OBJECT_TYPE); } 
BgL_oclassz00_395 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_401); } 
{ /* Llib/process.scm 107 */
 bool_t BgL__ortest_1114z00_396;
BgL__ortest_1114z00_396 = 
(BgL_classz00_379==BgL_oclassz00_395); 
if(BgL__ortest_1114z00_396)
{ /* Llib/process.scm 107 */
BgL_res1535z00_409 = BgL__ortest_1114z00_396; }  else 
{ /* Llib/process.scm 107 */
 long BgL_odepthz00_397;
BgL_odepthz00_397 = 
BGL_CLASS_DEPTH(BgL_oclassz00_395); 
if(
(4L<BgL_odepthz00_397))
{ /* Llib/process.scm 107 */
 obj_t BgL_arg1775z00_399;
BgL_arg1775z00_399 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_395, 4L); 
BgL_res1535z00_409 = 
(BgL_arg1775z00_399==BgL_classz00_379); }  else 
{ /* Llib/process.scm 107 */
BgL_res1535z00_409 = ((bool_t)0); } } } } 
BgL_test1587z00_858 = BgL_res1535z00_409; } }  else 
{ /* Llib/process.scm 107 */
BgL_test1587z00_858 = ((bool_t)0)
; } } 
if(BgL_test1587z00_858)
{ /* Llib/process.scm 107 */
BgL_arg1235z00_119 = 
BINT(
(((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_hdlz00_22)))->BgL_fdz00)); }  else 
{ /* Llib/process.scm 108 */
 bool_t BgL_test1592z00_881;
{ /* Llib/process.scm 108 */
 obj_t BgL_classz00_410;
BgL_classz00_410 = BGl_UvStreamz00zz__libuv_typesz00; 
if(
BGL_OBJECTP(BgL_hdlz00_22))
{ /* Llib/process.scm 108 */
 BgL_objectz00_bglt BgL_arg1778z00_412;
BgL_arg1778z00_412 = 
(BgL_objectz00_bglt)(BgL_hdlz00_22); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/process.scm 108 */
 long BgL_idxz00_418;
BgL_idxz00_418 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_412); 
BgL_test1592z00_881 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_418+3L))==BgL_classz00_410); }  else 
{ /* Llib/process.scm 108 */
 bool_t BgL_res1536z00_440;
{ /* Llib/process.scm 108 */
 obj_t BgL_oclassz00_426;
{ /* Llib/process.scm 108 */
 long BgL_arg1785z00_432;
{ /* Llib/process.scm 108 */
 long BgL_arg1786z00_433;
BgL_arg1786z00_433 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_412); 
BgL_arg1785z00_432 = 
(BgL_arg1786z00_433-OBJECT_TYPE); } 
BgL_oclassz00_426 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_432); } 
{ /* Llib/process.scm 108 */
 bool_t BgL__ortest_1114z00_427;
BgL__ortest_1114z00_427 = 
(BgL_classz00_410==BgL_oclassz00_426); 
if(BgL__ortest_1114z00_427)
{ /* Llib/process.scm 108 */
BgL_res1536z00_440 = BgL__ortest_1114z00_427; }  else 
{ /* Llib/process.scm 108 */
 long BgL_odepthz00_428;
BgL_odepthz00_428 = 
BGL_CLASS_DEPTH(BgL_oclassz00_426); 
if(
(3L<BgL_odepthz00_428))
{ /* Llib/process.scm 108 */
 obj_t BgL_arg1775z00_430;
BgL_arg1775z00_430 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_426, 3L); 
BgL_res1536z00_440 = 
(BgL_arg1775z00_430==BgL_classz00_410); }  else 
{ /* Llib/process.scm 108 */
BgL_res1536z00_440 = ((bool_t)0); } } } } 
BgL_test1592z00_881 = BgL_res1536z00_440; } }  else 
{ /* Llib/process.scm 108 */
BgL_test1592z00_881 = ((bool_t)0)
; } } 
if(BgL_test1592z00_881)
{ /* Llib/process.scm 108 */
BgL_arg1235z00_119 = 
BINT(
BGl_uvzd2streamzd2fdz00zz__libuv_netz00(
((BgL_uvstreamz00_bglt)BgL_hdlz00_22))); }  else 
{ /* Llib/process.scm 108 */
BgL_arg1235z00_119 = 
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1538z00zz__libuv_processz00, BGl_string1539z00zz__libuv_processz00, BgL_hdlz00_22); } } } } 
{ /* Llib/process.scm 102 */
 int BgL_tmpz00_905;
BgL_tmpz00_905 = 
CINT(BgL_arg1235z00_119); 
BGL_UV_PROCESS_OPTIONS_STDIO_CONTAINER_FD_SET(BgL_arg1231z00_118, BgL_iz00_21, BgL_tmpz00_905); } 
return BUNSPEC;} } 

}



/* &uv-process-options-stdio-container-fd-set! */
obj_t BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2fdzd2setz12z70zz__libuv_processz00(obj_t BgL_envz00_691, obj_t BgL_oz00_692, obj_t BgL_iz00_693, obj_t BgL_hdlz00_694)
{
{ /* Llib/process.scm 101 */
return 
BGl_uvzd2processzd2optionszd2stdiozd2containerzd2fdzd2setz12z12zz__libuv_processz00(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_692), 
CINT(BgL_iz00_693), BgL_hdlz00_694);} 

}



/* uv-process-options-stdio-container-flags-set! */
BGL_EXPORTED_DEF obj_t BGl_uvzd2processzd2optionszd2stdiozd2containerzd2flagszd2setz12z12zz__libuv_processz00(BgL_uvprocessoptionsz00_bglt BgL_oz00_23, int BgL_iz00_24, int BgL_flagsz00_25)
{
{ /* Llib/process.scm 115 */
{ /* Llib/process.scm 117 */
 uv_process_options_t * BgL_arg1258z00_441;
BgL_arg1258z00_441 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(BgL_oz00_23))->BgL_z42builtinz42); 
BGL_UV_PROCESS_OPTIONS_STDIO_CONTAINER_FLAGS_SET(BgL_arg1258z00_441, BgL_iz00_24, BgL_flagsz00_25); 
return BUNSPEC;} } 

}



/* &uv-process-options-stdio-container-flags-set! */
obj_t BGl_z62uvzd2processzd2optionszd2stdiozd2containerzd2flagszd2setz12z70zz__libuv_processz00(obj_t BgL_envz00_695, obj_t BgL_oz00_696, obj_t BgL_iz00_697, obj_t BgL_flagsz00_698)
{
{ /* Llib/process.scm 115 */
return 
BGl_uvzd2processzd2optionszd2stdiozd2containerzd2flagszd2setz12z12zz__libuv_processz00(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_696), 
CINT(BgL_iz00_697), 
CINT(BgL_flagsz00_698));} 

}



/* UV-PROCESS-SETUID */
BGL_EXPORTED_DEF obj_t BGl_UVzd2PROCESSzd2SETUIDz00zz__libuv_processz00(void)
{
{ /* Llib/process.scm 122 */
return 
BINT(UV_PROCESS_SETUID);} 

}



/* &UV-PROCESS-SETUID */
obj_t BGl_z62UVzd2PROCESSzd2SETUIDz62zz__libuv_processz00(obj_t BgL_envz00_699)
{
{ /* Llib/process.scm 122 */
return 
BGl_UVzd2PROCESSzd2SETUIDz00zz__libuv_processz00();} 

}



/* UV-PROCESS-SETGID */
BGL_EXPORTED_DEF obj_t BGl_UVzd2PROCESSzd2SETGIDz00zz__libuv_processz00(void)
{
{ /* Llib/process.scm 128 */
return 
BINT(UV_PROCESS_SETGID);} 

}



/* &UV-PROCESS-SETGID */
obj_t BGl_z62UVzd2PROCESSzd2SETGIDz62zz__libuv_processz00(obj_t BgL_envz00_700)
{
{ /* Llib/process.scm 128 */
return 
BGl_UVzd2PROCESSzd2SETGIDz00zz__libuv_processz00();} 

}



/* UV-PROCESS-DETACHED */
BGL_EXPORTED_DEF obj_t BGl_UVzd2PROCESSzd2DETACHEDz00zz__libuv_processz00(void)
{
{ /* Llib/process.scm 134 */
return 
BINT(UV_PROCESS_DETACHED);} 

}



/* &UV-PROCESS-DETACHED */
obj_t BGl_z62UVzd2PROCESSzd2DETACHEDz62zz__libuv_processz00(obj_t BgL_envz00_701)
{
{ /* Llib/process.scm 134 */
return 
BGl_UVzd2PROCESSzd2DETACHEDz00zz__libuv_processz00();} 

}



/* UV-PROCESS-WINDOWS-VERBATIM-ARGUMENTS */
BGL_EXPORTED_DEF obj_t BGl_UVzd2PROCESSzd2WINDOWSzd2VERBATIMzd2ARGUMENTSz00zz__libuv_processz00(void)
{
{ /* Llib/process.scm 140 */
return 
BINT(UV_PROCESS_WINDOWS_VERBATIM_ARGUMENTS);} 

}



/* &UV-PROCESS-WINDOWS-VERBATIM-ARGUMENTS */
obj_t BGl_z62UVzd2PROCESSzd2WINDOWSzd2VERBATIMzd2ARGUMENTSz62zz__libuv_processz00(obj_t BgL_envz00_702)
{
{ /* Llib/process.scm 140 */
return 
BGl_UVzd2PROCESSzd2WINDOWSzd2VERBATIMzd2ARGUMENTSz00zz__libuv_processz00();} 

}



/* UV-PROCESS-WINDOWS-HIDE */
BGL_EXPORTED_DEF obj_t BGl_UVzd2PROCESSzd2WINDOWSzd2HIDEzd2zz__libuv_processz00(void)
{
{ /* Llib/process.scm 146 */
return 
BINT(UV_PROCESS_WINDOWS_HIDE);} 

}



/* &UV-PROCESS-WINDOWS-HIDE */
obj_t BGl_z62UVzd2PROCESSzd2WINDOWSzd2HIDEzb0zz__libuv_processz00(obj_t BgL_envz00_703)
{
{ /* Llib/process.scm 146 */
return 
BGl_UVzd2PROCESSzd2WINDOWSzd2HIDEzd2zz__libuv_processz00();} 

}



/* UV-IGNORE */
BGL_EXPORTED_DEF obj_t BGl_UVzd2IGNOREzd2zz__libuv_processz00(void)
{
{ /* Llib/process.scm 152 */
return 
BINT(UV_IGNORE);} 

}



/* &UV-IGNORE */
obj_t BGl_z62UVzd2IGNOREzb0zz__libuv_processz00(obj_t BgL_envz00_704)
{
{ /* Llib/process.scm 152 */
return 
BGl_UVzd2IGNOREzd2zz__libuv_processz00();} 

}



/* UV-INHERIT-FD */
BGL_EXPORTED_DEF obj_t BGl_UVzd2INHERITzd2FDz00zz__libuv_processz00(void)
{
{ /* Llib/process.scm 158 */
return 
BINT(UV_INHERIT_FD);} 

}



/* &UV-INHERIT-FD */
obj_t BGl_z62UVzd2INHERITzd2FDz62zz__libuv_processz00(obj_t BgL_envz00_705)
{
{ /* Llib/process.scm 158 */
return 
BGl_UVzd2INHERITzd2FDz00zz__libuv_processz00();} 

}



/* UV-INHERIT-STREAM */
BGL_EXPORTED_DEF obj_t BGl_UVzd2INHERITzd2STREAMz00zz__libuv_processz00(void)
{
{ /* Llib/process.scm 164 */
return 
BINT(UV_INHERIT_STREAM);} 

}



/* &UV-INHERIT-STREAM */
obj_t BGl_z62UVzd2INHERITzd2STREAMz62zz__libuv_processz00(obj_t BgL_envz00_706)
{
{ /* Llib/process.scm 164 */
return 
BGl_UVzd2INHERITzd2STREAMz00zz__libuv_processz00();} 

}



/* UV-CREATE-PIPE */
BGL_EXPORTED_DEF obj_t BGl_UVzd2CREATEzd2PIPEz00zz__libuv_processz00(void)
{
{ /* Llib/process.scm 170 */
return 
BINT(UV_CREATE_PIPE);} 

}



/* &UV-CREATE-PIPE */
obj_t BGl_z62UVzd2CREATEzd2PIPEz62zz__libuv_processz00(obj_t BgL_envz00_707)
{
{ /* Llib/process.scm 170 */
return 
BGl_UVzd2CREATEzd2PIPEz00zz__libuv_processz00();} 

}



/* UV-READABLE-PIPE */
BGL_EXPORTED_DEF obj_t BGl_UVzd2READABLEzd2PIPEz00zz__libuv_processz00(void)
{
{ /* Llib/process.scm 176 */
return 
BINT(UV_READABLE_PIPE);} 

}



/* &UV-READABLE-PIPE */
obj_t BGl_z62UVzd2READABLEzd2PIPEz62zz__libuv_processz00(obj_t BgL_envz00_708)
{
{ /* Llib/process.scm 176 */
return 
BGl_UVzd2READABLEzd2PIPEz00zz__libuv_processz00();} 

}



/* UV-WRITABLE-PIPE */
BGL_EXPORTED_DEF obj_t BGl_UVzd2WRITABLEzd2PIPEz00zz__libuv_processz00(void)
{
{ /* Llib/process.scm 182 */
return 
BINT(UV_WRITABLE_PIPE);} 

}



/* &UV-WRITABLE-PIPE */
obj_t BGl_z62UVzd2WRITABLEzd2PIPEz62zz__libuv_processz00(obj_t BgL_envz00_709)
{
{ /* Llib/process.scm 182 */
return 
BGl_UVzd2WRITABLEzd2PIPEz00zz__libuv_processz00();} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_processz00(void)
{
{ /* Llib/process.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_processz00(void)
{
{ /* Llib/process.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_processz00(void)
{
{ /* Llib/process.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_UvProcessz00zz__libuv_typesz00, BGl_proc1540z00zz__libuv_processz00, BGl_string1541z00zz__libuv_processz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_UvProcessOptionsz00zz__libuv_typesz00, BGl_proc1542z00zz__libuv_processz00, BGl_string1541z00zz__libuv_processz00);} 

}



/* &%uv-init-UvProcessOp1099 */
obj_t BGl_z62z52uvzd2initzd2UvProcessOp1099z30zz__libuv_processz00(obj_t BgL_envz00_712, obj_t BgL_oz00_713)
{
{ /* Llib/process.scm 60 */
return BFALSE;} 

}



/* &%uv-init-UvProcess1097 */
obj_t BGl_z62z52uvzd2initzd2UvProcess1097z30zz__libuv_processz00(obj_t BgL_envz00_714, obj_t BgL_oz00_715)
{
{ /* Llib/process.scm 52 */
{ 
 uv_handle_t * BgL_auxz00_941;
{ /* Llib/process.scm 54 */
 uv_process_t * BgL_arg1261z00_731;
BgL_arg1261z00_731 = 
bgl_uv_process_new(
((BgL_uvprocessz00_bglt)BgL_oz00_715)); 
BgL_auxz00_941 = 
(uv_handle_t *)(BgL_arg1261z00_731); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_oz00_715))))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_941),BUNSPEC); } 
return BFALSE;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__libuv_processz00(void)
{
{ /* Llib/process.scm 15 */
BGl_modulezd2initializa7ationz75zz__libuv_typesz00(129964225L, 
BSTRING_TO_STRING(BGl_string1543z00zz__libuv_processz00)); 
BGl_modulezd2initializa7ationz75zz__libuv_loopz00(516475009L, 
BSTRING_TO_STRING(BGl_string1543z00zz__libuv_processz00)); 
return 
BGl_modulezd2initializa7ationz75zz__libuv_netz00(418420166L, 
BSTRING_TO_STRING(BGl_string1543z00zz__libuv_processz00));} 

}

#ifdef __cplusplus
}
#endif
