/*===========================================================================*/
/*   (Llib/pgp_algo.scm)                                                     */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -fno-reflection -unsafe -safee -copt -fPIC -copt -IPosix Llib/pgp_algo.scm -o objs/pgp_algo.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL___OPENPGPzd2ALGOzd2_TYPE_DEFINITIONS
#define BGL_BgL___OPENPGPzd2ALGOzd2_TYPE_DEFINITIONS
#endif // BGL_BgL___OPENPGPzd2ALGOzd2_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

BGL_IMPORT obj_t BGl_decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31120ze3ze5zz__openpgpzd2algozd2(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__openpgpzd2algozd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31113ze3ze5zz__openpgpzd2algozd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__openpgpzd2algozd2(void);
BGL_EXPORTED_DECL obj_t BGl_symmetriczd2keyzd2algozd2ze3procedurez31zz__openpgpzd2algozd2(obj_t, bool_t);
static obj_t BGl_genericzd2initzd2zz__openpgpzd2algozd2(void);
static obj_t BGl_objectzd2initzd2zz__openpgpzd2algozd2(void);
BGL_EXPORTED_DECL long BGl_symmetriczd2keyzd2algozd2blockzd2bitzd2lenzd2zz__openpgpzd2algozd2(obj_t);
static obj_t BGl_z62des3zd2decryptzb0zz__openpgpzd2algozd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62ideazd2decryptzb0zz__openpgpzd2algozd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62aeszd2decryptzb0zz__openpgpzd2algozd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__openpgpzd2algozd2(void);
BGL_EXPORTED_DECL long BGl_symmetriczd2keyzd2algozd2blockzd2bytezd2lenzd2zz__openpgpzd2algozd2(obj_t);
static obj_t BGl_z62hashzd2algozd2ze3procedurez81zz__openpgpzd2algozd2(obj_t, obj_t);
static obj_t BGl_z62symmetriczd2keyzd2algozd2blockzd2bitzd2lenzb0zz__openpgpzd2algozd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_hashzd2algozd2ze3procedureze3zz__openpgpzd2algozd2(obj_t);
static obj_t BGl_z62symmetriczd2keyzd2algozd2keyzd2bitzd2lenzb0zz__openpgpzd2algozd2(obj_t, obj_t);
static obj_t BGl_z62cast5zd2encryptzb0zz__openpgpzd2algozd2(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2algozd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2humanzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62idz62zz__openpgpzd2algozd2(obj_t, obj_t);
extern obj_t BGl_hashzd2algozd2ze3humanzd2readablez31zz__openpgpzd2humanzd2(obj_t);
BGL_EXPORTED_DECL long BGl_symmetriczd2keyzd2algozd2keyzd2bitzd2lenzd2zz__openpgpzd2algozd2(obj_t);
static obj_t BGl_cnstzd2initzd2zz__openpgpzd2algozd2(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2algozd2(void);
extern obj_t BGl_symmetriczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2algozd2(void);
static obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2algozd2(void);
extern obj_t BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_symmetriczd2keyzd2algozd2keyzd2bytezd2lenzd2zz__openpgpzd2algozd2(obj_t);
static obj_t BGl_z62symmetriczd2keyzd2algozd2keyzd2bytezd2lenzb0zz__openpgpzd2algozd2(obj_t, obj_t);
static obj_t BGl_z62symmetriczd2keyzd2algozd2blockzd2bytezd2lenzb0zz__openpgpzd2algozd2(obj_t, obj_t);
static obj_t BGl_z62symmetriczd2keyzd2algozd2ze3procedurez53zz__openpgpzd2algozd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62des3zd2encryptzb0zz__openpgpzd2algozd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62ideazd2encryptzb0zz__openpgpzd2algozd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62aeszd2encryptzb0zz__openpgpzd2algozd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62cast5zd2decryptzb0zz__openpgpzd2algozd2(obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 20 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_ideazd2encryptzd2envz00zz__openpgpzd2algozd2, BgL_bgl_za762ideaza7d2encryp1211z00, BGl_z62ideazd2encryptzb0zz__openpgpzd2algozd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_symmetriczd2keyzd2algozd2ze3procedurezd2envze3zz__openpgpzd2algozd2, BgL_bgl_za762symmetricza7d2k1212z00, BGl_z62symmetriczd2keyzd2algozd2ze3procedurez53zz__openpgpzd2algozd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1185z00zz__openpgpzd2algozd2, BgL_bgl_string1185za700za7za7_1213za7, "Llib/pgp_algo.scm", 17 );
DEFINE_STRING( BGl_string1186z00zz__openpgpzd2algozd2, BgL_bgl_string1186za700za7za7_1214za7, "hash-algo->procedure", 20 );
DEFINE_STRING( BGl_string1187z00zz__openpgpzd2algozd2, BgL_bgl_string1187za700za7za7_1215za7, "algorithm not implemented", 25 );
DEFINE_STRING( BGl_string1188z00zz__openpgpzd2algozd2, BgL_bgl_string1188za700za7za7_1216za7, "/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/api/openpgp/src/Llib/pgp_algo.scm", 85 );
DEFINE_STRING( BGl_string1189z00zz__openpgpzd2algozd2, BgL_bgl_string1189za700za7za7_1217za7, "&hash-algo->procedure", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_aeszd2decryptzd2envz00zz__openpgpzd2algozd2, BgL_bgl_za762aesza7d2decrypt1218z00, BGl_z62aeszd2decryptzb0zz__openpgpzd2algozd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1190z00zz__openpgpzd2algozd2, BgL_bgl_string1190za700za7za7_1219za7, "symbol", 6 );
DEFINE_STRING( BGl_string1191z00zz__openpgpzd2algozd2, BgL_bgl_string1191za700za7za7_1220za7, "&symmetric-key-algo-key-byte-len", 32 );
DEFINE_STRING( BGl_string1192z00zz__openpgpzd2algozd2, BgL_bgl_string1192za700za7za7_1221za7, "symmetric-key-algo-key-bit-len", 30 );
DEFINE_STRING( BGl_string1193z00zz__openpgpzd2algozd2, BgL_bgl_string1193za700za7za7_1222za7, "don't know ke size", 18 );
DEFINE_STRING( BGl_string1194z00zz__openpgpzd2algozd2, BgL_bgl_string1194za700za7za7_1223za7, "&symmetric-key-algo-key-bit-len", 31 );
DEFINE_STRING( BGl_string1195z00zz__openpgpzd2algozd2, BgL_bgl_string1195za700za7za7_1224za7, "&symmetric-key-algo-block-byte-len", 34 );
DEFINE_STRING( BGl_string1196z00zz__openpgpzd2algozd2, BgL_bgl_string1196za700za7za7_1225za7, "symmetric-key-algo-block-bit-len", 32 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_cast5zd2encryptzd2envz00zz__openpgpzd2algozd2, BgL_bgl_za762cast5za7d2encry1226z00, BGl_z62cast5zd2encryptzb0zz__openpgpzd2algozd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1197z00zz__openpgpzd2algozd2, BgL_bgl_string1197za700za7za7_1227za7, "&symmetric-key-algo-block-bit-len", 33 );
DEFINE_STRING( BGl_string1199z00zz__openpgpzd2algozd2, BgL_bgl_string1199za700za7za7_1228za7, "symmetric-key-algo->procedure", 29 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_ideazd2decryptzd2envz00zz__openpgpzd2algozd2, BgL_bgl_za762ideaza7d2decryp1229z00, BGl_z62ideazd2decryptzb0zz__openpgpzd2algozd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1198z00zz__openpgpzd2algozd2, BgL_bgl_za762za7c3za704anonymo1230za7, va_generic_entry, BGl_z62zc3z04anonymousza31113ze3ze5zz__openpgpzd2algozd2, BUNSPEC, -2 );
extern obj_t BGl_md5sumzd2binzd2envz00zz__openpgpzd2utilzd2;
extern obj_t BGl_sha1sumzd2binzd2envz00zz__openpgpzd2utilzd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_cast5zd2decryptzd2envz00zz__openpgpzd2algozd2, BgL_bgl_za762cast5za7d2decry1231z00, BGl_z62cast5zd2decryptzb0zz__openpgpzd2algozd2, 0L, BUNSPEC, 3 );
extern obj_t BGl_sha256sumzd2binzd2envz00zz__openpgpzd2utilzd2;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_symmetriczd2keyzd2algozd2blockzd2bytezd2lenzd2envz00zz__openpgpzd2algozd2, BgL_bgl_za762symmetricza7d2k1232z00, BGl_z62symmetriczd2keyzd2algozd2blockzd2bytezd2lenzb0zz__openpgpzd2algozd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_symmetriczd2keyzd2algozd2keyzd2bytezd2lenzd2envz00zz__openpgpzd2algozd2, BgL_bgl_za762symmetricza7d2k1233z00, BGl_z62symmetriczd2keyzd2algozd2keyzd2bytezd2lenzb0zz__openpgpzd2algozd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_hashzd2algozd2ze3procedurezd2envz31zz__openpgpzd2algozd2, BgL_bgl_za762hashza7d2algoza7d1234za7, BGl_z62hashzd2algozd2ze3procedurez81zz__openpgpzd2algozd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_des3zd2encryptzd2envz00zz__openpgpzd2algozd2, BgL_bgl_za762des3za7d2encryp1235z00, BGl_z62des3zd2encryptzb0zz__openpgpzd2algozd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_symmetriczd2keyzd2algozd2blockzd2bitzd2lenzd2envz00zz__openpgpzd2algozd2, BgL_bgl_za762symmetricza7d2k1236z00, BGl_z62symmetriczd2keyzd2algozd2blockzd2bitzd2lenzb0zz__openpgpzd2algozd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_idzd2envzd2zz__openpgpzd2algozd2, BgL_bgl_za762idza762za7za7__open1237z00, BGl_z62idz62zz__openpgpzd2algozd2, 0L, BUNSPEC, 1 );
extern obj_t BGl_sha512sumzd2binzd2envz00zz__openpgpzd2utilzd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_des3zd2decryptzd2envz00zz__openpgpzd2algozd2, BgL_bgl_za762des3za7d2decryp1238z00, BGl_z62des3zd2decryptzb0zz__openpgpzd2algozd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_symmetriczd2keyzd2algozd2keyzd2bitzd2lenzd2envz00zz__openpgpzd2algozd2, BgL_bgl_za762symmetricza7d2k1239z00, BGl_z62symmetriczd2keyzd2algozd2keyzd2bitzd2lenzb0zz__openpgpzd2algozd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1200z00zz__openpgpzd2algozd2, BgL_bgl_string1200za700za7za7_1240za7, "Algorithm not yet implemented", 29 );
DEFINE_STRING( BGl_string1202z00zz__openpgpzd2algozd2, BgL_bgl_string1202za700za7za7_1241za7, "&symmetric-key-algo->procedure", 30 );
DEFINE_STRING( BGl_string1203z00zz__openpgpzd2algozd2, BgL_bgl_string1203za700za7za7_1242za7, "__openpgp-algo", 14 );
DEFINE_STRING( BGl_string1204z00zz__openpgpzd2algozd2, BgL_bgl_string1204za700za7za7_1243za7, "aes cast-128 none cfb aes-256 aes-192 aes-128 safer-sk128 blowfish cast5 des3 idea unencrypted sha-512 sha512 sha-256 sha256 sha-1 sha1 md5 ", 140 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1201z00zz__openpgpzd2algozd2, BgL_bgl_za762za7c3za704anonymo1244za7, va_generic_entry, BGl_z62zc3z04anonymousza31120ze3ze5zz__openpgpzd2algozd2, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_aeszd2encryptzd2envz00zz__openpgpzd2algozd2, BgL_bgl_za762aesza7d2encrypt1245z00, BGl_z62aeszd2encryptzb0zz__openpgpzd2algozd2, 0L, BUNSPEC, 3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__openpgpzd2algozd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2algozd2(long BgL_checksumz00_380, char * BgL_fromz00_381)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__openpgpzd2algozd2))
{ 
BGl_requirezd2initializa7ationz75zz__openpgpzd2algozd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__openpgpzd2algozd2(); 
BGl_libraryzd2moduleszd2initz00zz__openpgpzd2algozd2(); 
BGl_cnstzd2initzd2zz__openpgpzd2algozd2(); 
BGl_importedzd2moduleszd2initz00zz__openpgpzd2algozd2(); 
return 
BGl_toplevelzd2initzd2zz__openpgpzd2algozd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2algozd2(void)
{
{ /* Llib/pgp_algo.scm 1 */
BGl_modulezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00(0L, "__openpgp-algo"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__openpgp-algo"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__openpgp-algo"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__openpgp-algo"); 
BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(0L, "__openpgp-algo"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__openpgp-algo"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__openpgp-algo"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__openpgp-algo"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__openpgpzd2algozd2(void)
{
{ /* Llib/pgp_algo.scm 1 */
{ /* Llib/pgp_algo.scm 1 */
 obj_t BgL_cportz00_353;
{ /* Llib/pgp_algo.scm 1 */
 obj_t BgL_stringz00_360;
BgL_stringz00_360 = BGl_string1204z00zz__openpgpzd2algozd2; 
{ /* Llib/pgp_algo.scm 1 */
 obj_t BgL_startz00_361;
BgL_startz00_361 = 
BINT(0L); 
{ /* Llib/pgp_algo.scm 1 */
 obj_t BgL_endz00_362;
BgL_endz00_362 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_360))); 
{ /* Llib/pgp_algo.scm 1 */

BgL_cportz00_353 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_360, BgL_startz00_361, BgL_endz00_362); } } } } 
{ 
 long BgL_iz00_354;
BgL_iz00_354 = 19L; 
BgL_loopz00_355:
if(
(BgL_iz00_354==-1L))
{ /* Llib/pgp_algo.scm 1 */
return BUNSPEC;}  else 
{ /* Llib/pgp_algo.scm 1 */
{ /* Llib/pgp_algo.scm 1 */
 obj_t BgL_arg1210z00_356;
{ /* Llib/pgp_algo.scm 1 */

{ /* Llib/pgp_algo.scm 1 */
 obj_t BgL_locationz00_358;
BgL_locationz00_358 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pgp_algo.scm 1 */

BgL_arg1210z00_356 = 
BGl_readz00zz__readerz00(BgL_cportz00_353, BgL_locationz00_358); } } } 
{ /* Llib/pgp_algo.scm 1 */
 int BgL_tmpz00_407;
BgL_tmpz00_407 = 
(int)(BgL_iz00_354); 
CNST_TABLE_SET(BgL_tmpz00_407, BgL_arg1210z00_356); } } 
{ /* Llib/pgp_algo.scm 1 */
 int BgL_auxz00_359;
BgL_auxz00_359 = 
(int)(
(BgL_iz00_354-1L)); 
{ 
 long BgL_iz00_412;
BgL_iz00_412 = 
(long)(BgL_auxz00_359); 
BgL_iz00_354 = BgL_iz00_412; 
goto BgL_loopz00_355;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2algozd2(void)
{
{ /* Llib/pgp_algo.scm 1 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__openpgpzd2algozd2(void)
{
{ /* Llib/pgp_algo.scm 1 */
BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(0L, 
BSTRING_TO_STRING(BGl_string1185z00zz__openpgpzd2algozd2)); 
return BFALSE;} 

}



/* hash-algo->procedure */
BGL_EXPORTED_DEF obj_t BGl_hashzd2algozd2ze3procedureze3zz__openpgpzd2algozd2(obj_t BgL_algoz00_3)
{
{ /* Llib/pgp_algo.scm 13 */
if(
(BgL_algoz00_3==
CNST_TABLE_REF(0L)))
{ /* Llib/pgp_algo.scm 14 */
return BGl_md5sumzd2binzd2envz00zz__openpgpzd2utilzd2;}  else 
{ /* Llib/pgp_algo.scm 14 */
 bool_t BgL_test1249z00_420;
{ /* Llib/pgp_algo.scm 14 */
 bool_t BgL__ortest_1060z00_73;
BgL__ortest_1060z00_73 = 
(BgL_algoz00_3==
CNST_TABLE_REF(1L)); 
if(BgL__ortest_1060z00_73)
{ /* Llib/pgp_algo.scm 14 */
BgL_test1249z00_420 = BgL__ortest_1060z00_73
; }  else 
{ /* Llib/pgp_algo.scm 14 */
BgL_test1249z00_420 = 
(BgL_algoz00_3==
CNST_TABLE_REF(2L))
; } } 
if(BgL_test1249z00_420)
{ /* Llib/pgp_algo.scm 14 */
return BGl_sha1sumzd2binzd2envz00zz__openpgpzd2utilzd2;}  else 
{ /* Llib/pgp_algo.scm 14 */
 bool_t BgL_test1251z00_426;
{ /* Llib/pgp_algo.scm 14 */
 bool_t BgL__ortest_1061z00_72;
BgL__ortest_1061z00_72 = 
(BgL_algoz00_3==
CNST_TABLE_REF(3L)); 
if(BgL__ortest_1061z00_72)
{ /* Llib/pgp_algo.scm 14 */
BgL_test1251z00_426 = BgL__ortest_1061z00_72
; }  else 
{ /* Llib/pgp_algo.scm 14 */
BgL_test1251z00_426 = 
(BgL_algoz00_3==
CNST_TABLE_REF(4L))
; } } 
if(BgL_test1251z00_426)
{ /* Llib/pgp_algo.scm 14 */
return BGl_sha256sumzd2binzd2envz00zz__openpgpzd2utilzd2;}  else 
{ /* Llib/pgp_algo.scm 14 */
 bool_t BgL_test1253z00_432;
{ /* Llib/pgp_algo.scm 14 */
 bool_t BgL__ortest_1062z00_71;
BgL__ortest_1062z00_71 = 
(BgL_algoz00_3==
CNST_TABLE_REF(5L)); 
if(BgL__ortest_1062z00_71)
{ /* Llib/pgp_algo.scm 14 */
BgL_test1253z00_432 = BgL__ortest_1062z00_71
; }  else 
{ /* Llib/pgp_algo.scm 14 */
BgL_test1253z00_432 = 
(BgL_algoz00_3==
CNST_TABLE_REF(6L))
; } } 
if(BgL_test1253z00_432)
{ /* Llib/pgp_algo.scm 14 */
return BGl_sha512sumzd2binzd2envz00zz__openpgpzd2utilzd2;}  else 
{ /* Llib/pgp_algo.scm 14 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string1186z00zz__openpgpzd2algozd2, BGl_string1187z00zz__openpgpzd2algozd2, 
BGl_hashzd2algozd2ze3humanzd2readablez31zz__openpgpzd2humanzd2(BgL_algoz00_3));} } } } } 

}



/* &hash-algo->procedure */
obj_t BGl_z62hashzd2algozd2ze3procedurez81zz__openpgpzd2algozd2(obj_t BgL_envz00_278, obj_t BgL_algoz00_279)
{
{ /* Llib/pgp_algo.scm 13 */
{ /* Llib/pgp_algo.scm 14 */
 obj_t BgL_auxz00_440;
if(
SYMBOLP(BgL_algoz00_279))
{ /* Llib/pgp_algo.scm 14 */
BgL_auxz00_440 = BgL_algoz00_279
; }  else 
{ 
 obj_t BgL_auxz00_443;
BgL_auxz00_443 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1188z00zz__openpgpzd2algozd2, 
BINT(515L), BGl_string1189z00zz__openpgpzd2algozd2, BGl_string1190z00zz__openpgpzd2algozd2, BgL_algoz00_279); 
FAILURE(BgL_auxz00_443,BFALSE,BFALSE);} 
return 
BGl_hashzd2algozd2ze3procedureze3zz__openpgpzd2algozd2(BgL_auxz00_440);} } 

}



/* symmetric-key-algo-key-byte-len */
BGL_EXPORTED_DEF long BGl_symmetriczd2keyzd2algozd2keyzd2bytezd2lenzd2zz__openpgpzd2algozd2(obj_t BgL_algoz00_4)
{
{ /* Llib/pgp_algo.scm 23 */
return 
(
BGl_symmetriczd2keyzd2algozd2keyzd2bitzd2lenzd2zz__openpgpzd2algozd2(BgL_algoz00_4)/8L);} 

}



/* &symmetric-key-algo-key-byte-len */
obj_t BGl_z62symmetriczd2keyzd2algozd2keyzd2bytezd2lenzb0zz__openpgpzd2algozd2(obj_t BgL_envz00_288, obj_t BgL_algoz00_289)
{
{ /* Llib/pgp_algo.scm 23 */
{ /* Llib/pgp_algo.scm 24 */
 long BgL_tmpz00_450;
{ /* Llib/pgp_algo.scm 24 */
 obj_t BgL_auxz00_451;
if(
SYMBOLP(BgL_algoz00_289))
{ /* Llib/pgp_algo.scm 24 */
BgL_auxz00_451 = BgL_algoz00_289
; }  else 
{ 
 obj_t BgL_auxz00_454;
BgL_auxz00_454 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1188z00zz__openpgpzd2algozd2, 
BINT(854L), BGl_string1191z00zz__openpgpzd2algozd2, BGl_string1190z00zz__openpgpzd2algozd2, BgL_algoz00_289); 
FAILURE(BgL_auxz00_454,BFALSE,BFALSE);} 
BgL_tmpz00_450 = 
BGl_symmetriczd2keyzd2algozd2keyzd2bytezd2lenzd2zz__openpgpzd2algozd2(BgL_auxz00_451); } 
return 
BINT(BgL_tmpz00_450);} } 

}



/* symmetric-key-algo-key-bit-len */
BGL_EXPORTED_DEF long BGl_symmetriczd2keyzd2algozd2keyzd2bitzd2lenzd2zz__openpgpzd2algozd2(obj_t BgL_algoz00_5)
{
{ /* Llib/pgp_algo.scm 26 */
if(
(BgL_algoz00_5==
CNST_TABLE_REF(7L)))
{ /* Llib/pgp_algo.scm 27 */
return 0L;}  else 
{ /* Llib/pgp_algo.scm 27 */
if(
(BgL_algoz00_5==
CNST_TABLE_REF(8L)))
{ /* Llib/pgp_algo.scm 27 */
return 128L;}  else 
{ /* Llib/pgp_algo.scm 27 */
if(
(BgL_algoz00_5==
CNST_TABLE_REF(9L)))
{ /* Llib/pgp_algo.scm 27 */
return 192L;}  else 
{ /* Llib/pgp_algo.scm 27 */
if(
(BgL_algoz00_5==
CNST_TABLE_REF(10L)))
{ /* Llib/pgp_algo.scm 27 */
return 128L;}  else 
{ /* Llib/pgp_algo.scm 27 */
if(
(BgL_algoz00_5==
CNST_TABLE_REF(11L)))
{ /* Llib/pgp_algo.scm 27 */
return 128L;}  else 
{ /* Llib/pgp_algo.scm 27 */
if(
(BgL_algoz00_5==
CNST_TABLE_REF(12L)))
{ /* Llib/pgp_algo.scm 27 */
return 128L;}  else 
{ /* Llib/pgp_algo.scm 27 */
if(
(BgL_algoz00_5==
CNST_TABLE_REF(13L)))
{ /* Llib/pgp_algo.scm 27 */
return 128L;}  else 
{ /* Llib/pgp_algo.scm 27 */
if(
(BgL_algoz00_5==
CNST_TABLE_REF(14L)))
{ /* Llib/pgp_algo.scm 27 */
return 192L;}  else 
{ /* Llib/pgp_algo.scm 27 */
if(
(BgL_algoz00_5==
CNST_TABLE_REF(15L)))
{ /* Llib/pgp_algo.scm 27 */
return 256L;}  else 
{ /* Llib/pgp_algo.scm 40 */
 obj_t BgL_arg1099z00_85;
BgL_arg1099z00_85 = 
BGl_symmetriczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(BgL_algoz00_5); 
return 
(long)CINT(
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string1192z00zz__openpgpzd2algozd2, BGl_string1193z00zz__openpgpzd2algozd2, BgL_arg1099z00_85));} } } } } } } } } } 

}



/* &symmetric-key-algo-key-bit-len */
obj_t BGl_z62symmetriczd2keyzd2algozd2keyzd2bitzd2lenzb0zz__openpgpzd2algozd2(obj_t BgL_envz00_290, obj_t BgL_algoz00_291)
{
{ /* Llib/pgp_algo.scm 26 */
{ /* Llib/pgp_algo.scm 27 */
 long BgL_tmpz00_490;
{ /* Llib/pgp_algo.scm 27 */
 obj_t BgL_auxz00_491;
if(
SYMBOLP(BgL_algoz00_291))
{ /* Llib/pgp_algo.scm 27 */
BgL_auxz00_491 = BgL_algoz00_291
; }  else 
{ 
 obj_t BgL_auxz00_494;
BgL_auxz00_494 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1188z00zz__openpgpzd2algozd2, 
BINT(952L), BGl_string1194z00zz__openpgpzd2algozd2, BGl_string1190z00zz__openpgpzd2algozd2, BgL_algoz00_291); 
FAILURE(BgL_auxz00_494,BFALSE,BFALSE);} 
BgL_tmpz00_490 = 
BGl_symmetriczd2keyzd2algozd2keyzd2bitzd2lenzd2zz__openpgpzd2algozd2(BgL_auxz00_491); } 
return 
BINT(BgL_tmpz00_490);} } 

}



/* symmetric-key-algo-block-byte-len */
BGL_EXPORTED_DEF long BGl_symmetriczd2keyzd2algozd2blockzd2bytezd2lenzd2zz__openpgpzd2algozd2(obj_t BgL_algoz00_6)
{
{ /* Llib/pgp_algo.scm 42 */
return 
(
BGl_symmetriczd2keyzd2algozd2blockzd2bitzd2lenzd2zz__openpgpzd2algozd2(BgL_algoz00_6)/8L);} 

}



/* &symmetric-key-algo-block-byte-len */
obj_t BGl_z62symmetriczd2keyzd2algozd2blockzd2bytezd2lenzb0zz__openpgpzd2algozd2(obj_t BgL_envz00_292, obj_t BgL_algoz00_293)
{
{ /* Llib/pgp_algo.scm 42 */
{ /* Llib/pgp_algo.scm 43 */
 long BgL_tmpz00_502;
{ /* Llib/pgp_algo.scm 43 */
 obj_t BgL_auxz00_503;
if(
SYMBOLP(BgL_algoz00_293))
{ /* Llib/pgp_algo.scm 43 */
BgL_auxz00_503 = BgL_algoz00_293
; }  else 
{ 
 obj_t BgL_auxz00_506;
BgL_auxz00_506 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1188z00zz__openpgpzd2algozd2, 
BINT(1372L), BGl_string1195z00zz__openpgpzd2algozd2, BGl_string1190z00zz__openpgpzd2algozd2, BgL_algoz00_293); 
FAILURE(BgL_auxz00_506,BFALSE,BFALSE);} 
BgL_tmpz00_502 = 
BGl_symmetriczd2keyzd2algozd2blockzd2bytezd2lenzd2zz__openpgpzd2algozd2(BgL_auxz00_503); } 
return 
BINT(BgL_tmpz00_502);} } 

}



/* symmetric-key-algo-block-bit-len */
BGL_EXPORTED_DEF long BGl_symmetriczd2keyzd2algozd2blockzd2bitzd2lenzd2zz__openpgpzd2algozd2(obj_t BgL_algoz00_7)
{
{ /* Llib/pgp_algo.scm 45 */
if(
(BgL_algoz00_7==
CNST_TABLE_REF(7L)))
{ /* Llib/pgp_algo.scm 46 */
return 0L;}  else 
{ /* Llib/pgp_algo.scm 46 */
if(
(BgL_algoz00_7==
CNST_TABLE_REF(8L)))
{ /* Llib/pgp_algo.scm 46 */
return 64L;}  else 
{ /* Llib/pgp_algo.scm 46 */
if(
(BgL_algoz00_7==
CNST_TABLE_REF(9L)))
{ /* Llib/pgp_algo.scm 46 */
return 64L;}  else 
{ /* Llib/pgp_algo.scm 46 */
if(
(BgL_algoz00_7==
CNST_TABLE_REF(10L)))
{ /* Llib/pgp_algo.scm 46 */
return 64L;}  else 
{ /* Llib/pgp_algo.scm 46 */
if(
(BgL_algoz00_7==
CNST_TABLE_REF(11L)))
{ /* Llib/pgp_algo.scm 46 */
return 64L;}  else 
{ /* Llib/pgp_algo.scm 46 */
if(
(BgL_algoz00_7==
CNST_TABLE_REF(12L)))
{ /* Llib/pgp_algo.scm 46 */
return 128L;}  else 
{ /* Llib/pgp_algo.scm 46 */
if(
(BgL_algoz00_7==
CNST_TABLE_REF(13L)))
{ /* Llib/pgp_algo.scm 46 */
return 128L;}  else 
{ /* Llib/pgp_algo.scm 46 */
if(
(BgL_algoz00_7==
CNST_TABLE_REF(14L)))
{ /* Llib/pgp_algo.scm 46 */
return 128L;}  else 
{ /* Llib/pgp_algo.scm 46 */
if(
(BgL_algoz00_7==
CNST_TABLE_REF(15L)))
{ /* Llib/pgp_algo.scm 46 */
return 128L;}  else 
{ /* Llib/pgp_algo.scm 59 */
 obj_t BgL_arg1111z00_97;
BgL_arg1111z00_97 = 
BGl_symmetriczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(BgL_algoz00_7); 
return 
(long)CINT(
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string1196z00zz__openpgpzd2algozd2, BGl_string1193z00zz__openpgpzd2algozd2, BgL_arg1111z00_97));} } } } } } } } } } 

}



/* &symmetric-key-algo-block-bit-len */
obj_t BGl_z62symmetriczd2keyzd2algozd2blockzd2bitzd2lenzb0zz__openpgpzd2algozd2(obj_t BgL_envz00_294, obj_t BgL_algoz00_295)
{
{ /* Llib/pgp_algo.scm 45 */
{ /* Llib/pgp_algo.scm 46 */
 long BgL_tmpz00_542;
{ /* Llib/pgp_algo.scm 46 */
 obj_t BgL_auxz00_543;
if(
SYMBOLP(BgL_algoz00_295))
{ /* Llib/pgp_algo.scm 46 */
BgL_auxz00_543 = BgL_algoz00_295
; }  else 
{ 
 obj_t BgL_auxz00_546;
BgL_auxz00_546 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1188z00zz__openpgpzd2algozd2, 
BINT(1474L), BGl_string1197z00zz__openpgpzd2algozd2, BGl_string1190z00zz__openpgpzd2algozd2, BgL_algoz00_295); 
FAILURE(BgL_auxz00_546,BFALSE,BFALSE);} 
BgL_tmpz00_542 = 
BGl_symmetriczd2keyzd2algozd2blockzd2bitzd2lenzd2zz__openpgpzd2algozd2(BgL_auxz00_543); } 
return 
BINT(BgL_tmpz00_542);} } 

}



/* &id */
obj_t BGl_z62idz62zz__openpgpzd2algozd2(obj_t BgL_envz00_296, obj_t BgL_xz00_297)
{
{ /* Llib/pgp_algo.scm 61 */
return BgL_xz00_297;} 

}



/* &idea-encrypt */
obj_t BGl_z62ideazd2encryptzb0zz__openpgpzd2algozd2(obj_t BgL_envz00_298, obj_t BgL_strz00_299, obj_t BgL_ivz00_300, obj_t BgL_pwdz00_301)
{
{ /* Llib/pgp_algo.scm 62 */
{ /* Llib/pgp_algo.scm 63 */
 obj_t BgL_modez00_364;
BgL_modez00_364 = 
CNST_TABLE_REF(16L); 
{ /* Llib/pgp_algo.scm 63 */
 obj_t BgL_padz00_365;
BgL_padz00_365 = 
CNST_TABLE_REF(17L); 
return 
BGl_encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(
CNST_TABLE_REF(8L), BgL_strz00_299, BgL_pwdz00_301, BgL_ivz00_300, BgL_modez00_364, BFALSE, BFALSE, BgL_padz00_365, BGl_idzd2envzd2zz__openpgpzd2algozd2);} } } 

}



/* &des3-encrypt */
obj_t BGl_z62des3zd2encryptzb0zz__openpgpzd2algozd2(obj_t BgL_envz00_302, obj_t BgL_strz00_303, obj_t BgL_ivz00_304, obj_t BgL_pwdz00_305)
{
{ /* Llib/pgp_algo.scm 64 */
{ /* Llib/pgp_algo.scm 65 */
 obj_t BgL_modez00_366;
BgL_modez00_366 = 
CNST_TABLE_REF(16L); 
{ /* Llib/pgp_algo.scm 65 */
 obj_t BgL_padz00_367;
BgL_padz00_367 = 
CNST_TABLE_REF(17L); 
return 
BGl_encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(
CNST_TABLE_REF(9L), BgL_strz00_303, BgL_pwdz00_305, BgL_ivz00_304, BgL_modez00_366, BFALSE, BFALSE, BgL_padz00_367, BGl_idzd2envzd2zz__openpgpzd2algozd2);} } } 

}



/* &cast5-encrypt */
obj_t BGl_z62cast5zd2encryptzb0zz__openpgpzd2algozd2(obj_t BgL_envz00_306, obj_t BgL_strz00_307, obj_t BgL_ivz00_308, obj_t BgL_pwdz00_309)
{
{ /* Llib/pgp_algo.scm 66 */
{ /* Llib/pgp_algo.scm 67 */
 obj_t BgL_modez00_368;
BgL_modez00_368 = 
CNST_TABLE_REF(16L); 
{ /* Llib/pgp_algo.scm 67 */
 obj_t BgL_padz00_369;
BgL_padz00_369 = 
CNST_TABLE_REF(17L); 
return 
BGl_encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(
CNST_TABLE_REF(18L), BgL_strz00_307, BgL_pwdz00_309, BgL_ivz00_308, BgL_modez00_368, BFALSE, BFALSE, BgL_padz00_369, BGl_idzd2envzd2zz__openpgpzd2algozd2);} } } 

}



/* &aes-encrypt */
obj_t BGl_z62aeszd2encryptzb0zz__openpgpzd2algozd2(obj_t BgL_envz00_310, obj_t BgL_strz00_311, obj_t BgL_ivz00_312, obj_t BgL_pwdz00_313)
{
{ /* Llib/pgp_algo.scm 68 */
{ /* Llib/pgp_algo.scm 69 */
 obj_t BgL_modez00_370;
BgL_modez00_370 = 
CNST_TABLE_REF(16L); 
{ /* Llib/pgp_algo.scm 69 */
 obj_t BgL_padz00_371;
BgL_padz00_371 = 
CNST_TABLE_REF(17L); 
return 
BGl_encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(
CNST_TABLE_REF(19L), BgL_strz00_311, BgL_pwdz00_313, BgL_ivz00_312, BgL_modez00_370, BFALSE, BFALSE, BgL_padz00_371, BGl_idzd2envzd2zz__openpgpzd2algozd2);} } } 

}



/* &idea-decrypt */
obj_t BGl_z62ideazd2decryptzb0zz__openpgpzd2algozd2(obj_t BgL_envz00_314, obj_t BgL_strz00_315, obj_t BgL_ivz00_316, obj_t BgL_pwdz00_317)
{
{ /* Llib/pgp_algo.scm 70 */
{ /* Llib/pgp_algo.scm 71 */
 obj_t BgL_modez00_372;
BgL_modez00_372 = 
CNST_TABLE_REF(16L); 
{ /* Llib/pgp_algo.scm 71 */
 obj_t BgL_padz00_373;
BgL_padz00_373 = 
CNST_TABLE_REF(17L); 
return 
BGl_decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(
CNST_TABLE_REF(8L), BgL_strz00_315, BgL_pwdz00_317, BgL_ivz00_316, BgL_modez00_372, BFALSE, BFALSE, BgL_padz00_373, BGl_idzd2envzd2zz__openpgpzd2algozd2);} } } 

}



/* &des3-decrypt */
obj_t BGl_z62des3zd2decryptzb0zz__openpgpzd2algozd2(obj_t BgL_envz00_318, obj_t BgL_strz00_319, obj_t BgL_ivz00_320, obj_t BgL_pwdz00_321)
{
{ /* Llib/pgp_algo.scm 72 */
{ /* Llib/pgp_algo.scm 77 */
 obj_t BgL_modez00_374;
BgL_modez00_374 = 
CNST_TABLE_REF(16L); 
{ /* Llib/pgp_algo.scm 77 */
 obj_t BgL_padz00_375;
BgL_padz00_375 = 
CNST_TABLE_REF(17L); 
return 
BGl_decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(
CNST_TABLE_REF(9L), BgL_strz00_319, BgL_pwdz00_321, BgL_ivz00_320, BgL_modez00_374, BFALSE, BFALSE, BgL_padz00_375, BGl_idzd2envzd2zz__openpgpzd2algozd2);} } } 

}



/* &cast5-decrypt */
obj_t BGl_z62cast5zd2decryptzb0zz__openpgpzd2algozd2(obj_t BgL_envz00_322, obj_t BgL_strz00_323, obj_t BgL_ivz00_324, obj_t BgL_pwdz00_325)
{
{ /* Llib/pgp_algo.scm 78 */
{ /* Llib/pgp_algo.scm 79 */
 obj_t BgL_modez00_376;
BgL_modez00_376 = 
CNST_TABLE_REF(16L); 
{ /* Llib/pgp_algo.scm 79 */
 obj_t BgL_padz00_377;
BgL_padz00_377 = 
CNST_TABLE_REF(17L); 
return 
BGl_decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(
CNST_TABLE_REF(18L), BgL_strz00_323, BgL_pwdz00_325, BgL_ivz00_324, BgL_modez00_376, BFALSE, BFALSE, BgL_padz00_377, BGl_idzd2envzd2zz__openpgpzd2algozd2);} } } 

}



/* &aes-decrypt */
obj_t BGl_z62aeszd2decryptzb0zz__openpgpzd2algozd2(obj_t BgL_envz00_326, obj_t BgL_strz00_327, obj_t BgL_ivz00_328, obj_t BgL_pwdz00_329)
{
{ /* Llib/pgp_algo.scm 80 */
{ /* Llib/pgp_algo.scm 85 */
 obj_t BgL_modez00_378;
BgL_modez00_378 = 
CNST_TABLE_REF(16L); 
{ /* Llib/pgp_algo.scm 85 */
 obj_t BgL_padz00_379;
BgL_padz00_379 = 
CNST_TABLE_REF(17L); 
return 
BGl_decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(
CNST_TABLE_REF(19L), BgL_strz00_327, BgL_pwdz00_329, BgL_ivz00_328, BgL_modez00_378, BFALSE, BFALSE, BgL_padz00_379, BGl_idzd2envzd2zz__openpgpzd2algozd2);} } } 

}



/* symmetric-key-algo->procedure */
BGL_EXPORTED_DEF obj_t BGl_symmetriczd2keyzd2algozd2ze3procedurez31zz__openpgpzd2algozd2(obj_t BgL_algoz00_33, bool_t BgL_encryptzf3zf3_34)
{
{ /* Llib/pgp_algo.scm 87 */
if(BgL_encryptzf3zf3_34)
{ /* Llib/pgp_algo.scm 88 */
if(
(BgL_algoz00_33==
CNST_TABLE_REF(7L)))
{ /* Llib/pgp_algo.scm 89 */
return BGl_proc1198z00zz__openpgpzd2algozd2;}  else 
{ /* Llib/pgp_algo.scm 89 */
if(
(BgL_algoz00_33==
CNST_TABLE_REF(8L)))
{ /* Llib/pgp_algo.scm 89 */
return BGl_ideazd2encryptzd2envz00zz__openpgpzd2algozd2;}  else 
{ /* Llib/pgp_algo.scm 89 */
if(
(BgL_algoz00_33==
CNST_TABLE_REF(9L)))
{ /* Llib/pgp_algo.scm 89 */
return BGl_des3zd2encryptzd2envz00zz__openpgpzd2algozd2;}  else 
{ /* Llib/pgp_algo.scm 89 */
if(
(BgL_algoz00_33==
CNST_TABLE_REF(10L)))
{ /* Llib/pgp_algo.scm 89 */
return BGl_cast5zd2encryptzd2envz00zz__openpgpzd2algozd2;}  else 
{ /* Llib/pgp_algo.scm 89 */
 bool_t BgL_test1291z00_597;
{ /* Llib/pgp_algo.scm 89 */
 bool_t BgL__ortest_1063z00_158;
BgL__ortest_1063z00_158 = 
(BgL_algoz00_33==
CNST_TABLE_REF(13L)); 
if(BgL__ortest_1063z00_158)
{ /* Llib/pgp_algo.scm 89 */
BgL_test1291z00_597 = BgL__ortest_1063z00_158
; }  else 
{ /* Llib/pgp_algo.scm 89 */
 bool_t BgL__ortest_1064z00_159;
BgL__ortest_1064z00_159 = 
(BgL_algoz00_33==
CNST_TABLE_REF(14L)); 
if(BgL__ortest_1064z00_159)
{ /* Llib/pgp_algo.scm 89 */
BgL_test1291z00_597 = BgL__ortest_1064z00_159
; }  else 
{ /* Llib/pgp_algo.scm 89 */
BgL_test1291z00_597 = 
(BgL_algoz00_33==
CNST_TABLE_REF(15L))
; } } } 
if(BgL_test1291z00_597)
{ /* Llib/pgp_algo.scm 89 */
return BGl_aeszd2encryptzd2envz00zz__openpgpzd2algozd2;}  else 
{ /* Llib/pgp_algo.scm 89 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string1199z00zz__openpgpzd2algozd2, BGl_string1200z00zz__openpgpzd2algozd2, 
BGl_symmetriczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(BgL_algoz00_33));} } } } } }  else 
{ /* Llib/pgp_algo.scm 88 */
if(
(BgL_algoz00_33==
CNST_TABLE_REF(7L)))
{ /* Llib/pgp_algo.scm 104 */
return BGl_proc1201z00zz__openpgpzd2algozd2;}  else 
{ /* Llib/pgp_algo.scm 104 */
if(
(BgL_algoz00_33==
CNST_TABLE_REF(8L)))
{ /* Llib/pgp_algo.scm 104 */
return BGl_ideazd2decryptzd2envz00zz__openpgpzd2algozd2;}  else 
{ /* Llib/pgp_algo.scm 104 */
if(
(BgL_algoz00_33==
CNST_TABLE_REF(9L)))
{ /* Llib/pgp_algo.scm 104 */
return BGl_des3zd2decryptzd2envz00zz__openpgpzd2algozd2;}  else 
{ /* Llib/pgp_algo.scm 104 */
if(
(BgL_algoz00_33==
CNST_TABLE_REF(10L)))
{ /* Llib/pgp_algo.scm 104 */
return BGl_cast5zd2decryptzd2envz00zz__openpgpzd2algozd2;}  else 
{ /* Llib/pgp_algo.scm 104 */
 bool_t BgL_test1301z00_620;
{ /* Llib/pgp_algo.scm 104 */
 bool_t BgL__ortest_1065z00_172;
BgL__ortest_1065z00_172 = 
(BgL_algoz00_33==
CNST_TABLE_REF(13L)); 
if(BgL__ortest_1065z00_172)
{ /* Llib/pgp_algo.scm 104 */
BgL_test1301z00_620 = BgL__ortest_1065z00_172
; }  else 
{ /* Llib/pgp_algo.scm 104 */
 bool_t BgL__ortest_1066z00_173;
BgL__ortest_1066z00_173 = 
(BgL_algoz00_33==
CNST_TABLE_REF(14L)); 
if(BgL__ortest_1066z00_173)
{ /* Llib/pgp_algo.scm 104 */
BgL_test1301z00_620 = BgL__ortest_1066z00_173
; }  else 
{ /* Llib/pgp_algo.scm 104 */
BgL_test1301z00_620 = 
(BgL_algoz00_33==
CNST_TABLE_REF(15L))
; } } } 
if(BgL_test1301z00_620)
{ /* Llib/pgp_algo.scm 104 */
return BGl_aeszd2decryptzd2envz00zz__openpgpzd2algozd2;}  else 
{ /* Llib/pgp_algo.scm 104 */
return 
BGl_openpgpzd2errorzd2zz__openpgpzd2errorzd2(BGl_string1199z00zz__openpgpzd2algozd2, BGl_string1200z00zz__openpgpzd2algozd2, 
BGl_symmetriczd2keyzd2algozd2ze3humanzd2readableze3zz__openpgpzd2humanzd2(BgL_algoz00_33));} } } } } } } 

}



/* &symmetric-key-algo->procedure */
obj_t BGl_z62symmetriczd2keyzd2algozd2ze3procedurez53zz__openpgpzd2algozd2(obj_t BgL_envz00_332, obj_t BgL_algoz00_333, obj_t BgL_encryptzf3zf3_334)
{
{ /* Llib/pgp_algo.scm 87 */
{ /* Llib/pgp_algo.scm 88 */
 obj_t BgL_auxz00_631;
if(
SYMBOLP(BgL_algoz00_333))
{ /* Llib/pgp_algo.scm 88 */
BgL_auxz00_631 = BgL_algoz00_333
; }  else 
{ 
 obj_t BgL_auxz00_634;
BgL_auxz00_634 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1188z00zz__openpgpzd2algozd2, 
BINT(3170L), BGl_string1202z00zz__openpgpzd2algozd2, BGl_string1190z00zz__openpgpzd2algozd2, BgL_algoz00_333); 
FAILURE(BgL_auxz00_634,BFALSE,BFALSE);} 
return 
BGl_symmetriczd2keyzd2algozd2ze3procedurez31zz__openpgpzd2algozd2(BgL_auxz00_631, 
CBOOL(BgL_encryptzf3zf3_334));} } 

}



/* &<@anonymous:1113> */
obj_t BGl_z62zc3z04anonymousza31113ze3ze5zz__openpgpzd2algozd2(obj_t BgL_envz00_335, obj_t BgL_xz00_336, obj_t BgL_lz00_337)
{
{ /* Llib/pgp_algo.scm 90 */
return BgL_xz00_336;} 

}



/* &<@anonymous:1120> */
obj_t BGl_z62zc3z04anonymousza31120ze3ze5zz__openpgpzd2algozd2(obj_t BgL_envz00_338, obj_t BgL_xz00_339, obj_t BgL_lz00_340)
{
{ /* Llib/pgp_algo.scm 105 */
return BgL_xz00_339;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__openpgpzd2algozd2(void)
{
{ /* Llib/pgp_algo.scm 1 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__openpgpzd2algozd2(void)
{
{ /* Llib/pgp_algo.scm 1 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__openpgpzd2algozd2(void)
{
{ /* Llib/pgp_algo.scm 1 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2algozd2(void)
{
{ /* Llib/pgp_algo.scm 1 */
BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(486475050L, 
BSTRING_TO_STRING(BGl_string1203z00zz__openpgpzd2algozd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2humanzd2(524611842L, 
BSTRING_TO_STRING(BGl_string1203z00zz__openpgpzd2algozd2)); 
return 
BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(364974745L, 
BSTRING_TO_STRING(BGl_string1203z00zz__openpgpzd2algozd2));} 

}

#ifdef __cplusplus
}
#endif
