/*===========================================================================*/
/*   (Llib/pthread.scm)                                                      */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -unsafe -safee -copt -fPIC -copt -IPosix Llib/pthread.scm -o objs/objs_u/pthread.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <bglpthread.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___PTH_THREAD_TYPE_DEFINITIONS
#define BGL___PTH_THREAD_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_z62threadzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62threadzd2errorzb0_bglt;

typedef struct BgL_uncaughtzd2exceptionzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_reasonz00;
} *BgL_uncaughtzd2exceptionzd2_bglt;

typedef struct BgL_terminatedzd2threadzd2exceptionz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_terminatedzd2threadzd2exceptionz00_bglt;


#endif // BGL___PTH_THREAD_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

extern void * bglpth_thread_new(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
extern obj_t BGl_pthreadzd2setupzd2backendz12z12zz__pth_backendz00(void);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31203ze3ze5zz__pth_threadz00(obj_t);
static obj_t BGl_zc3z04exitza31375ze3ze70z60zz__pth_threadz00(obj_t, obj_t, BgL_pthreadz00_bglt);
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
extern bool_t bglpth_thread_terminate(void *);
static obj_t BGl_toplevelzd2initzd2zz__pth_threadz00(void);
BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL void * BGl_z42pthreadzd2nilz90zz__pth_threadz00(void);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectzd2displayzd2zz__objectz00(BgL_objectz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__pth_threadz00(void);
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_zc3z04exitza31376ze3ze70z60zz__pth_threadz00(BgL_pthreadz00_bglt);
static obj_t BGl_z62threadzd2terminatez12zd2pt1155z70zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__pth_threadz00(void);
BGL_IMPORT obj_t BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(bool_t);
BGL_EXPORTED_DEF obj_t BGl_pthreadz00zz__pth_threadz00 = BUNSPEC;
static obj_t BGl_z62threadzd2specificzd2pthr1159z62zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_z62exceptionz62zz__objectz00;
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3z04anonymousza31314ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectzd2printzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t BGl_z62threadzd2joinz12zd2pthread1153z70zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31242ze3ze5zz__pth_threadz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31234ze3ze5zz__pth_threadz00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__pth_threadz00(void);
extern int bglpth_thread_kill(void *, int);
BGL_IMPORT obj_t BGl_objectzd2writezd2zz__objectz00(BgL_objectz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza31219ze3ze5zz__pth_threadz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62threadzd2errorzb0zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t bgl_typeof(obj_t);
extern void bglpth_thread_start(void *, obj_t, bool_t);
extern void bglpth_thread_setname(void *, obj_t);
static obj_t BGl_z62zc3z04anonymousza31342ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31270ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62objectzd2printzd2uncaugh1143z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_uncaughtzd2exceptionzd2zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_signalz00zz__osz00(int, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1201z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1202z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2killz12zd2pthread1157z70zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1217z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1218z62zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31524ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31184ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
extern int sched_yield(void);
static obj_t BGl_z62threadzd2initializa7ez12zd2p1147zd7zz__pth_threadz00(obj_t, obj_t);
static BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1312z62zz__pth_threadz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31371ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1232z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31444ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1233z62zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__pth_backendz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
static obj_t BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00(obj_t);
static obj_t BGl_z62lambda1320z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1240z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1321z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1241z62zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static obj_t BGl_z62threadzd2namezd2setz12zd2pth1169za2zz__pth_threadz00(obj_t, obj_t, obj_t);
static BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1337z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t);
static BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1339z62zz__pth_threadz00(obj_t);
static BgL_pthreadz00_bglt BGl_z62lambda1179z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern void bglpth_thread_join(void *, obj_t);
static BgL_pthreadz00_bglt BGl_z62lambda1182z62zz__pth_threadz00(obj_t);
static BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1265z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1267z62zz__pth_threadz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__pth_threadz00(void);
static obj_t BGl_z62lambda1189z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__pth_threadz00(void);
BGL_IMPORT bool_t BGl_bigloozd2initializa7edzf3z86zz__paramz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__pth_threadz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__pth_threadz00(void);
static obj_t BGl_z62lambda1190z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2startz12zd2pthrea1149z70zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62objectzd2writezd2uncaugh1139z62zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62threadzd2specificzd2setz121161z70zz__pth_threadz00(obj_t, obj_t, obj_t);
static BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1297z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
extern obj_t bglpth_thread_getname(void *);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2cleanupzd2setz12zd21165za2zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bz62zz__pth_threadz00(obj_t);
static obj_t BGl_z62threadzd2cleanupzd2pthre1163z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62objectzd2displayzd2uncau1141z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2namezd2pthread1167z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62z52userzd2threadzd2yieldz12zd21145zf0zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
static obj_t BGl_z62threadzd2startzd2joinabl1151z62zz__pth_threadz00(obj_t, obj_t);
static obj_t __cnst[ 18 ] ;


BGL_IMPORT obj_t BGl_threadzd2namezd2envz00zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2cleanupzd2envz00zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2startz12zd2envz12zz__threadz00;
BGL_IMPORT obj_t BGl_objectzd2writezd2envz00zz__objectz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1708z00zz__pth_threadz00, BgL_bgl_za762lambda1190za7621779z00, BGl_z62lambda1190z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1709z00zz__pth_threadz00, BgL_bgl_za762lambda1189za7621780z00, BGl_z62lambda1189z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1710z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1781za7, BGl_z62zc3z04anonymousza31203ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1711z00zz__pth_threadz00, BgL_bgl_za762lambda1202za7621782z00, BGl_z62lambda1202z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1712z00zz__pth_threadz00, BgL_bgl_za762lambda1201za7621783z00, BGl_z62lambda1201z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1713z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1784za7, BGl_z62zc3z04anonymousza31219ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1714z00zz__pth_threadz00, BgL_bgl_za762lambda1218za7621785z00, BGl_z62lambda1218z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1715z00zz__pth_threadz00, BgL_bgl_za762lambda1217za7621786z00, BGl_z62lambda1217z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1716z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1787za7, BGl_z62zc3z04anonymousza31234ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1717z00zz__pth_threadz00, BgL_bgl_za762lambda1233za7621788z00, BGl_z62lambda1233z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1718z00zz__pth_threadz00, BgL_bgl_za762lambda1232za7621789z00, BGl_z62lambda1232z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1719z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1790za7, BGl_z62zc3z04anonymousza31242ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
BGL_IMPORT obj_t BGl_threadzd2joinz12zd2envz12zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1720z00zz__pth_threadz00, BgL_bgl_za762lambda1241za7621791z00, BGl_z62lambda1241z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1721z00zz__pth_threadz00, BgL_bgl_za762lambda1240za7621792z00, BGl_z62lambda1240z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1722z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1793za7, BGl_z62zc3z04anonymousza31184ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1723z00zz__pth_threadz00, BgL_bgl_za762lambda1182za7621794z00, BGl_z62lambda1182z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1724z00zz__pth_threadz00, BgL_bgl_za762lambda1179za7621795z00, BGl_z62lambda1179z62zz__pth_threadz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1725z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1796za7, BGl_z62zc3z04anonymousza31270ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1726z00zz__pth_threadz00, BgL_bgl_za762lambda1267za7621797z00, BGl_z62lambda1267z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1727z00zz__pth_threadz00, BgL_bgl_za762lambda1265za7621798z00, BGl_z62lambda1265z62zz__pth_threadz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1728z00zz__pth_threadz00, BgL_bgl_za762lambda1321za7621799z00, BGl_z62lambda1321z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1729z00zz__pth_threadz00, BgL_bgl_za762lambda1320za7621800z00, BGl_z62lambda1320z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1737z00zz__pth_threadz00, BgL_bgl_string1737za700za7za7_1801za7, "object-write", 12 );
DEFINE_STRING( BGl_string1739z00zz__pth_threadz00, BgL_bgl_string1739za700za7za7_1802za7, "object-display", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1730z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1803za7, BGl_z62zc3z04anonymousza31314ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1731z00zz__pth_threadz00, BgL_bgl_za762lambda1312za7621804z00, BGl_z62lambda1312z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1732z00zz__pth_threadz00, BgL_bgl_za762lambda1297za7621805z00, BGl_z62lambda1297z62zz__pth_threadz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1733z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1806za7, BGl_z62zc3z04anonymousza31342ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1734z00zz__pth_threadz00, BgL_bgl_za762lambda1339za7621807z00, BGl_z62lambda1339z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1741z00zz__pth_threadz00, BgL_bgl_string1741za700za7za7_1808za7, "object-print", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1735z00zz__pth_threadz00, BgL_bgl_za762lambda1337za7621809z00, BGl_z62lambda1337z62zz__pth_threadz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1736z00zz__pth_threadz00, BgL_bgl_za762objectza7d2writ1810z00, va_generic_entry, BGl_z62objectzd2writezd2uncaugh1139z62zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1743z00zz__pth_threadz00, BgL_bgl_string1743za700za7za7_1811za7, "%user-thread-yield!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1738z00zz__pth_threadz00, BgL_bgl_za762objectza7d2disp1812z00, va_generic_entry, BGl_z62objectzd2displayzd2uncau1141z62zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1745z00zz__pth_threadz00, BgL_bgl_string1745za700za7za7_1813za7, "thread-initialize!", 18 );
DEFINE_STRING( BGl_string1747z00zz__pth_threadz00, BgL_bgl_string1747za700za7za7_1814za7, "thread-start!", 13 );
DEFINE_STRING( BGl_string1749z00zz__pth_threadz00, BgL_bgl_string1749za700za7za7_1815za7, "thread-start-joinable!", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1740z00zz__pth_threadz00, BgL_bgl_za762objectza7d2prin1816z00, BGl_z62objectzd2printzd2uncaugh1143z62zz__pth_threadz00, 0L, BUNSPEC, 3 );
BGL_IMPORT obj_t BGl_threadzd2specificzd2envz00zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1742z00zz__pth_threadz00, BgL_bgl_za762za752userza7d2thr1817za7, BGl_z62z52userzd2threadzd2yieldz12zd21145zf0zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1744z00zz__pth_threadz00, BgL_bgl_za762threadza7d2init1818z00, BGl_z62threadzd2initializa7ez12zd2p1147zd7zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1751z00zz__pth_threadz00, BgL_bgl_string1751za700za7za7_1819za7, "thread-join!", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1746z00zz__pth_threadz00, BgL_bgl_za762threadza7d2star1820z00, va_generic_entry, BGl_z62threadzd2startz12zd2pthrea1149z70zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1753z00zz__pth_threadz00, BgL_bgl_string1753za700za7za7_1821za7, "thread-terminate!", 17 );
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1748z00zz__pth_threadz00, BgL_bgl_za762threadza7d2star1822z00, BGl_z62threadzd2startzd2joinabl1151z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1755z00zz__pth_threadz00, BgL_bgl_string1755za700za7za7_1823za7, "thread-kill!", 12 );
DEFINE_STRING( BGl_string1757z00zz__pth_threadz00, BgL_bgl_string1757za700za7za7_1824za7, "thread-specific", 15 );
DEFINE_STRING( BGl_string1759z00zz__pth_threadz00, BgL_bgl_string1759za700za7za7_1825za7, "thread-specific-set!", 20 );
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_threadzd2startzd2joinablez12zd2envzc0zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1750z00zz__pth_threadz00, BgL_bgl_za762threadza7d2join1826z00, va_generic_entry, BGl_z62threadzd2joinz12zd2pthread1153z70zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1752z00zz__pth_threadz00, BgL_bgl_za762threadza7d2term1827z00, BGl_z62threadzd2terminatez12zd2pt1155z70zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1754z00zz__pth_threadz00, BgL_bgl_za762threadza7d2kill1828z00, BGl_z62threadzd2killz12zd2pthread1157z70zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1761z00zz__pth_threadz00, BgL_bgl_string1761za700za7za7_1829za7, "thread-cleanup", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1756z00zz__pth_threadz00, BgL_bgl_za762threadza7d2spec1830z00, BGl_z62threadzd2specificzd2pthr1159z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1763z00zz__pth_threadz00, BgL_bgl_string1763za700za7za7_1831za7, "thread-cleanup-set!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1758z00zz__pth_threadz00, BgL_bgl_za762threadza7d2spec1832z00, BGl_z62threadzd2specificzd2setz121161z70zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1765z00zz__pth_threadz00, BgL_bgl_string1765za700za7za7_1833za7, "thread-name", 11 );
DEFINE_STRING( BGl_string1767z00zz__pth_threadz00, BgL_bgl_string1767za700za7za7_1834za7, "thread-name-set!", 16 );
DEFINE_STRING( BGl_string1768z00zz__pth_threadz00, BgL_bgl_string1768za700za7za7_1835za7, "Illegal procedure arity", 23 );
DEFINE_STRING( BGl_string1769z00zz__pth_threadz00, BgL_bgl_string1769za700za7za7_1836za7, "detached thread", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1760z00zz__pth_threadz00, BgL_bgl_za762threadza7d2clea1837z00, BGl_z62threadzd2cleanupzd2pthre1163z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1762z00zz__pth_threadz00, BgL_bgl_za762threadza7d2clea1838z00, BGl_z62threadzd2cleanupzd2setz12zd21165za2zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1770z00zz__pth_threadz00, BgL_bgl_string1770za700za7za7_1839za7, "Thread created before module initialization completed -- ", 57 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1764z00zz__pth_threadz00, BgL_bgl_za762threadza7d2name1840z00, BGl_z62threadzd2namezd2pthread1167z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1771z00zz__pth_threadz00, BgL_bgl_string1771za700za7za7_1841za7, "make-thread", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1766z00zz__pth_threadz00, BgL_bgl_za762threadza7d2name1842z00, BGl_z62threadzd2namezd2setz12zd2pth1169za2zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1773z00zz__pth_threadz00, BgL_bgl_string1773za700za7za7_1843za7, "unwind-until!, ~a", 17 );
DEFINE_STRING( BGl_string1774z00zz__pth_threadz00, BgL_bgl_string1774za700za7za7_1844za7, "exit out of thread dynamic scope", 32 );
DEFINE_STRING( BGl_string1775z00zz__pth_threadz00, BgL_bgl_string1775za700za7za7_1845za7, "__pth_thread", 12 );
DEFINE_STRING( BGl_string1776z00zz__pth_threadz00, BgL_bgl_string1776za700za7za7_1846za7, "&pthread- & thread-join! terminated-thread-exception uncaught-exception reason &thread-error __pth_thread pthread $pthread $builtin end-exception obj end-result bool detachedp procedure body ", 191 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1772z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1847za7, BGl_z62zc3z04anonymousza31524ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_threadzd2killz12zd2envz12zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42pthreadzd2nilzd2envz42zz__pth_threadz00, BgL_bgl_za762za742pthreadza7d21848za7, BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2terminatez12zd2envz12zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2namezd2setz12zd2envzc0zz__threadz00;
BGL_IMPORT obj_t BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_pthreadz00zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_z62threadzd2errorzb0zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_uncaughtzd2exceptionzd2zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long BgL_checksumz00_895, char * BgL_fromz00_896)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__pth_threadz00))
{ 
BGl_requirezd2initializa7ationz75zz__pth_threadz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__pth_threadz00(); 
BGl_libraryzd2moduleszd2initz00zz__pth_threadz00(); 
BGl_cnstzd2initzd2zz__pth_threadz00(); 
BGl_importedzd2moduleszd2initz00zz__pth_threadz00(); 
BGl_objectzd2initzd2zz__pth_threadz00(); 
BGl_methodzd2initzd2zz__pth_threadz00(); 
return 
BGl_toplevelzd2initzd2zz__pth_threadz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__libraryz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__osz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__paramz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__pth_thread"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 15 */
 obj_t BgL_cportz00_747;
{ /* Llib/pthread.scm 15 */
 obj_t BgL_stringz00_754;
BgL_stringz00_754 = BGl_string1776z00zz__pth_threadz00; 
{ /* Llib/pthread.scm 15 */
 obj_t BgL_startz00_755;
BgL_startz00_755 = 
BINT(0L); 
{ /* Llib/pthread.scm 15 */
 obj_t BgL_endz00_756;
BgL_endz00_756 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_754))); 
{ /* Llib/pthread.scm 15 */

BgL_cportz00_747 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_754, BgL_startz00_755, BgL_endz00_756); } } } } 
{ 
 long BgL_iz00_748;
BgL_iz00_748 = 17L; 
BgL_loopz00_749:
if(
(BgL_iz00_748==-1L))
{ /* Llib/pthread.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 15 */
 obj_t BgL_arg1777z00_750;
{ /* Llib/pthread.scm 15 */

{ /* Llib/pthread.scm 15 */
 obj_t BgL_locationz00_752;
BgL_locationz00_752 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pthread.scm 15 */

BgL_arg1777z00_750 = 
BGl_readz00zz__readerz00(BgL_cportz00_747, BgL_locationz00_752); } } } 
{ /* Llib/pthread.scm 15 */
 int BgL_tmpz00_934;
BgL_tmpz00_934 = 
(int)(BgL_iz00_748); 
CNST_TABLE_SET(BgL_tmpz00_934, BgL_arg1777z00_750); } } 
{ /* Llib/pthread.scm 15 */
 int BgL_auxz00_753;
BgL_auxz00_753 = 
(int)(
(BgL_iz00_748-1L)); 
{ 
 long BgL_iz00_939;
BgL_iz00_939 = 
(long)(BgL_auxz00_753); 
BgL_iz00_748 = BgL_iz00_939; 
goto BgL_loopz00_749;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(((bool_t)1)); 
BGL_TAIL return 
BGl_pthreadzd2setupzd2backendz12z12zz__pth_backendz00();} 

}



/* $pthread-nil */
BGL_EXPORTED_DEF void * BGl_z42pthreadzd2nilz90zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 234 */
return 
(0L);} 

}



/* &$pthread-nil */
obj_t BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00(obj_t BgL_envz00_527)
{
{ /* Llib/pthread.scm 234 */
return 
void_star_to_obj(
BGl_z42pthreadzd2nilz90zz__pth_threadz00());} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1177z00_40; obj_t BgL_arg1178z00_41;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_v1130z00_58;
BgL_v1130z00_58 = 
create_vector(5L); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1186z00_59;
BgL_arg1186z00_59 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(0L), BGl_proc1709z00zz__pth_threadz00, BGl_proc1708z00zz__pth_threadz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(1L)); 
VECTOR_SET(BgL_v1130z00_58,0L,BgL_arg1186z00_59); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1193z00_69;
BgL_arg1193z00_69 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(2L), BGl_proc1712z00zz__pth_threadz00, BGl_proc1711z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1710z00zz__pth_threadz00, 
CNST_TABLE_REF(3L)); 
VECTOR_SET(BgL_v1130z00_58,1L,BgL_arg1193z00_69); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1210z00_82;
BgL_arg1210z00_82 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(4L), BGl_proc1715z00zz__pth_threadz00, BGl_proc1714z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1713z00zz__pth_threadz00, 
CNST_TABLE_REF(5L)); 
VECTOR_SET(BgL_v1130z00_58,2L,BgL_arg1210z00_82); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1227z00_95;
BgL_arg1227z00_95 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(6L), BGl_proc1718z00zz__pth_threadz00, BGl_proc1717z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1716z00zz__pth_threadz00, 
CNST_TABLE_REF(5L)); 
VECTOR_SET(BgL_v1130z00_58,3L,BgL_arg1227z00_95); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1235z00_108;
BgL_arg1235z00_108 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(7L), BGl_proc1721z00zz__pth_threadz00, BGl_proc1720z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1719z00zz__pth_threadz00, 
CNST_TABLE_REF(8L)); 
VECTOR_SET(BgL_v1130z00_58,4L,BgL_arg1235z00_108); } 
BgL_arg1177z00_40 = BgL_v1130z00_58; } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_v1131z00_121;
BgL_v1131z00_121 = 
create_vector(0L); 
BgL_arg1178z00_41 = BgL_v1131z00_121; } 
BGl_pthreadz00zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(9L), 
CNST_TABLE_REF(10L), BGl_threadz00zz__threadz00, 35369L, BGl_proc1724z00zz__pth_threadz00, BGl_proc1723z00zz__pth_threadz00, BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00, BGl_proc1722z00zz__pth_threadz00, BFALSE, BgL_arg1177z00_40, BgL_arg1178z00_41); } 
{ /* Llib/pthread.scm 37 */
 obj_t BgL_arg1263z00_128; obj_t BgL_arg1264z00_129;
{ /* Llib/pthread.scm 37 */
 obj_t BgL_v1132z00_145;
BgL_v1132z00_145 = 
create_vector(0L); 
BgL_arg1263z00_128 = BgL_v1132z00_145; } 
{ /* Llib/pthread.scm 37 */
 obj_t BgL_v1133z00_146;
BgL_v1133z00_146 = 
create_vector(0L); 
BgL_arg1264z00_129 = BgL_v1133z00_146; } 
BGl_z62threadzd2errorzb0zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(11L), 
CNST_TABLE_REF(10L), BGl_z62errorz62zz__objectz00, 52138L, BGl_proc1727z00zz__pth_threadz00, BGl_proc1726z00zz__pth_threadz00, BFALSE, BGl_proc1725z00zz__pth_threadz00, BFALSE, BgL_arg1263z00_128, BgL_arg1264z00_129); } 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1295z00_153; obj_t BgL_arg1296z00_154;
{ /* Llib/pthread.scm 39 */
 obj_t BgL_v1134z00_168;
BgL_v1134z00_168 = 
create_vector(1L); 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1317z00_169;
BgL_arg1317z00_169 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(12L), BGl_proc1729z00zz__pth_threadz00, BGl_proc1728z00zz__pth_threadz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(5L)); 
VECTOR_SET(BgL_v1134z00_168,0L,BgL_arg1317z00_169); } 
BgL_arg1295z00_153 = BgL_v1134z00_168; } 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_v1135z00_179;
BgL_v1135z00_179 = 
create_vector(0L); 
BgL_arg1296z00_154 = BgL_v1135z00_179; } 
BGl_uncaughtzd2exceptionzd2zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(13L), 
CNST_TABLE_REF(10L), BGl_z62exceptionz62zz__objectz00, 30717L, BGl_proc1732z00zz__pth_threadz00, BGl_proc1731z00zz__pth_threadz00, BFALSE, BGl_proc1730z00zz__pth_threadz00, BFALSE, BgL_arg1295z00_153, BgL_arg1296z00_154); } 
{ /* Llib/pthread.scm 42 */
 obj_t BgL_arg1335z00_186; obj_t BgL_arg1336z00_187;
{ /* Llib/pthread.scm 42 */
 obj_t BgL_v1136z00_200;
BgL_v1136z00_200 = 
create_vector(0L); 
BgL_arg1335z00_186 = BgL_v1136z00_200; } 
{ /* Llib/pthread.scm 42 */
 obj_t BgL_v1137z00_201;
BgL_v1137z00_201 = 
create_vector(0L); 
BgL_arg1336z00_187 = BgL_v1137z00_201; } 
return ( 
BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(14L), 
CNST_TABLE_REF(10L), BGl_z62exceptionz62zz__objectz00, 35176L, BGl_proc1735z00zz__pth_threadz00, BGl_proc1734z00zz__pth_threadz00, BFALSE, BGl_proc1733z00zz__pth_threadz00, BFALSE, BgL_arg1335z00_186, BgL_arg1336z00_187), BUNSPEC) ;} } 

}



/* &<@anonymous:1342> */
obj_t BGl_z62zc3z04anonymousza31342ze3ze5zz__pth_threadz00(obj_t BgL_envz00_559, obj_t BgL_new1077z00_560)
{
{ /* Llib/pthread.scm 42 */
{ 
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_auxz00_991;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BgL_new1077z00_560))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BgL_new1077z00_560))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BgL_new1077z00_560))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_991 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BgL_new1077z00_560); 
return 
((obj_t)BgL_auxz00_991);} } 

}



/* &lambda1339 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1339z62zz__pth_threadz00(obj_t BgL_envz00_561)
{
{ /* Llib/pthread.scm 42 */
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1076z00_759;
BgL_new1076z00_759 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 42 */
 long BgL_arg1341z00_760;
BgL_arg1341z00_760 = 
BGL_CLASS_NUM(BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1076z00_759), BgL_arg1341z00_760); } 
return BgL_new1076z00_759;} } 

}



/* &lambda1337 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1337z62zz__pth_threadz00(obj_t BgL_envz00_562, obj_t BgL_fname1073z00_563, obj_t BgL_location1074z00_564, obj_t BgL_stack1075z00_565)
{
{ /* Llib/pthread.scm 42 */
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1129z00_761;
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1128z00_762;
BgL_new1128z00_762 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 42 */
 long BgL_arg1338z00_763;
BgL_arg1338z00_763 = 
BGL_CLASS_NUM(BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1128z00_762), BgL_arg1338z00_763); } 
BgL_new1129z00_761 = BgL_new1128z00_762; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1129z00_761)))->BgL_fnamez00)=((obj_t)BgL_fname1073z00_563),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1129z00_761)))->BgL_locationz00)=((obj_t)BgL_location1074z00_564),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1129z00_761)))->BgL_stackz00)=((obj_t)BgL_stack1075z00_565),BUNSPEC); 
return BgL_new1129z00_761;} } 

}



/* &<@anonymous:1314> */
obj_t BGl_z62zc3z04anonymousza31314ze3ze5zz__pth_threadz00(obj_t BgL_envz00_566, obj_t BgL_new1071z00_567)
{
{ /* Llib/pthread.scm 39 */
{ 
 BgL_uncaughtzd2exceptionzd2_bglt BgL_auxz00_1017;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1071z00_567))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1071z00_567))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1071z00_567))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1071z00_567)))->BgL_reasonz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1017 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1071z00_567); 
return 
((obj_t)BgL_auxz00_1017);} } 

}



/* &lambda1312 */
BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1312z62zz__pth_threadz00(obj_t BgL_envz00_568)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1070z00_765;
BgL_new1070z00_765 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 39 */
 long BgL_arg1313z00_766;
BgL_arg1313z00_766 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1070z00_765), BgL_arg1313z00_766); } 
return BgL_new1070z00_765;} } 

}



/* &lambda1297 */
BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1297z62zz__pth_threadz00(obj_t BgL_envz00_569, obj_t BgL_fname1066z00_570, obj_t BgL_location1067z00_571, obj_t BgL_stack1068z00_572, obj_t BgL_reason1069z00_573)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1127z00_767;
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1126z00_768;
BgL_new1126z00_768 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 39 */
 long BgL_arg1311z00_769;
BgL_arg1311z00_769 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1126z00_768), BgL_arg1311z00_769); } 
BgL_new1127z00_767 = BgL_new1126z00_768; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1127z00_767)))->BgL_fnamez00)=((obj_t)BgL_fname1066z00_570),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1127z00_767)))->BgL_locationz00)=((obj_t)BgL_location1067z00_571),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1127z00_767)))->BgL_stackz00)=((obj_t)BgL_stack1068z00_572),BUNSPEC); 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1127z00_767))->BgL_reasonz00)=((obj_t)BgL_reason1069z00_573),BUNSPEC); 
return BgL_new1127z00_767;} } 

}



/* &lambda1321 */
obj_t BGl_z62lambda1321z62zz__pth_threadz00(obj_t BgL_envz00_574, obj_t BgL_oz00_575, obj_t BgL_vz00_576)
{
{ /* Llib/pthread.scm 39 */
return 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_575)))->BgL_reasonz00)=((obj_t)BgL_vz00_576),BUNSPEC);} 

}



/* &lambda1320 */
obj_t BGl_z62lambda1320z62zz__pth_threadz00(obj_t BgL_envz00_577, obj_t BgL_oz00_578)
{
{ /* Llib/pthread.scm 39 */
return 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_578)))->BgL_reasonz00);} 

}



/* &<@anonymous:1270> */
obj_t BGl_z62zc3z04anonymousza31270ze3ze5zz__pth_threadz00(obj_t BgL_envz00_579, obj_t BgL_new1064z00_580)
{
{ /* Llib/pthread.scm 37 */
{ 
 BgL_z62threadzd2errorzb0_bglt BgL_auxz00_1050;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_580))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_580))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_580))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_580))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_580))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_580))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1050 = 
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_580); 
return 
((obj_t)BgL_auxz00_1050);} } 

}



/* &lambda1267 */
BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1267z62zz__pth_threadz00(obj_t BgL_envz00_581)
{
{ /* Llib/pthread.scm 37 */
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1063z00_773;
BgL_new1063z00_773 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 37 */
 long BgL_arg1269z00_774;
BgL_arg1269z00_774 = 
BGL_CLASS_NUM(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1063z00_773), BgL_arg1269z00_774); } 
return BgL_new1063z00_773;} } 

}



/* &lambda1265 */
BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1265z62zz__pth_threadz00(obj_t BgL_envz00_582, obj_t BgL_fname1057z00_583, obj_t BgL_location1058z00_584, obj_t BgL_stack1059z00_585, obj_t BgL_proc1060z00_586, obj_t BgL_msg1061z00_587, obj_t BgL_obj1062z00_588)
{
{ /* Llib/pthread.scm 37 */
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1125z00_775;
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1124z00_776;
BgL_new1124z00_776 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 37 */
 long BgL_arg1266z00_777;
BgL_arg1266z00_777 = 
BGL_CLASS_NUM(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1124z00_776), BgL_arg1266z00_777); } 
BgL_new1125z00_775 = BgL_new1124z00_776; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1125z00_775)))->BgL_fnamez00)=((obj_t)BgL_fname1057z00_583),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1125z00_775)))->BgL_locationz00)=((obj_t)BgL_location1058z00_584),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1125z00_775)))->BgL_stackz00)=((obj_t)BgL_stack1059z00_585),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1125z00_775)))->BgL_procz00)=((obj_t)BgL_proc1060z00_586),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1125z00_775)))->BgL_msgz00)=((obj_t)BgL_msg1061z00_587),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1125z00_775)))->BgL_objz00)=((obj_t)BgL_obj1062z00_588),BUNSPEC); 
return BgL_new1125z00_775;} } 

}



/* &<@anonymous:1184> */
obj_t BGl_z62zc3z04anonymousza31184ze3ze5zz__pth_threadz00(obj_t BgL_envz00_589, obj_t BgL_new1055z00_590)
{
{ /* Llib/pthread.scm 25 */
{ 
 BgL_pthreadz00_bglt BgL_auxz00_1091;
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)
((BgL_pthreadz00_bglt)BgL_new1055z00_590))))->BgL_namez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1055z00_590)))->BgL_bodyz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1055z00_590)))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1055z00_590)))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1055z00_590)))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1055z00_590)))->BgL_z42builtinz42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_1091 = 
((BgL_pthreadz00_bglt)BgL_new1055z00_590); 
return 
((obj_t)BgL_auxz00_1091);} } 

}



/* &lambda1182 */
BgL_pthreadz00_bglt BGl_z62lambda1182z62zz__pth_threadz00(obj_t BgL_envz00_591)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1054z00_779;
BgL_new1054z00_779 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/pthread.scm 25 */
 long BgL_arg1183z00_780;
BgL_arg1183z00_780 = 
BGL_CLASS_NUM(BGl_pthreadz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1054z00_779), BgL_arg1183z00_780); } 
return BgL_new1054z00_779;} } 

}



/* &lambda1179 */
BgL_pthreadz00_bglt BGl_z62lambda1179z62zz__pth_threadz00(obj_t BgL_envz00_592, obj_t BgL_name1048z00_593, obj_t BgL_body1049z00_594, obj_t BgL_detachedp1050z00_595, obj_t BgL_endzd2result1051zd2_596, obj_t BgL_endzd2exception1052zd2_597, obj_t BgL_z42builtin1053z42_598)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 bool_t BgL_detachedp1050z00_782; void * BgL_z42builtin1053z42_783;
BgL_detachedp1050z00_782 = 
CBOOL(BgL_detachedp1050z00_595); 
BgL_z42builtin1053z42_783 = 
FOREIGN_TO_COBJ(BgL_z42builtin1053z42_598); 
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1123z00_784;
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1122z00_785;
BgL_new1122z00_785 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/pthread.scm 25 */
 long BgL_arg1181z00_786;
BgL_arg1181z00_786 = 
BGL_CLASS_NUM(BGl_pthreadz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1122z00_785), BgL_arg1181z00_786); } 
BgL_new1123z00_784 = BgL_new1122z00_785; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1123z00_784)))->BgL_namez00)=((obj_t)BgL_name1048z00_593),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1123z00_784))->BgL_bodyz00)=((obj_t)
((obj_t)BgL_body1049z00_594)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1123z00_784))->BgL_detachedpz00)=((bool_t)BgL_detachedp1050z00_782),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1123z00_784))->BgL_endzd2resultzd2)=((obj_t)BgL_endzd2result1051zd2_596),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1123z00_784))->BgL_endzd2exceptionzd2)=((obj_t)BgL_endzd2exception1052zd2_597),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1123z00_784))->BgL_z42builtinz42)=((void *)BgL_z42builtin1053z42_783),BUNSPEC); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_fun1180z00_787;
BgL_fun1180z00_787 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pthreadz00zz__pth_threadz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1180z00_787))(BgL_fun1180z00_787, 
((obj_t)BgL_new1123z00_784), BEOA); } 
return BgL_new1123z00_784;} } } 

}



/* &<@anonymous:1242> */
obj_t BGl_z62zc3z04anonymousza31242ze3ze5zz__pth_threadz00(obj_t BgL_envz00_599)
{
{ /* Llib/pthread.scm 25 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1241 */
obj_t BGl_z62lambda1241z62zz__pth_threadz00(obj_t BgL_envz00_600, obj_t BgL_oz00_601, obj_t BgL_vz00_602)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 void * BgL_vz00_789;
BgL_vz00_789 = 
FOREIGN_TO_COBJ(BgL_vz00_602); 
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_601)))->BgL_z42builtinz42)=((void *)BgL_vz00_789),BUNSPEC);} } 

}



/* &lambda1240 */
obj_t BGl_z62lambda1240z62zz__pth_threadz00(obj_t BgL_envz00_603, obj_t BgL_oz00_604)
{
{ /* Llib/pthread.scm 25 */
return 
void_star_to_obj(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_604)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1234> */
obj_t BGl_z62zc3z04anonymousza31234ze3ze5zz__pth_threadz00(obj_t BgL_envz00_605)
{
{ /* Llib/pthread.scm 25 */
return BUNSPEC;} 

}



/* &lambda1233 */
obj_t BGl_z62lambda1233z62zz__pth_threadz00(obj_t BgL_envz00_606, obj_t BgL_oz00_607, obj_t BgL_vz00_608)
{
{ /* Llib/pthread.scm 25 */
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_607)))->BgL_endzd2exceptionzd2)=((obj_t)BgL_vz00_608),BUNSPEC);} 

}



/* &lambda1232 */
obj_t BGl_z62lambda1232z62zz__pth_threadz00(obj_t BgL_envz00_609, obj_t BgL_oz00_610)
{
{ /* Llib/pthread.scm 25 */
return 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_610)))->BgL_endzd2exceptionzd2);} 

}



/* &<@anonymous:1219> */
obj_t BGl_z62zc3z04anonymousza31219ze3ze5zz__pth_threadz00(obj_t BgL_envz00_611)
{
{ /* Llib/pthread.scm 25 */
return BUNSPEC;} 

}



/* &lambda1218 */
obj_t BGl_z62lambda1218z62zz__pth_threadz00(obj_t BgL_envz00_612, obj_t BgL_oz00_613, obj_t BgL_vz00_614)
{
{ /* Llib/pthread.scm 25 */
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_613)))->BgL_endzd2resultzd2)=((obj_t)BgL_vz00_614),BUNSPEC);} 

}



/* &lambda1217 */
obj_t BGl_z62lambda1217z62zz__pth_threadz00(obj_t BgL_envz00_615, obj_t BgL_oz00_616)
{
{ /* Llib/pthread.scm 25 */
return 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_616)))->BgL_endzd2resultzd2);} 

}



/* &<@anonymous:1203> */
obj_t BGl_z62zc3z04anonymousza31203ze3ze5zz__pth_threadz00(obj_t BgL_envz00_617)
{
{ /* Llib/pthread.scm 25 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1202 */
obj_t BGl_z62lambda1202z62zz__pth_threadz00(obj_t BgL_envz00_618, obj_t BgL_oz00_619, obj_t BgL_vz00_620)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 bool_t BgL_vz00_796;
BgL_vz00_796 = 
CBOOL(BgL_vz00_620); 
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_619)))->BgL_detachedpz00)=((bool_t)BgL_vz00_796),BUNSPEC);} } 

}



/* &lambda1201 */
obj_t BGl_z62lambda1201z62zz__pth_threadz00(obj_t BgL_envz00_621, obj_t BgL_oz00_622)
{
{ /* Llib/pthread.scm 25 */
return 
BBOOL(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_622)))->BgL_detachedpz00));} 

}



/* &lambda1190 */
obj_t BGl_z62lambda1190z62zz__pth_threadz00(obj_t BgL_envz00_623, obj_t BgL_oz00_624, obj_t BgL_vz00_625)
{
{ /* Llib/pthread.scm 25 */
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_624)))->BgL_bodyz00)=((obj_t)
((obj_t)BgL_vz00_625)),BUNSPEC);} 

}



/* &lambda1189 */
obj_t BGl_z62lambda1189z62zz__pth_threadz00(obj_t BgL_envz00_626, obj_t BgL_oz00_627)
{
{ /* Llib/pthread.scm 25 */
return 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_627)))->BgL_bodyz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2writezd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc1736z00zz__pth_threadz00, BGl_string1737z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc1738z00zz__pth_threadz00, BGl_string1739z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc1740z00zz__pth_threadz00, BGl_string1741z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1742z00zz__pth_threadz00, BGl_string1743z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1744z00zz__pth_threadz00, BGl_string1745z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2startz12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1746z00zz__pth_threadz00, BGl_string1747z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2startzd2joinablez12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1748z00zz__pth_threadz00, BGl_string1749z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2joinz12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1750z00zz__pth_threadz00, BGl_string1751z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2terminatez12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1752z00zz__pth_threadz00, BGl_string1753z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2killz12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1754z00zz__pth_threadz00, BGl_string1755z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2envz00zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1756z00zz__pth_threadz00, BGl_string1757z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1758z00zz__pth_threadz00, BGl_string1759z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2envz00zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1760z00zz__pth_threadz00, BGl_string1761z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1762z00zz__pth_threadz00, BGl_string1763z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2namezd2envz00zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1764z00zz__pth_threadz00, BGl_string1765z00zz__pth_threadz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2namezd2setz12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1766z00zz__pth_threadz00, BGl_string1767z00zz__pth_threadz00);} 

}



/* &thread-name-set!-pth1169 */
obj_t BGl_z62threadzd2namezd2setz12zd2pth1169za2zz__pth_threadz00(obj_t BgL_envz00_650, obj_t BgL_tz00_651, obj_t BgL_vz00_652)
{
{ /* Llib/pthread.scm 223 */
{ /* Llib/pthread.scm 227 */
 void * BgL_arg1680z00_802;
BgL_arg1680z00_802 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_651)))->BgL_z42builtinz42); 
bglpth_thread_setname(BgL_arg1680z00_802, BgL_vz00_652); 
return BUNSPEC;} } 

}



/* &thread-name-pthread1167 */
obj_t BGl_z62threadzd2namezd2pthread1167z62zz__pth_threadz00(obj_t BgL_envz00_653, obj_t BgL_tz00_654)
{
{ /* Llib/pthread.scm 212 */
{ /* Llib/pthread.scm 215 */
 obj_t BgL_res1778z00_804;
BgL_res1778z00_804 = 
bglpth_thread_getname(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_654)))->BgL_z42builtinz42)); 
return BgL_res1778z00_804;} } 

}



/* &thread-cleanup-set!-1165 */
obj_t BGl_z62threadzd2cleanupzd2setz12zd21165za2zz__pth_threadz00(obj_t BgL_envz00_655, obj_t BgL_tz00_656, obj_t BgL_pz00_657)
{
{ /* Llib/pthread.scm 201 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_pz00_657, 
(int)(1L)))
{ /* Llib/pthread.scm 203 */
{ /* Llib/pthread.scm 205 */
 void * BgL_arg1677z00_806;
BgL_arg1677z00_806 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_656)))->BgL_z42builtinz42); 
BGLPTH_THREAD_CLEANUP_SET(BgL_arg1677z00_806, BgL_pz00_657); BUNSPEC; } 
return BgL_pz00_657;}  else 
{ /* Llib/pthread.scm 203 */
return 
BGl_errorz00zz__errorz00(BGl_string1763z00zz__pth_threadz00, BGl_string1768z00zz__pth_threadz00, BgL_pz00_657);} } 

}



/* &thread-cleanup-pthre1163 */
obj_t BGl_z62threadzd2cleanupzd2pthre1163z62zz__pth_threadz00(obj_t BgL_envz00_658, obj_t BgL_tz00_659)
{
{ /* Llib/pthread.scm 194 */
{ /* Llib/pthread.scm 196 */
 void * BgL_tmpz00_1189;
BgL_tmpz00_1189 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_659)))->BgL_z42builtinz42); 
return 
BGLPTH_THREAD_CLEANUP(BgL_tmpz00_1189);} } 

}



/* &thread-specific-set!1161 */
obj_t BGl_z62threadzd2specificzd2setz121161z70zz__pth_threadz00(obj_t BgL_envz00_660, obj_t BgL_tz00_661, obj_t BgL_vz00_662)
{
{ /* Llib/pthread.scm 186 */
{ /* Llib/pthread.scm 188 */
 void * BgL_arg1670z00_809;
BgL_arg1670z00_809 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_661)))->BgL_z42builtinz42); 
BGLPTH_THREAD_SPECIFIC_SET(BgL_arg1670z00_809, BgL_vz00_662); BUNSPEC; } 
return BgL_vz00_662;} 

}



/* &thread-specific-pthr1159 */
obj_t BGl_z62threadzd2specificzd2pthr1159z62zz__pth_threadz00(obj_t BgL_envz00_663, obj_t BgL_tz00_664)
{
{ /* Llib/pthread.scm 179 */
{ /* Llib/pthread.scm 181 */
 void * BgL_tmpz00_1196;
BgL_tmpz00_1196 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_664)))->BgL_z42builtinz42); 
return 
BGLPTH_THREAD_SPECIFIC(BgL_tmpz00_1196);} } 

}



/* &thread-kill!-pthread1157 */
obj_t BGl_z62threadzd2killz12zd2pthread1157z70zz__pth_threadz00(obj_t BgL_envz00_665, obj_t BgL_tz00_666, obj_t BgL_nz00_667)
{
{ /* Llib/pthread.scm 172 */
{ /* Llib/pthread.scm 173 */
 int BgL_nz00_812;
BgL_nz00_812 = 
CINT(BgL_nz00_667); 
{ /* Llib/pthread.scm 174 */
 void * BgL_arg1654z00_813;
BgL_arg1654z00_813 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_666)))->BgL_z42builtinz42); 
return 
BINT(
bglpth_thread_kill(BgL_arg1654z00_813, BgL_nz00_812));} } } 

}



/* &thread-terminate!-pt1155 */
obj_t BGl_z62threadzd2terminatez12zd2pt1155z70zz__pth_threadz00(obj_t BgL_envz00_668, obj_t BgL_tz00_669)
{
{ /* Llib/pthread.scm 163 */
if(
bglpth_thread_terminate(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_669)))->BgL_z42builtinz42)))
{ 
 obj_t BgL_auxz00_1209;
{ /* Llib/pthread.scm 166 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1114z00_815;
{ /* Llib/pthread.scm 166 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1113z00_816;
BgL_new1113z00_816 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 166 */
 long BgL_arg1645z00_817;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_classz00_818;
BgL_classz00_818 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_arg1645z00_817 = 
BGL_CLASS_NUM(BgL_classz00_818); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_816), BgL_arg1645z00_817); } 
BgL_new1114z00_815 = BgL_new1113z00_816; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1114z00_815)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1114z00_815)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1219;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_arg1642z00_819;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_arg1644z00_820;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_classz00_821;
BgL_classz00_821 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_arg1644z00_820 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_821); } 
BgL_arg1642z00_819 = 
VECTOR_REF(BgL_arg1644z00_820,2L); } 
BgL_auxz00_1219 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1642z00_819); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1114z00_815)))->BgL_stackz00)=((obj_t)BgL_auxz00_1219),BUNSPEC); } 
BgL_auxz00_1209 = 
((obj_t)BgL_new1114z00_815); } 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_669)))->BgL_endzd2exceptionzd2)=((obj_t)BgL_auxz00_1209),BUNSPEC); }  else 
{ /* Llib/pthread.scm 165 */BFALSE; } 
return 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_669));} 

}



/* &thread-join!-pthread1153 */
obj_t BGl_z62threadzd2joinz12zd2pthread1153z70zz__pth_threadz00(obj_t BgL_envz00_670, obj_t BgL_tz00_671, obj_t BgL_timeoutz00_672)
{
{ /* Llib/pthread.scm 146 */
if(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_671)))->BgL_detachedpz00))
{ /* Llib/pthread.scm 150 */
 BgL_z62threadzd2errorzb0_bglt BgL_arg1583z00_823;
{ /* Llib/pthread.scm 150 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1111z00_824;
{ /* Llib/pthread.scm 150 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1110z00_825;
BgL_new1110z00_825 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 150 */
 long BgL_arg1597z00_826;
BgL_arg1597z00_826 = 
BGL_CLASS_NUM(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_825), BgL_arg1597z00_826); } 
BgL_new1111z00_824 = BgL_new1110z00_825; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1111z00_824)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1111z00_824)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1240;
{ /* Llib/pthread.scm 150 */
 obj_t BgL_arg1584z00_827;
{ /* Llib/pthread.scm 150 */
 obj_t BgL_arg1585z00_828;
{ /* Llib/pthread.scm 150 */
 obj_t BgL_classz00_829;
BgL_classz00_829 = BGl_z62threadzd2errorzb0zz__pth_threadz00; 
BgL_arg1585z00_828 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_829); } 
BgL_arg1584z00_827 = 
VECTOR_REF(BgL_arg1585z00_828,2L); } 
BgL_auxz00_1240 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1584z00_827); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1111z00_824)))->BgL_stackz00)=((obj_t)BgL_auxz00_1240),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1111z00_824)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(15L)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1111z00_824)))->BgL_msgz00)=((obj_t)BGl_string1769z00zz__pth_threadz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1111z00_824)))->BgL_objz00)=((obj_t)
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_671))),BUNSPEC); 
BgL_arg1583z00_823 = BgL_new1111z00_824; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1583z00_823));}  else 
{ /* Llib/pthread.scm 148 */
{ /* Llib/pthread.scm 155 */
 void * BgL_arg1599z00_830; obj_t BgL_arg1610z00_831;
BgL_arg1599z00_830 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_671)))->BgL_z42builtinz42); 
if(
PAIRP(BgL_timeoutz00_672))
{ /* Llib/pthread.scm 155 */
BgL_arg1610z00_831 = 
CAR(BgL_timeoutz00_672); }  else 
{ /* Llib/pthread.scm 155 */
BgL_arg1610z00_831 = BFALSE; } 
bglpth_thread_join(BgL_arg1599z00_830, BgL_arg1610z00_831); BUNSPEC; } 
{ /* Llib/pthread.scm 156 */
 bool_t BgL_test1855z00_1263;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_arg1634z00_832;
BgL_arg1634z00_832 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_671)))->BgL_endzd2exceptionzd2); 
{ /* Llib/pthread.scm 156 */
 obj_t BgL_classz00_833;
BgL_classz00_833 = BGl_z62exceptionz62zz__objectz00; 
if(
BGL_OBJECTP(BgL_arg1634z00_832))
{ /* Llib/pthread.scm 156 */
 BgL_objectz00_bglt BgL_arg1778z00_834;
BgL_arg1778z00_834 = 
(BgL_objectz00_bglt)(BgL_arg1634z00_832); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 156 */
 long BgL_idxz00_835;
BgL_idxz00_835 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_834); 
BgL_test1855z00_1263 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_835+2L))==BgL_classz00_833); }  else 
{ /* Llib/pthread.scm 156 */
 bool_t BgL_res1681z00_838;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_oclassz00_839;
{ /* Llib/pthread.scm 156 */
 long BgL_arg1785z00_840;
{ /* Llib/pthread.scm 156 */
 long BgL_arg1786z00_841;
BgL_arg1786z00_841 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_834); 
BgL_arg1785z00_840 = 
(BgL_arg1786z00_841-OBJECT_TYPE); } 
BgL_oclassz00_839 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_840); } 
{ /* Llib/pthread.scm 156 */
 bool_t BgL__ortest_1114z00_842;
BgL__ortest_1114z00_842 = 
(BgL_classz00_833==BgL_oclassz00_839); 
if(BgL__ortest_1114z00_842)
{ /* Llib/pthread.scm 156 */
BgL_res1681z00_838 = BgL__ortest_1114z00_842; }  else 
{ /* Llib/pthread.scm 156 */
 long BgL_odepthz00_843;
BgL_odepthz00_843 = 
BGL_CLASS_DEPTH(BgL_oclassz00_839); 
if(
(2L<BgL_odepthz00_843))
{ /* Llib/pthread.scm 156 */
 obj_t BgL_arg1775z00_844;
BgL_arg1775z00_844 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_839, 2L); 
BgL_res1681z00_838 = 
(BgL_arg1775z00_844==BgL_classz00_833); }  else 
{ /* Llib/pthread.scm 156 */
BgL_res1681z00_838 = ((bool_t)0); } } } } 
BgL_test1855z00_1263 = BgL_res1681z00_838; } }  else 
{ /* Llib/pthread.scm 156 */
BgL_test1855z00_1263 = ((bool_t)0)
; } } } 
if(BgL_test1855z00_1263)
{ /* Llib/pthread.scm 156 */
return 
BGl_raisez00zz__errorz00(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_671)))->BgL_endzd2exceptionzd2));}  else 
{ /* Llib/pthread.scm 156 */
return 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_671)))->BgL_endzd2resultzd2);} } } } 

}



/* &thread-start-joinabl1151 */
obj_t BGl_z62threadzd2startzd2joinabl1151z62zz__pth_threadz00(obj_t BgL_envz00_673, obj_t BgL_tz00_674)
{
{ /* Llib/pthread.scm 137 */
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_674)))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/pthread.scm 140 */
 void * BgL_arg1581z00_846;
BgL_arg1581z00_846 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_674)))->BgL_z42builtinz42); 
bglpth_thread_start(BgL_arg1581z00_846, 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_674)), ((bool_t)0)); BUNSPEC; } 
return 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_674));} 

}



/* &thread-start!-pthrea1149 */
obj_t BGl_z62threadzd2startz12zd2pthrea1149z70zz__pth_threadz00(obj_t BgL_envz00_675, obj_t BgL_tz00_676, obj_t BgL_scdz00_677)
{
{ /* Llib/pthread.scm 128 */
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_676)))->BgL_detachedpz00)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/pthread.scm 131 */
 void * BgL_arg1566z00_848;
BgL_arg1566z00_848 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_676)))->BgL_z42builtinz42); 
bglpth_thread_start(BgL_arg1566z00_848, 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_676)), ((bool_t)1)); BUNSPEC; } 
return 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_676));} 

}



/* &thread-initialize!-p1147 */
obj_t BGl_z62threadzd2initializa7ez12zd2p1147zd7zz__pth_threadz00(obj_t BgL_envz00_678, obj_t BgL_oz00_679)
{
{ /* Llib/pthread.scm 88 */
if(
BGl_bigloozd2initializa7edzf3z86zz__paramz00())
{ /* Llib/pthread.scm 89 */BFALSE; }  else 
{ /* Llib/pthread.scm 92 */
 obj_t BgL_arg1364z00_850;
BgL_arg1364z00_850 = 
bgl_typeof(
((obj_t)
((BgL_pthreadz00_bglt)BgL_oz00_679))); 
{ /* Llib/pthread.scm 90 */
 obj_t BgL_list1365z00_851;
{ /* Llib/pthread.scm 90 */
 obj_t BgL_arg1367z00_852;
{ /* Llib/pthread.scm 90 */
 obj_t BgL_arg1368z00_853;
BgL_arg1368z00_853 = 
MAKE_YOUNG_PAIR(BgL_arg1364z00_850, BNIL); 
BgL_arg1367z00_852 = 
MAKE_YOUNG_PAIR(BGl_string1770z00zz__pth_threadz00, BgL_arg1368z00_853); } 
BgL_list1365z00_851 = 
MAKE_YOUNG_PAIR(BGl_string1771z00zz__pth_threadz00, BgL_arg1367z00_852); } 
BGl_warningz00zz__errorz00(BgL_list1365z00_851); } } 
{ /* Llib/pthread.scm 95 */
 obj_t BgL_bz00_854;
BgL_bz00_854 = 
MAKE_FX_PROCEDURE(BGl_z62bz62zz__pth_threadz00, 
(int)(0L), 
(int)(2L)); 
PROCEDURE_SET(BgL_bz00_854, 
(int)(0L), 
((obj_t)
((BgL_pthreadz00_bglt)BgL_oz00_679))); 
PROCEDURE_SET(BgL_bz00_854, 
(int)(1L), 
((obj_t)
((BgL_pthreadz00_bglt)BgL_oz00_679))); 
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_679)))->BgL_z42builtinz42)=((void *)
bglpth_thread_new(BgL_bz00_854)),BUNSPEC);} } 

}



/* &b */
obj_t BGl_z62bz62zz__pth_threadz00(obj_t BgL_envz00_680)
{
{ /* Llib/pthread.scm 94 */
{ /* Llib/pthread.scm 95 */
 BgL_pthreadz00_bglt BgL_i1081z00_681; BgL_pthreadz00_bglt BgL_oz00_682;
BgL_i1081z00_681 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_680, 
(int)(0L))); 
BgL_oz00_682 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_680, 
(int)(1L))); 
{ /* Llib/pthread.scm 95 */
 obj_t BgL_idz00_855;
{ /* Llib/pthread.scm 95 */
 bool_t BgL_test1861z00_1337;
{ /* Llib/pthread.scm 95 */
 obj_t BgL_tmpz00_1338;
BgL_tmpz00_1338 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_i1081z00_681)))->BgL_namez00); 
BgL_test1861z00_1337 = 
SYMBOLP(BgL_tmpz00_1338); } 
if(BgL_test1861z00_1337)
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1552z00_856;
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1560z00_857; obj_t BgL_arg1561z00_858;
{ /* Llib/pthread.scm 96 */
 obj_t BgL_symbolz00_859;
BgL_symbolz00_859 = 
CNST_TABLE_REF(16L); 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1445z00_860;
BgL_arg1445z00_860 = 
SYMBOL_TO_STRING(BgL_symbolz00_859); 
BgL_arg1560z00_857 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1445z00_860); } } 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1562z00_861;
BgL_arg1562z00_861 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_i1081z00_681)))->BgL_namez00); 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1445z00_862;
BgL_arg1445z00_862 = 
SYMBOL_TO_STRING(
((obj_t)BgL_arg1562z00_861)); 
BgL_arg1561z00_858 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1445z00_862); } } 
BgL_arg1552z00_856 = 
string_append(BgL_arg1560z00_857, BgL_arg1561z00_858); } 
BgL_idz00_855 = 
bstring_to_symbol(BgL_arg1552z00_856); }  else 
{ /* Llib/pthread.scm 95 */
BgL_idz00_855 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(17L)); } } 
{ /* Llib/pthread.scm 98 */

BGL_PUSH_TRACE(BgL_idz00_855, BUNSPEC); 
{ /* Llib/pthread.scm 102 */
 obj_t BgL_zc3z04anonymousza31371ze3z87_863;
BgL_zc3z04anonymousza31371ze3z87_863 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31371ze3ze5zz__pth_threadz00, 
(int)(1L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31371ze3z87_863, 
(int)(0L), 
((obj_t)BgL_oz00_682)); 
BGL_UNCAUGHT_EXCEPTION_HANDLER_SET(BgL_zc3z04anonymousza31371ze3z87_863); BUNSPEC; } 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_env1090z00_864;
BgL_env1090z00_864 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ 
 obj_t BgL_ez00_866;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_cell1085z00_874;
BgL_cell1085z00_874 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_val1089z00_875;
BgL_val1089z00_875 = 
BGl_zc3z04exitza31375ze3ze70z60zz__pth_threadz00(BgL_cell1085z00_874, BgL_env1090z00_864, BgL_i1081z00_681); 
if(
(BgL_val1089z00_875==BgL_cell1085z00_874))
{ /* Llib/pthread.scm 105 */
{ /* Llib/pthread.scm 105 */
 int BgL_tmpz00_1367;
BgL_tmpz00_1367 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_1367); } 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1374z00_876;
BgL_arg1374z00_876 = 
CELL_REF(
((obj_t)BgL_val1089z00_875)); 
{ /* Llib/pthread.scm 105 */
 bool_t BgL_tmpz00_1372;
BgL_ez00_866 = BgL_arg1374z00_876; 
{ /* Llib/pthread.scm 107 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_uz00_867;
{ /* Llib/pthread.scm 107 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1092z00_868;
{ /* Llib/pthread.scm 107 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1091z00_869;
BgL_new1091z00_869 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 107 */
 long BgL_arg1544z00_870;
BgL_arg1544z00_870 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_869), BgL_arg1544z00_870); } 
BgL_new1092z00_868 = BgL_new1091z00_869; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1092z00_868)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1092z00_868)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1381;
{ /* Llib/pthread.scm 107 */
 obj_t BgL_arg1532z00_871;
{ /* Llib/pthread.scm 107 */
 obj_t BgL_arg1533z00_872;
{ /* Llib/pthread.scm 107 */
 obj_t BgL_classz00_873;
BgL_classz00_873 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
BgL_arg1533z00_872 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_873); } 
BgL_arg1532z00_871 = 
VECTOR_REF(BgL_arg1533z00_872,2L); } 
BgL_auxz00_1381 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1532z00_871); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1092z00_868)))->BgL_stackz00)=((obj_t)BgL_auxz00_1381),BUNSPEC); } 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1092z00_868))->BgL_reasonz00)=((obj_t)BgL_ez00_866),BUNSPEC); 
BgL_uz00_867 = BgL_new1092z00_868; } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_i1081z00_681))->BgL_endzd2exceptionzd2)=((obj_t)
((obj_t)BgL_uz00_867)),BUNSPEC); 
BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_866); 
BgL_tmpz00_1372 = ((bool_t)0); } 
return 
BBOOL(BgL_tmpz00_1372);} } }  else 
{ /* Llib/pthread.scm 105 */
return BgL_val1089z00_875;} } } } } } } } } 

}



/* <@exit:1376>~0 */
obj_t BGl_zc3z04exitza31376ze3ze70z60zz__pth_threadz00(BgL_pthreadz00_bglt BgL_i1081z00_743)
{
{ /* Llib/pthread.scm 114 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1096z00_272;
if( SET_EXIT(BgL_an_exit1096z00_272 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1096z00_272 = 
(void *)jmpbuf; 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_env1100z00_273;
BgL_env1100z00_273 = 
BGL_CURRENT_DYNAMIC_ENV(); 
PUSH_ENV_EXIT(BgL_env1100z00_273, BgL_an_exit1096z00_272, 1L); 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_an_exitd1097z00_274;
BgL_an_exitd1097z00_274 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1100z00_273); 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_res1099z00_277;
{ /* Llib/pthread.scm 117 */
 obj_t BgL_zc3z04anonymousza31444ze3z87_643;
BgL_zc3z04anonymousza31444ze3z87_643 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31444ze3ze5zz__pth_threadz00, 
(int)(1L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31444ze3z87_643, 
(int)(0L), BgL_an_exitd1097z00_274); 
BGl_signalz00zz__osz00(BGL_PTHREAD_TERM_SIG, BgL_zc3z04anonymousza31444ze3z87_643); } 
{ 
 obj_t BgL_auxz00_1403;
{ /* Llib/pthread.scm 120 */
 obj_t BgL_fun1525z00_286;
BgL_fun1525z00_286 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_i1081z00_743))->BgL_bodyz00); 
BgL_auxz00_1403 = 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1525z00_286))(BgL_fun1525z00_286, BEOA); } 
BgL_res1099z00_277 = 
((((BgL_pthreadz00_bglt)COBJECT(BgL_i1081z00_743))->BgL_endzd2resultzd2)=((obj_t)BgL_auxz00_1403),BUNSPEC); } 
POP_ENV_EXIT(BgL_env1100z00_273); 
return BgL_res1099z00_277;} } } 
}} 

}



/* <@exit:1375>~0 */
obj_t BGl_zc3z04exitza31375ze3ze70z60zz__pth_threadz00(obj_t BgL_cell1085z00_746, obj_t BgL_env1090z00_745, BgL_pthreadz00_bglt BgL_i1081z00_744)
{
{ /* Llib/pthread.scm 105 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1102z00_263;
if( SET_EXIT(BgL_an_exit1102z00_263 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1102z00_263 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1090z00_745, BgL_an_exit1102z00_263, 1L); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_escape1086z00_264;
BgL_escape1086z00_264 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1090z00_745); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_res1105z00_265;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_ohs1082z00_266;
BgL_ohs1082z00_266 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1090z00_745); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_hds1083z00_267;
BgL_hds1083z00_267 = 
MAKE_STACK_PAIR(BgL_escape1086z00_264, BgL_cell1085z00_746); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1090z00_745, BgL_hds1083z00_267); BUNSPEC; 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_exitd1093z00_268;
BgL_exitd1093z00_268 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1090z00_745); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_tmp1095z00_269;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1528z00_287;
BgL_arg1528z00_287 = 
BGL_EXITD_PROTECT(BgL_exitd1093z00_268); 
BgL_tmp1095z00_269 = 
MAKE_YOUNG_PAIR(BgL_ohs1082z00_266, BgL_arg1528z00_287); } 
{ /* Llib/pthread.scm 105 */

BGL_EXITD_PROTECT_SET(BgL_exitd1093z00_268, BgL_tmp1095z00_269); BUNSPEC; 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_tmp1094z00_270;
BgL_tmp1094z00_270 = 
BGl_zc3z04exitza31376ze3ze70z60zz__pth_threadz00(BgL_i1081z00_744); 
{ /* Llib/pthread.scm 105 */
 bool_t BgL_test1863z00_1422;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1796z00_464;
BgL_arg1796z00_464 = 
BGL_EXITD_PROTECT(BgL_exitd1093z00_268); 
BgL_test1863z00_1422 = 
PAIRP(BgL_arg1796z00_464); } 
if(BgL_test1863z00_1422)
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1794z00_465;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1795z00_466;
BgL_arg1795z00_466 = 
BGL_EXITD_PROTECT(BgL_exitd1093z00_268); 
BgL_arg1794z00_465 = 
CDR(
((obj_t)BgL_arg1795z00_466)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1093z00_268, BgL_arg1794z00_465); BUNSPEC; }  else 
{ /* Llib/pthread.scm 105 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1090z00_745, BgL_ohs1082z00_266); BUNSPEC; 
BgL_res1105z00_265 = BgL_tmp1094z00_270; } } } } } } 
POP_ENV_EXIT(BgL_env1090z00_745); 
return BgL_res1105z00_265;} } 
}} 

}



/* &<@anonymous:1444> */
obj_t BGl_z62zc3z04anonymousza31444ze3ze5zz__pth_threadz00(obj_t BgL_envz00_683, obj_t BgL_sz00_685)
{
{ /* Llib/pthread.scm 116 */
{ /* Llib/pthread.scm 117 */
 obj_t BgL_an_exitd1097z00_684;
BgL_an_exitd1097z00_684 = 
PROCEDURE_REF(BgL_envz00_683, 
(int)(0L)); 
BGL_UNCAUGHT_EXCEPTION_HANDLER_SET(BGl_proc1772z00zz__pth_threadz00); BUNSPEC; 
return 
unwind_stack_until(BgL_an_exitd1097z00_684, BFALSE, BFALSE, BFALSE, BFALSE);} } 

}



/* &<@anonymous:1524> */
obj_t BGl_z62zc3z04anonymousza31524ze3ze5zz__pth_threadz00(obj_t BgL_envz00_686, obj_t BgL_valz00_687)
{
{ /* Llib/pthread.scm 118 */
return BgL_valz00_687;} 

}



/* &<@anonymous:1371> */
obj_t BGl_z62zc3z04anonymousza31371ze3ze5zz__pth_threadz00(obj_t BgL_envz00_688, obj_t BgL_valz00_690)
{
{ /* Llib/pthread.scm 101 */
{ /* Llib/pthread.scm 102 */
 BgL_pthreadz00_bglt BgL_oz00_689;
BgL_oz00_689 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_688, 
(int)(0L))); 
{ /* Llib/pthread.scm 102 */
 obj_t BgL_arg1372z00_878;
{ /* Llib/pthread.scm 102 */
 obj_t BgL_list1373z00_879;
BgL_list1373z00_879 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_689), BNIL); 
BgL_arg1372z00_878 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string1773z00zz__pth_threadz00, BgL_list1373z00_879); } 
return 
BGl_errorz00zz__errorz00(BgL_arg1372z00_878, BGl_string1774z00zz__pth_threadz00, BgL_valz00_690);} } } 

}



/* &%user-thread-yield!-1145 */
obj_t BGl_z62z52userzd2threadzd2yieldz12zd21145zf0zz__pth_threadz00(obj_t BgL_envz00_691, obj_t BgL_oz00_692)
{
{ /* Llib/pthread.scm 82 */
return 
BINT(
sched_yield());} 

}



/* &object-print-uncaugh1143 */
obj_t BGl_z62objectzd2printzd2uncaugh1143z62zz__pth_threadz00(obj_t BgL_envz00_693, obj_t BgL_oz00_694, obj_t BgL_portz00_695, obj_t BgL_printzd2slotzd2_696)
{
{ /* Llib/pthread.scm 75 */
{ /* Llib/pthread.scm 77 */
 obj_t BgL_arg1358z00_882;
BgL_arg1358z00_882 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_694)))->BgL_reasonz00); 
return 
BGl_objectzd2printzd2zz__objectz00(
((BgL_objectz00_bglt)BgL_arg1358z00_882), BgL_portz00_695, BgL_printzd2slotzd2_696);} } 

}



/* &object-display-uncau1141 */
obj_t BGl_z62objectzd2displayzd2uncau1141z62zz__pth_threadz00(obj_t BgL_envz00_697, obj_t BgL_oz00_698, obj_t BgL_portz00_699)
{
{ /* Llib/pthread.scm 68 */
{ /* Llib/pthread.scm 70 */
 obj_t BgL_runner1352z00_884;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_arg1349z00_885;
BgL_arg1349z00_885 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_698)))->BgL_reasonz00); 
{ /* Llib/pthread.scm 70 */
 obj_t BgL_list1350z00_886;
BgL_list1350z00_886 = 
MAKE_YOUNG_PAIR(BgL_portz00_699, BNIL); 
BgL_runner1352z00_884 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1349z00_885, BgL_list1350z00_886); } } 
{ /* Llib/pthread.scm 70 */
 BgL_objectz00_bglt BgL_aux1351z00_887;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_pairz00_888;
BgL_pairz00_888 = BgL_runner1352z00_884; 
BgL_aux1351z00_887 = 
((BgL_objectz00_bglt)
CAR(BgL_pairz00_888)); } 
BgL_runner1352z00_884 = 
CDR(BgL_runner1352z00_884); 
return 
BGl_objectzd2displayzd2zz__objectz00(BgL_aux1351z00_887, BgL_runner1352z00_884);} } } 

}



/* &object-write-uncaugh1139 */
obj_t BGl_z62objectzd2writezd2uncaugh1139z62zz__pth_threadz00(obj_t BgL_envz00_700, obj_t BgL_oz00_701, obj_t BgL_portz00_702)
{
{ /* Llib/pthread.scm 61 */
{ /* Llib/pthread.scm 63 */
 obj_t BgL_runner1347z00_890;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_arg1344z00_891;
BgL_arg1344z00_891 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_701)))->BgL_reasonz00); 
{ /* Llib/pthread.scm 63 */
 obj_t BgL_list1345z00_892;
BgL_list1345z00_892 = 
MAKE_YOUNG_PAIR(BgL_portz00_702, BNIL); 
BgL_runner1347z00_890 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1344z00_891, BgL_list1345z00_892); } } 
{ /* Llib/pthread.scm 63 */
 BgL_objectz00_bglt BgL_aux1346z00_893;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_pairz00_894;
BgL_pairz00_894 = BgL_runner1347z00_890; 
BgL_aux1346z00_893 = 
((BgL_objectz00_bglt)
CAR(BgL_pairz00_894)); } 
BgL_runner1347z00_890 = 
CDR(BgL_runner1347z00_890); 
return 
BGl_objectzd2writezd2zz__objectz00(BgL_aux1346z00_893, BgL_runner1347z00_890);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__pth_backendz00(458655044L, 
BSTRING_TO_STRING(BGl_string1775z00zz__pth_threadz00));} 

}

#ifdef __cplusplus
}
#endif
