/*===========================================================================*/
/*   (Module/pragma.scm)                                                     */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Module/pragma.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_MODULE_PRAGMA_TYPE_DEFINITIONS
#define BGL_MODULE_PRAGMA_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;


#endif													// BGL_MODULE_PRAGMA_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzmodule_pragmaz00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	static bool_t BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzmodule_pragmaz00(void);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzmodule_pragmaz00(void);
	static obj_t BGl_objectzd2initzd2zzmodule_pragmaz00(void);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31234ze3ze5zzmodule_pragmaz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzmodule_pragmaz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_pragmaz00(void);
	extern obj_t BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00;
	static obj_t BGl_z62zc3z04anonymousza31238ze3ze5zzmodule_pragmaz00(obj_t,
		obj_t);
	extern obj_t BGl_removezd2varzd2fromz12z12zzast_removez00(obj_t,
		BgL_variablez00_bglt);
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00(void);
	static obj_t BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_pragmazd2parserzd2zzmodule_pragmaz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzmodule_pragmaz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzmodule_pragmaz00(void);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2finaliza7erz17zzmodule_pragmaz00(obj_t);
	static obj_t BGl_argszd2noescapezd2zzmodule_pragmaz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_pragmazd2producerzd2zzmodule_pragmaz00(obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_sfunzd2errorzd2zzmodule_pragmaz00(obj_t, BgL_globalz00_bglt);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62makezd2pragmazd2compilerz62zzmodule_pragmaz00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern BgL_feffectz00_bglt BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static obj_t BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00(void);
	static obj_t __cnst[22];


	extern obj_t BGl_funzd2argszd2noescapezd2setz12zd2envz12zzast_varz00;
	   
		 
		DEFINE_STRING(BGl_string1800z00zzmodule_pragmaz00,
		BgL_bgl_string1800za700za7za7m1817za7, "Illegal \"pragma\" form (~a)", 26);
	      DEFINE_STRING(BGl_string1801z00zzmodule_pragmaz00,
		BgL_bgl_string1801za700za7za7m1818za7,
		"Illegal \"args-noescape\", cannot find argument", 45);
	      DEFINE_STRING(BGl_string1802z00zzmodule_pragmaz00,
		BgL_bgl_string1802za700za7za7m1819za7,
		"Illegal \"args-noescape\" on non-function value", 45);
	      DEFINE_STRING(BGl_string1803z00zzmodule_pragmaz00,
		BgL_bgl_string1803za700za7za7m1820za7, "args-noescape", 13);
	      DEFINE_STRING(BGl_string1804z00zzmodule_pragmaz00,
		BgL_bgl_string1804za700za7za7m1821za7, "module_pragma", 13);
	      DEFINE_STRING(BGl_string1805z00zzmodule_pragmaz00,
		BgL_bgl_string1805za700za7za7m1822za7,
		"* args-retescape args-noescape stack-allocator effect coerce predicate-of thread-local default-inline no-alloc fail-safe args-safe nesting no-trace allocator no-init-flow no-cfa-top side-effect-free void @ foreign pragma ",
		221);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2pragmazd2compilerzd2envzd2zzmodule_pragmaz00,
		BgL_bgl_za762makeza7d2pragma1823z00,
		BGl_z62makezd2pragmazd2compilerz62zzmodule_pragmaz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_funzd2argszd2retescapezd2setz12zd2envz12zzast_varz00;
	   
		 
		DEFINE_STRING(BGl_string1781z00zzmodule_pragmaz00,
		BgL_bgl_string1781za700za7za7m1824za7, "pragma", 6);
	      DEFINE_STRING(BGl_string1782z00zzmodule_pragmaz00,
		BgL_bgl_string1782za700za7za7m1825za7, "Illegal clause", 14);
	      DEFINE_STRING(BGl_string1783z00zzmodule_pragmaz00,
		BgL_bgl_string1783za700za7za7m1826za7,
		"Can't find global variable for pragma", 37);
	      DEFINE_STRING(BGl_string1784z00zzmodule_pragmaz00,
		BgL_bgl_string1784za700za7za7m1827za7, "pragma-finalizer", 16);
	      DEFINE_STRING(BGl_string1785z00zzmodule_pragmaz00,
		BgL_bgl_string1785za700za7za7m1828za7, "Illegal \"pragma\" finalizer form",
		31);
	      DEFINE_STRING(BGl_string1786z00zzmodule_pragmaz00,
		BgL_bgl_string1786za700za7za7m1829za7, "pragma(", 7);
	      DEFINE_STRING(BGl_string1787z00zzmodule_pragmaz00,
		BgL_bgl_string1787za700za7za7m1830za7, ")", 1);
	      DEFINE_STRING(BGl_string1788z00zzmodule_pragmaz00,
		BgL_bgl_string1788za700za7za7m1831za7,
		"property is not concerning a function", 37);
	      DEFINE_STRING(BGl_string1789z00zzmodule_pragmaz00,
		BgL_bgl_string1789za700za7za7m1832za7, "side-effect-free", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1780z00zzmodule_pragmaz00,
		BgL_bgl_za762za7c3za704anonymo1833za7,
		BGl_z62zc3z04anonymousza31234ze3ze5zzmodule_pragmaz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1790z00zzmodule_pragmaz00,
		BgL_bgl_string1790za700za7za7m1834za7, "no-cfa-top", 10);
	      DEFINE_STRING(BGl_string1791z00zzmodule_pragmaz00,
		BgL_bgl_string1791za700za7za7m1835za7, "no-init-flow", 12);
	      DEFINE_STRING(BGl_string1792z00zzmodule_pragmaz00,
		BgL_bgl_string1792za700za7za7m1836za7, "allocator", 9);
	      DEFINE_STRING(BGl_string1793z00zzmodule_pragmaz00,
		BgL_bgl_string1793za700za7za7m1837za7, "no-trace", 8);
	      DEFINE_STRING(BGl_string1794z00zzmodule_pragmaz00,
		BgL_bgl_string1794za700za7za7m1838za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1795z00zzmodule_pragmaz00,
		BgL_bgl_string1795za700za7za7m1839za7, "Illegal \"pragma\" form", 21);
	      DEFINE_STRING(BGl_string1796z00zzmodule_pragmaz00,
		BgL_bgl_string1796za700za7za7m1840za7, "predicate-of", 12);
	      DEFINE_STRING(BGl_string1797z00zzmodule_pragmaz00,
		BgL_bgl_string1797za700za7za7m1841za7, "Illegal \"predicate-of\" pragma",
		29);
	      DEFINE_STRING(BGl_string1798z00zzmodule_pragmaz00,
		BgL_bgl_string1798za700za7za7m1842za7, "effect", 6);
	      DEFINE_STRING(BGl_string1799z00zzmodule_pragmaz00,
		BgL_bgl_string1799za700za7za7m1843za7, "stack-allocator", 15);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2finaliza7erzd2envza7zzmodule_pragmaz00,
		BgL_bgl_za762pragmaza7d2fina1844z00,
		BGl_z62pragmazd2finaliza7erz17zzmodule_pragmaz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_funzd2argszd2retescapezd2envzd2zzast_varz00;
	extern obj_t BGl_funzd2argszd2noescapezd2envzd2zzast_varz00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzmodule_pragmaz00));
		     ADD_ROOT((void *) (&BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long
		BgL_checksumz00_2709, char *BgL_fromz00_2710)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_pragmaz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_pragmaz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzmodule_pragmaz00();
					BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00();
					BGl_cnstzd2initzd2zzmodule_pragmaz00();
					BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00();
					return BGl_toplevelzd2initzd2zzmodule_pragmaz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"module_pragma");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 15 */
			{	/* Module/pragma.scm 15 */
				obj_t BgL_cportz00_2690;

				{	/* Module/pragma.scm 15 */
					obj_t BgL_stringz00_2697;

					BgL_stringz00_2697 = BGl_string1805z00zzmodule_pragmaz00;
					{	/* Module/pragma.scm 15 */
						obj_t BgL_startz00_2698;

						BgL_startz00_2698 = BINT(0L);
						{	/* Module/pragma.scm 15 */
							obj_t BgL_endz00_2699;

							BgL_endz00_2699 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2697)));
							{	/* Module/pragma.scm 15 */

								BgL_cportz00_2690 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2697, BgL_startz00_2698, BgL_endz00_2699);
				}}}}
				{
					long BgL_iz00_2691;

					BgL_iz00_2691 = 21L;
				BgL_loopz00_2692:
					if ((BgL_iz00_2691 == -1L))
						{	/* Module/pragma.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/pragma.scm 15 */
							{	/* Module/pragma.scm 15 */
								obj_t BgL_arg1816z00_2693;

								{	/* Module/pragma.scm 15 */

									{	/* Module/pragma.scm 15 */
										obj_t BgL_locationz00_2695;

										BgL_locationz00_2695 = BBOOL(((bool_t) 0));
										{	/* Module/pragma.scm 15 */

											BgL_arg1816z00_2693 =
												BGl_readz00zz__readerz00(BgL_cportz00_2690,
												BgL_locationz00_2695);
										}
									}
								}
								{	/* Module/pragma.scm 15 */
									int BgL_tmpz00_2738;

									BgL_tmpz00_2738 = (int) (BgL_iz00_2691);
									CNST_TABLE_SET(BgL_tmpz00_2738, BgL_arg1816z00_2693);
							}}
							{	/* Module/pragma.scm 15 */
								int BgL_auxz00_2696;

								BgL_auxz00_2696 = (int) ((BgL_iz00_2691 - 1L));
								{
									long BgL_iz00_2743;

									BgL_iz00_2743 = (long) (BgL_auxz00_2696);
									BgL_iz00_2691 = BgL_iz00_2743;
									goto BgL_loopz00_2692;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 15 */
			return (BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BNIL, BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzmodule_pragmaz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1369;

				BgL_headz00_1369 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1370;
					obj_t BgL_tailz00_1371;

					BgL_prevz00_1370 = BgL_headz00_1369;
					BgL_tailz00_1371 = BgL_l1z00_1;
				BgL_loopz00_1372:
					if (PAIRP(BgL_tailz00_1371))
						{
							obj_t BgL_newzd2prevzd2_1374;

							BgL_newzd2prevzd2_1374 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1371), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1370, BgL_newzd2prevzd2_1374);
							{
								obj_t BgL_tailz00_2753;
								obj_t BgL_prevz00_2752;

								BgL_prevz00_2752 = BgL_newzd2prevzd2_1374;
								BgL_tailz00_2753 = CDR(BgL_tailz00_1371);
								BgL_tailz00_1371 = BgL_tailz00_2753;
								BgL_prevz00_1370 = BgL_prevz00_2752;
								goto BgL_loopz00_1372;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1369);
				}
			}
		}

	}



/* make-pragma-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 35 */
			{	/* Module/pragma.scm 36 */
				BgL_ccompz00_bglt BgL_new1104z00_1377;

				{	/* Module/pragma.scm 37 */
					BgL_ccompz00_bglt BgL_new1103z00_1382;

					BgL_new1103z00_1382 =
						((BgL_ccompz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/pragma.scm 37 */
						long BgL_arg1237z00_1383;

						BgL_arg1237z00_1383 = BGL_CLASS_NUM(BGl_ccompz00zzmodule_modulez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1103z00_1382), BgL_arg1237z00_1383);
					}
					BgL_new1104z00_1377 = BgL_new1103z00_1382;
				}
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1104z00_1377))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(0L)), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1104z00_1377))->BgL_producerz00) =
					((obj_t)
						BGl_pragmazd2producerzd2zzmodule_pragmaz00
						(BGl_za2moduleza2z00zzmodule_modulez00)), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1104z00_1377))->BgL_consumerz00) =
					((obj_t) BGl_proc1780z00zzmodule_pragmaz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1104z00_1377))->
						BgL_finaliza7erza7) =
					((obj_t) BGl_pragmazd2finaliza7erzd2envza7zzmodule_pragmaz00),
					BUNSPEC);
				return ((obj_t) BgL_new1104z00_1377);
			}
		}

	}



/* &make-pragma-compiler */
	obj_t BGl_z62makezd2pragmazd2compilerz62zzmodule_pragmaz00(obj_t
		BgL_envz00_2671)
	{
		{	/* Module/pragma.scm 35 */
			return BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00();
		}

	}



/* &<@anonymous:1234> */
	obj_t BGl_z62zc3z04anonymousza31234ze3ze5zzmodule_pragmaz00(obj_t
		BgL_envz00_2672, obj_t BgL_mz00_2673, obj_t BgL_cz00_2674)
	{
		{	/* Module/pragma.scm 39 */
			{	/* Module/pragma.scm 39 */
				obj_t BgL_fun1235z00_2701;

				BgL_fun1235z00_2701 =
					BGl_pragmazd2producerzd2zzmodule_pragmaz00(BgL_mz00_2673);
				return
					(VA_PROCEDUREP(BgL_fun1235z00_2701) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_fun1235z00_2701)) (BgL_fun1235z00_2701,
						BgL_cz00_2674, BEOA) : ((obj_t(*)(obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_fun1235z00_2701)) (BgL_fun1235z00_2701,
						BgL_cz00_2674));
			}
		}

	}



/* pragma-producer */
	obj_t BGl_pragmazd2producerzd2zzmodule_pragmaz00(obj_t BgL_modulez00_3)
	{
		{	/* Module/pragma.scm 45 */
			{	/* Module/pragma.scm 46 */
				obj_t BgL_zc3z04anonymousza31238ze3z87_2676;

				BgL_zc3z04anonymousza31238ze3z87_2676 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza31238ze3ze5zzmodule_pragmaz00, (int) (1L),
					(int) (1L));
				PROCEDURE_SET(BgL_zc3z04anonymousza31238ze3z87_2676, (int) (0L),
					BgL_modulez00_3);
				return BgL_zc3z04anonymousza31238ze3z87_2676;
			}
		}

	}



/* &<@anonymous:1238> */
	obj_t BGl_z62zc3z04anonymousza31238ze3ze5zzmodule_pragmaz00(obj_t
		BgL_envz00_2677, obj_t BgL_clausez00_2679)
	{
		{	/* Module/pragma.scm 46 */
			{	/* Module/pragma.scm 46 */
				obj_t BgL_modulez00_2678;

				BgL_modulez00_2678 = PROCEDURE_REF(BgL_envz00_2677, (int) (0L));
				{
					obj_t BgL_protosz00_2705;

					if (PAIRP(BgL_clausez00_2679))
						{	/* Module/pragma.scm 46 */
							obj_t BgL_arg1240z00_2708;

							BgL_arg1240z00_2708 = CDR(((obj_t) BgL_clausez00_2679));
							BgL_protosz00_2705 = BgL_arg1240z00_2708;
							{
								obj_t BgL_l1225z00_2707;

								BgL_l1225z00_2707 = BgL_protosz00_2705;
							BgL_zc3z04anonymousza31241ze3z87_2706:
								if (PAIRP(BgL_l1225z00_2707))
									{	/* Module/pragma.scm 49 */
										BGl_pragmazd2parserzd2zzmodule_pragmaz00(CAR
											(BgL_l1225z00_2707), BgL_modulez00_2678,
											BgL_clausez00_2679);
										{
											obj_t BgL_l1225z00_2788;

											BgL_l1225z00_2788 = CDR(BgL_l1225z00_2707);
											BgL_l1225z00_2707 = BgL_l1225z00_2788;
											goto BgL_zc3z04anonymousza31241ze3z87_2706;
										}
									}
								else
									{	/* Module/pragma.scm 49 */
										((bool_t) 1);
									}
							}
							return BNIL;
						}
					else
						{	/* Module/pragma.scm 46 */
							{	/* Module/pragma.scm 54 */
								obj_t BgL_list1245z00_2704;

								BgL_list1245z00_2704 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								return
									BGl_userzd2errorzd2zztools_errorz00
									(BGl_string1781z00zzmodule_pragmaz00,
									BGl_string1782z00zzmodule_pragmaz00, BgL_clausez00_2679,
									BgL_list1245z00_2704);
							}
						}
				}
			}
		}

	}



/* pragma-parser */
	obj_t BGl_pragmazd2parserzd2zzmodule_pragmaz00(obj_t BgL_protoz00_4,
		obj_t BgL_modulez00_5, obj_t BgL_clausez00_6)
	{
		{	/* Module/pragma.scm 59 */
			{
				obj_t BgL_idz00_1400;
				obj_t BgL_propz00_1401;

				if (PAIRP(BgL_protoz00_4))
					{	/* Module/pragma.scm 60 */
						obj_t BgL_carzd2116zd2_1406;

						BgL_carzd2116zd2_1406 = CAR(((obj_t) BgL_protoz00_4));
						if (SYMBOLP(BgL_carzd2116zd2_1406))
							{	/* Module/pragma.scm 60 */
								obj_t BgL_arg1248z00_1408;

								BgL_arg1248z00_1408 = CDR(((obj_t) BgL_protoz00_4));
								BgL_idz00_1400 = BgL_carzd2116zd2_1406;
								BgL_propz00_1401 = BgL_arg1248z00_1408;
								{	/* Module/pragma.scm 63 */
									obj_t BgL_pragz00_1409;

									if (EPAIRP(BgL_protoz00_4))
										{	/* Module/pragma.scm 64 */
											obj_t BgL_arg1250z00_1411;
											obj_t BgL_arg1252z00_1412;

											{	/* Module/pragma.scm 64 */
												obj_t BgL_list1253z00_1413;

												{	/* Module/pragma.scm 64 */
													obj_t BgL_arg1254z00_1414;

													{	/* Module/pragma.scm 64 */
														obj_t BgL_arg1256z00_1415;

														BgL_arg1256z00_1415 =
															MAKE_YOUNG_PAIR(BgL_clausez00_6, BNIL);
														BgL_arg1254z00_1414 =
															MAKE_YOUNG_PAIR(BgL_propz00_1401,
															BgL_arg1256z00_1415);
													}
													BgL_list1253z00_1413 =
														MAKE_YOUNG_PAIR(BgL_modulez00_5,
														BgL_arg1254z00_1414);
												}
												BgL_arg1250z00_1411 = BgL_list1253z00_1413;
											}
											BgL_arg1252z00_1412 = CER(((obj_t) BgL_protoz00_4));
											{	/* Module/pragma.scm 64 */
												obj_t BgL_res1751z00_1780;

												BgL_res1751z00_1780 =
													MAKE_YOUNG_EPAIR(BgL_idz00_1400, BgL_arg1250z00_1411,
													BgL_arg1252z00_1412);
												BgL_pragz00_1409 = BgL_res1751z00_1780;
											}
										}
									else
										{	/* Module/pragma.scm 65 */
											obj_t BgL_list1257z00_1416;

											{	/* Module/pragma.scm 65 */
												obj_t BgL_arg1259z00_1417;

												{	/* Module/pragma.scm 65 */
													obj_t BgL_arg1260z00_1418;

													{	/* Module/pragma.scm 65 */
														obj_t BgL_arg1265z00_1419;

														BgL_arg1265z00_1419 =
															MAKE_YOUNG_PAIR(BgL_clausez00_6, BNIL);
														BgL_arg1260z00_1418 =
															MAKE_YOUNG_PAIR(BgL_propz00_1401,
															BgL_arg1265z00_1419);
													}
													BgL_arg1259z00_1417 =
														MAKE_YOUNG_PAIR(BgL_modulez00_5,
														BgL_arg1260z00_1418);
												}
												BgL_list1257z00_1416 =
													MAKE_YOUNG_PAIR(BgL_idz00_1400, BgL_arg1259z00_1417);
											}
											BgL_pragz00_1409 = BgL_list1257z00_1416;
										}
									return (BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 =
										MAKE_YOUNG_PAIR(BgL_pragz00_1409,
											BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00), BUNSPEC);
								}
							}
						else
							{	/* Module/pragma.scm 60 */
							BgL_tagzd2110zd2_1403:
								{	/* Module/pragma.scm 68 */
									obj_t BgL_list1266z00_1420;

									BgL_list1266z00_1420 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									return
										BGl_userzd2errorzd2zztools_errorz00
										(BGl_string1781z00zzmodule_pragmaz00,
										BGl_string1782z00zzmodule_pragmaz00, BgL_clausez00_6,
										BgL_list1266z00_1420);
								}
							}
					}
				else
					{	/* Module/pragma.scm 60 */
						goto BgL_tagzd2110zd2_1403;
					}
			}
		}

	}



/* pragma-finalizer */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 78 */
			{
				obj_t BgL_l1227z00_1422;

				BgL_l1227z00_1422 = BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00;
			BgL_zc3z04anonymousza31267ze3z87_1423:
				if (PAIRP(BgL_l1227z00_1422))
					{	/* Module/pragma.scm 79 */
						{	/* Module/pragma.scm 80 */
							obj_t BgL_pragmaz00_1425;

							BgL_pragmaz00_1425 = CAR(BgL_l1227z00_1422);
							{
								obj_t BgL_idz00_1426;
								obj_t BgL_modulez00_1427;
								obj_t BgL_propza2za2_1428;
								obj_t BgL_clausez00_1429;

								if (PAIRP(BgL_pragmaz00_1425))
									{	/* Module/pragma.scm 80 */
										obj_t BgL_cdrzd2133zd2_1434;

										BgL_cdrzd2133zd2_1434 = CDR(((obj_t) BgL_pragmaz00_1425));
										if (PAIRP(BgL_cdrzd2133zd2_1434))
											{	/* Module/pragma.scm 80 */
												obj_t BgL_cdrzd2139zd2_1436;

												BgL_cdrzd2139zd2_1436 = CDR(BgL_cdrzd2133zd2_1434);
												if (PAIRP(BgL_cdrzd2139zd2_1436))
													{	/* Module/pragma.scm 80 */
														obj_t BgL_cdrzd2144zd2_1438;

														BgL_cdrzd2144zd2_1438 = CDR(BgL_cdrzd2139zd2_1436);
														if (PAIRP(BgL_cdrzd2144zd2_1438))
															{	/* Module/pragma.scm 80 */
																if (NULLP(CDR(BgL_cdrzd2144zd2_1438)))
																	{	/* Module/pragma.scm 80 */
																		obj_t BgL_arg1281z00_1442;
																		obj_t BgL_arg1282z00_1443;
																		obj_t BgL_arg1283z00_1444;
																		obj_t BgL_arg1284z00_1445;

																		BgL_arg1281z00_1442 =
																			CAR(((obj_t) BgL_pragmaz00_1425));
																		BgL_arg1282z00_1443 =
																			CAR(BgL_cdrzd2133zd2_1434);
																		BgL_arg1283z00_1444 =
																			CAR(BgL_cdrzd2139zd2_1436);
																		BgL_arg1284z00_1445 =
																			CAR(BgL_cdrzd2144zd2_1438);
																		BgL_idz00_1426 = BgL_arg1281z00_1442;
																		BgL_modulez00_1427 = BgL_arg1282z00_1443;
																		BgL_propza2za2_1428 = BgL_arg1283z00_1444;
																		BgL_clausez00_1429 = BgL_arg1284z00_1445;
																		{	/* Module/pragma.scm 82 */
																			obj_t BgL_globalz00_1447;

																			{	/* Module/pragma.scm 82 */
																				obj_t BgL_globalz00_1453;

																				BgL_globalz00_1453 =
																					BGl_findzd2globalzf2modulez20zzast_envz00
																					(BgL_idz00_1426, BgL_modulez00_1427);
																				{	/* Module/pragma.scm 83 */
																					bool_t BgL_test1859z00_2839;

																					{	/* Module/pragma.scm 83 */
																						obj_t BgL_classz00_1785;

																						BgL_classz00_1785 =
																							BGl_globalz00zzast_varz00;
																						if (BGL_OBJECTP(BgL_globalz00_1453))
																							{	/* Module/pragma.scm 83 */
																								BgL_objectz00_bglt
																									BgL_arg1801z00_1787;
																								BgL_arg1801z00_1787 =
																									(BgL_objectz00_bglt)
																									(BgL_globalz00_1453);
																								if (BGL_CONDEXPAND_ISA_ARCH64())
																									{	/* Module/pragma.scm 83 */
																										long BgL_idxz00_1793;

																										BgL_idxz00_1793 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1801z00_1787);
																										BgL_test1859z00_2839 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_1793 +
																													2L)) ==
																											BgL_classz00_1785);
																									}
																								else
																									{	/* Module/pragma.scm 83 */
																										bool_t BgL_res1753z00_1815;

																										{	/* Module/pragma.scm 83 */
																											obj_t BgL_oclassz00_1801;

																											{	/* Module/pragma.scm 83 */
																												long
																													BgL_arg1808z00_1807;
																												{	/* Module/pragma.scm 83 */
																													long
																														BgL_arg1809z00_1808;
																													BgL_arg1809z00_1808 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1801z00_1787);
																													BgL_arg1808z00_1807 =
																														(BgL_arg1809z00_1808
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_1801 =
																													VECTOR_REF
																													(BGl_za2classesza2z00zz__objectz00,
																													BgL_arg1808z00_1807);
																											}
																											{	/* Module/pragma.scm 83 */
																												bool_t
																													BgL__ortest_1115z00_1802;
																												BgL__ortest_1115z00_1802
																													=
																													(BgL_classz00_1785 ==
																													BgL_oclassz00_1801);
																												if (BgL__ortest_1115z00_1802)
																													{	/* Module/pragma.scm 83 */
																														BgL_res1753z00_1815
																															=
																															BgL__ortest_1115z00_1802;
																													}
																												else
																													{	/* Module/pragma.scm 83 */
																														long
																															BgL_odepthz00_1803;
																														BgL_odepthz00_1803 =
																															BGL_CLASS_DEPTH
																															(BgL_oclassz00_1801);
																														if ((2L <
																																BgL_odepthz00_1803))
																															{	/* Module/pragma.scm 83 */
																																obj_t
																																	BgL_arg1797z00_1805;
																																BgL_arg1797z00_1805
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_oclassz00_1801,
																																	2L);
																																BgL_res1753z00_1815
																																	=
																																	(BgL_arg1797z00_1805
																																	==
																																	BgL_classz00_1785);
																															}
																														else
																															{	/* Module/pragma.scm 83 */
																																BgL_res1753z00_1815
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_test1859z00_2839 =
																											BgL_res1753z00_1815;
																									}
																							}
																						else
																							{	/* Module/pragma.scm 83 */
																								BgL_test1859z00_2839 =
																									((bool_t) 0);
																							}
																					}
																					if (BgL_test1859z00_2839)
																						{	/* Module/pragma.scm 83 */
																							BgL_globalz00_1447 =
																								BgL_globalz00_1453;
																						}
																					else
																						{	/* Module/pragma.scm 83 */
																							BgL_globalz00_1447 =
																								BGl_findzd2globalzf2modulez20zzast_envz00
																								(BgL_idz00_1426,
																								CNST_TABLE_REF(1L));
																						}
																				}
																			}
																			{	/* Module/pragma.scm 86 */
																				bool_t BgL_test1864z00_2861;

																				{	/* Module/pragma.scm 86 */
																					obj_t BgL_classz00_1816;

																					BgL_classz00_1816 =
																						BGl_globalz00zzast_varz00;
																					if (BGL_OBJECTP(BgL_globalz00_1447))
																						{	/* Module/pragma.scm 86 */
																							BgL_objectz00_bglt
																								BgL_arg1801z00_1818;
																							BgL_arg1801z00_1818 =
																								(BgL_objectz00_bglt)
																								(BgL_globalz00_1447);
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* Module/pragma.scm 86 */
																									long BgL_idxz00_1824;

																									BgL_idxz00_1824 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1801z00_1818);
																									BgL_test1864z00_2861 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_1824 + 2L)) ==
																										BgL_classz00_1816);
																								}
																							else
																								{	/* Module/pragma.scm 86 */
																									bool_t BgL_res1754z00_1846;

																									{	/* Module/pragma.scm 86 */
																										obj_t BgL_oclassz00_1832;

																										{	/* Module/pragma.scm 86 */
																											long BgL_arg1808z00_1838;

																											{	/* Module/pragma.scm 86 */
																												long
																													BgL_arg1809z00_1839;
																												BgL_arg1809z00_1839 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1801z00_1818);
																												BgL_arg1808z00_1838 =
																													(BgL_arg1809z00_1839 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_1832 =
																												VECTOR_REF
																												(BGl_za2classesza2z00zz__objectz00,
																												BgL_arg1808z00_1838);
																										}
																										{	/* Module/pragma.scm 86 */
																											bool_t
																												BgL__ortest_1115z00_1833;
																											BgL__ortest_1115z00_1833 =
																												(BgL_classz00_1816 ==
																												BgL_oclassz00_1832);
																											if (BgL__ortest_1115z00_1833)
																												{	/* Module/pragma.scm 86 */
																													BgL_res1754z00_1846 =
																														BgL__ortest_1115z00_1833;
																												}
																											else
																												{	/* Module/pragma.scm 86 */
																													long
																														BgL_odepthz00_1834;
																													BgL_odepthz00_1834 =
																														BGL_CLASS_DEPTH
																														(BgL_oclassz00_1832);
																													if ((2L <
																															BgL_odepthz00_1834))
																														{	/* Module/pragma.scm 86 */
																															obj_t
																																BgL_arg1797z00_1836;
																															BgL_arg1797z00_1836
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_oclassz00_1832,
																																2L);
																															BgL_res1754z00_1846
																																=
																																(BgL_arg1797z00_1836
																																==
																																BgL_classz00_1816);
																														}
																													else
																														{	/* Module/pragma.scm 86 */
																															BgL_res1754z00_1846
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test1864z00_2861 =
																										BgL_res1754z00_1846;
																								}
																						}
																					else
																						{	/* Module/pragma.scm 86 */
																							BgL_test1864z00_2861 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test1864z00_2861)
																					{	/* Module/pragma.scm 86 */
																						BBOOL
																							(BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00
																							(BgL_globalz00_1447,
																								BgL_propza2za2_1428,
																								BgL_clausez00_1429));
																					}
																				else
																					{	/* Module/pragma.scm 86 */
																						if (
																							(BgL_modulez00_1427 ==
																								BGl_za2moduleza2z00zzmodule_modulez00))
																							{	/* Module/pragma.scm 89 */
																								obj_t BgL_arg1287z00_1449;
																								obj_t BgL_arg1289z00_1450;

																								BgL_arg1287z00_1449 =
																									BGl_findzd2locationzd2zztools_locationz00
																									(BgL_pragmaz00_1425);
																								{	/* Module/pragma.scm 92 */
																									obj_t BgL_arg1291z00_1451;

																									{	/* Module/pragma.scm 92 */
																										obj_t BgL_arg1292z00_1452;

																										BgL_arg1292z00_1452 =
																											MAKE_YOUNG_PAIR
																											(BgL_modulez00_1427,
																											BNIL);
																										BgL_arg1291z00_1451 =
																											MAKE_YOUNG_PAIR
																											(BgL_idz00_1426,
																											BgL_arg1292z00_1452);
																									}
																									BgL_arg1289z00_1450 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(2L),
																										BgL_arg1291z00_1451);
																								}
																								BGl_userzd2warningzf2locationz20zztools_errorz00
																									(BgL_arg1287z00_1449,
																									BGl_string1781z00zzmodule_pragmaz00,
																									BGl_string1783z00zzmodule_pragmaz00,
																									BgL_arg1289z00_1450);
																							}
																						else
																							{	/* Module/pragma.scm 87 */
																								BFALSE;
																							}
																					}
																			}
																		}
																	}
																else
																	{	/* Module/pragma.scm 80 */
																	BgL_tagzd2122zd2_1431:
																		BGl_internalzd2errorzd2zztools_errorz00
																			(BGl_string1784z00zzmodule_pragmaz00,
																			BGl_string1785z00zzmodule_pragmaz00,
																			BgL_pragmaz00_1425);
																	}
															}
														else
															{	/* Module/pragma.scm 80 */
																goto BgL_tagzd2122zd2_1431;
															}
													}
												else
													{	/* Module/pragma.scm 80 */
														goto BgL_tagzd2122zd2_1431;
													}
											}
										else
											{	/* Module/pragma.scm 80 */
												goto BgL_tagzd2122zd2_1431;
											}
									}
								else
									{	/* Module/pragma.scm 80 */
										goto BgL_tagzd2122zd2_1431;
									}
							}
						}
						{
							obj_t BgL_l1227z00_2892;

							BgL_l1227z00_2892 = CDR(BgL_l1227z00_1422);
							BgL_l1227z00_1422 = BgL_l1227z00_2892;
							goto BgL_zc3z04anonymousza31267ze3z87_1423;
						}
					}
				else
					{	/* Module/pragma.scm 79 */
						((bool_t) 1);
					}
			}
			BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BNIL;
			return CNST_TABLE_REF(3L);
		}

	}



/* &pragma-finalizer */
	obj_t BGl_z62pragmazd2finaliza7erz17zzmodule_pragmaz00(obj_t BgL_envz00_2675)
	{
		{	/* Module/pragma.scm 78 */
			return BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00();
		}

	}



/* set-pragma-properties! */
	bool_t BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00(obj_t
		BgL_globalz00_7, obj_t BgL_propza2za2_8, obj_t BgL_clausez00_9)
	{
		{	/* Module/pragma.scm 105 */
			{
				obj_t BgL_l1229z00_1458;

				BgL_l1229z00_1458 = BgL_propza2za2_8;
			BgL_zc3z04anonymousza31295ze3z87_1459:
				if (PAIRP(BgL_l1229z00_1458))
					{	/* Module/pragma.scm 106 */
						BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(BgL_globalz00_7,
							CAR(BgL_l1229z00_1458), BgL_clausez00_9);
						{
							obj_t BgL_l1229z00_2900;

							BgL_l1229z00_2900 = CDR(BgL_l1229z00_1458);
							BgL_l1229z00_1458 = BgL_l1229z00_2900;
							goto BgL_zc3z04anonymousza31295ze3z87_1459;
						}
					}
				else
					{	/* Module/pragma.scm 106 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* sfun-error */
	obj_t BGl_sfunzd2errorzd2zzmodule_pragmaz00(obj_t BgL_pz00_10,
		BgL_globalz00_bglt BgL_gz00_11)
	{
		{	/* Module/pragma.scm 113 */
			if (CBOOL(BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00))
				{	/* Module/pragma.scm 114 */
					return BFALSE;
				}
			else
				{	/* Module/pragma.scm 115 */
					obj_t BgL_arg1323z00_1464;
					obj_t BgL_arg1324z00_1465;

					BgL_arg1323z00_1464 =
						string_append_3(BGl_string1786z00zzmodule_pragmaz00, BgL_pz00_10,
						BGl_string1787z00zzmodule_pragmaz00);
					BgL_arg1324z00_1465 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_gz00_11));
					{	/* Module/pragma.scm 115 */
						obj_t BgL_list1325z00_1466;

						BgL_list1325z00_1466 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						return
							BGl_userzd2errorzd2zztools_errorz00(BgL_arg1323z00_1464,
							BGl_string1788z00zzmodule_pragmaz00, BgL_arg1324z00_1465,
							BgL_list1325z00_1466);
					}
				}
		}

	}



/* set-pragma-property! */
	obj_t BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(obj_t
		BgL_globalz00_12, obj_t BgL_propz00_13, obj_t BgL_clausez00_14)
	{
		{	/* Module/pragma.scm 123 */
			{
				obj_t BgL_keyz00_1468;
				obj_t BgL_valz00_1469;

				if (SYMBOLP(BgL_propz00_13))
					{	/* Module/pragma.scm 124 */
						if ((BgL_propz00_13 == CNST_TABLE_REF(4L)))
							{	/* Module/pragma.scm 129 */
								BgL_valuez00_bglt BgL_valz00_1480;

								BgL_valz00_1480 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_12))))->
									BgL_valuez00);
								{	/* Module/pragma.scm 130 */
									bool_t BgL_test1874z00_2917;

									{	/* Module/pragma.scm 130 */
										obj_t BgL_classz00_1860;

										BgL_classz00_1860 = BGl_funz00zzast_varz00;
										{	/* Module/pragma.scm 130 */
											BgL_objectz00_bglt BgL_arg1801z00_1862;

											{	/* Module/pragma.scm 130 */
												obj_t BgL_tmpz00_2918;

												BgL_tmpz00_2918 =
													((obj_t) ((BgL_objectz00_bglt) BgL_valz00_1480));
												BgL_arg1801z00_1862 =
													(BgL_objectz00_bglt) (BgL_tmpz00_2918);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Module/pragma.scm 130 */
													long BgL_idxz00_1868;

													BgL_idxz00_1868 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_1862);
													BgL_test1874z00_2917 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_1868 + 2L)) == BgL_classz00_1860);
												}
											else
												{	/* Module/pragma.scm 130 */
													bool_t BgL_res1755z00_1890;

													{	/* Module/pragma.scm 130 */
														obj_t BgL_oclassz00_1876;

														{	/* Module/pragma.scm 130 */
															long BgL_arg1808z00_1882;

															{	/* Module/pragma.scm 130 */
																long BgL_arg1809z00_1883;

																BgL_arg1809z00_1883 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_1862);
																BgL_arg1808z00_1882 =
																	(BgL_arg1809z00_1883 - OBJECT_TYPE);
															}
															BgL_oclassz00_1876 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1808z00_1882);
														}
														{	/* Module/pragma.scm 130 */
															bool_t BgL__ortest_1115z00_1877;

															BgL__ortest_1115z00_1877 =
																(BgL_classz00_1860 == BgL_oclassz00_1876);
															if (BgL__ortest_1115z00_1877)
																{	/* Module/pragma.scm 130 */
																	BgL_res1755z00_1890 =
																		BgL__ortest_1115z00_1877;
																}
															else
																{	/* Module/pragma.scm 130 */
																	long BgL_odepthz00_1878;

																	BgL_odepthz00_1878 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_1876);
																	if ((2L < BgL_odepthz00_1878))
																		{	/* Module/pragma.scm 130 */
																			obj_t BgL_arg1797z00_1880;

																			BgL_arg1797z00_1880 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_1876, 2L);
																			BgL_res1755z00_1890 =
																				(BgL_arg1797z00_1880 ==
																				BgL_classz00_1860);
																		}
																	else
																		{	/* Module/pragma.scm 130 */
																			BgL_res1755z00_1890 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test1874z00_2917 = BgL_res1755z00_1890;
												}
										}
									}
									if (BgL_test1874z00_2917)
										{	/* Module/pragma.scm 130 */
											return
												((((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt) BgL_valz00_1480)))->
													BgL_sidezd2effectzd2) = ((obj_t) BFALSE), BUNSPEC);
										}
									else
										{	/* Module/pragma.scm 130 */
											return
												BGl_sfunzd2errorzd2zzmodule_pragmaz00
												(BGl_string1789z00zzmodule_pragmaz00,
												((BgL_globalz00_bglt) BgL_globalz00_12));
										}
								}
							}
						else
							{	/* Module/pragma.scm 126 */
								if ((BgL_propz00_13 == CNST_TABLE_REF(5L)))
									{	/* Module/pragma.scm 135 */
										BgL_valuez00_bglt BgL_valz00_1483;

										BgL_valz00_1483 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_12))))->
											BgL_valuez00);
										{	/* Module/pragma.scm 136 */
											bool_t BgL_test1879z00_2948;

											{	/* Module/pragma.scm 136 */
												obj_t BgL_classz00_1894;

												BgL_classz00_1894 = BGl_funz00zzast_varz00;
												{	/* Module/pragma.scm 136 */
													BgL_objectz00_bglt BgL_arg1801z00_1896;

													{	/* Module/pragma.scm 136 */
														obj_t BgL_tmpz00_2949;

														BgL_tmpz00_2949 =
															((obj_t) ((BgL_objectz00_bglt) BgL_valz00_1483));
														BgL_arg1801z00_1896 =
															(BgL_objectz00_bglt) (BgL_tmpz00_2949);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Module/pragma.scm 136 */
															long BgL_idxz00_1902;

															BgL_idxz00_1902 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_1896);
															BgL_test1879z00_2948 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_1902 + 2L)) == BgL_classz00_1894);
														}
													else
														{	/* Module/pragma.scm 136 */
															bool_t BgL_res1756z00_1924;

															{	/* Module/pragma.scm 136 */
																obj_t BgL_oclassz00_1910;

																{	/* Module/pragma.scm 136 */
																	long BgL_arg1808z00_1916;

																	{	/* Module/pragma.scm 136 */
																		long BgL_arg1809z00_1917;

																		BgL_arg1809z00_1917 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_1896);
																		BgL_arg1808z00_1916 =
																			(BgL_arg1809z00_1917 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_1910 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1808z00_1916);
																}
																{	/* Module/pragma.scm 136 */
																	bool_t BgL__ortest_1115z00_1911;

																	BgL__ortest_1115z00_1911 =
																		(BgL_classz00_1894 == BgL_oclassz00_1910);
																	if (BgL__ortest_1115z00_1911)
																		{	/* Module/pragma.scm 136 */
																			BgL_res1756z00_1924 =
																				BgL__ortest_1115z00_1911;
																		}
																	else
																		{	/* Module/pragma.scm 136 */
																			long BgL_odepthz00_1912;

																			BgL_odepthz00_1912 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_1910);
																			if ((2L < BgL_odepthz00_1912))
																				{	/* Module/pragma.scm 136 */
																					obj_t BgL_arg1797z00_1914;

																					BgL_arg1797z00_1914 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_1910, 2L);
																					BgL_res1756z00_1924 =
																						(BgL_arg1797z00_1914 ==
																						BgL_classz00_1894);
																				}
																			else
																				{	/* Module/pragma.scm 136 */
																					BgL_res1756z00_1924 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test1879z00_2948 = BgL_res1756z00_1924;
														}
												}
											}
											if (BgL_test1879z00_2948)
												{	/* Module/pragma.scm 136 */
													return
														((((BgL_funz00_bglt) COBJECT(
																	((BgL_funz00_bglt) BgL_valz00_1483)))->
															BgL_topzf3zf3) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
												}
											else
												{	/* Module/pragma.scm 136 */
													return
														BGl_sfunzd2errorzd2zzmodule_pragmaz00
														(BGl_string1790z00zzmodule_pragmaz00,
														((BgL_globalz00_bglt) BgL_globalz00_12));
												}
										}
									}
								else
									{	/* Module/pragma.scm 126 */
										if ((BgL_propz00_13 == CNST_TABLE_REF(6L)))
											{	/* Module/pragma.scm 142 */
												BgL_valuez00_bglt BgL_valz00_1486;

												BgL_valz00_1486 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_globalz00_12))))->
													BgL_valuez00);
												{	/* Module/pragma.scm 143 */
													bool_t BgL_test1884z00_2979;

													{	/* Module/pragma.scm 143 */
														obj_t BgL_classz00_1929;

														BgL_classz00_1929 = BGl_funz00zzast_varz00;
														{	/* Module/pragma.scm 143 */
															BgL_objectz00_bglt BgL_arg1801z00_1931;

															{	/* Module/pragma.scm 143 */
																obj_t BgL_tmpz00_2980;

																BgL_tmpz00_2980 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_valz00_1486));
																BgL_arg1801z00_1931 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_2980);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Module/pragma.scm 143 */
																	long BgL_idxz00_1937;

																	BgL_idxz00_1937 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1801z00_1931);
																	BgL_test1884z00_2979 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_1937 + 2L)) ==
																		BgL_classz00_1929);
																}
															else
																{	/* Module/pragma.scm 143 */
																	bool_t BgL_res1757z00_1959;

																	{	/* Module/pragma.scm 143 */
																		obj_t BgL_oclassz00_1945;

																		{	/* Module/pragma.scm 143 */
																			long BgL_arg1808z00_1951;

																			{	/* Module/pragma.scm 143 */
																				long BgL_arg1809z00_1952;

																				BgL_arg1809z00_1952 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1801z00_1931);
																				BgL_arg1808z00_1951 =
																					(BgL_arg1809z00_1952 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_1945 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1808z00_1951);
																		}
																		{	/* Module/pragma.scm 143 */
																			bool_t BgL__ortest_1115z00_1946;

																			BgL__ortest_1115z00_1946 =
																				(BgL_classz00_1929 ==
																				BgL_oclassz00_1945);
																			if (BgL__ortest_1115z00_1946)
																				{	/* Module/pragma.scm 143 */
																					BgL_res1757z00_1959 =
																						BgL__ortest_1115z00_1946;
																				}
																			else
																				{	/* Module/pragma.scm 143 */
																					long BgL_odepthz00_1947;

																					BgL_odepthz00_1947 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_1945);
																					if ((2L < BgL_odepthz00_1947))
																						{	/* Module/pragma.scm 143 */
																							obj_t BgL_arg1797z00_1949;

																							BgL_arg1797z00_1949 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_1945, 2L);
																							BgL_res1757z00_1959 =
																								(BgL_arg1797z00_1949 ==
																								BgL_classz00_1929);
																						}
																					else
																						{	/* Module/pragma.scm 143 */
																							BgL_res1757z00_1959 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test1884z00_2979 = BgL_res1757z00_1959;
																}
														}
													}
													if (BgL_test1884z00_2979)
														{	/* Module/pragma.scm 145 */
															obj_t BgL_arg1338z00_1488;

															{	/* Module/pragma.scm 145 */
																obj_t BgL_arg1341z00_1489;

																BgL_arg1341z00_1489 =
																	(((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_valz00_1486)))->
																	BgL_propertyz00);
																BgL_arg1338z00_1488 =
																	MAKE_YOUNG_PAIR(BgL_propz00_13,
																	BgL_arg1341z00_1489);
															}
															return
																((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_valz00_1486)))->
																	BgL_propertyz00) =
																((obj_t) BgL_arg1338z00_1488), BUNSPEC);
														}
													else
														{	/* Module/pragma.scm 143 */
															return
																BGl_sfunzd2errorzd2zzmodule_pragmaz00
																(BGl_string1791z00zzmodule_pragmaz00,
																((BgL_globalz00_bglt) BgL_globalz00_12));
														}
												}
											}
										else
											{	/* Module/pragma.scm 126 */
												if ((BgL_propz00_13 == CNST_TABLE_REF(7L)))
													{	/* Module/pragma.scm 149 */
														BgL_valuez00_bglt BgL_valz00_1491;

														BgL_valz00_1491 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_globalz00_12))))->
															BgL_valuez00);
														{	/* Module/pragma.scm 150 */
															bool_t BgL_test1889z00_3013;

															{	/* Module/pragma.scm 150 */
																obj_t BgL_classz00_1964;

																BgL_classz00_1964 = BGl_sfunz00zzast_varz00;
																{	/* Module/pragma.scm 150 */
																	BgL_objectz00_bglt BgL_arg1801z00_1966;

																	{	/* Module/pragma.scm 150 */
																		obj_t BgL_tmpz00_3014;

																		BgL_tmpz00_3014 =
																			((obj_t)
																			((BgL_objectz00_bglt) BgL_valz00_1491));
																		BgL_arg1801z00_1966 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_3014);
																	}
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Module/pragma.scm 150 */
																			long BgL_idxz00_1972;

																			BgL_idxz00_1972 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1801z00_1966);
																			BgL_test1889z00_3013 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_1972 + 3L)) ==
																				BgL_classz00_1964);
																		}
																	else
																		{	/* Module/pragma.scm 150 */
																			bool_t BgL_res1758z00_1994;

																			{	/* Module/pragma.scm 150 */
																				obj_t BgL_oclassz00_1980;

																				{	/* Module/pragma.scm 150 */
																					long BgL_arg1808z00_1986;

																					{	/* Module/pragma.scm 150 */
																						long BgL_arg1809z00_1987;

																						BgL_arg1809z00_1987 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1801z00_1966);
																						BgL_arg1808z00_1986 =
																							(BgL_arg1809z00_1987 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_1980 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1808z00_1986);
																				}
																				{	/* Module/pragma.scm 150 */
																					bool_t BgL__ortest_1115z00_1981;

																					BgL__ortest_1115z00_1981 =
																						(BgL_classz00_1964 ==
																						BgL_oclassz00_1980);
																					if (BgL__ortest_1115z00_1981)
																						{	/* Module/pragma.scm 150 */
																							BgL_res1758z00_1994 =
																								BgL__ortest_1115z00_1981;
																						}
																					else
																						{	/* Module/pragma.scm 150 */
																							long BgL_odepthz00_1982;

																							BgL_odepthz00_1982 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_1980);
																							if ((3L < BgL_odepthz00_1982))
																								{	/* Module/pragma.scm 150 */
																									obj_t BgL_arg1797z00_1984;

																									BgL_arg1797z00_1984 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_1980, 3L);
																									BgL_res1758z00_1994 =
																										(BgL_arg1797z00_1984 ==
																										BgL_classz00_1964);
																								}
																							else
																								{	/* Module/pragma.scm 150 */
																									BgL_res1758z00_1994 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1889z00_3013 =
																				BgL_res1758z00_1994;
																		}
																}
															}
															if (BgL_test1889z00_3013)
																{	/* Module/pragma.scm 152 */
																	obj_t BgL_arg1344z00_1493;

																	{	/* Module/pragma.scm 152 */
																		obj_t BgL_arg1346z00_1494;

																		BgL_arg1346z00_1494 =
																			(((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						BgL_valz00_1491)))->
																			BgL_propertyz00);
																		BgL_arg1344z00_1493 =
																			MAKE_YOUNG_PAIR(BgL_propz00_13,
																			BgL_arg1346z00_1494);
																	}
																	return
																		((((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						BgL_valz00_1491)))->
																			BgL_propertyz00) =
																		((obj_t) BgL_arg1344z00_1493), BUNSPEC);
																}
															else
																{	/* Module/pragma.scm 150 */
																	return
																		BGl_sfunzd2errorzd2zzmodule_pragmaz00
																		(BGl_string1792z00zzmodule_pragmaz00,
																		((BgL_globalz00_bglt) BgL_globalz00_12));
																}
														}
													}
												else
													{	/* Module/pragma.scm 126 */
														if ((BgL_propz00_13 == CNST_TABLE_REF(8L)))
															{	/* Module/pragma.scm 154 */
																BgL_valuez00_bglt BgL_valz00_1496;

																BgL_valz00_1496 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_globalz00_12))))->BgL_valuez00);
																{	/* Module/pragma.scm 155 */
																	bool_t BgL_test1894z00_3047;

																	{	/* Module/pragma.scm 155 */
																		obj_t BgL_classz00_1999;

																		BgL_classz00_1999 = BGl_sfunz00zzast_varz00;
																		{	/* Module/pragma.scm 155 */
																			BgL_objectz00_bglt BgL_arg1801z00_2001;

																			{	/* Module/pragma.scm 155 */
																				obj_t BgL_tmpz00_3048;

																				BgL_tmpz00_3048 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_valz00_1496));
																				BgL_arg1801z00_2001 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_3048);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Module/pragma.scm 155 */
																					long BgL_idxz00_2007;

																					BgL_idxz00_2007 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1801z00_2001);
																					BgL_test1894z00_3047 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2007 + 3L)) ==
																						BgL_classz00_1999);
																				}
																			else
																				{	/* Module/pragma.scm 155 */
																					bool_t BgL_res1759z00_2029;

																					{	/* Module/pragma.scm 155 */
																						obj_t BgL_oclassz00_2015;

																						{	/* Module/pragma.scm 155 */
																							long BgL_arg1808z00_2021;

																							{	/* Module/pragma.scm 155 */
																								long BgL_arg1809z00_2022;

																								BgL_arg1809z00_2022 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1801z00_2001);
																								BgL_arg1808z00_2021 =
																									(BgL_arg1809z00_2022 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2015 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1808z00_2021);
																						}
																						{	/* Module/pragma.scm 155 */
																							bool_t BgL__ortest_1115z00_2016;

																							BgL__ortest_1115z00_2016 =
																								(BgL_classz00_1999 ==
																								BgL_oclassz00_2015);
																							if (BgL__ortest_1115z00_2016)
																								{	/* Module/pragma.scm 155 */
																									BgL_res1759z00_2029 =
																										BgL__ortest_1115z00_2016;
																								}
																							else
																								{	/* Module/pragma.scm 155 */
																									long BgL_odepthz00_2017;

																									BgL_odepthz00_2017 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2015);
																									if ((3L < BgL_odepthz00_2017))
																										{	/* Module/pragma.scm 155 */
																											obj_t BgL_arg1797z00_2019;

																											BgL_arg1797z00_2019 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2015,
																												3L);
																											BgL_res1759z00_2029 =
																												(BgL_arg1797z00_2019 ==
																												BgL_classz00_1999);
																										}
																									else
																										{	/* Module/pragma.scm 155 */
																											BgL_res1759z00_2029 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test1894z00_3047 =
																						BgL_res1759z00_2029;
																				}
																		}
																	}
																	if (BgL_test1894z00_3047)
																		{	/* Module/pragma.scm 157 */
																			obj_t BgL_arg1352z00_1498;

																			{	/* Module/pragma.scm 157 */
																				obj_t BgL_arg1354z00_1499;

																				BgL_arg1354z00_1499 =
																					(((BgL_sfunz00_bglt) COBJECT(
																							((BgL_sfunz00_bglt)
																								BgL_valz00_1496)))->
																					BgL_propertyz00);
																				BgL_arg1352z00_1498 =
																					MAKE_YOUNG_PAIR(BgL_propz00_13,
																					BgL_arg1354z00_1499);
																			}
																			return
																				((((BgL_sfunz00_bglt) COBJECT(
																							((BgL_sfunz00_bglt)
																								BgL_valz00_1496)))->
																					BgL_propertyz00) =
																				((obj_t) BgL_arg1352z00_1498), BUNSPEC);
																		}
																	else
																		{	/* Module/pragma.scm 155 */
																			return
																				BGl_sfunzd2errorzd2zzmodule_pragmaz00
																				(BGl_string1793z00zzmodule_pragmaz00,
																				((BgL_globalz00_bglt)
																					BgL_globalz00_12));
																		}
																}
															}
														else
															{	/* Module/pragma.scm 126 */
																if ((BgL_propz00_13 == CNST_TABLE_REF(9L)))
																	{	/* Module/pragma.scm 159 */
																		BgL_valuez00_bglt BgL_valz00_1501;

																		BgL_valz00_1501 =
																			(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_globalz00_12))))->
																			BgL_valuez00);
																		{	/* Module/pragma.scm 160 */
																			bool_t BgL_test1899z00_3081;

																			{	/* Module/pragma.scm 160 */
																				obj_t BgL_classz00_2034;

																				BgL_classz00_2034 =
																					BGl_cfunz00zzast_varz00;
																				{	/* Module/pragma.scm 160 */
																					BgL_objectz00_bglt
																						BgL_arg1801z00_2036;
																					{	/* Module/pragma.scm 160 */
																						obj_t BgL_tmpz00_3082;

																						BgL_tmpz00_3082 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_valz00_1501));
																						BgL_arg1801z00_2036 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_3082);
																					}
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Module/pragma.scm 160 */
																							long BgL_idxz00_2042;

																							BgL_idxz00_2042 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1801z00_2036);
																							BgL_test1899z00_3081 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_2042 + 3L)) ==
																								BgL_classz00_2034);
																						}
																					else
																						{	/* Module/pragma.scm 160 */
																							bool_t BgL_res1760z00_2064;

																							{	/* Module/pragma.scm 160 */
																								obj_t BgL_oclassz00_2050;

																								{	/* Module/pragma.scm 160 */
																									long BgL_arg1808z00_2056;

																									{	/* Module/pragma.scm 160 */
																										long BgL_arg1809z00_2057;

																										BgL_arg1809z00_2057 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1801z00_2036);
																										BgL_arg1808z00_2056 =
																											(BgL_arg1809z00_2057 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_2050 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1808z00_2056);
																								}
																								{	/* Module/pragma.scm 160 */
																									bool_t
																										BgL__ortest_1115z00_2051;
																									BgL__ortest_1115z00_2051 =
																										(BgL_classz00_2034 ==
																										BgL_oclassz00_2050);
																									if (BgL__ortest_1115z00_2051)
																										{	/* Module/pragma.scm 160 */
																											BgL_res1760z00_2064 =
																												BgL__ortest_1115z00_2051;
																										}
																									else
																										{	/* Module/pragma.scm 160 */
																											long BgL_odepthz00_2052;

																											BgL_odepthz00_2052 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_2050);
																											if ((3L <
																													BgL_odepthz00_2052))
																												{	/* Module/pragma.scm 160 */
																													obj_t
																														BgL_arg1797z00_2054;
																													BgL_arg1797z00_2054 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_2050,
																														3L);
																													BgL_res1760z00_2064 =
																														(BgL_arg1797z00_2054
																														==
																														BgL_classz00_2034);
																												}
																											else
																												{	/* Module/pragma.scm 160 */
																													BgL_res1760z00_2064 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test1899z00_3081 =
																								BgL_res1760z00_2064;
																						}
																				}
																			}
																			if (BgL_test1899z00_3081)
																				{	/* Module/pragma.scm 162 */
																					obj_t BgL_arg1361z00_1503;

																					{	/* Module/pragma.scm 162 */
																						obj_t BgL_arg1363z00_1504;

																						BgL_arg1363z00_1504 =
																							(((BgL_globalz00_bglt) COBJECT(
																									((BgL_globalz00_bglt)
																										BgL_globalz00_12)))->
																							BgL_pragmaz00);
																						BgL_arg1361z00_1503 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF
																							(9L), BgL_arg1363z00_1504);
																					}
																					return
																						((((BgL_globalz00_bglt) COBJECT(
																									((BgL_globalz00_bglt)
																										BgL_globalz00_12)))->
																							BgL_pragmaz00) =
																						((obj_t) BgL_arg1361z00_1503),
																						BUNSPEC);
																				}
																			else
																				{	/* Module/pragma.scm 160 */
																					return BFALSE;
																				}
																		}
																	}
																else
																	{	/* Module/pragma.scm 126 */
																		if ((BgL_propz00_13 == CNST_TABLE_REF(10L)))
																			{	/* Module/pragma.scm 164 */
																				BgL_valuez00_bglt BgL_valz00_1506;

																				BgL_valz00_1506 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_globalz00_12))))->
																					BgL_valuez00);
																				{	/* Module/pragma.scm 165 */
																					bool_t BgL_test1904z00_3114;

																					{	/* Module/pragma.scm 165 */
																						obj_t BgL_classz00_2069;

																						BgL_classz00_2069 =
																							BGl_cfunz00zzast_varz00;
																						{	/* Module/pragma.scm 165 */
																							BgL_objectz00_bglt
																								BgL_arg1801z00_2071;
																							{	/* Module/pragma.scm 165 */
																								obj_t BgL_tmpz00_3115;

																								BgL_tmpz00_3115 =
																									((obj_t)
																									((BgL_objectz00_bglt)
																										BgL_valz00_1506));
																								BgL_arg1801z00_2071 =
																									(BgL_objectz00_bglt)
																									(BgL_tmpz00_3115);
																							}
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* Module/pragma.scm 165 */
																									long BgL_idxz00_2077;

																									BgL_idxz00_2077 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1801z00_2071);
																									BgL_test1904z00_3114 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_2077 + 3L)) ==
																										BgL_classz00_2069);
																								}
																							else
																								{	/* Module/pragma.scm 165 */
																									bool_t BgL_res1761z00_2099;

																									{	/* Module/pragma.scm 165 */
																										obj_t BgL_oclassz00_2085;

																										{	/* Module/pragma.scm 165 */
																											long BgL_arg1808z00_2091;

																											{	/* Module/pragma.scm 165 */
																												long
																													BgL_arg1809z00_2092;
																												BgL_arg1809z00_2092 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1801z00_2071);
																												BgL_arg1808z00_2091 =
																													(BgL_arg1809z00_2092 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_2085 =
																												VECTOR_REF
																												(BGl_za2classesza2z00zz__objectz00,
																												BgL_arg1808z00_2091);
																										}
																										{	/* Module/pragma.scm 165 */
																											bool_t
																												BgL__ortest_1115z00_2086;
																											BgL__ortest_1115z00_2086 =
																												(BgL_classz00_2069 ==
																												BgL_oclassz00_2085);
																											if (BgL__ortest_1115z00_2086)
																												{	/* Module/pragma.scm 165 */
																													BgL_res1761z00_2099 =
																														BgL__ortest_1115z00_2086;
																												}
																											else
																												{	/* Module/pragma.scm 165 */
																													long
																														BgL_odepthz00_2087;
																													BgL_odepthz00_2087 =
																														BGL_CLASS_DEPTH
																														(BgL_oclassz00_2085);
																													if ((3L <
																															BgL_odepthz00_2087))
																														{	/* Module/pragma.scm 165 */
																															obj_t
																																BgL_arg1797z00_2089;
																															BgL_arg1797z00_2089
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_oclassz00_2085,
																																3L);
																															BgL_res1761z00_2099
																																=
																																(BgL_arg1797z00_2089
																																==
																																BgL_classz00_2069);
																														}
																													else
																														{	/* Module/pragma.scm 165 */
																															BgL_res1761z00_2099
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test1904z00_3114 =
																										BgL_res1761z00_2099;
																								}
																						}
																					}
																					if (BgL_test1904z00_3114)
																						{	/* Module/pragma.scm 168 */
																							obj_t BgL_arg1366z00_1508;

																							{	/* Module/pragma.scm 168 */
																								obj_t BgL_arg1369z00_1509;

																								BgL_arg1369z00_1509 =
																									(((BgL_globalz00_bglt)
																										COBJECT((
																												(BgL_globalz00_bglt)
																												BgL_globalz00_12)))->
																									BgL_pragmaz00);
																								BgL_arg1366z00_1508 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(10L), BgL_arg1369z00_1509);
																							}
																							return
																								((((BgL_globalz00_bglt) COBJECT(
																											((BgL_globalz00_bglt)
																												BgL_globalz00_12)))->
																									BgL_pragmaz00) =
																								((obj_t) BgL_arg1366z00_1508),
																								BUNSPEC);
																						}
																					else
																						{	/* Module/pragma.scm 165 */
																							return BFALSE;
																						}
																				}
																			}
																		else
																			{	/* Module/pragma.scm 126 */
																				if (
																					(BgL_propz00_13 ==
																						CNST_TABLE_REF(11L)))
																					{	/* Module/pragma.scm 170 */
																						BgL_valuez00_bglt BgL_valz00_1511;

																						BgL_valz00_1511 =
																							(((BgL_variablez00_bglt) COBJECT(
																									((BgL_variablez00_bglt)
																										((BgL_globalz00_bglt)
																											BgL_globalz00_12))))->
																							BgL_valuez00);
																						{	/* Module/pragma.scm 171 */
																							bool_t BgL_test1909z00_3147;

																							{	/* Module/pragma.scm 171 */
																								bool_t BgL_test1910z00_3148;

																								{	/* Module/pragma.scm 171 */
																									obj_t BgL_classz00_2104;

																									BgL_classz00_2104 =
																										BGl_sfunz00zzast_varz00;
																									{	/* Module/pragma.scm 171 */
																										BgL_objectz00_bglt
																											BgL_arg1801z00_2106;
																										{	/* Module/pragma.scm 171 */
																											obj_t BgL_tmpz00_3149;

																											BgL_tmpz00_3149 =
																												((obj_t)
																												((BgL_objectz00_bglt)
																													BgL_valz00_1511));
																											BgL_arg1801z00_2106 =
																												(BgL_objectz00_bglt)
																												(BgL_tmpz00_3149);
																										}
																										if (BGL_CONDEXPAND_ISA_ARCH64())
																											{	/* Module/pragma.scm 171 */
																												long BgL_idxz00_2112;

																												BgL_idxz00_2112 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1801z00_2106);
																												BgL_test1910z00_3148 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_2112 +
																															3L)) ==
																													BgL_classz00_2104);
																											}
																										else
																											{	/* Module/pragma.scm 171 */
																												bool_t
																													BgL_res1762z00_2134;
																												{	/* Module/pragma.scm 171 */
																													obj_t
																														BgL_oclassz00_2120;
																													{	/* Module/pragma.scm 171 */
																														long
																															BgL_arg1808z00_2126;
																														{	/* Module/pragma.scm 171 */
																															long
																																BgL_arg1809z00_2127;
																															BgL_arg1809z00_2127
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1801z00_2106);
																															BgL_arg1808z00_2126
																																=
																																(BgL_arg1809z00_2127
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_2120 =
																															VECTOR_REF
																															(BGl_za2classesza2z00zz__objectz00,
																															BgL_arg1808z00_2126);
																													}
																													{	/* Module/pragma.scm 171 */
																														bool_t
																															BgL__ortest_1115z00_2121;
																														BgL__ortest_1115z00_2121
																															=
																															(BgL_classz00_2104
																															==
																															BgL_oclassz00_2120);
																														if (BgL__ortest_1115z00_2121)
																															{	/* Module/pragma.scm 171 */
																																BgL_res1762z00_2134
																																	=
																																	BgL__ortest_1115z00_2121;
																															}
																														else
																															{	/* Module/pragma.scm 171 */
																																long
																																	BgL_odepthz00_2122;
																																BgL_odepthz00_2122
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_oclassz00_2120);
																																if ((3L <
																																		BgL_odepthz00_2122))
																																	{	/* Module/pragma.scm 171 */
																																		obj_t
																																			BgL_arg1797z00_2124;
																																		BgL_arg1797z00_2124
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_oclassz00_2120,
																																			3L);
																																		BgL_res1762z00_2134
																																			=
																																			(BgL_arg1797z00_2124
																																			==
																																			BgL_classz00_2104);
																																	}
																																else
																																	{	/* Module/pragma.scm 171 */
																																		BgL_res1762z00_2134
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_test1910z00_3148 =
																													BgL_res1762z00_2134;
																											}
																									}
																								}
																								if (BgL_test1910z00_3148)
																									{	/* Module/pragma.scm 171 */
																										BgL_test1909z00_3147 =
																											((bool_t) 1);
																									}
																								else
																									{	/* Module/pragma.scm 171 */
																										obj_t BgL_classz00_2135;

																										BgL_classz00_2135 =
																											BGl_cfunz00zzast_varz00;
																										{	/* Module/pragma.scm 171 */
																											BgL_objectz00_bglt
																												BgL_arg1801z00_2137;
																											{	/* Module/pragma.scm 171 */
																												obj_t BgL_tmpz00_3169;

																												BgL_tmpz00_3169 =
																													((obj_t)
																													((BgL_objectz00_bglt)
																														BgL_valz00_1511));
																												BgL_arg1801z00_2137 =
																													(BgL_objectz00_bglt)
																													(BgL_tmpz00_3169);
																											}
																											if (BGL_CONDEXPAND_ISA_ARCH64())
																												{	/* Module/pragma.scm 171 */
																													long BgL_idxz00_2143;

																													BgL_idxz00_2143 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1801z00_2137);
																													BgL_test1909z00_3147 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_2143 +
																																3L)) ==
																														BgL_classz00_2135);
																												}
																											else
																												{	/* Module/pragma.scm 171 */
																													bool_t
																														BgL_res1763z00_2165;
																													{	/* Module/pragma.scm 171 */
																														obj_t
																															BgL_oclassz00_2151;
																														{	/* Module/pragma.scm 171 */
																															long
																																BgL_arg1808z00_2157;
																															{	/* Module/pragma.scm 171 */
																																long
																																	BgL_arg1809z00_2158;
																																BgL_arg1809z00_2158
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1801z00_2137);
																																BgL_arg1808z00_2157
																																	=
																																	(BgL_arg1809z00_2158
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_2151
																																=
																																VECTOR_REF
																																(BGl_za2classesza2z00zz__objectz00,
																																BgL_arg1808z00_2157);
																														}
																														{	/* Module/pragma.scm 171 */
																															bool_t
																																BgL__ortest_1115z00_2152;
																															BgL__ortest_1115z00_2152
																																=
																																(BgL_classz00_2135
																																==
																																BgL_oclassz00_2151);
																															if (BgL__ortest_1115z00_2152)
																																{	/* Module/pragma.scm 171 */
																																	BgL_res1763z00_2165
																																		=
																																		BgL__ortest_1115z00_2152;
																																}
																															else
																																{	/* Module/pragma.scm 171 */
																																	long
																																		BgL_odepthz00_2153;
																																	BgL_odepthz00_2153
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_oclassz00_2151);
																																	if ((3L <
																																			BgL_odepthz00_2153))
																																		{	/* Module/pragma.scm 171 */
																																			obj_t
																																				BgL_arg1797z00_2155;
																																			BgL_arg1797z00_2155
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_oclassz00_2151,
																																				3L);
																																			BgL_res1763z00_2165
																																				=
																																				(BgL_arg1797z00_2155
																																				==
																																				BgL_classz00_2135);
																																		}
																																	else
																																		{	/* Module/pragma.scm 171 */
																																			BgL_res1763z00_2165
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_test1909z00_3147 =
																														BgL_res1763z00_2165;
																												}
																										}
																									}
																							}
																							if (BgL_test1909z00_3147)
																								{	/* Module/pragma.scm 174 */
																									obj_t BgL_arg1397z00_1514;

																									{	/* Module/pragma.scm 174 */
																										obj_t BgL_arg1407z00_1515;

																										BgL_arg1407z00_1515 =
																											(((BgL_globalz00_bglt)
																												COBJECT((
																														(BgL_globalz00_bglt)
																														BgL_globalz00_12)))->
																											BgL_pragmaz00);
																										BgL_arg1397z00_1514 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(11L),
																											BgL_arg1407z00_1515);
																									}
																									return
																										((((BgL_globalz00_bglt)
																												COBJECT((
																														(BgL_globalz00_bglt)
																														BgL_globalz00_12)))->
																											BgL_pragmaz00) =
																										((obj_t)
																											BgL_arg1397z00_1514),
																										BUNSPEC);
																								}
																							else
																								{	/* Module/pragma.scm 171 */
																									return BFALSE;
																								}
																						}
																					}
																				else
																					{	/* Module/pragma.scm 126 */
																						if (
																							(BgL_propz00_13 ==
																								CNST_TABLE_REF(12L)))
																							{	/* Module/pragma.scm 177 */
																								BgL_valuez00_bglt
																									BgL_valz00_1518;
																								BgL_valz00_1518 =
																									(((BgL_variablez00_bglt)
																										COBJECT((
																												(BgL_variablez00_bglt) (
																													(BgL_globalz00_bglt)
																													BgL_globalz00_12))))->
																									BgL_valuez00);
																								{	/* Module/pragma.scm 178 */
																									bool_t BgL_test1918z00_3201;

																									{	/* Module/pragma.scm 178 */
																										bool_t BgL_test1919z00_3202;

																										{	/* Module/pragma.scm 178 */
																											obj_t BgL_classz00_2170;

																											BgL_classz00_2170 =
																												BGl_sfunz00zzast_varz00;
																											{	/* Module/pragma.scm 178 */
																												BgL_objectz00_bglt
																													BgL_arg1801z00_2172;
																												{	/* Module/pragma.scm 178 */
																													obj_t BgL_tmpz00_3203;

																													BgL_tmpz00_3203 =
																														((obj_t)
																														((BgL_objectz00_bglt) BgL_valz00_1518));
																													BgL_arg1801z00_2172 =
																														(BgL_objectz00_bglt)
																														(BgL_tmpz00_3203);
																												}
																												if (BGL_CONDEXPAND_ISA_ARCH64())
																													{	/* Module/pragma.scm 178 */
																														long
																															BgL_idxz00_2178;
																														BgL_idxz00_2178 =
																															BGL_OBJECT_INHERITANCE_NUM
																															(BgL_arg1801z00_2172);
																														BgL_test1919z00_3202
																															=
																															(VECTOR_REF
																															(BGl_za2inheritancesza2z00zz__objectz00,
																																(BgL_idxz00_2178
																																	+ 3L)) ==
																															BgL_classz00_2170);
																													}
																												else
																													{	/* Module/pragma.scm 178 */
																														bool_t
																															BgL_res1764z00_2200;
																														{	/* Module/pragma.scm 178 */
																															obj_t
																																BgL_oclassz00_2186;
																															{	/* Module/pragma.scm 178 */
																																long
																																	BgL_arg1808z00_2192;
																																{	/* Module/pragma.scm 178 */
																																	long
																																		BgL_arg1809z00_2193;
																																	BgL_arg1809z00_2193
																																		=
																																		BGL_OBJECT_CLASS_NUM
																																		(BgL_arg1801z00_2172);
																																	BgL_arg1808z00_2192
																																		=
																																		(BgL_arg1809z00_2193
																																		-
																																		OBJECT_TYPE);
																																}
																																BgL_oclassz00_2186
																																	=
																																	VECTOR_REF
																																	(BGl_za2classesza2z00zz__objectz00,
																																	BgL_arg1808z00_2192);
																															}
																															{	/* Module/pragma.scm 178 */
																																bool_t
																																	BgL__ortest_1115z00_2187;
																																BgL__ortest_1115z00_2187
																																	=
																																	(BgL_classz00_2170
																																	==
																																	BgL_oclassz00_2186);
																																if (BgL__ortest_1115z00_2187)
																																	{	/* Module/pragma.scm 178 */
																																		BgL_res1764z00_2200
																																			=
																																			BgL__ortest_1115z00_2187;
																																	}
																																else
																																	{	/* Module/pragma.scm 178 */
																																		long
																																			BgL_odepthz00_2188;
																																		BgL_odepthz00_2188
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_oclassz00_2186);
																																		if ((3L <
																																				BgL_odepthz00_2188))
																																			{	/* Module/pragma.scm 178 */
																																				obj_t
																																					BgL_arg1797z00_2190;
																																				BgL_arg1797z00_2190
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_oclassz00_2186,
																																					3L);
																																				BgL_res1764z00_2200
																																					=
																																					(BgL_arg1797z00_2190
																																					==
																																					BgL_classz00_2170);
																																			}
																																		else
																																			{	/* Module/pragma.scm 178 */
																																				BgL_res1764z00_2200
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																															}
																														}
																														BgL_test1919z00_3202
																															=
																															BgL_res1764z00_2200;
																													}
																											}
																										}
																										if (BgL_test1919z00_3202)
																											{	/* Module/pragma.scm 178 */
																												BgL_test1918z00_3201 =
																													((bool_t) 1);
																											}
																										else
																											{	/* Module/pragma.scm 178 */
																												obj_t BgL_classz00_2201;

																												BgL_classz00_2201 =
																													BGl_cfunz00zzast_varz00;
																												{	/* Module/pragma.scm 178 */
																													BgL_objectz00_bglt
																														BgL_arg1801z00_2203;
																													{	/* Module/pragma.scm 178 */
																														obj_t
																															BgL_tmpz00_3223;
																														BgL_tmpz00_3223 =
																															((obj_t) (
																																(BgL_objectz00_bglt)
																																BgL_valz00_1518));
																														BgL_arg1801z00_2203
																															=
																															(BgL_objectz00_bglt)
																															(BgL_tmpz00_3223);
																													}
																													if (BGL_CONDEXPAND_ISA_ARCH64())
																														{	/* Module/pragma.scm 178 */
																															long
																																BgL_idxz00_2209;
																															BgL_idxz00_2209 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1801z00_2203);
																															BgL_test1918z00_3201
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_2209
																																		+ 3L)) ==
																																BgL_classz00_2201);
																														}
																													else
																														{	/* Module/pragma.scm 178 */
																															bool_t
																																BgL_res1765z00_2231;
																															{	/* Module/pragma.scm 178 */
																																obj_t
																																	BgL_oclassz00_2217;
																																{	/* Module/pragma.scm 178 */
																																	long
																																		BgL_arg1808z00_2223;
																																	{	/* Module/pragma.scm 178 */
																																		long
																																			BgL_arg1809z00_2224;
																																		BgL_arg1809z00_2224
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1801z00_2203);
																																		BgL_arg1808z00_2223
																																			=
																																			(BgL_arg1809z00_2224
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_2217
																																		=
																																		VECTOR_REF
																																		(BGl_za2classesza2z00zz__objectz00,
																																		BgL_arg1808z00_2223);
																																}
																																{	/* Module/pragma.scm 178 */
																																	bool_t
																																		BgL__ortest_1115z00_2218;
																																	BgL__ortest_1115z00_2218
																																		=
																																		(BgL_classz00_2201
																																		==
																																		BgL_oclassz00_2217);
																																	if (BgL__ortest_1115z00_2218)
																																		{	/* Module/pragma.scm 178 */
																																			BgL_res1765z00_2231
																																				=
																																				BgL__ortest_1115z00_2218;
																																		}
																																	else
																																		{	/* Module/pragma.scm 178 */
																																			long
																																				BgL_odepthz00_2219;
																																			BgL_odepthz00_2219
																																				=
																																				BGL_CLASS_DEPTH
																																				(BgL_oclassz00_2217);
																																			if ((3L <
																																					BgL_odepthz00_2219))
																																				{	/* Module/pragma.scm 178 */
																																					obj_t
																																						BgL_arg1797z00_2221;
																																					BgL_arg1797z00_2221
																																						=
																																						BGL_CLASS_ANCESTORS_REF
																																						(BgL_oclassz00_2217,
																																						3L);
																																					BgL_res1765z00_2231
																																						=
																																						(BgL_arg1797z00_2221
																																						==
																																						BgL_classz00_2201);
																																				}
																																			else
																																				{	/* Module/pragma.scm 178 */
																																					BgL_res1765z00_2231
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_test1918z00_3201
																																=
																																BgL_res1765z00_2231;
																														}
																												}
																											}
																									}
																									if (BgL_test1918z00_3201)
																										{	/* Module/pragma.scm 181 */
																											obj_t BgL_arg1420z00_1521;

																											{	/* Module/pragma.scm 181 */
																												obj_t
																													BgL_arg1431z00_1522;
																												BgL_arg1431z00_1522 =
																													(((BgL_globalz00_bglt)
																														COBJECT((
																																(BgL_globalz00_bglt)
																																BgL_globalz00_12)))->
																													BgL_pragmaz00);
																												BgL_arg1420z00_1521 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF(12L),
																													BgL_arg1431z00_1522);
																											}
																											return
																												((((BgL_globalz00_bglt)
																														COBJECT((
																																(BgL_globalz00_bglt)
																																BgL_globalz00_12)))->
																													BgL_pragmaz00) =
																												((obj_t)
																													BgL_arg1420z00_1521),
																												BUNSPEC);
																										}
																									else
																										{	/* Module/pragma.scm 178 */
																											return BFALSE;
																										}
																								}
																							}
																						else
																							{	/* Module/pragma.scm 126 */
																								if (
																									(BgL_propz00_13 ==
																										CNST_TABLE_REF(13L)))
																									{	/* Module/pragma.scm 185 */
																										BgL_valuez00_bglt
																											BgL_valz00_1525;
																										BgL_valz00_1525 =
																											(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_globalz00_bglt) BgL_globalz00_12))))->BgL_valuez00);
																										{	/* Module/pragma.scm 186 */
																											bool_t
																												BgL_test1927z00_3255;
																											{	/* Module/pragma.scm 186 */
																												bool_t
																													BgL_test1928z00_3256;
																												{	/* Module/pragma.scm 186 */
																													obj_t
																														BgL_classz00_2236;
																													BgL_classz00_2236 =
																														BGl_sfunz00zzast_varz00;
																													{	/* Module/pragma.scm 186 */
																														BgL_objectz00_bglt
																															BgL_arg1801z00_2238;
																														{	/* Module/pragma.scm 186 */
																															obj_t
																																BgL_tmpz00_3257;
																															BgL_tmpz00_3257 =
																																((obj_t) (
																																	(BgL_objectz00_bglt)
																																	BgL_valz00_1525));
																															BgL_arg1801z00_2238
																																=
																																(BgL_objectz00_bglt)
																																(BgL_tmpz00_3257);
																														}
																														if (BGL_CONDEXPAND_ISA_ARCH64())
																															{	/* Module/pragma.scm 186 */
																																long
																																	BgL_idxz00_2244;
																																BgL_idxz00_2244
																																	=
																																	BGL_OBJECT_INHERITANCE_NUM
																																	(BgL_arg1801z00_2238);
																																BgL_test1928z00_3256
																																	=
																																	(VECTOR_REF
																																	(BGl_za2inheritancesza2z00zz__objectz00,
																																		(BgL_idxz00_2244
																																			+ 3L)) ==
																																	BgL_classz00_2236);
																															}
																														else
																															{	/* Module/pragma.scm 186 */
																																bool_t
																																	BgL_res1766z00_2266;
																																{	/* Module/pragma.scm 186 */
																																	obj_t
																																		BgL_oclassz00_2252;
																																	{	/* Module/pragma.scm 186 */
																																		long
																																			BgL_arg1808z00_2258;
																																		{	/* Module/pragma.scm 186 */
																																			long
																																				BgL_arg1809z00_2259;
																																			BgL_arg1809z00_2259
																																				=
																																				BGL_OBJECT_CLASS_NUM
																																				(BgL_arg1801z00_2238);
																																			BgL_arg1808z00_2258
																																				=
																																				(BgL_arg1809z00_2259
																																				-
																																				OBJECT_TYPE);
																																		}
																																		BgL_oclassz00_2252
																																			=
																																			VECTOR_REF
																																			(BGl_za2classesza2z00zz__objectz00,
																																			BgL_arg1808z00_2258);
																																	}
																																	{	/* Module/pragma.scm 186 */
																																		bool_t
																																			BgL__ortest_1115z00_2253;
																																		BgL__ortest_1115z00_2253
																																			=
																																			(BgL_classz00_2236
																																			==
																																			BgL_oclassz00_2252);
																																		if (BgL__ortest_1115z00_2253)
																																			{	/* Module/pragma.scm 186 */
																																				BgL_res1766z00_2266
																																					=
																																					BgL__ortest_1115z00_2253;
																																			}
																																		else
																																			{	/* Module/pragma.scm 186 */
																																				long
																																					BgL_odepthz00_2254;
																																				BgL_odepthz00_2254
																																					=
																																					BGL_CLASS_DEPTH
																																					(BgL_oclassz00_2252);
																																				if ((3L
																																						<
																																						BgL_odepthz00_2254))
																																					{	/* Module/pragma.scm 186 */
																																						obj_t
																																							BgL_arg1797z00_2256;
																																						BgL_arg1797z00_2256
																																							=
																																							BGL_CLASS_ANCESTORS_REF
																																							(BgL_oclassz00_2252,
																																							3L);
																																						BgL_res1766z00_2266
																																							=
																																							(BgL_arg1797z00_2256
																																							==
																																							BgL_classz00_2236);
																																					}
																																				else
																																					{	/* Module/pragma.scm 186 */
																																						BgL_res1766z00_2266
																																							=
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																	}
																																}
																																BgL_test1928z00_3256
																																	=
																																	BgL_res1766z00_2266;
																															}
																													}
																												}
																												if (BgL_test1928z00_3256)
																													{	/* Module/pragma.scm 186 */
																														BgL_test1927z00_3255
																															= ((bool_t) 1);
																													}
																												else
																													{	/* Module/pragma.scm 186 */
																														obj_t
																															BgL_classz00_2267;
																														BgL_classz00_2267 =
																															BGl_cfunz00zzast_varz00;
																														{	/* Module/pragma.scm 186 */
																															BgL_objectz00_bglt
																																BgL_arg1801z00_2269;
																															{	/* Module/pragma.scm 186 */
																																obj_t
																																	BgL_tmpz00_3277;
																																BgL_tmpz00_3277
																																	=
																																	((obj_t) (
																																		(BgL_objectz00_bglt)
																																		BgL_valz00_1525));
																																BgL_arg1801z00_2269
																																	=
																																	(BgL_objectz00_bglt)
																																	(BgL_tmpz00_3277);
																															}
																															if (BGL_CONDEXPAND_ISA_ARCH64())
																																{	/* Module/pragma.scm 186 */
																																	long
																																		BgL_idxz00_2275;
																																	BgL_idxz00_2275
																																		=
																																		BGL_OBJECT_INHERITANCE_NUM
																																		(BgL_arg1801z00_2269);
																																	BgL_test1927z00_3255
																																		=
																																		(VECTOR_REF
																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																			(BgL_idxz00_2275
																																				+
																																				3L)) ==
																																		BgL_classz00_2267);
																																}
																															else
																																{	/* Module/pragma.scm 186 */
																																	bool_t
																																		BgL_res1767z00_2297;
																																	{	/* Module/pragma.scm 186 */
																																		obj_t
																																			BgL_oclassz00_2283;
																																		{	/* Module/pragma.scm 186 */
																																			long
																																				BgL_arg1808z00_2289;
																																			{	/* Module/pragma.scm 186 */
																																				long
																																					BgL_arg1809z00_2290;
																																				BgL_arg1809z00_2290
																																					=
																																					BGL_OBJECT_CLASS_NUM
																																					(BgL_arg1801z00_2269);
																																				BgL_arg1808z00_2289
																																					=
																																					(BgL_arg1809z00_2290
																																					-
																																					OBJECT_TYPE);
																																			}
																																			BgL_oclassz00_2283
																																				=
																																				VECTOR_REF
																																				(BGl_za2classesza2z00zz__objectz00,
																																				BgL_arg1808z00_2289);
																																		}
																																		{	/* Module/pragma.scm 186 */
																																			bool_t
																																				BgL__ortest_1115z00_2284;
																																			BgL__ortest_1115z00_2284
																																				=
																																				(BgL_classz00_2267
																																				==
																																				BgL_oclassz00_2283);
																																			if (BgL__ortest_1115z00_2284)
																																				{	/* Module/pragma.scm 186 */
																																					BgL_res1767z00_2297
																																						=
																																						BgL__ortest_1115z00_2284;
																																				}
																																			else
																																				{	/* Module/pragma.scm 186 */
																																					long
																																						BgL_odepthz00_2285;
																																					BgL_odepthz00_2285
																																						=
																																						BGL_CLASS_DEPTH
																																						(BgL_oclassz00_2283);
																																					if (
																																						(3L
																																							<
																																							BgL_odepthz00_2285))
																																						{	/* Module/pragma.scm 186 */
																																							obj_t
																																								BgL_arg1797z00_2287;
																																							BgL_arg1797z00_2287
																																								=
																																								BGL_CLASS_ANCESTORS_REF
																																								(BgL_oclassz00_2283,
																																								3L);
																																							BgL_res1767z00_2297
																																								=
																																								(BgL_arg1797z00_2287
																																								==
																																								BgL_classz00_2267);
																																						}
																																					else
																																						{	/* Module/pragma.scm 186 */
																																							BgL_res1767z00_2297
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																	}
																																	BgL_test1927z00_3255
																																		=
																																		BgL_res1767z00_2297;
																																}
																														}
																													}
																											}
																											if (BgL_test1927z00_3255)
																												{	/* Module/pragma.scm 189 */
																													obj_t
																														BgL_arg1436z00_1528;
																													{	/* Module/pragma.scm 189 */
																														obj_t
																															BgL_arg1437z00_1529;
																														BgL_arg1437z00_1529
																															=
																															(((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_globalz00_12)))->BgL_pragmaz00);
																														BgL_arg1436z00_1528
																															=
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF
																															(13L),
																															BgL_arg1437z00_1529);
																													}
																													return
																														((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_globalz00_12)))->BgL_pragmaz00) = ((obj_t) BgL_arg1436z00_1528), BUNSPEC);
																												}
																											else
																												{	/* Module/pragma.scm 186 */
																													return BFALSE;
																												}
																										}
																									}
																								else
																									{	/* Module/pragma.scm 126 */
																										if (
																											(BgL_propz00_13 ==
																												CNST_TABLE_REF(14L)))
																											{	/* Module/pragma.scm 192 */
																												BgL_valuez00_bglt
																													BgL_valz00_1532;
																												BgL_valz00_1532 =
																													(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_globalz00_12))))->BgL_valuez00);
																												{	/* Module/pragma.scm 193 */
																													bool_t
																														BgL_test1936z00_3309;
																													{	/* Module/pragma.scm 193 */
																														bool_t
																															BgL_test1937z00_3310;
																														{	/* Module/pragma.scm 193 */
																															obj_t
																																BgL_classz00_2302;
																															BgL_classz00_2302
																																=
																																BGl_sfunz00zzast_varz00;
																															{	/* Module/pragma.scm 193 */
																																BgL_objectz00_bglt
																																	BgL_arg1801z00_2304;
																																{	/* Module/pragma.scm 193 */
																																	obj_t
																																		BgL_tmpz00_3311;
																																	BgL_tmpz00_3311
																																		=
																																		((obj_t) (
																																			(BgL_objectz00_bglt)
																																			BgL_valz00_1532));
																																	BgL_arg1801z00_2304
																																		=
																																		(BgL_objectz00_bglt)
																																		(BgL_tmpz00_3311);
																																}
																																if (BGL_CONDEXPAND_ISA_ARCH64())
																																	{	/* Module/pragma.scm 193 */
																																		long
																																			BgL_idxz00_2310;
																																		BgL_idxz00_2310
																																			=
																																			BGL_OBJECT_INHERITANCE_NUM
																																			(BgL_arg1801z00_2304);
																																		BgL_test1937z00_3310
																																			=
																																			(VECTOR_REF
																																			(BGl_za2inheritancesza2z00zz__objectz00,
																																				(BgL_idxz00_2310
																																					+
																																					3L))
																																			==
																																			BgL_classz00_2302);
																																	}
																																else
																																	{	/* Module/pragma.scm 193 */
																																		bool_t
																																			BgL_res1768z00_2332;
																																		{	/* Module/pragma.scm 193 */
																																			obj_t
																																				BgL_oclassz00_2318;
																																			{	/* Module/pragma.scm 193 */
																																				long
																																					BgL_arg1808z00_2324;
																																				{	/* Module/pragma.scm 193 */
																																					long
																																						BgL_arg1809z00_2325;
																																					BgL_arg1809z00_2325
																																						=
																																						BGL_OBJECT_CLASS_NUM
																																						(BgL_arg1801z00_2304);
																																					BgL_arg1808z00_2324
																																						=
																																						(BgL_arg1809z00_2325
																																						-
																																						OBJECT_TYPE);
																																				}
																																				BgL_oclassz00_2318
																																					=
																																					VECTOR_REF
																																					(BGl_za2classesza2z00zz__objectz00,
																																					BgL_arg1808z00_2324);
																																			}
																																			{	/* Module/pragma.scm 193 */
																																				bool_t
																																					BgL__ortest_1115z00_2319;
																																				BgL__ortest_1115z00_2319
																																					=
																																					(BgL_classz00_2302
																																					==
																																					BgL_oclassz00_2318);
																																				if (BgL__ortest_1115z00_2319)
																																					{	/* Module/pragma.scm 193 */
																																						BgL_res1768z00_2332
																																							=
																																							BgL__ortest_1115z00_2319;
																																					}
																																				else
																																					{	/* Module/pragma.scm 193 */
																																						long
																																							BgL_odepthz00_2320;
																																						BgL_odepthz00_2320
																																							=
																																							BGL_CLASS_DEPTH
																																							(BgL_oclassz00_2318);
																																						if (
																																							(3L
																																								<
																																								BgL_odepthz00_2320))
																																							{	/* Module/pragma.scm 193 */
																																								obj_t
																																									BgL_arg1797z00_2322;
																																								BgL_arg1797z00_2322
																																									=
																																									BGL_CLASS_ANCESTORS_REF
																																									(BgL_oclassz00_2318,
																																									3L);
																																								BgL_res1768z00_2332
																																									=
																																									(BgL_arg1797z00_2322
																																									==
																																									BgL_classz00_2302);
																																							}
																																						else
																																							{	/* Module/pragma.scm 193 */
																																								BgL_res1768z00_2332
																																									=
																																									(
																																									(bool_t)
																																									0);
																																							}
																																					}
																																			}
																																		}
																																		BgL_test1937z00_3310
																																			=
																																			BgL_res1768z00_2332;
																																	}
																															}
																														}
																														if (BgL_test1937z00_3310)
																															{	/* Module/pragma.scm 193 */
																																BgL_test1936z00_3309
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Module/pragma.scm 193 */
																																obj_t
																																	BgL_classz00_2333;
																																BgL_classz00_2333
																																	=
																																	BGl_cfunz00zzast_varz00;
																																{	/* Module/pragma.scm 193 */
																																	BgL_objectz00_bglt
																																		BgL_arg1801z00_2335;
																																	{	/* Module/pragma.scm 193 */
																																		obj_t
																																			BgL_tmpz00_3331;
																																		BgL_tmpz00_3331
																																			=
																																			((obj_t) (
																																				(BgL_objectz00_bglt)
																																				BgL_valz00_1532));
																																		BgL_arg1801z00_2335
																																			=
																																			(BgL_objectz00_bglt)
																																			(BgL_tmpz00_3331);
																																	}
																																	if (BGL_CONDEXPAND_ISA_ARCH64())
																																		{	/* Module/pragma.scm 193 */
																																			long
																																				BgL_idxz00_2341;
																																			BgL_idxz00_2341
																																				=
																																				BGL_OBJECT_INHERITANCE_NUM
																																				(BgL_arg1801z00_2335);
																																			BgL_test1936z00_3309
																																				=
																																				(VECTOR_REF
																																				(BGl_za2inheritancesza2z00zz__objectz00,
																																					(BgL_idxz00_2341
																																						+
																																						3L))
																																				==
																																				BgL_classz00_2333);
																																		}
																																	else
																																		{	/* Module/pragma.scm 193 */
																																			bool_t
																																				BgL_res1769z00_2363;
																																			{	/* Module/pragma.scm 193 */
																																				obj_t
																																					BgL_oclassz00_2349;
																																				{	/* Module/pragma.scm 193 */
																																					long
																																						BgL_arg1808z00_2355;
																																					{	/* Module/pragma.scm 193 */
																																						long
																																							BgL_arg1809z00_2356;
																																						BgL_arg1809z00_2356
																																							=
																																							BGL_OBJECT_CLASS_NUM
																																							(BgL_arg1801z00_2335);
																																						BgL_arg1808z00_2355
																																							=
																																							(BgL_arg1809z00_2356
																																							-
																																							OBJECT_TYPE);
																																					}
																																					BgL_oclassz00_2349
																																						=
																																						VECTOR_REF
																																						(BGl_za2classesza2z00zz__objectz00,
																																						BgL_arg1808z00_2355);
																																				}
																																				{	/* Module/pragma.scm 193 */
																																					bool_t
																																						BgL__ortest_1115z00_2350;
																																					BgL__ortest_1115z00_2350
																																						=
																																						(BgL_classz00_2333
																																						==
																																						BgL_oclassz00_2349);
																																					if (BgL__ortest_1115z00_2350)
																																						{	/* Module/pragma.scm 193 */
																																							BgL_res1769z00_2363
																																								=
																																								BgL__ortest_1115z00_2350;
																																						}
																																					else
																																						{	/* Module/pragma.scm 193 */
																																							long
																																								BgL_odepthz00_2351;
																																							BgL_odepthz00_2351
																																								=
																																								BGL_CLASS_DEPTH
																																								(BgL_oclassz00_2349);
																																							if ((3L < BgL_odepthz00_2351))
																																								{	/* Module/pragma.scm 193 */
																																									obj_t
																																										BgL_arg1797z00_2353;
																																									BgL_arg1797z00_2353
																																										=
																																										BGL_CLASS_ANCESTORS_REF
																																										(BgL_oclassz00_2349,
																																										3L);
																																									BgL_res1769z00_2363
																																										=
																																										(BgL_arg1797z00_2353
																																										==
																																										BgL_classz00_2333);
																																								}
																																							else
																																								{	/* Module/pragma.scm 193 */
																																									BgL_res1769z00_2363
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																				}
																																			}
																																			BgL_test1936z00_3309
																																				=
																																				BgL_res1769z00_2363;
																																		}
																																}
																															}
																													}
																													if (BgL_test1936z00_3309)
																														{	/* Module/pragma.scm 193 */
																															return BFALSE;
																														}
																													else
																														{	/* Module/pragma.scm 196 */
																															obj_t
																																BgL_arg1450z00_1535;
																															{	/* Module/pragma.scm 196 */
																																obj_t
																																	BgL_arg1451z00_1536;
																																BgL_arg1451z00_1536
																																	=
																																	(((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_globalz00_12)))->BgL_pragmaz00);
																																BgL_arg1450z00_1535
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(14L),
																																	BgL_arg1451z00_1536);
																															}
																															return
																																((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_globalz00_12)))->BgL_pragmaz00) = ((obj_t) BgL_arg1450z00_1535), BUNSPEC);
																														}
																												}
																											}
																										else
																											{	/* Module/pragma.scm 198 */
																												obj_t
																													BgL_list1452z00_1538;
																												BgL_list1452z00_1538 =
																													MAKE_YOUNG_PAIR(BNIL,
																													BNIL);
																												return
																													BGl_userzd2errorzd2zztools_errorz00
																													(BGl_string1794z00zzmodule_pragmaz00,
																													BGl_string1795z00zzmodule_pragmaz00,
																													BgL_clausez00_14,
																													BgL_list1452z00_1538);
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Module/pragma.scm 124 */
						if (PAIRP(BgL_propz00_13))
							{	/* Module/pragma.scm 124 */
								obj_t BgL_carzd2160zd2_1475;

								BgL_carzd2160zd2_1475 = CAR(((obj_t) BgL_propz00_13));
								if (SYMBOLP(BgL_carzd2160zd2_1475))
									{	/* Module/pragma.scm 124 */
										obj_t BgL_arg1331z00_1477;

										BgL_arg1331z00_1477 = CDR(((obj_t) BgL_propz00_13));
										BgL_keyz00_1468 = BgL_carzd2160zd2_1475;
										BgL_valz00_1469 = BgL_arg1331z00_1477;
										if ((BgL_keyz00_1468 == CNST_TABLE_REF(15L)))
											{	/* Module/pragma.scm 203 */
												bool_t BgL_test1947z00_3370;

												if (PAIRP(BgL_valz00_1469))
													{	/* Module/pragma.scm 203 */
														obj_t BgL_tmpz00_3373;

														BgL_tmpz00_3373 = CAR(BgL_valz00_1469);
														BgL_test1947z00_3370 = SYMBOLP(BgL_tmpz00_3373);
													}
												else
													{	/* Module/pragma.scm 203 */
														BgL_test1947z00_3370 = ((bool_t) 0);
													}
												if (BgL_test1947z00_3370)
													{	/* Module/pragma.scm 205 */
														BgL_typez00_bglt BgL_typez00_1544;
														BgL_valuez00_bglt BgL_valuez00_1545;

														BgL_typez00_1544 =
															BGl_usezd2typez12zc0zztype_envz00(CAR
															(BgL_valz00_1469),
															BGl_findzd2locationzd2zztools_locationz00
															(BgL_propz00_13));
														BgL_valuez00_1545 =
															(((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt) (
																			(BgL_globalz00_bglt)
																			BgL_globalz00_12))))->BgL_valuez00);
														{	/* Module/pragma.scm 207 */
															bool_t BgL_test1949z00_3382;

															{	/* Module/pragma.scm 207 */
																obj_t BgL_classz00_2370;

																BgL_classz00_2370 = BGl_funz00zzast_varz00;
																{	/* Module/pragma.scm 207 */
																	BgL_objectz00_bglt BgL_arg1801z00_2372;

																	{	/* Module/pragma.scm 207 */
																		obj_t BgL_tmpz00_3383;

																		BgL_tmpz00_3383 =
																			((obj_t)
																			((BgL_objectz00_bglt) BgL_valuez00_1545));
																		BgL_arg1801z00_2372 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_3383);
																	}
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Module/pragma.scm 207 */
																			long BgL_idxz00_2378;

																			BgL_idxz00_2378 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1801z00_2372);
																			BgL_test1949z00_3382 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2378 + 2L)) ==
																				BgL_classz00_2370);
																		}
																	else
																		{	/* Module/pragma.scm 207 */
																			bool_t BgL_res1770z00_2400;

																			{	/* Module/pragma.scm 207 */
																				obj_t BgL_oclassz00_2386;

																				{	/* Module/pragma.scm 207 */
																					long BgL_arg1808z00_2392;

																					{	/* Module/pragma.scm 207 */
																						long BgL_arg1809z00_2393;

																						BgL_arg1809z00_2393 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1801z00_2372);
																						BgL_arg1808z00_2392 =
																							(BgL_arg1809z00_2393 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2386 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1808z00_2392);
																				}
																				{	/* Module/pragma.scm 207 */
																					bool_t BgL__ortest_1115z00_2387;

																					BgL__ortest_1115z00_2387 =
																						(BgL_classz00_2370 ==
																						BgL_oclassz00_2386);
																					if (BgL__ortest_1115z00_2387)
																						{	/* Module/pragma.scm 207 */
																							BgL_res1770z00_2400 =
																								BgL__ortest_1115z00_2387;
																						}
																					else
																						{	/* Module/pragma.scm 207 */
																							long BgL_odepthz00_2388;

																							BgL_odepthz00_2388 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2386);
																							if ((2L < BgL_odepthz00_2388))
																								{	/* Module/pragma.scm 207 */
																									obj_t BgL_arg1797z00_2390;

																									BgL_arg1797z00_2390 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2386, 2L);
																									BgL_res1770z00_2400 =
																										(BgL_arg1797z00_2390 ==
																										BgL_classz00_2370);
																								}
																							else
																								{	/* Module/pragma.scm 207 */
																									BgL_res1770z00_2400 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1949z00_3382 =
																				BgL_res1770z00_2400;
																		}
																}
															}
															if (BgL_test1949z00_3382)
																{	/* Module/pragma.scm 207 */
																	((((BgL_funz00_bglt) COBJECT(
																					((BgL_funz00_bglt)
																						BgL_valuez00_1545)))->
																			BgL_predicatezd2ofzd2) =
																		((obj_t) ((obj_t) BgL_typez00_1544)),
																		BUNSPEC);
																	BGl_removezd2varzd2fromz12z12zzast_removez00
																		(CNST_TABLE_REF(16L),
																		((BgL_variablez00_bglt) BgL_globalz00_12));
																	return ((((BgL_funz00_bglt)
																				COBJECT(((BgL_funz00_bglt)
																						BgL_valuez00_1545)))->
																			BgL_sidezd2effectzd2) =
																		((obj_t) BFALSE), BUNSPEC);
																}
															else
																{	/* Module/pragma.scm 207 */
																	return
																		BGl_sfunzd2errorzd2zzmodule_pragmaz00
																		(BGl_string1796z00zzmodule_pragmaz00,
																		((BgL_globalz00_bglt) BgL_globalz00_12));
																}
														}
													}
												else
													{	/* Module/pragma.scm 203 */
														return
															BGl_userzd2errorzd2zztools_errorz00
															(BGl_string1794z00zzmodule_pragmaz00,
															BGl_string1797z00zzmodule_pragmaz00,
															BgL_propz00_13, BNIL);
													}
											}
										else
											{	/* Module/pragma.scm 200 */
												if ((BgL_keyz00_1468 == CNST_TABLE_REF(17L)))
													{	/* Module/pragma.scm 218 */
														BgL_valuez00_bglt BgL_valuez00_1553;

														BgL_valuez00_1553 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_globalz00_12))))->
															BgL_valuez00);
														{	/* Module/pragma.scm 219 */
															bool_t BgL_test1954z00_3420;

															{	/* Module/pragma.scm 219 */
																obj_t BgL_classz00_2405;

																BgL_classz00_2405 = BGl_funz00zzast_varz00;
																{	/* Module/pragma.scm 219 */
																	BgL_objectz00_bglt BgL_arg1801z00_2407;

																	{	/* Module/pragma.scm 219 */
																		obj_t BgL_tmpz00_3421;

																		BgL_tmpz00_3421 =
																			((obj_t)
																			((BgL_objectz00_bglt) BgL_valuez00_1553));
																		BgL_arg1801z00_2407 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_3421);
																	}
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Module/pragma.scm 219 */
																			long BgL_idxz00_2413;

																			BgL_idxz00_2413 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1801z00_2407);
																			BgL_test1954z00_3420 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2413 + 2L)) ==
																				BgL_classz00_2405);
																		}
																	else
																		{	/* Module/pragma.scm 219 */
																			bool_t BgL_res1771z00_2435;

																			{	/* Module/pragma.scm 219 */
																				obj_t BgL_oclassz00_2421;

																				{	/* Module/pragma.scm 219 */
																					long BgL_arg1808z00_2427;

																					{	/* Module/pragma.scm 219 */
																						long BgL_arg1809z00_2428;

																						BgL_arg1809z00_2428 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1801z00_2407);
																						BgL_arg1808z00_2427 =
																							(BgL_arg1809z00_2428 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2421 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1808z00_2427);
																				}
																				{	/* Module/pragma.scm 219 */
																					bool_t BgL__ortest_1115z00_2422;

																					BgL__ortest_1115z00_2422 =
																						(BgL_classz00_2405 ==
																						BgL_oclassz00_2421);
																					if (BgL__ortest_1115z00_2422)
																						{	/* Module/pragma.scm 219 */
																							BgL_res1771z00_2435 =
																								BgL__ortest_1115z00_2422;
																						}
																					else
																						{	/* Module/pragma.scm 219 */
																							long BgL_odepthz00_2423;

																							BgL_odepthz00_2423 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2421);
																							if ((2L < BgL_odepthz00_2423))
																								{	/* Module/pragma.scm 219 */
																									obj_t BgL_arg1797z00_2425;

																									BgL_arg1797z00_2425 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2421, 2L);
																									BgL_res1771z00_2435 =
																										(BgL_arg1797z00_2425 ==
																										BgL_classz00_2405);
																								}
																							else
																								{	/* Module/pragma.scm 219 */
																									BgL_res1771z00_2435 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1954z00_3420 =
																				BgL_res1771z00_2435;
																		}
																}
															}
															if (BgL_test1954z00_3420)
																{	/* Module/pragma.scm 221 */
																	BgL_feffectz00_bglt BgL_arg1497z00_1555;

																	BgL_arg1497z00_1555 =
																		BGl_parsezd2effectzd2zzeffect_feffectz00
																		(BgL_propz00_13);
																	return ((((BgL_funz00_bglt)
																				COBJECT(((BgL_funz00_bglt)
																						BgL_valuez00_1553)))->
																			BgL_effectz00) =
																		((obj_t) ((obj_t) BgL_arg1497z00_1555)),
																		BUNSPEC);
																}
															else
																{	/* Module/pragma.scm 219 */
																	return
																		BGl_sfunzd2errorzd2zzmodule_pragmaz00
																		(BGl_string1798z00zzmodule_pragmaz00,
																		((BgL_globalz00_bglt) BgL_globalz00_12));
																}
														}
													}
												else
													{	/* Module/pragma.scm 200 */
														if ((BgL_keyz00_1468 == CNST_TABLE_REF(18L)))
															{	/* Module/pragma.scm 223 */
																BgL_valuez00_bglt BgL_valuez00_1557;

																BgL_valuez00_1557 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_globalz00_12))))->BgL_valuez00);
																{	/* Module/pragma.scm 224 */
																	bool_t BgL_test1959z00_3453;

																	{	/* Module/pragma.scm 224 */
																		obj_t BgL_classz00_2439;

																		BgL_classz00_2439 = BGl_funz00zzast_varz00;
																		{	/* Module/pragma.scm 224 */
																			BgL_objectz00_bglt BgL_arg1801z00_2441;

																			{	/* Module/pragma.scm 224 */
																				obj_t BgL_tmpz00_3454;

																				BgL_tmpz00_3454 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_valuez00_1557));
																				BgL_arg1801z00_2441 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_3454);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Module/pragma.scm 224 */
																					long BgL_idxz00_2447;

																					BgL_idxz00_2447 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1801z00_2441);
																					BgL_test1959z00_3453 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2447 + 2L)) ==
																						BgL_classz00_2439);
																				}
																			else
																				{	/* Module/pragma.scm 224 */
																					bool_t BgL_res1772z00_2469;

																					{	/* Module/pragma.scm 224 */
																						obj_t BgL_oclassz00_2455;

																						{	/* Module/pragma.scm 224 */
																							long BgL_arg1808z00_2461;

																							{	/* Module/pragma.scm 224 */
																								long BgL_arg1809z00_2462;

																								BgL_arg1809z00_2462 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1801z00_2441);
																								BgL_arg1808z00_2461 =
																									(BgL_arg1809z00_2462 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2455 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1808z00_2461);
																						}
																						{	/* Module/pragma.scm 224 */
																							bool_t BgL__ortest_1115z00_2456;

																							BgL__ortest_1115z00_2456 =
																								(BgL_classz00_2439 ==
																								BgL_oclassz00_2455);
																							if (BgL__ortest_1115z00_2456)
																								{	/* Module/pragma.scm 224 */
																									BgL_res1772z00_2469 =
																										BgL__ortest_1115z00_2456;
																								}
																							else
																								{	/* Module/pragma.scm 224 */
																									long BgL_odepthz00_2457;

																									BgL_odepthz00_2457 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2455);
																									if ((2L < BgL_odepthz00_2457))
																										{	/* Module/pragma.scm 224 */
																											obj_t BgL_arg1797z00_2459;

																											BgL_arg1797z00_2459 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2455,
																												2L);
																											BgL_res1772z00_2469 =
																												(BgL_arg1797z00_2459 ==
																												BgL_classz00_2439);
																										}
																									else
																										{	/* Module/pragma.scm 224 */
																											BgL_res1772z00_2469 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test1959z00_3453 =
																						BgL_res1772z00_2469;
																				}
																		}
																	}
																	if (BgL_test1959z00_3453)
																		{	/* Module/pragma.scm 224 */
																			return
																				((((BgL_funz00_bglt) COBJECT(
																							((BgL_funz00_bglt)
																								BgL_valuez00_1557)))->
																					BgL_stackzd2allocatorzd2) =
																				((obj_t) BgL_valz00_1469), BUNSPEC);
																		}
																	else
																		{	/* Module/pragma.scm 224 */
																			return
																				BGl_sfunzd2errorzd2zzmodule_pragmaz00
																				(BGl_string1799z00zzmodule_pragmaz00,
																				((BgL_globalz00_bglt)
																					BgL_globalz00_12));
																		}
																}
															}
														else
															{	/* Module/pragma.scm 200 */
																if ((BgL_keyz00_1468 == CNST_TABLE_REF(19L)))
																	{	/* Module/pragma.scm 200 */
																		return
																			BGl_argszd2noescapezd2zzmodule_pragmaz00
																			(BgL_globalz00_12, BgL_valz00_1469,
																			BGl_funzd2argszd2noescapezd2envzd2zzast_varz00,
																			BGl_funzd2argszd2noescapezd2setz12zd2envz12zzast_varz00);
																	}
																else
																	{	/* Module/pragma.scm 200 */
																		if (
																			(BgL_keyz00_1468 == CNST_TABLE_REF(20L)))
																			{	/* Module/pragma.scm 200 */
																				return
																					BGl_argszd2noescapezd2zzmodule_pragmaz00
																					(BgL_globalz00_12, BgL_valz00_1469,
																					BGl_funzd2argszd2retescapezd2envzd2zzast_varz00,
																					BGl_funzd2argszd2retescapezd2setz12zd2envz12zzast_varz00);
																			}
																		else
																			{	/* Module/pragma.scm 232 */
																				obj_t BgL_list1502z00_1561;

																				BgL_list1502z00_1561 =
																					MAKE_YOUNG_PAIR(BNIL, BNIL);
																				return
																					BGl_userzd2errorzd2zztools_errorz00
																					(BGl_string1794z00zzmodule_pragmaz00,
																					BGl_string1795z00zzmodule_pragmaz00,
																					BgL_propz00_13, BgL_list1502z00_1561);
																			}
																	}
															}
													}
											}
									}
								else
									{	/* Module/pragma.scm 124 */
									BgL_tagzd2152zd2_1471:
										{	/* Module/pragma.scm 235 */
											obj_t BgL_arg1519z00_1562;

											{	/* Module/pragma.scm 235 */
												obj_t BgL_list1521z00_1564;

												BgL_list1521z00_1564 =
													MAKE_YOUNG_PAIR(BgL_propz00_13, BNIL);
												BgL_arg1519z00_1562 =
													BGl_formatz00zz__r4_output_6_10_3z00
													(BGl_string1800z00zzmodule_pragmaz00,
													BgL_list1521z00_1564);
											}
											{	/* Module/pragma.scm 234 */
												obj_t BgL_list1520z00_1563;

												BgL_list1520z00_1563 = MAKE_YOUNG_PAIR(BNIL, BNIL);
												return
													BGl_userzd2errorzd2zztools_errorz00
													(BGl_string1794z00zzmodule_pragmaz00,
													BgL_arg1519z00_1562, BgL_clausez00_14,
													BgL_list1520z00_1563);
											}
										}
									}
							}
						else
							{	/* Module/pragma.scm 124 */
								goto BgL_tagzd2152zd2_1471;
							}
					}
			}
		}

	}



/* args-noescape */
	obj_t BGl_argszd2noescapezd2zzmodule_pragmaz00(obj_t BgL_globalz00_15,
		obj_t BgL_valz00_16, obj_t BgL_pgetz00_17, obj_t BgL_psetz00_18)
	{
		{	/* Module/pragma.scm 242 */
			{	/* Module/pragma.scm 244 */
				BgL_valuez00_bglt BgL_valuez00_1565;

				BgL_valuez00_1565 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_15))))->BgL_valuez00);
				{	/* Module/pragma.scm 245 */
					bool_t BgL_test1965z00_3495;

					{	/* Module/pragma.scm 245 */
						obj_t BgL_classz00_2476;

						BgL_classz00_2476 = BGl_funz00zzast_varz00;
						{	/* Module/pragma.scm 245 */
							BgL_objectz00_bglt BgL_arg1801z00_2478;

							{	/* Module/pragma.scm 245 */
								obj_t BgL_tmpz00_3496;

								BgL_tmpz00_3496 =
									((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_1565));
								BgL_arg1801z00_2478 = (BgL_objectz00_bglt) (BgL_tmpz00_3496);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Module/pragma.scm 245 */
									long BgL_idxz00_2484;

									BgL_idxz00_2484 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_2478);
									BgL_test1965z00_3495 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2484 + 2L)) == BgL_classz00_2476);
								}
							else
								{	/* Module/pragma.scm 245 */
									bool_t BgL_res1773z00_2506;

									{	/* Module/pragma.scm 245 */
										obj_t BgL_oclassz00_2492;

										{	/* Module/pragma.scm 245 */
											long BgL_arg1808z00_2498;

											{	/* Module/pragma.scm 245 */
												long BgL_arg1809z00_2499;

												BgL_arg1809z00_2499 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_2478);
												BgL_arg1808z00_2498 =
													(BgL_arg1809z00_2499 - OBJECT_TYPE);
											}
											BgL_oclassz00_2492 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1808z00_2498);
										}
										{	/* Module/pragma.scm 245 */
											bool_t BgL__ortest_1115z00_2493;

											BgL__ortest_1115z00_2493 =
												(BgL_classz00_2476 == BgL_oclassz00_2492);
											if (BgL__ortest_1115z00_2493)
												{	/* Module/pragma.scm 245 */
													BgL_res1773z00_2506 = BgL__ortest_1115z00_2493;
												}
											else
												{	/* Module/pragma.scm 245 */
													long BgL_odepthz00_2494;

													BgL_odepthz00_2494 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2492);
													if ((2L < BgL_odepthz00_2494))
														{	/* Module/pragma.scm 245 */
															obj_t BgL_arg1797z00_2496;

															BgL_arg1797z00_2496 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2492, 2L);
															BgL_res1773z00_2506 =
																(BgL_arg1797z00_2496 == BgL_classz00_2476);
														}
													else
														{	/* Module/pragma.scm 245 */
															BgL_res1773z00_2506 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1965z00_3495 = BgL_res1773z00_2506;
								}
						}
					}
					if (BgL_test1965z00_3495)
						{	/* Module/pragma.scm 245 */
							if (NULLP(BgL_valz00_16))
								{	/* Module/pragma.scm 248 */
									return
										(VA_PROCEDUREP(BgL_psetz00_18) ? ((obj_t(*)(obj_t,
													...))
											PROCEDURE_ENTRY(BgL_psetz00_18)) (BgL_psetz00_18,
											((obj_t) BgL_valuez00_1565), CNST_TABLE_REF(21L),
											BEOA) : ((obj_t(*)(obj_t, obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_psetz00_18)) (BgL_psetz00_18,
											((obj_t) BgL_valuez00_1565), CNST_TABLE_REF(21L)));
								}
							else
								{	/* Module/pragma.scm 248 */
									if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(CAR(
												((obj_t) BgL_valz00_16))))
										{	/* Module/pragma.scm 251 */
											obj_t BgL_arg1532z00_1570;

											{	/* Module/pragma.scm 251 */
												obj_t BgL_arg1534z00_1571;

												BgL_arg1534z00_1571 =
													(VA_PROCEDUREP(BgL_pgetz00_17) ? ((obj_t(*)(obj_t,
																...))
														PROCEDURE_ENTRY(BgL_pgetz00_17)) (BgL_pgetz00_17,
														((obj_t) BgL_valuez00_1565),
														BEOA) : ((obj_t(*)(obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_pgetz00_17)) (BgL_pgetz00_17,
														((obj_t) BgL_valuez00_1565)));
												BgL_arg1532z00_1570 =
													BGl_appendzd221011zd2zzmodule_pragmaz00(BgL_valz00_16,
													BgL_arg1534z00_1571);
											}
											return
												(VA_PROCEDUREP(BgL_psetz00_18) ? ((obj_t(*)(obj_t,
															...))
													PROCEDURE_ENTRY(BgL_psetz00_18)) (BgL_psetz00_18,
													((obj_t) BgL_valuez00_1565), BgL_arg1532z00_1570,
													BEOA) : ((obj_t(*)(obj_t, obj_t,
															obj_t))
													PROCEDURE_ENTRY(BgL_psetz00_18)) (BgL_psetz00_18,
													((obj_t) BgL_valuez00_1565), BgL_arg1532z00_1570));
										}
									else
										{	/* Module/pragma.scm 252 */
											bool_t BgL_test1971z00_3541;

											{	/* Module/pragma.scm 252 */
												obj_t BgL_tmpz00_3542;

												BgL_tmpz00_3542 = CAR(((obj_t) BgL_valz00_16));
												BgL_test1971z00_3541 = SYMBOLP(BgL_tmpz00_3542);
											}
											if (BgL_test1971z00_3541)
												{	/* Module/pragma.scm 253 */
													bool_t BgL_test1972z00_3546;

													{	/* Module/pragma.scm 253 */
														obj_t BgL_classz00_2509;

														BgL_classz00_2509 = BGl_sfunz00zzast_varz00;
														{	/* Module/pragma.scm 253 */
															BgL_objectz00_bglt BgL_arg1801z00_2511;

															{	/* Module/pragma.scm 253 */
																obj_t BgL_tmpz00_3547;

																BgL_tmpz00_3547 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_valuez00_1565));
																BgL_arg1801z00_2511 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_3547);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Module/pragma.scm 253 */
																	long BgL_idxz00_2517;

																	BgL_idxz00_2517 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1801z00_2511);
																	BgL_test1972z00_3546 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2517 + 3L)) ==
																		BgL_classz00_2509);
																}
															else
																{	/* Module/pragma.scm 253 */
																	bool_t BgL_res1774z00_2539;

																	{	/* Module/pragma.scm 253 */
																		obj_t BgL_oclassz00_2525;

																		{	/* Module/pragma.scm 253 */
																			long BgL_arg1808z00_2531;

																			{	/* Module/pragma.scm 253 */
																				long BgL_arg1809z00_2532;

																				BgL_arg1809z00_2532 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1801z00_2511);
																				BgL_arg1808z00_2531 =
																					(BgL_arg1809z00_2532 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2525 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1808z00_2531);
																		}
																		{	/* Module/pragma.scm 253 */
																			bool_t BgL__ortest_1115z00_2526;

																			BgL__ortest_1115z00_2526 =
																				(BgL_classz00_2509 ==
																				BgL_oclassz00_2525);
																			if (BgL__ortest_1115z00_2526)
																				{	/* Module/pragma.scm 253 */
																					BgL_res1774z00_2539 =
																						BgL__ortest_1115z00_2526;
																				}
																			else
																				{	/* Module/pragma.scm 253 */
																					long BgL_odepthz00_2527;

																					BgL_odepthz00_2527 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_2525);
																					if ((3L < BgL_odepthz00_2527))
																						{	/* Module/pragma.scm 253 */
																							obj_t BgL_arg1797z00_2529;

																							BgL_arg1797z00_2529 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_2525, 3L);
																							BgL_res1774z00_2539 =
																								(BgL_arg1797z00_2529 ==
																								BgL_classz00_2509);
																						}
																					else
																						{	/* Module/pragma.scm 253 */
																							BgL_res1774z00_2539 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test1972z00_3546 = BgL_res1774z00_2539;
																}
														}
													}
													if (BgL_test1972z00_3546)
														{	/* Module/pragma.scm 253 */
															{	/* Module/pragma.scm 257 */
																bool_t BgL_test1976z00_3567;

																{	/* Module/pragma.scm 257 */
																	obj_t BgL_arg1550z00_1577;

																	BgL_arg1550z00_1577 =
																		(VA_PROCEDUREP(BgL_pgetz00_17)
																		? ((obj_t(*)(obj_t,
																					...))
																			PROCEDURE_ENTRY(BgL_pgetz00_17))
																		(BgL_pgetz00_17,
																			((obj_t) BgL_valuez00_1565),
																			BEOA) : ((obj_t(*)(obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_pgetz00_17))
																		(BgL_pgetz00_17,
																			((obj_t) BgL_valuez00_1565)));
																	BgL_test1976z00_3567 =
																		(BgL_arg1550z00_1577 == BUNSPEC);
																}
																if (BgL_test1976z00_3567)
																	{	/* Module/pragma.scm 257 */
																		(VA_PROCEDUREP(BgL_psetz00_18)
																			? ((obj_t(*)(obj_t,
																						...))
																				PROCEDURE_ENTRY(BgL_psetz00_18))
																			(BgL_psetz00_18,
																				((obj_t) BgL_valuez00_1565), BNIL,
																				BEOA) : ((obj_t(*)(obj_t, obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_psetz00_18))
																			(BgL_psetz00_18,
																				((obj_t) BgL_valuez00_1565), BNIL));
																	}
																else
																	{	/* Module/pragma.scm 257 */
																		BFALSE;
																	}
															}
															{	/* Module/pragma.scm 259 */
																obj_t BgL_g1105z00_1578;

																BgL_g1105z00_1578 =
																	(((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_valuez00_1565)))->
																	BgL_argszd2namezd2);
																{
																	long BgL_iz00_1580;
																	obj_t BgL_argsz00_1581;

																	BgL_iz00_1580 = 0L;
																	BgL_argsz00_1581 = BgL_g1105z00_1578;
																BgL_zc3z04anonymousza31551ze3z87_1582:
																	if (NULLP(BgL_argsz00_1581))
																		{	/* Module/pragma.scm 262 */
																			return
																				BGl_userzd2errorzd2zztools_errorz00
																				(BGl_string1794z00zzmodule_pragmaz00,
																				BGl_string1801z00zzmodule_pragmaz00,
																				BgL_valz00_16, BNIL);
																		}
																	else
																		{	/* Module/pragma.scm 262 */
																			if (
																				(CAR(
																						((obj_t) BgL_argsz00_1581)) ==
																					CAR(((obj_t) BgL_valz00_16))))
																				{	/* Module/pragma.scm 267 */
																					obj_t BgL_arg1560z00_1588;

																					{	/* Module/pragma.scm 267 */
																						obj_t BgL_arg1563z00_1589;

																						BgL_arg1563z00_1589 =
																							(VA_PROCEDUREP(BgL_pgetz00_17)
																							? ((obj_t(*)(obj_t,
																										...))
																								PROCEDURE_ENTRY(BgL_pgetz00_17))
																							(BgL_pgetz00_17,
																								((obj_t) BgL_valuez00_1565),
																								BEOA) : ((obj_t(*)(obj_t,
																										obj_t))
																								PROCEDURE_ENTRY(BgL_pgetz00_17))
																							(BgL_pgetz00_17,
																								((obj_t) BgL_valuez00_1565)));
																						BgL_arg1560z00_1588 =
																							MAKE_YOUNG_PAIR(BINT
																							(BgL_iz00_1580),
																							BgL_arg1563z00_1589);
																					}
																					return
																						(VA_PROCEDUREP(BgL_psetz00_18)
																						? ((obj_t(*)(obj_t,
																									...))
																							PROCEDURE_ENTRY(BgL_psetz00_18))
																						(BgL_psetz00_18,
																							((obj_t) BgL_valuez00_1565),
																							BgL_arg1560z00_1588,
																							BEOA) : ((obj_t(*)(obj_t, obj_t,
																									obj_t))
																							PROCEDURE_ENTRY(BgL_psetz00_18))
																						(BgL_psetz00_18,
																							((obj_t) BgL_valuez00_1565),
																							BgL_arg1560z00_1588));
																				}
																			else
																				{	/* Module/pragma.scm 269 */
																					long BgL_arg1564z00_1590;
																					obj_t BgL_arg1565z00_1591;

																					BgL_arg1564z00_1590 =
																						(BgL_iz00_1580 + 1L);
																					BgL_arg1565z00_1591 =
																						CDR(((obj_t) BgL_argsz00_1581));
																					{
																						obj_t BgL_argsz00_3608;
																						long BgL_iz00_3607;

																						BgL_iz00_3607 = BgL_arg1564z00_1590;
																						BgL_argsz00_3608 =
																							BgL_arg1565z00_1591;
																						BgL_argsz00_1581 = BgL_argsz00_3608;
																						BgL_iz00_1580 = BgL_iz00_3607;
																						goto
																							BgL_zc3z04anonymousza31551ze3z87_1582;
																					}
																				}
																		}
																}
															}
														}
													else
														{	/* Module/pragma.scm 253 */
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BGl_string1794z00zzmodule_pragmaz00,
																BGl_string1802z00zzmodule_pragmaz00,
																BgL_valz00_16, BNIL);
														}
												}
											else
												{	/* Module/pragma.scm 270 */
													bool_t BgL_test1979z00_3610;

													{	/* Module/pragma.scm 270 */
														obj_t BgL_arg1592z00_1602;

														BgL_arg1592z00_1602 =
															(VA_PROCEDUREP(BgL_pgetz00_17) ? ((obj_t(*)(obj_t,
																		...))
																PROCEDURE_ENTRY(BgL_pgetz00_17))
															(BgL_pgetz00_17, ((obj_t) BgL_valuez00_1565),
																BEOA) : ((obj_t(*)(obj_t,
																		obj_t))
																PROCEDURE_ENTRY(BgL_pgetz00_17))
															(BgL_pgetz00_17, ((obj_t) BgL_valuez00_1565)));
														BgL_test1979z00_3610 =
															(BgL_arg1592z00_1602 == BUNSPEC);
													}
													if (BgL_test1979z00_3610)
														{	/* Module/pragma.scm 271 */
															obj_t BgL_arg1581z00_1598;

															{	/* Module/pragma.scm 271 */
																obj_t BgL_list1582z00_1599;

																BgL_list1582z00_1599 =
																	MAKE_YOUNG_PAIR(BgL_valz00_16, BNIL);
																BgL_arg1581z00_1598 = BgL_list1582z00_1599;
															}
															return
																(VA_PROCEDUREP(BgL_psetz00_18)
																? ((obj_t(*)(obj_t,
																			...))
																	PROCEDURE_ENTRY(BgL_psetz00_18))
																(BgL_psetz00_18, ((obj_t) BgL_valuez00_1565),
																	BgL_arg1581z00_1598, BEOA) : ((obj_t(*)(obj_t,
																			obj_t,
																			obj_t))
																	PROCEDURE_ENTRY(BgL_psetz00_18))
																(BgL_psetz00_18, ((obj_t) BgL_valuez00_1565),
																	BgL_arg1581z00_1598));
														}
													else
														{	/* Module/pragma.scm 273 */
															obj_t BgL_arg1586z00_1600;

															{	/* Module/pragma.scm 273 */
																obj_t BgL_arg1590z00_1601;

																BgL_arg1590z00_1601 =
																	(VA_PROCEDUREP(BgL_pgetz00_17)
																	? ((obj_t(*)(obj_t,
																				...))
																		PROCEDURE_ENTRY(BgL_pgetz00_17))
																	(BgL_pgetz00_17, ((obj_t) BgL_valuez00_1565),
																		BEOA) : ((obj_t(*)(obj_t,
																				obj_t))
																		PROCEDURE_ENTRY(BgL_pgetz00_17))
																	(BgL_pgetz00_17,
																		((obj_t) BgL_valuez00_1565)));
																BgL_arg1586z00_1600 =
																	MAKE_YOUNG_PAIR(BgL_valz00_16,
																	BgL_arg1590z00_1601);
															}
															return
																(VA_PROCEDUREP(BgL_psetz00_18)
																? ((obj_t(*)(obj_t,
																			...))
																	PROCEDURE_ENTRY(BgL_psetz00_18))
																(BgL_psetz00_18, ((obj_t) BgL_valuez00_1565),
																	BgL_arg1586z00_1600, BEOA) : ((obj_t(*)(obj_t,
																			obj_t,
																			obj_t))
																	PROCEDURE_ENTRY(BgL_psetz00_18))
																(BgL_psetz00_18, ((obj_t) BgL_valuez00_1565),
																	BgL_arg1586z00_1600));
														}
												}
										}
								}
						}
					else
						{	/* Module/pragma.scm 245 */
							return
								BGl_sfunzd2errorzd2zzmodule_pragmaz00
								(BGl_string1803z00zzmodule_pragmaz00,
								((BgL_globalz00_bglt) BgL_globalz00_15));
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 15 */
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1804z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzmodule_evalz00(428236825L,
				BSTRING_TO_STRING(BGl_string1804z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1804z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1804z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1804z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(517137079L,
				BSTRING_TO_STRING(BGl_string1804z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1804z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1804z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(383247627L,
				BSTRING_TO_STRING(BGl_string1804z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1804z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1804z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(516374368L,
				BSTRING_TO_STRING(BGl_string1804z00zzmodule_pragmaz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1804z00zzmodule_pragmaz00));
		}

	}

#ifdef __cplusplus
}
#endif
