/*===========================================================================*/
/*   (Object/coercion.scm)                                                   */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Object/coercion.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_OBJECT_COERCION_TYPE_DEFINITIONS
#define BGL_OBJECT_COERCION_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;


#endif													// BGL_OBJECT_COERCION_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_coercionz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_z62genzd2coercionzd2clausez12z70zzobject_coercionz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_genericzd2initzd2zzobject_coercionz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2coercionzd2clausez12z12zzobject_coercionz00(BgL_typez00_bglt,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_makezd2coercionzd2clausez00zzobject_coercionz00(BgL_typez00_bglt, obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzobject_coercionz00(void);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzobject_coercionz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_coercionz00(void);
	static obj_t BGl_makezd2onezd2coercionze70ze7zzobject_coercionz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62genzd2classzd2coercionsz12z70zzobject_coercionz00(obj_t,
		obj_t);
	static obj_t BGl_z62genzd2classzd2coercersz12z70zzobject_coercionz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t);
	extern obj_t BGl_jclassz00zzobject_classz00;
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_coercionz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_coercionz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_coercionz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzobject_coercionz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2classzd2coercersz12z12zzobject_coercionz00(obj_t, obj_t);
	static bool_t BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t
		BGl_z62genzd2javazd2classzd2coercionsz12za2zzobject_coercionz00(obj_t,
		obj_t);
	static obj_t __cnst[21];


	   
		 
		DEFINE_STRING(BGl_string1705z00zzobject_coercionz00,
		BgL_bgl_string1705za700za7za7o1711za7, "obj_t", 5);
	      DEFINE_STRING(BGl_string1706z00zzobject_coercionz00,
		BgL_bgl_string1706za700za7za7o1712za7, "(", 1);
	      DEFINE_STRING(BGl_string1707z00zzobject_coercionz00,
		BgL_bgl_string1707za700za7za7o1713za7, ")", 1);
	      DEFINE_STRING(BGl_string1708z00zzobject_coercionz00,
		BgL_bgl_string1708za700za7za7o1714za7, "object_coercion", 15);
	      DEFINE_STRING(BGl_string1709z00zzobject_coercionz00,
		BgL_bgl_string1709za700za7za7o1715za7,
		"macro pragma nesting args-safe side-effect-free no-cfa-top effect -> foreign type bool coerce @ isa? __object instanceof o lambda obj cast x ",
		141);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2classzd2coercionsz12zd2envzc0zzobject_coercionz00,
		BgL_bgl_za762genza7d2classza7d1716za7,
		BGl_z62genzd2classzd2coercionsz12z70zzobject_coercionz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2coercionzd2clausez12zd2envzc0zzobject_coercionz00,
		BgL_bgl_za762genza7d2coercio1717z00, va_generic_entry,
		BGl_z62genzd2coercionzd2clausez12z70zzobject_coercionz00, BUNSPEC, -4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2classzd2coercersz12zd2envzc0zzobject_coercionz00,
		BgL_bgl_za762genza7d2classza7d1718za7,
		BGl_z62genzd2classzd2coercersz12z70zzobject_coercionz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2javazd2classzd2coercionsz12zd2envz12zzobject_coercionz00,
		BgL_bgl_za762genza7d2javaza7d21719za7,
		BGl_z62genzd2javazd2classzd2coercionsz12za2zzobject_coercionz00, 0L,
		BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzobject_coercionz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzobject_coercionz00(long
		BgL_checksumz00_1442, char *BgL_fromz00_1443)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_coercionz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_coercionz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzobject_coercionz00();
					BGl_libraryzd2moduleszd2initz00zzobject_coercionz00();
					BGl_cnstzd2initzd2zzobject_coercionz00();
					BGl_importedzd2moduleszd2initz00zzobject_coercionz00();
					return BGl_methodzd2initzd2zzobject_coercionz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_coercionz00(void)
	{
		{	/* Object/coercion.scm 21 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"object_coercion");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "object_coercion");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"object_coercion");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "object_coercion");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"object_coercion");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"object_coercion");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L,
				"object_coercion");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"object_coercion");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"object_coercion");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"object_coercion");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_coercionz00(void)
	{
		{	/* Object/coercion.scm 21 */
			{	/* Object/coercion.scm 21 */
				obj_t BgL_cportz00_1431;

				{	/* Object/coercion.scm 21 */
					obj_t BgL_stringz00_1438;

					BgL_stringz00_1438 = BGl_string1709z00zzobject_coercionz00;
					{	/* Object/coercion.scm 21 */
						obj_t BgL_startz00_1439;

						BgL_startz00_1439 = BINT(0L);
						{	/* Object/coercion.scm 21 */
							obj_t BgL_endz00_1440;

							BgL_endz00_1440 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1438)));
							{	/* Object/coercion.scm 21 */

								BgL_cportz00_1431 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1438, BgL_startz00_1439, BgL_endz00_1440);
				}}}}
				{
					long BgL_iz00_1432;

					BgL_iz00_1432 = 20L;
				BgL_loopz00_1433:
					if ((BgL_iz00_1432 == -1L))
						{	/* Object/coercion.scm 21 */
							return BUNSPEC;
						}
					else
						{	/* Object/coercion.scm 21 */
							{	/* Object/coercion.scm 21 */
								obj_t BgL_arg1710z00_1434;

								{	/* Object/coercion.scm 21 */

									{	/* Object/coercion.scm 21 */
										obj_t BgL_locationz00_1436;

										BgL_locationz00_1436 = BBOOL(((bool_t) 0));
										{	/* Object/coercion.scm 21 */

											BgL_arg1710z00_1434 =
												BGl_readz00zz__readerz00(BgL_cportz00_1431,
												BgL_locationz00_1436);
										}
									}
								}
								{	/* Object/coercion.scm 21 */
									int BgL_tmpz00_1471;

									BgL_tmpz00_1471 = (int) (BgL_iz00_1432);
									CNST_TABLE_SET(BgL_tmpz00_1471, BgL_arg1710z00_1434);
							}}
							{	/* Object/coercion.scm 21 */
								int BgL_auxz00_1437;

								BgL_auxz00_1437 = (int) ((BgL_iz00_1432 - 1L));
								{
									long BgL_iz00_1476;

									BgL_iz00_1476 = (long) (BgL_auxz00_1437);
									BgL_iz00_1432 = BgL_iz00_1476;
									goto BgL_loopz00_1433;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzobject_coercionz00(void)
	{
		{	/* Object/coercion.scm 21 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzobject_coercionz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_803;

				BgL_headz00_803 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_804;
					obj_t BgL_tailz00_805;

					BgL_prevz00_804 = BgL_headz00_803;
					BgL_tailz00_805 = BgL_l1z00_1;
				BgL_loopz00_806:
					if (PAIRP(BgL_tailz00_805))
						{
							obj_t BgL_newzd2prevzd2_808;

							BgL_newzd2prevzd2_808 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_805), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_804, BgL_newzd2prevzd2_808);
							{
								obj_t BgL_tailz00_1486;
								obj_t BgL_prevz00_1485;

								BgL_prevz00_1485 = BgL_newzd2prevzd2_808;
								BgL_tailz00_1486 = CDR(BgL_tailz00_805);
								BgL_tailz00_805 = BgL_tailz00_1486;
								BgL_prevz00_804 = BgL_prevz00_1485;
								goto BgL_loopz00_806;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_803);
				}
			}
		}

	}



/* gen-class-coercions! */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t BgL_classz00_3)
	{
		{	/* Object/coercion.scm 48 */
			{	/* Object/coercion.scm 50 */
				obj_t BgL_arg1192z00_812;
				obj_t BgL_arg1196z00_813;

				BgL_arg1192z00_812 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt)
								((BgL_typez00_bglt) BgL_classz00_3))))->BgL_idz00);
				{
					BgL_tclassz00_bglt BgL_auxz00_1492;

					{
						obj_t BgL_auxz00_1493;

						{	/* Object/coercion.scm 50 */
							BgL_objectz00_bglt BgL_tmpz00_1494;

							BgL_tmpz00_1494 =
								((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_3));
							BgL_auxz00_1493 = BGL_OBJECT_WIDENING(BgL_tmpz00_1494);
						}
						BgL_auxz00_1492 = ((BgL_tclassz00_bglt) BgL_auxz00_1493);
					}
					BgL_arg1196z00_813 =
						(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_1492))->
						BgL_itszd2superzd2);
				}
				{	/* Object/coercion.scm 74 */
					obj_t BgL_arg1205z00_1129;

					BgL_arg1205z00_1129 =
						BGl_makezd2coercionzd2clausez00zzobject_coercionz00(
						((BgL_typez00_bglt) BgL_classz00_3), BgL_arg1192z00_812,
						BgL_arg1196z00_813, BNIL);
					BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
						(BgL_arg1205z00_1129);
				}
			}
			{	/* Object/coercion.scm 51 */
				obj_t BgL_arg1198z00_815;

				{
					BgL_tclassz00_bglt BgL_auxz00_1503;

					{
						obj_t BgL_auxz00_1504;

						{	/* Object/coercion.scm 51 */
							BgL_objectz00_bglt BgL_tmpz00_1505;

							BgL_tmpz00_1505 =
								((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_3));
							BgL_auxz00_1504 = BGL_OBJECT_WIDENING(BgL_tmpz00_1505);
						}
						BgL_auxz00_1503 = ((BgL_tclassz00_bglt) BgL_auxz00_1504);
					}
					BgL_arg1198z00_815 =
						(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_1503))->
						BgL_itszd2superzd2);
				}
				{	/* Object/coercion.scm 128 */
					bool_t BgL_test1723z00_1511;

					{	/* Object/coercion.scm 128 */
						obj_t BgL_arg1397z00_1132;

						BgL_arg1397z00_1132 = BGl_thezd2backendzd2zzbackend_backendz00();
						BgL_test1723z00_1511 =
							(((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_arg1397z00_1132)))->
							BgL_pragmazd2supportzd2);
					}
					if (BgL_test1723z00_1511)
						{	/* Object/coercion.scm 128 */
							return
								BBOOL(BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00
								(BgL_classz00_3, BgL_arg1198z00_815));
						}
					else
						{	/* Object/coercion.scm 128 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &gen-class-coercions! */
	obj_t BGl_z62genzd2classzd2coercionsz12z70zzobject_coercionz00(obj_t
		BgL_envz00_1419, obj_t BgL_classz00_1420)
	{
		{	/* Object/coercion.scm 48 */
			return
				BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00
				(BgL_classz00_1420);
		}

	}



/* gen-java-class-coercions! */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(obj_t
		BgL_classz00_4)
	{
		{	/* Object/coercion.scm 56 */
			{	/* Object/coercion.scm 58 */
				obj_t BgL_arg1199z00_817;
				obj_t BgL_arg1201z00_818;

				BgL_arg1199z00_817 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt)
								((BgL_typez00_bglt) BgL_classz00_4))))->BgL_idz00);
				{
					BgL_jclassz00_bglt BgL_auxz00_1521;

					{
						obj_t BgL_auxz00_1522;

						{	/* Object/coercion.scm 58 */
							BgL_objectz00_bglt BgL_tmpz00_1523;

							BgL_tmpz00_1523 =
								((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_4));
							BgL_auxz00_1522 = BGL_OBJECT_WIDENING(BgL_tmpz00_1523);
						}
						BgL_auxz00_1521 = ((BgL_jclassz00_bglt) BgL_auxz00_1522);
					}
					BgL_arg1201z00_818 =
						(((BgL_jclassz00_bglt) COBJECT(BgL_auxz00_1521))->
						BgL_itszd2superzd2);
				}
				{	/* Object/coercion.scm 74 */
					obj_t BgL_arg1205z00_1138;

					BgL_arg1205z00_1138 =
						BGl_makezd2coercionzd2clausez00zzobject_coercionz00(
						((BgL_typez00_bglt) BgL_classz00_4), BgL_arg1199z00_817,
						BgL_arg1201z00_818, BNIL);
					BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
						(BgL_arg1205z00_1138);
				}
			}
			{	/* Object/coercion.scm 59 */
				obj_t BgL_arg1204z00_820;

				{
					BgL_jclassz00_bglt BgL_auxz00_1532;

					{
						obj_t BgL_auxz00_1533;

						{	/* Object/coercion.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_1534;

							BgL_tmpz00_1534 =
								((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_4));
							BgL_auxz00_1533 = BGL_OBJECT_WIDENING(BgL_tmpz00_1534);
						}
						BgL_auxz00_1532 = ((BgL_jclassz00_bglt) BgL_auxz00_1533);
					}
					BgL_arg1204z00_820 =
						(((BgL_jclassz00_bglt) COBJECT(BgL_auxz00_1532))->
						BgL_itszd2superzd2);
				}
				{	/* Object/coercion.scm 128 */
					bool_t BgL_test1724z00_1540;

					{	/* Object/coercion.scm 128 */
						obj_t BgL_arg1397z00_1141;

						BgL_arg1397z00_1141 = BGl_thezd2backendzd2zzbackend_backendz00();
						BgL_test1724z00_1540 =
							(((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_arg1397z00_1141)))->
							BgL_pragmazd2supportzd2);
					}
					if (BgL_test1724z00_1540)
						{	/* Object/coercion.scm 128 */
							return
								BBOOL(BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00
								(BgL_classz00_4, BgL_arg1204z00_820));
						}
					else
						{	/* Object/coercion.scm 128 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &gen-java-class-coercions! */
	obj_t BGl_z62genzd2javazd2classzd2coercionsz12za2zzobject_coercionz00(obj_t
		BgL_envz00_1421, obj_t BgL_classz00_1422)
	{
		{	/* Object/coercion.scm 56 */
			return
				BGl_genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00
				(BgL_classz00_1422);
		}

	}



/* gen-coercion-clause! */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2coercionzd2clausez12z12zzobject_coercionz00(BgL_typez00_bglt
		BgL_classz00_5, obj_t BgL_czd2idzd2_6, obj_t BgL_superz00_7,
		obj_t BgL_testingz00_8)
	{
		{	/* Object/coercion.scm 72 */
			return
				BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
				(BGl_makezd2coercionzd2clausez00zzobject_coercionz00(BgL_classz00_5,
					BgL_czd2idzd2_6, BgL_superz00_7, BgL_testingz00_8));
		}

	}



/* &gen-coercion-clause! */
	obj_t BGl_z62genzd2coercionzd2clausez12z70zzobject_coercionz00(obj_t
		BgL_envz00_1423, obj_t BgL_classz00_1424, obj_t BgL_czd2idzd2_1425,
		obj_t BgL_superz00_1426, obj_t BgL_testingz00_1427)
	{
		{	/* Object/coercion.scm 72 */
			return
				BGl_genzd2coercionzd2clausez12z12zzobject_coercionz00(
				((BgL_typez00_bglt) BgL_classz00_1424), BgL_czd2idzd2_1425,
				BgL_superz00_1426, BgL_testingz00_1427);
		}

	}



/* make-coercion-clause */
	obj_t BGl_makezd2coercionzd2clausez00zzobject_coercionz00(BgL_typez00_bglt
		BgL_classz00_9, obj_t BgL_czd2idzd2_10, obj_t BgL_superz00_11,
		obj_t BgL_testingz00_12)
	{
		{	/* Object/coercion.scm 79 */
			{	/* Object/coercion.scm 80 */
				obj_t BgL_classzd2ze3objz31_822;

				{	/* Object/coercion.scm 80 */
					obj_t BgL_arg1369z00_915;

					{	/* Object/coercion.scm 80 */
						obj_t BgL_arg1372z00_916;
						obj_t BgL_arg1373z00_917;

						BgL_arg1372z00_916 = MAKE_YOUNG_PAIR(CNST_TABLE_REF(0L), BNIL);
						{	/* Object/coercion.scm 81 */
							obj_t BgL_arg1374z00_918;

							{	/* Object/coercion.scm 81 */
								obj_t BgL_list1375z00_919;

								BgL_list1375z00_919 = MAKE_YOUNG_PAIR(CNST_TABLE_REF(0L), BNIL);
								BgL_arg1374z00_918 =
									BGl_makezd2privatezd2sexpz00zzast_privatez00(CNST_TABLE_REF
									(1L), CNST_TABLE_REF(2L), BgL_list1375z00_919);
							}
							BgL_arg1373z00_917 = MAKE_YOUNG_PAIR(BgL_arg1374z00_918, BNIL);
						}
						BgL_arg1369z00_915 =
							MAKE_YOUNG_PAIR(BgL_arg1372z00_916, BgL_arg1373z00_917);
					}
					BgL_classzd2ze3objz31_822 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(3L), BgL_arg1369z00_915);
				}
				{	/* Object/coercion.scm 80 */
					obj_t BgL_objzd2ze3classz31_823;

					{	/* Object/coercion.scm 82 */
						obj_t BgL_arg1354z00_910;

						{	/* Object/coercion.scm 82 */
							obj_t BgL_arg1361z00_911;
							obj_t BgL_arg1363z00_912;

							BgL_arg1361z00_911 = MAKE_YOUNG_PAIR(CNST_TABLE_REF(0L), BNIL);
							{	/* Object/coercion.scm 83 */
								obj_t BgL_arg1366z00_913;

								{	/* Object/coercion.scm 83 */
									obj_t BgL_list1367z00_914;

									BgL_list1367z00_914 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(0L), BNIL);
									BgL_arg1366z00_913 =
										BGl_makezd2privatezd2sexpz00zzast_privatez00(CNST_TABLE_REF
										(1L), BgL_czd2idzd2_10, BgL_list1367z00_914);
								}
								BgL_arg1363z00_912 = MAKE_YOUNG_PAIR(BgL_arg1366z00_913, BNIL);
							}
							BgL_arg1354z00_910 =
								MAKE_YOUNG_PAIR(BgL_arg1361z00_911, BgL_arg1363z00_912);
						}
						BgL_objzd2ze3classz31_823 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(3L), BgL_arg1354z00_910);
					}
					{	/* Object/coercion.scm 82 */
						obj_t BgL_ttestz00_824;

						if (NULLP(BgL_testingz00_12))
							{	/* Object/coercion.scm 85 */
								obj_t BgL_oz00_892;

								BgL_oz00_892 =
									BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(4L));
								{	/* Object/coercion.scm 86 */
									bool_t BgL_test1726z00_1576;

									{	/* Object/coercion.scm 86 */
										obj_t BgL_classz00_1145;

										BgL_classz00_1145 = BGl_jclassz00zzobject_classz00;
										{	/* Object/coercion.scm 86 */
											BgL_objectz00_bglt BgL_arg1801z00_1147;

											{	/* Object/coercion.scm 86 */
												obj_t BgL_tmpz00_1577;

												BgL_tmpz00_1577 =
													((obj_t) ((BgL_objectz00_bglt) BgL_classz00_9));
												BgL_arg1801z00_1147 =
													(BgL_objectz00_bglt) (BgL_tmpz00_1577);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Object/coercion.scm 86 */
													long BgL_idxz00_1153;

													BgL_idxz00_1153 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_1147);
													BgL_test1726z00_1576 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_1153 + 2L)) == BgL_classz00_1145);
												}
											else
												{	/* Object/coercion.scm 86 */
													bool_t BgL_res1694z00_1175;

													{	/* Object/coercion.scm 86 */
														obj_t BgL_oclassz00_1161;

														{	/* Object/coercion.scm 86 */
															long BgL_arg1808z00_1167;

															{	/* Object/coercion.scm 86 */
																long BgL_arg1809z00_1168;

																BgL_arg1809z00_1168 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_1147);
																BgL_arg1808z00_1167 =
																	(BgL_arg1809z00_1168 - OBJECT_TYPE);
															}
															BgL_oclassz00_1161 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1808z00_1167);
														}
														{	/* Object/coercion.scm 86 */
															bool_t BgL__ortest_1115z00_1162;

															BgL__ortest_1115z00_1162 =
																(BgL_classz00_1145 == BgL_oclassz00_1161);
															if (BgL__ortest_1115z00_1162)
																{	/* Object/coercion.scm 86 */
																	BgL_res1694z00_1175 =
																		BgL__ortest_1115z00_1162;
																}
															else
																{	/* Object/coercion.scm 86 */
																	long BgL_odepthz00_1163;

																	BgL_odepthz00_1163 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_1161);
																	if ((2L < BgL_odepthz00_1163))
																		{	/* Object/coercion.scm 86 */
																			obj_t BgL_arg1797z00_1165;

																			BgL_arg1797z00_1165 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_1161, 2L);
																			BgL_res1694z00_1175 =
																				(BgL_arg1797z00_1165 ==
																				BgL_classz00_1145);
																		}
																	else
																		{	/* Object/coercion.scm 86 */
																			BgL_res1694z00_1175 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test1726z00_1576 = BgL_res1694z00_1175;
												}
										}
									}
									if (BgL_test1726z00_1576)
										{	/* Object/coercion.scm 87 */
											obj_t BgL_arg1322z00_894;

											{	/* Object/coercion.scm 87 */
												obj_t BgL_arg1323z00_895;

												{	/* Object/coercion.scm 87 */
													obj_t BgL_arg1324z00_896;
													obj_t BgL_arg1325z00_897;

													BgL_arg1324z00_896 =
														MAKE_YOUNG_PAIR(BgL_oz00_892, BNIL);
													{	/* Object/coercion.scm 88 */
														obj_t BgL_arg1330z00_898;

														{	/* Object/coercion.scm 88 */
															obj_t BgL_list1331z00_899;

															BgL_list1331z00_899 =
																MAKE_YOUNG_PAIR(BgL_oz00_892, BNIL);
															BgL_arg1330z00_898 =
																BGl_makezd2privatezd2sexpz00zzast_privatez00
																(CNST_TABLE_REF(5L), BgL_czd2idzd2_10,
																BgL_list1331z00_899);
														}
														BgL_arg1325z00_897 =
															MAKE_YOUNG_PAIR(BgL_arg1330z00_898, BNIL);
													}
													BgL_arg1323z00_895 =
														MAKE_YOUNG_PAIR(BgL_arg1324z00_896,
														BgL_arg1325z00_897);
												}
												BgL_arg1322z00_894 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(3L),
													BgL_arg1323z00_895);
											}
											BgL_ttestz00_824 =
												MAKE_YOUNG_PAIR(BgL_arg1322z00_894, BNIL);
										}
									else
										{	/* Object/coercion.scm 89 */
											obj_t BgL_arg1332z00_900;

											{	/* Object/coercion.scm 89 */
												obj_t BgL_arg1337z00_901;

												{	/* Object/coercion.scm 89 */
													obj_t BgL_arg1338z00_902;
													obj_t BgL_arg1341z00_903;

													BgL_arg1338z00_902 =
														MAKE_YOUNG_PAIR(BgL_oz00_892, BNIL);
													{	/* Object/coercion.scm 90 */
														obj_t BgL_arg1343z00_904;

														{	/* Object/coercion.scm 90 */
															obj_t BgL_arg1344z00_905;
															obj_t BgL_arg1346z00_906;

															{	/* Object/coercion.scm 90 */
																obj_t BgL_arg1347z00_907;

																{	/* Object/coercion.scm 90 */
																	obj_t BgL_arg1348z00_908;

																	BgL_arg1348z00_908 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(6L), BNIL);
																	BgL_arg1347z00_907 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(7L),
																		BgL_arg1348z00_908);
																}
																BgL_arg1344z00_905 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(8L),
																	BgL_arg1347z00_907);
															}
															{	/* Object/coercion.scm 90 */
																obj_t BgL_arg1352z00_909;

																BgL_arg1352z00_909 =
																	MAKE_YOUNG_PAIR(BgL_czd2idzd2_10, BNIL);
																BgL_arg1346z00_906 =
																	MAKE_YOUNG_PAIR(BgL_oz00_892,
																	BgL_arg1352z00_909);
															}
															BgL_arg1343z00_904 =
																MAKE_YOUNG_PAIR(BgL_arg1344z00_905,
																BgL_arg1346z00_906);
														}
														BgL_arg1341z00_903 =
															MAKE_YOUNG_PAIR(BgL_arg1343z00_904, BNIL);
													}
													BgL_arg1337z00_901 =
														MAKE_YOUNG_PAIR(BgL_arg1338z00_902,
														BgL_arg1341z00_903);
												}
												BgL_arg1332z00_900 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(3L),
													BgL_arg1337z00_901);
											}
											BgL_ttestz00_824 =
												MAKE_YOUNG_PAIR(BgL_arg1332z00_900, BNIL);
										}
								}
							}
						else
							{	/* Object/coercion.scm 84 */
								BgL_ttestz00_824 = BNIL;
							}
						{	/* Object/coercion.scm 84 */
							obj_t BgL_xz00_825;

							BgL_xz00_825 =
								BGl_makezd2typedzd2identz00zzast_identz00(CNST_TABLE_REF(0L),
								BgL_czd2idzd2_10);
							{	/* Object/coercion.scm 92 */

								{	/* Object/coercion.scm 93 */
									obj_t BgL_g1072z00_826;

									{	/* Object/coercion.scm 94 */
										obj_t BgL_arg1248z00_866;
										obj_t BgL_arg1249z00_867;
										obj_t BgL_arg1250z00_868;

										{	/* Object/coercion.scm 94 */
											obj_t BgL_arg1254z00_872;

											{	/* Object/coercion.scm 94 */
												obj_t BgL_arg1256z00_873;

												{	/* Object/coercion.scm 94 */
													obj_t BgL_arg1257z00_874;

													{	/* Object/coercion.scm 94 */
														obj_t BgL_arg1259z00_875;

														{	/* Object/coercion.scm 94 */
															obj_t BgL_arg1260z00_876;

															BgL_arg1260z00_876 =
																MAKE_YOUNG_PAIR(BgL_objzd2ze3classz31_823,
																BNIL);
															BgL_arg1259z00_875 =
																MAKE_YOUNG_PAIR(BgL_arg1260z00_876, BNIL);
														}
														BgL_arg1257z00_874 =
															MAKE_YOUNG_PAIR(BgL_ttestz00_824,
															BgL_arg1259z00_875);
													}
													BgL_arg1256z00_873 =
														MAKE_YOUNG_PAIR(BgL_czd2idzd2_10,
														BgL_arg1257z00_874);
												}
												BgL_arg1254z00_872 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(2L),
													BgL_arg1256z00_873);
											}
											BgL_arg1248z00_866 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(9L), BgL_arg1254z00_872);
										}
										{	/* Object/coercion.scm 95 */
											obj_t BgL_arg1265z00_877;

											{	/* Object/coercion.scm 95 */
												obj_t BgL_arg1275z00_878;

												{	/* Object/coercion.scm 95 */
													obj_t BgL_arg1276z00_879;

													{	/* Object/coercion.scm 95 */
														obj_t BgL_arg1277z00_880;

														{	/* Object/coercion.scm 95 */
															obj_t BgL_arg1279z00_881;

															BgL_arg1279z00_881 =
																MAKE_YOUNG_PAIR(BgL_classzd2ze3objz31_822,
																BNIL);
															BgL_arg1277z00_880 =
																MAKE_YOUNG_PAIR(BgL_arg1279z00_881, BNIL);
														}
														BgL_arg1276z00_879 =
															MAKE_YOUNG_PAIR(BNIL, BgL_arg1277z00_880);
													}
													BgL_arg1275z00_878 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(2L),
														BgL_arg1276z00_879);
												}
												BgL_arg1265z00_877 =
													MAKE_YOUNG_PAIR(BgL_czd2idzd2_10, BgL_arg1275z00_878);
											}
											BgL_arg1249z00_867 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(9L), BgL_arg1265z00_877);
										}
										{	/* Object/coercion.scm 96 */
											obj_t BgL_arg1281z00_882;

											{	/* Object/coercion.scm 96 */
												obj_t BgL_arg1282z00_883;

												{	/* Object/coercion.scm 96 */
													obj_t BgL_arg1283z00_884;

													{	/* Object/coercion.scm 96 */
														obj_t BgL_arg1284z00_885;

														{	/* Object/coercion.scm 96 */
															obj_t BgL_arg1285z00_886;

															{	/* Object/coercion.scm 96 */
																obj_t BgL_arg1287z00_887;

																{	/* Object/coercion.scm 96 */
																	obj_t BgL_arg1289z00_888;

																	{	/* Object/coercion.scm 96 */
																		obj_t BgL_arg1291z00_889;
																		obj_t BgL_arg1292z00_890;

																		BgL_arg1291z00_889 =
																			MAKE_YOUNG_PAIR(BgL_xz00_825, BNIL);
																		BgL_arg1292z00_890 =
																			MAKE_YOUNG_PAIR(BTRUE, BNIL);
																		BgL_arg1289z00_888 =
																			MAKE_YOUNG_PAIR(BgL_arg1291z00_889,
																			BgL_arg1292z00_890);
																	}
																	BgL_arg1287z00_887 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(3L),
																		BgL_arg1289z00_888);
																}
																BgL_arg1285z00_886 =
																	MAKE_YOUNG_PAIR(BgL_arg1287z00_887, BNIL);
															}
															BgL_arg1284z00_885 =
																MAKE_YOUNG_PAIR(BgL_arg1285z00_886, BNIL);
														}
														BgL_arg1283z00_884 =
															MAKE_YOUNG_PAIR(BNIL, BgL_arg1284z00_885);
													}
													BgL_arg1282z00_883 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(10L),
														BgL_arg1283z00_884);
												}
												BgL_arg1281z00_882 =
													MAKE_YOUNG_PAIR(BgL_czd2idzd2_10, BgL_arg1282z00_883);
											}
											BgL_arg1250z00_868 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(9L), BgL_arg1281z00_882);
										}
										{	/* Object/coercion.scm 94 */
											obj_t BgL_list1251z00_869;

											{	/* Object/coercion.scm 94 */
												obj_t BgL_arg1252z00_870;

												{	/* Object/coercion.scm 94 */
													obj_t BgL_arg1253z00_871;

													BgL_arg1253z00_871 =
														MAKE_YOUNG_PAIR(BgL_arg1250z00_868, BNIL);
													BgL_arg1252z00_870 =
														MAKE_YOUNG_PAIR(BgL_arg1249z00_867,
														BgL_arg1253z00_871);
												}
												BgL_list1251z00_869 =
													MAKE_YOUNG_PAIR(BgL_arg1248z00_866,
													BgL_arg1252z00_870);
											}
											BgL_g1072z00_826 = BgL_list1251z00_869;
										}
									}
									{
										obj_t BgL_superz00_828;
										obj_t BgL_coercerz00_829;

										BgL_superz00_828 = BgL_superz00_11;
										BgL_coercerz00_829 = BgL_g1072z00_826;
									BgL_zc3z04anonymousza31206ze3z87_830:
										{	/* Object/coercion.scm 97 */
											bool_t BgL_test1732z00_1655;

											{	/* Object/coercion.scm 97 */
												bool_t BgL_test1733z00_1656;

												{	/* Object/coercion.scm 97 */
													obj_t BgL_classz00_1177;

													BgL_classz00_1177 = BGl_jclassz00zzobject_classz00;
													if (BGL_OBJECTP(BgL_superz00_828))
														{	/* Object/coercion.scm 97 */
															BgL_objectz00_bglt BgL_arg1801z00_1179;

															BgL_arg1801z00_1179 =
																(BgL_objectz00_bglt) (BgL_superz00_828);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Object/coercion.scm 97 */
																	long BgL_idxz00_1185;

																	BgL_idxz00_1185 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1801z00_1179);
																	BgL_test1733z00_1656 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_1185 + 2L)) ==
																		BgL_classz00_1177);
																}
															else
																{	/* Object/coercion.scm 97 */
																	bool_t BgL_res1696z00_1207;

																	{	/* Object/coercion.scm 97 */
																		obj_t BgL_oclassz00_1193;

																		{	/* Object/coercion.scm 97 */
																			long BgL_arg1808z00_1199;

																			{	/* Object/coercion.scm 97 */
																				long BgL_arg1809z00_1200;

																				BgL_arg1809z00_1200 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1801z00_1179);
																				BgL_arg1808z00_1199 =
																					(BgL_arg1809z00_1200 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_1193 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1808z00_1199);
																		}
																		{	/* Object/coercion.scm 97 */
																			bool_t BgL__ortest_1115z00_1194;

																			BgL__ortest_1115z00_1194 =
																				(BgL_classz00_1177 ==
																				BgL_oclassz00_1193);
																			if (BgL__ortest_1115z00_1194)
																				{	/* Object/coercion.scm 97 */
																					BgL_res1696z00_1207 =
																						BgL__ortest_1115z00_1194;
																				}
																			else
																				{	/* Object/coercion.scm 97 */
																					long BgL_odepthz00_1195;

																					BgL_odepthz00_1195 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_1193);
																					if ((2L < BgL_odepthz00_1195))
																						{	/* Object/coercion.scm 97 */
																							obj_t BgL_arg1797z00_1197;

																							BgL_arg1797z00_1197 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_1193, 2L);
																							BgL_res1696z00_1207 =
																								(BgL_arg1797z00_1197 ==
																								BgL_classz00_1177);
																						}
																					else
																						{	/* Object/coercion.scm 97 */
																							BgL_res1696z00_1207 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test1733z00_1656 = BgL_res1696z00_1207;
																}
														}
													else
														{	/* Object/coercion.scm 97 */
															BgL_test1733z00_1656 = ((bool_t) 0);
														}
												}
												if (BgL_test1733z00_1656)
													{	/* Object/coercion.scm 97 */
														BgL_test1732z00_1655 = ((bool_t) 1);
													}
												else
													{	/* Object/coercion.scm 97 */
														obj_t BgL_classz00_1208;

														BgL_classz00_1208 = BGl_tclassz00zzobject_classz00;
														if (BGL_OBJECTP(BgL_superz00_828))
															{	/* Object/coercion.scm 97 */
																BgL_objectz00_bglt BgL_arg1801z00_1210;

																BgL_arg1801z00_1210 =
																	(BgL_objectz00_bglt) (BgL_superz00_828);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Object/coercion.scm 97 */
																		long BgL_idxz00_1216;

																		BgL_idxz00_1216 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1801z00_1210);
																		BgL_test1732z00_1655 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_1216 + 2L)) ==
																			BgL_classz00_1208);
																	}
																else
																	{	/* Object/coercion.scm 97 */
																		bool_t BgL_res1697z00_1238;

																		{	/* Object/coercion.scm 97 */
																			obj_t BgL_oclassz00_1224;

																			{	/* Object/coercion.scm 97 */
																				long BgL_arg1808z00_1230;

																				{	/* Object/coercion.scm 97 */
																					long BgL_arg1809z00_1231;

																					BgL_arg1809z00_1231 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1801z00_1210);
																					BgL_arg1808z00_1230 =
																						(BgL_arg1809z00_1231 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_1224 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1808z00_1230);
																			}
																			{	/* Object/coercion.scm 97 */
																				bool_t BgL__ortest_1115z00_1225;

																				BgL__ortest_1115z00_1225 =
																					(BgL_classz00_1208 ==
																					BgL_oclassz00_1224);
																				if (BgL__ortest_1115z00_1225)
																					{	/* Object/coercion.scm 97 */
																						BgL_res1697z00_1238 =
																							BgL__ortest_1115z00_1225;
																					}
																				else
																					{	/* Object/coercion.scm 97 */
																						long BgL_odepthz00_1226;

																						BgL_odepthz00_1226 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_1224);
																						if ((2L < BgL_odepthz00_1226))
																							{	/* Object/coercion.scm 97 */
																								obj_t BgL_arg1797z00_1228;

																								BgL_arg1797z00_1228 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_1224, 2L);
																								BgL_res1697z00_1238 =
																									(BgL_arg1797z00_1228 ==
																									BgL_classz00_1208);
																							}
																						else
																							{	/* Object/coercion.scm 97 */
																								BgL_res1697z00_1238 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test1732z00_1655 = BgL_res1697z00_1238;
																	}
															}
														else
															{	/* Object/coercion.scm 97 */
																BgL_test1732z00_1655 = ((bool_t) 0);
															}
													}
											}
											if (BgL_test1732z00_1655)
												{	/* Object/coercion.scm 99 */
													obj_t BgL_superzd2idzd2_833;

													{	/* Object/coercion.scm 99 */
														bool_t BgL_test1743z00_1695;

														{	/* Object/coercion.scm 99 */
															obj_t BgL_classz00_1239;

															BgL_classz00_1239 =
																BGl_tclassz00zzobject_classz00;
															if (BGL_OBJECTP(BgL_superz00_828))
																{	/* Object/coercion.scm 99 */
																	BgL_objectz00_bglt BgL_arg1801z00_1241;

																	BgL_arg1801z00_1241 =
																		(BgL_objectz00_bglt) (BgL_superz00_828);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Object/coercion.scm 99 */
																			long BgL_idxz00_1247;

																			BgL_idxz00_1247 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1801z00_1241);
																			BgL_test1743z00_1695 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_1247 + 2L)) ==
																				BgL_classz00_1239);
																		}
																	else
																		{	/* Object/coercion.scm 99 */
																			bool_t BgL_res1698z00_1269;

																			{	/* Object/coercion.scm 99 */
																				obj_t BgL_oclassz00_1255;

																				{	/* Object/coercion.scm 99 */
																					long BgL_arg1808z00_1261;

																					{	/* Object/coercion.scm 99 */
																						long BgL_arg1809z00_1262;

																						BgL_arg1809z00_1262 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1801z00_1241);
																						BgL_arg1808z00_1261 =
																							(BgL_arg1809z00_1262 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_1255 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1808z00_1261);
																				}
																				{	/* Object/coercion.scm 99 */
																					bool_t BgL__ortest_1115z00_1256;

																					BgL__ortest_1115z00_1256 =
																						(BgL_classz00_1239 ==
																						BgL_oclassz00_1255);
																					if (BgL__ortest_1115z00_1256)
																						{	/* Object/coercion.scm 99 */
																							BgL_res1698z00_1269 =
																								BgL__ortest_1115z00_1256;
																						}
																					else
																						{	/* Object/coercion.scm 99 */
																							long BgL_odepthz00_1257;

																							BgL_odepthz00_1257 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_1255);
																							if ((2L < BgL_odepthz00_1257))
																								{	/* Object/coercion.scm 99 */
																									obj_t BgL_arg1797z00_1259;

																									BgL_arg1797z00_1259 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_1255, 2L);
																									BgL_res1698z00_1269 =
																										(BgL_arg1797z00_1259 ==
																										BgL_classz00_1239);
																								}
																							else
																								{	/* Object/coercion.scm 99 */
																									BgL_res1698z00_1269 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1743z00_1695 =
																				BgL_res1698z00_1269;
																		}
																}
															else
																{	/* Object/coercion.scm 99 */
																	BgL_test1743z00_1695 = ((bool_t) 0);
																}
														}
														if (BgL_test1743z00_1695)
															{	/* Object/coercion.scm 99 */
																BgL_superzd2idzd2_833 =
																	(((BgL_typez00_bglt) COBJECT(
																			((BgL_typez00_bglt)
																				((BgL_typez00_bglt)
																					BgL_superz00_828))))->BgL_idz00);
															}
														else
															{	/* Object/coercion.scm 99 */
																BgL_superzd2idzd2_833 =
																	(((BgL_typez00_bglt) COBJECT(
																			((BgL_typez00_bglt)
																				((BgL_typez00_bglt)
																					BgL_superz00_828))))->BgL_idz00);
															}
													}
													{	/* Object/coercion.scm 99 */
														obj_t BgL_classzd2ze3superz31_834;

														{	/* Object/coercion.scm 102 */
															obj_t BgL_arg1240z00_857;

															{	/* Object/coercion.scm 102 */
																obj_t BgL_arg1241z00_858;
																obj_t BgL_arg1242z00_859;

																BgL_arg1241z00_858 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(0L), BNIL);
																{	/* Object/coercion.scm 103 */
																	obj_t BgL_arg1244z00_860;

																	{	/* Object/coercion.scm 103 */
																		obj_t BgL_list1245z00_861;

																		BgL_list1245z00_861 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(0L), BNIL);
																		BgL_arg1244z00_860 =
																			BGl_makezd2privatezd2sexpz00zzast_privatez00
																			(CNST_TABLE_REF(1L),
																			BgL_superzd2idzd2_833,
																			BgL_list1245z00_861);
																	}
																	BgL_arg1242z00_859 =
																		MAKE_YOUNG_PAIR(BgL_arg1244z00_860, BNIL);
																}
																BgL_arg1240z00_857 =
																	MAKE_YOUNG_PAIR(BgL_arg1241z00_858,
																	BgL_arg1242z00_859);
															}
															BgL_classzd2ze3superz31_834 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(3L),
																BgL_arg1240z00_857);
														}
														{	/* Object/coercion.scm 102 */
															obj_t BgL_superzd2ze3classz31_835;

															{	/* Object/coercion.scm 104 */
																obj_t BgL_arg1232z00_852;

																{	/* Object/coercion.scm 104 */
																	obj_t BgL_arg1233z00_853;
																	obj_t BgL_arg1234z00_854;

																	BgL_arg1233z00_853 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(0L), BNIL);
																	{	/* Object/coercion.scm 105 */
																		obj_t BgL_arg1237z00_855;

																		{	/* Object/coercion.scm 105 */
																			obj_t BgL_list1238z00_856;

																			BgL_list1238z00_856 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(0L),
																				BNIL);
																			BgL_arg1237z00_855 =
																				BGl_makezd2privatezd2sexpz00zzast_privatez00
																				(CNST_TABLE_REF(1L), BgL_czd2idzd2_10,
																				BgL_list1238z00_856);
																		}
																		BgL_arg1234z00_854 =
																			MAKE_YOUNG_PAIR(BgL_arg1237z00_855, BNIL);
																	}
																	BgL_arg1232z00_852 =
																		MAKE_YOUNG_PAIR(BgL_arg1233z00_853,
																		BgL_arg1234z00_854);
																}
																BgL_superzd2ze3classz31_835 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(3L),
																	BgL_arg1232z00_852);
															}
															{	/* Object/coercion.scm 104 */

																{	/* Object/coercion.scm 106 */
																	obj_t BgL_arg1209z00_836;
																	obj_t BgL_arg1211z00_837;

																	{	/* Object/coercion.scm 106 */
																		bool_t BgL_test1750z00_1741;

																		{	/* Object/coercion.scm 106 */
																			obj_t BgL_classz00_1272;

																			BgL_classz00_1272 =
																				BGl_tclassz00zzobject_classz00;
																			if (BGL_OBJECTP(BgL_superz00_828))
																				{	/* Object/coercion.scm 106 */
																					BgL_objectz00_bglt
																						BgL_arg1801z00_1274;
																					BgL_arg1801z00_1274 =
																						(BgL_objectz00_bglt)
																						(BgL_superz00_828);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Object/coercion.scm 106 */
																							long BgL_idxz00_1280;

																							BgL_idxz00_1280 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1801z00_1274);
																							BgL_test1750z00_1741 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_1280 + 2L)) ==
																								BgL_classz00_1272);
																						}
																					else
																						{	/* Object/coercion.scm 106 */
																							bool_t BgL_res1699z00_1302;

																							{	/* Object/coercion.scm 106 */
																								obj_t BgL_oclassz00_1288;

																								{	/* Object/coercion.scm 106 */
																									long BgL_arg1808z00_1294;

																									{	/* Object/coercion.scm 106 */
																										long BgL_arg1809z00_1295;

																										BgL_arg1809z00_1295 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1801z00_1274);
																										BgL_arg1808z00_1294 =
																											(BgL_arg1809z00_1295 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_1288 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1808z00_1294);
																								}
																								{	/* Object/coercion.scm 106 */
																									bool_t
																										BgL__ortest_1115z00_1289;
																									BgL__ortest_1115z00_1289 =
																										(BgL_classz00_1272 ==
																										BgL_oclassz00_1288);
																									if (BgL__ortest_1115z00_1289)
																										{	/* Object/coercion.scm 106 */
																											BgL_res1699z00_1302 =
																												BgL__ortest_1115z00_1289;
																										}
																									else
																										{	/* Object/coercion.scm 106 */
																											long BgL_odepthz00_1290;

																											BgL_odepthz00_1290 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_1288);
																											if ((2L <
																													BgL_odepthz00_1290))
																												{	/* Object/coercion.scm 106 */
																													obj_t
																														BgL_arg1797z00_1292;
																													BgL_arg1797z00_1292 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_1288,
																														2L);
																													BgL_res1699z00_1302 =
																														(BgL_arg1797z00_1292
																														==
																														BgL_classz00_1272);
																												}
																											else
																												{	/* Object/coercion.scm 106 */
																													BgL_res1699z00_1302 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test1750z00_1741 =
																								BgL_res1699z00_1302;
																						}
																				}
																			else
																				{	/* Object/coercion.scm 106 */
																					BgL_test1750z00_1741 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test1750z00_1741)
																			{
																				BgL_tclassz00_bglt BgL_auxz00_1761;

																				{
																					obj_t BgL_auxz00_1762;

																					{	/* Object/coercion.scm 107 */
																						BgL_objectz00_bglt BgL_tmpz00_1763;

																						BgL_tmpz00_1763 =
																							((BgL_objectz00_bglt)
																							((BgL_typez00_bglt)
																								BgL_superz00_828));
																						BgL_auxz00_1762 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_1763);
																					}
																					BgL_auxz00_1761 =
																						((BgL_tclassz00_bglt)
																						BgL_auxz00_1762);
																				}
																				BgL_arg1209z00_836 =
																					(((BgL_tclassz00_bglt)
																						COBJECT(BgL_auxz00_1761))->
																					BgL_itszd2superzd2);
																			}
																		else
																			{
																				BgL_jclassz00_bglt BgL_auxz00_1769;

																				{
																					obj_t BgL_auxz00_1770;

																					{	/* Object/coercion.scm 108 */
																						BgL_objectz00_bglt BgL_tmpz00_1771;

																						BgL_tmpz00_1771 =
																							((BgL_objectz00_bglt)
																							((BgL_typez00_bglt)
																								BgL_superz00_828));
																						BgL_auxz00_1770 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_1771);
																					}
																					BgL_auxz00_1769 =
																						((BgL_jclassz00_bglt)
																						BgL_auxz00_1770);
																				}
																				BgL_arg1209z00_836 =
																					(((BgL_jclassz00_bglt)
																						COBJECT(BgL_auxz00_1769))->
																					BgL_itszd2superzd2);
																			}
																	}
																	{	/* Object/coercion.scm 109 */
																		obj_t BgL_arg1213z00_839;
																		obj_t BgL_arg1214z00_840;

																		{	/* Object/coercion.scm 109 */
																			obj_t BgL_arg1217z00_841;

																			{	/* Object/coercion.scm 109 */
																				obj_t BgL_arg1218z00_842;

																				{	/* Object/coercion.scm 109 */
																					obj_t BgL_arg1219z00_843;

																					{	/* Object/coercion.scm 109 */
																						obj_t BgL_arg1220z00_844;

																						{	/* Object/coercion.scm 109 */
																							obj_t BgL_arg1221z00_845;

																							BgL_arg1221z00_845 =
																								MAKE_YOUNG_PAIR
																								(BgL_superzd2ze3classz31_835,
																								BNIL);
																							BgL_arg1220z00_844 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1221z00_845, BNIL);
																						}
																						BgL_arg1219z00_843 =
																							MAKE_YOUNG_PAIR(BgL_ttestz00_824,
																							BgL_arg1220z00_844);
																					}
																					BgL_arg1218z00_842 =
																						MAKE_YOUNG_PAIR(BgL_czd2idzd2_10,
																						BgL_arg1219z00_843);
																				}
																				BgL_arg1217z00_841 =
																					MAKE_YOUNG_PAIR(BgL_superzd2idzd2_833,
																					BgL_arg1218z00_842);
																			}
																			BgL_arg1213z00_839 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(9L),
																				BgL_arg1217z00_841);
																		}
																		{	/* Object/coercion.scm 110 */
																			obj_t BgL_arg1222z00_846;

																			{	/* Object/coercion.scm 110 */
																				obj_t BgL_arg1223z00_847;

																				{	/* Object/coercion.scm 110 */
																					obj_t BgL_arg1224z00_848;

																					{	/* Object/coercion.scm 110 */
																						obj_t BgL_arg1225z00_849;

																						{	/* Object/coercion.scm 110 */
																							obj_t BgL_arg1226z00_850;

																							{	/* Object/coercion.scm 110 */
																								obj_t BgL_arg1228z00_851;

																								BgL_arg1228z00_851 =
																									MAKE_YOUNG_PAIR
																									(BgL_classzd2ze3superz31_834,
																									BNIL);
																								BgL_arg1226z00_850 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1228z00_851, BNIL);
																							}
																							BgL_arg1225z00_849 =
																								MAKE_YOUNG_PAIR(BNIL,
																								BgL_arg1226z00_850);
																						}
																						BgL_arg1224z00_848 =
																							MAKE_YOUNG_PAIR
																							(BgL_superzd2idzd2_833,
																							BgL_arg1225z00_849);
																					}
																					BgL_arg1223z00_847 =
																						MAKE_YOUNG_PAIR(BgL_czd2idzd2_10,
																						BgL_arg1224z00_848);
																				}
																				BgL_arg1222z00_846 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(9L),
																					BgL_arg1223z00_847);
																			}
																			BgL_arg1214z00_840 =
																				MAKE_YOUNG_PAIR(BgL_arg1222z00_846,
																				BgL_coercerz00_829);
																		}
																		BgL_arg1211z00_837 =
																			MAKE_YOUNG_PAIR(BgL_arg1213z00_839,
																			BgL_arg1214z00_840);
																	}
																	{
																		obj_t BgL_coercerz00_1794;
																		obj_t BgL_superz00_1793;

																		BgL_superz00_1793 = BgL_arg1209z00_836;
																		BgL_coercerz00_1794 = BgL_arg1211z00_837;
																		BgL_coercerz00_829 = BgL_coercerz00_1794;
																		BgL_superz00_828 = BgL_superz00_1793;
																		goto BgL_zc3z04anonymousza31206ze3z87_830;
																	}
																}
															}
														}
													}
												}
											else
												{	/* Object/coercion.scm 98 */
													obj_t BgL_arg1247z00_863;

													BgL_arg1247z00_863 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_coercerz00_829, BNIL);
													return MAKE_YOUNG_PAIR(CNST_TABLE_REF(11L),
														BgL_arg1247z00_863);
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* gen-class-coercers! */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2classzd2coercersz12z12zzobject_coercionz00(obj_t BgL_classz00_13,
		obj_t BgL_superz00_14)
	{
		{	/* Object/coercion.scm 127 */
			{	/* Object/coercion.scm 128 */
				bool_t BgL_test1756z00_1798;

				{	/* Object/coercion.scm 128 */
					obj_t BgL_arg1397z00_1308;

					BgL_arg1397z00_1308 = BGl_thezd2backendzd2zzbackend_backendz00();
					BgL_test1756z00_1798 =
						(((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_arg1397z00_1308)))->
						BgL_pragmazd2supportzd2);
				}
				if (BgL_test1756z00_1798)
					{	/* Object/coercion.scm 128 */
						return
							BBOOL(BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00
							(BgL_classz00_13, BgL_superz00_14));
					}
				else
					{	/* Object/coercion.scm 128 */
						return BFALSE;
					}
			}
		}

	}



/* &gen-class-coercers! */
	obj_t BGl_z62genzd2classzd2coercersz12z70zzobject_coercionz00(obj_t
		BgL_envz00_1428, obj_t BgL_classz00_1429, obj_t BgL_superz00_1430)
	{
		{	/* Object/coercion.scm 127 */
			return
				BGl_genzd2classzd2coercersz12z12zzobject_coercionz00(BgL_classz00_1429,
				BgL_superz00_1430);
		}

	}



/* c-gen-class-coercers! */
	bool_t BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00(obj_t
		BgL_classz00_15, obj_t BgL_superz00_16)
	{
		{	/* Object/coercion.scm 134 */
			{	/* Object/coercion.scm 144 */
				obj_t BgL_tidz00_924;
				obj_t BgL_tnamez00_925;

				BgL_tidz00_924 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_classz00_15)))->BgL_idz00);
				BgL_tnamez00_925 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_classz00_15)))->BgL_namez00);
				{	/* Object/coercion.scm 146 */
					obj_t BgL_pragz00_926;

					BgL_pragz00_926 =
						BGl_makezd2onezd2coercionze70ze7zzobject_coercionz00(BgL_tidz00_924,
						BgL_tnamez00_925, CNST_TABLE_REF(2L),
						BGl_string1705z00zzobject_coercionz00);
					{	/* Object/coercion.scm 147 */
						obj_t BgL_coercersz00_927;

						{	/* Object/coercion.scm 148 */
							obj_t BgL_tmpz00_1314;

							{	/* Object/coercion.scm 148 */
								int BgL_tmpz00_1811;

								BgL_tmpz00_1811 = (int) (1L);
								BgL_tmpz00_1314 = BGL_MVALUES_VAL(BgL_tmpz00_1811);
							}
							{	/* Object/coercion.scm 148 */
								int BgL_tmpz00_1814;

								BgL_tmpz00_1814 = (int) (1L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_1814, BUNSPEC);
							}
							BgL_coercersz00_927 = BgL_tmpz00_1314;
						}
						{	/* Object/coercion.scm 148 */
							obj_t BgL_g1073z00_928;

							{	/* Object/coercion.scm 150 */
								obj_t BgL_list1452z00_952;

								BgL_list1452z00_952 = MAKE_YOUNG_PAIR(BgL_pragz00_926, BNIL);
								BgL_g1073z00_928 = BgL_list1452z00_952;
							}
							{
								obj_t BgL_superz00_930;
								obj_t BgL_coercersz00_931;
								obj_t BgL_pragmasz00_932;

								BgL_superz00_930 = BgL_superz00_16;
								BgL_coercersz00_931 = BgL_coercersz00_927;
								BgL_pragmasz00_932 = BgL_g1073z00_928;
							BgL_zc3z04anonymousza31398ze3z87_933:
								{	/* Object/coercion.scm 151 */
									bool_t BgL_test1757z00_1818;

									{	/* Object/coercion.scm 151 */
										obj_t BgL_classz00_1316;

										BgL_classz00_1316 = BGl_tclassz00zzobject_classz00;
										if (BGL_OBJECTP(BgL_superz00_930))
											{	/* Object/coercion.scm 151 */
												BgL_objectz00_bglt BgL_arg1801z00_1318;

												BgL_arg1801z00_1318 =
													(BgL_objectz00_bglt) (BgL_superz00_930);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Object/coercion.scm 151 */
														long BgL_idxz00_1324;

														BgL_idxz00_1324 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_1318);
														BgL_test1757z00_1818 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_1324 + 2L)) == BgL_classz00_1316);
													}
												else
													{	/* Object/coercion.scm 151 */
														bool_t BgL_res1702z00_1346;

														{	/* Object/coercion.scm 151 */
															obj_t BgL_oclassz00_1332;

															{	/* Object/coercion.scm 151 */
																long BgL_arg1808z00_1338;

																{	/* Object/coercion.scm 151 */
																	long BgL_arg1809z00_1339;

																	BgL_arg1809z00_1339 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_1318);
																	BgL_arg1808z00_1338 =
																		(BgL_arg1809z00_1339 - OBJECT_TYPE);
																}
																BgL_oclassz00_1332 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1808z00_1338);
															}
															{	/* Object/coercion.scm 151 */
																bool_t BgL__ortest_1115z00_1333;

																BgL__ortest_1115z00_1333 =
																	(BgL_classz00_1316 == BgL_oclassz00_1332);
																if (BgL__ortest_1115z00_1333)
																	{	/* Object/coercion.scm 151 */
																		BgL_res1702z00_1346 =
																			BgL__ortest_1115z00_1333;
																	}
																else
																	{	/* Object/coercion.scm 151 */
																		long BgL_odepthz00_1334;

																		BgL_odepthz00_1334 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_1332);
																		if ((2L < BgL_odepthz00_1334))
																			{	/* Object/coercion.scm 151 */
																				obj_t BgL_arg1797z00_1336;

																				BgL_arg1797z00_1336 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_1332, 2L);
																				BgL_res1702z00_1346 =
																					(BgL_arg1797z00_1336 ==
																					BgL_classz00_1316);
																			}
																		else
																			{	/* Object/coercion.scm 151 */
																				BgL_res1702z00_1346 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test1757z00_1818 = BgL_res1702z00_1346;
													}
											}
										else
											{	/* Object/coercion.scm 151 */
												BgL_test1757z00_1818 = ((bool_t) 0);
											}
									}
									if (BgL_test1757z00_1818)
										{	/* Object/coercion.scm 155 */
											obj_t BgL_sidz00_935;
											obj_t BgL_snamez00_936;

											BgL_sidz00_935 =
												(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt) BgL_superz00_930)))->BgL_idz00);
											BgL_snamez00_936 =
												(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt) BgL_superz00_930)))->
												BgL_namez00);
											{	/* Object/coercion.scm 157 */
												obj_t BgL_pragz00_937;

												BgL_pragz00_937 =
													BGl_makezd2onezd2coercionze70ze7zzobject_coercionz00
													(BgL_tidz00_924, BgL_tnamez00_925, BgL_sidz00_935,
													BgL_snamez00_936);
												{	/* Object/coercion.scm 158 */
													obj_t BgL_coercsz00_938;

													{	/* Object/coercion.scm 159 */
														obj_t BgL_tmpz00_1349;

														{	/* Object/coercion.scm 159 */
															int BgL_tmpz00_1843;

															BgL_tmpz00_1843 = (int) (1L);
															BgL_tmpz00_1349 =
																BGL_MVALUES_VAL(BgL_tmpz00_1843);
														}
														{	/* Object/coercion.scm 159 */
															int BgL_tmpz00_1846;

															BgL_tmpz00_1846 = (int) (1L);
															BGL_MVALUES_VAL_SET(BgL_tmpz00_1846, BUNSPEC);
														}
														BgL_coercsz00_938 = BgL_tmpz00_1349;
													}
													{	/* Object/coercion.scm 159 */
														obj_t BgL_arg1407z00_939;
														obj_t BgL_arg1408z00_940;
														obj_t BgL_arg1420z00_941;

														{
															BgL_tclassz00_bglt BgL_auxz00_1849;

															{
																obj_t BgL_auxz00_1850;

																{	/* Object/coercion.scm 159 */
																	BgL_objectz00_bglt BgL_tmpz00_1851;

																	BgL_tmpz00_1851 =
																		((BgL_objectz00_bglt)
																		((BgL_typez00_bglt) BgL_superz00_930));
																	BgL_auxz00_1850 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_1851);
																}
																BgL_auxz00_1849 =
																	((BgL_tclassz00_bglt) BgL_auxz00_1850);
															}
															BgL_arg1407z00_939 =
																(((BgL_tclassz00_bglt)
																	COBJECT(BgL_auxz00_1849))->
																BgL_itszd2superzd2);
														}
														BgL_arg1408z00_940 =
															BGl_appendzd221011zd2zzobject_coercionz00
															(BgL_coercsz00_938, BgL_coercersz00_931);
														BgL_arg1420z00_941 =
															MAKE_YOUNG_PAIR(BgL_pragz00_937,
															BgL_pragmasz00_932);
														{
															obj_t BgL_pragmasz00_1861;
															obj_t BgL_coercersz00_1860;
															obj_t BgL_superz00_1859;

															BgL_superz00_1859 = BgL_arg1407z00_939;
															BgL_coercersz00_1860 = BgL_arg1408z00_940;
															BgL_pragmasz00_1861 = BgL_arg1420z00_941;
															BgL_pragmasz00_932 = BgL_pragmasz00_1861;
															BgL_coercersz00_931 = BgL_coercersz00_1860;
															BgL_superz00_930 = BgL_superz00_1859;
															goto BgL_zc3z04anonymousza31398ze3z87_933;
														}
													}
												}
											}
										}
									else
										{	/* Object/coercion.scm 151 */
											{	/* Object/coercion.scm 153 */
												obj_t BgL_arg1431z00_942;

												{	/* Object/coercion.scm 153 */
													obj_t BgL_arg1436z00_943;

													BgL_arg1436z00_943 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_coercersz00_931, BNIL);
													BgL_arg1431z00_942 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(12L),
														BgL_arg1436z00_943);
												}
												BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
													(BgL_arg1431z00_942);
											}
											{
												obj_t BgL_l1179z00_945;

												BgL_l1179z00_945 = BgL_pragmasz00_932;
											BgL_zc3z04anonymousza31437ze3z87_946:
												if (PAIRP(BgL_l1179z00_945))
													{	/* Object/coercion.scm 154 */
														BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
															(CAR(BgL_l1179z00_945));
														{
															obj_t BgL_l1179z00_1870;

															BgL_l1179z00_1870 = CDR(BgL_l1179z00_945);
															BgL_l1179z00_945 = BgL_l1179z00_1870;
															goto BgL_zc3z04anonymousza31437ze3z87_946;
														}
													}
												else
													{	/* Object/coercion.scm 154 */
														return ((bool_t) 1);
													}
											}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* make-one-coercion~0 */
	obj_t BGl_makezd2onezd2coercionze70ze7zzobject_coercionz00(obj_t
		BgL_fromzd2idzd2_953, obj_t BgL_fromzd2namezd2_954,
		obj_t BgL_tozd2idzd2_955, obj_t BgL_tozd2namezd2_956)
	{
		{	/* Object/coercion.scm 143 */
			{	/* Object/coercion.scm 136 */
				obj_t BgL_tzd2ze3fz31_958;
				obj_t BgL_fzd2ze3tz31_959;

				{	/* Object/coercion.scm 136 */
					obj_t BgL_list1598z00_994;

					{	/* Object/coercion.scm 136 */
						obj_t BgL_arg1606z00_995;

						{	/* Object/coercion.scm 136 */
							obj_t BgL_arg1608z00_996;

							BgL_arg1608z00_996 = MAKE_YOUNG_PAIR(BgL_fromzd2idzd2_953, BNIL);
							BgL_arg1606z00_995 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(13L), BgL_arg1608z00_996);
						}
						BgL_list1598z00_994 =
							MAKE_YOUNG_PAIR(BgL_tozd2idzd2_955, BgL_arg1606z00_995);
					}
					BgL_tzd2ze3fz31_958 =
						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1598z00_994);
				}
				{	/* Object/coercion.scm 137 */
					obj_t BgL_list1610z00_997;

					{	/* Object/coercion.scm 137 */
						obj_t BgL_arg1613z00_998;

						{	/* Object/coercion.scm 137 */
							obj_t BgL_arg1614z00_999;

							BgL_arg1614z00_999 = MAKE_YOUNG_PAIR(BgL_tozd2idzd2_955, BNIL);
							BgL_arg1613z00_998 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(13L), BgL_arg1614z00_999);
						}
						BgL_list1610z00_997 =
							MAKE_YOUNG_PAIR(BgL_fromzd2idzd2_953, BgL_arg1613z00_998);
					}
					BgL_fzd2ze3tz31_959 =
						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1610z00_997);
				}
				{	/* Object/coercion.scm 138 */
					obj_t BgL_val0_1177z00_960;
					obj_t BgL_val1_1178z00_961;

					{	/* Object/coercion.scm 138 */
						obj_t BgL_arg1479z00_962;

						{	/* Object/coercion.scm 138 */
							obj_t BgL_arg1491z00_963;
							obj_t BgL_arg1492z00_964;

							{	/* Object/coercion.scm 138 */
								obj_t BgL_arg1494z00_965;

								{	/* Object/coercion.scm 138 */
									obj_t BgL_arg1496z00_966;

									{	/* Object/coercion.scm 138 */
										obj_t BgL_arg1497z00_967;

										{	/* Object/coercion.scm 138 */
											obj_t BgL_arg1519z00_968;

											{	/* Object/coercion.scm 138 */
												obj_t BgL_arg1528z00_969;

												{	/* Object/coercion.scm 138 */
													obj_t BgL_arg1532z00_970;

													BgL_arg1532z00_970 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(14L), BNIL);
													BgL_arg1528z00_969 =
														MAKE_YOUNG_PAIR(BgL_arg1532z00_970, BNIL);
												}
												BgL_arg1519z00_968 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(15L),
													BgL_arg1528z00_969);
											}
											BgL_arg1497z00_967 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(16L),
												BgL_arg1519z00_968);
										}
										BgL_arg1496z00_966 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(17L), BgL_arg1497z00_967);
									}
									BgL_arg1494z00_965 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(18L), BgL_arg1496z00_966);
								}
								BgL_arg1491z00_963 =
									MAKE_YOUNG_PAIR(BgL_tzd2ze3fz31_958, BgL_arg1494z00_965);
							}
							{	/* Object/coercion.scm 139 */
								obj_t BgL_arg1534z00_971;

								{	/* Object/coercion.scm 139 */
									obj_t BgL_arg1541z00_972;

									{	/* Object/coercion.scm 139 */
										obj_t BgL_arg1545z00_973;

										{	/* Object/coercion.scm 139 */
											obj_t BgL_arg1546z00_974;

											{	/* Object/coercion.scm 139 */
												obj_t BgL_arg1547z00_975;

												{	/* Object/coercion.scm 139 */
													obj_t BgL_arg1550z00_976;

													{	/* Object/coercion.scm 139 */
														obj_t BgL_arg1554z00_977;

														BgL_arg1554z00_977 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(14L), BNIL);
														BgL_arg1550z00_976 =
															MAKE_YOUNG_PAIR(BgL_arg1554z00_977, BNIL);
													}
													BgL_arg1547z00_975 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(15L),
														BgL_arg1550z00_976);
												}
												BgL_arg1546z00_974 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(16L),
													BgL_arg1547z00_975);
											}
											BgL_arg1545z00_973 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(17L),
												BgL_arg1546z00_974);
										}
										BgL_arg1541z00_972 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(18L), BgL_arg1545z00_973);
									}
									BgL_arg1534z00_971 =
										MAKE_YOUNG_PAIR(BgL_fzd2ze3tz31_959, BgL_arg1541z00_972);
								}
								BgL_arg1492z00_964 = MAKE_YOUNG_PAIR(BgL_arg1534z00_971, BNIL);
							}
							BgL_arg1479z00_962 =
								MAKE_YOUNG_PAIR(BgL_arg1491z00_963, BgL_arg1492z00_964);
						}
						BgL_val0_1177z00_960 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(19L), BgL_arg1479z00_962);
					}
					{	/* Object/coercion.scm 140 */
						obj_t BgL_arg1555z00_978;
						obj_t BgL_arg1560z00_979;

						{	/* Object/coercion.scm 140 */
							obj_t BgL_arg1564z00_982;

							{	/* Object/coercion.scm 140 */
								obj_t BgL_arg1565z00_983;

								{	/* Object/coercion.scm 140 */
									obj_t BgL_arg1575z00_984;

									{	/* Object/coercion.scm 140 */
										obj_t BgL_arg1576z00_985;
										obj_t BgL_arg1578z00_986;

										BgL_arg1576z00_985 =
											MAKE_YOUNG_PAIR(BgL_tozd2idzd2_955, BNIL);
										BgL_arg1578z00_986 =
											MAKE_YOUNG_PAIR(string_append_3
											(BGl_string1706z00zzobject_coercionz00,
												BgL_fromzd2namezd2_954,
												BGl_string1707z00zzobject_coercionz00), BNIL);
										BgL_arg1575z00_984 =
											MAKE_YOUNG_PAIR(BgL_arg1576z00_985, BgL_arg1578z00_986);
									}
									BgL_arg1565z00_983 =
										MAKE_YOUNG_PAIR(BgL_tzd2ze3fz31_958, BgL_arg1575z00_984);
								}
								BgL_arg1564z00_982 =
									MAKE_YOUNG_PAIR(BgL_fromzd2idzd2_953, BgL_arg1565z00_983);
							}
							BgL_arg1555z00_978 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(20L), BgL_arg1564z00_982);
						}
						{	/* Object/coercion.scm 142 */
							obj_t BgL_arg1581z00_988;

							{	/* Object/coercion.scm 142 */
								obj_t BgL_arg1586z00_989;

								{	/* Object/coercion.scm 142 */
									obj_t BgL_arg1590z00_990;

									{	/* Object/coercion.scm 142 */
										obj_t BgL_arg1592z00_991;
										obj_t BgL_arg1595z00_992;

										BgL_arg1592z00_991 =
											MAKE_YOUNG_PAIR(BgL_fromzd2idzd2_953, BNIL);
										BgL_arg1595z00_992 =
											MAKE_YOUNG_PAIR(string_append_3
											(BGl_string1706z00zzobject_coercionz00,
												BgL_tozd2namezd2_956,
												BGl_string1707z00zzobject_coercionz00), BNIL);
										BgL_arg1590z00_990 =
											MAKE_YOUNG_PAIR(BgL_arg1592z00_991, BgL_arg1595z00_992);
									}
									BgL_arg1586z00_989 =
										MAKE_YOUNG_PAIR(BgL_fzd2ze3tz31_959, BgL_arg1590z00_990);
								}
								BgL_arg1581z00_988 =
									MAKE_YOUNG_PAIR(BgL_tozd2idzd2_955, BgL_arg1586z00_989);
							}
							BgL_arg1560z00_979 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(20L), BgL_arg1581z00_988);
						}
						{	/* Object/coercion.scm 140 */
							obj_t BgL_list1561z00_980;

							{	/* Object/coercion.scm 140 */
								obj_t BgL_arg1563z00_981;

								BgL_arg1563z00_981 = MAKE_YOUNG_PAIR(BgL_arg1560z00_979, BNIL);
								BgL_list1561z00_980 =
									MAKE_YOUNG_PAIR(BgL_arg1555z00_978, BgL_arg1563z00_981);
							}
							BgL_val1_1178z00_961 = BgL_list1561z00_980;
						}
					}
					{	/* Object/coercion.scm 138 */
						int BgL_tmpz00_1928;

						BgL_tmpz00_1928 = (int) (2L);
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1928);
					}
					{	/* Object/coercion.scm 138 */
						int BgL_tmpz00_1931;

						BgL_tmpz00_1931 = (int) (1L);
						BGL_MVALUES_VAL_SET(BgL_tmpz00_1931, BgL_val1_1178z00_961);
					}
					return BgL_val0_1177z00_960;
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_coercionz00(void)
	{
		{	/* Object/coercion.scm 21 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_coercionz00(void)
	{
		{	/* Object/coercion.scm 21 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_coercionz00(void)
	{
		{	/* Object/coercion.scm 21 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_coercionz00(void)
	{
		{	/* Object/coercion.scm 21 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1708z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1708z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(9470071L,
				BSTRING_TO_STRING(BGl_string1708z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1708z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(517137079L,
				BSTRING_TO_STRING(BGl_string1708z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1708z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1708z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1708z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(453414928L,
				BSTRING_TO_STRING(BGl_string1708z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(346491734L,
				BSTRING_TO_STRING(BGl_string1708z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1708z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1708z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string1708z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string1708z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(196511171L,
				BSTRING_TO_STRING(BGl_string1708z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1708z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(478324304L,
				BSTRING_TO_STRING(BGl_string1708z00zzobject_coercionz00));
			return
				BGl_modulezd2initializa7ationz75zzast_privatez00(135263837L,
				BSTRING_TO_STRING(BGl_string1708z00zzobject_coercionz00));
		}

	}

#ifdef __cplusplus
}
#endif
