/*===========================================================================*/
/*   (Unsafe/kmp.scm)                                                        */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Unsafe/kmp.scm -o objs/obj_p/Unsafe/kmp.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___KMP_TYPE_DEFINITIONS
#define BGL___KMP_TYPE_DEFINITIONS
#endif // BGL___KMP_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62kmpzd2mmapzb0zz__kmpz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__kmpz00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__kmpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62kmpzd2tablezb0zz__kmpz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__kmpz00(void);
static obj_t BGl_genericzd2initzd2zz__kmpz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__kmpz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__kmpz00(void);
static obj_t BGl_objectzd2initzd2zz__kmpz00(void);
BGL_EXPORTED_DECL obj_t BGl_kmpzd2tablezd2zz__kmpz00(obj_t);
BGL_EXPORTED_DECL long BGl_kmpzd2stringzd2zz__kmpz00(obj_t, obj_t, long);
extern obj_t bstring_to_symbol(obj_t);
BGL_EXPORTED_DECL long BGl_kmpzd2mmapzd2zz__kmpz00(obj_t, obj_t, long);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_z62kmpzd2stringzb0zz__kmpz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__kmpz00(void);
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__kmpz00(void);
static obj_t BGl_symbol1665z00zz__kmpz00 = BUNSPEC;
static obj_t BGl_symbol1667z00zz__kmpz00 = BUNSPEC;
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_kmpzd2stringzd2envz00zz__kmpz00, BgL_bgl_za762kmpza7d2stringza71677za7, BGl_z62kmpzd2stringzb0zz__kmpz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_kmpzd2mmapzd2envz00zz__kmpz00, BgL_bgl_za762kmpza7d2mmapza7b01678za7, BGl_z62kmpzd2mmapzb0zz__kmpz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_kmpzd2tablezd2envz00zz__kmpz00, BgL_bgl_za762kmpza7d2tableza7b1679za7, BGl_z62kmpzd2tablezb0zz__kmpz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1660z00zz__kmpz00, BgL_bgl_string1660za700za7za7_1680za7, "/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/runtime/Unsafe/kmp.scm", 74 );
DEFINE_STRING( BGl_string1661z00zz__kmpz00, BgL_bgl_string1661za700za7za7_1681za7, "&kmp-table", 10 );
DEFINE_STRING( BGl_string1662z00zz__kmpz00, BgL_bgl_string1662za700za7za7_1682za7, "bstring", 7 );
DEFINE_STRING( BGl_string1663z00zz__kmpz00, BgL_bgl_string1663za700za7za7_1683za7, "kmp-mmap", 8 );
DEFINE_STRING( BGl_string1664z00zz__kmpz00, BgL_bgl_string1664za700za7za7_1684za7, "Illegal kmp-table", 17 );
DEFINE_STRING( BGl_string1666z00zz__kmpz00, BgL_bgl_string1666za700za7za7_1685za7, "string", 6 );
DEFINE_STRING( BGl_string1668z00zz__kmpz00, BgL_bgl_string1668za700za7za7_1686za7, "vector", 6 );
DEFINE_STRING( BGl_string1669z00zz__kmpz00, BgL_bgl_string1669za700za7za7_1687za7, "&kmp-mmap", 9 );
DEFINE_STRING( BGl_string1670z00zz__kmpz00, BgL_bgl_string1670za700za7za7_1688za7, "pair", 4 );
DEFINE_STRING( BGl_string1671z00zz__kmpz00, BgL_bgl_string1671za700za7za7_1689za7, "mmap", 4 );
DEFINE_STRING( BGl_string1672z00zz__kmpz00, BgL_bgl_string1672za700za7za7_1690za7, "belong", 6 );
DEFINE_STRING( BGl_string1673z00zz__kmpz00, BgL_bgl_string1673za700za7za7_1691za7, "kmp-string", 10 );
DEFINE_STRING( BGl_string1674z00zz__kmpz00, BgL_bgl_string1674za700za7za7_1692za7, "&kmp-string", 11 );
DEFINE_STRING( BGl_string1675z00zz__kmpz00, BgL_bgl_string1675za700za7za7_1693za7, "bint", 4 );
DEFINE_STRING( BGl_string1676z00zz__kmpz00, BgL_bgl_string1676za700za7za7_1694za7, "__kmp", 5 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__kmpz00) );
ADD_ROOT( (void *)(&BGl_symbol1665z00zz__kmpz00) );
ADD_ROOT( (void *)(&BGl_symbol1667z00zz__kmpz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"kmp-table\" \"Unsafe/kmp.scm\" 1812) \"BGl_kmpzd2tablezd2zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&kmp-table\" \"Unsafe/kmp.scm\" 1812) \"BGl_z62kmpzd2tablezb0zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"kmp-mmap\" \"Unsafe/kmp.scm\" 2544) \"BGl_kmpzd2mmapzd2zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&kmp-mmap\" \"Unsafe/kmp.scm\" 2544) \"BGl_z62kmpzd2mmapzb0zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"kmp-string\" \"Unsafe/kmp.scm\" 3635) \"BGl_kmpzd2stringzd2zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&kmp-string\" \"Unsafe/kmp.scm\" 3635) \"BGl_z62kmpzd2stringzb0zz__kmpz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__kmpz00(long BgL_checksumz00_1981, char * BgL_fromz00_1982)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__kmpz00))
{ 
BGl_requirezd2initializa7ationz75zz__kmpz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__kmpz00(); 
BGl_cnstzd2initzd2zz__kmpz00(); 
BGl_importedzd2moduleszd2initz00zz__kmpz00(); 
return 
BGl_profzd2initzd2zz__kmpz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__kmpz00(void)
{
{ /* Unsafe/kmp.scm 15 */
BGl_symbol1665z00zz__kmpz00 = 
bstring_to_symbol(BGl_string1666z00zz__kmpz00); 
return ( 
BGl_symbol1667z00zz__kmpz00 = 
bstring_to_symbol(BGl_string1668z00zz__kmpz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__kmpz00(void)
{
{ /* Unsafe/kmp.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__kmpz00(void)
{
{ /* Unsafe/kmp.scm 15 */
return 
write_bprof_table();} 

}



/* kmp-table */
BGL_EXPORTED_DEF obj_t BGl_kmpzd2tablezd2zz__kmpz00(obj_t BgL_pz00_3)
{
{ /* Unsafe/kmp.scm 52 */
{ /* Unsafe/kmp.scm 53 */
 long BgL_lpz00_1128;
BgL_lpz00_1128 = 
STRING_LENGTH(BgL_pz00_3); 
{ /* Unsafe/kmp.scm 53 */
 obj_t BgL_tz00_1129;
BgL_tz00_1129 = 
make_vector(
(BgL_lpz00_1128+2L), 
BINT(0L)); 
{ /* Unsafe/kmp.scm 54 */
 long BgL_iz00_1130;
BgL_iz00_1130 = 0L; 
{ /* Unsafe/kmp.scm 55 */
 obj_t BgL_jz00_1131;
BgL_jz00_1131 = 
BINT(-1L); 
{ /* Unsafe/kmp.scm 56 */
 unsigned char BgL_cz00_1132;
BgL_cz00_1132 = ((unsigned char)'\000'); 
{ /* Unsafe/kmp.scm 57 */

VECTOR_SET(BgL_tz00_1129,0L,BgL_jz00_1131); 
{ 

BgL_zc3z04anonymousza31164ze3z87_1134:
if(
(BgL_iz00_1130<BgL_lpz00_1128))
{ /* Unsafe/kmp.scm 60 */
{ /* Unsafe/kmp.scm 62 */
 bool_t BgL_test1697z00_2002;
{ /* Unsafe/kmp.scm 62 */
 unsigned char BgL_char2z00_1673;
BgL_char2z00_1673 = BgL_cz00_1132; 
BgL_test1697z00_2002 = 
(
STRING_REF(BgL_pz00_3, BgL_iz00_1130)==BgL_char2z00_1673); } 
if(BgL_test1697z00_2002)
{ /* Unsafe/kmp.scm 62 */
{ /* Unsafe/kmp.scm 63 */
 long BgL_arg1168z00_1138; long BgL_arg1169z00_1139;
BgL_arg1168z00_1138 = 
(BgL_iz00_1130+1L); 
BgL_arg1169z00_1139 = 
(
(long)CINT(BgL_jz00_1131)+1L); 
VECTOR_SET(BgL_tz00_1129,BgL_arg1168z00_1138,
BINT(BgL_arg1169z00_1139)); } 
BgL_jz00_1131 = 
ADDFX(BgL_jz00_1131, 
BINT(1L)); 
BgL_iz00_1130 = 
(BgL_iz00_1130+1L); }  else 
{ /* Unsafe/kmp.scm 62 */
if(
(
(long)CINT(BgL_jz00_1131)>0L))
{ /* Unsafe/kmp.scm 66 */
BgL_jz00_1131 = 
VECTOR_REF(BgL_tz00_1129,
(long)CINT(BgL_jz00_1131)); }  else 
{ /* Unsafe/kmp.scm 66 */
VECTOR_SET(BgL_tz00_1129,
(BgL_iz00_1130+1L),
BINT(0L)); 
BgL_iz00_1130 = 
(BgL_iz00_1130+1L); 
BgL_jz00_1131 = 
BINT(0L); } } } 
BgL_cz00_1132 = 
STRING_REF(BgL_pz00_3, 
(long)CINT(BgL_jz00_1131)); 
goto BgL_zc3z04anonymousza31164ze3z87_1134;}  else 
{ /* Unsafe/kmp.scm 60 */((bool_t)0); } } 
return 
MAKE_YOUNG_PAIR(BgL_tz00_1129, BgL_pz00_3);} } } } } } } 

}



/* &kmp-table */
obj_t BGl_z62kmpzd2tablezb0zz__kmpz00(obj_t BgL_envz00_1958, obj_t BgL_pz00_1959)
{
{ /* Unsafe/kmp.scm 52 */
{ /* Unsafe/kmp.scm 53 */
 obj_t BgL_auxz00_2026;
if(
STRINGP(BgL_pz00_1959))
{ /* Unsafe/kmp.scm 53 */
BgL_auxz00_2026 = BgL_pz00_1959
; }  else 
{ 
 obj_t BgL_auxz00_2029;
BgL_auxz00_2029 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1660z00zz__kmpz00, 
BINT(1837L), BGl_string1661z00zz__kmpz00, BGl_string1662z00zz__kmpz00, BgL_pz00_1959); 
FAILURE(BgL_auxz00_2029,BFALSE,BFALSE);} 
return 
BGl_kmpzd2tablezd2zz__kmpz00(BgL_auxz00_2026);} } 

}



/* kmp-mmap */
BGL_EXPORTED_DEF long BGl_kmpzd2mmapzd2zz__kmpz00(obj_t BgL_tpz00_4, obj_t BgL_mmz00_5, long BgL_mz00_6)
{
{ /* Unsafe/kmp.scm 79 */
{ /* Unsafe/kmp.scm 81 */
 bool_t BgL_test1700z00_2034;
{ /* Unsafe/kmp.scm 81 */
 obj_t BgL_tmpz00_2035;
BgL_tmpz00_2035 = 
CAR(BgL_tpz00_4); 
BgL_test1700z00_2034 = 
VECTORP(BgL_tmpz00_2035); } 
if(BgL_test1700z00_2034)
{ /* Unsafe/kmp.scm 83 */
 bool_t BgL_test1701z00_2038;
{ /* Unsafe/kmp.scm 83 */
 obj_t BgL_tmpz00_2039;
BgL_tmpz00_2039 = 
CDR(BgL_tpz00_4); 
BgL_test1701z00_2038 = 
STRINGP(BgL_tmpz00_2039); } 
if(BgL_test1701z00_2038)
{ /* Unsafe/kmp.scm 85 */
 bool_t BgL_test1702z00_2042;
{ /* Unsafe/kmp.scm 85 */
 long BgL_arg1227z00_1181; long BgL_arg1229z00_1182;
{ /* Unsafe/kmp.scm 85 */
 obj_t BgL_arg1230z00_1183;
BgL_arg1230z00_1183 = 
CAR(BgL_tpz00_4); 
BgL_arg1227z00_1181 = 
VECTOR_LENGTH(
((obj_t)BgL_arg1230z00_1183)); } 
BgL_arg1229z00_1182 = 
(2L+
STRING_LENGTH(
CDR(BgL_tpz00_4))); 
BgL_test1702z00_2042 = 
(BgL_arg1227z00_1181==BgL_arg1229z00_1182); } 
if(BgL_test1702z00_2042)
{ /* Unsafe/kmp.scm 88 */
 obj_t BgL_tz00_1155;
BgL_tz00_1155 = 
CAR(BgL_tpz00_4); 
{ /* Unsafe/kmp.scm 88 */
 obj_t BgL_pz00_1156;
BgL_pz00_1156 = 
CDR(BgL_tpz00_4); 
{ /* Unsafe/kmp.scm 89 */
 long BgL_lsz00_1157;
BgL_lsz00_1157 = 
BGL_MMAP_LENGTH(BgL_mmz00_5); 
{ /* Unsafe/kmp.scm 90 */
 long BgL_lpz00_1158;
{ /* Unsafe/kmp.scm 91 */
 long BgL_arg1216z00_1180;
BgL_arg1216z00_1180 = 
STRING_LENGTH(
((obj_t)BgL_pz00_1156)); 
BgL_lpz00_1158 = 
(long)(BgL_arg1216z00_1180); } 
{ /* Unsafe/kmp.scm 91 */

{ 
 long BgL_iz00_1160;
BgL_iz00_1160 = ((long)0); 
BgL_zc3z04anonymousza31185ze3z87_1161:
if(
(BgL_iz00_1160==BgL_lpz00_1158))
{ /* Unsafe/kmp.scm 94 */
return BgL_mz00_6;}  else 
{ /* Unsafe/kmp.scm 94 */
if(
(
(BgL_iz00_1160+BgL_mz00_6)>=BgL_lsz00_1157))
{ /* Unsafe/kmp.scm 96 */
return ((long)-1);}  else 
{ /* Unsafe/kmp.scm 99 */
 long BgL_fiz00_1165;
BgL_fiz00_1165 = 
(long)(BgL_iz00_1160); 
{ /* Unsafe/kmp.scm 100 */
 bool_t BgL_test1705z00_2062;
{ /* Unsafe/kmp.scm 100 */
 unsigned char BgL_arg1203z00_1175; unsigned char BgL_arg1210z00_1176;
{ /* Unsafe/kmp.scm 100 */
 long BgL_arg1212z00_1177;
BgL_arg1212z00_1177 = 
(BgL_iz00_1160+BgL_mz00_6); 
{ /* Unsafe/kmp.scm 100 */
 unsigned char BgL_res1645z00_1720;
{ /* Unsafe/kmp.scm 100 */
 unsigned char BgL_cz00_1714;
BgL_cz00_1714 = 
BGL_MMAP_REF(BgL_mmz00_5, BgL_arg1212z00_1177); 
{ /* Unsafe/kmp.scm 100 */
 long BgL_arg1642z00_1715;
BgL_arg1642z00_1715 = 
(BgL_arg1212z00_1177+((long)1)); 
BGL_MMAP_RP_SET(BgL_mmz00_5, BgL_arg1642z00_1715); BUNSPEC; BgL_arg1642z00_1715; } 
BgL_res1645z00_1720 = BgL_cz00_1714; } 
BgL_arg1203z00_1175 = BgL_res1645z00_1720; } } 
BgL_arg1210z00_1176 = 
STRING_REF(
((obj_t)BgL_pz00_1156), BgL_fiz00_1165); 
BgL_test1705z00_2062 = 
(BgL_arg1203z00_1175==BgL_arg1210z00_1176); } 
if(BgL_test1705z00_2062)
{ 
 long BgL_iz00_2070;
BgL_iz00_2070 = 
(BgL_iz00_1160+((long)1)); 
BgL_iz00_1160 = BgL_iz00_2070; 
goto BgL_zc3z04anonymousza31185ze3z87_1161;}  else 
{ /* Unsafe/kmp.scm 102 */
 long BgL_tiz00_1171;
{ /* Unsafe/kmp.scm 102 */
 obj_t BgL_arg1202z00_1174;
BgL_arg1202z00_1174 = 
VECTOR_REF(
((obj_t)BgL_tz00_1155),BgL_fiz00_1165); 
{ /* Unsafe/kmp.scm 102 */
 long BgL_tmpz00_2074;
BgL_tmpz00_2074 = 
(long)CINT(BgL_arg1202z00_1174); 
BgL_tiz00_1171 = 
(long)(BgL_tmpz00_2074); } } 
{ /* Unsafe/kmp.scm 103 */
 long BgL_za71za7_1733;
BgL_za71za7_1733 = BgL_mz00_6; 
{ /* Unsafe/kmp.scm 103 */
 long BgL_tmpz00_2077;
{ /* Unsafe/kmp.scm 103 */
 long BgL_res1646z00_1732;
{ /* Unsafe/kmp.scm 103 */
 long BgL_tmpz00_2078;
BgL_tmpz00_2078 = 
(BgL_iz00_1160-BgL_tiz00_1171); 
BgL_res1646z00_1732 = 
(long)(BgL_tmpz00_2078); } 
BgL_tmpz00_2077 = BgL_res1646z00_1732; } 
BgL_mz00_6 = 
(BgL_za71za7_1733+BgL_tmpz00_2077); } } 
if(
(BgL_iz00_1160>((long)0)))
{ 
 long BgL_iz00_2084;
BgL_iz00_2084 = BgL_tiz00_1171; 
BgL_iz00_1160 = BgL_iz00_2084; 
goto BgL_zc3z04anonymousza31185ze3z87_1161;}  else 
{ 

goto BgL_zc3z04anonymousza31185ze3z87_1161;} } } } } } } } } } }  else 
{ /* Unsafe/kmp.scm 86 */
 obj_t BgL_tmpz00_2085;
BgL_tmpz00_2085 = 
BGl_errorz00zz__errorz00(BGl_string1663z00zz__kmpz00, BGl_string1664z00zz__kmpz00, BgL_tpz00_4); 
return 
BELONG_TO_LONG(BgL_tmpz00_2085);} }  else 
{ /* Unsafe/kmp.scm 84 */
 obj_t BgL_arg1236z00_1186;
BgL_arg1236z00_1186 = 
CDR(BgL_tpz00_4); 
{ /* Unsafe/kmp.scm 84 */
 obj_t BgL_tmpz00_2089;
BgL_tmpz00_2089 = 
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1663z00zz__kmpz00, BGl_symbol1665z00zz__kmpz00, BgL_arg1236z00_1186); 
return 
BELONG_TO_LONG(BgL_tmpz00_2089);} } }  else 
{ /* Unsafe/kmp.scm 82 */
 obj_t BgL_arg1239z00_1188;
BgL_arg1239z00_1188 = 
CAR(BgL_tpz00_4); 
{ /* Unsafe/kmp.scm 82 */
 obj_t BgL_tmpz00_2093;
BgL_tmpz00_2093 = 
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1663z00zz__kmpz00, BGl_symbol1667z00zz__kmpz00, BgL_arg1239z00_1188); 
return 
BELONG_TO_LONG(BgL_tmpz00_2093);} } } } 

}



/* &kmp-mmap */
obj_t BGl_z62kmpzd2mmapzb0zz__kmpz00(obj_t BgL_envz00_1960, obj_t BgL_tpz00_1961, obj_t BgL_mmz00_1962, obj_t BgL_mz00_1963)
{
{ /* Unsafe/kmp.scm 79 */
{ /* Unsafe/kmp.scm 81 */
 long BgL_tmpz00_2096;
{ /* Unsafe/kmp.scm 81 */
 long BgL_auxz00_2111; obj_t BgL_auxz00_2104; obj_t BgL_auxz00_2097;
{ /* Unsafe/kmp.scm 81 */
 obj_t BgL_tmpz00_2112;
if(
ELONGP(BgL_mz00_1963))
{ /* Unsafe/kmp.scm 81 */
BgL_tmpz00_2112 = BgL_mz00_1963
; }  else 
{ 
 obj_t BgL_auxz00_2115;
BgL_auxz00_2115 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1660z00zz__kmpz00, 
BINT(2586L), BGl_string1669z00zz__kmpz00, BGl_string1672z00zz__kmpz00, BgL_mz00_1963); 
FAILURE(BgL_auxz00_2115,BFALSE,BFALSE);} 
BgL_auxz00_2111 = 
BELONG_TO_LONG(BgL_tmpz00_2112); } 
if(
BGL_MMAPP(BgL_mmz00_1962))
{ /* Unsafe/kmp.scm 81 */
BgL_auxz00_2104 = BgL_mmz00_1962
; }  else 
{ 
 obj_t BgL_auxz00_2107;
BgL_auxz00_2107 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1660z00zz__kmpz00, 
BINT(2586L), BGl_string1669z00zz__kmpz00, BGl_string1671z00zz__kmpz00, BgL_mmz00_1962); 
FAILURE(BgL_auxz00_2107,BFALSE,BFALSE);} 
if(
PAIRP(BgL_tpz00_1961))
{ /* Unsafe/kmp.scm 81 */
BgL_auxz00_2097 = BgL_tpz00_1961
; }  else 
{ 
 obj_t BgL_auxz00_2100;
BgL_auxz00_2100 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1660z00zz__kmpz00, 
BINT(2586L), BGl_string1669z00zz__kmpz00, BGl_string1670z00zz__kmpz00, BgL_tpz00_1961); 
FAILURE(BgL_auxz00_2100,BFALSE,BFALSE);} 
BgL_tmpz00_2096 = 
BGl_kmpzd2mmapzd2zz__kmpz00(BgL_auxz00_2097, BgL_auxz00_2104, BgL_auxz00_2111); } 
return 
make_belong(BgL_tmpz00_2096);} } 

}



/* kmp-string */
BGL_EXPORTED_DEF long BGl_kmpzd2stringzd2zz__kmpz00(obj_t BgL_tpz00_7, obj_t BgL_strz00_8, long BgL_mz00_9)
{
{ /* Unsafe/kmp.scm 111 */
{ /* Unsafe/kmp.scm 113 */
 bool_t BgL_test1710z00_2122;
{ /* Unsafe/kmp.scm 113 */
 obj_t BgL_tmpz00_2123;
BgL_tmpz00_2123 = 
CAR(BgL_tpz00_7); 
BgL_test1710z00_2122 = 
VECTORP(BgL_tmpz00_2123); } 
if(BgL_test1710z00_2122)
{ /* Unsafe/kmp.scm 115 */
 bool_t BgL_test1711z00_2126;
{ /* Unsafe/kmp.scm 115 */
 obj_t BgL_tmpz00_2127;
BgL_tmpz00_2127 = 
CDR(BgL_tpz00_7); 
BgL_test1711z00_2126 = 
STRINGP(BgL_tmpz00_2127); } 
if(BgL_test1711z00_2126)
{ /* Unsafe/kmp.scm 117 */
 bool_t BgL_test1712z00_2130;
{ /* Unsafe/kmp.scm 117 */
 long BgL_arg1290z00_1223; long BgL_arg1293z00_1224;
{ /* Unsafe/kmp.scm 117 */
 obj_t BgL_arg1295z00_1225;
BgL_arg1295z00_1225 = 
CAR(BgL_tpz00_7); 
BgL_arg1290z00_1223 = 
VECTOR_LENGTH(
((obj_t)BgL_arg1295z00_1225)); } 
BgL_arg1293z00_1224 = 
(2L+
STRING_LENGTH(
CDR(BgL_tpz00_7))); 
BgL_test1712z00_2130 = 
(BgL_arg1290z00_1223==BgL_arg1293z00_1224); } 
if(BgL_test1712z00_2130)
{ /* Unsafe/kmp.scm 120 */
 obj_t BgL_tz00_1200;
BgL_tz00_1200 = 
CAR(BgL_tpz00_7); 
{ /* Unsafe/kmp.scm 120 */
 obj_t BgL_pz00_1201;
BgL_pz00_1201 = 
CDR(BgL_tpz00_7); 
{ /* Unsafe/kmp.scm 121 */
 long BgL_lsz00_1202;
BgL_lsz00_1202 = 
STRING_LENGTH(BgL_strz00_8); 
{ /* Unsafe/kmp.scm 122 */
 long BgL_lpz00_1203;
BgL_lpz00_1203 = 
STRING_LENGTH(
((obj_t)BgL_pz00_1201)); 
{ /* Unsafe/kmp.scm 123 */

{ 
 obj_t BgL_iz00_1205;
BgL_iz00_1205 = 
BINT(0L); 
BgL_zc3z04anonymousza31265ze3z87_1206:
if(
(
(long)CINT(BgL_iz00_1205)==BgL_lpz00_1203))
{ /* Unsafe/kmp.scm 126 */
return BgL_mz00_9;}  else 
{ /* Unsafe/kmp.scm 126 */
if(
(
(
(long)CINT(BgL_iz00_1205)+BgL_mz00_9)>=BgL_lsz00_1202))
{ /* Unsafe/kmp.scm 128 */
return -1L;}  else 
{ /* Unsafe/kmp.scm 131 */
 bool_t BgL_test1715z00_2150;
{ /* Unsafe/kmp.scm 131 */
 unsigned char BgL_arg1278z00_1218;
BgL_arg1278z00_1218 = 
STRING_REF(BgL_strz00_8, 
(
(long)CINT(BgL_iz00_1205)+BgL_mz00_9)); 
BgL_test1715z00_2150 = 
(BgL_arg1278z00_1218==
STRING_REF(
((obj_t)BgL_pz00_1201), 
(long)CINT(BgL_iz00_1205))); } 
if(BgL_test1715z00_2150)
{ /* Unsafe/kmp.scm 132 */
 long BgL_arg1273z00_1214;
BgL_arg1273z00_1214 = 
(
(long)CINT(BgL_iz00_1205)+1L); 
{ 
 obj_t BgL_iz00_2160;
BgL_iz00_2160 = 
BINT(BgL_arg1273z00_1214); 
BgL_iz00_1205 = BgL_iz00_2160; 
goto BgL_zc3z04anonymousza31265ze3z87_1206;} }  else 
{ /* Unsafe/kmp.scm 133 */
 obj_t BgL_tiz00_1215;
{ /* Unsafe/kmp.scm 133 */
 long BgL_kz00_1768;
BgL_kz00_1768 = 
(long)CINT(BgL_iz00_1205); 
BgL_tiz00_1215 = 
VECTOR_REF(
((obj_t)BgL_tz00_1200),BgL_kz00_1768); } 
BgL_mz00_9 = 
(BgL_mz00_9+
(
(long)CINT(BgL_iz00_1205)-
(long)CINT(BgL_tiz00_1215))); 
if(
(
(long)CINT(BgL_iz00_1205)>0L))
{ 
 obj_t BgL_iz00_2172;
BgL_iz00_2172 = BgL_tiz00_1215; 
BgL_iz00_1205 = BgL_iz00_2172; 
goto BgL_zc3z04anonymousza31265ze3z87_1206;}  else 
{ 

goto BgL_zc3z04anonymousza31265ze3z87_1206;} } } } } } } } } }  else 
{ /* Unsafe/kmp.scm 117 */
return 
(long)CINT(
BGl_errorz00zz__errorz00(BGl_string1673z00zz__kmpz00, BGl_string1664z00zz__kmpz00, BgL_tpz00_7));} }  else 
{ /* Unsafe/kmp.scm 116 */
 obj_t BgL_arg1298z00_1228;
BgL_arg1298z00_1228 = 
CDR(BgL_tpz00_7); 
return 
(long)CINT(
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1673z00zz__kmpz00, BGl_symbol1665z00zz__kmpz00, BgL_arg1298z00_1228));} }  else 
{ /* Unsafe/kmp.scm 114 */
 obj_t BgL_arg1300z00_1230;
BgL_arg1300z00_1230 = 
CAR(BgL_tpz00_7); 
return 
(long)CINT(
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1673z00zz__kmpz00, BGl_symbol1667z00zz__kmpz00, BgL_arg1300z00_1230));} } } 

}



/* &kmp-string */
obj_t BGl_z62kmpzd2stringzb0zz__kmpz00(obj_t BgL_envz00_1964, obj_t BgL_tpz00_1965, obj_t BgL_strz00_1966, obj_t BgL_mz00_1967)
{
{ /* Unsafe/kmp.scm 111 */
{ /* Unsafe/kmp.scm 113 */
 long BgL_tmpz00_2182;
{ /* Unsafe/kmp.scm 113 */
 long BgL_auxz00_2197; obj_t BgL_auxz00_2190; obj_t BgL_auxz00_2183;
{ /* Unsafe/kmp.scm 113 */
 obj_t BgL_tmpz00_2198;
if(
INTEGERP(BgL_mz00_1967))
{ /* Unsafe/kmp.scm 113 */
BgL_tmpz00_2198 = BgL_mz00_1967
; }  else 
{ 
 obj_t BgL_auxz00_2201;
BgL_auxz00_2201 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1660z00zz__kmpz00, 
BINT(3680L), BGl_string1674z00zz__kmpz00, BGl_string1675z00zz__kmpz00, BgL_mz00_1967); 
FAILURE(BgL_auxz00_2201,BFALSE,BFALSE);} 
BgL_auxz00_2197 = 
(long)CINT(BgL_tmpz00_2198); } 
if(
STRINGP(BgL_strz00_1966))
{ /* Unsafe/kmp.scm 113 */
BgL_auxz00_2190 = BgL_strz00_1966
; }  else 
{ 
 obj_t BgL_auxz00_2193;
BgL_auxz00_2193 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1660z00zz__kmpz00, 
BINT(3680L), BGl_string1674z00zz__kmpz00, BGl_string1662z00zz__kmpz00, BgL_strz00_1966); 
FAILURE(BgL_auxz00_2193,BFALSE,BFALSE);} 
if(
PAIRP(BgL_tpz00_1965))
{ /* Unsafe/kmp.scm 113 */
BgL_auxz00_2183 = BgL_tpz00_1965
; }  else 
{ 
 obj_t BgL_auxz00_2186;
BgL_auxz00_2186 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1660z00zz__kmpz00, 
BINT(3680L), BGl_string1674z00zz__kmpz00, BGl_string1670z00zz__kmpz00, BgL_tpz00_1965); 
FAILURE(BgL_auxz00_2186,BFALSE,BFALSE);} 
BgL_tmpz00_2182 = 
BGl_kmpzd2stringzd2zz__kmpz00(BgL_auxz00_2183, BgL_auxz00_2190, BgL_auxz00_2197); } 
return 
BINT(BgL_tmpz00_2182);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__kmpz00(void)
{
{ /* Unsafe/kmp.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__kmpz00(void)
{
{ /* Unsafe/kmp.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__kmpz00(void)
{
{ /* Unsafe/kmp.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__kmpz00(void)
{
{ /* Unsafe/kmp.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(88804785L, 
BSTRING_TO_STRING(BGl_string1676z00zz__kmpz00)); 
return 
BGl_modulezd2initializa7ationz75zz__paramz00(453939141L, 
BSTRING_TO_STRING(BGl_string1676z00zz__kmpz00));} 

}

#ifdef __cplusplus
}
#endif
