/*===========================================================================*/
/*   (Unsafe/sha1.scm)                                                       */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Unsafe/sha1.scm -o objs/obj_p/Unsafe/sha1.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___SHA1_TYPE_DEFINITIONS
#define BGL___SHA1_TYPE_DEFINITIONS
#endif // BGL___SHA1_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static uint32_t BGl_fz00zz__sha1z00(int, uint32_t, uint32_t, uint32_t);
static obj_t BGl_z62sha1sumzd2filezb0zz__sha1z00(obj_t, obj_t);
static obj_t BGl_z62sha1sumzd2stringzb0zz__sha1z00(obj_t, obj_t);
static obj_t BGl_sha1z00zz__sha1z00(long, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__sha1z00 = BUNSPEC;
static obj_t BGl_z62sha1sumzd2portzb0zz__sha1z00(obj_t, obj_t);
static uint32_t BGl_u32stringzd2refzd2zz__sha1z00(obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2filezd2zz__sha1z00(obj_t);
static uint32_t BGl_u32matrixzd2refzd2zz__sha1z00(obj_t, int, int);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sha1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sha1sumzd2mmapzb0zz__sha1z00(obj_t, obj_t);
extern obj_t BGl_openzd2mmapzd2zz__mmapz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2portzd2zz__sha1z00(obj_t);
extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
static uint32_t BGl_rotl32z00zz__sha1z00(uint32_t, int);
static obj_t BGl_toplevelzd2initzd2zz__sha1z00(void);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2mmapzd2zz__sha1z00(obj_t);
extern obj_t BGl_ceilingz00zz__r4_numbers_6_5z00(obj_t);
extern bool_t rgc_buffer_eof_p(obj_t);
static obj_t BGl_genericzd2initzd2zz__sha1z00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__sha1z00(void);
static obj_t BGl_gczd2rootszd2initz00zz__sha1z00(void);
static obj_t BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__sha1z00(void);
extern obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t, obj_t, obj_t);
extern long bgl_rgc_blit_string(obj_t, char *, long, long);
extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2stringzd2zz__sha1z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31473ze3ze5zz__sha1z00(obj_t);
extern obj_t BGl_makezd2u32vectorzd2zz__srfi4z00(long, uint32_t);
extern obj_t bgl_reverse_bang(obj_t);
static obj_t BGl_z62zc3z04anonymousza31474ze3ze5zz__sha1z00(obj_t);
static uint32_t BGl_u32mmapzd2refzd2zz__sha1z00(obj_t, long);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_methodzd2initzd2zz__sha1z00(void);
extern obj_t blit_string(obj_t, long, obj_t, long, long);
static obj_t BGl_profzd2initzd2zz__sha1z00(void);
static obj_t BGl_u32zd2fillz12zc0zz__sha1z00(obj_t, long, uint32_t);
BGL_EXPORTED_DECL obj_t BGl_sha1sumz00zz__sha1z00(obj_t);
extern obj_t make_string(long, unsigned char);
static obj_t BGl_z62sha1sumz62zz__sha1z00(obj_t, obj_t);
extern obj_t bgl_close_input_port(obj_t);
BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_Kz00zz__sha1z00 = BUNSPEC;
extern obj_t BGl_stringzd2fillz12zc0zz__r4_strings_6_7z00(obj_t, unsigned char);
static obj_t BGl_u160zd2ze3stringz31zz__sha1z00(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha1sumzd2portzd2envz00zz__sha1z00, BgL_bgl_za762sha1sumza7d2por1865z00, BGl_z62sha1sumzd2portzb0zz__sha1z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha1sumzd2envzd2zz__sha1z00, BgL_bgl_za762sha1sumza762za7za7_1866z00, BGl_z62sha1sumz62zz__sha1z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha1sumzd2mmapzd2envz00zz__sha1z00, BgL_bgl_za762sha1sumza7d2mma1867z00, BGl_z62sha1sumzd2mmapzb0zz__sha1z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_hmaczd2sha1sumzd2stringzd2envzd2zz__sha1z00, BgL_bgl_za762hmacza7d2sha1su1868z00, BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha1sumzd2filezd2envz00zz__sha1z00, BgL_bgl_za762sha1sumza7d2fil1869z00, BGl_z62sha1sumzd2filezb0zz__sha1z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha1sumzd2stringzd2envz00zz__sha1z00, BgL_bgl_za762sha1sumza7d2str1870z00, BGl_z62sha1sumzd2stringzb0zz__sha1z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1853z00zz__sha1z00, BgL_bgl_string1853za700za7za7_1871za7, "/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/runtime/Unsafe/sha1.scm", 75 );
DEFINE_STRING( BGl_string1854z00zz__sha1z00, BgL_bgl_string1854za700za7za7_1872za7, "&sha1sum-string", 15 );
DEFINE_STRING( BGl_string1855z00zz__sha1z00, BgL_bgl_string1855za700za7za7_1873za7, "bstring", 7 );
DEFINE_STRING( BGl_string1856z00zz__sha1z00, BgL_bgl_string1856za700za7za7_1874za7, "&sha1sum-mmap", 13 );
DEFINE_STRING( BGl_string1857z00zz__sha1z00, BgL_bgl_string1857za700za7za7_1875za7, "mmap", 4 );
DEFINE_STRING( BGl_string1858z00zz__sha1z00, BgL_bgl_string1858za700za7za7_1876za7, "&sha1sum-port", 13 );
DEFINE_STRING( BGl_string1859z00zz__sha1z00, BgL_bgl_string1859za700za7za7_1877za7, "input-port", 10 );
DEFINE_STRING( BGl_string1860z00zz__sha1z00, BgL_bgl_string1860za700za7za7_1878za7, "&sha1sum-file", 13 );
DEFINE_STRING( BGl_string1861z00zz__sha1z00, BgL_bgl_string1861za700za7za7_1879za7, "sha1sum", 7 );
DEFINE_STRING( BGl_string1862z00zz__sha1z00, BgL_bgl_string1862za700za7za7_1880za7, "Illegal argument", 16 );
DEFINE_STRING( BGl_string1863z00zz__sha1z00, BgL_bgl_string1863za700za7za7_1881za7, "&hmac-sha1sum-string", 20 );
DEFINE_STRING( BGl_string1864z00zz__sha1z00, BgL_bgl_string1864za700za7za7_1882za7, "__sha1", 6 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__sha1z00) );
ADD_ROOT( (void *)(&BGl_Kz00zz__sha1z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Unsafe/sha1.scm\" 1111) \"BGl_toplevelzd2initzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"rotl32\" \"Unsafe/sha1.scm\" 3860) \"BGl_rotl32z00zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32-fill!\" \"Unsafe/sha1.scm\" 4185) \"BGl_u32zd2fillz12zc0zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u160->string\" \"Unsafe/sha1.scm\" 4718) \"BGl_u160zd2ze3stringz31zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32string-ref\" \"Unsafe/sha1.scm\" 5656) \"BGl_u32stringzd2refzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32mmap-ref\" \"Unsafe/sha1.scm\" 6085) \"BGl_u32mmapzd2refzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32matrix-ref\" \"Unsafe/sha1.scm\" 6507) \"BGl_u32matrixzd2refzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"f\" \"Unsafe/sha1.scm\" 6825) \"BGl_fz00zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha1\" \"Unsafe/sha1.scm\" 7350) \"BGl_sha1z00zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha1sum-string\" \"Unsafe/sha1.scm\" 10005) \"BGl_sha1sumzd2stringzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha1sum-string\" \"Unsafe/sha1.scm\" 10005) \"BGl_z62sha1sumzd2stringzb0zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha1sum-mmap\" \"Unsafe/sha1.scm\" 10942) \"BGl_sha1sumzd2mmapzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha1sum-mmap\" \"Unsafe/sha1.scm\" 10942) \"BGl_z62sha1sumzd2mmapzb0zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha1sum-port\" \"Unsafe/sha1.scm\" 11872) \"BGl_sha1sumzd2portzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha1sum-port\" \"Unsafe/sha1.scm\" 11872) \"BGl_z62sha1sumzd2portzb0zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha1sum-file\" \"Unsafe/sha1.scm\" 13230) \"BGl_sha1sumzd2filezd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha1sum-file\" \"Unsafe/sha1.scm\" 13230) \"BGl_z62sha1sumzd2filezb0zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1473>\" \"Unsafe/sha1.scm\" 13326) \"BGl_z62zc3z04anonymousza31473ze3ze5zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1474>\" \"Unsafe/sha1.scm\" 13433) \"BGl_z62zc3z04anonymousza31474ze3ze5zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha1sum\" \"Unsafe/sha1.scm\" 13719) \"BGl_sha1sumz00zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha1sum\" \"Unsafe/sha1.scm\" 13719) \"BGl_z62sha1sumz62zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"hmac-sha1sum-string\" \"Unsafe/sha1.scm\" 14184) \"BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&hmac-sha1sum-string\" \"Unsafe/sha1.scm\" 14184) \"BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sha1z00(long BgL_checksumz00_2707, char * BgL_fromz00_2708)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__sha1z00))
{ 
BGl_requirezd2initializa7ationz75zz__sha1z00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__sha1z00(); 
BGl_importedzd2moduleszd2initz00zz__sha1z00(); 
BGl_toplevelzd2initzd2zz__sha1z00(); 
return 
BGl_profzd2initzd2zz__sha1z00();}  else 
{ 
return BUNSPEC;} } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__sha1z00(void)
{
{ /* Unsafe/sha1.scm 17 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__sha1z00(void)
{
{ /* Unsafe/sha1.scm 17 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__sha1z00(void)
{
{ /* Unsafe/sha1.scm 17 */
{ /* Unsafe/sha1.scm 129 */
 obj_t BgL_vz00_1300;
{ /* Llib/srfi4.scm 451 */

BgL_vz00_1300 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(4L, (uint32_t)(0)); } 
{ /* Unsafe/sha1.scm 130 */
 uint32_t BgL_arg1229z00_1301;
{ /* Unsafe/sha1.scm 130 */
 uint32_t BgL_arg1230z00_1302; uint32_t BgL_arg1231z00_1303;
{ /* Unsafe/sha1.scm 130 */
 uint32_t BgL_arg1235z00_1304;
BgL_arg1235z00_1304 = 
(uint32_t)(23170L); 
BgL_arg1230z00_1302 = 
(BgL_arg1235z00_1304 << 
(int)(16L)); } 
BgL_arg1231z00_1303 = 
(uint32_t)(31129L); 
BgL_arg1229z00_1301 = 
(BgL_arg1230z00_1302 | BgL_arg1231z00_1303); } 
BGL_U32VSET(BgL_vz00_1300, 0L, BgL_arg1229z00_1301); BUNSPEC; } 
{ /* Unsafe/sha1.scm 131 */
 uint32_t BgL_arg1236z00_1305;
{ /* Unsafe/sha1.scm 131 */
 uint32_t BgL_arg1238z00_1306; uint32_t BgL_arg1239z00_1307;
{ /* Unsafe/sha1.scm 131 */
 uint32_t BgL_arg1243z00_1308;
BgL_arg1243z00_1308 = 
(uint32_t)(28377L); 
BgL_arg1238z00_1306 = 
(BgL_arg1243z00_1308 << 
(int)(16L)); } 
BgL_arg1239z00_1307 = 
(uint32_t)(60321L); 
BgL_arg1236z00_1305 = 
(BgL_arg1238z00_1306 | BgL_arg1239z00_1307); } 
BGL_U32VSET(BgL_vz00_1300, 1L, BgL_arg1236z00_1305); BUNSPEC; } 
{ /* Unsafe/sha1.scm 132 */
 uint32_t BgL_arg1245z00_1309;
{ /* Unsafe/sha1.scm 132 */
 uint32_t BgL_arg1251z00_1310; uint32_t BgL_arg1255z00_1311;
{ /* Unsafe/sha1.scm 132 */
 uint32_t BgL_arg1258z00_1312;
BgL_arg1258z00_1312 = 
(uint32_t)(36635L); 
BgL_arg1251z00_1310 = 
(BgL_arg1258z00_1312 << 
(int)(16L)); } 
BgL_arg1255z00_1311 = 
(uint32_t)(48348L); 
BgL_arg1245z00_1309 = 
(BgL_arg1251z00_1310 | BgL_arg1255z00_1311); } 
BGL_U32VSET(BgL_vz00_1300, 2L, BgL_arg1245z00_1309); BUNSPEC; } 
{ /* Unsafe/sha1.scm 133 */
 uint32_t BgL_arg1261z00_1313;
{ /* Unsafe/sha1.scm 133 */
 uint32_t BgL_arg1262z00_1314; uint32_t BgL_arg1263z00_1315;
{ /* Unsafe/sha1.scm 133 */
 uint32_t BgL_arg1264z00_1316;
BgL_arg1264z00_1316 = 
(uint32_t)(51810L); 
BgL_arg1262z00_1314 = 
(BgL_arg1264z00_1316 << 
(int)(16L)); } 
BgL_arg1263z00_1315 = 
(uint32_t)(49622L); 
BgL_arg1261z00_1313 = 
(BgL_arg1262z00_1314 | BgL_arg1263z00_1315); } 
BGL_U32VSET(BgL_vz00_1300, 3L, BgL_arg1261z00_1313); BUNSPEC; } 
return ( 
BGl_Kz00zz__sha1z00 = BgL_vz00_1300, BUNSPEC) ;} } 

}



/* rotl32 */
uint32_t BGl_rotl32z00zz__sha1z00(uint32_t BgL_xz00_3, int BgL_nz00_4)
{
{ /* Unsafe/sha1.scm 99 */
return 
(
(BgL_xz00_3 << 
(int)(
(long)(BgL_nz00_4))) | 
(BgL_xz00_3 >> 
(int)(
(32L-
(long)(BgL_nz00_4)))));} 

}



/* u32-fill! */
obj_t BGl_u32zd2fillz12zc0zz__sha1z00(obj_t BgL_strz00_5, long BgL_offsetz00_6, uint32_t BgL_wz00_7)
{
{ /* Unsafe/sha1.scm 105 */
{ /* Unsafe/sha1.scm 106 */
 obj_t BgL_s1z00_1330;
{ /* Unsafe/sha1.scm 106 */
 long BgL_arg1290z00_1341;
{ /* Unsafe/sha1.scm 106 */
 uint32_t BgL_tmpz00_2751;
BgL_tmpz00_2751 = 
(BgL_wz00_7 >> 
(int)(16L)); 
BgL_arg1290z00_1341 = 
(long)(BgL_tmpz00_2751); } 
BgL_s1z00_1330 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1290z00_1341, 16L); } 
{ /* Unsafe/sha1.scm 106 */
 long BgL_l1z00_1331;
BgL_l1z00_1331 = 
STRING_LENGTH(BgL_s1z00_1330); 
{ /* Unsafe/sha1.scm 107 */
 obj_t BgL_s2z00_1332;
{ /* Unsafe/sha1.scm 108 */
 long BgL_arg1286z00_1339;
{ /* Unsafe/sha1.scm 108 */
 uint32_t BgL_tmpz00_2757;
BgL_tmpz00_2757 = 
(BgL_wz00_7 & (uint32_t)(65535)); 
BgL_arg1286z00_1339 = 
(long)(BgL_tmpz00_2757); } 
BgL_s2z00_1332 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1286z00_1339, 16L); } 
{ /* Unsafe/sha1.scm 108 */
 long BgL_l2z00_1333;
BgL_l2z00_1333 = 
STRING_LENGTH(BgL_s2z00_1332); 
{ /* Unsafe/sha1.scm 109 */

blit_string(BgL_s1z00_1330, 0L, BgL_strz00_5, 
(BgL_offsetz00_6+
(4L-BgL_l1z00_1331)), BgL_l1z00_1331); 
return 
blit_string(BgL_s2z00_1332, 0L, BgL_strz00_5, 
(BgL_offsetz00_6+
(4L+
(4L-BgL_l2z00_1333))), BgL_l2z00_1333);} } } } } } 

}



/* u160->string */
obj_t BGl_u160zd2ze3stringz31zz__sha1z00(uint32_t BgL_w0z00_8, uint32_t BgL_w1z00_9, uint32_t BgL_w2z00_10, uint32_t BgL_w3z00_11, uint32_t BgL_w4z00_12)
{
{ /* Unsafe/sha1.scm 116 */
{ /* Unsafe/sha1.scm 117 */
 obj_t BgL_rz00_1343;
BgL_rz00_1343 = 
make_string(40L, ((unsigned char)'0')); 
BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_1343, 0L, BgL_w0z00_8); 
BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_1343, 8L, BgL_w1z00_9); 
BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_1343, 16L, BgL_w2z00_10); 
BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_1343, 24L, BgL_w3z00_11); 
BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_1343, 32L, BgL_w4z00_12); 
return BgL_rz00_1343;} } 

}



/* u32string-ref */
uint32_t BGl_u32stringzd2refzd2zz__sha1z00(obj_t BgL_sz00_13, int BgL_iz00_14)
{
{ /* Unsafe/sha1.scm 139 */
{ /* Unsafe/sha1.scm 140 */
 long BgL_lenz00_1344;
BgL_lenz00_1344 = 
STRING_LENGTH(BgL_sz00_13); 
if(
(
(long)(BgL_iz00_14)<BgL_lenz00_1344))
{ /* Unsafe/sha1.scm 142 */
 long BgL_tmpz00_2779;
BgL_tmpz00_2779 = 
(
STRING_REF(BgL_sz00_13, 
(long)(BgL_iz00_14))); 
return 
(uint32_t)(BgL_tmpz00_2779);}  else 
{ /* Unsafe/sha1.scm 142 */
if(
(
(long)(BgL_iz00_14)==BgL_lenz00_1344))
{ /* Unsafe/sha1.scm 143 */
return (uint32_t)(128);}  else 
{ /* Unsafe/sha1.scm 143 */
return (uint32_t)(0);} } } } 

}



/* u32mmap-ref */
uint32_t BGl_u32mmapzd2refzd2zz__sha1z00(obj_t BgL_sz00_15, long BgL_iz00_16)
{
{ /* Unsafe/sha1.scm 149 */
{ /* Unsafe/sha1.scm 150 */
 long BgL_lenz00_1349;
BgL_lenz00_1349 = 
BGL_MMAP_LENGTH(BgL_sz00_15); 
{ /* Unsafe/sha1.scm 152 */
 bool_t BgL_test1886z00_2788;
{ /* Unsafe/sha1.scm 152 */
 long BgL_n1z00_2153; long BgL_n2z00_2154;
BgL_n1z00_2153 = 
(long)(BgL_iz00_16); 
BgL_n2z00_2154 = 
(long)(BgL_lenz00_1349); 
BgL_test1886z00_2788 = 
(BgL_n1z00_2153<BgL_n2z00_2154); } 
if(BgL_test1886z00_2788)
{ /* Unsafe/sha1.scm 152 */
 long BgL_arg1299z00_1351;
{ /* Unsafe/sha1.scm 152 */
 unsigned char BgL_arg1300z00_1352;
{ /* Unsafe/sha1.scm 152 */
 unsigned char BgL_res1832z00_2163;
{ /* Unsafe/sha1.scm 152 */
 unsigned char BgL_cz00_2157;
BgL_cz00_2157 = 
BGL_MMAP_REF(BgL_sz00_15, BgL_iz00_16); 
{ /* Unsafe/sha1.scm 152 */
 long BgL_arg1507z00_2158;
BgL_arg1507z00_2158 = 
(BgL_iz00_16+((long)1)); 
BGL_MMAP_RP_SET(BgL_sz00_15, BgL_arg1507z00_2158); BUNSPEC; BgL_arg1507z00_2158; } 
BgL_res1832z00_2163 = BgL_cz00_2157; } 
BgL_arg1300z00_1352 = BgL_res1832z00_2163; } 
BgL_arg1299z00_1351 = 
(BgL_arg1300z00_1352); } 
return 
(uint32_t)(BgL_arg1299z00_1351);}  else 
{ /* Unsafe/sha1.scm 153 */
 bool_t BgL_test1887z00_2797;
{ /* Unsafe/sha1.scm 153 */
 long BgL_n1z00_2166; long BgL_n2z00_2167;
BgL_n1z00_2166 = 
(long)(BgL_iz00_16); 
BgL_n2z00_2167 = 
(long)(BgL_lenz00_1349); 
BgL_test1887z00_2797 = 
(BgL_n1z00_2166==BgL_n2z00_2167); } 
if(BgL_test1887z00_2797)
{ /* Unsafe/sha1.scm 153 */
return (uint32_t)(128);}  else 
{ /* Unsafe/sha1.scm 153 */
return (uint32_t)(0);} } } } } 

}



/* u32matrix-ref */
uint32_t BGl_u32matrixzd2refzd2zz__sha1z00(obj_t BgL_mz00_17, int BgL_iz00_18, int BgL_jz00_19)
{
{ /* Unsafe/sha1.scm 159 */
{ /* Unsafe/sha1.scm 160 */
 long BgL_auxz00_2804; obj_t BgL_tmpz00_2801;
BgL_auxz00_2804 = 
(long)(BgL_jz00_19); 
BgL_tmpz00_2801 = 
VECTOR_REF(BgL_mz00_17,
(long)(BgL_iz00_18)); 
return 
BGL_U32VREF(BgL_tmpz00_2801, BgL_auxz00_2804);} } 

}



/* f */
uint32_t BGl_fz00zz__sha1z00(int BgL_sz00_20, uint32_t BgL_xz00_21, uint32_t BgL_yz00_22, uint32_t BgL_za7za7_23)
{
{ /* Unsafe/sha1.scm 165 */
{ 

switch( 
(long)(BgL_sz00_20)) { case 0L : 

return 
(
(BgL_xz00_21 & BgL_yz00_22) ^ 
(
~(BgL_xz00_21) & BgL_za7za7_23));break;case 1L : 
case 3L : 

return 
(BgL_xz00_21 ^ 
(BgL_yz00_22 ^ BgL_za7za7_23));break;
default: 
return 
(
(
(BgL_xz00_21 & BgL_yz00_22) ^ 
(BgL_xz00_21 & BgL_za7za7_23)) ^ 
(BgL_yz00_22 & BgL_za7za7_23));} } } 

}



/* sha1 */
obj_t BGl_sha1z00zz__sha1z00(long BgL_lenz00_24, obj_t BgL_mz00_25)
{
{ /* Unsafe/sha1.scm 178 */
{ /* Unsafe/sha1.scm 180 */
 obj_t BgL_wz00_1365;
BgL_wz00_1365 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(80L, 
(uint32_t)(0L)); 
{ /* Unsafe/sha1.scm 184 */
 obj_t BgL_vecz00_1367;
{ /* Unsafe/sha1.scm 184 */
 long BgL_arg1311z00_1370;
BgL_arg1311z00_1370 = 
(
VECTOR_LENGTH(BgL_mz00_25)-1L); 
BgL_vecz00_1367 = 
VECTOR_REF(BgL_mz00_25,BgL_arg1311z00_1370); } 
{ /* Unsafe/sha1.scm 185 */
 long BgL_v15z00_1369;
BgL_v15z00_1369 = 
(BgL_lenz00_24*8L); 
{ /* Unsafe/sha1.scm 186 */

{ /* Unsafe/sha1.scm 187 */
 uint32_t BgL_tmpz00_2826;
BgL_tmpz00_2826 = 
(uint32_t)(0L); 
BGL_U32VSET(BgL_vecz00_1367, 14L, BgL_tmpz00_2826); } BUNSPEC; 
{ /* Unsafe/sha1.scm 188 */
 uint32_t BgL_tmpz00_2829;
BgL_tmpz00_2829 = 
(uint32_t)(BgL_v15z00_1369); 
BGL_U32VSET(BgL_vecz00_1367, 15L, BgL_tmpz00_2829); } BUNSPEC; } } } 
{ /* Unsafe/sha1.scm 191 */
 uint32_t BgL_h0z00_1371;
{ /* Unsafe/sha1.scm 191 */
 uint32_t BgL_arg1380z00_1472; uint32_t BgL_arg1381z00_1473;
{ /* Unsafe/sha1.scm 191 */
 uint32_t BgL_arg1382z00_1474;
BgL_arg1382z00_1474 = 
(uint32_t)(26437L); 
BgL_arg1380z00_1472 = 
(BgL_arg1382z00_1474 << 
(int)(16L)); } 
BgL_arg1381z00_1473 = 
(uint32_t)(8961L); 
BgL_h0z00_1371 = 
(BgL_arg1380z00_1472 | BgL_arg1381z00_1473); } 
{ /* Unsafe/sha1.scm 191 */
 uint32_t BgL_h1z00_1372;
{ /* Unsafe/sha1.scm 192 */
 uint32_t BgL_arg1377z00_1469; uint32_t BgL_arg1378z00_1470;
{ /* Unsafe/sha1.scm 192 */
 uint32_t BgL_arg1379z00_1471;
BgL_arg1379z00_1471 = 
(uint32_t)(61389L); 
BgL_arg1377z00_1469 = 
(BgL_arg1379z00_1471 << 
(int)(16L)); } 
BgL_arg1378z00_1470 = 
(uint32_t)(43913L); 
BgL_h1z00_1372 = 
(BgL_arg1377z00_1469 | BgL_arg1378z00_1470); } 
{ /* Unsafe/sha1.scm 192 */
 uint32_t BgL_h2z00_1373;
{ /* Unsafe/sha1.scm 193 */
 uint32_t BgL_arg1374z00_1466; uint32_t BgL_arg1375z00_1467;
{ /* Unsafe/sha1.scm 193 */
 uint32_t BgL_arg1376z00_1468;
BgL_arg1376z00_1468 = 
(uint32_t)(39098L); 
BgL_arg1374z00_1466 = 
(BgL_arg1376z00_1468 << 
(int)(16L)); } 
BgL_arg1375z00_1467 = 
(uint32_t)(56574L); 
BgL_h2z00_1373 = 
(BgL_arg1374z00_1466 | BgL_arg1375z00_1467); } 
{ /* Unsafe/sha1.scm 193 */
 uint32_t BgL_h3z00_1374;
{ /* Unsafe/sha1.scm 194 */
 uint32_t BgL_arg1371z00_1463; uint32_t BgL_arg1372z00_1464;
{ /* Unsafe/sha1.scm 194 */
 uint32_t BgL_arg1373z00_1465;
BgL_arg1373z00_1465 = 
(uint32_t)(4146L); 
BgL_arg1371z00_1463 = 
(BgL_arg1373z00_1465 << 
(int)(16L)); } 
BgL_arg1372z00_1464 = 
(uint32_t)(21622L); 
BgL_h3z00_1374 = 
(BgL_arg1371z00_1463 | BgL_arg1372z00_1464); } 
{ /* Unsafe/sha1.scm 194 */
 uint32_t BgL_h4z00_1375;
{ /* Unsafe/sha1.scm 195 */
 uint32_t BgL_arg1368z00_1460; uint32_t BgL_arg1369z00_1461;
{ /* Unsafe/sha1.scm 195 */
 uint32_t BgL_arg1370z00_1462;
BgL_arg1370z00_1462 = 
(uint32_t)(50130L); 
BgL_arg1368z00_1460 = 
(BgL_arg1370z00_1462 << 
(int)(16L)); } 
BgL_arg1369z00_1461 = 
(uint32_t)(57840L); 
BgL_h4z00_1375 = 
(BgL_arg1368z00_1460 | BgL_arg1369z00_1461); } 
{ /* Unsafe/sha1.scm 195 */

{ 
 long BgL_iz00_1378;
BgL_iz00_1378 = 0L; 
BgL_zc3z04anonymousza31312ze3z87_1379:
if(
(BgL_iz00_1378<
VECTOR_LENGTH(BgL_mz00_25)))
{ /* Unsafe/sha1.scm 198 */
{ 
 long BgL_tz00_1383;
BgL_tz00_1383 = 0L; 
BgL_zc3z04anonymousza31314ze3z87_1384:
if(
(BgL_tz00_1383<16L))
{ /* Unsafe/sha1.scm 201 */
{ /* Unsafe/sha1.scm 202 */
 uint32_t BgL_arg1316z00_1386;
BgL_arg1316z00_1386 = 
BGl_u32matrixzd2refzd2zz__sha1z00(BgL_mz00_25, 
(int)(BgL_iz00_1378), 
(int)(BgL_tz00_1383)); 
BGL_U32VSET(BgL_wz00_1365, BgL_tz00_1383, BgL_arg1316z00_1386); BUNSPEC; } 
{ 
 long BgL_tz00_2866;
BgL_tz00_2866 = 
(BgL_tz00_1383+1L); 
BgL_tz00_1383 = BgL_tz00_2866; 
goto BgL_zc3z04anonymousza31314ze3z87_1384;} }  else 
{ /* Unsafe/sha1.scm 201 */((bool_t)0); } } 
{ 
 long BgL_tz00_1391;
BgL_tz00_1391 = 16L; 
BgL_zc3z04anonymousza31318ze3z87_1392:
if(
(BgL_tz00_1391<80L))
{ /* Unsafe/sha1.scm 203 */
{ /* Unsafe/sha1.scm 204 */
 uint32_t BgL_w0z00_1394;
{ /* Unsafe/sha1.scm 204 */
 long BgL_tmpz00_2870;
BgL_tmpz00_2870 = 
(BgL_tz00_1391-3L); 
BgL_w0z00_1394 = 
BGL_U32VREF(BgL_wz00_1365, BgL_tmpz00_2870); } 
{ /* Unsafe/sha1.scm 204 */
 uint32_t BgL_w1z00_1395;
{ /* Unsafe/sha1.scm 205 */
 long BgL_tmpz00_2873;
BgL_tmpz00_2873 = 
(BgL_tz00_1391-8L); 
BgL_w1z00_1395 = 
BGL_U32VREF(BgL_wz00_1365, BgL_tmpz00_2873); } 
{ /* Unsafe/sha1.scm 205 */
 uint32_t BgL_w2z00_1396;
{ /* Unsafe/sha1.scm 206 */
 long BgL_tmpz00_2876;
BgL_tmpz00_2876 = 
(BgL_tz00_1391-14L); 
BgL_w2z00_1396 = 
BGL_U32VREF(BgL_wz00_1365, BgL_tmpz00_2876); } 
{ /* Unsafe/sha1.scm 206 */
 uint32_t BgL_w3z00_1397;
{ /* Unsafe/sha1.scm 207 */
 long BgL_tmpz00_2879;
BgL_tmpz00_2879 = 
(BgL_tz00_1391-16L); 
BgL_w3z00_1397 = 
BGL_U32VREF(BgL_wz00_1365, BgL_tmpz00_2879); } 
{ /* Unsafe/sha1.scm 207 */
 uint32_t BgL_vz00_1398;
BgL_vz00_1398 = 
(BgL_w0z00_1394 ^ 
(BgL_w1z00_1395 ^ 
(BgL_w2z00_1396 ^ BgL_w3z00_1397))); 
{ /* Unsafe/sha1.scm 208 */

{ /* Unsafe/sha1.scm 209 */
 uint32_t BgL_arg1320z00_1399;
BgL_arg1320z00_1399 = 
BGl_rotl32z00zz__sha1z00(BgL_vz00_1398, 
(int)(1L)); 
BGL_U32VSET(BgL_wz00_1365, BgL_tz00_1391, BgL_arg1320z00_1399); BUNSPEC; } } } } } } } 
{ 
 long BgL_tz00_2888;
BgL_tz00_2888 = 
(BgL_tz00_1391+1L); 
BgL_tz00_1391 = BgL_tz00_2888; 
goto BgL_zc3z04anonymousza31318ze3z87_1392;} }  else 
{ /* Unsafe/sha1.scm 203 */((bool_t)0); } } 
{ /* Unsafe/sha1.scm 213 */
 uint32_t BgL_az00_1408; uint32_t BgL_bz00_1409; uint32_t BgL_cz00_1410; uint32_t BgL_dz00_1411; uint32_t BgL_ez00_1412;
BgL_az00_1408 = BgL_h0z00_1371; 
BgL_bz00_1409 = BgL_h1z00_1372; 
BgL_cz00_1410 = BgL_h2z00_1373; 
BgL_dz00_1411 = BgL_h3z00_1374; 
BgL_ez00_1412 = BgL_h4z00_1375; 
{ 
 long BgL_tz00_1415;
BgL_tz00_1415 = 0L; 
BgL_zc3z04anonymousza31331ze3z87_1416:
if(
(BgL_tz00_1415<80L))
{ /* Unsafe/sha1.scm 220 */
{ /* Unsafe/sha1.scm 221 */
 long BgL_sz00_1418;
BgL_sz00_1418 = 
(BgL_tz00_1415/20L); 
{ /* Unsafe/sha1.scm 221 */
 uint32_t BgL_a5z00_1419;
BgL_a5z00_1419 = 
BGl_rotl32z00zz__sha1z00(BgL_az00_1408, 
(int)(5L)); 
{ /* Unsafe/sha1.scm 222 */
 uint32_t BgL_fz00_1420;
BgL_fz00_1420 = 
BGl_fz00zz__sha1z00(
(int)(BgL_sz00_1418), BgL_bz00_1409, BgL_cz00_1410, BgL_dz00_1411); 
{ /* Unsafe/sha1.scm 223 */
 uint32_t BgL_kz00_1421;
BgL_kz00_1421 = 
BGL_U32VREF(BGl_Kz00zz__sha1z00, BgL_sz00_1418); 
{ /* Unsafe/sha1.scm 224 */
 uint32_t BgL_wz00_1422;
BgL_wz00_1422 = 
BGL_U32VREF(BgL_wz00_1365, BgL_tz00_1415); 
{ /* Unsafe/sha1.scm 225 */
 uint32_t BgL_yz00_1423;
BgL_yz00_1423 = 
(BgL_a5z00_1419+
(BgL_fz00_1420+
(BgL_ez00_1412+
(BgL_kz00_1421+BgL_wz00_1422)))); 
{ /* Unsafe/sha1.scm 226 */

BgL_ez00_1412 = BgL_dz00_1411; 
BgL_dz00_1411 = BgL_cz00_1410; 
BgL_cz00_1410 = 
BGl_rotl32z00zz__sha1z00(BgL_bz00_1409, 
(int)(30L)); 
BgL_bz00_1409 = BgL_az00_1408; 
{ /* Unsafe/sha1.scm 231 */
 uint32_t BgL_arg1333z00_1424;
{ /* Unsafe/sha1.scm 231 */
 uint32_t BgL_arg1334z00_1425; uint32_t BgL_arg1335z00_1426;
{ /* Unsafe/sha1.scm 231 */
 uint32_t BgL_arg1336z00_1427;
BgL_arg1336z00_1427 = 
(uint32_t)(65535L); 
BgL_arg1334z00_1425 = 
(BgL_arg1336z00_1427 << 
(int)(16L)); } 
BgL_arg1335z00_1426 = 
(uint32_t)(65535L); 
BgL_arg1333z00_1424 = 
(BgL_arg1334z00_1425 | BgL_arg1335z00_1426); } 
BgL_az00_1408 = 
(BgL_yz00_1423 & BgL_arg1333z00_1424); } } } } } } } } 
{ 
 long BgL_tz00_2911;
BgL_tz00_2911 = 
(BgL_tz00_1415+1L); 
BgL_tz00_1415 = BgL_tz00_2911; 
goto BgL_zc3z04anonymousza31331ze3z87_1416;} }  else 
{ /* Unsafe/sha1.scm 220 */((bool_t)0); } } 
{ /* Unsafe/sha1.scm 233 */
 uint32_t BgL_arg1341z00_1433; uint32_t BgL_arg1342z00_1434;
BgL_arg1341z00_1433 = 
(BgL_h0z00_1371+BgL_az00_1408); 
{ /* Unsafe/sha1.scm 233 */
 uint32_t BgL_arg1343z00_1435; uint32_t BgL_arg1344z00_1436;
{ /* Unsafe/sha1.scm 233 */
 uint32_t BgL_arg1345z00_1437;
BgL_arg1345z00_1437 = 
(uint32_t)(65535L); 
BgL_arg1343z00_1435 = 
(BgL_arg1345z00_1437 << 
(int)(16L)); } 
BgL_arg1344z00_1436 = 
(uint32_t)(65535L); 
BgL_arg1342z00_1434 = 
(BgL_arg1343z00_1435 | BgL_arg1344z00_1436); } 
BgL_h0z00_1371 = 
(BgL_arg1341z00_1433 & BgL_arg1342z00_1434); } 
{ /* Unsafe/sha1.scm 234 */
 uint32_t BgL_arg1346z00_1438; uint32_t BgL_arg1347z00_1439;
BgL_arg1346z00_1438 = 
(BgL_h1z00_1372+BgL_bz00_1409); 
{ /* Unsafe/sha1.scm 234 */
 uint32_t BgL_arg1348z00_1440; uint32_t BgL_arg1349z00_1441;
{ /* Unsafe/sha1.scm 234 */
 uint32_t BgL_arg1350z00_1442;
BgL_arg1350z00_1442 = 
(uint32_t)(65535L); 
BgL_arg1348z00_1440 = 
(BgL_arg1350z00_1442 << 
(int)(16L)); } 
BgL_arg1349z00_1441 = 
(uint32_t)(65535L); 
BgL_arg1347z00_1439 = 
(BgL_arg1348z00_1440 | BgL_arg1349z00_1441); } 
BgL_h1z00_1372 = 
(BgL_arg1346z00_1438 & BgL_arg1347z00_1439); } 
{ /* Unsafe/sha1.scm 235 */
 uint32_t BgL_arg1351z00_1443; uint32_t BgL_arg1352z00_1444;
BgL_arg1351z00_1443 = 
(BgL_h2z00_1373+BgL_cz00_1410); 
{ /* Unsafe/sha1.scm 235 */
 uint32_t BgL_arg1353z00_1445; uint32_t BgL_arg1354z00_1446;
{ /* Unsafe/sha1.scm 235 */
 uint32_t BgL_arg1355z00_1447;
BgL_arg1355z00_1447 = 
(uint32_t)(65535L); 
BgL_arg1353z00_1445 = 
(BgL_arg1355z00_1447 << 
(int)(16L)); } 
BgL_arg1354z00_1446 = 
(uint32_t)(65535L); 
BgL_arg1352z00_1444 = 
(BgL_arg1353z00_1445 | BgL_arg1354z00_1446); } 
BgL_h2z00_1373 = 
(BgL_arg1351z00_1443 & BgL_arg1352z00_1444); } 
{ /* Unsafe/sha1.scm 236 */
 uint32_t BgL_arg1356z00_1448; uint32_t BgL_arg1357z00_1449;
BgL_arg1356z00_1448 = 
(BgL_h3z00_1374+BgL_dz00_1411); 
{ /* Unsafe/sha1.scm 236 */
 uint32_t BgL_arg1358z00_1450; uint32_t BgL_arg1359z00_1451;
{ /* Unsafe/sha1.scm 236 */
 uint32_t BgL_arg1360z00_1452;
BgL_arg1360z00_1452 = 
(uint32_t)(65535L); 
BgL_arg1358z00_1450 = 
(BgL_arg1360z00_1452 << 
(int)(16L)); } 
BgL_arg1359z00_1451 = 
(uint32_t)(65535L); 
BgL_arg1357z00_1449 = 
(BgL_arg1358z00_1450 | BgL_arg1359z00_1451); } 
BgL_h3z00_1374 = 
(BgL_arg1356z00_1448 & BgL_arg1357z00_1449); } 
{ /* Unsafe/sha1.scm 237 */
 uint32_t BgL_arg1362z00_1453; uint32_t BgL_arg1363z00_1454;
BgL_arg1362z00_1453 = 
(BgL_h4z00_1375+BgL_ez00_1412); 
{ /* Unsafe/sha1.scm 237 */
 uint32_t BgL_arg1364z00_1455; uint32_t BgL_arg1365z00_1456;
{ /* Unsafe/sha1.scm 237 */
 uint32_t BgL_arg1366z00_1457;
BgL_arg1366z00_1457 = 
(uint32_t)(65535L); 
BgL_arg1364z00_1455 = 
(BgL_arg1366z00_1457 << 
(int)(16L)); } 
BgL_arg1365z00_1456 = 
(uint32_t)(65535L); 
BgL_arg1363z00_1454 = 
(BgL_arg1364z00_1455 | BgL_arg1365z00_1456); } 
BgL_h4z00_1375 = 
(BgL_arg1362z00_1453 & BgL_arg1363z00_1454); } } 
{ 
 long BgL_iz00_2948;
BgL_iz00_2948 = 
(BgL_iz00_1378+1L); 
BgL_iz00_1378 = BgL_iz00_2948; 
goto BgL_zc3z04anonymousza31312ze3z87_1379;} }  else 
{ /* Unsafe/sha1.scm 198 */((bool_t)0); } } 
return 
BGl_u160zd2ze3stringz31zz__sha1z00(BgL_h0z00_1371, BgL_h1z00_1372, BgL_h2z00_1373, BgL_h3z00_1374, BgL_h4z00_1375);} } } } } } } } 

}



/* sha1sum-string */
BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2stringzd2zz__sha1z00(obj_t BgL_strz00_28)
{
{ /* Unsafe/sha1.scm 253 */
{ /* Unsafe/sha1.scm 256 */
 long BgL_lenz00_1478;
BgL_lenz00_1478 = 
STRING_LENGTH(BgL_strz00_28); 
{ /* Unsafe/sha1.scm 256 */
 long BgL_lz00_1479;
{ /* Unsafe/sha1.scm 257 */
 long BgL_tmpz00_2952;
{ /* Unsafe/sha1.scm 257 */
 obj_t BgL_tmpz00_2953;
{ /* Unsafe/sha1.scm 245 */
 obj_t BgL_rz00_2288;
BgL_rz00_2288 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(
BINT(
(BgL_lenz00_1478+1L)), 
BINT(4L)); 
if(
INTEGERP(BgL_rz00_2288))
{ /* Unsafe/sha1.scm 246 */
BgL_tmpz00_2953 = BgL_rz00_2288
; }  else 
{ /* Unsafe/sha1.scm 246 */
BgL_tmpz00_2953 = 
BINT(
(long)(
REAL_TO_DOUBLE(
BGl_ceilingz00zz__r4_numbers_6_5z00(BgL_rz00_2288))))
; } } 
BgL_tmpz00_2952 = 
(long)CINT(BgL_tmpz00_2953); } 
BgL_lz00_1479 = 
(BgL_tmpz00_2952+2L); } 
{ /* Unsafe/sha1.scm 257 */
 long BgL_nz00_1480;
{ /* Unsafe/sha1.scm 245 */
 obj_t BgL_rz00_2294;
BgL_rz00_2294 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(
BINT(BgL_lz00_1479), 
BINT(16L)); 
if(
INTEGERP(BgL_rz00_2294))
{ /* Unsafe/sha1.scm 246 */
BgL_nz00_1480 = 
(long)CINT(BgL_rz00_2294); }  else 
{ /* Unsafe/sha1.scm 246 */
BgL_nz00_1480 = 
(long)(
REAL_TO_DOUBLE(
BGl_ceilingz00zz__r4_numbers_6_5z00(BgL_rz00_2294))); } } 
{ /* Unsafe/sha1.scm 258 */
 obj_t BgL_mz00_1481;
BgL_mz00_1481 = 
make_vector(BgL_nz00_1480, BUNSPEC); 
{ /* Unsafe/sha1.scm 259 */

{ 
 long BgL_iz00_1484;
BgL_iz00_1484 = 0L; 
BgL_zc3z04anonymousza31385ze3z87_1485:
if(
(BgL_iz00_1484<BgL_nz00_1480))
{ /* Unsafe/sha1.scm 261 */
{ /* Unsafe/sha1.scm 262 */
 obj_t BgL_vecz00_1487;
{ /* Llib/srfi4.scm 451 */

BgL_vecz00_1487 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(16L, (uint32_t)(0)); } 
{ 
 long BgL_jz00_1490;
BgL_jz00_1490 = 0L; 
BgL_zc3z04anonymousza31387ze3z87_1491:
if(
(BgL_jz00_1490<16L))
{ /* Unsafe/sha1.scm 263 */
{ /* Unsafe/sha1.scm 264 */
 int BgL_nz00_1493;
BgL_nz00_1493 = 
(int)(
(
(BgL_iz00_1484*64L)+
(BgL_jz00_1490*4L))); 
{ /* Unsafe/sha1.scm 264 */
 uint32_t BgL_v0z00_1494;
BgL_v0z00_1494 = 
BGl_u32stringzd2refzd2zz__sha1z00(BgL_strz00_28, BgL_nz00_1493); 
{ /* Unsafe/sha1.scm 265 */
 uint32_t BgL_v1z00_1495;
{ /* Unsafe/sha1.scm 266 */
 long BgL_arg1401z00_1510;
BgL_arg1401z00_1510 = 
(
(long)(BgL_nz00_1493)+1L); 
BgL_v1z00_1495 = 
BGl_u32stringzd2refzd2zz__sha1z00(BgL_strz00_28, 
(int)(BgL_arg1401z00_1510)); } 
{ /* Unsafe/sha1.scm 266 */
 uint32_t BgL_v2z00_1496;
{ /* Unsafe/sha1.scm 267 */
 long BgL_arg1400z00_1509;
BgL_arg1400z00_1509 = 
(
(long)(BgL_nz00_1493)+2L); 
BgL_v2z00_1496 = 
BGl_u32stringzd2refzd2zz__sha1z00(BgL_strz00_28, 
(int)(BgL_arg1400z00_1509)); } 
{ /* Unsafe/sha1.scm 267 */
 uint32_t BgL_v3z00_1497;
{ /* Unsafe/sha1.scm 268 */
 long BgL_arg1399z00_1508;
BgL_arg1399z00_1508 = 
(
(long)(BgL_nz00_1493)+3L); 
BgL_v3z00_1497 = 
BGl_u32stringzd2refzd2zz__sha1z00(BgL_strz00_28, 
(int)(BgL_arg1399z00_1508)); } 
{ /* Unsafe/sha1.scm 268 */
 uint32_t BgL_vz00_1498;
{ /* Unsafe/sha1.scm 269 */
 uint32_t BgL_arg1389z00_1499; uint32_t BgL_arg1390z00_1500;
{ /* Unsafe/sha1.scm 269 */
 uint32_t BgL_arg1391z00_1501;
{ /* Unsafe/sha1.scm 269 */
 long BgL_arg1392z00_1502;
{ /* Unsafe/sha1.scm 269 */
 uint32_t BgL_tmpz00_2998;
BgL_tmpz00_2998 = 
(
(BgL_v0z00_1494 << 
(int)(8L)) | BgL_v1z00_1495); 
BgL_arg1392z00_1502 = 
(long)(BgL_tmpz00_2998); } 
BgL_arg1391z00_1501 = 
(uint32_t)(BgL_arg1392z00_1502); } 
BgL_arg1389z00_1499 = 
(BgL_arg1391z00_1501 << 
(int)(16L)); } 
{ /* Unsafe/sha1.scm 269 */
 long BgL_arg1395z00_1505;
{ /* Unsafe/sha1.scm 269 */
 uint32_t BgL_tmpz00_3006;
BgL_tmpz00_3006 = 
(
(BgL_v2z00_1496 << 
(int)(8L)) | BgL_v3z00_1497); 
BgL_arg1395z00_1505 = 
(long)(BgL_tmpz00_3006); } 
BgL_arg1390z00_1500 = 
(uint32_t)(BgL_arg1395z00_1505); } 
BgL_vz00_1498 = 
(BgL_arg1389z00_1499 | BgL_arg1390z00_1500); } 
{ /* Unsafe/sha1.scm 269 */

BGL_U32VSET(BgL_vecz00_1487, BgL_jz00_1490, BgL_vz00_1498); BUNSPEC; } } } } } } } 
VECTOR_SET(BgL_mz00_1481,BgL_iz00_1484,BgL_vecz00_1487); 
{ 
 long BgL_jz00_3015;
BgL_jz00_3015 = 
(BgL_jz00_1490+1L); 
BgL_jz00_1490 = BgL_jz00_3015; 
goto BgL_zc3z04anonymousza31387ze3z87_1491;} }  else 
{ /* Unsafe/sha1.scm 263 */((bool_t)0); } } } 
{ 
 long BgL_iz00_3017;
BgL_iz00_3017 = 
(BgL_iz00_1484+1L); 
BgL_iz00_1484 = BgL_iz00_3017; 
goto BgL_zc3z04anonymousza31385ze3z87_1485;} }  else 
{ /* Unsafe/sha1.scm 261 */((bool_t)0); } } 
return 
BGl_sha1z00zz__sha1z00(BgL_lenz00_1478, BgL_mz00_1481);} } } } } } 

}



/* &sha1sum-string */
obj_t BGl_z62sha1sumzd2stringzb0zz__sha1z00(obj_t BgL_envz00_2674, obj_t BgL_strz00_2675)
{
{ /* Unsafe/sha1.scm 253 */
{ /* Unsafe/sha1.scm 256 */
 obj_t BgL_auxz00_3020;
if(
STRINGP(BgL_strz00_2675))
{ /* Unsafe/sha1.scm 256 */
BgL_auxz00_3020 = BgL_strz00_2675
; }  else 
{ 
 obj_t BgL_auxz00_3023;
BgL_auxz00_3023 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1853z00zz__sha1z00, 
BINT(10118L), BGl_string1854z00zz__sha1z00, BGl_string1855z00zz__sha1z00, BgL_strz00_2675); 
FAILURE(BgL_auxz00_3023,BFALSE,BFALSE);} 
return 
BGl_sha1sumzd2stringzd2zz__sha1z00(BgL_auxz00_3020);} } 

}



/* sha1sum-mmap */
BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2mmapzd2zz__sha1z00(obj_t BgL_strz00_29)
{
{ /* Unsafe/sha1.scm 278 */
{ /* Unsafe/sha1.scm 281 */
 long BgL_lenz00_1522;
{ /* Unsafe/sha1.scm 281 */
 long BgL_tmpz00_3028;
BgL_tmpz00_3028 = 
BGL_MMAP_LENGTH(BgL_strz00_29); 
BgL_lenz00_1522 = 
(long)(BgL_tmpz00_3028); } 
{ /* Unsafe/sha1.scm 281 */
 long BgL_lz00_1523;
{ /* Unsafe/sha1.scm 282 */
 long BgL_tmpz00_3031;
{ /* Unsafe/sha1.scm 282 */
 obj_t BgL_tmpz00_3032;
{ /* Unsafe/sha1.scm 245 */
 obj_t BgL_rz00_2330;
BgL_rz00_2330 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(
BINT(
(BgL_lenz00_1522+1L)), 
BINT(4L)); 
if(
INTEGERP(BgL_rz00_2330))
{ /* Unsafe/sha1.scm 246 */
BgL_tmpz00_3032 = BgL_rz00_2330
; }  else 
{ /* Unsafe/sha1.scm 246 */
BgL_tmpz00_3032 = 
BINT(
(long)(
REAL_TO_DOUBLE(
BGl_ceilingz00zz__r4_numbers_6_5z00(BgL_rz00_2330))))
; } } 
BgL_tmpz00_3031 = 
(long)CINT(BgL_tmpz00_3032); } 
BgL_lz00_1523 = 
(BgL_tmpz00_3031+2L); } 
{ /* Unsafe/sha1.scm 282 */
 long BgL_nz00_1524;
{ /* Unsafe/sha1.scm 245 */
 obj_t BgL_rz00_2336;
BgL_rz00_2336 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(
BINT(BgL_lz00_1523), 
BINT(16L)); 
if(
INTEGERP(BgL_rz00_2336))
{ /* Unsafe/sha1.scm 246 */
BgL_nz00_1524 = 
(long)CINT(BgL_rz00_2336); }  else 
{ /* Unsafe/sha1.scm 246 */
BgL_nz00_1524 = 
(long)(
REAL_TO_DOUBLE(
BGl_ceilingz00zz__r4_numbers_6_5z00(BgL_rz00_2336))); } } 
{ /* Unsafe/sha1.scm 283 */
 obj_t BgL_mz00_1525;
BgL_mz00_1525 = 
make_vector(BgL_nz00_1524, BUNSPEC); 
{ /* Unsafe/sha1.scm 284 */

{ 
 long BgL_iz00_1528;
BgL_iz00_1528 = 0L; 
BgL_zc3z04anonymousza31411ze3z87_1529:
if(
(BgL_iz00_1528<BgL_nz00_1524))
{ /* Unsafe/sha1.scm 286 */
{ /* Unsafe/sha1.scm 287 */
 obj_t BgL_vecz00_1531;
{ /* Llib/srfi4.scm 451 */

BgL_vecz00_1531 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(16L, (uint32_t)(0)); } 
{ 
 long BgL_jz00_1534;
BgL_jz00_1534 = 0L; 
BgL_zc3z04anonymousza31413ze3z87_1535:
if(
(BgL_jz00_1534<16L))
{ /* Unsafe/sha1.scm 288 */
{ /* Unsafe/sha1.scm 289 */
 long BgL_nz00_1537;
{ /* Unsafe/sha1.scm 289 */
 long BgL_tmpz00_3060;
BgL_tmpz00_3060 = 
(
(BgL_iz00_1528*64L)+
(BgL_jz00_1534*4L)); 
BgL_nz00_1537 = 
(long)(BgL_tmpz00_3060); } 
{ /* Unsafe/sha1.scm 289 */
 uint32_t BgL_v0z00_1538;
BgL_v0z00_1538 = 
BGl_u32mmapzd2refzd2zz__sha1z00(BgL_strz00_29, BgL_nz00_1537); 
{ /* Unsafe/sha1.scm 290 */
 uint32_t BgL_v1z00_1539;
{ /* Unsafe/sha1.scm 291 */
 long BgL_arg1428z00_1554;
{ /* Unsafe/sha1.scm 291 */
 long BgL_za71za7_2350;
BgL_za71za7_2350 = 
(long)(BgL_nz00_1537); 
BgL_arg1428z00_1554 = 
(BgL_za71za7_2350+1L); } 
BgL_v1z00_1539 = 
BGl_u32mmapzd2refzd2zz__sha1z00(BgL_strz00_29, 
(long)(BgL_arg1428z00_1554)); } 
{ /* Unsafe/sha1.scm 291 */
 uint32_t BgL_v2z00_1540;
{ /* Unsafe/sha1.scm 292 */
 long BgL_arg1426z00_1553;
{ /* Unsafe/sha1.scm 292 */
 long BgL_za71za7_2351;
BgL_za71za7_2351 = 
(long)(BgL_nz00_1537); 
BgL_arg1426z00_1553 = 
(BgL_za71za7_2351+2L); } 
BgL_v2z00_1540 = 
BGl_u32mmapzd2refzd2zz__sha1z00(BgL_strz00_29, 
(long)(BgL_arg1426z00_1553)); } 
{ /* Unsafe/sha1.scm 292 */
 uint32_t BgL_v3z00_1541;
{ /* Unsafe/sha1.scm 293 */
 long BgL_arg1425z00_1552;
{ /* Unsafe/sha1.scm 293 */
 long BgL_za71za7_2352;
BgL_za71za7_2352 = 
(long)(BgL_nz00_1537); 
BgL_arg1425z00_1552 = 
(BgL_za71za7_2352+3L); } 
BgL_v3z00_1541 = 
BGl_u32mmapzd2refzd2zz__sha1z00(BgL_strz00_29, 
(long)(BgL_arg1425z00_1552)); } 
{ /* Unsafe/sha1.scm 293 */
 uint32_t BgL_vz00_1542;
{ /* Unsafe/sha1.scm 294 */
 uint32_t BgL_arg1415z00_1543; uint32_t BgL_arg1417z00_1544;
{ /* Unsafe/sha1.scm 294 */
 uint32_t BgL_arg1418z00_1545;
{ /* Unsafe/sha1.scm 294 */
 long BgL_arg1419z00_1546;
{ /* Unsafe/sha1.scm 294 */
 uint32_t BgL_tmpz00_3078;
BgL_tmpz00_3078 = 
(
(BgL_v0z00_1538 << 
(int)(8L)) | BgL_v1z00_1539); 
BgL_arg1419z00_1546 = 
(long)(BgL_tmpz00_3078); } 
BgL_arg1418z00_1545 = 
(uint32_t)(BgL_arg1419z00_1546); } 
BgL_arg1415z00_1543 = 
(BgL_arg1418z00_1545 << 
(int)(16L)); } 
{ /* Unsafe/sha1.scm 294 */
 long BgL_arg1422z00_1549;
{ /* Unsafe/sha1.scm 294 */
 uint32_t BgL_tmpz00_3086;
BgL_tmpz00_3086 = 
(
(BgL_v2z00_1540 << 
(int)(8L)) | BgL_v3z00_1541); 
BgL_arg1422z00_1549 = 
(long)(BgL_tmpz00_3086); } 
BgL_arg1417z00_1544 = 
(uint32_t)(BgL_arg1422z00_1549); } 
BgL_vz00_1542 = 
(BgL_arg1415z00_1543 | BgL_arg1417z00_1544); } 
{ /* Unsafe/sha1.scm 294 */

BGL_U32VSET(BgL_vecz00_1531, BgL_jz00_1534, BgL_vz00_1542); BUNSPEC; } } } } } } } 
VECTOR_SET(BgL_mz00_1525,BgL_iz00_1528,BgL_vecz00_1531); 
{ 
 long BgL_jz00_3095;
BgL_jz00_3095 = 
(BgL_jz00_1534+1L); 
BgL_jz00_1534 = BgL_jz00_3095; 
goto BgL_zc3z04anonymousza31413ze3z87_1535;} }  else 
{ /* Unsafe/sha1.scm 288 */((bool_t)0); } } } 
{ 
 long BgL_iz00_3097;
BgL_iz00_3097 = 
(BgL_iz00_1528+1L); 
BgL_iz00_1528 = BgL_iz00_3097; 
goto BgL_zc3z04anonymousza31411ze3z87_1529;} }  else 
{ /* Unsafe/sha1.scm 286 */((bool_t)0); } } 
return 
BGl_sha1z00zz__sha1z00(BgL_lenz00_1522, BgL_mz00_1525);} } } } } } 

}



/* &sha1sum-mmap */
obj_t BGl_z62sha1sumzd2mmapzb0zz__sha1z00(obj_t BgL_envz00_2676, obj_t BgL_strz00_2677)
{
{ /* Unsafe/sha1.scm 278 */
{ /* Unsafe/sha1.scm 281 */
 obj_t BgL_auxz00_3100;
if(
BGL_MMAPP(BgL_strz00_2677))
{ /* Unsafe/sha1.scm 281 */
BgL_auxz00_3100 = BgL_strz00_2677
; }  else 
{ 
 obj_t BgL_auxz00_3103;
BgL_auxz00_3103 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1853z00zz__sha1z00, 
BINT(11050L), BGl_string1856z00zz__sha1z00, BGl_string1857z00zz__sha1z00, BgL_strz00_2677); 
FAILURE(BgL_auxz00_3103,BFALSE,BFALSE);} 
return 
BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_auxz00_3100);} } 

}



/* sha1sum-port */
BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2portzd2zz__sha1z00(obj_t BgL_ipz00_30)
{
{ /* Unsafe/sha1.scm 303 */
{ /* Unsafe/sha1.scm 306 */
 obj_t BgL_bufz00_1566;
{ /* Ieee/string.scm 168 */

BgL_bufz00_1566 = 
make_string(64L, ((unsigned char)' ')); } 
{ 
 long BgL_lenz00_1569; obj_t BgL_lz00_1570; long BgL_nlz00_1571;
BgL_lenz00_1569 = 0L; 
BgL_lz00_1570 = BNIL; 
BgL_nlz00_1571 = 0L; 
BgL_zc3z04anonymousza31436ze3z87_1572:
BGl_stringzd2fillz12zc0zz__r4_strings_6_7z00(BgL_bufz00_1566, ((unsigned char)'\000')); 
{ /* Unsafe/sha1.scm 312 */
 obj_t BgL_cz00_1573;
{ /* Unsafe/sha1.scm 312 */
 long BgL_nz00_2372;
BgL_nz00_2372 = 
bgl_rgc_blit_string(BgL_ipz00_30, 
BSTRING_TO_STRING(BgL_bufz00_1566), 0L, 64L); 
{ /* Unsafe/sha1.scm 312 */
 bool_t BgL_test1902z00_3112;
if(
(BgL_nz00_2372==0L))
{ /* Unsafe/sha1.scm 312 */
BgL_test1902z00_3112 = 
rgc_buffer_eof_p(BgL_ipz00_30)
; }  else 
{ /* Unsafe/sha1.scm 312 */
BgL_test1902z00_3112 = ((bool_t)0)
; } 
if(BgL_test1902z00_3112)
{ /* Unsafe/sha1.scm 312 */
BgL_cz00_1573 = BEOF; }  else 
{ /* Unsafe/sha1.scm 312 */
BgL_cz00_1573 = 
BINT(BgL_nz00_2372); } } } 
{ /* Unsafe/sha1.scm 312 */
 obj_t BgL_lz00_1574;
if(
EOF_OBJECTP(BgL_cz00_1573))
{ /* Unsafe/sha1.scm 313 */
BgL_lz00_1574 = 
BINT(0L); }  else 
{ /* Unsafe/sha1.scm 313 */
BgL_lz00_1574 = BgL_cz00_1573; } 
{ /* Unsafe/sha1.scm 313 */
 long BgL_nlenz00_1575;
BgL_nlenz00_1575 = 
(
(long)CINT(BgL_lz00_1574)+BgL_lenz00_1569); 
{ /* Unsafe/sha1.scm 314 */
 obj_t BgL_vecz00_1576;
BgL_vecz00_1576 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(16L, 
(uint32_t)(0L)); 
{ /* Unsafe/sha1.scm 315 */

if(
(
(long)CINT(BgL_lz00_1574)<64L))
{ /* Unsafe/sha1.scm 316 */
 long BgL_tmpz00_3127;
BgL_tmpz00_3127 = 
(long)CINT(BgL_lz00_1574); 
STRING_SET(BgL_bufz00_1566, BgL_tmpz00_3127, ((unsigned char)128)); }  else 
{ /* Unsafe/sha1.scm 316 */BFALSE; } 
{ 
 long BgL_jz00_1580;
BgL_jz00_1580 = 0L; 
BgL_zc3z04anonymousza31438ze3z87_1581:
if(
(BgL_jz00_1580<16L))
{ /* Unsafe/sha1.scm 317 */
{ /* Unsafe/sha1.scm 318 */
 int BgL_nz00_1583;
BgL_nz00_1583 = 
(int)(
(BgL_jz00_1580*4L)); 
{ /* Unsafe/sha1.scm 318 */
 uint32_t BgL_v0z00_1584;
{ /* Unsafe/sha1.scm 319 */
 long BgL_tmpz00_3134;
BgL_tmpz00_3134 = 
(
STRING_REF(BgL_bufz00_1566, 
(long)(BgL_nz00_1583))); 
BgL_v0z00_1584 = 
(uint32_t)(BgL_tmpz00_3134); } 
{ /* Unsafe/sha1.scm 319 */
 uint32_t BgL_v1z00_1585;
{ /* Unsafe/sha1.scm 320 */
 long BgL_tmpz00_3139;
BgL_tmpz00_3139 = 
(
STRING_REF(BgL_bufz00_1566, 
(
(long)(BgL_nz00_1583)+1L))); 
BgL_v1z00_1585 = 
(uint32_t)(BgL_tmpz00_3139); } 
{ /* Unsafe/sha1.scm 320 */
 uint32_t BgL_v2z00_1586;
{ /* Unsafe/sha1.scm 321 */
 long BgL_tmpz00_3145;
BgL_tmpz00_3145 = 
(
STRING_REF(BgL_bufz00_1566, 
(
(long)(BgL_nz00_1583)+2L))); 
BgL_v2z00_1586 = 
(uint32_t)(BgL_tmpz00_3145); } 
{ /* Unsafe/sha1.scm 321 */
 uint32_t BgL_v3z00_1587;
{ /* Unsafe/sha1.scm 322 */
 long BgL_tmpz00_3151;
BgL_tmpz00_3151 = 
(
STRING_REF(BgL_bufz00_1566, 
(
(long)(BgL_nz00_1583)+3L))); 
BgL_v3z00_1587 = 
(uint32_t)(BgL_tmpz00_3151); } 
{ /* Unsafe/sha1.scm 322 */
 uint32_t BgL_vz00_1588;
{ /* Unsafe/sha1.scm 323 */
 uint32_t BgL_arg1440z00_1589; uint32_t BgL_arg1441z00_1590;
{ /* Unsafe/sha1.scm 323 */
 uint32_t BgL_arg1442z00_1591;
{ /* Unsafe/sha1.scm 323 */
 long BgL_arg1443z00_1592;
{ /* Unsafe/sha1.scm 323 */
 uint32_t BgL_tmpz00_3157;
BgL_tmpz00_3157 = 
(
(BgL_v0z00_1584 << 
(int)(8L)) | BgL_v1z00_1585); 
BgL_arg1443z00_1592 = 
(long)(BgL_tmpz00_3157); } 
BgL_arg1442z00_1591 = 
(uint32_t)(BgL_arg1443z00_1592); } 
BgL_arg1440z00_1589 = 
(BgL_arg1442z00_1591 << 
(int)(16L)); } 
{ /* Unsafe/sha1.scm 323 */
 long BgL_arg1446z00_1595;
{ /* Unsafe/sha1.scm 323 */
 uint32_t BgL_tmpz00_3165;
BgL_tmpz00_3165 = 
(
(BgL_v2z00_1586 << 
(int)(8L)) | BgL_v3z00_1587); 
BgL_arg1446z00_1595 = 
(long)(BgL_tmpz00_3165); } 
BgL_arg1441z00_1590 = 
(uint32_t)(BgL_arg1446z00_1595); } 
BgL_vz00_1588 = 
(BgL_arg1440z00_1589 | BgL_arg1441z00_1590); } 
{ /* Unsafe/sha1.scm 323 */

BGL_U32VSET(BgL_vecz00_1576, BgL_jz00_1580, BgL_vz00_1588); BUNSPEC; } } } } } } } 
{ 
 long BgL_jz00_3173;
BgL_jz00_3173 = 
(BgL_jz00_1580+1L); 
BgL_jz00_1580 = BgL_jz00_3173; 
goto BgL_zc3z04anonymousza31438ze3z87_1581;} }  else 
{ /* Unsafe/sha1.scm 317 */((bool_t)0); } } 
if(
(
(long)CINT(BgL_lz00_1574)<64L))
{ /* Unsafe/sha1.scm 327 */
 long BgL_flz00_1608;
{ /* Unsafe/sha1.scm 327 */
 long BgL_tmpz00_3178;
{ /* Unsafe/sha1.scm 327 */
 obj_t BgL_tmpz00_3179;
{ /* Unsafe/sha1.scm 245 */
 obj_t BgL_rz00_2416;
BgL_rz00_2416 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(
BINT(
(BgL_nlenz00_1575+1L)), 
BINT(4L)); 
if(
INTEGERP(BgL_rz00_2416))
{ /* Unsafe/sha1.scm 246 */
BgL_tmpz00_3179 = BgL_rz00_2416
; }  else 
{ /* Unsafe/sha1.scm 246 */
BgL_tmpz00_3179 = 
BINT(
(long)(
REAL_TO_DOUBLE(
BGl_ceilingz00zz__r4_numbers_6_5z00(BgL_rz00_2416))))
; } } 
BgL_tmpz00_3178 = 
(long)CINT(BgL_tmpz00_3179); } 
BgL_flz00_1608 = 
(BgL_tmpz00_3178+2L); } 
{ /* Unsafe/sha1.scm 327 */
 long BgL_nz00_1609;
{ /* Unsafe/sha1.scm 245 */
 obj_t BgL_rz00_2422;
BgL_rz00_2422 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(
BINT(BgL_flz00_1608), 
BINT(16L)); 
if(
INTEGERP(BgL_rz00_2422))
{ /* Unsafe/sha1.scm 246 */
BgL_nz00_1609 = 
(long)CINT(BgL_rz00_2422); }  else 
{ /* Unsafe/sha1.scm 246 */
BgL_nz00_1609 = 
(long)(
REAL_TO_DOUBLE(
BGl_ceilingz00zz__r4_numbers_6_5z00(BgL_rz00_2422))); } } 
{ /* Unsafe/sha1.scm 328 */
 obj_t BgL_mz00_1610;
{ /* Unsafe/sha1.scm 331 */
 obj_t BgL_arg1460z00_1611;
{ /* Unsafe/sha1.scm 331 */
 obj_t BgL_arg1461z00_1612;
if(
(BgL_nz00_1609>
(1L+BgL_nlz00_1571)))
{ /* Unsafe/sha1.scm 332 */
 obj_t BgL_arg1464z00_1615; obj_t BgL_arg1465z00_1616;
BgL_arg1464z00_1615 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(16L, (uint32_t)(0)); 
BgL_arg1465z00_1616 = 
MAKE_YOUNG_PAIR(BgL_vecz00_1576, BgL_lz00_1570); 
BgL_arg1461z00_1612 = 
MAKE_YOUNG_PAIR(BgL_arg1464z00_1615, BgL_arg1465z00_1616); }  else 
{ /* Unsafe/sha1.scm 331 */
BgL_arg1461z00_1612 = 
MAKE_YOUNG_PAIR(BgL_vecz00_1576, BgL_lz00_1570); } 
BgL_arg1460z00_1611 = 
bgl_reverse_bang(BgL_arg1461z00_1612); } 
BgL_mz00_1610 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg1460z00_1611); } 
{ /* Unsafe/sha1.scm 329 */

return 
BGl_sha1z00zz__sha1z00(BgL_nlenz00_1575, BgL_mz00_1610);} } } }  else 
{ /* Unsafe/sha1.scm 335 */
 obj_t BgL_arg1469z00_1620; long BgL_arg1470z00_1621;
BgL_arg1469z00_1620 = 
MAKE_YOUNG_PAIR(BgL_vecz00_1576, BgL_lz00_1570); 
BgL_arg1470z00_1621 = 
(BgL_nlz00_1571+1L); 
{ 
 long BgL_nlz00_3215; obj_t BgL_lz00_3214; long BgL_lenz00_3213;
BgL_lenz00_3213 = BgL_nlenz00_1575; 
BgL_lz00_3214 = BgL_arg1469z00_1620; 
BgL_nlz00_3215 = BgL_arg1470z00_1621; 
BgL_nlz00_1571 = BgL_nlz00_3215; 
BgL_lz00_1570 = BgL_lz00_3214; 
BgL_lenz00_1569 = BgL_lenz00_3213; 
goto BgL_zc3z04anonymousza31436ze3z87_1572;} } } } } } } } } } 

}



/* &sha1sum-port */
obj_t BGl_z62sha1sumzd2portzb0zz__sha1z00(obj_t BgL_envz00_2678, obj_t BgL_ipz00_2679)
{
{ /* Unsafe/sha1.scm 303 */
{ /* Unsafe/sha1.scm 306 */
 obj_t BgL_auxz00_3216;
if(
INPUT_PORTP(BgL_ipz00_2679))
{ /* Unsafe/sha1.scm 306 */
BgL_auxz00_3216 = BgL_ipz00_2679
; }  else 
{ 
 obj_t BgL_auxz00_3219;
BgL_auxz00_3219 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1853z00zz__sha1z00, 
BINT(11985L), BGl_string1858z00zz__sha1z00, BGl_string1859z00zz__sha1z00, BgL_ipz00_2679); 
FAILURE(BgL_auxz00_3219,BFALSE,BFALSE);} 
return 
BGl_sha1sumzd2portzd2zz__sha1z00(BgL_auxz00_3216);} } 

}



/* sha1sum-file */
BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2filezd2zz__sha1z00(obj_t BgL_fnamez00_31)
{
{ /* Unsafe/sha1.scm 340 */
{ /* Unsafe/sha1.scm 341 */
 obj_t BgL_mmz00_1626;
BgL_mmz00_1626 = 
BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_31, BTRUE, BFALSE); 
if(
BGL_MMAPP(BgL_mmz00_1626))
{ /* Unsafe/sha1.scm 343 */
 obj_t BgL_exitd1072z00_1628;
BgL_exitd1072z00_1628 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Unsafe/sha1.scm 345 */
 obj_t BgL_zc3z04anonymousza31473ze3z87_2680;
BgL_zc3z04anonymousza31473ze3z87_2680 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31473ze3ze5zz__sha1z00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31473ze3z87_2680, 
(int)(0L), BgL_mmz00_1626); 
{ /* Unsafe/sha1.scm 343 */
 obj_t BgL_arg1830z00_2432;
{ /* Unsafe/sha1.scm 343 */
 obj_t BgL_arg1831z00_2433;
BgL_arg1831z00_2433 = 
BGL_EXITD_PROTECT(BgL_exitd1072z00_1628); 
BgL_arg1830z00_2432 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31473ze3z87_2680, BgL_arg1831z00_2433); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1072z00_1628, BgL_arg1830z00_2432); BUNSPEC; } 
{ /* Unsafe/sha1.scm 344 */
 obj_t BgL_tmp1074z00_1630;
BgL_tmp1074z00_1630 = 
BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_mmz00_1626); 
{ /* Unsafe/sha1.scm 343 */
 bool_t BgL_test1913z00_3237;
{ /* Unsafe/sha1.scm 343 */
 obj_t BgL_arg1828z00_2435;
BgL_arg1828z00_2435 = 
BGL_EXITD_PROTECT(BgL_exitd1072z00_1628); 
BgL_test1913z00_3237 = 
PAIRP(BgL_arg1828z00_2435); } 
if(BgL_test1913z00_3237)
{ /* Unsafe/sha1.scm 343 */
 obj_t BgL_arg1826z00_2436;
{ /* Unsafe/sha1.scm 343 */
 obj_t BgL_arg1827z00_2437;
BgL_arg1827z00_2437 = 
BGL_EXITD_PROTECT(BgL_exitd1072z00_1628); 
BgL_arg1826z00_2436 = 
CDR(
((obj_t)BgL_arg1827z00_2437)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1072z00_1628, BgL_arg1826z00_2436); BUNSPEC; }  else 
{ /* Unsafe/sha1.scm 343 */BFALSE; } } 
BGl_z62zc3z04anonymousza31473ze3ze5zz__sha1z00(BgL_zc3z04anonymousza31473ze3z87_2680); 
return BgL_tmp1074z00_1630;} } }  else 
{ /* Unsafe/sha1.scm 346 */
 obj_t BgL_pz00_1633;
{ /* Ieee/port.scm 460 */

BgL_pz00_1633 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_fnamez00_31, BTRUE, 
BINT(5000000L)); } 
{ /* Unsafe/sha1.scm 347 */
 obj_t BgL_exitd1076z00_1634;
BgL_exitd1076z00_1634 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Unsafe/sha1.scm 349 */
 obj_t BgL_zc3z04anonymousza31474ze3z87_2681;
BgL_zc3z04anonymousza31474ze3z87_2681 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31474ze3ze5zz__sha1z00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31474ze3z87_2681, 
(int)(0L), BgL_pz00_1633); 
{ /* Unsafe/sha1.scm 347 */
 obj_t BgL_arg1830z00_2440;
{ /* Unsafe/sha1.scm 347 */
 obj_t BgL_arg1831z00_2441;
BgL_arg1831z00_2441 = 
BGL_EXITD_PROTECT(BgL_exitd1076z00_1634); 
BgL_arg1830z00_2440 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31474ze3z87_2681, BgL_arg1831z00_2441); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1076z00_1634, BgL_arg1830z00_2440); BUNSPEC; } 
{ /* Unsafe/sha1.scm 348 */
 obj_t BgL_tmp1078z00_1636;
BgL_tmp1078z00_1636 = 
BGl_sha1sumzd2portzd2zz__sha1z00(BgL_pz00_1633); 
{ /* Unsafe/sha1.scm 347 */
 bool_t BgL_test1914z00_3257;
{ /* Unsafe/sha1.scm 347 */
 obj_t BgL_arg1828z00_2443;
BgL_arg1828z00_2443 = 
BGL_EXITD_PROTECT(BgL_exitd1076z00_1634); 
BgL_test1914z00_3257 = 
PAIRP(BgL_arg1828z00_2443); } 
if(BgL_test1914z00_3257)
{ /* Unsafe/sha1.scm 347 */
 obj_t BgL_arg1826z00_2444;
{ /* Unsafe/sha1.scm 347 */
 obj_t BgL_arg1827z00_2445;
BgL_arg1827z00_2445 = 
BGL_EXITD_PROTECT(BgL_exitd1076z00_1634); 
BgL_arg1826z00_2444 = 
CDR(
((obj_t)BgL_arg1827z00_2445)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1076z00_1634, BgL_arg1826z00_2444); BUNSPEC; }  else 
{ /* Unsafe/sha1.scm 347 */BFALSE; } } 
BGl_z62zc3z04anonymousza31474ze3ze5zz__sha1z00(BgL_zc3z04anonymousza31474ze3z87_2681); 
return BgL_tmp1078z00_1636;} } } } } } 

}



/* &sha1sum-file */
obj_t BGl_z62sha1sumzd2filezb0zz__sha1z00(obj_t BgL_envz00_2682, obj_t BgL_fnamez00_2683)
{
{ /* Unsafe/sha1.scm 340 */
{ /* Unsafe/sha1.scm 341 */
 obj_t BgL_auxz00_3265;
if(
STRINGP(BgL_fnamez00_2683))
{ /* Unsafe/sha1.scm 341 */
BgL_auxz00_3265 = BgL_fnamez00_2683
; }  else 
{ 
 obj_t BgL_auxz00_3268;
BgL_auxz00_3268 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1853z00zz__sha1z00, 
BINT(13262L), BGl_string1860z00zz__sha1z00, BGl_string1855z00zz__sha1z00, BgL_fnamez00_2683); 
FAILURE(BgL_auxz00_3268,BFALSE,BFALSE);} 
return 
BGl_sha1sumzd2filezd2zz__sha1z00(BgL_auxz00_3265);} } 

}



/* &<@anonymous:1473> */
obj_t BGl_z62zc3z04anonymousza31473ze3ze5zz__sha1z00(obj_t BgL_envz00_2684)
{
{ /* Unsafe/sha1.scm 343 */
{ /* Unsafe/sha1.scm 345 */
 obj_t BgL_mmz00_2685;
BgL_mmz00_2685 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2684, 
(int)(0L))); 
return 
bgl_close_mmap(BgL_mmz00_2685);} } 

}



/* &<@anonymous:1474> */
obj_t BGl_z62zc3z04anonymousza31474ze3ze5zz__sha1z00(obj_t BgL_envz00_2686)
{
{ /* Unsafe/sha1.scm 347 */
{ /* Unsafe/sha1.scm 349 */
 obj_t BgL_pz00_2687;
BgL_pz00_2687 = 
PROCEDURE_REF(BgL_envz00_2686, 
(int)(0L)); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_2687));} } 

}



/* sha1sum */
BGL_EXPORTED_DEF obj_t BGl_sha1sumz00zz__sha1z00(obj_t BgL_objz00_32)
{
{ /* Unsafe/sha1.scm 354 */
if(
BGL_MMAPP(BgL_objz00_32))
{ /* Unsafe/sha1.scm 356 */
return 
BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_objz00_32);}  else 
{ /* Unsafe/sha1.scm 356 */
if(
STRINGP(BgL_objz00_32))
{ /* Unsafe/sha1.scm 358 */
return 
BGl_sha1sumzd2stringzd2zz__sha1z00(BgL_objz00_32);}  else 
{ /* Unsafe/sha1.scm 358 */
if(
INPUT_PORTP(BgL_objz00_32))
{ /* Unsafe/sha1.scm 360 */
return 
BGl_sha1sumzd2portzd2zz__sha1z00(BgL_objz00_32);}  else 
{ /* Unsafe/sha1.scm 360 */
return 
BGl_errorz00zz__errorz00(BGl_string1861z00zz__sha1z00, BGl_string1862z00zz__sha1z00, BgL_objz00_32);} } } } 

}



/* &sha1sum */
obj_t BGl_z62sha1sumz62zz__sha1z00(obj_t BgL_envz00_2688, obj_t BgL_objz00_2689)
{
{ /* Unsafe/sha1.scm 354 */
return 
BGl_sha1sumz00zz__sha1z00(BgL_objz00_2689);} 

}



/* hmac-sha1sum-string */
BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(obj_t BgL_keyz00_33, obj_t BgL_messagez00_34)
{
{ /* Unsafe/sha1.scm 368 */
return 
BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_33, BgL_messagez00_34, BGl_sha1sumzd2stringzd2envz00zz__sha1z00);} 

}



/* &hmac-sha1sum-string */
obj_t BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00(obj_t BgL_envz00_2690, obj_t BgL_keyz00_2691, obj_t BgL_messagez00_2692)
{
{ /* Unsafe/sha1.scm 368 */
{ /* Unsafe/sha1.scm 369 */
 obj_t BgL_auxz00_3300; obj_t BgL_auxz00_3293;
if(
STRINGP(BgL_messagez00_2692))
{ /* Unsafe/sha1.scm 369 */
BgL_auxz00_3300 = BgL_messagez00_2692
; }  else 
{ 
 obj_t BgL_auxz00_3303;
BgL_auxz00_3303 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1853z00zz__sha1z00, 
BINT(14229L), BGl_string1863z00zz__sha1z00, BGl_string1855z00zz__sha1z00, BgL_messagez00_2692); 
FAILURE(BgL_auxz00_3303,BFALSE,BFALSE);} 
if(
STRINGP(BgL_keyz00_2691))
{ /* Unsafe/sha1.scm 369 */
BgL_auxz00_3293 = BgL_keyz00_2691
; }  else 
{ 
 obj_t BgL_auxz00_3296;
BgL_auxz00_3296 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1853z00zz__sha1z00, 
BINT(14229L), BGl_string1863z00zz__sha1z00, BGl_string1855z00zz__sha1z00, BgL_keyz00_2691); 
FAILURE(BgL_auxz00_3296,BFALSE,BFALSE);} 
return 
BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(BgL_auxz00_3293, BgL_auxz00_3300);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__sha1z00(void)
{
{ /* Unsafe/sha1.scm 17 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__sha1z00(void)
{
{ /* Unsafe/sha1.scm 17 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__sha1z00(void)
{
{ /* Unsafe/sha1.scm 17 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__sha1z00(void)
{
{ /* Unsafe/sha1.scm 17 */
BGl_modulezd2initializa7ationz75zz__paramz00(453939141L, 
BSTRING_TO_STRING(BGl_string1864z00zz__sha1z00)); 
return 
BGl_modulezd2initializa7ationz75zz__hmacz00(285132844L, 
BSTRING_TO_STRING(BGl_string1864z00zz__sha1z00));} 

}

#ifdef __cplusplus
}
#endif
