/*===========================================================================*/
/*   (Unsafe/sha1.scm)                                                       */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Unsafe/sha1.scm -indent -o objs/obj_u/Unsafe/sha1.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___SHA1_TYPE_DEFINITIONS
#define BGL___SHA1_TYPE_DEFINITIONS
#endif													// BGL___SHA1_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static uint32_t BGl_fz00zz__sha1z00(int, uint32_t, uint32_t, uint32_t);
	static obj_t BGl_z62sha1sumzd2filezb0zz__sha1z00(obj_t, obj_t);
	static obj_t BGl_z62sha1sumzd2stringzb0zz__sha1z00(obj_t, obj_t);
	static obj_t BGl_sha1z00zz__sha1z00(long, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__sha1z00 = BUNSPEC;
	static obj_t BGl_z62sha1sumzd2portzb0zz__sha1z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2filezd2zz__sha1z00(obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sha1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sha1sumzd2mmapzb0zz__sha1z00(obj_t, obj_t);
	extern obj_t BGl_openzd2mmapzd2zz__mmapz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2portzd2zz__sha1z00(obj_t);
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__sha1z00(void);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2mmapzd2zz__sha1z00(obj_t);
	extern obj_t BGl_ceilingz00zz__r4_numbers_6_5z00(obj_t);
	extern bool_t rgc_buffer_eof_p(obj_t);
	static obj_t BGl_genericzd2initzd2zz__sha1z00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zz__sha1z00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__sha1z00(void);
	static obj_t BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zz__sha1z00(void);
	extern obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t, obj_t, obj_t);
	extern long bgl_rgc_blit_string(obj_t, char *, long, long);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2stringzd2zz__sha1z00(obj_t);
	extern obj_t BGl_makezd2u32vectorzd2zz__srfi4z00(long, uint32_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31500ze3ze5zz__sha1z00(obj_t);
	extern obj_t make_vector(long, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31501ze3ze5zz__sha1z00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__sha1z00(void);
	extern obj_t blit_string(obj_t, long, obj_t, long, long);
	static obj_t BGl_u32zd2fillz12zc0zz__sha1z00(obj_t, long, uint32_t);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumz00zz__sha1z00(obj_t);
	extern obj_t make_string(long, unsigned char);
	static obj_t BGl_z62sha1sumz62zz__sha1z00(obj_t, obj_t);
	extern obj_t bgl_close_input_port(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_Kz00zz__sha1z00 = BUNSPEC;
	extern obj_t BGl_stringzd2fillz12zc0zz__r4_strings_6_7z00(obj_t,
		unsigned char);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2portzd2envz00zz__sha1z00,
		BgL_bgl_za762sha1sumza7d2por1923z00, BGl_z62sha1sumzd2portzb0zz__sha1z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2envzd2zz__sha1z00,
		BgL_bgl_za762sha1sumza762za7za7_1924z00, BGl_z62sha1sumz62zz__sha1z00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2mmapzd2envz00zz__sha1z00,
		BgL_bgl_za762sha1sumza7d2mma1925z00, BGl_z62sha1sumzd2mmapzb0zz__sha1z00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1911z00zz__sha1z00,
		BgL_bgl_string1911za700za7za7_1926za7,
		"/tmp/bigloo/runtime/Unsafe/sha1.scm", 35);
	      DEFINE_STRING(BGl_string1912z00zz__sha1z00,
		BgL_bgl_string1912za700za7za7_1927za7, "&sha1sum-string", 15);
	      DEFINE_STRING(BGl_string1913z00zz__sha1z00,
		BgL_bgl_string1913za700za7za7_1928za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1914z00zz__sha1z00,
		BgL_bgl_string1914za700za7za7_1929za7, "&sha1sum-mmap", 13);
	      DEFINE_STRING(BGl_string1915z00zz__sha1z00,
		BgL_bgl_string1915za700za7za7_1930za7, "mmap", 4);
	      DEFINE_STRING(BGl_string1916z00zz__sha1z00,
		BgL_bgl_string1916za700za7za7_1931za7, "&sha1sum-port", 13);
	      DEFINE_STRING(BGl_string1917z00zz__sha1z00,
		BgL_bgl_string1917za700za7za7_1932za7, "input-port", 10);
	      DEFINE_STRING(BGl_string1918z00zz__sha1z00,
		BgL_bgl_string1918za700za7za7_1933za7, "&sha1sum-file", 13);
	      DEFINE_STRING(BGl_string1919z00zz__sha1z00,
		BgL_bgl_string1919za700za7za7_1934za7, "sha1sum", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_hmaczd2sha1sumzd2stringzd2envzd2zz__sha1z00,
		BgL_bgl_za762hmacza7d2sha1su1935z00,
		BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1920z00zz__sha1z00,
		BgL_bgl_string1920za700za7za7_1936za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string1921z00zz__sha1z00,
		BgL_bgl_string1921za700za7za7_1937za7, "&hmac-sha1sum-string", 20);
	      DEFINE_STRING(BGl_string1922z00zz__sha1z00,
		BgL_bgl_string1922za700za7za7_1938za7, "__sha1", 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2filezd2envz00zz__sha1z00,
		BgL_bgl_za762sha1sumza7d2fil1939z00, BGl_z62sha1sumzd2filezb0zz__sha1z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2stringzd2envz00zz__sha1z00,
		BgL_bgl_za762sha1sumza7d2str1940z00, BGl_z62sha1sumzd2stringzb0zz__sha1z00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__sha1z00));
		     ADD_ROOT((void *) (&BGl_Kz00zz__sha1z00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sha1z00(long
		BgL_checksumz00_2933, char *BgL_fromz00_2934)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__sha1z00))
				{
					BGl_requirezd2initializa7ationz75zz__sha1z00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__sha1z00();
					BGl_importedzd2moduleszd2initz00zz__sha1z00();
					return BGl_toplevelzd2initzd2zz__sha1z00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__sha1z00(void)
	{
		{	/* Unsafe/sha1.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__sha1z00(void)
	{
		{	/* Unsafe/sha1.scm 17 */
			{	/* Unsafe/sha1.scm 129 */
				obj_t BgL_vz00_1300;

				{	/* Llib/srfi4.scm 451 */

					BgL_vz00_1300 =
						BGl_makezd2u32vectorzd2zz__srfi4z00(4L, (uint32_t) (0));
				}
				{	/* Unsafe/sha1.scm 130 */
					uint32_t BgL_arg1232z00_1301;

					{	/* Unsafe/sha1.scm 130 */
						uint32_t BgL_arg1233z00_1302;
						uint32_t BgL_arg1234z00_1303;

						{	/* Unsafe/sha1.scm 130 */
							uint32_t BgL_arg1237z00_1304;

							BgL_arg1237z00_1304 = (uint32_t) (23170L);
							BgL_arg1233z00_1302 = (BgL_arg1237z00_1304 << (int) (16L));
						}
						BgL_arg1234z00_1303 = (uint32_t) (31129L);
						BgL_arg1232z00_1301 = (BgL_arg1233z00_1302 | BgL_arg1234z00_1303);
					}
					BGL_U32VSET(BgL_vz00_1300, 0L, BgL_arg1232z00_1301);
					BUNSPEC;
				}
				{	/* Unsafe/sha1.scm 131 */
					uint32_t BgL_arg1240z00_1305;

					{	/* Unsafe/sha1.scm 131 */
						uint32_t BgL_arg1241z00_1306;
						uint32_t BgL_arg1242z00_1307;

						{	/* Unsafe/sha1.scm 131 */
							uint32_t BgL_arg1244z00_1308;

							BgL_arg1244z00_1308 = (uint32_t) (28377L);
							BgL_arg1241z00_1306 = (BgL_arg1244z00_1308 << (int) (16L));
						}
						BgL_arg1242z00_1307 = (uint32_t) (60321L);
						BgL_arg1240z00_1305 = (BgL_arg1241z00_1306 | BgL_arg1242z00_1307);
					}
					BGL_U32VSET(BgL_vz00_1300, 1L, BgL_arg1240z00_1305);
					BUNSPEC;
				}
				{	/* Unsafe/sha1.scm 132 */
					uint32_t BgL_arg1246z00_1309;

					{	/* Unsafe/sha1.scm 132 */
						uint32_t BgL_arg1247z00_1310;
						uint32_t BgL_arg1248z00_1311;

						{	/* Unsafe/sha1.scm 132 */
							uint32_t BgL_arg1249z00_1312;

							BgL_arg1249z00_1312 = (uint32_t) (36635L);
							BgL_arg1247z00_1310 = (BgL_arg1249z00_1312 << (int) (16L));
						}
						BgL_arg1248z00_1311 = (uint32_t) (48348L);
						BgL_arg1246z00_1309 = (BgL_arg1247z00_1310 | BgL_arg1248z00_1311);
					}
					BGL_U32VSET(BgL_vz00_1300, 2L, BgL_arg1246z00_1309);
					BUNSPEC;
				}
				{	/* Unsafe/sha1.scm 133 */
					uint32_t BgL_arg1250z00_1313;

					{	/* Unsafe/sha1.scm 133 */
						uint32_t BgL_arg1252z00_1314;
						uint32_t BgL_arg1253z00_1315;

						{	/* Unsafe/sha1.scm 133 */
							uint32_t BgL_arg1254z00_1316;

							BgL_arg1254z00_1316 = (uint32_t) (51810L);
							BgL_arg1252z00_1314 = (BgL_arg1254z00_1316 << (int) (16L));
						}
						BgL_arg1253z00_1315 = (uint32_t) (49622L);
						BgL_arg1250z00_1313 = (BgL_arg1252z00_1314 | BgL_arg1253z00_1315);
					}
					BGL_U32VSET(BgL_vz00_1300, 3L, BgL_arg1250z00_1313);
					BUNSPEC;
				}
				return (BGl_Kz00zz__sha1z00 = BgL_vz00_1300, BUNSPEC);
			}
		}

	}



/* u32-fill! */
	obj_t BGl_u32zd2fillz12zc0zz__sha1z00(obj_t BgL_strz00_5,
		long BgL_offsetz00_6, uint32_t BgL_wz00_7)
	{
		{	/* Unsafe/sha1.scm 105 */
			{	/* Unsafe/sha1.scm 106 */
				obj_t BgL_s1z00_1330;

				{	/* Unsafe/sha1.scm 106 */
					long BgL_arg1285z00_1341;

					{	/* Unsafe/sha1.scm 106 */
						uint32_t BgL_tmpz00_2967;

						BgL_tmpz00_2967 = (BgL_wz00_7 >> (int) (16L));
						BgL_arg1285z00_1341 = (long) (BgL_tmpz00_2967);
					}
					BgL_s1z00_1330 =
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
						(BgL_arg1285z00_1341, 16L);
				}
				{	/* Unsafe/sha1.scm 106 */
					long BgL_l1z00_1331;

					BgL_l1z00_1331 = STRING_LENGTH(BgL_s1z00_1330);
					{	/* Unsafe/sha1.scm 107 */
						obj_t BgL_s2z00_1332;

						{	/* Unsafe/sha1.scm 108 */
							long BgL_arg1283z00_1339;

							{	/* Unsafe/sha1.scm 108 */
								uint32_t BgL_tmpz00_2973;

								BgL_tmpz00_2973 = (BgL_wz00_7 & (uint32_t) (65535));
								BgL_arg1283z00_1339 = (long) (BgL_tmpz00_2973);
							}
							BgL_s2z00_1332 =
								BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
								(BgL_arg1283z00_1339, 16L);
						}
						{	/* Unsafe/sha1.scm 108 */
							long BgL_l2z00_1333;

							BgL_l2z00_1333 = STRING_LENGTH(BgL_s2z00_1332);
							{	/* Unsafe/sha1.scm 109 */

								blit_string(BgL_s1z00_1330, 0L, BgL_strz00_5,
									(BgL_offsetz00_6 + (4L - BgL_l1z00_1331)), BgL_l1z00_1331);
								return
									blit_string(BgL_s2z00_1332, 0L, BgL_strz00_5,
									(BgL_offsetz00_6 +
										(4L + (4L - BgL_l2z00_1333))), BgL_l2z00_1333);
							}
						}
					}
				}
			}
		}

	}



/* f */
	uint32_t BGl_fz00zz__sha1z00(int BgL_sz00_20, uint32_t BgL_xz00_21,
		uint32_t BgL_yz00_22, uint32_t BgL_za7za7_23)
	{
		{	/* Unsafe/sha1.scm 165 */
			{

				switch ((long) (BgL_sz00_20))
					{
					case 0L:

						return
							((BgL_xz00_21 & BgL_yz00_22) ^ (~(BgL_xz00_21) & BgL_za7za7_23));
						break;
					case 1L:
					case 3L:

						return (BgL_xz00_21 ^ (BgL_yz00_22 ^ BgL_za7za7_23));
						break;
					default:
						return
							(
							((BgL_xz00_21 & BgL_yz00_22) ^
								(BgL_xz00_21 & BgL_za7za7_23)) ^ (BgL_yz00_22 & BgL_za7za7_23));
					}
			}
		}

	}



/* sha1 */
	obj_t BGl_sha1z00zz__sha1z00(long BgL_lenz00_24, obj_t BgL_mz00_25)
	{
		{	/* Unsafe/sha1.scm 178 */
			{	/* Unsafe/sha1.scm 180 */
				obj_t BgL_wz00_1365;

				BgL_wz00_1365 =
					BGl_makezd2u32vectorzd2zz__srfi4z00(80L, (uint32_t) (0L));
				{	/* Unsafe/sha1.scm 184 */
					obj_t BgL_vecz00_1367;

					{	/* Unsafe/sha1.scm 184 */
						long BgL_arg1336z00_1370;

						BgL_arg1336z00_1370 = (VECTOR_LENGTH(BgL_mz00_25) - 1L);
						BgL_vecz00_1367 = VECTOR_REF(BgL_mz00_25, BgL_arg1336z00_1370);
					}
					{	/* Unsafe/sha1.scm 185 */
						long BgL_v15z00_1369;

						BgL_v15z00_1369 = (BgL_lenz00_24 * 8L);
						{	/* Unsafe/sha1.scm 186 */

							{	/* Unsafe/sha1.scm 187 */
								uint32_t BgL_tmpz00_3004;

								BgL_tmpz00_3004 = (uint32_t) (0L);
								BGL_U32VSET(BgL_vecz00_1367, 14L, BgL_tmpz00_3004);
							} BUNSPEC;
							{	/* Unsafe/sha1.scm 188 */
								uint32_t BgL_tmpz00_3007;

								BgL_tmpz00_3007 = (uint32_t) (BgL_v15z00_1369);
								BGL_U32VSET(BgL_vecz00_1367, 15L, BgL_tmpz00_3007);
							} BUNSPEC;
				}}}
				{	/* Unsafe/sha1.scm 191 */
					uint32_t BgL_h0z00_1371;

					{	/* Unsafe/sha1.scm 191 */
						uint32_t BgL_arg1408z00_1472;
						uint32_t BgL_arg1409z00_1473;

						{	/* Unsafe/sha1.scm 191 */
							uint32_t BgL_arg1410z00_1474;

							BgL_arg1410z00_1474 = (uint32_t) (26437L);
							BgL_arg1408z00_1472 = (BgL_arg1410z00_1474 << (int) (16L));
						}
						BgL_arg1409z00_1473 = (uint32_t) (8961L);
						BgL_h0z00_1371 = (BgL_arg1408z00_1472 | BgL_arg1409z00_1473);
					}
					{	/* Unsafe/sha1.scm 191 */
						uint32_t BgL_h1z00_1372;

						{	/* Unsafe/sha1.scm 192 */
							uint32_t BgL_arg1405z00_1469;
							uint32_t BgL_arg1406z00_1470;

							{	/* Unsafe/sha1.scm 192 */
								uint32_t BgL_arg1407z00_1471;

								BgL_arg1407z00_1471 = (uint32_t) (61389L);
								BgL_arg1405z00_1469 = (BgL_arg1407z00_1471 << (int) (16L));
							}
							BgL_arg1406z00_1470 = (uint32_t) (43913L);
							BgL_h1z00_1372 = (BgL_arg1405z00_1469 | BgL_arg1406z00_1470);
						}
						{	/* Unsafe/sha1.scm 192 */
							uint32_t BgL_h2z00_1373;

							{	/* Unsafe/sha1.scm 193 */
								uint32_t BgL_arg1401z00_1466;
								uint32_t BgL_arg1402z00_1467;

								{	/* Unsafe/sha1.scm 193 */
									uint32_t BgL_arg1403z00_1468;

									BgL_arg1403z00_1468 = (uint32_t) (39098L);
									BgL_arg1401z00_1466 = (BgL_arg1403z00_1468 << (int) (16L));
								}
								BgL_arg1402z00_1467 = (uint32_t) (56574L);
								BgL_h2z00_1373 = (BgL_arg1401z00_1466 | BgL_arg1402z00_1467);
							}
							{	/* Unsafe/sha1.scm 193 */
								uint32_t BgL_h3z00_1374;

								{	/* Unsafe/sha1.scm 194 */
									uint32_t BgL_arg1398z00_1463;
									uint32_t BgL_arg1399z00_1464;

									{	/* Unsafe/sha1.scm 194 */
										uint32_t BgL_arg1400z00_1465;

										BgL_arg1400z00_1465 = (uint32_t) (4146L);
										BgL_arg1398z00_1463 = (BgL_arg1400z00_1465 << (int) (16L));
									}
									BgL_arg1399z00_1464 = (uint32_t) (21622L);
									BgL_h3z00_1374 = (BgL_arg1398z00_1463 | BgL_arg1399z00_1464);
								}
								{	/* Unsafe/sha1.scm 194 */
									uint32_t BgL_h4z00_1375;

									{	/* Unsafe/sha1.scm 195 */
										uint32_t BgL_arg1395z00_1460;
										uint32_t BgL_arg1396z00_1461;

										{	/* Unsafe/sha1.scm 195 */
											uint32_t BgL_arg1397z00_1462;

											BgL_arg1397z00_1462 = (uint32_t) (50130L);
											BgL_arg1395z00_1460 =
												(BgL_arg1397z00_1462 << (int) (16L));
										}
										BgL_arg1396z00_1461 = (uint32_t) (57840L);
										BgL_h4z00_1375 =
											(BgL_arg1395z00_1460 | BgL_arg1396z00_1461);
									}
									{	/* Unsafe/sha1.scm 195 */

										{
											long BgL_iz00_1378;

											BgL_iz00_1378 = 0L;
										BgL_zc3z04anonymousza31337ze3z87_1379:
											if ((BgL_iz00_1378 < VECTOR_LENGTH(BgL_mz00_25)))
												{	/* Unsafe/sha1.scm 198 */
													{
														long BgL_tz00_2238;

														BgL_tz00_2238 = 0L;
													BgL_for1057z00_2237:
														if ((BgL_tz00_2238 < 16L))
															{	/* Unsafe/sha1.scm 201 */
																{	/* Unsafe/sha1.scm 202 */
																	uint32_t BgL_arg1341z00_2242;

																	{	/* Unsafe/sha1.scm 202 */
																		int BgL_iz00_2244;
																		int BgL_jz00_2245;

																		BgL_iz00_2244 = (int) (BgL_iz00_1378);
																		BgL_jz00_2245 = (int) (BgL_tz00_2238);
																		{	/* Unsafe/sha1.scm 160 */
																			long BgL_auxz00_3045;
																			obj_t BgL_tmpz00_3042;

																			BgL_auxz00_3045 = (long) (BgL_jz00_2245);
																			BgL_tmpz00_3042 =
																				VECTOR_REF(BgL_mz00_25,
																				(long) (BgL_iz00_2244));
																			BgL_arg1341z00_2242 =
																				BGL_U32VREF(BgL_tmpz00_3042,
																				BgL_auxz00_3045);
																	}}
																	BGL_U32VSET(BgL_wz00_1365, BgL_tz00_2238,
																		BgL_arg1341z00_2242);
																	BUNSPEC;
																}
																{
																	long BgL_tz00_3049;

																	BgL_tz00_3049 = (BgL_tz00_2238 + 1L);
																	BgL_tz00_2238 = BgL_tz00_3049;
																	goto BgL_for1057z00_2237;
																}
															}
														else
															{	/* Unsafe/sha1.scm 201 */
																((bool_t) 0);
															}
													}
													{
														long BgL_tz00_1391;

														BgL_tz00_1391 = 16L;
													BgL_zc3z04anonymousza31343ze3z87_1392:
														if ((BgL_tz00_1391 < 80L))
															{	/* Unsafe/sha1.scm 203 */
																{	/* Unsafe/sha1.scm 204 */
																	uint32_t BgL_w0z00_1394;

																	{	/* Unsafe/sha1.scm 204 */
																		long BgL_tmpz00_3053;

																		BgL_tmpz00_3053 = (BgL_tz00_1391 - 3L);
																		BgL_w0z00_1394 =
																			BGL_U32VREF(BgL_wz00_1365,
																			BgL_tmpz00_3053);
																	}
																	{	/* Unsafe/sha1.scm 204 */
																		uint32_t BgL_w1z00_1395;

																		{	/* Unsafe/sha1.scm 205 */
																			long BgL_tmpz00_3056;

																			BgL_tmpz00_3056 = (BgL_tz00_1391 - 8L);
																			BgL_w1z00_1395 =
																				BGL_U32VREF(BgL_wz00_1365,
																				BgL_tmpz00_3056);
																		}
																		{	/* Unsafe/sha1.scm 205 */
																			uint32_t BgL_w2z00_1396;

																			{	/* Unsafe/sha1.scm 206 */
																				long BgL_tmpz00_3059;

																				BgL_tmpz00_3059 = (BgL_tz00_1391 - 14L);
																				BgL_w2z00_1396 =
																					BGL_U32VREF(BgL_wz00_1365,
																					BgL_tmpz00_3059);
																			}
																			{	/* Unsafe/sha1.scm 206 */
																				uint32_t BgL_w3z00_1397;

																				{	/* Unsafe/sha1.scm 207 */
																					long BgL_tmpz00_3062;

																					BgL_tmpz00_3062 =
																						(BgL_tz00_1391 - 16L);
																					BgL_w3z00_1397 =
																						BGL_U32VREF(BgL_wz00_1365,
																						BgL_tmpz00_3062);
																				}
																				{	/* Unsafe/sha1.scm 207 */
																					uint32_t BgL_vz00_1398;

																					BgL_vz00_1398 =
																						(BgL_w0z00_1394 ^
																						(BgL_w1z00_1395 ^
																							(BgL_w2z00_1396 ^
																								BgL_w3z00_1397)));
																					{	/* Unsafe/sha1.scm 208 */

																						{	/* Unsafe/sha1.scm 209 */
																							uint32_t BgL_arg1345z00_1399;

																							BgL_arg1345z00_1399 =
																								(
																								(BgL_vz00_1398 <<
																									(int) (1L)) |
																								(BgL_vz00_1398 >>
																									(int) ((32L - 1L))));
																							BGL_U32VSET(BgL_wz00_1365,
																								BgL_tz00_1391,
																								BgL_arg1345z00_1399);
																							BUNSPEC;
																}}}}}}}
																{
																	long BgL_tz00_3075;

																	BgL_tz00_3075 = (BgL_tz00_1391 + 1L);
																	BgL_tz00_1391 = BgL_tz00_3075;
																	goto BgL_zc3z04anonymousza31343ze3z87_1392;
																}
															}
														else
															{	/* Unsafe/sha1.scm 203 */
																((bool_t) 0);
															}
													}
													{	/* Unsafe/sha1.scm 213 */
														uint32_t BgL_az00_1408;
														uint32_t BgL_bz00_1409;
														uint32_t BgL_cz00_1410;
														uint32_t BgL_dz00_1411;
														uint32_t BgL_ez00_1412;

														BgL_az00_1408 = BgL_h0z00_1371;
														BgL_bz00_1409 = BgL_h1z00_1372;
														BgL_cz00_1410 = BgL_h2z00_1373;
														BgL_dz00_1411 = BgL_h3z00_1374;
														BgL_ez00_1412 = BgL_h4z00_1375;
														{
															long BgL_tz00_1415;

															BgL_tz00_1415 = 0L;
														BgL_zc3z04anonymousza31355ze3z87_1416:
															if ((BgL_tz00_1415 < 80L))
																{	/* Unsafe/sha1.scm 220 */
																	{	/* Unsafe/sha1.scm 221 */
																		long BgL_sz00_1418;

																		BgL_sz00_1418 = (BgL_tz00_1415 / 20L);
																		{	/* Unsafe/sha1.scm 221 */
																			uint32_t BgL_a5z00_1419;

																			{	/* Unsafe/sha1.scm 222 */
																				uint32_t BgL_xz00_2276;

																				BgL_xz00_2276 = BgL_az00_1408;
																				BgL_a5z00_1419 =
																					(
																					(BgL_xz00_2276 <<
																						(int) (5L)) |
																					(BgL_xz00_2276 >>
																						(int) ((32L - 5L))));
																			}
																			{	/* Unsafe/sha1.scm 222 */
																				uint32_t BgL_fz00_1420;

																				BgL_fz00_1420 =
																					BGl_fz00zz__sha1z00(
																					(int) (BgL_sz00_1418), BgL_bz00_1409,
																					BgL_cz00_1410, BgL_dz00_1411);
																				{	/* Unsafe/sha1.scm 223 */
																					uint32_t BgL_kz00_1421;

																					BgL_kz00_1421 =
																						BGL_U32VREF(BGl_Kz00zz__sha1z00,
																						BgL_sz00_1418);
																					{	/* Unsafe/sha1.scm 224 */
																						uint32_t BgL_wz00_1422;

																						BgL_wz00_1422 =
																							BGL_U32VREF(BgL_wz00_1365,
																							BgL_tz00_1415);
																						{	/* Unsafe/sha1.scm 225 */
																							uint32_t BgL_yz00_1423;

																							BgL_yz00_1423 =
																								(BgL_a5z00_1419 +
																								(BgL_fz00_1420 +
																									(BgL_ez00_1412 +
																										(BgL_kz00_1421 +
																											BgL_wz00_1422))));
																							{	/* Unsafe/sha1.scm 226 */

																								BgL_ez00_1412 = BgL_dz00_1411;
																								BgL_dz00_1411 = BgL_cz00_1410;
																								{	/* Unsafe/sha1.scm 229 */
																									uint32_t BgL_xz00_2293;

																									BgL_xz00_2293 = BgL_bz00_1409;
																									BgL_cz00_1410 =
																										(
																										(BgL_xz00_2293 <<
																											(int) (30L)) |
																										(BgL_xz00_2293 >>
																											(int) ((32L - 30L))));
																								}
																								BgL_bz00_1409 = BgL_az00_1408;
																								{	/* Unsafe/sha1.scm 231 */
																									uint32_t BgL_arg1357z00_1424;

																									{	/* Unsafe/sha1.scm 231 */
																										uint32_t
																											BgL_arg1358z00_1425;
																										uint32_t
																											BgL_arg1359z00_1426;
																										{	/* Unsafe/sha1.scm 231 */
																											uint32_t
																												BgL_arg1360z00_1427;
																											BgL_arg1360z00_1427 =
																												(uint32_t) (65535L);
																											BgL_arg1358z00_1425 =
																												(BgL_arg1360z00_1427 <<
																												(int) (16L));
																										}
																										BgL_arg1359z00_1426 =
																											(uint32_t) (65535L);
																										BgL_arg1357z00_1424 =
																											(BgL_arg1358z00_1425 |
																											BgL_arg1359z00_1426);
																									}
																									BgL_az00_1408 =
																										(BgL_yz00_1423 &
																										BgL_arg1357z00_1424);
																	}}}}}}}}
																	{
																		long BgL_tz00_3106;

																		BgL_tz00_3106 = (BgL_tz00_1415 + 1L);
																		BgL_tz00_1415 = BgL_tz00_3106;
																		goto BgL_zc3z04anonymousza31355ze3z87_1416;
																	}
																}
															else
																{	/* Unsafe/sha1.scm 220 */
																	((bool_t) 0);
																}
														}
														{	/* Unsafe/sha1.scm 233 */
															uint32_t BgL_arg1365z00_1433;
															uint32_t BgL_arg1366z00_1434;

															BgL_arg1365z00_1433 =
																(BgL_h0z00_1371 + BgL_az00_1408);
															{	/* Unsafe/sha1.scm 233 */
																uint32_t BgL_arg1367z00_1435;
																uint32_t BgL_arg1368z00_1436;

																{	/* Unsafe/sha1.scm 233 */
																	uint32_t BgL_arg1369z00_1437;

																	BgL_arg1369z00_1437 = (uint32_t) (65535L);
																	BgL_arg1367z00_1435 =
																		(BgL_arg1369z00_1437 << (int) (16L));
																}
																BgL_arg1368z00_1436 = (uint32_t) (65535L);
																BgL_arg1366z00_1434 =
																	(BgL_arg1367z00_1435 | BgL_arg1368z00_1436);
															}
															BgL_h0z00_1371 =
																(BgL_arg1365z00_1433 & BgL_arg1366z00_1434);
														}
														{	/* Unsafe/sha1.scm 234 */
															uint32_t BgL_arg1370z00_1438;
															uint32_t BgL_arg1371z00_1439;

															BgL_arg1370z00_1438 =
																(BgL_h1z00_1372 + BgL_bz00_1409);
															{	/* Unsafe/sha1.scm 234 */
																uint32_t BgL_arg1372z00_1440;
																uint32_t BgL_arg1373z00_1441;

																{	/* Unsafe/sha1.scm 234 */
																	uint32_t BgL_arg1374z00_1442;

																	BgL_arg1374z00_1442 = (uint32_t) (65535L);
																	BgL_arg1372z00_1440 =
																		(BgL_arg1374z00_1442 << (int) (16L));
																}
																BgL_arg1373z00_1441 = (uint32_t) (65535L);
																BgL_arg1371z00_1439 =
																	(BgL_arg1372z00_1440 | BgL_arg1373z00_1441);
															}
															BgL_h1z00_1372 =
																(BgL_arg1370z00_1438 & BgL_arg1371z00_1439);
														}
														{	/* Unsafe/sha1.scm 235 */
															uint32_t BgL_arg1375z00_1443;
															uint32_t BgL_arg1376z00_1444;

															BgL_arg1375z00_1443 =
																(BgL_h2z00_1373 + BgL_cz00_1410);
															{	/* Unsafe/sha1.scm 235 */
																uint32_t BgL_arg1377z00_1445;
																uint32_t BgL_arg1379z00_1446;

																{	/* Unsafe/sha1.scm 235 */
																	uint32_t BgL_arg1382z00_1447;

																	BgL_arg1382z00_1447 = (uint32_t) (65535L);
																	BgL_arg1377z00_1445 =
																		(BgL_arg1382z00_1447 << (int) (16L));
																}
																BgL_arg1379z00_1446 = (uint32_t) (65535L);
																BgL_arg1376z00_1444 =
																	(BgL_arg1377z00_1445 | BgL_arg1379z00_1446);
															}
															BgL_h2z00_1373 =
																(BgL_arg1375z00_1443 & BgL_arg1376z00_1444);
														}
														{	/* Unsafe/sha1.scm 236 */
															uint32_t BgL_arg1383z00_1448;
															uint32_t BgL_arg1384z00_1449;

															BgL_arg1383z00_1448 =
																(BgL_h3z00_1374 + BgL_dz00_1411);
															{	/* Unsafe/sha1.scm 236 */
																uint32_t BgL_arg1385z00_1450;
																uint32_t BgL_arg1386z00_1451;

																{	/* Unsafe/sha1.scm 236 */
																	uint32_t BgL_arg1387z00_1452;

																	BgL_arg1387z00_1452 = (uint32_t) (65535L);
																	BgL_arg1385z00_1450 =
																		(BgL_arg1387z00_1452 << (int) (16L));
																}
																BgL_arg1386z00_1451 = (uint32_t) (65535L);
																BgL_arg1384z00_1449 =
																	(BgL_arg1385z00_1450 | BgL_arg1386z00_1451);
															}
															BgL_h3z00_1374 =
																(BgL_arg1383z00_1448 & BgL_arg1384z00_1449);
														}
														{	/* Unsafe/sha1.scm 237 */
															uint32_t BgL_arg1388z00_1453;
															uint32_t BgL_arg1389z00_1454;

															BgL_arg1388z00_1453 =
																(BgL_h4z00_1375 + BgL_ez00_1412);
															{	/* Unsafe/sha1.scm 237 */
																uint32_t BgL_arg1390z00_1455;
																uint32_t BgL_arg1391z00_1456;

																{	/* Unsafe/sha1.scm 237 */
																	uint32_t BgL_arg1392z00_1457;

																	BgL_arg1392z00_1457 = (uint32_t) (65535L);
																	BgL_arg1390z00_1455 =
																		(BgL_arg1392z00_1457 << (int) (16L));
																}
																BgL_arg1391z00_1456 = (uint32_t) (65535L);
																BgL_arg1389z00_1454 =
																	(BgL_arg1390z00_1455 | BgL_arg1391z00_1456);
															}
															BgL_h4z00_1375 =
																(BgL_arg1388z00_1453 & BgL_arg1389z00_1454);
													}}
													{
														long BgL_iz00_3143;

														BgL_iz00_3143 = (BgL_iz00_1378 + 1L);
														BgL_iz00_1378 = BgL_iz00_3143;
														goto BgL_zc3z04anonymousza31337ze3z87_1379;
													}
												}
											else
												{	/* Unsafe/sha1.scm 198 */
													((bool_t) 0);
												}
										}
										{	/* Unsafe/sha1.scm 239 */
											uint32_t BgL_w0z00_2344;
											uint32_t BgL_w1z00_2345;
											uint32_t BgL_w2z00_2346;
											uint32_t BgL_w3z00_2347;
											uint32_t BgL_w4z00_2348;

											BgL_w0z00_2344 = BgL_h0z00_1371;
											BgL_w1z00_2345 = BgL_h1z00_1372;
											BgL_w2z00_2346 = BgL_h2z00_1373;
											BgL_w3z00_2347 = BgL_h3z00_1374;
											BgL_w4z00_2348 = BgL_h4z00_1375;
											{	/* Unsafe/sha1.scm 117 */
												obj_t BgL_rz00_2349;

												BgL_rz00_2349 = make_string(40L, ((unsigned char) '0'));
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2349, 0L,
													BgL_w0z00_2344);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2349, 8L,
													BgL_w1z00_2345);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2349, 16L,
													BgL_w2z00_2346);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2349, 24L,
													BgL_w3z00_2347);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2349, 32L,
													BgL_w4z00_2348);
												return BgL_rz00_2349;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* sha1sum-string */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2stringzd2zz__sha1z00(obj_t BgL_strz00_28)
	{
		{	/* Unsafe/sha1.scm 253 */
			{	/* Unsafe/sha1.scm 256 */
				long BgL_lenz00_1478;

				BgL_lenz00_1478 = STRING_LENGTH(BgL_strz00_28);
				{	/* Unsafe/sha1.scm 256 */
					long BgL_lz00_1479;

					{	/* Unsafe/sha1.scm 257 */
						long BgL_tmpz00_3152;

						{	/* Unsafe/sha1.scm 257 */
							obj_t BgL_tmpz00_3153;

							{	/* Unsafe/sha1.scm 245 */
								obj_t BgL_rz00_2356;

								BgL_rz00_2356 =
									BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(
										(BgL_lenz00_1478 + 1L)), BINT(4L));
								if (INTEGERP(BgL_rz00_2356))
									{	/* Unsafe/sha1.scm 246 */
										BgL_tmpz00_3153 = BgL_rz00_2356;
									}
								else
									{	/* Unsafe/sha1.scm 246 */
										BgL_tmpz00_3153 =
											BINT(
											(long) (REAL_TO_DOUBLE(BGl_ceilingz00zz__r4_numbers_6_5z00
													(BgL_rz00_2356))));
							}}
							BgL_tmpz00_3152 = (long) CINT(BgL_tmpz00_3153);
						}
						BgL_lz00_1479 = (BgL_tmpz00_3152 + 2L);
					}
					{	/* Unsafe/sha1.scm 257 */
						long BgL_nz00_1480;

						{	/* Unsafe/sha1.scm 245 */
							obj_t BgL_rz00_2362;

							BgL_rz00_2362 =
								BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(BgL_lz00_1479),
								BINT(16L));
							if (INTEGERP(BgL_rz00_2362))
								{	/* Unsafe/sha1.scm 246 */
									BgL_nz00_1480 = (long) CINT(BgL_rz00_2362);
								}
							else
								{	/* Unsafe/sha1.scm 246 */
									BgL_nz00_1480 =
										(long) (REAL_TO_DOUBLE(BGl_ceilingz00zz__r4_numbers_6_5z00
											(BgL_rz00_2362)));
						}}
						{	/* Unsafe/sha1.scm 258 */
							obj_t BgL_mz00_1481;

							BgL_mz00_1481 = make_vector(BgL_nz00_1480, BUNSPEC);
							{	/* Unsafe/sha1.scm 259 */

								{
									long BgL_iz00_1484;

									BgL_iz00_1484 = 0L;
								BgL_zc3z04anonymousza31413ze3z87_1485:
									if ((BgL_iz00_1484 < BgL_nz00_1480))
										{	/* Unsafe/sha1.scm 261 */
											{	/* Unsafe/sha1.scm 262 */
												obj_t BgL_vecz00_1487;

												{	/* Llib/srfi4.scm 451 */

													BgL_vecz00_1487 =
														BGl_makezd2u32vectorzd2zz__srfi4z00(16L,
														(uint32_t) (0));
												}
												{
													long BgL_jz00_1490;

													BgL_jz00_1490 = 0L;
												BgL_zc3z04anonymousza31415ze3z87_1491:
													if ((BgL_jz00_1490 < 16L))
														{	/* Unsafe/sha1.scm 263 */
															{	/* Unsafe/sha1.scm 264 */
																int BgL_nz00_1493;

																BgL_nz00_1493 =
																	(int) (
																	((BgL_iz00_1484 * 64L) +
																		(BgL_jz00_1490 * 4L)));
																{	/* Unsafe/sha1.scm 264 */
																	uint32_t BgL_v0z00_1494;

																	{	/* Unsafe/sha1.scm 140 */
																		long BgL_lenz00_2378;

																		BgL_lenz00_2378 =
																			STRING_LENGTH(BgL_strz00_28);
																		if (
																			((long) (BgL_nz00_1493) <
																				BgL_lenz00_2378))
																			{	/* Unsafe/sha1.scm 142 */
																				long BgL_tmpz00_3189;

																				BgL_tmpz00_3189 =
																					(STRING_REF(BgL_strz00_28,
																						(long) (BgL_nz00_1493)));
																				BgL_v0z00_1494 =
																					(uint32_t) (BgL_tmpz00_3189);
																			}
																		else
																			{	/* Unsafe/sha1.scm 142 */
																				if (
																					((long) (BgL_nz00_1493) ==
																						BgL_lenz00_2378))
																					{	/* Unsafe/sha1.scm 143 */
																						BgL_v0z00_1494 = (uint32_t) (128);
																					}
																				else
																					{	/* Unsafe/sha1.scm 143 */
																						BgL_v0z00_1494 = (uint32_t) (0);
																					}
																			}
																	}
																	{	/* Unsafe/sha1.scm 265 */
																		uint32_t BgL_v1z00_1495;

																		{	/* Unsafe/sha1.scm 266 */
																			long BgL_arg1430z00_1510;

																			BgL_arg1430z00_1510 =
																				((long) (BgL_nz00_1493) + 1L);
																			{	/* Unsafe/sha1.scm 266 */
																				int BgL_iz00_2394;

																				BgL_iz00_2394 =
																					(int) (BgL_arg1430z00_1510);
																				{	/* Unsafe/sha1.scm 140 */
																					long BgL_lenz00_2395;

																					BgL_lenz00_2395 =
																						STRING_LENGTH(BgL_strz00_28);
																					if (
																						((long) (BgL_iz00_2394) <
																							BgL_lenz00_2395))
																						{	/* Unsafe/sha1.scm 142 */
																							long BgL_tmpz00_3204;

																							BgL_tmpz00_3204 =
																								(STRING_REF(BgL_strz00_28,
																									(long) (BgL_iz00_2394)));
																							BgL_v1z00_1495 =
																								(uint32_t) (BgL_tmpz00_3204);
																						}
																					else
																						{	/* Unsafe/sha1.scm 142 */
																							if (
																								((long) (BgL_iz00_2394) ==
																									BgL_lenz00_2395))
																								{	/* Unsafe/sha1.scm 143 */
																									BgL_v1z00_1495 =
																										(uint32_t) (128);
																								}
																							else
																								{	/* Unsafe/sha1.scm 143 */
																									BgL_v1z00_1495 =
																										(uint32_t) (0);
																								}
																						}
																				}
																			}
																		}
																		{	/* Unsafe/sha1.scm 266 */
																			uint32_t BgL_v2z00_1496;

																			{	/* Unsafe/sha1.scm 267 */
																				long BgL_arg1427z00_1509;

																				BgL_arg1427z00_1509 =
																					((long) (BgL_nz00_1493) + 2L);
																				{	/* Unsafe/sha1.scm 267 */
																					int BgL_iz00_2411;

																					BgL_iz00_2411 =
																						(int) (BgL_arg1427z00_1509);
																					{	/* Unsafe/sha1.scm 140 */
																						long BgL_lenz00_2412;

																						BgL_lenz00_2412 =
																							STRING_LENGTH(BgL_strz00_28);
																						if (
																							((long) (BgL_iz00_2411) <
																								BgL_lenz00_2412))
																							{	/* Unsafe/sha1.scm 142 */
																								long BgL_tmpz00_3219;

																								BgL_tmpz00_3219 =
																									(STRING_REF(BgL_strz00_28,
																										(long) (BgL_iz00_2411)));
																								BgL_v2z00_1496 =
																									(uint32_t) (BgL_tmpz00_3219);
																							}
																						else
																							{	/* Unsafe/sha1.scm 142 */
																								if (
																									((long) (BgL_iz00_2411) ==
																										BgL_lenz00_2412))
																									{	/* Unsafe/sha1.scm 143 */
																										BgL_v2z00_1496 =
																											(uint32_t) (128);
																									}
																								else
																									{	/* Unsafe/sha1.scm 143 */
																										BgL_v2z00_1496 =
																											(uint32_t) (0);
																									}
																							}
																					}
																				}
																			}
																			{	/* Unsafe/sha1.scm 267 */
																				uint32_t BgL_v3z00_1497;

																				{	/* Unsafe/sha1.scm 268 */
																					long BgL_arg1426z00_1508;

																					BgL_arg1426z00_1508 =
																						((long) (BgL_nz00_1493) + 3L);
																					{	/* Unsafe/sha1.scm 268 */
																						int BgL_iz00_2428;

																						BgL_iz00_2428 =
																							(int) (BgL_arg1426z00_1508);
																						{	/* Unsafe/sha1.scm 140 */
																							long BgL_lenz00_2429;

																							BgL_lenz00_2429 =
																								STRING_LENGTH(BgL_strz00_28);
																							if (
																								((long) (BgL_iz00_2428) <
																									BgL_lenz00_2429))
																								{	/* Unsafe/sha1.scm 142 */
																									long BgL_tmpz00_3234;

																									BgL_tmpz00_3234 =
																										(STRING_REF(BgL_strz00_28,
																											(long) (BgL_iz00_2428)));
																									BgL_v3z00_1497 =
																										(uint32_t)
																										(BgL_tmpz00_3234);
																								}
																							else
																								{	/* Unsafe/sha1.scm 142 */
																									if (
																										((long) (BgL_iz00_2428) ==
																											BgL_lenz00_2429))
																										{	/* Unsafe/sha1.scm 143 */
																											BgL_v3z00_1497 =
																												(uint32_t) (128);
																										}
																									else
																										{	/* Unsafe/sha1.scm 143 */
																											BgL_v3z00_1497 =
																												(uint32_t) (0);
																										}
																								}
																						}
																					}
																				}
																				{	/* Unsafe/sha1.scm 268 */
																					uint32_t BgL_vz00_1498;

																					{	/* Unsafe/sha1.scm 269 */
																						uint32_t BgL_arg1417z00_1499;
																						uint32_t BgL_arg1418z00_1500;

																						{	/* Unsafe/sha1.scm 269 */
																							uint32_t BgL_arg1419z00_1501;

																							{	/* Unsafe/sha1.scm 269 */
																								long BgL_arg1420z00_1502;

																								{	/* Unsafe/sha1.scm 269 */
																									uint32_t BgL_tmpz00_3242;

																									BgL_tmpz00_3242 =
																										(
																										(BgL_v0z00_1494 <<
																											(int) (8L)) |
																										BgL_v1z00_1495);
																									BgL_arg1420z00_1502 =
																										(long) (BgL_tmpz00_3242);
																								}
																								BgL_arg1419z00_1501 =
																									(uint32_t)
																									(BgL_arg1420z00_1502);
																							}
																							BgL_arg1417z00_1499 =
																								(BgL_arg1419z00_1501 <<
																								(int) (16L));
																						}
																						{	/* Unsafe/sha1.scm 269 */
																							long BgL_arg1423z00_1505;

																							{	/* Unsafe/sha1.scm 269 */
																								uint32_t BgL_tmpz00_3250;

																								BgL_tmpz00_3250 =
																									(
																									(BgL_v2z00_1496 <<
																										(int) (8L)) |
																									BgL_v3z00_1497);
																								BgL_arg1423z00_1505 =
																									(long) (BgL_tmpz00_3250);
																							}
																							BgL_arg1418z00_1500 =
																								(uint32_t)
																								(BgL_arg1423z00_1505);
																						}
																						BgL_vz00_1498 =
																							(BgL_arg1417z00_1499 |
																							BgL_arg1418z00_1500);
																					}
																					{	/* Unsafe/sha1.scm 269 */

																						BGL_U32VSET(BgL_vecz00_1487,
																							BgL_jz00_1490, BgL_vz00_1498);
																						BUNSPEC;
															}}}}}}}
															VECTOR_SET(BgL_mz00_1481, BgL_iz00_1484,
																BgL_vecz00_1487);
															{
																long BgL_jz00_3259;

																BgL_jz00_3259 = (BgL_jz00_1490 + 1L);
																BgL_jz00_1490 = BgL_jz00_3259;
																goto BgL_zc3z04anonymousza31415ze3z87_1491;
															}
														}
													else
														{	/* Unsafe/sha1.scm 263 */
															((bool_t) 0);
														}
												}
											}
											{
												long BgL_iz00_3261;

												BgL_iz00_3261 = (BgL_iz00_1484 + 1L);
												BgL_iz00_1484 = BgL_iz00_3261;
												goto BgL_zc3z04anonymousza31413ze3z87_1485;
											}
										}
									else
										{	/* Unsafe/sha1.scm 261 */
											((bool_t) 0);
										}
								}
								return BGl_sha1z00zz__sha1z00(BgL_lenz00_1478, BgL_mz00_1481);
							}
						}
					}
				}
			}
		}

	}



/* &sha1sum-string */
	obj_t BGl_z62sha1sumzd2stringzb0zz__sha1z00(obj_t BgL_envz00_2900,
		obj_t BgL_strz00_2901)
	{
		{	/* Unsafe/sha1.scm 253 */
			{	/* Unsafe/sha1.scm 256 */
				obj_t BgL_auxz00_3264;

				if (STRINGP(BgL_strz00_2901))
					{	/* Unsafe/sha1.scm 256 */
						BgL_auxz00_3264 = BgL_strz00_2901;
					}
				else
					{
						obj_t BgL_auxz00_3267;

						BgL_auxz00_3267 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1911z00zz__sha1z00,
							BINT(10118L), BGl_string1912z00zz__sha1z00,
							BGl_string1913z00zz__sha1z00, BgL_strz00_2901);
						FAILURE(BgL_auxz00_3267, BFALSE, BFALSE);
					}
				return BGl_sha1sumzd2stringzd2zz__sha1z00(BgL_auxz00_3264);
			}
		}

	}



/* sha1sum-mmap */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2mmapzd2zz__sha1z00(obj_t BgL_strz00_29)
	{
		{	/* Unsafe/sha1.scm 278 */
			{	/* Unsafe/sha1.scm 281 */
				long BgL_lenz00_1522;

				{	/* Unsafe/sha1.scm 281 */
					long BgL_tmpz00_3272;

					BgL_tmpz00_3272 = BGL_MMAP_LENGTH(BgL_strz00_29);
					BgL_lenz00_1522 = (long) (BgL_tmpz00_3272);
				}
				{	/* Unsafe/sha1.scm 281 */
					long BgL_lz00_1523;

					{	/* Unsafe/sha1.scm 282 */
						long BgL_tmpz00_3275;

						{	/* Unsafe/sha1.scm 282 */
							obj_t BgL_tmpz00_3276;

							{	/* Unsafe/sha1.scm 245 */
								obj_t BgL_rz00_2462;

								BgL_rz00_2462 =
									BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(
										(BgL_lenz00_1522 + 1L)), BINT(4L));
								if (INTEGERP(BgL_rz00_2462))
									{	/* Unsafe/sha1.scm 246 */
										BgL_tmpz00_3276 = BgL_rz00_2462;
									}
								else
									{	/* Unsafe/sha1.scm 246 */
										BgL_tmpz00_3276 =
											BINT(
											(long) (REAL_TO_DOUBLE(BGl_ceilingz00zz__r4_numbers_6_5z00
													(BgL_rz00_2462))));
							}}
							BgL_tmpz00_3275 = (long) CINT(BgL_tmpz00_3276);
						}
						BgL_lz00_1523 = (BgL_tmpz00_3275 + 2L);
					}
					{	/* Unsafe/sha1.scm 282 */
						long BgL_nz00_1524;

						{	/* Unsafe/sha1.scm 245 */
							obj_t BgL_rz00_2468;

							BgL_rz00_2468 =
								BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(BgL_lz00_1523),
								BINT(16L));
							if (INTEGERP(BgL_rz00_2468))
								{	/* Unsafe/sha1.scm 246 */
									BgL_nz00_1524 = (long) CINT(BgL_rz00_2468);
								}
							else
								{	/* Unsafe/sha1.scm 246 */
									BgL_nz00_1524 =
										(long) (REAL_TO_DOUBLE(BGl_ceilingz00zz__r4_numbers_6_5z00
											(BgL_rz00_2468)));
						}}
						{	/* Unsafe/sha1.scm 283 */
							obj_t BgL_mz00_1525;

							BgL_mz00_1525 = make_vector(BgL_nz00_1524, BUNSPEC);
							{	/* Unsafe/sha1.scm 284 */

								{
									long BgL_iz00_1528;

									BgL_iz00_1528 = 0L;
								BgL_zc3z04anonymousza31438ze3z87_1529:
									if ((BgL_iz00_1528 < BgL_nz00_1524))
										{	/* Unsafe/sha1.scm 286 */
											{	/* Unsafe/sha1.scm 287 */
												obj_t BgL_vecz00_1531;

												{	/* Llib/srfi4.scm 451 */

													BgL_vecz00_1531 =
														BGl_makezd2u32vectorzd2zz__srfi4z00(16L,
														(uint32_t) (0));
												}
												{
													long BgL_jz00_1534;

													BgL_jz00_1534 = 0L;
												BgL_zc3z04anonymousza31440ze3z87_1535:
													if ((BgL_jz00_1534 < 16L))
														{	/* Unsafe/sha1.scm 288 */
															{	/* Unsafe/sha1.scm 289 */
																long BgL_nz00_1537;

																{	/* Unsafe/sha1.scm 289 */
																	long BgL_tmpz00_3304;

																	BgL_tmpz00_3304 =
																		(
																		(BgL_iz00_1528 * 64L) +
																		(BgL_jz00_1534 * 4L));
																	BgL_nz00_1537 = (long) (BgL_tmpz00_3304);
																}
																{	/* Unsafe/sha1.scm 289 */
																	uint32_t BgL_v0z00_1538;

																	{	/* Unsafe/sha1.scm 150 */
																		long BgL_lenz00_2484;

																		BgL_lenz00_2484 =
																			BGL_MMAP_LENGTH(BgL_strz00_29);
																		{	/* Unsafe/sha1.scm 152 */
																			bool_t BgL_test1963z00_3310;

																			{	/* Unsafe/sha1.scm 152 */
																				long BgL_n1z00_2490;
																				long BgL_n2z00_2491;

																				BgL_n1z00_2490 = (long) (BgL_nz00_1537);
																				BgL_n2z00_2491 =
																					(long) (BgL_lenz00_2484);
																				BgL_test1963z00_3310 =
																					(BgL_n1z00_2490 < BgL_n2z00_2491);
																			}
																			if (BgL_test1963z00_3310)
																				{	/* Unsafe/sha1.scm 152 */
																					long BgL_arg1294z00_2486;

																					{	/* Unsafe/sha1.scm 152 */
																						unsigned char BgL_arg1322z00_2487;

																						{	/* Unsafe/sha1.scm 152 */
																							unsigned char BgL_res1893z00_2500;

																							{	/* Unsafe/sha1.scm 152 */
																								unsigned char BgL_cz00_2494;

																								BgL_cz00_2494 =
																									BGL_MMAP_REF(BgL_strz00_29,
																									BgL_nz00_1537);
																								{	/* Unsafe/sha1.scm 152 */
																									long BgL_arg1544z00_2495;

																									BgL_arg1544z00_2495 =
																										(BgL_nz00_1537 +
																										((long) 1));
																									BGL_MMAP_RP_SET(BgL_strz00_29,
																										BgL_arg1544z00_2495);
																									BUNSPEC;
																									BgL_arg1544z00_2495;
																								}
																								BgL_res1893z00_2500 =
																									BgL_cz00_2494;
																							}
																							BgL_arg1322z00_2487 =
																								BgL_res1893z00_2500;
																						}
																						BgL_arg1294z00_2486 =
																							(BgL_arg1322z00_2487);
																					}
																					BgL_v0z00_1538 =
																						(uint32_t) (BgL_arg1294z00_2486);
																				}
																			else
																				{	/* Unsafe/sha1.scm 153 */
																					bool_t BgL_test1964z00_3319;

																					{	/* Unsafe/sha1.scm 153 */
																						long BgL_n1z00_2503;
																						long BgL_n2z00_2504;

																						BgL_n1z00_2503 =
																							(long) (BgL_nz00_1537);
																						BgL_n2z00_2504 =
																							(long) (BgL_lenz00_2484);
																						BgL_test1964z00_3319 =
																							(BgL_n1z00_2503 ==
																							BgL_n2z00_2504);
																					}
																					if (BgL_test1964z00_3319)
																						{	/* Unsafe/sha1.scm 153 */
																							BgL_v0z00_1538 = (uint32_t) (128);
																						}
																					else
																						{	/* Unsafe/sha1.scm 153 */
																							BgL_v0z00_1538 = (uint32_t) (0);
																						}
																				}
																		}
																	}
																	{	/* Unsafe/sha1.scm 290 */
																		uint32_t BgL_v1z00_1539;

																		{	/* Unsafe/sha1.scm 291 */
																			long BgL_arg1453z00_1554;

																			{	/* Unsafe/sha1.scm 291 */
																				long BgL_za71za7_2505;

																				BgL_za71za7_2505 =
																					(long) (BgL_nz00_1537);
																				BgL_arg1453z00_1554 =
																					(BgL_za71za7_2505 + 1L);
																			}
																			{	/* Unsafe/sha1.scm 291 */
																				long BgL_iz00_2507;

																				BgL_iz00_2507 =
																					(long) (BgL_arg1453z00_1554);
																				{	/* Unsafe/sha1.scm 150 */
																					long BgL_lenz00_2508;

																					BgL_lenz00_2508 =
																						BGL_MMAP_LENGTH(BgL_strz00_29);
																					{	/* Unsafe/sha1.scm 152 */
																						bool_t BgL_test1965z00_3327;

																						{	/* Unsafe/sha1.scm 152 */
																							long BgL_n1z00_2514;
																							long BgL_n2z00_2515;

																							BgL_n1z00_2514 =
																								(long) (BgL_iz00_2507);
																							BgL_n2z00_2515 =
																								(long) (BgL_lenz00_2508);
																							BgL_test1965z00_3327 =
																								(BgL_n1z00_2514 <
																								BgL_n2z00_2515);
																						}
																						if (BgL_test1965z00_3327)
																							{	/* Unsafe/sha1.scm 152 */
																								long BgL_arg1294z00_2510;

																								{	/* Unsafe/sha1.scm 152 */
																									unsigned char
																										BgL_arg1322z00_2511;
																									{	/* Unsafe/sha1.scm 152 */
																										unsigned char
																											BgL_res1894z00_2524;
																										{	/* Unsafe/sha1.scm 152 */
																											unsigned char
																												BgL_cz00_2518;
																											BgL_cz00_2518 =
																												BGL_MMAP_REF
																												(BgL_strz00_29,
																												BgL_iz00_2507);
																											{	/* Unsafe/sha1.scm 152 */
																												long
																													BgL_arg1544z00_2519;
																												BgL_arg1544z00_2519 =
																													(BgL_iz00_2507 +
																													((long) 1));
																												BGL_MMAP_RP_SET
																													(BgL_strz00_29,
																													BgL_arg1544z00_2519);
																												BUNSPEC;
																												BgL_arg1544z00_2519;
																											}
																											BgL_res1894z00_2524 =
																												BgL_cz00_2518;
																										}
																										BgL_arg1322z00_2511 =
																											BgL_res1894z00_2524;
																									}
																									BgL_arg1294z00_2510 =
																										(BgL_arg1322z00_2511);
																								}
																								BgL_v1z00_1539 =
																									(uint32_t)
																									(BgL_arg1294z00_2510);
																							}
																						else
																							{	/* Unsafe/sha1.scm 153 */
																								bool_t BgL_test1966z00_3336;

																								{	/* Unsafe/sha1.scm 153 */
																									long BgL_n1z00_2527;
																									long BgL_n2z00_2528;

																									BgL_n1z00_2527 =
																										(long) (BgL_iz00_2507);
																									BgL_n2z00_2528 =
																										(long) (BgL_lenz00_2508);
																									BgL_test1966z00_3336 =
																										(BgL_n1z00_2527 ==
																										BgL_n2z00_2528);
																								}
																								if (BgL_test1966z00_3336)
																									{	/* Unsafe/sha1.scm 153 */
																										BgL_v1z00_1539 =
																											(uint32_t) (128);
																									}
																								else
																									{	/* Unsafe/sha1.scm 153 */
																										BgL_v1z00_1539 =
																											(uint32_t) (0);
																									}
																							}
																					}
																				}
																			}
																		}
																		{	/* Unsafe/sha1.scm 291 */
																			uint32_t BgL_v2z00_1540;

																			{	/* Unsafe/sha1.scm 292 */
																				long BgL_arg1452z00_1553;

																				{	/* Unsafe/sha1.scm 292 */
																					long BgL_za71za7_2529;

																					BgL_za71za7_2529 =
																						(long) (BgL_nz00_1537);
																					BgL_arg1452z00_1553 =
																						(BgL_za71za7_2529 + 2L);
																				}
																				{	/* Unsafe/sha1.scm 292 */
																					long BgL_iz00_2531;

																					BgL_iz00_2531 =
																						(long) (BgL_arg1452z00_1553);
																					{	/* Unsafe/sha1.scm 150 */
																						long BgL_lenz00_2532;

																						BgL_lenz00_2532 =
																							BGL_MMAP_LENGTH(BgL_strz00_29);
																						{	/* Unsafe/sha1.scm 152 */
																							bool_t BgL_test1967z00_3344;

																							{	/* Unsafe/sha1.scm 152 */
																								long BgL_n1z00_2538;
																								long BgL_n2z00_2539;

																								BgL_n1z00_2538 =
																									(long) (BgL_iz00_2531);
																								BgL_n2z00_2539 =
																									(long) (BgL_lenz00_2532);
																								BgL_test1967z00_3344 =
																									(BgL_n1z00_2538 <
																									BgL_n2z00_2539);
																							}
																							if (BgL_test1967z00_3344)
																								{	/* Unsafe/sha1.scm 152 */
																									long BgL_arg1294z00_2534;

																									{	/* Unsafe/sha1.scm 152 */
																										unsigned char
																											BgL_arg1322z00_2535;
																										{	/* Unsafe/sha1.scm 152 */
																											unsigned char
																												BgL_res1895z00_2548;
																											{	/* Unsafe/sha1.scm 152 */
																												unsigned char
																													BgL_cz00_2542;
																												BgL_cz00_2542 =
																													BGL_MMAP_REF
																													(BgL_strz00_29,
																													BgL_iz00_2531);
																												{	/* Unsafe/sha1.scm 152 */
																													long
																														BgL_arg1544z00_2543;
																													BgL_arg1544z00_2543 =
																														(BgL_iz00_2531 +
																														((long) 1));
																													BGL_MMAP_RP_SET
																														(BgL_strz00_29,
																														BgL_arg1544z00_2543);
																													BUNSPEC;
																													BgL_arg1544z00_2543;
																												}
																												BgL_res1895z00_2548 =
																													BgL_cz00_2542;
																											}
																											BgL_arg1322z00_2535 =
																												BgL_res1895z00_2548;
																										}
																										BgL_arg1294z00_2534 =
																											(BgL_arg1322z00_2535);
																									}
																									BgL_v2z00_1540 =
																										(uint32_t)
																										(BgL_arg1294z00_2534);
																								}
																							else
																								{	/* Unsafe/sha1.scm 153 */
																									bool_t BgL_test1968z00_3353;

																									{	/* Unsafe/sha1.scm 153 */
																										long BgL_n1z00_2551;
																										long BgL_n2z00_2552;

																										BgL_n1z00_2551 =
																											(long) (BgL_iz00_2531);
																										BgL_n2z00_2552 =
																											(long) (BgL_lenz00_2532);
																										BgL_test1968z00_3353 =
																											(BgL_n1z00_2551 ==
																											BgL_n2z00_2552);
																									}
																									if (BgL_test1968z00_3353)
																										{	/* Unsafe/sha1.scm 153 */
																											BgL_v2z00_1540 =
																												(uint32_t) (128);
																										}
																									else
																										{	/* Unsafe/sha1.scm 153 */
																											BgL_v2z00_1540 =
																												(uint32_t) (0);
																										}
																								}
																						}
																					}
																				}
																			}
																			{	/* Unsafe/sha1.scm 292 */
																				uint32_t BgL_v3z00_1541;

																				{	/* Unsafe/sha1.scm 293 */
																					long BgL_arg1451z00_1552;

																					{	/* Unsafe/sha1.scm 293 */
																						long BgL_za71za7_2553;

																						BgL_za71za7_2553 =
																							(long) (BgL_nz00_1537);
																						BgL_arg1451z00_1552 =
																							(BgL_za71za7_2553 + 3L);
																					}
																					{	/* Unsafe/sha1.scm 293 */
																						long BgL_iz00_2555;

																						BgL_iz00_2555 =
																							(long) (BgL_arg1451z00_1552);
																						{	/* Unsafe/sha1.scm 150 */
																							long BgL_lenz00_2556;

																							BgL_lenz00_2556 =
																								BGL_MMAP_LENGTH(BgL_strz00_29);
																							{	/* Unsafe/sha1.scm 152 */
																								bool_t BgL_test1969z00_3361;

																								{	/* Unsafe/sha1.scm 152 */
																									long BgL_n1z00_2562;
																									long BgL_n2z00_2563;

																									BgL_n1z00_2562 =
																										(long) (BgL_iz00_2555);
																									BgL_n2z00_2563 =
																										(long) (BgL_lenz00_2556);
																									BgL_test1969z00_3361 =
																										(BgL_n1z00_2562 <
																										BgL_n2z00_2563);
																								}
																								if (BgL_test1969z00_3361)
																									{	/* Unsafe/sha1.scm 152 */
																										long BgL_arg1294z00_2558;

																										{	/* Unsafe/sha1.scm 152 */
																											unsigned char
																												BgL_arg1322z00_2559;
																											{	/* Unsafe/sha1.scm 152 */
																												unsigned char
																													BgL_res1896z00_2572;
																												{	/* Unsafe/sha1.scm 152 */
																													unsigned char
																														BgL_cz00_2566;
																													BgL_cz00_2566 =
																														BGL_MMAP_REF
																														(BgL_strz00_29,
																														BgL_iz00_2555);
																													{	/* Unsafe/sha1.scm 152 */
																														long
																															BgL_arg1544z00_2567;
																														BgL_arg1544z00_2567
																															=
																															(BgL_iz00_2555 +
																															((long) 1));
																														BGL_MMAP_RP_SET
																															(BgL_strz00_29,
																															BgL_arg1544z00_2567);
																														BUNSPEC;
																														BgL_arg1544z00_2567;
																													}
																													BgL_res1896z00_2572 =
																														BgL_cz00_2566;
																												}
																												BgL_arg1322z00_2559 =
																													BgL_res1896z00_2572;
																											}
																											BgL_arg1294z00_2558 =
																												(BgL_arg1322z00_2559);
																										}
																										BgL_v3z00_1541 =
																											(uint32_t)
																											(BgL_arg1294z00_2558);
																									}
																								else
																									{	/* Unsafe/sha1.scm 153 */
																										bool_t BgL_test1970z00_3370;

																										{	/* Unsafe/sha1.scm 153 */
																											long BgL_n1z00_2575;
																											long BgL_n2z00_2576;

																											BgL_n1z00_2575 =
																												(long) (BgL_iz00_2555);
																											BgL_n2z00_2576 =
																												(long)
																												(BgL_lenz00_2556);
																											BgL_test1970z00_3370 =
																												(BgL_n1z00_2575 ==
																												BgL_n2z00_2576);
																										}
																										if (BgL_test1970z00_3370)
																											{	/* Unsafe/sha1.scm 153 */
																												BgL_v3z00_1541 =
																													(uint32_t) (128);
																											}
																										else
																											{	/* Unsafe/sha1.scm 153 */
																												BgL_v3z00_1541 =
																													(uint32_t) (0);
																											}
																									}
																							}
																						}
																					}
																				}
																				{	/* Unsafe/sha1.scm 293 */
																					uint32_t BgL_vz00_1542;

																					{	/* Unsafe/sha1.scm 294 */
																						uint32_t BgL_arg1442z00_1543;
																						uint32_t BgL_arg1443z00_1544;

																						{	/* Unsafe/sha1.scm 294 */
																							uint32_t BgL_arg1444z00_1545;

																							{	/* Unsafe/sha1.scm 294 */
																								long BgL_arg1445z00_1546;

																								{	/* Unsafe/sha1.scm 294 */
																									uint32_t BgL_tmpz00_3374;

																									BgL_tmpz00_3374 =
																										(
																										(BgL_v0z00_1538 <<
																											(int) (8L)) |
																										BgL_v1z00_1539);
																									BgL_arg1445z00_1546 =
																										(long) (BgL_tmpz00_3374);
																								}
																								BgL_arg1444z00_1545 =
																									(uint32_t)
																									(BgL_arg1445z00_1546);
																							}
																							BgL_arg1442z00_1543 =
																								(BgL_arg1444z00_1545 <<
																								(int) (16L));
																						}
																						{	/* Unsafe/sha1.scm 294 */
																							long BgL_arg1448z00_1549;

																							{	/* Unsafe/sha1.scm 294 */
																								uint32_t BgL_tmpz00_3382;

																								BgL_tmpz00_3382 =
																									(
																									(BgL_v2z00_1540 <<
																										(int) (8L)) |
																									BgL_v3z00_1541);
																								BgL_arg1448z00_1549 =
																									(long) (BgL_tmpz00_3382);
																							}
																							BgL_arg1443z00_1544 =
																								(uint32_t)
																								(BgL_arg1448z00_1549);
																						}
																						BgL_vz00_1542 =
																							(BgL_arg1442z00_1543 |
																							BgL_arg1443z00_1544);
																					}
																					{	/* Unsafe/sha1.scm 294 */

																						BGL_U32VSET(BgL_vecz00_1531,
																							BgL_jz00_1534, BgL_vz00_1542);
																						BUNSPEC;
															}}}}}}}
															VECTOR_SET(BgL_mz00_1525, BgL_iz00_1528,
																BgL_vecz00_1531);
															{
																long BgL_jz00_3391;

																BgL_jz00_3391 = (BgL_jz00_1534 + 1L);
																BgL_jz00_1534 = BgL_jz00_3391;
																goto BgL_zc3z04anonymousza31440ze3z87_1535;
															}
														}
													else
														{	/* Unsafe/sha1.scm 288 */
															((bool_t) 0);
														}
												}
											}
											{
												long BgL_iz00_3393;

												BgL_iz00_3393 = (BgL_iz00_1528 + 1L);
												BgL_iz00_1528 = BgL_iz00_3393;
												goto BgL_zc3z04anonymousza31438ze3z87_1529;
											}
										}
									else
										{	/* Unsafe/sha1.scm 286 */
											((bool_t) 0);
										}
								}
								return BGl_sha1z00zz__sha1z00(BgL_lenz00_1522, BgL_mz00_1525);
							}
						}
					}
				}
			}
		}

	}



/* &sha1sum-mmap */
	obj_t BGl_z62sha1sumzd2mmapzb0zz__sha1z00(obj_t BgL_envz00_2902,
		obj_t BgL_strz00_2903)
	{
		{	/* Unsafe/sha1.scm 278 */
			{	/* Unsafe/sha1.scm 281 */
				obj_t BgL_auxz00_3396;

				if (BGL_MMAPP(BgL_strz00_2903))
					{	/* Unsafe/sha1.scm 281 */
						BgL_auxz00_3396 = BgL_strz00_2903;
					}
				else
					{
						obj_t BgL_auxz00_3399;

						BgL_auxz00_3399 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1911z00zz__sha1z00,
							BINT(11050L), BGl_string1914z00zz__sha1z00,
							BGl_string1915z00zz__sha1z00, BgL_strz00_2903);
						FAILURE(BgL_auxz00_3399, BFALSE, BFALSE);
					}
				return BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_auxz00_3396);
			}
		}

	}



/* sha1sum-port */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2portzd2zz__sha1z00(obj_t BgL_ipz00_30)
	{
		{	/* Unsafe/sha1.scm 303 */
			{	/* Unsafe/sha1.scm 306 */
				obj_t BgL_bufz00_1566;

				{	/* Ieee/string.scm 168 */

					BgL_bufz00_1566 = make_string(64L, ((unsigned char) ' '));
				}
				{
					long BgL_lenz00_1569;
					obj_t BgL_lz00_1570;
					long BgL_nlz00_1571;

					BgL_lenz00_1569 = 0L;
					BgL_lz00_1570 = BNIL;
					BgL_nlz00_1571 = 0L;
				BgL_zc3z04anonymousza31461ze3z87_1572:
					BGl_stringzd2fillz12zc0zz__r4_strings_6_7z00(BgL_bufz00_1566,
						((unsigned char) '\000'));
					{	/* Unsafe/sha1.scm 312 */
						obj_t BgL_cz00_1573;

						{	/* Unsafe/sha1.scm 312 */
							long BgL_nz00_2596;

							BgL_nz00_2596 =
								bgl_rgc_blit_string(BgL_ipz00_30,
								BSTRING_TO_STRING(BgL_bufz00_1566), 0L, 64L);
							{	/* Unsafe/sha1.scm 312 */
								bool_t BgL_test1972z00_3408;

								if ((BgL_nz00_2596 == 0L))
									{	/* Unsafe/sha1.scm 312 */
										BgL_test1972z00_3408 = rgc_buffer_eof_p(BgL_ipz00_30);
									}
								else
									{	/* Unsafe/sha1.scm 312 */
										BgL_test1972z00_3408 = ((bool_t) 0);
									}
								if (BgL_test1972z00_3408)
									{	/* Unsafe/sha1.scm 312 */
										BgL_cz00_1573 = BEOF;
									}
								else
									{	/* Unsafe/sha1.scm 312 */
										BgL_cz00_1573 = BINT(BgL_nz00_2596);
									}
							}
						}
						{	/* Unsafe/sha1.scm 312 */
							obj_t BgL_lz00_1574;

							if (EOF_OBJECTP(BgL_cz00_1573))
								{	/* Unsafe/sha1.scm 313 */
									BgL_lz00_1574 = BINT(0L);
								}
							else
								{	/* Unsafe/sha1.scm 313 */
									BgL_lz00_1574 = BgL_cz00_1573;
								}
							{	/* Unsafe/sha1.scm 313 */
								long BgL_nlenz00_1575;

								BgL_nlenz00_1575 =
									((long) CINT(BgL_lz00_1574) + BgL_lenz00_1569);
								{	/* Unsafe/sha1.scm 314 */
									obj_t BgL_vecz00_1576;

									BgL_vecz00_1576 =
										BGl_makezd2u32vectorzd2zz__srfi4z00(16L, (uint32_t) (0L));
									{	/* Unsafe/sha1.scm 315 */

										if (((long) CINT(BgL_lz00_1574) < 64L))
											{	/* Unsafe/sha1.scm 316 */
												long BgL_tmpz00_3423;

												BgL_tmpz00_3423 = (long) CINT(BgL_lz00_1574);
												STRING_SET(BgL_bufz00_1566, BgL_tmpz00_3423,
													((unsigned char) 128));
											}
										else
											{	/* Unsafe/sha1.scm 316 */
												BFALSE;
											}
										{
											long BgL_jz00_1580;

											BgL_jz00_1580 = 0L;
										BgL_zc3z04anonymousza31463ze3z87_1581:
											if ((BgL_jz00_1580 < 16L))
												{	/* Unsafe/sha1.scm 317 */
													{	/* Unsafe/sha1.scm 318 */
														int BgL_nz00_1583;

														BgL_nz00_1583 = (int) ((BgL_jz00_1580 * 4L));
														{	/* Unsafe/sha1.scm 318 */
															uint32_t BgL_v0z00_1584;

															{	/* Unsafe/sha1.scm 319 */
																long BgL_tmpz00_3430;

																BgL_tmpz00_3430 =
																	(STRING_REF(BgL_bufz00_1566,
																		(long) (BgL_nz00_1583)));
																BgL_v0z00_1584 = (uint32_t) (BgL_tmpz00_3430);
															}
															{	/* Unsafe/sha1.scm 319 */
																uint32_t BgL_v1z00_1585;

																{	/* Unsafe/sha1.scm 320 */
																	long BgL_tmpz00_3435;

																	BgL_tmpz00_3435 =
																		(STRING_REF(BgL_bufz00_1566,
																			((long) (BgL_nz00_1583) + 1L)));
																	BgL_v1z00_1585 = (uint32_t) (BgL_tmpz00_3435);
																}
																{	/* Unsafe/sha1.scm 320 */
																	uint32_t BgL_v2z00_1586;

																	{	/* Unsafe/sha1.scm 321 */
																		long BgL_tmpz00_3441;

																		BgL_tmpz00_3441 =
																			(STRING_REF(BgL_bufz00_1566,
																				((long) (BgL_nz00_1583) + 2L)));
																		BgL_v2z00_1586 =
																			(uint32_t) (BgL_tmpz00_3441);
																	}
																	{	/* Unsafe/sha1.scm 321 */
																		uint32_t BgL_v3z00_1587;

																		{	/* Unsafe/sha1.scm 322 */
																			long BgL_tmpz00_3447;

																			BgL_tmpz00_3447 =
																				(STRING_REF(BgL_bufz00_1566,
																					((long) (BgL_nz00_1583) + 3L)));
																			BgL_v3z00_1587 =
																				(uint32_t) (BgL_tmpz00_3447);
																		}
																		{	/* Unsafe/sha1.scm 322 */
																			uint32_t BgL_vz00_1588;

																			{	/* Unsafe/sha1.scm 323 */
																				uint32_t BgL_arg1465z00_1589;
																				uint32_t BgL_arg1468z00_1590;

																				{	/* Unsafe/sha1.scm 323 */
																					uint32_t BgL_arg1469z00_1591;

																					{	/* Unsafe/sha1.scm 323 */
																						long BgL_arg1471z00_1592;

																						{	/* Unsafe/sha1.scm 323 */
																							uint32_t BgL_tmpz00_3453;

																							BgL_tmpz00_3453 =
																								(
																								(BgL_v0z00_1584 <<
																									(int) (8L)) | BgL_v1z00_1585);
																							BgL_arg1471z00_1592 =
																								(long) (BgL_tmpz00_3453);
																						}
																						BgL_arg1469z00_1591 =
																							(uint32_t) (BgL_arg1471z00_1592);
																					}
																					BgL_arg1465z00_1589 =
																						(BgL_arg1469z00_1591 <<
																						(int) (16L));
																				}
																				{	/* Unsafe/sha1.scm 323 */
																					long BgL_arg1474z00_1595;

																					{	/* Unsafe/sha1.scm 323 */
																						uint32_t BgL_tmpz00_3461;

																						BgL_tmpz00_3461 =
																							(
																							(BgL_v2z00_1586 <<
																								(int) (8L)) | BgL_v3z00_1587);
																						BgL_arg1474z00_1595 =
																							(long) (BgL_tmpz00_3461);
																					}
																					BgL_arg1468z00_1590 =
																						(uint32_t) (BgL_arg1474z00_1595);
																				}
																				BgL_vz00_1588 =
																					(BgL_arg1465z00_1589 |
																					BgL_arg1468z00_1590);
																			}
																			{	/* Unsafe/sha1.scm 323 */

																				BGL_U32VSET(BgL_vecz00_1576,
																					BgL_jz00_1580, BgL_vz00_1588);
																				BUNSPEC;
													}}}}}}}
													{
														long BgL_jz00_3469;

														BgL_jz00_3469 = (BgL_jz00_1580 + 1L);
														BgL_jz00_1580 = BgL_jz00_3469;
														goto BgL_zc3z04anonymousza31463ze3z87_1581;
													}
												}
											else
												{	/* Unsafe/sha1.scm 317 */
													((bool_t) 0);
												}
										}
										if (((long) CINT(BgL_lz00_1574) < 64L))
											{	/* Unsafe/sha1.scm 327 */
												long BgL_flz00_1608;

												{	/* Unsafe/sha1.scm 327 */
													long BgL_tmpz00_3474;

													{	/* Unsafe/sha1.scm 327 */
														obj_t BgL_tmpz00_3475;

														{	/* Unsafe/sha1.scm 245 */
															obj_t BgL_rz00_2640;

															BgL_rz00_2640 =
																BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(
																	(BgL_nlenz00_1575 + 1L)), BINT(4L));
															if (INTEGERP(BgL_rz00_2640))
																{	/* Unsafe/sha1.scm 246 */
																	BgL_tmpz00_3475 = BgL_rz00_2640;
																}
															else
																{	/* Unsafe/sha1.scm 246 */
																	BgL_tmpz00_3475 =
																		BINT(
																		(long) (REAL_TO_DOUBLE
																			(BGl_ceilingz00zz__r4_numbers_6_5z00
																				(BgL_rz00_2640))));
														}}
														BgL_tmpz00_3474 = (long) CINT(BgL_tmpz00_3475);
													}
													BgL_flz00_1608 = (BgL_tmpz00_3474 + 2L);
												}
												{	/* Unsafe/sha1.scm 327 */
													long BgL_nz00_1609;

													{	/* Unsafe/sha1.scm 245 */
														obj_t BgL_rz00_2646;

														BgL_rz00_2646 =
															BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT
															(BgL_flz00_1608), BINT(16L));
														if (INTEGERP(BgL_rz00_2646))
															{	/* Unsafe/sha1.scm 246 */
																BgL_nz00_1609 = (long) CINT(BgL_rz00_2646);
															}
														else
															{	/* Unsafe/sha1.scm 246 */
																BgL_nz00_1609 =
																	(long) (REAL_TO_DOUBLE
																	(BGl_ceilingz00zz__r4_numbers_6_5z00
																		(BgL_rz00_2646)));
													}}
													{	/* Unsafe/sha1.scm 328 */
														obj_t BgL_mz00_1610;

														{	/* Unsafe/sha1.scm 331 */
															obj_t BgL_arg1487z00_1611;

															{	/* Unsafe/sha1.scm 331 */
																obj_t BgL_arg1488z00_1612;

																if ((BgL_nz00_1609 > (1L + BgL_nlz00_1571)))
																	{	/* Unsafe/sha1.scm 332 */
																		obj_t BgL_arg1491z00_1615;
																		obj_t BgL_arg1492z00_1616;

																		BgL_arg1491z00_1615 =
																			BGl_makezd2u32vectorzd2zz__srfi4z00(16L,
																			(uint32_t) (0));
																		BgL_arg1492z00_1616 =
																			MAKE_YOUNG_PAIR(BgL_vecz00_1576,
																			BgL_lz00_1570);
																		BgL_arg1488z00_1612 =
																			MAKE_YOUNG_PAIR(BgL_arg1491z00_1615,
																			BgL_arg1492z00_1616);
																	}
																else
																	{	/* Unsafe/sha1.scm 331 */
																		BgL_arg1488z00_1612 =
																			MAKE_YOUNG_PAIR(BgL_vecz00_1576,
																			BgL_lz00_1570);
																	}
																BgL_arg1487z00_1611 =
																	bgl_reverse_bang(BgL_arg1488z00_1612);
															}
															BgL_mz00_1610 =
																BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
																(BgL_arg1487z00_1611);
														}
														{	/* Unsafe/sha1.scm 329 */

															return
																BGl_sha1z00zz__sha1z00(BgL_nlenz00_1575,
																BgL_mz00_1610);
														}
													}
												}
											}
										else
											{	/* Unsafe/sha1.scm 335 */
												obj_t BgL_arg1496z00_1620;
												long BgL_arg1497z00_1621;

												BgL_arg1496z00_1620 =
													MAKE_YOUNG_PAIR(BgL_vecz00_1576, BgL_lz00_1570);
												BgL_arg1497z00_1621 = (BgL_nlz00_1571 + 1L);
												{
													long BgL_nlz00_3511;
													obj_t BgL_lz00_3510;
													long BgL_lenz00_3509;

													BgL_lenz00_3509 = BgL_nlenz00_1575;
													BgL_lz00_3510 = BgL_arg1496z00_1620;
													BgL_nlz00_3511 = BgL_arg1497z00_1621;
													BgL_nlz00_1571 = BgL_nlz00_3511;
													BgL_lz00_1570 = BgL_lz00_3510;
													BgL_lenz00_1569 = BgL_lenz00_3509;
													goto BgL_zc3z04anonymousza31461ze3z87_1572;
												}
											}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &sha1sum-port */
	obj_t BGl_z62sha1sumzd2portzb0zz__sha1z00(obj_t BgL_envz00_2904,
		obj_t BgL_ipz00_2905)
	{
		{	/* Unsafe/sha1.scm 303 */
			{	/* Unsafe/sha1.scm 306 */
				obj_t BgL_auxz00_3512;

				if (INPUT_PORTP(BgL_ipz00_2905))
					{	/* Unsafe/sha1.scm 306 */
						BgL_auxz00_3512 = BgL_ipz00_2905;
					}
				else
					{
						obj_t BgL_auxz00_3515;

						BgL_auxz00_3515 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1911z00zz__sha1z00,
							BINT(11985L), BGl_string1916z00zz__sha1z00,
							BGl_string1917z00zz__sha1z00, BgL_ipz00_2905);
						FAILURE(BgL_auxz00_3515, BFALSE, BFALSE);
					}
				return BGl_sha1sumzd2portzd2zz__sha1z00(BgL_auxz00_3512);
			}
		}

	}



/* sha1sum-file */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2filezd2zz__sha1z00(obj_t BgL_fnamez00_31)
	{
		{	/* Unsafe/sha1.scm 340 */
			{	/* Unsafe/sha1.scm 341 */
				obj_t BgL_mmz00_1626;

				BgL_mmz00_1626 =
					BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_31, BTRUE, BFALSE);
				if (BGL_MMAPP(BgL_mmz00_1626))
					{	/* Unsafe/sha1.scm 343 */
						obj_t BgL_exitd1074z00_1628;

						BgL_exitd1074z00_1628 = BGL_EXITD_TOP_AS_OBJ();
						{	/* Unsafe/sha1.scm 345 */
							obj_t BgL_zc3z04anonymousza31500ze3z87_2906;

							BgL_zc3z04anonymousza31500ze3z87_2906 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza31500ze3ze5zz__sha1z00, (int) (0L),
								(int) (1L));
							PROCEDURE_SET(BgL_zc3z04anonymousza31500ze3z87_2906, (int) (0L),
								BgL_mmz00_1626);
							{	/* Unsafe/sha1.scm 343 */
								obj_t BgL_arg1884z00_2656;

								{	/* Unsafe/sha1.scm 343 */
									obj_t BgL_arg1885z00_2657;

									BgL_arg1885z00_2657 =
										BGL_EXITD_PROTECT(BgL_exitd1074z00_1628);
									BgL_arg1884z00_2656 =
										MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31500ze3z87_2906,
										BgL_arg1885z00_2657);
								}
								BGL_EXITD_PROTECT_SET(BgL_exitd1074z00_1628,
									BgL_arg1884z00_2656);
								BUNSPEC;
							}
							{	/* Unsafe/sha1.scm 344 */
								obj_t BgL_tmp1076z00_1630;

								BgL_tmp1076z00_1630 =
									BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_mmz00_1626);
								{	/* Unsafe/sha1.scm 343 */
									bool_t BgL_test1983z00_3533;

									{	/* Unsafe/sha1.scm 343 */
										obj_t BgL_arg1883z00_2659;

										BgL_arg1883z00_2659 =
											BGL_EXITD_PROTECT(BgL_exitd1074z00_1628);
										BgL_test1983z00_3533 = PAIRP(BgL_arg1883z00_2659);
									}
									if (BgL_test1983z00_3533)
										{	/* Unsafe/sha1.scm 343 */
											obj_t BgL_arg1881z00_2660;

											{	/* Unsafe/sha1.scm 343 */
												obj_t BgL_arg1882z00_2661;

												BgL_arg1882z00_2661 =
													BGL_EXITD_PROTECT(BgL_exitd1074z00_1628);
												BgL_arg1881z00_2660 =
													CDR(((obj_t) BgL_arg1882z00_2661));
											}
											BGL_EXITD_PROTECT_SET(BgL_exitd1074z00_1628,
												BgL_arg1881z00_2660);
											BUNSPEC;
										}
									else
										{	/* Unsafe/sha1.scm 343 */
											BFALSE;
										}
								}
								bgl_close_mmap(BgL_mmz00_1626);
								return BgL_tmp1076z00_1630;
							}
						}
					}
				else
					{	/* Unsafe/sha1.scm 346 */
						obj_t BgL_pz00_1633;

						{	/* Ieee/port.scm 460 */

							BgL_pz00_1633 =
								BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
								(BgL_fnamez00_31, BTRUE, BINT(5000000L));
						}
						{	/* Unsafe/sha1.scm 347 */
							obj_t BgL_exitd1078z00_1634;

							BgL_exitd1078z00_1634 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Unsafe/sha1.scm 349 */
								obj_t BgL_zc3z04anonymousza31501ze3z87_2907;

								BgL_zc3z04anonymousza31501ze3z87_2907 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31501ze3ze5zz__sha1z00, (int) (0L),
									(int) (1L));
								PROCEDURE_SET(BgL_zc3z04anonymousza31501ze3z87_2907, (int) (0L),
									BgL_pz00_1633);
								{	/* Unsafe/sha1.scm 347 */
									obj_t BgL_arg1884z00_2665;

									{	/* Unsafe/sha1.scm 347 */
										obj_t BgL_arg1885z00_2666;

										BgL_arg1885z00_2666 =
											BGL_EXITD_PROTECT(BgL_exitd1078z00_1634);
										BgL_arg1884z00_2665 =
											MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31501ze3z87_2907,
											BgL_arg1885z00_2666);
									}
									BGL_EXITD_PROTECT_SET(BgL_exitd1078z00_1634,
										BgL_arg1884z00_2665);
									BUNSPEC;
								}
								{	/* Unsafe/sha1.scm 348 */
									obj_t BgL_tmp1080z00_1636;

									BgL_tmp1080z00_1636 =
										BGl_sha1sumzd2portzd2zz__sha1z00(BgL_pz00_1633);
									{	/* Unsafe/sha1.scm 347 */
										bool_t BgL_test1984z00_3553;

										{	/* Unsafe/sha1.scm 347 */
											obj_t BgL_arg1883z00_2668;

											BgL_arg1883z00_2668 =
												BGL_EXITD_PROTECT(BgL_exitd1078z00_1634);
											BgL_test1984z00_3553 = PAIRP(BgL_arg1883z00_2668);
										}
										if (BgL_test1984z00_3553)
											{	/* Unsafe/sha1.scm 347 */
												obj_t BgL_arg1881z00_2669;

												{	/* Unsafe/sha1.scm 347 */
													obj_t BgL_arg1882z00_2670;

													BgL_arg1882z00_2670 =
														BGL_EXITD_PROTECT(BgL_exitd1078z00_1634);
													BgL_arg1881z00_2669 =
														CDR(((obj_t) BgL_arg1882z00_2670));
												}
												BGL_EXITD_PROTECT_SET(BgL_exitd1078z00_1634,
													BgL_arg1881z00_2669);
												BUNSPEC;
											}
										else
											{	/* Unsafe/sha1.scm 347 */
												BFALSE;
											}
									}
									bgl_close_input_port(((obj_t) BgL_pz00_1633));
									return BgL_tmp1080z00_1636;
								}
							}
						}
					}
			}
		}

	}



/* &sha1sum-file */
	obj_t BGl_z62sha1sumzd2filezb0zz__sha1z00(obj_t BgL_envz00_2908,
		obj_t BgL_fnamez00_2909)
	{
		{	/* Unsafe/sha1.scm 340 */
			{	/* Unsafe/sha1.scm 341 */
				obj_t BgL_auxz00_3562;

				if (STRINGP(BgL_fnamez00_2909))
					{	/* Unsafe/sha1.scm 341 */
						BgL_auxz00_3562 = BgL_fnamez00_2909;
					}
				else
					{
						obj_t BgL_auxz00_3565;

						BgL_auxz00_3565 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1911z00zz__sha1z00,
							BINT(13262L), BGl_string1918z00zz__sha1z00,
							BGl_string1913z00zz__sha1z00, BgL_fnamez00_2909);
						FAILURE(BgL_auxz00_3565, BFALSE, BFALSE);
					}
				return BGl_sha1sumzd2filezd2zz__sha1z00(BgL_auxz00_3562);
			}
		}

	}



/* &<@anonymous:1500> */
	obj_t BGl_z62zc3z04anonymousza31500ze3ze5zz__sha1z00(obj_t BgL_envz00_2910)
	{
		{	/* Unsafe/sha1.scm 343 */
			{	/* Unsafe/sha1.scm 345 */
				obj_t BgL_mmz00_2911;

				BgL_mmz00_2911 = ((obj_t) PROCEDURE_REF(BgL_envz00_2910, (int) (0L)));
				return bgl_close_mmap(BgL_mmz00_2911);
			}
		}

	}



/* &<@anonymous:1501> */
	obj_t BGl_z62zc3z04anonymousza31501ze3ze5zz__sha1z00(obj_t BgL_envz00_2912)
	{
		{	/* Unsafe/sha1.scm 347 */
			{	/* Unsafe/sha1.scm 349 */
				obj_t BgL_pz00_2913;

				BgL_pz00_2913 = PROCEDURE_REF(BgL_envz00_2912, (int) (0L));
				return bgl_close_input_port(((obj_t) BgL_pz00_2913));
			}
		}

	}



/* sha1sum */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumz00zz__sha1z00(obj_t BgL_objz00_32)
	{
		{	/* Unsafe/sha1.scm 354 */
			if (BGL_MMAPP(BgL_objz00_32))
				{	/* Unsafe/sha1.scm 356 */
					return BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_objz00_32);
				}
			else
				{	/* Unsafe/sha1.scm 356 */
					if (STRINGP(BgL_objz00_32))
						{	/* Unsafe/sha1.scm 358 */
							return BGl_sha1sumzd2stringzd2zz__sha1z00(BgL_objz00_32);
						}
					else
						{	/* Unsafe/sha1.scm 358 */
							if (INPUT_PORTP(BgL_objz00_32))
								{	/* Unsafe/sha1.scm 360 */
									return BGl_sha1sumzd2portzd2zz__sha1z00(BgL_objz00_32);
								}
							else
								{	/* Unsafe/sha1.scm 360 */
									return
										BGl_errorz00zz__errorz00(BGl_string1919z00zz__sha1z00,
										BGl_string1920z00zz__sha1z00, BgL_objz00_32);
								}
						}
				}
		}

	}



/* &sha1sum */
	obj_t BGl_z62sha1sumz62zz__sha1z00(obj_t BgL_envz00_2914,
		obj_t BgL_objz00_2915)
	{
		{	/* Unsafe/sha1.scm 354 */
			return BGl_sha1sumz00zz__sha1z00(BgL_objz00_2915);
		}

	}



/* hmac-sha1sum-string */
	BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(obj_t
		BgL_keyz00_33, obj_t BgL_messagez00_34)
	{
		{	/* Unsafe/sha1.scm 368 */
			return
				BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_33, BgL_messagez00_34,
				BGl_sha1sumzd2stringzd2envz00zz__sha1z00);
		}

	}



/* &hmac-sha1sum-string */
	obj_t BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00(obj_t BgL_envz00_2916,
		obj_t BgL_keyz00_2917, obj_t BgL_messagez00_2918)
	{
		{	/* Unsafe/sha1.scm 368 */
			{	/* Unsafe/sha1.scm 369 */
				obj_t BgL_auxz00_3597;
				obj_t BgL_auxz00_3590;

				if (STRINGP(BgL_messagez00_2918))
					{	/* Unsafe/sha1.scm 369 */
						BgL_auxz00_3597 = BgL_messagez00_2918;
					}
				else
					{
						obj_t BgL_auxz00_3600;

						BgL_auxz00_3600 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1911z00zz__sha1z00,
							BINT(14229L), BGl_string1921z00zz__sha1z00,
							BGl_string1913z00zz__sha1z00, BgL_messagez00_2918);
						FAILURE(BgL_auxz00_3600, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_keyz00_2917))
					{	/* Unsafe/sha1.scm 369 */
						BgL_auxz00_3590 = BgL_keyz00_2917;
					}
				else
					{
						obj_t BgL_auxz00_3593;

						BgL_auxz00_3593 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1911z00zz__sha1z00,
							BINT(14229L), BGl_string1921z00zz__sha1z00,
							BGl_string1913z00zz__sha1z00, BgL_keyz00_2917);
						FAILURE(BgL_auxz00_3593, BFALSE, BFALSE);
					}
				return
					BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(BgL_auxz00_3590,
					BgL_auxz00_3597);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__sha1z00(void)
	{
		{	/* Unsafe/sha1.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__sha1z00(void)
	{
		{	/* Unsafe/sha1.scm 17 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__sha1z00(void)
	{
		{	/* Unsafe/sha1.scm 17 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__sha1z00(void)
	{
		{	/* Unsafe/sha1.scm 17 */
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string1922z00zz__sha1z00));
			return
				BGl_modulezd2initializa7ationz75zz__hmacz00(285132844L,
				BSTRING_TO_STRING(BGl_string1922z00zz__sha1z00));
		}

	}

#ifdef __cplusplus
}
#endif
