/*===========================================================================*/
/*   (Llib/fs.scm)                                                           */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/fs.scm -o objs/fs.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___LIBUV_FS_TYPE_DEFINITIONS
#define BGL___LIBUV_FS_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvfilez00_bgl {
   header_t header;
   obj_t widening;
   int BgL_fdz00;
   obj_t BgL_pathz00;
} *BgL_uvfilez00_bglt;


#endif // BGL___LIBUV_FS_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2open4z00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static long BGl_search1430ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static obj_t BGl__uvzd2fszd2mkdirz00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_search1497ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static long BGl_search1399ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
extern int bgl_uv_fs_rename(char *, char *, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_fsync(BgL_uvfilez00_bglt, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_ftruncate(BgL_uvfilez00_bglt, int64_t, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zz__libuv_fsz00 = BUNSPEC;
static obj_t BGl__uvzd2fszd2write2z00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2write3z00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_copyfile(obj_t, obj_t, int, obj_t, BgL_uvloopz00_bglt);
extern BgL_uvloopz00_bglt BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(void);
extern obj_t bgl_uv_fs_lstat(char *, obj_t, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(obj_t);
static long BGl_search1512ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static obj_t BGl__uvzd2fszd2fdatasyncz00zz__libuv_fsz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl__uvzd2fszd2truncatez00zz__libuv_fsz00(obj_t, obj_t);
extern obj_t bgl_uv_fs_readlink(char *, obj_t, BgL_uvloopz00_bglt);
static long BGl_search1440ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static long BGl_search1342ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static obj_t BGl_z62UV_FS_COPYFILE_FICLONE_FORCEz62zz__libuv_fsz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2mkdirz00zz__libuv_fsz00(obj_t, int, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2copyfilez00zz__libuv_fsz00(obj_t, obj_t, int, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31598ze3ze5zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl_z62UV_FS_COPYFILE_FICLONEz62zz__libuv_fsz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__libuv_fsz00(void);
static long BGl_search1236ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
extern int bgl_uv_fs_fchmod(BgL_uvfilez00_bglt, int, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2readlinkz00zz__libuv_fsz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_UV_FS_COPYFILE_EXCLz00zz__libuv_fsz00(void);
BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl__uvzd2fszd2unlinkz00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_search1181ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2write2z00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, int, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2write3z00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, int, obj_t, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt, obj_t, obj_t);
extern int bgl_uv_fs_read(BgL_uvfilez00_bglt, obj_t, long, long, int64_t, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_genericzd2initzd2zz__libuv_fsz00(void);
static long BGl_O_RDONLYz00zz__libuv_fsz00;
static obj_t BGl__uvzd2fszd2renamez00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__libuv_fsz00(void);
static obj_t BGl__uvzd2fszd2chmodz00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_futime(BgL_uvfilez00_bglt, double, double, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl__uvzd2fszd2openz00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_search1246ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
extern obj_t bgl_uv_fs_stat(char *, obj_t, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_write(BgL_uvfilez00_bglt, obj_t, long, long, int64_t, obj_t, BgL_uvloopz00_bglt);
static long BGl_search1353ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
extern int bgl_uv_fs_chown(char *, int, int, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2truncatez00zz__libuv_fsz00(obj_t, long, obj_t, obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
extern obj_t BGl_UvFilez00zz__libuv_typesz00;
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2unlinkz00zz__libuv_fsz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2openz00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern int bgl_uv_fs_link(char *, char *, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2fdatasyncz00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2utimez00zz__libuv_fsz00(obj_t, obj_t);
extern obj_t bgl_uv_fs_fstat(BgL_uvfilez00_bglt, obj_t, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2chmodz00zz__libuv_fsz00(obj_t, int, obj_t, obj_t);
static obj_t BGl_z62uvzd2fszd2dupz62zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2fchmodz00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_read2(BgL_uvfilez00_bglt, obj_t, long, long, int64_t, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_z62uvzd2fszd2flagsz62zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_read3(BgL_uvfilez00_bglt, obj_t, long, long, int64_t, obj_t, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt);
static long BGl_search1256ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2renamez00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__libuv_fsz00(void);
extern int bgl_uv_fs_fdatasync(BgL_uvfilez00_bglt, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl__uvzd2fszd2fsyncz00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_symlink(char *, char *, obj_t, BgL_uvloopz00_bglt);
static long BGl_search1453ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2utimez00zz__libuv_fsz00(obj_t, double, double, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2symlinkz00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2lstatz00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2futimez00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_search1364ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static long BGl_search1266ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2dupz00zz__libuv_fsz00(int);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2fchmodz00zz__libuv_fsz00(BgL_uvfilez00_bglt, int, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2fsyncz00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, obj_t);
extern int bgl_uv_fs_close2(BgL_uvfilez00_bglt, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern int bgl_uv_fs_lchown(char *, int, int, obj_t, BgL_uvloopz00_bglt);
static long BGl_search1169ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static long BGl_O_TRUNCz00zz__libuv_fsz00;
extern int bgl_uv_fs_rmdir(char *, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2lstatz00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31612ze3ze5zz__libuv_fsz00(obj_t, obj_t);
static long BGl_search1276ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
extern int bgl_uv_fs_close(BgL_uvfilez00_bglt, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_fchown(BgL_uvfilez00_bglt, int, int, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2futimez00zz__libuv_fsz00(BgL_uvfilez00_bglt, double, double, obj_t, obj_t);
static long BGl_O_RDWRz00zz__libuv_fsz00;
static long BGl_search1285ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2symlinkz00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_uv_fs_open4(obj_t, int, int, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt);
static long BGl_search1294ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_fsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_loopz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static long BGl_O_APPENDz00zz__libuv_fsz00;
static obj_t BGl__uvzd2fszd2writez00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_search1202ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static obj_t BGl__uvzd2fszd2chownz00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2fstatz00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2close2z00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2lchownz00zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_UV_FS_COPYFILE_FICLONE_FORCEz00zz__libuv_fsz00(void);
static obj_t BGl__uvzd2fszd2read2z00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_O_SYNCz00zz__libuv_fsz00;
static obj_t BGl__uvzd2fszd2read3z00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__libuv_fsz00(void);
static obj_t BGl__uvzd2fszd2readz00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_mkdir(char *, int, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_fsz00(void);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2writez00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, int, obj_t, BgL_uvloopz00_bglt, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__libuv_fsz00(void);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2statzd2cbzd2vectorzd2propszd2zz__libuv_fsz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_fsz00(void);
static obj_t BGl_z62zc3z04anonymousza31634ze3ze5zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2chownz00zz__libuv_fsz00(obj_t, int, int, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2fchownz00zz__libuv_fsz00(obj_t, obj_t);
extern obj_t bgl_uv_fs_open(obj_t, int, int, obj_t, BgL_uvloopz00_bglt);
static long BGl_search1484ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static obj_t BGl__uvzd2fszd2statz00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_O_WRONLYz00zz__libuv_fsz00;
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2readz00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, int, obj_t, BgL_uvloopz00_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2fstatz00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2ftruncatez00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_search1213ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2read2z00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, int, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2read3z00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, int, obj_t, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt, obj_t, obj_t);
static obj_t BGl_z62uvzd2fszd2statzd2cbzd2vectorzd2propszb0zz__libuv_fsz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2close2z00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2lchownz00zz__libuv_fsz00(obj_t, int, int, obj_t, obj_t);
static long BGl_search1303ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static obj_t BGl__uvzd2fszd2linkz00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_search1468ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2statz00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_UV_FS_COPYFILE_FICLONEz00zz__libuv_fsz00(void);
static long BGl_search1410ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static long BGl_search1379ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static obj_t BGl__uvzd2fszd2rmdirz00zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2fchownz00zz__libuv_fsz00(BgL_uvfilez00_bglt, int, int, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2linkz00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2closez00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_search1388ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
extern int bgl_uv_fs_write2(BgL_uvfilez00_bglt, obj_t, long, long, int64_t, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_write3(BgL_uvfilez00_bglt, obj_t, long, long, int64_t, obj_t, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt);
static long BGl_search1313ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
extern int bgl_uv_fs_chmod(char *, int, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl__uvzd2fszd2open4z00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_search1420ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static long BGl_search1322ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static long BGl_search1224ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static obj_t BGl_z62UV_FS_COPYFILE_EXCLz62zz__libuv_fsz00(obj_t);
static obj_t BGl__uvzd2fszd2copyfilez00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_O_EXCLz00zz__libuv_fsz00;
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2rmdirz00zz__libuv_fsz00(obj_t, obj_t, obj_t);
static long BGl_O_CREATz00zz__libuv_fsz00;
static long BGl_search1331ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2closez00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, obj_t);
extern int bgl_uv_fs_utime(char *, double, double, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl__uvzd2fszd2readlinkz00zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2ftruncatez00zz__libuv_fsz00(BgL_uvfilez00_bglt, int64_t, obj_t, obj_t);
extern int bgl_uv_fs_unlink(char *, obj_t, BgL_uvloopz00_bglt);
static obj_t __cnst[ 26 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2statzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2statza71999za7, opt_generic_entry, BGl__uvzd2fszd2statz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2renamezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2renam2000z00, opt_generic_entry, BGl__uvzd2fszd2renamez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2readlinkzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2readl2001z00, opt_generic_entry, BGl__uvzd2fszd2readlinkz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UV_FS_COPYFILE_EXCLzd2envzd2zz__libuv_fsz00, BgL_bgl_za762uv_fs_copyfil2002za7, BGl_z62UV_FS_COPYFILE_EXCLz62zz__libuv_fsz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2unlinkzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2unlin2003z00, opt_generic_entry, BGl__uvzd2fszd2unlinkz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2symlinkzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2symli2004z00, opt_generic_entry, BGl__uvzd2fszd2symlinkz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fchownzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fchow2005z00, opt_generic_entry, BGl__uvzd2fszd2fchownz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2ftruncatezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2ftrun2006z00, opt_generic_entry, BGl__uvzd2fszd2ftruncatez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2copyfilezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2copyf2007z00, opt_generic_entry, BGl__uvzd2fszd2copyfilez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2lstatzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2lstat2008z00, opt_generic_entry, BGl__uvzd2fszd2lstatz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2read2zd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2read22009z00, opt_generic_entry, BGl__uvzd2fszd2read2z00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2openzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2openza72010za7, opt_generic_entry, BGl__uvzd2fszd2openz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UV_FS_COPYFILE_FICLONEzd2envzd2zz__libuv_fsz00, BgL_bgl_za762uv_fs_copyfil2011za7, BGl_z62UV_FS_COPYFILE_FICLONEz62zz__libuv_fsz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2dupzd2envzd2zz__libuv_fsz00, BgL_bgl_za762uvza7d2fsza7d2dup2012za7, BGl_z62uvzd2fszd2dupz62zz__libuv_fsz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2statzd2cbzd2vectorzd2propszd2envz00zz__libuv_fsz00, BgL_bgl_za762uvza7d2fsza7d2sta2013za7, BGl_z62uvzd2fszd2statzd2cbzd2vectorzd2propszb0zz__libuv_fsz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fchmodzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fchmo2014z00, opt_generic_entry, BGl__uvzd2fszd2fchmodz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2chownzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2chown2015z00, opt_generic_entry, BGl__uvzd2fszd2chownz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2linkzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2linkza72016za7, opt_generic_entry, BGl__uvzd2fszd2linkz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2read3zd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2read32017z00, opt_generic_entry, BGl__uvzd2fszd2read3z00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2rmdirzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2rmdir2018z00, opt_generic_entry, BGl__uvzd2fszd2rmdirz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2chmodzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2chmod2019z00, opt_generic_entry, BGl__uvzd2fszd2chmodz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2flagszd2envzd2zz__libuv_fsz00, BgL_bgl_za762uvza7d2fsza7d2fla2020za7, BGl_z62uvzd2fszd2flagsz62zz__libuv_fsz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2closezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2close2021z00, opt_generic_entry, BGl__uvzd2fszd2closez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2open4zd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2open42022z00, opt_generic_entry, BGl__uvzd2fszd2open4z00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2close2zd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2close2023z00, opt_generic_entry, BGl__uvzd2fszd2close2z00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2futimezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2futim2024z00, opt_generic_entry, BGl__uvzd2fszd2futimez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2write2zd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2write2025z00, opt_generic_entry, BGl__uvzd2fszd2write2z00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fsynczd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fsync2026z00, opt_generic_entry, BGl__uvzd2fszd2fsyncz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2utimezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2utime2027z00, opt_generic_entry, BGl__uvzd2fszd2utimez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_STRING( BGl_string1992z00zz__libuv_fsz00, BgL_bgl_string1992za700za7za7_2028za7, "uv-fs-open", 10 );
DEFINE_STRING( BGl_string1993z00zz__libuv_fsz00, BgL_bgl_string1993za700za7za7_2029za7, "Wrong flags", 11 );
DEFINE_STRING( BGl_string1994z00zz__libuv_fsz00, BgL_bgl_string1994za700za7za7_2030za7, "uv-fs-flags", 11 );
DEFINE_STRING( BGl_string1995z00zz__libuv_fsz00, BgL_bgl_string1995za700za7za7_2031za7, "Illegal flag", 12 );
DEFINE_STRING( BGl_string1996z00zz__libuv_fsz00, BgL_bgl_string1996za700za7za7_2032za7, "__libuv_fs", 10 );
DEFINE_STRING( BGl_string1997z00zz__libuv_fsz00, BgL_bgl_string1997za700za7za7_2033za7, "xa+ ax+ a+ xa ax wx+ xw+ w+ xw wx w rs+ r+ r :position :offset :vector :arg3 :arg2 :arg1 :arg0 :mode a :loop :callback #(\"ctime\" \"mtime\" \"atime\" \"birthtime\" \"gen\" \"flags\" \"blocks\" \"blksize\" \"size\" \"ino\" \"rdev\" \"gid\" \"uid\" \"nlink\" \"mode\" \"dev\" \"ctime-ns\" \"mtime-ns\" \"atime-ns\" \"birthtime-ns\") ", 292 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fdatasynczd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fdata2034z00, opt_generic_entry, BGl__uvzd2fszd2fdatasyncz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2write3zd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2write2035z00, opt_generic_entry, BGl__uvzd2fszd2write3z00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2mkdirzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2mkdir2036z00, opt_generic_entry, BGl__uvzd2fszd2mkdirz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fstatzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fstat2037z00, opt_generic_entry, BGl__uvzd2fszd2fstatz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2truncatezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2trunc2038z00, opt_generic_entry, BGl__uvzd2fszd2truncatez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2writezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2write2039z00, opt_generic_entry, BGl__uvzd2fszd2writez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2lchownzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2lchow2040z00, opt_generic_entry, BGl__uvzd2fszd2lchownz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UV_FS_COPYFILE_FICLONE_FORCEzd2envzd2zz__libuv_fsz00, BgL_bgl_za762uv_fs_copyfil2041za7, BGl_z62UV_FS_COPYFILE_FICLONE_FORCEz62zz__libuv_fsz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2readzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2readza72042za7, opt_generic_entry, BGl__uvzd2fszd2readz00zz__libuv_fsz00, BFALSE, -1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_fsz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_fsz00(long BgL_checksumz00_2855, char * BgL_fromz00_2856)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_fsz00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_fsz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libuv_fsz00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_fsz00(); 
BGl_cnstzd2initzd2zz__libuv_fsz00(); 
BGl_importedzd2moduleszd2initz00zz__libuv_fsz00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_fsz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__bitz00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__libuv_fs"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
{ /* Llib/fs.scm 15 */
 obj_t BgL_cportz00_2387;
{ /* Llib/fs.scm 15 */
 obj_t BgL_stringz00_2394;
BgL_stringz00_2394 = BGl_string1997z00zz__libuv_fsz00; 
{ /* Llib/fs.scm 15 */
 obj_t BgL_startz00_2395;
BgL_startz00_2395 = 
BINT(0L); 
{ /* Llib/fs.scm 15 */
 obj_t BgL_endz00_2396;
BgL_endz00_2396 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2394))); 
{ /* Llib/fs.scm 15 */

BgL_cportz00_2387 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2394, BgL_startz00_2395, BgL_endz00_2396); } } } } 
{ 
 long BgL_iz00_2388;
BgL_iz00_2388 = 25L; 
BgL_loopz00_2389:
if(
(BgL_iz00_2388==-1L))
{ /* Llib/fs.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/fs.scm 15 */
{ /* Llib/fs.scm 15 */
 obj_t BgL_arg1998z00_2390;
{ /* Llib/fs.scm 15 */

{ /* Llib/fs.scm 15 */
 obj_t BgL_locationz00_2392;
BgL_locationz00_2392 = 
BBOOL(((bool_t)0)); 
{ /* Llib/fs.scm 15 */

BgL_arg1998z00_2390 = 
BGl_readz00zz__readerz00(BgL_cportz00_2387, BgL_locationz00_2392); } } } 
{ /* Llib/fs.scm 15 */
 int BgL_tmpz00_2885;
BgL_tmpz00_2885 = 
(int)(BgL_iz00_2388); 
CNST_TABLE_SET(BgL_tmpz00_2885, BgL_arg1998z00_2390); } } 
{ /* Llib/fs.scm 15 */
 int BgL_auxz00_2393;
BgL_auxz00_2393 = 
(int)(
(BgL_iz00_2388-1L)); 
{ 
 long BgL_iz00_2890;
BgL_iz00_2890 = 
(long)(BgL_auxz00_2393); 
BgL_iz00_2388 = BgL_iz00_2890; 
goto BgL_loopz00_2389;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
BGl_O_RDONLYz00zz__libuv_fsz00 = 
O_RDONLY; 
BGl_O_WRONLYz00zz__libuv_fsz00 = 
O_WRONLY; 
BGl_O_RDWRz00zz__libuv_fsz00 = 
O_RDWR; 
BGl_O_CREATz00zz__libuv_fsz00 = 
O_CREAT; 
BGl_O_EXCLz00zz__libuv_fsz00 = 
O_EXCL; 
BGl_O_TRUNCz00zz__libuv_fsz00 = 
O_TRUNC; 
BGl_O_APPENDz00zz__libuv_fsz00 = 
O_APPEND; 
return ( 
BGl_O_SYNCz00zz__libuv_fsz00 = 
O_SYNC, BUNSPEC) ;} 

}



/* UV_FS_COPYFILE_EXCL */
BGL_EXPORTED_DEF int BGl_UV_FS_COPYFILE_EXCLz00zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 128 */
return 
(int)(
UV_FS_COPYFILE_EXCL);} 

}



/* &UV_FS_COPYFILE_EXCL */
obj_t BGl_z62UV_FS_COPYFILE_EXCLz62zz__libuv_fsz00(obj_t BgL_envz00_2300)
{
{ /* Llib/fs.scm 128 */
return 
BINT(
BGl_UV_FS_COPYFILE_EXCLz00zz__libuv_fsz00());} 

}



/* UV_FS_COPYFILE_FICLONE */
BGL_EXPORTED_DEF int BGl_UV_FS_COPYFILE_FICLONEz00zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 130 */
return 
(int)(
UV_FS_COPYFILE_FICLONE);} 

}



/* &UV_FS_COPYFILE_FICLONE */
obj_t BGl_z62UV_FS_COPYFILE_FICLONEz62zz__libuv_fsz00(obj_t BgL_envz00_2301)
{
{ /* Llib/fs.scm 130 */
return 
BINT(
BGl_UV_FS_COPYFILE_FICLONEz00zz__libuv_fsz00());} 

}



/* UV_FS_COPYFILE_FICLONE_FORCE */
BGL_EXPORTED_DEF int BGl_UV_FS_COPYFILE_FICLONE_FORCEz00zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 132 */
return 
(int)(
UV_FS_COPYFILE_FICLONE_FORCE);} 

}



/* &UV_FS_COPYFILE_FICLONE_FORCE */
obj_t BGl_z62UV_FS_COPYFILE_FICLONE_FORCEz62zz__libuv_fsz00(obj_t BgL_envz00_2302)
{
{ /* Llib/fs.scm 132 */
return 
BINT(
BGl_UV_FS_COPYFILE_FICLONE_FORCEz00zz__libuv_fsz00());} 

}



/* uv-fs-stat-cb-vector-props */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2statzd2cbzd2vectorzd2propszd2zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 153 */
return 
CNST_TABLE_REF(0L);} 

}



/* &uv-fs-stat-cb-vector-props */
obj_t BGl_z62uvzd2fszd2statzd2cbzd2vectorzd2propszb0zz__libuv_fsz00(obj_t BgL_envz00_2303)
{
{ /* Llib/fs.scm 153 */
return 
BGl_uvzd2fszd2statzd2cbzd2vectorzd2propszd2zz__libuv_fsz00();} 

}



/* uv-fs-dup */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2dupz00zz__libuv_fsz00(int BgL_oldz00_3)
{
{ /* Llib/fs.scm 163 */
return 
dup(BgL_oldz00_3);} 

}



/* &uv-fs-dup */
obj_t BGl_z62uvzd2fszd2dupz62zz__libuv_fsz00(obj_t BgL_envz00_2304, obj_t BgL_oldz00_2305)
{
{ /* Llib/fs.scm 163 */
return 
BINT(
BGl_uvzd2fszd2dupz00zz__libuv_fsz00(
CINT(BgL_oldz00_2305)));} 

}



/* _uv-fs-rename */
obj_t BGl__uvzd2fszd2renamez00zz__libuv_fsz00(obj_t BgL_env1167z00_9, obj_t BgL_opt1166z00_8)
{
{ /* Llib/fs.scm 169 */
{ /* Llib/fs.scm 169 */
 obj_t BgL_g1176z00_2398; obj_t BgL_g1177z00_2399;
BgL_g1176z00_2398 = 
VECTOR_REF(BgL_opt1166z00_8,0L); 
BgL_g1177z00_2399 = 
VECTOR_REF(BgL_opt1166z00_8,1L); 
{ /* Llib/fs.scm 169 */
 obj_t BgL_callbackz00_2400;
BgL_callbackz00_2400 = BFALSE; 
{ /* Llib/fs.scm 169 */
 obj_t BgL_loopz00_2401;
BgL_loopz00_2401 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 169 */

{ /* Llib/fs.scm 169 */
 long BgL_index1172z00_2402;
BgL_index1172z00_2402 = 
BGl_search1169ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1166z00_8), BgL_opt1166z00_8, 
CNST_TABLE_REF(1L), 2L); 
if(
(BgL_index1172z00_2402>=0L))
{ /* Llib/fs.scm 169 */
BgL_callbackz00_2400 = 
VECTOR_REF(BgL_opt1166z00_8,BgL_index1172z00_2402); }  else 
{ /* Llib/fs.scm 169 */BFALSE; } } 
{ /* Llib/fs.scm 169 */
 long BgL_index1173z00_2403;
BgL_index1173z00_2403 = 
BGl_search1169ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1166z00_8), BgL_opt1166z00_8, 
CNST_TABLE_REF(2L), 2L); 
if(
(BgL_index1173z00_2403>=0L))
{ /* Llib/fs.scm 169 */
BgL_loopz00_2401 = 
VECTOR_REF(BgL_opt1166z00_8,BgL_index1173z00_2403); }  else 
{ /* Llib/fs.scm 169 */BFALSE; } } 
{ /* Llib/fs.scm 169 */
 obj_t BgL_arg1544z00_2404; obj_t BgL_arg1545z00_2405;
BgL_arg1544z00_2404 = 
VECTOR_REF(BgL_opt1166z00_8,0L); 
BgL_arg1545z00_2405 = 
VECTOR_REF(BgL_opt1166z00_8,1L); 
{ /* Llib/fs.scm 169 */
 obj_t BgL_callbackz00_2406;
BgL_callbackz00_2406 = BgL_callbackz00_2400; 
{ /* Llib/fs.scm 169 */
 obj_t BgL_loopz00_2407;
BgL_loopz00_2407 = BgL_loopz00_2401; 
return 
BINT(
bgl_uv_fs_rename(
BSTRING_TO_STRING(
((obj_t)BgL_arg1544z00_2404)), 
BSTRING_TO_STRING(
((obj_t)BgL_arg1545z00_2405)), BgL_callbackz00_2406, 
((BgL_uvloopz00_bglt)BgL_loopz00_2407)));} } } } } } } } 

}



/* search1169~0 */
long BGl_search1169ze70ze7zz__libuv_fsz00(long BgL_l1168z00_2386, obj_t BgL_opt1166z00_2385, obj_t BgL_k1z00_1070, long BgL_iz00_1071)
{
{ /* Llib/fs.scm 169 */
BGl_search1169ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1071==BgL_l1168z00_2386))
{ /* Llib/fs.scm 169 */
return -1L;}  else 
{ /* Llib/fs.scm 169 */
 obj_t BgL_vz00_1073;
BgL_vz00_1073 = 
VECTOR_REF(BgL_opt1166z00_2385,BgL_iz00_1071); 
if(
(BgL_vz00_1073==BgL_k1z00_1070))
{ /* Llib/fs.scm 169 */
return 
(BgL_iz00_1071+1L);}  else 
{ 
 long BgL_iz00_2950;
BgL_iz00_2950 = 
(BgL_iz00_1071+2L); 
BgL_iz00_1071 = BgL_iz00_2950; 
goto BGl_search1169ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-rename */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2renamez00zz__libuv_fsz00(obj_t BgL_oldz00_4, obj_t BgL_newz00_5, obj_t BgL_callbackz00_6, obj_t BgL_loopz00_7)
{
{ /* Llib/fs.scm 169 */
return 
bgl_uv_fs_rename(
BSTRING_TO_STRING(BgL_oldz00_4), 
BSTRING_TO_STRING(BgL_newz00_5), BgL_callbackz00_6, 
((BgL_uvloopz00_bglt)BgL_loopz00_7));} 

}



/* _uv-fs-ftruncate */
obj_t BGl__uvzd2fszd2ftruncatez00zz__libuv_fsz00(obj_t BgL_env1179z00_15, obj_t BgL_opt1178z00_14)
{
{ /* Llib/fs.scm 175 */
{ /* Llib/fs.scm 175 */
 obj_t BgL_g1186z00_2408; obj_t BgL_g1187z00_2409;
BgL_g1186z00_2408 = 
VECTOR_REF(BgL_opt1178z00_14,0L); 
BgL_g1187z00_2409 = 
VECTOR_REF(BgL_opt1178z00_14,1L); 
{ /* Llib/fs.scm 175 */
 obj_t BgL_callbackz00_2410;
BgL_callbackz00_2410 = BFALSE; 
{ /* Llib/fs.scm 175 */
 obj_t BgL_loopz00_2411;
BgL_loopz00_2411 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 175 */

{ /* Llib/fs.scm 175 */
 long BgL_index1184z00_2412;
BgL_index1184z00_2412 = 
BGl_search1181ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1178z00_14), BgL_opt1178z00_14, 
CNST_TABLE_REF(1L), 2L); 
if(
(BgL_index1184z00_2412>=0L))
{ /* Llib/fs.scm 175 */
BgL_callbackz00_2410 = 
VECTOR_REF(BgL_opt1178z00_14,BgL_index1184z00_2412); }  else 
{ /* Llib/fs.scm 175 */BFALSE; } } 
{ /* Llib/fs.scm 175 */
 long BgL_index1185z00_2413;
BgL_index1185z00_2413 = 
BGl_search1181ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1178z00_14), BgL_opt1178z00_14, 
CNST_TABLE_REF(2L), 2L); 
if(
(BgL_index1185z00_2413>=0L))
{ /* Llib/fs.scm 175 */
BgL_loopz00_2411 = 
VECTOR_REF(BgL_opt1178z00_14,BgL_index1185z00_2413); }  else 
{ /* Llib/fs.scm 175 */BFALSE; } } 
{ /* Llib/fs.scm 175 */
 obj_t BgL_arg1560z00_2414; obj_t BgL_arg1561z00_2415;
BgL_arg1560z00_2414 = 
VECTOR_REF(BgL_opt1178z00_14,0L); 
BgL_arg1561z00_2415 = 
VECTOR_REF(BgL_opt1178z00_14,1L); 
{ /* Llib/fs.scm 175 */
 obj_t BgL_callbackz00_2416;
BgL_callbackz00_2416 = BgL_callbackz00_2410; 
{ /* Llib/fs.scm 175 */
 obj_t BgL_loopz00_2417;
BgL_loopz00_2417 = BgL_loopz00_2411; 
{ /* Llib/fs.scm 175 */
 int64_t BgL_offsetz00_2418;
BgL_offsetz00_2418 = 
BGL_BINT64_TO_INT64(BgL_arg1561z00_2415); 
return 
BINT(
bgl_uv_fs_ftruncate(
((BgL_uvfilez00_bglt)BgL_arg1560z00_2414), BgL_offsetz00_2418, BgL_callbackz00_2416, 
((BgL_uvloopz00_bglt)BgL_loopz00_2417)));} } } } } } } } } 

}



/* search1181~0 */
long BGl_search1181ze70ze7zz__libuv_fsz00(long BgL_l1180z00_2384, obj_t BgL_opt1178z00_2383, obj_t BgL_k1z00_1098, long BgL_iz00_1099)
{
{ /* Llib/fs.scm 175 */
BGl_search1181ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1099==BgL_l1180z00_2384))
{ /* Llib/fs.scm 175 */
return -1L;}  else 
{ /* Llib/fs.scm 175 */
 obj_t BgL_vz00_1101;
BgL_vz00_1101 = 
VECTOR_REF(BgL_opt1178z00_2383,BgL_iz00_1099); 
if(
(BgL_vz00_1101==BgL_k1z00_1098))
{ /* Llib/fs.scm 175 */
return 
(BgL_iz00_1099+1L);}  else 
{ 
 long BgL_iz00_2985;
BgL_iz00_2985 = 
(BgL_iz00_1099+2L); 
BgL_iz00_1099 = BgL_iz00_2985; 
goto BGl_search1181ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-ftruncate */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2ftruncatez00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_filez00_10, int64_t BgL_offsetz00_11, obj_t BgL_callbackz00_12, obj_t BgL_loopz00_13)
{
{ /* Llib/fs.scm 175 */
return 
bgl_uv_fs_ftruncate(BgL_filez00_10, BgL_offsetz00_11, BgL_callbackz00_12, 
((BgL_uvloopz00_bglt)BgL_loopz00_13));} 

}



/* _uv-fs-truncate */
obj_t BGl__uvzd2fszd2truncatez00zz__libuv_fsz00(obj_t BgL_env1189z00_21, obj_t BgL_opt1188z00_20)
{
{ /* Llib/fs.scm 181 */
{ /* Llib/fs.scm 181 */
 obj_t BgL_g1196z00_285; obj_t BgL_g1198z00_286;
BgL_g1196z00_285 = 
VECTOR_REF(BgL_opt1188z00_20,0L); 
BgL_g1198z00_286 = 
VECTOR_REF(BgL_opt1188z00_20,1L); 
{ /* Llib/fs.scm 181 */
 obj_t BgL_callbackz00_287;
BgL_callbackz00_287 = BFALSE; 
{ /* Llib/fs.scm 181 */
 obj_t BgL_loopz00_288;
BgL_loopz00_288 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 181 */

{ /* Llib/fs.scm 181 */
 long BgL_index1194z00_289;
{ 
 long BgL_iz00_1130;
BgL_iz00_1130 = 2L; 
BgL_search1191z00_1129:
if(
(BgL_iz00_1130==
VECTOR_LENGTH(BgL_opt1188z00_20)))
{ /* Llib/fs.scm 181 */
BgL_index1194z00_289 = -1L; }  else 
{ /* Llib/fs.scm 181 */
 obj_t BgL_vz00_1134;
BgL_vz00_1134 = 
VECTOR_REF(BgL_opt1188z00_20,BgL_iz00_1130); 
if(
(BgL_vz00_1134==
CNST_TABLE_REF(1L)))
{ /* Llib/fs.scm 181 */
BgL_index1194z00_289 = 
(BgL_iz00_1130+1L); }  else 
{ 
 long BgL_iz00_3001;
BgL_iz00_3001 = 
(BgL_iz00_1130+2L); 
BgL_iz00_1130 = BgL_iz00_3001; 
goto BgL_search1191z00_1129;} } } 
if(
(BgL_index1194z00_289>=0L))
{ /* Llib/fs.scm 181 */
BgL_callbackz00_287 = 
VECTOR_REF(BgL_opt1188z00_20,BgL_index1194z00_289); }  else 
{ /* Llib/fs.scm 181 */BFALSE; } } 
{ /* Llib/fs.scm 181 */
 long BgL_index1195z00_291;
{ 
 long BgL_iz00_1140;
BgL_iz00_1140 = 2L; 
BgL_search1191z00_1139:
if(
(BgL_iz00_1140==
VECTOR_LENGTH(BgL_opt1188z00_20)))
{ /* Llib/fs.scm 181 */
BgL_index1195z00_291 = -1L; }  else 
{ /* Llib/fs.scm 181 */
 obj_t BgL_vz00_1144;
BgL_vz00_1144 = 
VECTOR_REF(BgL_opt1188z00_20,BgL_iz00_1140); 
if(
(BgL_vz00_1144==
CNST_TABLE_REF(2L)))
{ /* Llib/fs.scm 181 */
BgL_index1195z00_291 = 
(BgL_iz00_1140+1L); }  else 
{ 
 long BgL_iz00_3014;
BgL_iz00_3014 = 
(BgL_iz00_1140+2L); 
BgL_iz00_1140 = BgL_iz00_3014; 
goto BgL_search1191z00_1139;} } } 
if(
(BgL_index1195z00_291>=0L))
{ /* Llib/fs.scm 181 */
BgL_loopz00_288 = 
VECTOR_REF(BgL_opt1188z00_20,BgL_index1195z00_291); }  else 
{ /* Llib/fs.scm 181 */BFALSE; } } 
{ /* Llib/fs.scm 181 */
 obj_t BgL_arg1581z00_293; obj_t BgL_arg1582z00_294;
BgL_arg1581z00_293 = 
VECTOR_REF(BgL_opt1188z00_20,0L); 
BgL_arg1582z00_294 = 
VECTOR_REF(BgL_opt1188z00_20,1L); 
{ /* Llib/fs.scm 181 */
 obj_t BgL_callbackz00_295;
BgL_callbackz00_295 = BgL_callbackz00_287; 
{ /* Llib/fs.scm 181 */
 obj_t BgL_loopz00_296;
BgL_loopz00_296 = BgL_loopz00_288; 
return 
BINT(
BGl_uvzd2fszd2truncatez00zz__libuv_fsz00(BgL_arg1581z00_293, 
(long)CINT(BgL_arg1582z00_294), BgL_callbackz00_295, BgL_loopz00_296));} } } } } } } } 

}



/* uv-fs-truncate */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2truncatez00zz__libuv_fsz00(obj_t BgL_pathz00_16, long BgL_offsetz00_17, obj_t BgL_callbackz00_18, obj_t BgL_loopz00_19)
{
{ /* Llib/fs.scm 181 */
if(
PROCEDUREP(BgL_callbackz00_18))
{ /* Llib/fs.scm 186 */
 obj_t BgL_zc3z04anonymousza31598ze3z87_2308;
BgL_zc3z04anonymousza31598ze3z87_2308 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31598ze3ze5zz__libuv_fsz00, 
(int)(1L), 
(int)(3L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31598ze3z87_2308, 
(int)(0L), BgL_callbackz00_18); 
PROCEDURE_SET(BgL_zc3z04anonymousza31598ze3z87_2308, 
(int)(1L), 
BINT(BgL_offsetz00_17)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31598ze3z87_2308, 
(int)(2L), BgL_loopz00_19); 
{ /* Llib/fs.scm 183 */
 obj_t BgL_flagsz00_1189;
BgL_flagsz00_1189 = 
CNST_TABLE_REF(3L); 
{ /* Llib/fs.scm 299 */
 obj_t BgL_fz00_1190;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_flagsz00_1189))
{ /* Llib/fs.scm 300 */
BgL_fz00_1190 = BgL_flagsz00_1189; }  else 
{ /* Llib/fs.scm 300 */
if(
SYMBOLP(BgL_flagsz00_1189))
{ /* Llib/fs.scm 301 */
BgL_fz00_1190 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_flagsz00_1189)); }  else 
{ /* Llib/fs.scm 301 */
if(
STRINGP(BgL_flagsz00_1189))
{ /* Llib/fs.scm 302 */
 obj_t BgL_arg1844z00_1194;
BgL_arg1844z00_1194 = 
bstring_to_symbol(BgL_flagsz00_1189); 
BgL_fz00_1190 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_arg1844z00_1194)); }  else 
{ /* Llib/fs.scm 302 */
BgL_fz00_1190 = 
BGl_errorz00zz__errorz00(BGl_string1992z00zz__libuv_fsz00, BGl_string1993z00zz__libuv_fsz00, BgL_flagsz00_1189); } } } 
return 
CINT(
bgl_uv_fs_open(BgL_pathz00_16, 
CINT(BgL_fz00_1190), 
(int)(438L), BgL_zc3z04anonymousza31598ze3z87_2308, 
((BgL_uvloopz00_bglt)BgL_loopz00_19)));} } }  else 
{ /* Llib/fs.scm 196 */
 obj_t BgL_fdz00_322;
{ /* Llib/fs.scm 196 */
 BgL_uvloopz00_bglt BgL_loopz00_330;
BgL_loopz00_330 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 196 */
 obj_t BgL_flagsz00_1197;
BgL_flagsz00_1197 = 
CNST_TABLE_REF(3L); 
{ /* Llib/fs.scm 299 */
 obj_t BgL_fz00_1198;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_flagsz00_1197))
{ /* Llib/fs.scm 300 */
BgL_fz00_1198 = BgL_flagsz00_1197; }  else 
{ /* Llib/fs.scm 300 */
if(
SYMBOLP(BgL_flagsz00_1197))
{ /* Llib/fs.scm 301 */
BgL_fz00_1198 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_flagsz00_1197)); }  else 
{ /* Llib/fs.scm 301 */
if(
STRINGP(BgL_flagsz00_1197))
{ /* Llib/fs.scm 302 */
 obj_t BgL_arg1844z00_1202;
BgL_arg1844z00_1202 = 
bstring_to_symbol(BgL_flagsz00_1197); 
BgL_fz00_1198 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_arg1844z00_1202)); }  else 
{ /* Llib/fs.scm 302 */
BgL_fz00_1198 = 
BGl_errorz00zz__errorz00(BGl_string1992z00zz__libuv_fsz00, BGl_string1993z00zz__libuv_fsz00, BgL_flagsz00_1197); } } } 
BgL_fdz00_322 = 
bgl_uv_fs_open(BgL_pathz00_16, 
CINT(BgL_fz00_1198), 
(int)(438L), BFALSE, BgL_loopz00_330); } } } 
{ /* Llib/fs.scm 197 */
 bool_t BgL_test2066z00_3071;
{ /* Llib/fs.scm 197 */
 obj_t BgL_classz00_1204;
BgL_classz00_1204 = BGl_UvFilez00zz__libuv_typesz00; 
if(
BGL_OBJECTP(BgL_fdz00_322))
{ /* Llib/fs.scm 197 */
 BgL_objectz00_bglt BgL_arg1778z00_1206;
BgL_arg1778z00_1206 = 
(BgL_objectz00_bglt)(BgL_fdz00_322); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/fs.scm 197 */
 long BgL_idxz00_1212;
BgL_idxz00_1212 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_1206); 
BgL_test2066z00_3071 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1212+1L))==BgL_classz00_1204); }  else 
{ /* Llib/fs.scm 197 */
 bool_t BgL_res1991z00_1234;
{ /* Llib/fs.scm 197 */
 obj_t BgL_oclassz00_1220;
{ /* Llib/fs.scm 197 */
 long BgL_arg1785z00_1226;
{ /* Llib/fs.scm 197 */
 long BgL_arg1786z00_1227;
BgL_arg1786z00_1227 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_1206); 
BgL_arg1785z00_1226 = 
(BgL_arg1786z00_1227-OBJECT_TYPE); } 
BgL_oclassz00_1220 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1226); } 
{ /* Llib/fs.scm 197 */
 bool_t BgL__ortest_1114z00_1221;
BgL__ortest_1114z00_1221 = 
(BgL_classz00_1204==BgL_oclassz00_1220); 
if(BgL__ortest_1114z00_1221)
{ /* Llib/fs.scm 197 */
BgL_res1991z00_1234 = BgL__ortest_1114z00_1221; }  else 
{ /* Llib/fs.scm 197 */
 long BgL_odepthz00_1222;
BgL_odepthz00_1222 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1220); 
if(
(1L<BgL_odepthz00_1222))
{ /* Llib/fs.scm 197 */
 obj_t BgL_arg1775z00_1224;
BgL_arg1775z00_1224 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1220, 1L); 
BgL_res1991z00_1234 = 
(BgL_arg1775z00_1224==BgL_classz00_1204); }  else 
{ /* Llib/fs.scm 197 */
BgL_res1991z00_1234 = ((bool_t)0); } } } } 
BgL_test2066z00_3071 = BgL_res1991z00_1234; } }  else 
{ /* Llib/fs.scm 197 */
BgL_test2066z00_3071 = ((bool_t)0)
; } } 
if(BgL_test2066z00_3071)
{ /* Llib/fs.scm 198 */
 int BgL_resz00_324;
{ /* Llib/fs.scm 198 */
 BgL_uvloopz00_bglt BgL_loopz00_328;
BgL_loopz00_328 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 198 */
 int64_t BgL_offsetz00_1236;
BgL_offsetz00_1236 = 
(int64_t)(BgL_offsetz00_17); 
BgL_resz00_324 = 
bgl_uv_fs_ftruncate(
((BgL_uvfilez00_bglt)BgL_fdz00_322), BgL_offsetz00_1236, BFALSE, BgL_loopz00_328); } } 
{ /* Llib/fs.scm 199 */
 BgL_uvloopz00_bglt BgL_loopz00_326;
BgL_loopz00_326 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
bgl_uv_fs_close(
((BgL_uvfilez00_bglt)BgL_fdz00_322), BFALSE, BgL_loopz00_326); } 
return BgL_resz00_324;}  else 
{ /* Llib/fs.scm 197 */
return 
CINT(BgL_fdz00_322);} } } } 

}



/* &<@anonymous:1598> */
obj_t BGl_z62zc3z04anonymousza31598ze3ze5zz__libuv_fsz00(obj_t BgL_envz00_2309, obj_t BgL_fdz00_2313)
{
{ /* Llib/fs.scm 185 */
{ /* Llib/fs.scm 186 */
 obj_t BgL_callbackz00_2310; long BgL_offsetz00_2311; obj_t BgL_loopz00_2312;
BgL_callbackz00_2310 = 
PROCEDURE_REF(BgL_envz00_2309, 
(int)(0L)); 
BgL_offsetz00_2311 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_2309, 
(int)(1L))); 
BgL_loopz00_2312 = 
PROCEDURE_REF(BgL_envz00_2309, 
(int)(2L)); 
{ /* Llib/fs.scm 186 */
 bool_t BgL_test2071z00_3106;
{ /* Llib/fs.scm 186 */
 obj_t BgL_classz00_2419;
BgL_classz00_2419 = BGl_UvFilez00zz__libuv_typesz00; 
if(
BGL_OBJECTP(BgL_fdz00_2313))
{ /* Llib/fs.scm 186 */
 BgL_objectz00_bglt BgL_arg1778z00_2420;
BgL_arg1778z00_2420 = 
(BgL_objectz00_bglt)(BgL_fdz00_2313); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/fs.scm 186 */
 long BgL_idxz00_2421;
BgL_idxz00_2421 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_2420); 
BgL_test2071z00_3106 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2421+1L))==BgL_classz00_2419); }  else 
{ /* Llib/fs.scm 186 */
 bool_t BgL_res1990z00_2424;
{ /* Llib/fs.scm 186 */
 obj_t BgL_oclassz00_2425;
{ /* Llib/fs.scm 186 */
 long BgL_arg1785z00_2426;
{ /* Llib/fs.scm 186 */
 long BgL_arg1786z00_2427;
BgL_arg1786z00_2427 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_2420); 
BgL_arg1785z00_2426 = 
(BgL_arg1786z00_2427-OBJECT_TYPE); } 
BgL_oclassz00_2425 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2426); } 
{ /* Llib/fs.scm 186 */
 bool_t BgL__ortest_1114z00_2428;
BgL__ortest_1114z00_2428 = 
(BgL_classz00_2419==BgL_oclassz00_2425); 
if(BgL__ortest_1114z00_2428)
{ /* Llib/fs.scm 186 */
BgL_res1990z00_2424 = BgL__ortest_1114z00_2428; }  else 
{ /* Llib/fs.scm 186 */
 long BgL_odepthz00_2429;
BgL_odepthz00_2429 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2425); 
if(
(1L<BgL_odepthz00_2429))
{ /* Llib/fs.scm 186 */
 obj_t BgL_arg1775z00_2430;
BgL_arg1775z00_2430 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2425, 1L); 
BgL_res1990z00_2424 = 
(BgL_arg1775z00_2430==BgL_classz00_2419); }  else 
{ /* Llib/fs.scm 186 */
BgL_res1990z00_2424 = ((bool_t)0); } } } } 
BgL_test2071z00_3106 = BgL_res1990z00_2424; } }  else 
{ /* Llib/fs.scm 186 */
BgL_test2071z00_3106 = ((bool_t)0)
; } } 
if(BgL_test2071z00_3106)
{ /* Llib/fs.scm 187 */
 int64_t BgL_arg1610z00_2431;
BgL_arg1610z00_2431 = 
(int64_t)(BgL_offsetz00_2311); 
{ /* Llib/fs.scm 191 */
 obj_t BgL_zc3z04anonymousza31612ze3z87_2432;
BgL_zc3z04anonymousza31612ze3z87_2432 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31612ze3ze5zz__libuv_fsz00, 
(int)(1L), 
(int)(3L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31612ze3z87_2432, 
(int)(0L), BgL_callbackz00_2310); 
PROCEDURE_SET(BgL_zc3z04anonymousza31612ze3z87_2432, 
(int)(1L), BgL_fdz00_2313); 
PROCEDURE_SET(BgL_zc3z04anonymousza31612ze3z87_2432, 
(int)(2L), BgL_loopz00_2312); 
return 
BINT(
bgl_uv_fs_ftruncate(
((BgL_uvfilez00_bglt)BgL_fdz00_2313), BgL_arg1610z00_2431, BgL_zc3z04anonymousza31612ze3z87_2432, 
((BgL_uvloopz00_bglt)BgL_loopz00_2312)));} }  else 
{ /* Llib/fs.scm 186 */
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_callbackz00_2310))(BgL_callbackz00_2310, BgL_fdz00_2313, BEOA);} } } } 

}



/* &<@anonymous:1612> */
obj_t BGl_z62zc3z04anonymousza31612ze3ze5zz__libuv_fsz00(obj_t BgL_envz00_2314, obj_t BgL_resz00_2318)
{
{ /* Llib/fs.scm 189 */
{ /* Llib/fs.scm 191 */
 obj_t BgL_callbackz00_2315; obj_t BgL_fdz00_2316; obj_t BgL_loopz00_2317;
BgL_callbackz00_2315 = 
PROCEDURE_REF(BgL_envz00_2314, 
(int)(0L)); 
BgL_fdz00_2316 = 
PROCEDURE_REF(BgL_envz00_2314, 
(int)(1L)); 
BgL_loopz00_2317 = 
PROCEDURE_REF(BgL_envz00_2314, 
(int)(2L)); 
{ /* Llib/fs.scm 191 */
 int BgL_tmpz00_3150;
{ /* Llib/fs.scm 191 */
 obj_t BgL_zc3z04anonymousza31634ze3z87_2433;
BgL_zc3z04anonymousza31634ze3z87_2433 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31634ze3ze5zz__libuv_fsz00, 
(int)(1L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31634ze3z87_2433, 
(int)(0L), BgL_callbackz00_2315); 
PROCEDURE_SET(BgL_zc3z04anonymousza31634ze3z87_2433, 
(int)(1L), BgL_resz00_2318); 
BgL_tmpz00_3150 = 
bgl_uv_fs_close(
((BgL_uvfilez00_bglt)BgL_fdz00_2316), BgL_zc3z04anonymousza31634ze3z87_2433, 
((BgL_uvloopz00_bglt)BgL_loopz00_2317)); } 
return 
BINT(BgL_tmpz00_3150);} } } 

}



/* &<@anonymous:1634> */
obj_t BGl_z62zc3z04anonymousza31634ze3ze5zz__libuv_fsz00(obj_t BgL_envz00_2319, obj_t BgL_objz00_2322)
{
{ /* Llib/fs.scm 191 */
{ /* Llib/fs.scm 191 */
 obj_t BgL_callbackz00_2320; obj_t BgL_resz00_2321;
BgL_callbackz00_2320 = 
PROCEDURE_REF(BgL_envz00_2319, 
(int)(0L)); 
BgL_resz00_2321 = 
PROCEDURE_REF(BgL_envz00_2319, 
(int)(1L)); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_callbackz00_2320))(BgL_callbackz00_2320, BgL_resz00_2321, BEOA);} } 

}



/* _uv-fs-chown */
obj_t BGl__uvzd2fszd2chownz00zz__libuv_fsz00(obj_t BgL_env1200z00_28, obj_t BgL_opt1199z00_27)
{
{ /* Llib/fs.scm 206 */
{ /* Llib/fs.scm 206 */
 obj_t BgL_g1207z00_2434; obj_t BgL_g1208z00_2435; obj_t BgL_g1209z00_2436;
BgL_g1207z00_2434 = 
VECTOR_REF(BgL_opt1199z00_27,0L); 
BgL_g1208z00_2435 = 
VECTOR_REF(BgL_opt1199z00_27,1L); 
BgL_g1209z00_2436 = 
VECTOR_REF(BgL_opt1199z00_27,2L); 
{ /* Llib/fs.scm 206 */
 obj_t BgL_callbackz00_2437;
BgL_callbackz00_2437 = BFALSE; 
{ /* Llib/fs.scm 206 */
 obj_t BgL_loopz00_2438;
BgL_loopz00_2438 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 206 */

{ /* Llib/fs.scm 206 */
 long BgL_index1205z00_2439;
BgL_index1205z00_2439 = 
BGl_search1202ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1199z00_27), BgL_opt1199z00_27, 
CNST_TABLE_REF(1L), 3L); 
if(
(BgL_index1205z00_2439>=0L))
{ /* Llib/fs.scm 206 */
BgL_callbackz00_2437 = 
VECTOR_REF(BgL_opt1199z00_27,BgL_index1205z00_2439); }  else 
{ /* Llib/fs.scm 206 */BFALSE; } } 
{ /* Llib/fs.scm 206 */
 long BgL_index1206z00_2440;
BgL_index1206z00_2440 = 
BGl_search1202ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1199z00_27), BgL_opt1199z00_27, 
CNST_TABLE_REF(2L), 3L); 
if(
(BgL_index1206z00_2440>=0L))
{ /* Llib/fs.scm 206 */
BgL_loopz00_2438 = 
VECTOR_REF(BgL_opt1199z00_27,BgL_index1206z00_2440); }  else 
{ /* Llib/fs.scm 206 */BFALSE; } } 
{ /* Llib/fs.scm 206 */
 obj_t BgL_arg1642z00_2441; obj_t BgL_arg1644z00_2442; obj_t BgL_arg1645z00_2443;
BgL_arg1642z00_2441 = 
VECTOR_REF(BgL_opt1199z00_27,0L); 
BgL_arg1644z00_2442 = 
VECTOR_REF(BgL_opt1199z00_27,1L); 
BgL_arg1645z00_2443 = 
VECTOR_REF(BgL_opt1199z00_27,2L); 
{ /* Llib/fs.scm 206 */
 obj_t BgL_callbackz00_2444;
BgL_callbackz00_2444 = BgL_callbackz00_2437; 
{ /* Llib/fs.scm 206 */
 obj_t BgL_loopz00_2445;
BgL_loopz00_2445 = BgL_loopz00_2438; 
{ /* Llib/fs.scm 206 */
 int BgL_uidz00_2446; int BgL_gidz00_2447;
BgL_uidz00_2446 = 
CINT(BgL_arg1644z00_2442); 
BgL_gidz00_2447 = 
CINT(BgL_arg1645z00_2443); 
return 
BINT(
bgl_uv_fs_chown(
BSTRING_TO_STRING(
((obj_t)BgL_arg1642z00_2441)), BgL_uidz00_2446, BgL_gidz00_2447, BgL_callbackz00_2444, 
((BgL_uvloopz00_bglt)BgL_loopz00_2445)));} } } } } } } } } 

}



/* search1202~0 */
long BGl_search1202ze70ze7zz__libuv_fsz00(long BgL_l1201z00_2382, obj_t BgL_opt1199z00_2381, obj_t BgL_k1z00_1240, long BgL_iz00_1241)
{
{ /* Llib/fs.scm 206 */
BGl_search1202ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1241==BgL_l1201z00_2382))
{ /* Llib/fs.scm 206 */
return -1L;}  else 
{ /* Llib/fs.scm 206 */
 obj_t BgL_vz00_1243;
BgL_vz00_1243 = 
VECTOR_REF(BgL_opt1199z00_2381,BgL_iz00_1241); 
if(
(BgL_vz00_1243==BgL_k1z00_1240))
{ /* Llib/fs.scm 206 */
return 
(BgL_iz00_1241+1L);}  else 
{ 
 long BgL_iz00_3203;
BgL_iz00_3203 = 
(BgL_iz00_1241+2L); 
BgL_iz00_1241 = BgL_iz00_3203; 
goto BGl_search1202ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-chown */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2chownz00zz__libuv_fsz00(obj_t BgL_pathz00_22, int BgL_uidz00_23, int BgL_gidz00_24, obj_t BgL_callbackz00_25, obj_t BgL_loopz00_26)
{
{ /* Llib/fs.scm 206 */
return 
bgl_uv_fs_chown(
BSTRING_TO_STRING(BgL_pathz00_22), BgL_uidz00_23, BgL_gidz00_24, BgL_callbackz00_25, 
((BgL_uvloopz00_bglt)BgL_loopz00_26));} 

}



/* _uv-fs-fchown */
obj_t BGl__uvzd2fszd2fchownz00zz__libuv_fsz00(obj_t BgL_env1211z00_35, obj_t BgL_opt1210z00_34)
{
{ /* Llib/fs.scm 212 */
{ /* Llib/fs.scm 212 */
 obj_t BgL_g1218z00_2448; obj_t BgL_g1219z00_2449; obj_t BgL_g1220z00_2450;
BgL_g1218z00_2448 = 
VECTOR_REF(BgL_opt1210z00_34,0L); 
BgL_g1219z00_2449 = 
VECTOR_REF(BgL_opt1210z00_34,1L); 
BgL_g1220z00_2450 = 
VECTOR_REF(BgL_opt1210z00_34,2L); 
{ /* Llib/fs.scm 212 */
 obj_t BgL_callbackz00_2451;
BgL_callbackz00_2451 = BFALSE; 
{ /* Llib/fs.scm 212 */
 obj_t BgL_loopz00_2452;
BgL_loopz00_2452 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 212 */

{ /* Llib/fs.scm 212 */
 long BgL_index1216z00_2453;
BgL_index1216z00_2453 = 
BGl_search1213ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1210z00_34), BgL_opt1210z00_34, 
CNST_TABLE_REF(1L), 3L); 
if(
(BgL_index1216z00_2453>=0L))
{ /* Llib/fs.scm 212 */
BgL_callbackz00_2451 = 
VECTOR_REF(BgL_opt1210z00_34,BgL_index1216z00_2453); }  else 
{ /* Llib/fs.scm 212 */BFALSE; } } 
{ /* Llib/fs.scm 212 */
 long BgL_index1217z00_2454;
BgL_index1217z00_2454 = 
BGl_search1213ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1210z00_34), BgL_opt1210z00_34, 
CNST_TABLE_REF(2L), 3L); 
if(
(BgL_index1217z00_2454>=0L))
{ /* Llib/fs.scm 212 */
BgL_loopz00_2452 = 
VECTOR_REF(BgL_opt1210z00_34,BgL_index1217z00_2454); }  else 
{ /* Llib/fs.scm 212 */BFALSE; } } 
{ /* Llib/fs.scm 212 */
 obj_t BgL_arg1654z00_2455; obj_t BgL_arg1660z00_2456; obj_t BgL_arg1670z00_2457;
BgL_arg1654z00_2455 = 
VECTOR_REF(BgL_opt1210z00_34,0L); 
BgL_arg1660z00_2456 = 
VECTOR_REF(BgL_opt1210z00_34,1L); 
BgL_arg1670z00_2457 = 
VECTOR_REF(BgL_opt1210z00_34,2L); 
{ /* Llib/fs.scm 212 */
 obj_t BgL_callbackz00_2458;
BgL_callbackz00_2458 = BgL_callbackz00_2451; 
{ /* Llib/fs.scm 212 */
 obj_t BgL_loopz00_2459;
BgL_loopz00_2459 = BgL_loopz00_2452; 
{ /* Llib/fs.scm 212 */
 int BgL_uidz00_2460; int BgL_gidz00_2461;
BgL_uidz00_2460 = 
CINT(BgL_arg1660z00_2456); 
BgL_gidz00_2461 = 
CINT(BgL_arg1670z00_2457); 
return 
BINT(
bgl_uv_fs_fchown(
((BgL_uvfilez00_bglt)BgL_arg1654z00_2455), BgL_uidz00_2460, BgL_gidz00_2461, BgL_callbackz00_2458, 
((BgL_uvloopz00_bglt)BgL_loopz00_2459)));} } } } } } } } } 

}



/* search1213~0 */
long BGl_search1213ze70ze7zz__libuv_fsz00(long BgL_l1212z00_2380, obj_t BgL_opt1210z00_2379, obj_t BgL_k1z00_1271, long BgL_iz00_1272)
{
{ /* Llib/fs.scm 212 */
BGl_search1213ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1272==BgL_l1212z00_2380))
{ /* Llib/fs.scm 212 */
return -1L;}  else 
{ /* Llib/fs.scm 212 */
 obj_t BgL_vz00_1274;
BgL_vz00_1274 = 
VECTOR_REF(BgL_opt1210z00_2379,BgL_iz00_1272); 
if(
(BgL_vz00_1274==BgL_k1z00_1271))
{ /* Llib/fs.scm 212 */
return 
(BgL_iz00_1272+1L);}  else 
{ 
 long BgL_iz00_3240;
BgL_iz00_3240 = 
(BgL_iz00_1272+2L); 
BgL_iz00_1272 = BgL_iz00_3240; 
goto BGl_search1213ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-fchown */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2fchownz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_29, int BgL_uidz00_30, int BgL_gidz00_31, obj_t BgL_callbackz00_32, obj_t BgL_loopz00_33)
{
{ /* Llib/fs.scm 212 */
return 
bgl_uv_fs_fchown(BgL_fdz00_29, BgL_uidz00_30, BgL_gidz00_31, BgL_callbackz00_32, 
((BgL_uvloopz00_bglt)BgL_loopz00_33));} 

}



/* _uv-fs-lchown */
obj_t BGl__uvzd2fszd2lchownz00zz__libuv_fsz00(obj_t BgL_env1222z00_42, obj_t BgL_opt1221z00_41)
{
{ /* Llib/fs.scm 218 */
{ /* Llib/fs.scm 218 */
 obj_t BgL_g1229z00_2462; obj_t BgL_g1231z00_2463; obj_t BgL_g1232z00_2464;
BgL_g1229z00_2462 = 
VECTOR_REF(BgL_opt1221z00_41,0L); 
BgL_g1231z00_2463 = 
VECTOR_REF(BgL_opt1221z00_41,1L); 
BgL_g1232z00_2464 = 
VECTOR_REF(BgL_opt1221z00_41,2L); 
{ /* Llib/fs.scm 218 */
 obj_t BgL_callbackz00_2465;
BgL_callbackz00_2465 = BFALSE; 
{ /* Llib/fs.scm 218 */
 obj_t BgL_loopz00_2466;
BgL_loopz00_2466 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 218 */

{ /* Llib/fs.scm 218 */
 long BgL_index1227z00_2467;
BgL_index1227z00_2467 = 
BGl_search1224ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1221z00_41), BgL_opt1221z00_41, 
CNST_TABLE_REF(1L), 3L); 
if(
(BgL_index1227z00_2467>=0L))
{ /* Llib/fs.scm 218 */
BgL_callbackz00_2465 = 
VECTOR_REF(BgL_opt1221z00_41,BgL_index1227z00_2467); }  else 
{ /* Llib/fs.scm 218 */BFALSE; } } 
{ /* Llib/fs.scm 218 */
 long BgL_index1228z00_2468;
BgL_index1228z00_2468 = 
BGl_search1224ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1221z00_41), BgL_opt1221z00_41, 
CNST_TABLE_REF(2L), 3L); 
if(
(BgL_index1228z00_2468>=0L))
{ /* Llib/fs.scm 218 */
BgL_loopz00_2466 = 
VECTOR_REF(BgL_opt1221z00_41,BgL_index1228z00_2468); }  else 
{ /* Llib/fs.scm 218 */BFALSE; } } 
{ /* Llib/fs.scm 218 */
 obj_t BgL_arg1683z00_2469; obj_t BgL_arg1688z00_2470; obj_t BgL_arg1702z00_2471;
BgL_arg1683z00_2469 = 
VECTOR_REF(BgL_opt1221z00_41,0L); 
BgL_arg1688z00_2470 = 
VECTOR_REF(BgL_opt1221z00_41,1L); 
BgL_arg1702z00_2471 = 
VECTOR_REF(BgL_opt1221z00_41,2L); 
{ /* Llib/fs.scm 218 */
 obj_t BgL_callbackz00_2472;
BgL_callbackz00_2472 = BgL_callbackz00_2465; 
{ /* Llib/fs.scm 218 */
 obj_t BgL_loopz00_2473;
BgL_loopz00_2473 = BgL_loopz00_2466; 
{ /* Llib/fs.scm 218 */
 int BgL_uidz00_2474; int BgL_gidz00_2475;
BgL_uidz00_2474 = 
CINT(BgL_arg1688z00_2470); 
BgL_gidz00_2475 = 
CINT(BgL_arg1702z00_2471); 
return 
BINT(
bgl_uv_fs_lchown(
BSTRING_TO_STRING(
((obj_t)BgL_arg1683z00_2469)), BgL_uidz00_2474, BgL_gidz00_2475, BgL_callbackz00_2472, 
((BgL_uvloopz00_bglt)BgL_loopz00_2473)));} } } } } } } } } 

}



/* search1224~0 */
long BGl_search1224ze70ze7zz__libuv_fsz00(long BgL_l1223z00_2378, obj_t BgL_opt1221z00_2377, obj_t BgL_k1z00_1302, long BgL_iz00_1303)
{
{ /* Llib/fs.scm 218 */
BGl_search1224ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1303==BgL_l1223z00_2378))
{ /* Llib/fs.scm 218 */
return -1L;}  else 
{ /* Llib/fs.scm 218 */
 obj_t BgL_vz00_1305;
BgL_vz00_1305 = 
VECTOR_REF(BgL_opt1221z00_2377,BgL_iz00_1303); 
if(
(BgL_vz00_1305==BgL_k1z00_1302))
{ /* Llib/fs.scm 218 */
return 
(BgL_iz00_1303+1L);}  else 
{ 
 long BgL_iz00_3277;
BgL_iz00_3277 = 
(BgL_iz00_1303+2L); 
BgL_iz00_1303 = BgL_iz00_3277; 
goto BGl_search1224ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-lchown */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2lchownz00zz__libuv_fsz00(obj_t BgL_pathz00_36, int BgL_uidz00_37, int BgL_gidz00_38, obj_t BgL_callbackz00_39, obj_t BgL_loopz00_40)
{
{ /* Llib/fs.scm 218 */
return 
bgl_uv_fs_lchown(
BSTRING_TO_STRING(BgL_pathz00_36), BgL_uidz00_37, BgL_gidz00_38, BgL_callbackz00_39, 
((BgL_uvloopz00_bglt)BgL_loopz00_40));} 

}



/* _uv-fs-chmod */
obj_t BGl__uvzd2fszd2chmodz00zz__libuv_fsz00(obj_t BgL_env1234z00_48, obj_t BgL_opt1233z00_47)
{
{ /* Llib/fs.scm 224 */
{ /* Llib/fs.scm 224 */
 obj_t BgL_g1241z00_2476; obj_t BgL_g1242z00_2477;
BgL_g1241z00_2476 = 
VECTOR_REF(BgL_opt1233z00_47,0L); 
BgL_g1242z00_2477 = 
VECTOR_REF(BgL_opt1233z00_47,1L); 
{ /* Llib/fs.scm 224 */
 obj_t BgL_callbackz00_2478;
BgL_callbackz00_2478 = BFALSE; 
{ /* Llib/fs.scm 224 */
 obj_t BgL_loopz00_2479;
BgL_loopz00_2479 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 224 */

{ /* Llib/fs.scm 224 */
 long BgL_index1239z00_2480;
BgL_index1239z00_2480 = 
BGl_search1236ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1233z00_47), BgL_opt1233z00_47, 
CNST_TABLE_REF(1L), 2L); 
if(
(BgL_index1239z00_2480>=0L))
{ /* Llib/fs.scm 224 */
BgL_callbackz00_2478 = 
VECTOR_REF(BgL_opt1233z00_47,BgL_index1239z00_2480); }  else 
{ /* Llib/fs.scm 224 */BFALSE; } } 
{ /* Llib/fs.scm 224 */
 long BgL_index1240z00_2481;
BgL_index1240z00_2481 = 
BGl_search1236ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1233z00_47), BgL_opt1233z00_47, 
CNST_TABLE_REF(2L), 2L); 
if(
(BgL_index1240z00_2481>=0L))
{ /* Llib/fs.scm 224 */
BgL_loopz00_2479 = 
VECTOR_REF(BgL_opt1233z00_47,BgL_index1240z00_2481); }  else 
{ /* Llib/fs.scm 224 */BFALSE; } } 
{ /* Llib/fs.scm 224 */
 obj_t BgL_arg1710z00_2482; obj_t BgL_arg1711z00_2483;
BgL_arg1710z00_2482 = 
VECTOR_REF(BgL_opt1233z00_47,0L); 
BgL_arg1711z00_2483 = 
VECTOR_REF(BgL_opt1233z00_47,1L); 
{ /* Llib/fs.scm 224 */
 obj_t BgL_callbackz00_2484;
BgL_callbackz00_2484 = BgL_callbackz00_2478; 
{ /* Llib/fs.scm 224 */
 obj_t BgL_loopz00_2485;
BgL_loopz00_2485 = BgL_loopz00_2479; 
{ /* Llib/fs.scm 224 */
 int BgL_modez00_2486;
BgL_modez00_2486 = 
CINT(BgL_arg1711z00_2483); 
return 
BINT(
bgl_uv_fs_chmod(
BSTRING_TO_STRING(
((obj_t)BgL_arg1710z00_2482)), BgL_modez00_2486, BgL_callbackz00_2484, 
((BgL_uvloopz00_bglt)BgL_loopz00_2485)));} } } } } } } } } 

}



/* search1236~0 */
long BGl_search1236ze70ze7zz__libuv_fsz00(long BgL_l1235z00_2376, obj_t BgL_opt1233z00_2375, obj_t BgL_k1z00_1333, long BgL_iz00_1334)
{
{ /* Llib/fs.scm 224 */
BGl_search1236ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1334==BgL_l1235z00_2376))
{ /* Llib/fs.scm 224 */
return -1L;}  else 
{ /* Llib/fs.scm 224 */
 obj_t BgL_vz00_1336;
BgL_vz00_1336 = 
VECTOR_REF(BgL_opt1233z00_2375,BgL_iz00_1334); 
if(
(BgL_vz00_1336==BgL_k1z00_1333))
{ /* Llib/fs.scm 224 */
return 
(BgL_iz00_1334+1L);}  else 
{ 
 long BgL_iz00_3312;
BgL_iz00_3312 = 
(BgL_iz00_1334+2L); 
BgL_iz00_1334 = BgL_iz00_3312; 
goto BGl_search1236ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-chmod */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2chmodz00zz__libuv_fsz00(obj_t BgL_pathz00_43, int BgL_modez00_44, obj_t BgL_callbackz00_45, obj_t BgL_loopz00_46)
{
{ /* Llib/fs.scm 224 */
return 
bgl_uv_fs_chmod(
BSTRING_TO_STRING(BgL_pathz00_43), BgL_modez00_44, BgL_callbackz00_45, 
((BgL_uvloopz00_bglt)BgL_loopz00_46));} 

}



/* _uv-fs-fchmod */
obj_t BGl__uvzd2fszd2fchmodz00zz__libuv_fsz00(obj_t BgL_env1244z00_54, obj_t BgL_opt1243z00_53)
{
{ /* Llib/fs.scm 230 */
{ /* Llib/fs.scm 230 */
 obj_t BgL_g1251z00_2487; obj_t BgL_g1252z00_2488;
BgL_g1251z00_2487 = 
VECTOR_REF(BgL_opt1243z00_53,0L); 
BgL_g1252z00_2488 = 
VECTOR_REF(BgL_opt1243z00_53,1L); 
{ /* Llib/fs.scm 230 */
 obj_t BgL_callbackz00_2489;
BgL_callbackz00_2489 = BFALSE; 
{ /* Llib/fs.scm 230 */
 obj_t BgL_loopz00_2490;
BgL_loopz00_2490 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 230 */

{ /* Llib/fs.scm 230 */
 long BgL_index1249z00_2491;
BgL_index1249z00_2491 = 
BGl_search1246ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1243z00_53), BgL_opt1243z00_53, 
CNST_TABLE_REF(1L), 2L); 
if(
(BgL_index1249z00_2491>=0L))
{ /* Llib/fs.scm 230 */
BgL_callbackz00_2489 = 
VECTOR_REF(BgL_opt1243z00_53,BgL_index1249z00_2491); }  else 
{ /* Llib/fs.scm 230 */BFALSE; } } 
{ /* Llib/fs.scm 230 */
 long BgL_index1250z00_2492;
BgL_index1250z00_2492 = 
BGl_search1246ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1243z00_53), BgL_opt1243z00_53, 
CNST_TABLE_REF(2L), 2L); 
if(
(BgL_index1250z00_2492>=0L))
{ /* Llib/fs.scm 230 */
BgL_loopz00_2490 = 
VECTOR_REF(BgL_opt1243z00_53,BgL_index1250z00_2492); }  else 
{ /* Llib/fs.scm 230 */BFALSE; } } 
{ /* Llib/fs.scm 230 */
 obj_t BgL_arg1723z00_2493; obj_t BgL_arg1724z00_2494;
BgL_arg1723z00_2493 = 
VECTOR_REF(BgL_opt1243z00_53,0L); 
BgL_arg1724z00_2494 = 
VECTOR_REF(BgL_opt1243z00_53,1L); 
{ /* Llib/fs.scm 230 */
 obj_t BgL_callbackz00_2495;
BgL_callbackz00_2495 = BgL_callbackz00_2489; 
{ /* Llib/fs.scm 230 */
 obj_t BgL_loopz00_2496;
BgL_loopz00_2496 = BgL_loopz00_2490; 
{ /* Llib/fs.scm 230 */
 int BgL_modez00_2497;
BgL_modez00_2497 = 
CINT(BgL_arg1724z00_2494); 
return 
BINT(
bgl_uv_fs_fchmod(
((BgL_uvfilez00_bglt)BgL_arg1723z00_2493), BgL_modez00_2497, BgL_callbackz00_2495, 
((BgL_uvloopz00_bglt)BgL_loopz00_2496)));} } } } } } } } } 

}



/* search1246~0 */
long BGl_search1246ze70ze7zz__libuv_fsz00(long BgL_l1245z00_2374, obj_t BgL_opt1243z00_2373, obj_t BgL_k1z00_1361, long BgL_iz00_1362)
{
{ /* Llib/fs.scm 230 */
BGl_search1246ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1362==BgL_l1245z00_2374))
{ /* Llib/fs.scm 230 */
return -1L;}  else 
{ /* Llib/fs.scm 230 */
 obj_t BgL_vz00_1364;
BgL_vz00_1364 = 
VECTOR_REF(BgL_opt1243z00_2373,BgL_iz00_1362); 
if(
(BgL_vz00_1364==BgL_k1z00_1361))
{ /* Llib/fs.scm 230 */
return 
(BgL_iz00_1362+1L);}  else 
{ 
 long BgL_iz00_3346;
BgL_iz00_3346 = 
(BgL_iz00_1362+2L); 
BgL_iz00_1362 = BgL_iz00_3346; 
goto BGl_search1246ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-fchmod */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2fchmodz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_49, int BgL_modez00_50, obj_t BgL_callbackz00_51, obj_t BgL_loopz00_52)
{
{ /* Llib/fs.scm 230 */
return 
bgl_uv_fs_fchmod(BgL_fdz00_49, BgL_modez00_50, BgL_callbackz00_51, 
((BgL_uvloopz00_bglt)BgL_loopz00_52));} 

}



/* _uv-fs-link */
obj_t BGl__uvzd2fszd2linkz00zz__libuv_fsz00(obj_t BgL_env1254z00_60, obj_t BgL_opt1253z00_59)
{
{ /* Llib/fs.scm 236 */
{ /* Llib/fs.scm 236 */
 obj_t BgL_g1261z00_2498; obj_t BgL_g1262z00_2499;
BgL_g1261z00_2498 = 
VECTOR_REF(BgL_opt1253z00_59,0L); 
BgL_g1262z00_2499 = 
VECTOR_REF(BgL_opt1253z00_59,1L); 
{ /* Llib/fs.scm 236 */
 obj_t BgL_callbackz00_2500;
BgL_callbackz00_2500 = BFALSE; 
{ /* Llib/fs.scm 236 */
 obj_t BgL_loopz00_2501;
BgL_loopz00_2501 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 236 */

{ /* Llib/fs.scm 236 */
 long BgL_index1259z00_2502;
BgL_index1259z00_2502 = 
BGl_search1256ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1253z00_59), BgL_opt1253z00_59, 
CNST_TABLE_REF(1L), 2L); 
if(
(BgL_index1259z00_2502>=0L))
{ /* Llib/fs.scm 236 */
BgL_callbackz00_2500 = 
VECTOR_REF(BgL_opt1253z00_59,BgL_index1259z00_2502); }  else 
{ /* Llib/fs.scm 236 */BFALSE; } } 
{ /* Llib/fs.scm 236 */
 long BgL_index1260z00_2503;
BgL_index1260z00_2503 = 
BGl_search1256ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1253z00_59), BgL_opt1253z00_59, 
CNST_TABLE_REF(2L), 2L); 
if(
(BgL_index1260z00_2503>=0L))
{ /* Llib/fs.scm 236 */
BgL_loopz00_2501 = 
VECTOR_REF(BgL_opt1253z00_59,BgL_index1260z00_2503); }  else 
{ /* Llib/fs.scm 236 */BFALSE; } } 
{ /* Llib/fs.scm 236 */
 obj_t BgL_arg1729z00_2504; obj_t BgL_arg1730z00_2505;
BgL_arg1729z00_2504 = 
VECTOR_REF(BgL_opt1253z00_59,0L); 
BgL_arg1730z00_2505 = 
VECTOR_REF(BgL_opt1253z00_59,1L); 
{ /* Llib/fs.scm 236 */
 obj_t BgL_callbackz00_2506;
BgL_callbackz00_2506 = BgL_callbackz00_2500; 
{ /* Llib/fs.scm 236 */
 obj_t BgL_loopz00_2507;
BgL_loopz00_2507 = BgL_loopz00_2501; 
return 
BINT(
bgl_uv_fs_link(
BSTRING_TO_STRING(
((obj_t)BgL_arg1729z00_2504)), 
BSTRING_TO_STRING(
((obj_t)BgL_arg1730z00_2505)), BgL_callbackz00_2506, 
((BgL_uvloopz00_bglt)BgL_loopz00_2507)));} } } } } } } } 

}



/* search1256~0 */
long BGl_search1256ze70ze7zz__libuv_fsz00(long BgL_l1255z00_2372, obj_t BgL_opt1253z00_2371, obj_t BgL_k1z00_1389, long BgL_iz00_1390)
{
{ /* Llib/fs.scm 236 */
BGl_search1256ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1390==BgL_l1255z00_2372))
{ /* Llib/fs.scm 236 */
return -1L;}  else 
{ /* Llib/fs.scm 236 */
 obj_t BgL_vz00_1392;
BgL_vz00_1392 = 
VECTOR_REF(BgL_opt1253z00_2371,BgL_iz00_1390); 
if(
(BgL_vz00_1392==BgL_k1z00_1389))
{ /* Llib/fs.scm 236 */
return 
(BgL_iz00_1390+1L);}  else 
{ 
 long BgL_iz00_3381;
BgL_iz00_3381 = 
(BgL_iz00_1390+2L); 
BgL_iz00_1390 = BgL_iz00_3381; 
goto BGl_search1256ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-link */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2linkz00zz__libuv_fsz00(obj_t BgL_oldz00_55, obj_t BgL_newz00_56, obj_t BgL_callbackz00_57, obj_t BgL_loopz00_58)
{
{ /* Llib/fs.scm 236 */
return 
bgl_uv_fs_link(
BSTRING_TO_STRING(BgL_oldz00_55), 
BSTRING_TO_STRING(BgL_newz00_56), BgL_callbackz00_57, 
((BgL_uvloopz00_bglt)BgL_loopz00_58));} 

}



/* _uv-fs-symlink */
obj_t BGl__uvzd2fszd2symlinkz00zz__libuv_fsz00(obj_t BgL_env1264z00_66, obj_t BgL_opt1263z00_65)
{
{ /* Llib/fs.scm 242 */
{ /* Llib/fs.scm 242 */
 obj_t BgL_g1271z00_2508; obj_t BgL_g1272z00_2509;
BgL_g1271z00_2508 = 
VECTOR_REF(BgL_opt1263z00_65,0L); 
BgL_g1272z00_2509 = 
VECTOR_REF(BgL_opt1263z00_65,1L); 
{ /* Llib/fs.scm 242 */
 obj_t BgL_callbackz00_2510;
BgL_callbackz00_2510 = BFALSE; 
{ /* Llib/fs.scm 242 */
 obj_t BgL_loopz00_2511;
BgL_loopz00_2511 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 242 */

{ /* Llib/fs.scm 242 */
 long BgL_index1269z00_2512;
BgL_index1269z00_2512 = 
BGl_search1266ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1263z00_65), BgL_opt1263z00_65, 
CNST_TABLE_REF(1L), 2L); 
if(
(BgL_index1269z00_2512>=0L))
{ /* Llib/fs.scm 242 */
BgL_callbackz00_2510 = 
VECTOR_REF(BgL_opt1263z00_65,BgL_index1269z00_2512); }  else 
{ /* Llib/fs.scm 242 */BFALSE; } } 
{ /* Llib/fs.scm 242 */
 long BgL_index1270z00_2513;
BgL_index1270z00_2513 = 
BGl_search1266ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1263z00_65), BgL_opt1263z00_65, 
CNST_TABLE_REF(2L), 2L); 
if(
(BgL_index1270z00_2513>=0L))
{ /* Llib/fs.scm 242 */
BgL_loopz00_2511 = 
VECTOR_REF(BgL_opt1263z00_65,BgL_index1270z00_2513); }  else 
{ /* Llib/fs.scm 242 */BFALSE; } } 
{ /* Llib/fs.scm 242 */
 obj_t BgL_arg1747z00_2514; obj_t BgL_arg1750z00_2515;
BgL_arg1747z00_2514 = 
VECTOR_REF(BgL_opt1263z00_65,0L); 
BgL_arg1750z00_2515 = 
VECTOR_REF(BgL_opt1263z00_65,1L); 
{ /* Llib/fs.scm 242 */
 obj_t BgL_callbackz00_2516;
BgL_callbackz00_2516 = BgL_callbackz00_2510; 
{ /* Llib/fs.scm 242 */
 obj_t BgL_loopz00_2517;
BgL_loopz00_2517 = BgL_loopz00_2511; 
return 
BINT(
bgl_uv_fs_symlink(
BSTRING_TO_STRING(
((obj_t)BgL_arg1747z00_2514)), 
BSTRING_TO_STRING(
((obj_t)BgL_arg1750z00_2515)), BgL_callbackz00_2516, 
((BgL_uvloopz00_bglt)BgL_loopz00_2517)));} } } } } } } } 

}



/* search1266~0 */
long BGl_search1266ze70ze7zz__libuv_fsz00(long BgL_l1265z00_2370, obj_t BgL_opt1263z00_2369, obj_t BgL_k1z00_1417, long BgL_iz00_1418)
{
{ /* Llib/fs.scm 242 */
BGl_search1266ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1418==BgL_l1265z00_2370))
{ /* Llib/fs.scm 242 */
return -1L;}  else 
{ /* Llib/fs.scm 242 */
 obj_t BgL_vz00_1420;
BgL_vz00_1420 = 
VECTOR_REF(BgL_opt1263z00_2369,BgL_iz00_1418); 
if(
(BgL_vz00_1420==BgL_k1z00_1417))
{ /* Llib/fs.scm 242 */
return 
(BgL_iz00_1418+1L);}  else 
{ 
 long BgL_iz00_3418;
BgL_iz00_3418 = 
(BgL_iz00_1418+2L); 
BgL_iz00_1418 = BgL_iz00_3418; 
goto BGl_search1266ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-symlink */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2symlinkz00zz__libuv_fsz00(obj_t BgL_oldz00_61, obj_t BgL_newz00_62, obj_t BgL_callbackz00_63, obj_t BgL_loopz00_64)
{
{ /* Llib/fs.scm 242 */
return 
bgl_uv_fs_symlink(
BSTRING_TO_STRING(BgL_oldz00_61), 
BSTRING_TO_STRING(BgL_newz00_62), BgL_callbackz00_63, 
((BgL_uvloopz00_bglt)BgL_loopz00_64));} 

}



/* _uv-fs-readlink */
obj_t BGl__uvzd2fszd2readlinkz00zz__libuv_fsz00(obj_t BgL_env1274z00_71, obj_t BgL_opt1273z00_70)
{
{ /* Llib/fs.scm 248 */
{ /* Llib/fs.scm 248 */
 obj_t BgL_g1281z00_2518;
BgL_g1281z00_2518 = 
VECTOR_REF(BgL_opt1273z00_70,0L); 
{ /* Llib/fs.scm 248 */
 obj_t BgL_callbackz00_2519;
BgL_callbackz00_2519 = BFALSE; 
{ /* Llib/fs.scm 248 */
 obj_t BgL_loopz00_2520;
BgL_loopz00_2520 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 248 */

{ /* Llib/fs.scm 248 */
 long BgL_index1279z00_2521;
BgL_index1279z00_2521 = 
BGl_search1276ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1273z00_70), BgL_opt1273z00_70, 
CNST_TABLE_REF(1L), 1L); 
if(
(BgL_index1279z00_2521>=0L))
{ /* Llib/fs.scm 248 */
BgL_callbackz00_2519 = 
VECTOR_REF(BgL_opt1273z00_70,BgL_index1279z00_2521); }  else 
{ /* Llib/fs.scm 248 */BFALSE; } } 
{ /* Llib/fs.scm 248 */
 long BgL_index1280z00_2522;
BgL_index1280z00_2522 = 
BGl_search1276ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1273z00_70), BgL_opt1273z00_70, 
CNST_TABLE_REF(2L), 1L); 
if(
(BgL_index1280z00_2522>=0L))
{ /* Llib/fs.scm 248 */
BgL_loopz00_2520 = 
VECTOR_REF(BgL_opt1273z00_70,BgL_index1280z00_2522); }  else 
{ /* Llib/fs.scm 248 */BFALSE; } } 
{ /* Llib/fs.scm 248 */
 obj_t BgL_arg1771z00_2523;
BgL_arg1771z00_2523 = 
VECTOR_REF(BgL_opt1273z00_70,0L); 
{ /* Llib/fs.scm 248 */
 obj_t BgL_callbackz00_2524;
BgL_callbackz00_2524 = BgL_callbackz00_2519; 
{ /* Llib/fs.scm 248 */
 obj_t BgL_loopz00_2525;
BgL_loopz00_2525 = BgL_loopz00_2520; 
return 
bgl_uv_fs_readlink(
BSTRING_TO_STRING(
((obj_t)BgL_arg1771z00_2523)), BgL_callbackz00_2524, 
((BgL_uvloopz00_bglt)BgL_loopz00_2525));} } } } } } } } 

}



/* search1276~0 */
long BGl_search1276ze70ze7zz__libuv_fsz00(long BgL_l1275z00_2368, obj_t BgL_opt1273z00_2367, obj_t BgL_k1z00_1445, long BgL_iz00_1446)
{
{ /* Llib/fs.scm 248 */
BGl_search1276ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1446==BgL_l1275z00_2368))
{ /* Llib/fs.scm 248 */
return -1L;}  else 
{ /* Llib/fs.scm 248 */
 obj_t BgL_vz00_1448;
BgL_vz00_1448 = 
VECTOR_REF(BgL_opt1273z00_2367,BgL_iz00_1446); 
if(
(BgL_vz00_1448==BgL_k1z00_1445))
{ /* Llib/fs.scm 248 */
return 
(BgL_iz00_1446+1L);}  else 
{ 
 long BgL_iz00_3450;
BgL_iz00_3450 = 
(BgL_iz00_1446+2L); 
BgL_iz00_1446 = BgL_iz00_3450; 
goto BGl_search1276ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-readlink */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2readlinkz00zz__libuv_fsz00(obj_t BgL_pathz00_67, obj_t BgL_callbackz00_68, obj_t BgL_loopz00_69)
{
{ /* Llib/fs.scm 248 */
return 
bgl_uv_fs_readlink(
BSTRING_TO_STRING(BgL_pathz00_67), BgL_callbackz00_68, 
((BgL_uvloopz00_bglt)BgL_loopz00_69));} 

}



/* _uv-fs-unlink */
obj_t BGl__uvzd2fszd2unlinkz00zz__libuv_fsz00(obj_t BgL_env1283z00_76, obj_t BgL_opt1282z00_75)
{
{ /* Llib/fs.scm 254 */
{ /* Llib/fs.scm 254 */
 obj_t BgL_g1290z00_2526;
BgL_g1290z00_2526 = 
VECTOR_REF(BgL_opt1282z00_75,0L); 
{ /* Llib/fs.scm 254 */
 obj_t BgL_callbackz00_2527;
BgL_callbackz00_2527 = BFALSE; 
{ /* Llib/fs.scm 254 */
 obj_t BgL_loopz00_2528;
BgL_loopz00_2528 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 254 */

{ /* Llib/fs.scm 254 */
 long BgL_index1288z00_2529;
BgL_index1288z00_2529 = 
BGl_search1285ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1282z00_75), BgL_opt1282z00_75, 
CNST_TABLE_REF(1L), 1L); 
if(
(BgL_index1288z00_2529>=0L))
{ /* Llib/fs.scm 254 */
BgL_callbackz00_2527 = 
VECTOR_REF(BgL_opt1282z00_75,BgL_index1288z00_2529); }  else 
{ /* Llib/fs.scm 254 */BFALSE; } } 
{ /* Llib/fs.scm 254 */
 long BgL_index1289z00_2530;
BgL_index1289z00_2530 = 
BGl_search1285ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1282z00_75), BgL_opt1282z00_75, 
CNST_TABLE_REF(2L), 1L); 
if(
(BgL_index1289z00_2530>=0L))
{ /* Llib/fs.scm 254 */
BgL_loopz00_2528 = 
VECTOR_REF(BgL_opt1282z00_75,BgL_index1289z00_2530); }  else 
{ /* Llib/fs.scm 254 */BFALSE; } } 
{ /* Llib/fs.scm 254 */
 obj_t BgL_arg1790z00_2531;
BgL_arg1790z00_2531 = 
VECTOR_REF(BgL_opt1282z00_75,0L); 
{ /* Llib/fs.scm 254 */
 obj_t BgL_callbackz00_2532;
BgL_callbackz00_2532 = BgL_callbackz00_2527; 
{ /* Llib/fs.scm 254 */
 obj_t BgL_loopz00_2533;
BgL_loopz00_2533 = BgL_loopz00_2528; 
return 
BINT(
bgl_uv_fs_unlink(
BSTRING_TO_STRING(
((obj_t)BgL_arg1790z00_2531)), BgL_callbackz00_2532, 
((BgL_uvloopz00_bglt)BgL_loopz00_2533)));} } } } } } } } 

}



/* search1285~0 */
long BGl_search1285ze70ze7zz__libuv_fsz00(long BgL_l1284z00_2366, obj_t BgL_opt1282z00_2365, obj_t BgL_k1z00_1470, long BgL_iz00_1471)
{
{ /* Llib/fs.scm 254 */
BGl_search1285ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1471==BgL_l1284z00_2366))
{ /* Llib/fs.scm 254 */
return -1L;}  else 
{ /* Llib/fs.scm 254 */
 obj_t BgL_vz00_1473;
BgL_vz00_1473 = 
VECTOR_REF(BgL_opt1282z00_2365,BgL_iz00_1471); 
if(
(BgL_vz00_1473==BgL_k1z00_1470))
{ /* Llib/fs.scm 254 */
return 
(BgL_iz00_1471+1L);}  else 
{ 
 long BgL_iz00_3482;
BgL_iz00_3482 = 
(BgL_iz00_1471+2L); 
BgL_iz00_1471 = BgL_iz00_3482; 
goto BGl_search1285ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-unlink */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2unlinkz00zz__libuv_fsz00(obj_t BgL_pathz00_72, obj_t BgL_callbackz00_73, obj_t BgL_loopz00_74)
{
{ /* Llib/fs.scm 254 */
return 
BINT(
bgl_uv_fs_unlink(
BSTRING_TO_STRING(BgL_pathz00_72), BgL_callbackz00_73, 
((BgL_uvloopz00_bglt)BgL_loopz00_74)));} 

}



/* _uv-fs-rmdir */
obj_t BGl__uvzd2fszd2rmdirz00zz__libuv_fsz00(obj_t BgL_env1292z00_81, obj_t BgL_opt1291z00_80)
{
{ /* Llib/fs.scm 260 */
{ /* Llib/fs.scm 260 */
 obj_t BgL_g1299z00_2534;
BgL_g1299z00_2534 = 
VECTOR_REF(BgL_opt1291z00_80,0L); 
{ /* Llib/fs.scm 260 */
 obj_t BgL_callbackz00_2535;
BgL_callbackz00_2535 = BFALSE; 
{ /* Llib/fs.scm 260 */
 obj_t BgL_loopz00_2536;
BgL_loopz00_2536 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 260 */

{ /* Llib/fs.scm 260 */
 long BgL_index1297z00_2537;
BgL_index1297z00_2537 = 
BGl_search1294ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1291z00_80), BgL_opt1291z00_80, 
CNST_TABLE_REF(1L), 1L); 
if(
(BgL_index1297z00_2537>=0L))
{ /* Llib/fs.scm 260 */
BgL_callbackz00_2535 = 
VECTOR_REF(BgL_opt1291z00_80,BgL_index1297z00_2537); }  else 
{ /* Llib/fs.scm 260 */BFALSE; } } 
{ /* Llib/fs.scm 260 */
 long BgL_index1298z00_2538;
BgL_index1298z00_2538 = 
BGl_search1294ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1291z00_80), BgL_opt1291z00_80, 
CNST_TABLE_REF(2L), 1L); 
if(
(BgL_index1298z00_2538>=0L))
{ /* Llib/fs.scm 260 */
BgL_loopz00_2536 = 
VECTOR_REF(BgL_opt1291z00_80,BgL_index1298z00_2538); }  else 
{ /* Llib/fs.scm 260 */BFALSE; } } 
{ /* Llib/fs.scm 260 */
 obj_t BgL_arg1799z00_2539;
BgL_arg1799z00_2539 = 
VECTOR_REF(BgL_opt1291z00_80,0L); 
{ /* Llib/fs.scm 260 */
 obj_t BgL_callbackz00_2540;
BgL_callbackz00_2540 = BgL_callbackz00_2535; 
{ /* Llib/fs.scm 260 */
 obj_t BgL_loopz00_2541;
BgL_loopz00_2541 = BgL_loopz00_2536; 
return 
BINT(
bgl_uv_fs_rmdir(
BSTRING_TO_STRING(
((obj_t)BgL_arg1799z00_2539)), BgL_callbackz00_2540, 
((BgL_uvloopz00_bglt)BgL_loopz00_2541)));} } } } } } } } 

}



/* search1294~0 */
long BGl_search1294ze70ze7zz__libuv_fsz00(long BgL_l1293z00_2364, obj_t BgL_opt1291z00_2363, obj_t BgL_k1z00_1495, long BgL_iz00_1496)
{
{ /* Llib/fs.scm 260 */
BGl_search1294ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1496==BgL_l1293z00_2364))
{ /* Llib/fs.scm 260 */
return -1L;}  else 
{ /* Llib/fs.scm 260 */
 obj_t BgL_vz00_1498;
BgL_vz00_1498 = 
VECTOR_REF(BgL_opt1291z00_2363,BgL_iz00_1496); 
if(
(BgL_vz00_1498==BgL_k1z00_1495))
{ /* Llib/fs.scm 260 */
return 
(BgL_iz00_1496+1L);}  else 
{ 
 long BgL_iz00_3515;
BgL_iz00_3515 = 
(BgL_iz00_1496+2L); 
BgL_iz00_1496 = BgL_iz00_3515; 
goto BGl_search1294ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-rmdir */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2rmdirz00zz__libuv_fsz00(obj_t BgL_pathz00_77, obj_t BgL_callbackz00_78, obj_t BgL_loopz00_79)
{
{ /* Llib/fs.scm 260 */
return 
BINT(
bgl_uv_fs_rmdir(
BSTRING_TO_STRING(BgL_pathz00_77), BgL_callbackz00_78, 
((BgL_uvloopz00_bglt)BgL_loopz00_79)));} 

}



/* _uv-fs-mkdir */
obj_t BGl__uvzd2fszd2mkdirz00zz__libuv_fsz00(obj_t BgL_env1301z00_87, obj_t BgL_opt1300z00_86)
{
{ /* Llib/fs.scm 266 */
{ /* Llib/fs.scm 266 */
 obj_t BgL_g1308z00_2542; obj_t BgL_g1309z00_2543;
BgL_g1308z00_2542 = 
VECTOR_REF(BgL_opt1300z00_86,0L); 
BgL_g1309z00_2543 = 
VECTOR_REF(BgL_opt1300z00_86,1L); 
{ /* Llib/fs.scm 266 */
 obj_t BgL_callbackz00_2544;
BgL_callbackz00_2544 = BFALSE; 
{ /* Llib/fs.scm 266 */
 obj_t BgL_loopz00_2545;
BgL_loopz00_2545 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 266 */

{ /* Llib/fs.scm 266 */
 long BgL_index1306z00_2546;
BgL_index1306z00_2546 = 
BGl_search1303ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1300z00_86), BgL_opt1300z00_86, 
CNST_TABLE_REF(1L), 2L); 
if(
(BgL_index1306z00_2546>=0L))
{ /* Llib/fs.scm 266 */
BgL_callbackz00_2544 = 
VECTOR_REF(BgL_opt1300z00_86,BgL_index1306z00_2546); }  else 
{ /* Llib/fs.scm 266 */BFALSE; } } 
{ /* Llib/fs.scm 266 */
 long BgL_index1307z00_2547;
BgL_index1307z00_2547 = 
BGl_search1303ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1300z00_86), BgL_opt1300z00_86, 
CNST_TABLE_REF(2L), 2L); 
if(
(BgL_index1307z00_2547>=0L))
{ /* Llib/fs.scm 266 */
BgL_loopz00_2545 = 
VECTOR_REF(BgL_opt1300z00_86,BgL_index1307z00_2547); }  else 
{ /* Llib/fs.scm 266 */BFALSE; } } 
{ /* Llib/fs.scm 266 */
 obj_t BgL_arg1804z00_2548; obj_t BgL_arg1805z00_2549;
BgL_arg1804z00_2548 = 
VECTOR_REF(BgL_opt1300z00_86,0L); 
BgL_arg1805z00_2549 = 
VECTOR_REF(BgL_opt1300z00_86,1L); 
{ /* Llib/fs.scm 266 */
 obj_t BgL_callbackz00_2550;
BgL_callbackz00_2550 = BgL_callbackz00_2544; 
{ /* Llib/fs.scm 266 */
 obj_t BgL_loopz00_2551;
BgL_loopz00_2551 = BgL_loopz00_2545; 
{ /* Llib/fs.scm 266 */
 int BgL_modz00_2552;
BgL_modz00_2552 = 
CINT(BgL_arg1805z00_2549); 
return 
BINT(
bgl_uv_fs_mkdir(
BSTRING_TO_STRING(
((obj_t)BgL_arg1804z00_2548)), BgL_modz00_2552, BgL_callbackz00_2550, 
((BgL_uvloopz00_bglt)BgL_loopz00_2551)));} } } } } } } } } 

}



/* search1303~0 */
long BGl_search1303ze70ze7zz__libuv_fsz00(long BgL_l1302z00_2362, obj_t BgL_opt1300z00_2361, obj_t BgL_k1z00_1520, long BgL_iz00_1521)
{
{ /* Llib/fs.scm 266 */
BGl_search1303ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1521==BgL_l1302z00_2362))
{ /* Llib/fs.scm 266 */
return -1L;}  else 
{ /* Llib/fs.scm 266 */
 obj_t BgL_vz00_1523;
BgL_vz00_1523 = 
VECTOR_REF(BgL_opt1300z00_2361,BgL_iz00_1521); 
if(
(BgL_vz00_1523==BgL_k1z00_1520))
{ /* Llib/fs.scm 266 */
return 
(BgL_iz00_1521+1L);}  else 
{ 
 long BgL_iz00_3551;
BgL_iz00_3551 = 
(BgL_iz00_1521+2L); 
BgL_iz00_1521 = BgL_iz00_3551; 
goto BGl_search1303ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-mkdir */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2mkdirz00zz__libuv_fsz00(obj_t BgL_pathz00_82, int BgL_modz00_83, obj_t BgL_callbackz00_84, obj_t BgL_loopz00_85)
{
{ /* Llib/fs.scm 266 */
return 
BINT(
bgl_uv_fs_mkdir(
BSTRING_TO_STRING(BgL_pathz00_82), BgL_modz00_83, BgL_callbackz00_84, 
((BgL_uvloopz00_bglt)BgL_loopz00_85)));} 

}



/* _uv-fs-fsync */
obj_t BGl__uvzd2fszd2fsyncz00zz__libuv_fsz00(obj_t BgL_env1311z00_92, obj_t BgL_opt1310z00_91)
{
{ /* Llib/fs.scm 272 */
{ /* Llib/fs.scm 272 */
 obj_t BgL_g1318z00_2553;
BgL_g1318z00_2553 = 
VECTOR_REF(BgL_opt1310z00_91,0L); 
{ /* Llib/fs.scm 272 */
 obj_t BgL_callbackz00_2554;
BgL_callbackz00_2554 = BFALSE; 
{ /* Llib/fs.scm 272 */
 obj_t BgL_loopz00_2555;
BgL_loopz00_2555 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 272 */

{ /* Llib/fs.scm 272 */
 long BgL_index1316z00_2556;
BgL_index1316z00_2556 = 
BGl_search1313ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1310z00_91), BgL_opt1310z00_91, 
CNST_TABLE_REF(1L), 1L); 
if(
(BgL_index1316z00_2556>=0L))
{ /* Llib/fs.scm 272 */
BgL_callbackz00_2554 = 
VECTOR_REF(BgL_opt1310z00_91,BgL_index1316z00_2556); }  else 
{ /* Llib/fs.scm 272 */BFALSE; } } 
{ /* Llib/fs.scm 272 */
 long BgL_index1317z00_2557;
BgL_index1317z00_2557 = 
BGl_search1313ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1310z00_91), BgL_opt1310z00_91, 
CNST_TABLE_REF(2L), 1L); 
if(
(BgL_index1317z00_2557>=0L))
{ /* Llib/fs.scm 272 */
BgL_loopz00_2555 = 
VECTOR_REF(BgL_opt1310z00_91,BgL_index1317z00_2557); }  else 
{ /* Llib/fs.scm 272 */BFALSE; } } 
{ /* Llib/fs.scm 272 */
 obj_t BgL_arg1810z00_2558;
BgL_arg1810z00_2558 = 
VECTOR_REF(BgL_opt1310z00_91,0L); 
{ /* Llib/fs.scm 272 */
 obj_t BgL_callbackz00_2559;
BgL_callbackz00_2559 = BgL_callbackz00_2554; 
{ /* Llib/fs.scm 272 */
 obj_t BgL_loopz00_2560;
BgL_loopz00_2560 = BgL_loopz00_2555; 
return 
BINT(
bgl_uv_fs_fsync(
((BgL_uvfilez00_bglt)BgL_arg1810z00_2558), BgL_callbackz00_2559, 
((BgL_uvloopz00_bglt)BgL_loopz00_2560)));} } } } } } } } 

}



/* search1313~0 */
long BGl_search1313ze70ze7zz__libuv_fsz00(long BgL_l1312z00_2360, obj_t BgL_opt1310z00_2359, obj_t BgL_k1z00_1548, long BgL_iz00_1549)
{
{ /* Llib/fs.scm 272 */
BGl_search1313ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1549==BgL_l1312z00_2360))
{ /* Llib/fs.scm 272 */
return -1L;}  else 
{ /* Llib/fs.scm 272 */
 obj_t BgL_vz00_1551;
BgL_vz00_1551 = 
VECTOR_REF(BgL_opt1310z00_2359,BgL_iz00_1549); 
if(
(BgL_vz00_1551==BgL_k1z00_1548))
{ /* Llib/fs.scm 272 */
return 
(BgL_iz00_1549+1L);}  else 
{ 
 long BgL_iz00_3583;
BgL_iz00_3583 = 
(BgL_iz00_1549+2L); 
BgL_iz00_1549 = BgL_iz00_3583; 
goto BGl_search1313ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-fsync */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2fsyncz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_88, obj_t BgL_callbackz00_89, obj_t BgL_loopz00_90)
{
{ /* Llib/fs.scm 272 */
return 
BINT(
bgl_uv_fs_fsync(BgL_fdz00_88, BgL_callbackz00_89, 
((BgL_uvloopz00_bglt)BgL_loopz00_90)));} 

}



/* _uv-fs-fdatasync */
obj_t BGl__uvzd2fszd2fdatasyncz00zz__libuv_fsz00(obj_t BgL_env1320z00_97, obj_t BgL_opt1319z00_96)
{
{ /* Llib/fs.scm 278 */
{ /* Llib/fs.scm 278 */
 obj_t BgL_g1327z00_2561;
BgL_g1327z00_2561 = 
VECTOR_REF(BgL_opt1319z00_96,0L); 
{ /* Llib/fs.scm 278 */
 obj_t BgL_callbackz00_2562;
BgL_callbackz00_2562 = BFALSE; 
{ /* Llib/fs.scm 278 */
 obj_t BgL_loopz00_2563;
BgL_loopz00_2563 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 278 */

{ /* Llib/fs.scm 278 */
 long BgL_index1325z00_2564;
BgL_index1325z00_2564 = 
BGl_search1322ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1319z00_96), BgL_opt1319z00_96, 
CNST_TABLE_REF(1L), 1L); 
if(
(BgL_index1325z00_2564>=0L))
{ /* Llib/fs.scm 278 */
BgL_callbackz00_2562 = 
VECTOR_REF(BgL_opt1319z00_96,BgL_index1325z00_2564); }  else 
{ /* Llib/fs.scm 278 */BFALSE; } } 
{ /* Llib/fs.scm 278 */
 long BgL_index1326z00_2565;
BgL_index1326z00_2565 = 
BGl_search1322ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1319z00_96), BgL_opt1319z00_96, 
CNST_TABLE_REF(2L), 1L); 
if(
(BgL_index1326z00_2565>=0L))
{ /* Llib/fs.scm 278 */
BgL_loopz00_2563 = 
VECTOR_REF(BgL_opt1319z00_96,BgL_index1326z00_2565); }  else 
{ /* Llib/fs.scm 278 */BFALSE; } } 
{ /* Llib/fs.scm 278 */
 obj_t BgL_arg1815z00_2566;
BgL_arg1815z00_2566 = 
VECTOR_REF(BgL_opt1319z00_96,0L); 
{ /* Llib/fs.scm 278 */
 obj_t BgL_callbackz00_2567;
BgL_callbackz00_2567 = BgL_callbackz00_2562; 
{ /* Llib/fs.scm 278 */
 obj_t BgL_loopz00_2568;
BgL_loopz00_2568 = BgL_loopz00_2563; 
return 
BINT(
bgl_uv_fs_fdatasync(
((BgL_uvfilez00_bglt)BgL_arg1815z00_2566), BgL_callbackz00_2567, 
((BgL_uvloopz00_bglt)BgL_loopz00_2568)));} } } } } } } } 

}



/* search1322~0 */
long BGl_search1322ze70ze7zz__libuv_fsz00(long BgL_l1321z00_2358, obj_t BgL_opt1319z00_2357, obj_t BgL_k1z00_1573, long BgL_iz00_1574)
{
{ /* Llib/fs.scm 278 */
BGl_search1322ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1574==BgL_l1321z00_2358))
{ /* Llib/fs.scm 278 */
return -1L;}  else 
{ /* Llib/fs.scm 278 */
 obj_t BgL_vz00_1576;
BgL_vz00_1576 = 
VECTOR_REF(BgL_opt1319z00_2357,BgL_iz00_1574); 
if(
(BgL_vz00_1576==BgL_k1z00_1573))
{ /* Llib/fs.scm 278 */
return 
(BgL_iz00_1574+1L);}  else 
{ 
 long BgL_iz00_3614;
BgL_iz00_3614 = 
(BgL_iz00_1574+2L); 
BgL_iz00_1574 = BgL_iz00_3614; 
goto BGl_search1322ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-fdatasync */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2fdatasyncz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_93, obj_t BgL_callbackz00_94, obj_t BgL_loopz00_95)
{
{ /* Llib/fs.scm 278 */
return 
BINT(
bgl_uv_fs_fdatasync(BgL_fdz00_93, BgL_callbackz00_94, 
((BgL_uvloopz00_bglt)BgL_loopz00_95)));} 

}



/* _uv-fs-futime */
obj_t BGl__uvzd2fszd2futimez00zz__libuv_fsz00(obj_t BgL_env1329z00_104, obj_t BgL_opt1328z00_103)
{
{ /* Llib/fs.scm 284 */
{ /* Llib/fs.scm 284 */
 obj_t BgL_g1336z00_2569; obj_t BgL_g1337z00_2570; obj_t BgL_g1338z00_2571;
BgL_g1336z00_2569 = 
VECTOR_REF(BgL_opt1328z00_103,0L); 
BgL_g1337z00_2570 = 
VECTOR_REF(BgL_opt1328z00_103,1L); 
BgL_g1338z00_2571 = 
VECTOR_REF(BgL_opt1328z00_103,2L); 
{ /* Llib/fs.scm 284 */
 obj_t BgL_callbackz00_2572;
BgL_callbackz00_2572 = BFALSE; 
{ /* Llib/fs.scm 285 */
 obj_t BgL_loopz00_2573;
BgL_loopz00_2573 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 284 */

{ /* Llib/fs.scm 284 */
 long BgL_index1334z00_2574;
BgL_index1334z00_2574 = 
BGl_search1331ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1328z00_103), BgL_opt1328z00_103, 
CNST_TABLE_REF(1L), 3L); 
if(
(BgL_index1334z00_2574>=0L))
{ /* Llib/fs.scm 284 */
BgL_callbackz00_2572 = 
VECTOR_REF(BgL_opt1328z00_103,BgL_index1334z00_2574); }  else 
{ /* Llib/fs.scm 284 */BFALSE; } } 
{ /* Llib/fs.scm 284 */
 long BgL_index1335z00_2575;
BgL_index1335z00_2575 = 
BGl_search1331ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1328z00_103), BgL_opt1328z00_103, 
CNST_TABLE_REF(2L), 3L); 
if(
(BgL_index1335z00_2575>=0L))
{ /* Llib/fs.scm 284 */
BgL_loopz00_2573 = 
VECTOR_REF(BgL_opt1328z00_103,BgL_index1335z00_2575); }  else 
{ /* Llib/fs.scm 284 */BFALSE; } } 
{ /* Llib/fs.scm 284 */
 obj_t BgL_arg1820z00_2576; obj_t BgL_arg1821z00_2577; obj_t BgL_arg1822z00_2578;
BgL_arg1820z00_2576 = 
VECTOR_REF(BgL_opt1328z00_103,0L); 
BgL_arg1821z00_2577 = 
VECTOR_REF(BgL_opt1328z00_103,1L); 
BgL_arg1822z00_2578 = 
VECTOR_REF(BgL_opt1328z00_103,2L); 
{ /* Llib/fs.scm 284 */
 obj_t BgL_callbackz00_2579;
BgL_callbackz00_2579 = BgL_callbackz00_2572; 
{ /* Llib/fs.scm 284 */
 obj_t BgL_loopz00_2580;
BgL_loopz00_2580 = BgL_loopz00_2573; 
{ /* Llib/fs.scm 284 */
 double BgL_atimez00_2581; double BgL_mtimez00_2582;
BgL_atimez00_2581 = 
REAL_TO_DOUBLE(BgL_arg1821z00_2577); 
BgL_mtimez00_2582 = 
REAL_TO_DOUBLE(BgL_arg1822z00_2578); 
return 
BINT(
bgl_uv_fs_futime(
((BgL_uvfilez00_bglt)BgL_arg1820z00_2576), BgL_atimez00_2581, BgL_mtimez00_2582, BgL_callbackz00_2579, 
((BgL_uvloopz00_bglt)BgL_loopz00_2580)));} } } } } } } } } 

}



/* search1331~0 */
long BGl_search1331ze70ze7zz__libuv_fsz00(long BgL_l1330z00_2356, obj_t BgL_opt1328z00_2355, obj_t BgL_k1z00_1598, long BgL_iz00_1599)
{
{ /* Llib/fs.scm 284 */
BGl_search1331ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1599==BgL_l1330z00_2356))
{ /* Llib/fs.scm 284 */
return -1L;}  else 
{ /* Llib/fs.scm 284 */
 obj_t BgL_vz00_1601;
BgL_vz00_1601 = 
VECTOR_REF(BgL_opt1328z00_2355,BgL_iz00_1599); 
if(
(BgL_vz00_1601==BgL_k1z00_1598))
{ /* Llib/fs.scm 284 */
return 
(BgL_iz00_1599+1L);}  else 
{ 
 long BgL_iz00_3651;
BgL_iz00_3651 = 
(BgL_iz00_1599+2L); 
BgL_iz00_1599 = BgL_iz00_3651; 
goto BGl_search1331ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-futime */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2futimez00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_98, double BgL_atimez00_99, double BgL_mtimez00_100, obj_t BgL_callbackz00_101, obj_t BgL_loopz00_102)
{
{ /* Llib/fs.scm 284 */
return 
BINT(
bgl_uv_fs_futime(BgL_fdz00_98, BgL_atimez00_99, BgL_mtimez00_100, BgL_callbackz00_101, 
((BgL_uvloopz00_bglt)BgL_loopz00_102)));} 

}



/* _uv-fs-utime */
obj_t BGl__uvzd2fszd2utimez00zz__libuv_fsz00(obj_t BgL_env1340z00_111, obj_t BgL_opt1339z00_110)
{
{ /* Llib/fs.scm 291 */
{ /* Llib/fs.scm 291 */
 obj_t BgL_g1347z00_2583; obj_t BgL_g1348z00_2584; obj_t BgL_g1349z00_2585;
BgL_g1347z00_2583 = 
VECTOR_REF(BgL_opt1339z00_110,0L); 
BgL_g1348z00_2584 = 
VECTOR_REF(BgL_opt1339z00_110,1L); 
BgL_g1349z00_2585 = 
VECTOR_REF(BgL_opt1339z00_110,2L); 
{ /* Llib/fs.scm 291 */
 obj_t BgL_callbackz00_2586;
BgL_callbackz00_2586 = BFALSE; 
{ /* Llib/fs.scm 292 */
 obj_t BgL_loopz00_2587;
BgL_loopz00_2587 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 291 */

{ /* Llib/fs.scm 291 */
 long BgL_index1345z00_2588;
BgL_index1345z00_2588 = 
BGl_search1342ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1339z00_110), BgL_opt1339z00_110, 
CNST_TABLE_REF(1L), 3L); 
if(
(BgL_index1345z00_2588>=0L))
{ /* Llib/fs.scm 291 */
BgL_callbackz00_2586 = 
VECTOR_REF(BgL_opt1339z00_110,BgL_index1345z00_2588); }  else 
{ /* Llib/fs.scm 291 */BFALSE; } } 
{ /* Llib/fs.scm 291 */
 long BgL_index1346z00_2589;
BgL_index1346z00_2589 = 
BGl_search1342ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1339z00_110), BgL_opt1339z00_110, 
CNST_TABLE_REF(2L), 3L); 
if(
(BgL_index1346z00_2589>=0L))
{ /* Llib/fs.scm 291 */
BgL_loopz00_2587 = 
VECTOR_REF(BgL_opt1339z00_110,BgL_index1346z00_2589); }  else 
{ /* Llib/fs.scm 291 */BFALSE; } } 
{ /* Llib/fs.scm 291 */
 obj_t BgL_arg1827z00_2590; obj_t BgL_arg1828z00_2591; obj_t BgL_arg1830z00_2592;
BgL_arg1827z00_2590 = 
VECTOR_REF(BgL_opt1339z00_110,0L); 
BgL_arg1828z00_2591 = 
VECTOR_REF(BgL_opt1339z00_110,1L); 
BgL_arg1830z00_2592 = 
VECTOR_REF(BgL_opt1339z00_110,2L); 
{ /* Llib/fs.scm 291 */
 obj_t BgL_callbackz00_2593;
BgL_callbackz00_2593 = BgL_callbackz00_2586; 
{ /* Llib/fs.scm 291 */
 obj_t BgL_loopz00_2594;
BgL_loopz00_2594 = BgL_loopz00_2587; 
{ /* Llib/fs.scm 291 */
 double BgL_atimez00_2595; double BgL_mtimez00_2596;
BgL_atimez00_2595 = 
REAL_TO_DOUBLE(BgL_arg1828z00_2591); 
BgL_mtimez00_2596 = 
REAL_TO_DOUBLE(BgL_arg1830z00_2592); 
return 
BINT(
bgl_uv_fs_utime(
BSTRING_TO_STRING(
((obj_t)BgL_arg1827z00_2590)), BgL_atimez00_2595, BgL_mtimez00_2596, BgL_callbackz00_2593, 
((BgL_uvloopz00_bglt)BgL_loopz00_2594)));} } } } } } } } } 

}



/* search1342~0 */
long BGl_search1342ze70ze7zz__libuv_fsz00(long BgL_l1341z00_2354, obj_t BgL_opt1339z00_2353, obj_t BgL_k1z00_1629, long BgL_iz00_1630)
{
{ /* Llib/fs.scm 291 */
BGl_search1342ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1630==BgL_l1341z00_2354))
{ /* Llib/fs.scm 291 */
return -1L;}  else 
{ /* Llib/fs.scm 291 */
 obj_t BgL_vz00_1632;
BgL_vz00_1632 = 
VECTOR_REF(BgL_opt1339z00_2353,BgL_iz00_1630); 
if(
(BgL_vz00_1632==BgL_k1z00_1629))
{ /* Llib/fs.scm 291 */
return 
(BgL_iz00_1630+1L);}  else 
{ 
 long BgL_iz00_3689;
BgL_iz00_3689 = 
(BgL_iz00_1630+2L); 
BgL_iz00_1630 = BgL_iz00_3689; 
goto BGl_search1342ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-utime */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2utimez00zz__libuv_fsz00(obj_t BgL_pathz00_105, double BgL_atimez00_106, double BgL_mtimez00_107, obj_t BgL_callbackz00_108, obj_t BgL_loopz00_109)
{
{ /* Llib/fs.scm 291 */
return 
BINT(
bgl_uv_fs_utime(
BSTRING_TO_STRING(BgL_pathz00_105), BgL_atimez00_106, BgL_mtimez00_107, BgL_callbackz00_108, 
((BgL_uvloopz00_bglt)BgL_loopz00_109)));} 

}



/* _uv-fs-open */
obj_t BGl__uvzd2fszd2openz00zz__libuv_fsz00(obj_t BgL_env1351z00_118, obj_t BgL_opt1350z00_117)
{
{ /* Llib/fs.scm 298 */
{ /* Llib/fs.scm 298 */
 obj_t BgL_g1359z00_2597; obj_t BgL_g1360z00_2598;
BgL_g1359z00_2597 = 
VECTOR_REF(BgL_opt1350z00_117,0L); 
BgL_g1360z00_2598 = 
VECTOR_REF(BgL_opt1350z00_117,1L); 
{ /* Llib/fs.scm 298 */
 obj_t BgL_callbackz00_2599;
BgL_callbackz00_2599 = BFALSE; 
{ /* Llib/fs.scm 298 */
 obj_t BgL_loopz00_2600;
BgL_loopz00_2600 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 298 */
 obj_t BgL_modez00_2601;
BgL_modez00_2601 = 
BINT(438L); 
{ /* Llib/fs.scm 298 */

{ /* Llib/fs.scm 298 */
 long BgL_index1356z00_2602;
BgL_index1356z00_2602 = 
BGl_search1353ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1350z00_117), BgL_opt1350z00_117, 
CNST_TABLE_REF(1L), 2L); 
if(
(BgL_index1356z00_2602>=0L))
{ /* Llib/fs.scm 298 */
BgL_callbackz00_2599 = 
VECTOR_REF(BgL_opt1350z00_117,BgL_index1356z00_2602); }  else 
{ /* Llib/fs.scm 298 */BFALSE; } } 
{ /* Llib/fs.scm 298 */
 long BgL_index1357z00_2603;
BgL_index1357z00_2603 = 
BGl_search1353ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1350z00_117), BgL_opt1350z00_117, 
CNST_TABLE_REF(2L), 2L); 
if(
(BgL_index1357z00_2603>=0L))
{ /* Llib/fs.scm 298 */
BgL_loopz00_2600 = 
VECTOR_REF(BgL_opt1350z00_117,BgL_index1357z00_2603); }  else 
{ /* Llib/fs.scm 298 */BFALSE; } } 
{ /* Llib/fs.scm 298 */
 long BgL_index1358z00_2604;
BgL_index1358z00_2604 = 
BGl_search1353ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1350z00_117), BgL_opt1350z00_117, 
CNST_TABLE_REF(4L), 2L); 
if(
(BgL_index1358z00_2604>=0L))
{ /* Llib/fs.scm 298 */
BgL_modez00_2601 = 
VECTOR_REF(BgL_opt1350z00_117,BgL_index1358z00_2604); }  else 
{ /* Llib/fs.scm 298 */BFALSE; } } 
{ /* Llib/fs.scm 298 */
 obj_t BgL_arg1837z00_2605; obj_t BgL_arg1838z00_2606;
BgL_arg1837z00_2605 = 
VECTOR_REF(BgL_opt1350z00_117,0L); 
BgL_arg1838z00_2606 = 
VECTOR_REF(BgL_opt1350z00_117,1L); 
{ /* Llib/fs.scm 298 */
 obj_t BgL_callbackz00_2607;
BgL_callbackz00_2607 = BgL_callbackz00_2599; 
{ /* Llib/fs.scm 298 */
 obj_t BgL_loopz00_2608;
BgL_loopz00_2608 = BgL_loopz00_2600; 
{ /* Llib/fs.scm 298 */
 obj_t BgL_modez00_2609;
BgL_modez00_2609 = BgL_modez00_2601; 
{ /* Llib/fs.scm 299 */
 obj_t BgL_fz00_2610;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_arg1838z00_2606))
{ /* Llib/fs.scm 300 */
BgL_fz00_2610 = BgL_arg1838z00_2606; }  else 
{ /* Llib/fs.scm 300 */
if(
SYMBOLP(BgL_arg1838z00_2606))
{ /* Llib/fs.scm 301 */
BgL_fz00_2610 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_arg1838z00_2606)); }  else 
{ /* Llib/fs.scm 301 */
if(
STRINGP(BgL_arg1838z00_2606))
{ /* Llib/fs.scm 302 */
 obj_t BgL_arg1844z00_2611;
BgL_arg1844z00_2611 = 
bstring_to_symbol(BgL_arg1838z00_2606); 
BgL_fz00_2610 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_arg1844z00_2611)); }  else 
{ /* Llib/fs.scm 302 */
BgL_fz00_2610 = 
BGl_errorz00zz__errorz00(BGl_string1992z00zz__libuv_fsz00, BGl_string1993z00zz__libuv_fsz00, BgL_arg1838z00_2606); } } } 
return 
bgl_uv_fs_open(
((obj_t)BgL_arg1837z00_2605), 
CINT(BgL_fz00_2610), 
CINT(BgL_modez00_2609), BgL_callbackz00_2607, 
((BgL_uvloopz00_bglt)BgL_loopz00_2608));} } } } } } } } } } } 

}



/* search1353~0 */
long BGl_search1353ze70ze7zz__libuv_fsz00(long BgL_l1352z00_2352, obj_t BgL_opt1350z00_2351, obj_t BgL_k1z00_1660, long BgL_iz00_1661)
{
{ /* Llib/fs.scm 298 */
BGl_search1353ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1661==BgL_l1352z00_2352))
{ /* Llib/fs.scm 298 */
return -1L;}  else 
{ /* Llib/fs.scm 298 */
 obj_t BgL_vz00_1663;
BgL_vz00_1663 = 
VECTOR_REF(BgL_opt1350z00_2351,BgL_iz00_1661); 
if(
(BgL_vz00_1663==BgL_k1z00_1660))
{ /* Llib/fs.scm 298 */
return 
(BgL_iz00_1661+1L);}  else 
{ 
 long BgL_iz00_3743;
BgL_iz00_3743 = 
(BgL_iz00_1661+2L); 
BgL_iz00_1661 = BgL_iz00_3743; 
goto BGl_search1353ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-open */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2openz00zz__libuv_fsz00(obj_t BgL_pathz00_112, obj_t BgL_flagsz00_113, obj_t BgL_callbackz00_114, obj_t BgL_loopz00_115, obj_t BgL_modez00_116)
{
{ /* Llib/fs.scm 298 */
{ /* Llib/fs.scm 299 */
 obj_t BgL_fz00_2612;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_flagsz00_113))
{ /* Llib/fs.scm 300 */
BgL_fz00_2612 = BgL_flagsz00_113; }  else 
{ /* Llib/fs.scm 300 */
if(
SYMBOLP(BgL_flagsz00_113))
{ /* Llib/fs.scm 301 */
BgL_fz00_2612 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_flagsz00_113)); }  else 
{ /* Llib/fs.scm 301 */
if(
STRINGP(BgL_flagsz00_113))
{ /* Llib/fs.scm 302 */
 obj_t BgL_arg1844z00_2613;
BgL_arg1844z00_2613 = 
bstring_to_symbol(BgL_flagsz00_113); 
BgL_fz00_2612 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_arg1844z00_2613)); }  else 
{ /* Llib/fs.scm 302 */
BgL_fz00_2612 = 
BGl_errorz00zz__errorz00(BGl_string1992z00zz__libuv_fsz00, BGl_string1993z00zz__libuv_fsz00, BgL_flagsz00_113); } } } 
return 
bgl_uv_fs_open(BgL_pathz00_112, 
CINT(BgL_fz00_2612), 
CINT(BgL_modez00_116), BgL_callbackz00_114, 
((BgL_uvloopz00_bglt)BgL_loopz00_115));} } 

}



/* _uv-fs-open4 */
obj_t BGl__uvzd2fszd2open4z00zz__libuv_fsz00(obj_t BgL_env1362z00_129, obj_t BgL_opt1361z00_128)
{
{ /* Llib/fs.scm 309 */
{ /* Llib/fs.scm 309 */
 obj_t BgL_g1374z00_2614; obj_t BgL_g1375z00_2615;
BgL_g1374z00_2614 = 
VECTOR_REF(BgL_opt1361z00_128,0L); 
BgL_g1375z00_2615 = 
VECTOR_REF(BgL_opt1361z00_128,1L); 
{ /* Llib/fs.scm 309 */
 obj_t BgL_arg0z00_2616;
BgL_arg0z00_2616 = BFALSE; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_arg1z00_2617;
BgL_arg1z00_2617 = BFALSE; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_arg2z00_2618;
BgL_arg2z00_2618 = BFALSE; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_arg3z00_2619;
BgL_arg3z00_2619 = BFALSE; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_callbackz00_2620;
BgL_callbackz00_2620 = BFALSE; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_loopz00_2621;
BgL_loopz00_2621 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 309 */
 obj_t BgL_modez00_2622;
BgL_modez00_2622 = 
BINT(438L); 
{ /* Llib/fs.scm 309 */

{ /* Llib/fs.scm 309 */
 long BgL_index1367z00_2623;
BgL_index1367z00_2623 = 
BGl_search1364ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1361z00_128), BgL_opt1361z00_128, 
CNST_TABLE_REF(5L), 2L); 
if(
(BgL_index1367z00_2623>=0L))
{ /* Llib/fs.scm 309 */
BgL_arg0z00_2616 = 
VECTOR_REF(BgL_opt1361z00_128,BgL_index1367z00_2623); }  else 
{ /* Llib/fs.scm 309 */BFALSE; } } 
{ /* Llib/fs.scm 309 */
 long BgL_index1368z00_2624;
BgL_index1368z00_2624 = 
BGl_search1364ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1361z00_128), BgL_opt1361z00_128, 
CNST_TABLE_REF(6L), 2L); 
if(
(BgL_index1368z00_2624>=0L))
{ /* Llib/fs.scm 309 */
BgL_arg1z00_2617 = 
VECTOR_REF(BgL_opt1361z00_128,BgL_index1368z00_2624); }  else 
{ /* Llib/fs.scm 309 */BFALSE; } } 
{ /* Llib/fs.scm 309 */
 long BgL_index1369z00_2625;
BgL_index1369z00_2625 = 
BGl_search1364ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1361z00_128), BgL_opt1361z00_128, 
CNST_TABLE_REF(7L), 2L); 
if(
(BgL_index1369z00_2625>=0L))
{ /* Llib/fs.scm 309 */
BgL_arg2z00_2618 = 
VECTOR_REF(BgL_opt1361z00_128,BgL_index1369z00_2625); }  else 
{ /* Llib/fs.scm 309 */BFALSE; } } 
{ /* Llib/fs.scm 309 */
 long BgL_index1370z00_2626;
BgL_index1370z00_2626 = 
BGl_search1364ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1361z00_128), BgL_opt1361z00_128, 
CNST_TABLE_REF(8L), 2L); 
if(
(BgL_index1370z00_2626>=0L))
{ /* Llib/fs.scm 309 */
BgL_arg3z00_2619 = 
VECTOR_REF(BgL_opt1361z00_128,BgL_index1370z00_2626); }  else 
{ /* Llib/fs.scm 309 */BFALSE; } } 
{ /* Llib/fs.scm 309 */
 long BgL_index1371z00_2627;
BgL_index1371z00_2627 = 
BGl_search1364ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1361z00_128), BgL_opt1361z00_128, 
CNST_TABLE_REF(1L), 2L); 
if(
(BgL_index1371z00_2627>=0L))
{ /* Llib/fs.scm 309 */
BgL_callbackz00_2620 = 
VECTOR_REF(BgL_opt1361z00_128,BgL_index1371z00_2627); }  else 
{ /* Llib/fs.scm 309 */BFALSE; } } 
{ /* Llib/fs.scm 309 */
 long BgL_index1372z00_2628;
BgL_index1372z00_2628 = 
BGl_search1364ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1361z00_128), BgL_opt1361z00_128, 
CNST_TABLE_REF(2L), 2L); 
if(
(BgL_index1372z00_2628>=0L))
{ /* Llib/fs.scm 309 */
BgL_loopz00_2621 = 
VECTOR_REF(BgL_opt1361z00_128,BgL_index1372z00_2628); }  else 
{ /* Llib/fs.scm 309 */BFALSE; } } 
{ /* Llib/fs.scm 309 */
 long BgL_index1373z00_2629;
BgL_index1373z00_2629 = 
BGl_search1364ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1361z00_128), BgL_opt1361z00_128, 
CNST_TABLE_REF(4L), 2L); 
if(
(BgL_index1373z00_2629>=0L))
{ /* Llib/fs.scm 309 */
BgL_modez00_2622 = 
VECTOR_REF(BgL_opt1361z00_128,BgL_index1373z00_2629); }  else 
{ /* Llib/fs.scm 309 */BFALSE; } } 
{ /* Llib/fs.scm 309 */
 obj_t BgL_arg1852z00_2630; obj_t BgL_arg1853z00_2631;
BgL_arg1852z00_2630 = 
VECTOR_REF(BgL_opt1361z00_128,0L); 
BgL_arg1853z00_2631 = 
VECTOR_REF(BgL_opt1361z00_128,1L); 
{ /* Llib/fs.scm 309 */
 obj_t BgL_arg0z00_2632;
BgL_arg0z00_2632 = BgL_arg0z00_2616; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_arg1z00_2633;
BgL_arg1z00_2633 = BgL_arg1z00_2617; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_arg2z00_2634;
BgL_arg2z00_2634 = BgL_arg2z00_2618; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_arg3z00_2635;
BgL_arg3z00_2635 = BgL_arg3z00_2619; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_callbackz00_2636;
BgL_callbackz00_2636 = BgL_callbackz00_2620; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_loopz00_2637;
BgL_loopz00_2637 = BgL_loopz00_2621; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_modez00_2638;
BgL_modez00_2638 = BgL_modez00_2622; 
{ /* Llib/fs.scm 310 */
 obj_t BgL_fz00_2639;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_arg1853z00_2631))
{ /* Llib/fs.scm 311 */
BgL_fz00_2639 = BgL_arg1853z00_2631; }  else 
{ /* Llib/fs.scm 311 */
if(
SYMBOLP(BgL_arg1853z00_2631))
{ /* Llib/fs.scm 312 */
BgL_fz00_2639 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_arg1853z00_2631)); }  else 
{ /* Llib/fs.scm 312 */
if(
STRINGP(BgL_arg1853z00_2631))
{ /* Llib/fs.scm 313 */
 obj_t BgL_arg1859z00_2640;
BgL_arg1859z00_2640 = 
bstring_to_symbol(BgL_arg1853z00_2631); 
BgL_fz00_2639 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_arg1859z00_2640)); }  else 
{ /* Llib/fs.scm 313 */
BgL_fz00_2639 = 
BGl_errorz00zz__errorz00(BGl_string1992z00zz__libuv_fsz00, BGl_string1993z00zz__libuv_fsz00, BgL_arg1853z00_2631); } } } 
return 
bgl_uv_fs_open4(
((obj_t)BgL_arg1852z00_2630), 
CINT(BgL_fz00_2639), 
CINT(BgL_modez00_2638), BgL_callbackz00_2636, BgL_arg0z00_2632, BgL_arg1z00_2633, BgL_arg2z00_2634, BgL_arg3z00_2635, 
((BgL_uvloopz00_bglt)BgL_loopz00_2637));} } } } } } } } } } } } } } } } } } } 

}



/* search1364~0 */
long BGl_search1364ze70ze7zz__libuv_fsz00(long BgL_l1363z00_2350, obj_t BgL_opt1361z00_2349, obj_t BgL_k1z00_1704, long BgL_iz00_1705)
{
{ /* Llib/fs.scm 309 */
BGl_search1364ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1705==BgL_l1363z00_2350))
{ /* Llib/fs.scm 309 */
return -1L;}  else 
{ /* Llib/fs.scm 309 */
 obj_t BgL_vz00_1707;
BgL_vz00_1707 = 
VECTOR_REF(BgL_opt1361z00_2349,BgL_iz00_1705); 
if(
(BgL_vz00_1707==BgL_k1z00_1704))
{ /* Llib/fs.scm 309 */
return 
(BgL_iz00_1705+1L);}  else 
{ 
 long BgL_iz00_3833;
BgL_iz00_3833 = 
(BgL_iz00_1705+2L); 
BgL_iz00_1705 = BgL_iz00_3833; 
goto BGl_search1364ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-open4 */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2open4z00zz__libuv_fsz00(obj_t BgL_pathz00_119, obj_t BgL_flagsz00_120, obj_t BgL_arg0z00_121, obj_t BgL_arg1z00_122, obj_t BgL_arg2z00_123, obj_t BgL_arg3z00_124, obj_t BgL_callbackz00_125, obj_t BgL_loopz00_126, obj_t BgL_modez00_127)
{
{ /* Llib/fs.scm 309 */
{ /* Llib/fs.scm 310 */
 obj_t BgL_fz00_2641;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_flagsz00_120))
{ /* Llib/fs.scm 311 */
BgL_fz00_2641 = BgL_flagsz00_120; }  else 
{ /* Llib/fs.scm 311 */
if(
SYMBOLP(BgL_flagsz00_120))
{ /* Llib/fs.scm 312 */
BgL_fz00_2641 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_flagsz00_120)); }  else 
{ /* Llib/fs.scm 312 */
if(
STRINGP(BgL_flagsz00_120))
{ /* Llib/fs.scm 313 */
 obj_t BgL_arg1859z00_2642;
BgL_arg1859z00_2642 = 
bstring_to_symbol(BgL_flagsz00_120); 
BgL_fz00_2641 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_arg1859z00_2642)); }  else 
{ /* Llib/fs.scm 313 */
BgL_fz00_2641 = 
BGl_errorz00zz__errorz00(BGl_string1992z00zz__libuv_fsz00, BGl_string1993z00zz__libuv_fsz00, BgL_flagsz00_120); } } } 
return 
bgl_uv_fs_open4(BgL_pathz00_119, 
CINT(BgL_fz00_2641), 
CINT(BgL_modez00_127), BgL_callbackz00_125, BgL_arg0z00_121, BgL_arg1z00_122, BgL_arg2z00_123, BgL_arg3z00_124, 
((BgL_uvloopz00_bglt)BgL_loopz00_126));} } 

}



/* _uv-fs-close */
obj_t BGl__uvzd2fszd2closez00zz__libuv_fsz00(obj_t BgL_env1377z00_134, obj_t BgL_opt1376z00_133)
{
{ /* Llib/fs.scm 320 */
{ /* Llib/fs.scm 320 */
 obj_t BgL_g1384z00_2643;
BgL_g1384z00_2643 = 
VECTOR_REF(BgL_opt1376z00_133,0L); 
{ /* Llib/fs.scm 320 */
 obj_t BgL_callbackz00_2644;
BgL_callbackz00_2644 = BFALSE; 
{ /* Llib/fs.scm 320 */
 obj_t BgL_loopz00_2645;
BgL_loopz00_2645 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 320 */

{ /* Llib/fs.scm 320 */
 long BgL_index1382z00_2646;
BgL_index1382z00_2646 = 
BGl_search1379ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1376z00_133), BgL_opt1376z00_133, 
CNST_TABLE_REF(1L), 1L); 
if(
(BgL_index1382z00_2646>=0L))
{ /* Llib/fs.scm 320 */
BgL_callbackz00_2644 = 
VECTOR_REF(BgL_opt1376z00_133,BgL_index1382z00_2646); }  else 
{ /* Llib/fs.scm 320 */BFALSE; } } 
{ /* Llib/fs.scm 320 */
 long BgL_index1383z00_2647;
BgL_index1383z00_2647 = 
BGl_search1379ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1376z00_133), BgL_opt1376z00_133, 
CNST_TABLE_REF(2L), 1L); 
if(
(BgL_index1383z00_2647>=0L))
{ /* Llib/fs.scm 320 */
BgL_loopz00_2645 = 
VECTOR_REF(BgL_opt1376z00_133,BgL_index1383z00_2647); }  else 
{ /* Llib/fs.scm 320 */BFALSE; } } 
{ /* Llib/fs.scm 320 */
 obj_t BgL_arg1862z00_2648;
BgL_arg1862z00_2648 = 
VECTOR_REF(BgL_opt1376z00_133,0L); 
{ /* Llib/fs.scm 320 */
 obj_t BgL_callbackz00_2649;
BgL_callbackz00_2649 = BgL_callbackz00_2644; 
{ /* Llib/fs.scm 320 */
 obj_t BgL_loopz00_2650;
BgL_loopz00_2650 = BgL_loopz00_2645; 
return 
BINT(
bgl_uv_fs_close(
((BgL_uvfilez00_bglt)BgL_arg1862z00_2648), BgL_callbackz00_2649, 
((BgL_uvloopz00_bglt)BgL_loopz00_2650)));} } } } } } } } 

}



/* search1379~0 */
long BGl_search1379ze70ze7zz__libuv_fsz00(long BgL_l1378z00_2348, obj_t BgL_opt1376z00_2347, obj_t BgL_k1z00_1768, long BgL_iz00_1769)
{
{ /* Llib/fs.scm 320 */
BGl_search1379ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1769==BgL_l1378z00_2348))
{ /* Llib/fs.scm 320 */
return -1L;}  else 
{ /* Llib/fs.scm 320 */
 obj_t BgL_vz00_1771;
BgL_vz00_1771 = 
VECTOR_REF(BgL_opt1376z00_2347,BgL_iz00_1769); 
if(
(BgL_vz00_1771==BgL_k1z00_1768))
{ /* Llib/fs.scm 320 */
return 
(BgL_iz00_1769+1L);}  else 
{ 
 long BgL_iz00_3877;
BgL_iz00_3877 = 
(BgL_iz00_1769+2L); 
BgL_iz00_1769 = BgL_iz00_3877; 
goto BGl_search1379ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-close */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2closez00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_130, obj_t BgL_callbackz00_131, obj_t BgL_loopz00_132)
{
{ /* Llib/fs.scm 320 */
return 
BINT(
bgl_uv_fs_close(BgL_fdz00_130, BgL_callbackz00_131, 
((BgL_uvloopz00_bglt)BgL_loopz00_132)));} 

}



/* _uv-fs-close2 */
obj_t BGl__uvzd2fszd2close2z00zz__libuv_fsz00(obj_t BgL_env1386z00_141, obj_t BgL_opt1385z00_140)
{
{ /* Llib/fs.scm 326 */
{ /* Llib/fs.scm 326 */
 obj_t BgL_g1395z00_2651;
BgL_g1395z00_2651 = 
VECTOR_REF(BgL_opt1385z00_140,0L); 
{ /* Llib/fs.scm 326 */
 obj_t BgL_arg0z00_2652;
BgL_arg0z00_2652 = BFALSE; 
{ /* Llib/fs.scm 326 */
 obj_t BgL_arg1z00_2653;
BgL_arg1z00_2653 = BFALSE; 
{ /* Llib/fs.scm 326 */
 obj_t BgL_callbackz00_2654;
BgL_callbackz00_2654 = BFALSE; 
{ /* Llib/fs.scm 326 */
 obj_t BgL_loopz00_2655;
BgL_loopz00_2655 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 326 */

{ /* Llib/fs.scm 326 */
 long BgL_index1391z00_2656;
BgL_index1391z00_2656 = 
BGl_search1388ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1385z00_140), BgL_opt1385z00_140, 
CNST_TABLE_REF(5L), 1L); 
if(
(BgL_index1391z00_2656>=0L))
{ /* Llib/fs.scm 326 */
BgL_arg0z00_2652 = 
VECTOR_REF(BgL_opt1385z00_140,BgL_index1391z00_2656); }  else 
{ /* Llib/fs.scm 326 */BFALSE; } } 
{ /* Llib/fs.scm 326 */
 long BgL_index1392z00_2657;
BgL_index1392z00_2657 = 
BGl_search1388ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1385z00_140), BgL_opt1385z00_140, 
CNST_TABLE_REF(6L), 1L); 
if(
(BgL_index1392z00_2657>=0L))
{ /* Llib/fs.scm 326 */
BgL_arg1z00_2653 = 
VECTOR_REF(BgL_opt1385z00_140,BgL_index1392z00_2657); }  else 
{ /* Llib/fs.scm 326 */BFALSE; } } 
{ /* Llib/fs.scm 326 */
 long BgL_index1393z00_2658;
BgL_index1393z00_2658 = 
BGl_search1388ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1385z00_140), BgL_opt1385z00_140, 
CNST_TABLE_REF(1L), 1L); 
if(
(BgL_index1393z00_2658>=0L))
{ /* Llib/fs.scm 326 */
BgL_callbackz00_2654 = 
VECTOR_REF(BgL_opt1385z00_140,BgL_index1393z00_2658); }  else 
{ /* Llib/fs.scm 326 */BFALSE; } } 
{ /* Llib/fs.scm 326 */
 long BgL_index1394z00_2659;
BgL_index1394z00_2659 = 
BGl_search1388ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1385z00_140), BgL_opt1385z00_140, 
CNST_TABLE_REF(2L), 1L); 
if(
(BgL_index1394z00_2659>=0L))
{ /* Llib/fs.scm 326 */
BgL_loopz00_2655 = 
VECTOR_REF(BgL_opt1385z00_140,BgL_index1394z00_2659); }  else 
{ /* Llib/fs.scm 326 */BFALSE; } } 
{ /* Llib/fs.scm 326 */
 obj_t BgL_arg1869z00_2660;
BgL_arg1869z00_2660 = 
VECTOR_REF(BgL_opt1385z00_140,0L); 
{ /* Llib/fs.scm 326 */
 obj_t BgL_arg0z00_2661;
BgL_arg0z00_2661 = BgL_arg0z00_2652; 
{ /* Llib/fs.scm 326 */
 obj_t BgL_arg1z00_2662;
BgL_arg1z00_2662 = BgL_arg1z00_2653; 
{ /* Llib/fs.scm 326 */
 obj_t BgL_callbackz00_2663;
BgL_callbackz00_2663 = BgL_callbackz00_2654; 
{ /* Llib/fs.scm 326 */
 obj_t BgL_loopz00_2664;
BgL_loopz00_2664 = BgL_loopz00_2655; 
return 
BINT(
bgl_uv_fs_close2(
((BgL_uvfilez00_bglt)BgL_arg1869z00_2660), BgL_callbackz00_2663, BgL_arg0z00_2661, BgL_arg1z00_2662, 
((BgL_uvloopz00_bglt)BgL_loopz00_2664)));} } } } } } } } } } } } 

}



/* search1388~0 */
long BGl_search1388ze70ze7zz__libuv_fsz00(long BgL_l1387z00_2346, obj_t BgL_opt1385z00_2345, obj_t BgL_k1z00_1793, long BgL_iz00_1794)
{
{ /* Llib/fs.scm 326 */
BGl_search1388ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1794==BgL_l1387z00_2346))
{ /* Llib/fs.scm 326 */
return -1L;}  else 
{ /* Llib/fs.scm 326 */
 obj_t BgL_vz00_1796;
BgL_vz00_1796 = 
VECTOR_REF(BgL_opt1385z00_2345,BgL_iz00_1794); 
if(
(BgL_vz00_1796==BgL_k1z00_1793))
{ /* Llib/fs.scm 326 */
return 
(BgL_iz00_1794+1L);}  else 
{ 
 long BgL_iz00_3920;
BgL_iz00_3920 = 
(BgL_iz00_1794+2L); 
BgL_iz00_1794 = BgL_iz00_3920; 
goto BGl_search1388ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-close2 */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2close2z00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_135, obj_t BgL_arg0z00_136, obj_t BgL_arg1z00_137, obj_t BgL_callbackz00_138, obj_t BgL_loopz00_139)
{
{ /* Llib/fs.scm 326 */
return 
BINT(
bgl_uv_fs_close2(BgL_fdz00_135, BgL_callbackz00_138, BgL_arg0z00_136, BgL_arg1z00_137, 
((BgL_uvloopz00_bglt)BgL_loopz00_139)));} 

}



/* _uv-fs-copyfile */
obj_t BGl__uvzd2fszd2copyfilez00zz__libuv_fsz00(obj_t BgL_env1397z00_148, obj_t BgL_opt1396z00_147)
{
{ /* Llib/fs.scm 332 */
{ /* Llib/fs.scm 332 */
 obj_t BgL_g1404z00_2665; obj_t BgL_g1405z00_2666; obj_t BgL_g1406z00_2667;
BgL_g1404z00_2665 = 
VECTOR_REF(BgL_opt1396z00_147,0L); 
BgL_g1405z00_2666 = 
VECTOR_REF(BgL_opt1396z00_147,1L); 
BgL_g1406z00_2667 = 
VECTOR_REF(BgL_opt1396z00_147,2L); 
{ /* Llib/fs.scm 332 */
 obj_t BgL_callbackz00_2668;
BgL_callbackz00_2668 = BFALSE; 
{ /* Llib/fs.scm 333 */
 obj_t BgL_loopz00_2669;
BgL_loopz00_2669 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 332 */

{ /* Llib/fs.scm 332 */
 long BgL_index1402z00_2670;
BgL_index1402z00_2670 = 
BGl_search1399ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1396z00_147), BgL_opt1396z00_147, 
CNST_TABLE_REF(1L), 3L); 
if(
(BgL_index1402z00_2670>=0L))
{ /* Llib/fs.scm 332 */
BgL_callbackz00_2668 = 
VECTOR_REF(BgL_opt1396z00_147,BgL_index1402z00_2670); }  else 
{ /* Llib/fs.scm 332 */BFALSE; } } 
{ /* Llib/fs.scm 332 */
 long BgL_index1403z00_2671;
BgL_index1403z00_2671 = 
BGl_search1399ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1396z00_147), BgL_opt1396z00_147, 
CNST_TABLE_REF(2L), 3L); 
if(
(BgL_index1403z00_2671>=0L))
{ /* Llib/fs.scm 332 */
BgL_loopz00_2669 = 
VECTOR_REF(BgL_opt1396z00_147,BgL_index1403z00_2671); }  else 
{ /* Llib/fs.scm 332 */BFALSE; } } 
{ /* Llib/fs.scm 332 */
 obj_t BgL_arg1874z00_2672; obj_t BgL_arg1875z00_2673; obj_t BgL_arg1876z00_2674;
BgL_arg1874z00_2672 = 
VECTOR_REF(BgL_opt1396z00_147,0L); 
BgL_arg1875z00_2673 = 
VECTOR_REF(BgL_opt1396z00_147,1L); 
BgL_arg1876z00_2674 = 
VECTOR_REF(BgL_opt1396z00_147,2L); 
{ /* Llib/fs.scm 332 */
 obj_t BgL_callbackz00_2675;
BgL_callbackz00_2675 = BgL_callbackz00_2668; 
{ /* Llib/fs.scm 332 */
 obj_t BgL_loopz00_2676;
BgL_loopz00_2676 = BgL_loopz00_2669; 
{ /* Llib/fs.scm 332 */
 int BgL_flagsz00_2677;
BgL_flagsz00_2677 = 
CINT(BgL_arg1876z00_2674); 
return 
BINT(
bgl_uv_fs_copyfile(
((obj_t)BgL_arg1874z00_2672), 
((obj_t)BgL_arg1875z00_2673), BgL_flagsz00_2677, BgL_callbackz00_2675, 
((BgL_uvloopz00_bglt)BgL_loopz00_2676)));} } } } } } } } } 

}



/* search1399~0 */
long BGl_search1399ze70ze7zz__libuv_fsz00(long BgL_l1398z00_2344, obj_t BgL_opt1396z00_2343, obj_t BgL_k1z00_1828, long BgL_iz00_1829)
{
{ /* Llib/fs.scm 332 */
BGl_search1399ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1829==BgL_l1398z00_2344))
{ /* Llib/fs.scm 332 */
return -1L;}  else 
{ /* Llib/fs.scm 332 */
 obj_t BgL_vz00_1831;
BgL_vz00_1831 = 
VECTOR_REF(BgL_opt1396z00_2343,BgL_iz00_1829); 
if(
(BgL_vz00_1831==BgL_k1z00_1828))
{ /* Llib/fs.scm 332 */
return 
(BgL_iz00_1829+1L);}  else 
{ 
 long BgL_iz00_3957;
BgL_iz00_3957 = 
(BgL_iz00_1829+2L); 
BgL_iz00_1829 = BgL_iz00_3957; 
goto BGl_search1399ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-copyfile */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2copyfilez00zz__libuv_fsz00(obj_t BgL_pathz00_142, obj_t BgL_newpathz00_143, int BgL_flagsz00_144, obj_t BgL_callbackz00_145, obj_t BgL_loopz00_146)
{
{ /* Llib/fs.scm 332 */
return 
BINT(
bgl_uv_fs_copyfile(BgL_pathz00_142, BgL_newpathz00_143, BgL_flagsz00_144, BgL_callbackz00_145, 
((BgL_uvloopz00_bglt)BgL_loopz00_146)));} 

}



/* _uv-fs-fstat */
obj_t BGl__uvzd2fszd2fstatz00zz__libuv_fsz00(obj_t BgL_env1408z00_154, obj_t BgL_opt1407z00_153)
{
{ /* Llib/fs.scm 339 */
{ /* Llib/fs.scm 339 */
 obj_t BgL_g1416z00_2678;
BgL_g1416z00_2678 = 
VECTOR_REF(BgL_opt1407z00_153,0L); 
{ /* Llib/fs.scm 339 */
 obj_t BgL_callbackz00_2679;
BgL_callbackz00_2679 = BFALSE; 
{ /* Llib/fs.scm 339 */
 obj_t BgL_loopz00_2680;
BgL_loopz00_2680 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 339 */
 obj_t BgL_vectorz00_2681;
BgL_vectorz00_2681 = BFALSE; 
{ /* Llib/fs.scm 339 */

{ /* Llib/fs.scm 339 */
 long BgL_index1413z00_2682;
BgL_index1413z00_2682 = 
BGl_search1410ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1407z00_153), BgL_opt1407z00_153, 
CNST_TABLE_REF(1L), 1L); 
if(
(BgL_index1413z00_2682>=0L))
{ /* Llib/fs.scm 339 */
BgL_callbackz00_2679 = 
VECTOR_REF(BgL_opt1407z00_153,BgL_index1413z00_2682); }  else 
{ /* Llib/fs.scm 339 */BFALSE; } } 
{ /* Llib/fs.scm 339 */
 long BgL_index1414z00_2683;
BgL_index1414z00_2683 = 
BGl_search1410ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1407z00_153), BgL_opt1407z00_153, 
CNST_TABLE_REF(2L), 1L); 
if(
(BgL_index1414z00_2683>=0L))
{ /* Llib/fs.scm 339 */
BgL_loopz00_2680 = 
VECTOR_REF(BgL_opt1407z00_153,BgL_index1414z00_2683); }  else 
{ /* Llib/fs.scm 339 */BFALSE; } } 
{ /* Llib/fs.scm 339 */
 long BgL_index1415z00_2684;
BgL_index1415z00_2684 = 
BGl_search1410ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1407z00_153), BgL_opt1407z00_153, 
CNST_TABLE_REF(9L), 1L); 
if(
(BgL_index1415z00_2684>=0L))
{ /* Llib/fs.scm 339 */
BgL_vectorz00_2681 = 
VECTOR_REF(BgL_opt1407z00_153,BgL_index1415z00_2684); }  else 
{ /* Llib/fs.scm 339 */BFALSE; } } 
{ /* Llib/fs.scm 339 */
 obj_t BgL_arg1882z00_2685;
BgL_arg1882z00_2685 = 
VECTOR_REF(BgL_opt1407z00_153,0L); 
{ /* Llib/fs.scm 339 */
 obj_t BgL_callbackz00_2686;
BgL_callbackz00_2686 = BgL_callbackz00_2679; 
{ /* Llib/fs.scm 339 */
 obj_t BgL_loopz00_2687;
BgL_loopz00_2687 = BgL_loopz00_2680; 
{ /* Llib/fs.scm 339 */
 obj_t BgL_vectorz00_2688;
BgL_vectorz00_2688 = BgL_vectorz00_2681; 
return 
bgl_uv_fs_fstat(
((BgL_uvfilez00_bglt)BgL_arg1882z00_2685), BgL_callbackz00_2686, BgL_vectorz00_2688, 
((BgL_uvloopz00_bglt)BgL_loopz00_2687));} } } } } } } } } } 

}



/* search1410~0 */
long BGl_search1410ze70ze7zz__libuv_fsz00(long BgL_l1409z00_2342, obj_t BgL_opt1407z00_2341, obj_t BgL_k1z00_1859, long BgL_iz00_1860)
{
{ /* Llib/fs.scm 339 */
BGl_search1410ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1860==BgL_l1409z00_2342))
{ /* Llib/fs.scm 339 */
return -1L;}  else 
{ /* Llib/fs.scm 339 */
 obj_t BgL_vz00_1862;
BgL_vz00_1862 = 
VECTOR_REF(BgL_opt1407z00_2341,BgL_iz00_1860); 
if(
(BgL_vz00_1862==BgL_k1z00_1859))
{ /* Llib/fs.scm 339 */
return 
(BgL_iz00_1860+1L);}  else 
{ 
 long BgL_iz00_3993;
BgL_iz00_3993 = 
(BgL_iz00_1860+2L); 
BgL_iz00_1860 = BgL_iz00_3993; 
goto BGl_search1410ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-fstat */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2fstatz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_149, obj_t BgL_callbackz00_150, obj_t BgL_loopz00_151, obj_t BgL_vectorz00_152)
{
{ /* Llib/fs.scm 339 */
return 
bgl_uv_fs_fstat(BgL_fdz00_149, BgL_callbackz00_150, BgL_vectorz00_152, 
((BgL_uvloopz00_bglt)BgL_loopz00_151));} 

}



/* _uv-fs-lstat */
obj_t BGl__uvzd2fszd2lstatz00zz__libuv_fsz00(obj_t BgL_env1418z00_160, obj_t BgL_opt1417z00_159)
{
{ /* Llib/fs.scm 345 */
{ /* Llib/fs.scm 345 */
 obj_t BgL_g1426z00_2689;
BgL_g1426z00_2689 = 
VECTOR_REF(BgL_opt1417z00_159,0L); 
{ /* Llib/fs.scm 345 */
 obj_t BgL_callbackz00_2690;
BgL_callbackz00_2690 = BFALSE; 
{ /* Llib/fs.scm 345 */
 obj_t BgL_loopz00_2691;
BgL_loopz00_2691 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 345 */
 obj_t BgL_vectorz00_2692;
BgL_vectorz00_2692 = BFALSE; 
{ /* Llib/fs.scm 345 */

{ /* Llib/fs.scm 345 */
 long BgL_index1423z00_2693;
BgL_index1423z00_2693 = 
BGl_search1420ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1417z00_159), BgL_opt1417z00_159, 
CNST_TABLE_REF(1L), 1L); 
if(
(BgL_index1423z00_2693>=0L))
{ /* Llib/fs.scm 345 */
BgL_callbackz00_2690 = 
VECTOR_REF(BgL_opt1417z00_159,BgL_index1423z00_2693); }  else 
{ /* Llib/fs.scm 345 */BFALSE; } } 
{ /* Llib/fs.scm 345 */
 long BgL_index1424z00_2694;
BgL_index1424z00_2694 = 
BGl_search1420ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1417z00_159), BgL_opt1417z00_159, 
CNST_TABLE_REF(2L), 1L); 
if(
(BgL_index1424z00_2694>=0L))
{ /* Llib/fs.scm 345 */
BgL_loopz00_2691 = 
VECTOR_REF(BgL_opt1417z00_159,BgL_index1424z00_2694); }  else 
{ /* Llib/fs.scm 345 */BFALSE; } } 
{ /* Llib/fs.scm 345 */
 long BgL_index1425z00_2695;
BgL_index1425z00_2695 = 
BGl_search1420ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1417z00_159), BgL_opt1417z00_159, 
CNST_TABLE_REF(9L), 1L); 
if(
(BgL_index1425z00_2695>=0L))
{ /* Llib/fs.scm 345 */
BgL_vectorz00_2692 = 
VECTOR_REF(BgL_opt1417z00_159,BgL_index1425z00_2695); }  else 
{ /* Llib/fs.scm 345 */BFALSE; } } 
{ /* Llib/fs.scm 345 */
 obj_t BgL_arg1888z00_2696;
BgL_arg1888z00_2696 = 
VECTOR_REF(BgL_opt1417z00_159,0L); 
{ /* Llib/fs.scm 345 */
 obj_t BgL_callbackz00_2697;
BgL_callbackz00_2697 = BgL_callbackz00_2690; 
{ /* Llib/fs.scm 345 */
 obj_t BgL_loopz00_2698;
BgL_loopz00_2698 = BgL_loopz00_2691; 
{ /* Llib/fs.scm 345 */
 obj_t BgL_vectorz00_2699;
BgL_vectorz00_2699 = BgL_vectorz00_2692; 
return 
bgl_uv_fs_lstat(
BSTRING_TO_STRING(
((obj_t)BgL_arg1888z00_2696)), BgL_callbackz00_2697, BgL_vectorz00_2699, 
((BgL_uvloopz00_bglt)BgL_loopz00_2698));} } } } } } } } } } 

}



/* search1420~0 */
long BGl_search1420ze70ze7zz__libuv_fsz00(long BgL_l1419z00_2340, obj_t BgL_opt1417z00_2339, obj_t BgL_k1z00_1889, long BgL_iz00_1890)
{
{ /* Llib/fs.scm 345 */
BGl_search1420ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1890==BgL_l1419z00_2340))
{ /* Llib/fs.scm 345 */
return -1L;}  else 
{ /* Llib/fs.scm 345 */
 obj_t BgL_vz00_1892;
BgL_vz00_1892 = 
VECTOR_REF(BgL_opt1417z00_2339,BgL_iz00_1890); 
if(
(BgL_vz00_1892==BgL_k1z00_1889))
{ /* Llib/fs.scm 345 */
return 
(BgL_iz00_1890+1L);}  else 
{ 
 long BgL_iz00_4029;
BgL_iz00_4029 = 
(BgL_iz00_1890+2L); 
BgL_iz00_1890 = BgL_iz00_4029; 
goto BGl_search1420ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-lstat */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2lstatz00zz__libuv_fsz00(obj_t BgL_pathz00_155, obj_t BgL_callbackz00_156, obj_t BgL_loopz00_157, obj_t BgL_vectorz00_158)
{
{ /* Llib/fs.scm 345 */
return 
bgl_uv_fs_lstat(
BSTRING_TO_STRING(BgL_pathz00_155), BgL_callbackz00_156, BgL_vectorz00_158, 
((BgL_uvloopz00_bglt)BgL_loopz00_157));} 

}



/* _uv-fs-stat */
obj_t BGl__uvzd2fszd2statz00zz__libuv_fsz00(obj_t BgL_env1428z00_166, obj_t BgL_opt1427z00_165)
{
{ /* Llib/fs.scm 351 */
{ /* Llib/fs.scm 351 */
 obj_t BgL_g1436z00_2700;
BgL_g1436z00_2700 = 
VECTOR_REF(BgL_opt1427z00_165,0L); 
{ /* Llib/fs.scm 351 */
 obj_t BgL_callbackz00_2701;
BgL_callbackz00_2701 = BFALSE; 
{ /* Llib/fs.scm 351 */
 obj_t BgL_loopz00_2702;
BgL_loopz00_2702 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 351 */
 obj_t BgL_vectorz00_2703;
BgL_vectorz00_2703 = BFALSE; 
{ /* Llib/fs.scm 351 */

{ /* Llib/fs.scm 351 */
 long BgL_index1433z00_2704;
BgL_index1433z00_2704 = 
BGl_search1430ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1427z00_165), BgL_opt1427z00_165, 
CNST_TABLE_REF(1L), 1L); 
if(
(BgL_index1433z00_2704>=0L))
{ /* Llib/fs.scm 351 */
BgL_callbackz00_2701 = 
VECTOR_REF(BgL_opt1427z00_165,BgL_index1433z00_2704); }  else 
{ /* Llib/fs.scm 351 */BFALSE; } } 
{ /* Llib/fs.scm 351 */
 long BgL_index1434z00_2705;
BgL_index1434z00_2705 = 
BGl_search1430ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1427z00_165), BgL_opt1427z00_165, 
CNST_TABLE_REF(2L), 1L); 
if(
(BgL_index1434z00_2705>=0L))
{ /* Llib/fs.scm 351 */
BgL_loopz00_2702 = 
VECTOR_REF(BgL_opt1427z00_165,BgL_index1434z00_2705); }  else 
{ /* Llib/fs.scm 351 */BFALSE; } } 
{ /* Llib/fs.scm 351 */
 long BgL_index1435z00_2706;
BgL_index1435z00_2706 = 
BGl_search1430ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1427z00_165), BgL_opt1427z00_165, 
CNST_TABLE_REF(9L), 1L); 
if(
(BgL_index1435z00_2706>=0L))
{ /* Llib/fs.scm 351 */
BgL_vectorz00_2703 = 
VECTOR_REF(BgL_opt1427z00_165,BgL_index1435z00_2706); }  else 
{ /* Llib/fs.scm 351 */BFALSE; } } 
{ /* Llib/fs.scm 351 */
 obj_t BgL_arg1894z00_2707;
BgL_arg1894z00_2707 = 
VECTOR_REF(BgL_opt1427z00_165,0L); 
{ /* Llib/fs.scm 351 */
 obj_t BgL_callbackz00_2708;
BgL_callbackz00_2708 = BgL_callbackz00_2701; 
{ /* Llib/fs.scm 351 */
 obj_t BgL_loopz00_2709;
BgL_loopz00_2709 = BgL_loopz00_2702; 
{ /* Llib/fs.scm 351 */
 obj_t BgL_vectorz00_2710;
BgL_vectorz00_2710 = BgL_vectorz00_2703; 
return 
bgl_uv_fs_stat(
BSTRING_TO_STRING(
((obj_t)BgL_arg1894z00_2707)), BgL_callbackz00_2708, BgL_vectorz00_2710, 
((BgL_uvloopz00_bglt)BgL_loopz00_2709));} } } } } } } } } } 

}



/* search1430~0 */
long BGl_search1430ze70ze7zz__libuv_fsz00(long BgL_l1429z00_2338, obj_t BgL_opt1427z00_2337, obj_t BgL_k1z00_1919, long BgL_iz00_1920)
{
{ /* Llib/fs.scm 351 */
BGl_search1430ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1920==BgL_l1429z00_2338))
{ /* Llib/fs.scm 351 */
return -1L;}  else 
{ /* Llib/fs.scm 351 */
 obj_t BgL_vz00_1922;
BgL_vz00_1922 = 
VECTOR_REF(BgL_opt1427z00_2337,BgL_iz00_1920); 
if(
(BgL_vz00_1922==BgL_k1z00_1919))
{ /* Llib/fs.scm 351 */
return 
(BgL_iz00_1920+1L);}  else 
{ 
 long BgL_iz00_4066;
BgL_iz00_4066 = 
(BgL_iz00_1920+2L); 
BgL_iz00_1920 = BgL_iz00_4066; 
goto BGl_search1430ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-stat */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2statz00zz__libuv_fsz00(obj_t BgL_pathz00_161, obj_t BgL_callbackz00_162, obj_t BgL_loopz00_163, obj_t BgL_vectorz00_164)
{
{ /* Llib/fs.scm 351 */
return 
bgl_uv_fs_stat(
BSTRING_TO_STRING(BgL_pathz00_161), BgL_callbackz00_162, BgL_vectorz00_164, 
((BgL_uvloopz00_bglt)BgL_loopz00_163));} 

}



/* _uv-fs-write */
obj_t BGl__uvzd2fszd2writez00zz__libuv_fsz00(obj_t BgL_env1438z00_175, obj_t BgL_opt1437z00_174)
{
{ /* Llib/fs.scm 357 */
{ /* Llib/fs.scm 357 */
 obj_t BgL_g1447z00_2711; obj_t BgL_g1448z00_2712; obj_t BgL_g1449z00_2713;
BgL_g1447z00_2711 = 
VECTOR_REF(BgL_opt1437z00_174,0L); 
BgL_g1448z00_2712 = 
VECTOR_REF(BgL_opt1437z00_174,1L); 
BgL_g1449z00_2713 = 
VECTOR_REF(BgL_opt1437z00_174,2L); 
{ /* Llib/fs.scm 357 */
 obj_t BgL_callbackz00_2714;
BgL_callbackz00_2714 = BFALSE; 
{ /* Llib/fs.scm 359 */
 BgL_uvloopz00_bglt BgL_loopz00_2715;
BgL_loopz00_2715 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 357 */
 obj_t BgL_offsetz00_2716;
BgL_offsetz00_2716 = 
BINT(0L); 
{ /* Llib/fs.scm 357 */
 obj_t BgL_positionz00_2717;
BgL_positionz00_2717 = 
BINT(-1L); 
{ /* Llib/fs.scm 357 */

{ /* Llib/fs.scm 357 */
 long BgL_index1443z00_2718;
BgL_index1443z00_2718 = 
BGl_search1440ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1437z00_174), BgL_opt1437z00_174, 
CNST_TABLE_REF(1L), 3L); 
if(
(BgL_index1443z00_2718>=0L))
{ /* Llib/fs.scm 357 */
BgL_callbackz00_2714 = 
VECTOR_REF(BgL_opt1437z00_174,BgL_index1443z00_2718); }  else 
{ /* Llib/fs.scm 357 */BFALSE; } } 
{ /* Llib/fs.scm 357 */
 long BgL_index1444z00_2719;
BgL_index1444z00_2719 = 
BGl_search1440ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1437z00_174), BgL_opt1437z00_174, 
CNST_TABLE_REF(2L), 3L); 
if(
(BgL_index1444z00_2719>=0L))
{ /* Llib/fs.scm 357 */
BgL_loopz00_2715 = 
((BgL_uvloopz00_bglt)
VECTOR_REF(BgL_opt1437z00_174,BgL_index1444z00_2719)); }  else 
{ /* Llib/fs.scm 357 */BFALSE; } } 
{ /* Llib/fs.scm 357 */
 long BgL_index1445z00_2720;
BgL_index1445z00_2720 = 
BGl_search1440ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1437z00_174), BgL_opt1437z00_174, 
CNST_TABLE_REF(10L), 3L); 
if(
(BgL_index1445z00_2720>=0L))
{ /* Llib/fs.scm 357 */
BgL_offsetz00_2716 = 
VECTOR_REF(BgL_opt1437z00_174,BgL_index1445z00_2720); }  else 
{ /* Llib/fs.scm 357 */BFALSE; } } 
{ /* Llib/fs.scm 357 */
 long BgL_index1446z00_2721;
BgL_index1446z00_2721 = 
BGl_search1440ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1437z00_174), BgL_opt1437z00_174, 
CNST_TABLE_REF(11L), 3L); 
if(
(BgL_index1446z00_2721>=0L))
{ /* Llib/fs.scm 357 */
BgL_positionz00_2717 = 
VECTOR_REF(BgL_opt1437z00_174,BgL_index1446z00_2721); }  else 
{ /* Llib/fs.scm 357 */BFALSE; } } 
{ /* Llib/fs.scm 357 */
 obj_t BgL_arg1901z00_2722; obj_t BgL_arg1902z00_2723; obj_t BgL_arg1903z00_2724;
BgL_arg1901z00_2722 = 
VECTOR_REF(BgL_opt1437z00_174,0L); 
BgL_arg1902z00_2723 = 
VECTOR_REF(BgL_opt1437z00_174,1L); 
BgL_arg1903z00_2724 = 
VECTOR_REF(BgL_opt1437z00_174,2L); 
{ /* Llib/fs.scm 357 */
 obj_t BgL_callbackz00_2725;
BgL_callbackz00_2725 = BgL_callbackz00_2714; 
{ /* Llib/fs.scm 357 */
 BgL_uvloopz00_bglt BgL_loopz00_2726;
BgL_loopz00_2726 = BgL_loopz00_2715; 
{ /* Llib/fs.scm 357 */
 obj_t BgL_offsetz00_2727;
BgL_offsetz00_2727 = BgL_offsetz00_2716; 
{ /* Llib/fs.scm 357 */
 obj_t BgL_positionz00_2728;
BgL_positionz00_2728 = BgL_positionz00_2717; 
{ /* Llib/fs.scm 357 */
 int BgL_lengthz00_2729;
BgL_lengthz00_2729 = 
CINT(BgL_arg1903z00_2724); 
return 
BINT(
bgl_uv_fs_write(
((BgL_uvfilez00_bglt)BgL_arg1901z00_2722), 
((obj_t)BgL_arg1902z00_2723), 
(long)CINT(BgL_offsetz00_2727), 
(long)(BgL_lengthz00_2729), 
BGL_BINT64_TO_INT64(BgL_positionz00_2728), BgL_callbackz00_2725, BgL_loopz00_2726));} } } } } } } } } } } } } 

}



/* search1440~0 */
long BGl_search1440ze70ze7zz__libuv_fsz00(long BgL_l1439z00_2336, obj_t BgL_opt1437z00_2335, obj_t BgL_k1z00_1949, long BgL_iz00_1950)
{
{ /* Llib/fs.scm 357 */
BGl_search1440ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1950==BgL_l1439z00_2336))
{ /* Llib/fs.scm 357 */
return -1L;}  else 
{ /* Llib/fs.scm 357 */
 obj_t BgL_vz00_1952;
BgL_vz00_1952 = 
VECTOR_REF(BgL_opt1437z00_2335,BgL_iz00_1950); 
if(
(BgL_vz00_1952==BgL_k1z00_1949))
{ /* Llib/fs.scm 357 */
return 
(BgL_iz00_1950+1L);}  else 
{ 
 long BgL_iz00_4119;
BgL_iz00_4119 = 
(BgL_iz00_1950+2L); 
BgL_iz00_1950 = BgL_iz00_4119; 
goto BGl_search1440ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-write */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2writez00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_167, obj_t BgL_bufferz00_168, int BgL_lengthz00_169, obj_t BgL_callbackz00_170, BgL_uvloopz00_bglt BgL_loopz00_171, obj_t BgL_offsetz00_172, obj_t BgL_positionz00_173)
{
{ /* Llib/fs.scm 357 */
return 
BINT(
bgl_uv_fs_write(BgL_fdz00_167, BgL_bufferz00_168, 
(long)CINT(BgL_offsetz00_172), 
(long)(BgL_lengthz00_169), 
BGL_BINT64_TO_INT64(BgL_positionz00_173), BgL_callbackz00_170, BgL_loopz00_171));} 

}



/* _uv-fs-write2 */
obj_t BGl__uvzd2fszd2write2z00zz__libuv_fsz00(obj_t BgL_env1451z00_186, obj_t BgL_opt1450z00_185)
{
{ /* Llib/fs.scm 365 */
{ /* Llib/fs.scm 365 */
 obj_t BgL_g1462z00_2730; obj_t BgL_g1463z00_2731; obj_t BgL_g1464z00_2732;
BgL_g1462z00_2730 = 
VECTOR_REF(BgL_opt1450z00_185,0L); 
BgL_g1463z00_2731 = 
VECTOR_REF(BgL_opt1450z00_185,1L); 
BgL_g1464z00_2732 = 
VECTOR_REF(BgL_opt1450z00_185,2L); 
{ /* Llib/fs.scm 365 */
 obj_t BgL_arg0z00_2733;
BgL_arg0z00_2733 = BFALSE; 
{ /* Llib/fs.scm 365 */
 obj_t BgL_arg1z00_2734;
BgL_arg1z00_2734 = BFALSE; 
{ /* Llib/fs.scm 365 */
 obj_t BgL_callbackz00_2735;
BgL_callbackz00_2735 = BFALSE; 
{ /* Llib/fs.scm 367 */
 BgL_uvloopz00_bglt BgL_loopz00_2736;
BgL_loopz00_2736 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 365 */
 obj_t BgL_offsetz00_2737;
BgL_offsetz00_2737 = 
BINT(0L); 
{ /* Llib/fs.scm 365 */
 obj_t BgL_positionz00_2738;
BgL_positionz00_2738 = 
BINT(-1L); 
{ /* Llib/fs.scm 365 */

{ /* Llib/fs.scm 365 */
 long BgL_index1456z00_2739;
BgL_index1456z00_2739 = 
BGl_search1453ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1450z00_185), BgL_opt1450z00_185, 
CNST_TABLE_REF(5L), 3L); 
if(
(BgL_index1456z00_2739>=0L))
{ /* Llib/fs.scm 365 */
BgL_arg0z00_2733 = 
VECTOR_REF(BgL_opt1450z00_185,BgL_index1456z00_2739); }  else 
{ /* Llib/fs.scm 365 */BFALSE; } } 
{ /* Llib/fs.scm 365 */
 long BgL_index1457z00_2740;
BgL_index1457z00_2740 = 
BGl_search1453ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1450z00_185), BgL_opt1450z00_185, 
CNST_TABLE_REF(6L), 3L); 
if(
(BgL_index1457z00_2740>=0L))
{ /* Llib/fs.scm 365 */
BgL_arg1z00_2734 = 
VECTOR_REF(BgL_opt1450z00_185,BgL_index1457z00_2740); }  else 
{ /* Llib/fs.scm 365 */BFALSE; } } 
{ /* Llib/fs.scm 365 */
 long BgL_index1458z00_2741;
BgL_index1458z00_2741 = 
BGl_search1453ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1450z00_185), BgL_opt1450z00_185, 
CNST_TABLE_REF(1L), 3L); 
if(
(BgL_index1458z00_2741>=0L))
{ /* Llib/fs.scm 365 */
BgL_callbackz00_2735 = 
VECTOR_REF(BgL_opt1450z00_185,BgL_index1458z00_2741); }  else 
{ /* Llib/fs.scm 365 */BFALSE; } } 
{ /* Llib/fs.scm 365 */
 long BgL_index1459z00_2742;
BgL_index1459z00_2742 = 
BGl_search1453ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1450z00_185), BgL_opt1450z00_185, 
CNST_TABLE_REF(2L), 3L); 
if(
(BgL_index1459z00_2742>=0L))
{ /* Llib/fs.scm 365 */
BgL_loopz00_2736 = 
((BgL_uvloopz00_bglt)
VECTOR_REF(BgL_opt1450z00_185,BgL_index1459z00_2742)); }  else 
{ /* Llib/fs.scm 365 */BFALSE; } } 
{ /* Llib/fs.scm 365 */
 long BgL_index1460z00_2743;
BgL_index1460z00_2743 = 
BGl_search1453ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1450z00_185), BgL_opt1450z00_185, 
CNST_TABLE_REF(10L), 3L); 
if(
(BgL_index1460z00_2743>=0L))
{ /* Llib/fs.scm 365 */
BgL_offsetz00_2737 = 
VECTOR_REF(BgL_opt1450z00_185,BgL_index1460z00_2743); }  else 
{ /* Llib/fs.scm 365 */BFALSE; } } 
{ /* Llib/fs.scm 365 */
 long BgL_index1461z00_2744;
BgL_index1461z00_2744 = 
BGl_search1453ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1450z00_185), BgL_opt1450z00_185, 
CNST_TABLE_REF(11L), 3L); 
if(
(BgL_index1461z00_2744>=0L))
{ /* Llib/fs.scm 365 */
BgL_positionz00_2738 = 
VECTOR_REF(BgL_opt1450z00_185,BgL_index1461z00_2744); }  else 
{ /* Llib/fs.scm 365 */BFALSE; } } 
{ /* Llib/fs.scm 365 */
 obj_t BgL_arg1912z00_2745; obj_t BgL_arg1913z00_2746; obj_t BgL_arg1914z00_2747;
BgL_arg1912z00_2745 = 
VECTOR_REF(BgL_opt1450z00_185,0L); 
BgL_arg1913z00_2746 = 
VECTOR_REF(BgL_opt1450z00_185,1L); 
BgL_arg1914z00_2747 = 
VECTOR_REF(BgL_opt1450z00_185,2L); 
{ /* Llib/fs.scm 365 */
 obj_t BgL_arg0z00_2748;
BgL_arg0z00_2748 = BgL_arg0z00_2733; 
{ /* Llib/fs.scm 365 */
 obj_t BgL_arg1z00_2749;
BgL_arg1z00_2749 = BgL_arg1z00_2734; 
{ /* Llib/fs.scm 365 */
 obj_t BgL_callbackz00_2750;
BgL_callbackz00_2750 = BgL_callbackz00_2735; 
{ /* Llib/fs.scm 365 */
 BgL_uvloopz00_bglt BgL_loopz00_2751;
BgL_loopz00_2751 = BgL_loopz00_2736; 
{ /* Llib/fs.scm 365 */
 obj_t BgL_offsetz00_2752;
BgL_offsetz00_2752 = BgL_offsetz00_2737; 
{ /* Llib/fs.scm 365 */
 obj_t BgL_positionz00_2753;
BgL_positionz00_2753 = BgL_positionz00_2738; 
{ /* Llib/fs.scm 365 */
 int BgL_lengthz00_2754;
BgL_lengthz00_2754 = 
CINT(BgL_arg1914z00_2747); 
return 
BINT(
bgl_uv_fs_write2(
((BgL_uvfilez00_bglt)BgL_arg1912z00_2745), 
((obj_t)BgL_arg1913z00_2746), 
(long)CINT(BgL_offsetz00_2752), 
(long)(BgL_lengthz00_2754), 
BGL_BINT64_TO_INT64(BgL_positionz00_2753), BgL_callbackz00_2750, BgL_arg0z00_2748, BgL_arg1z00_2749, BgL_loopz00_2751));} } } } } } } } } } } } } } } } } 

}



/* search1453~0 */
long BGl_search1453ze70ze7zz__libuv_fsz00(long BgL_l1452z00_2334, obj_t BgL_opt1450z00_2333, obj_t BgL_k1z00_1991, long BgL_iz00_1992)
{
{ /* Llib/fs.scm 365 */
BGl_search1453ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1992==BgL_l1452z00_2334))
{ /* Llib/fs.scm 365 */
return -1L;}  else 
{ /* Llib/fs.scm 365 */
 obj_t BgL_vz00_1994;
BgL_vz00_1994 = 
VECTOR_REF(BgL_opt1450z00_2333,BgL_iz00_1992); 
if(
(BgL_vz00_1994==BgL_k1z00_1991))
{ /* Llib/fs.scm 365 */
return 
(BgL_iz00_1992+1L);}  else 
{ 
 long BgL_iz00_4186;
BgL_iz00_4186 = 
(BgL_iz00_1992+2L); 
BgL_iz00_1992 = BgL_iz00_4186; 
goto BGl_search1453ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-write2 */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2write2z00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_176, obj_t BgL_bufferz00_177, int BgL_lengthz00_178, obj_t BgL_arg0z00_179, obj_t BgL_arg1z00_180, obj_t BgL_callbackz00_181, BgL_uvloopz00_bglt BgL_loopz00_182, obj_t BgL_offsetz00_183, obj_t BgL_positionz00_184)
{
{ /* Llib/fs.scm 365 */
return 
BINT(
bgl_uv_fs_write2(BgL_fdz00_176, BgL_bufferz00_177, 
(long)CINT(BgL_offsetz00_183), 
(long)(BgL_lengthz00_178), 
BGL_BINT64_TO_INT64(BgL_positionz00_184), BgL_callbackz00_181, BgL_arg0z00_179, BgL_arg1z00_180, BgL_loopz00_182));} 

}



/* _uv-fs-write3 */
obj_t BGl__uvzd2fszd2write3z00zz__libuv_fsz00(obj_t BgL_env1466z00_198, obj_t BgL_opt1465z00_197)
{
{ /* Llib/fs.scm 373 */
{ /* Llib/fs.scm 373 */
 obj_t BgL_g1478z00_2755; obj_t BgL_g1479z00_2756; obj_t BgL_g1480z00_2757;
BgL_g1478z00_2755 = 
VECTOR_REF(BgL_opt1465z00_197,0L); 
BgL_g1479z00_2756 = 
VECTOR_REF(BgL_opt1465z00_197,1L); 
BgL_g1480z00_2757 = 
VECTOR_REF(BgL_opt1465z00_197,2L); 
{ /* Llib/fs.scm 373 */
 obj_t BgL_arg0z00_2758;
BgL_arg0z00_2758 = BFALSE; 
{ /* Llib/fs.scm 373 */
 obj_t BgL_arg1z00_2759;
BgL_arg1z00_2759 = BFALSE; 
{ /* Llib/fs.scm 373 */
 obj_t BgL_arg2z00_2760;
BgL_arg2z00_2760 = BFALSE; 
{ /* Llib/fs.scm 373 */
 obj_t BgL_callbackz00_2761;
BgL_callbackz00_2761 = BFALSE; 
{ /* Llib/fs.scm 375 */
 BgL_uvloopz00_bglt BgL_loopz00_2762;
BgL_loopz00_2762 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 373 */
 obj_t BgL_offsetz00_2763;
BgL_offsetz00_2763 = 
BINT(0L); 
{ /* Llib/fs.scm 373 */
 obj_t BgL_positionz00_2764;
BgL_positionz00_2764 = 
BINT(-1L); 
{ /* Llib/fs.scm 373 */

{ /* Llib/fs.scm 373 */
 long BgL_index1471z00_2765;
BgL_index1471z00_2765 = 
BGl_search1468ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1465z00_197), BgL_opt1465z00_197, 
CNST_TABLE_REF(5L), 3L); 
if(
(BgL_index1471z00_2765>=0L))
{ /* Llib/fs.scm 373 */
BgL_arg0z00_2758 = 
VECTOR_REF(BgL_opt1465z00_197,BgL_index1471z00_2765); }  else 
{ /* Llib/fs.scm 373 */BFALSE; } } 
{ /* Llib/fs.scm 373 */
 long BgL_index1472z00_2766;
BgL_index1472z00_2766 = 
BGl_search1468ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1465z00_197), BgL_opt1465z00_197, 
CNST_TABLE_REF(6L), 3L); 
if(
(BgL_index1472z00_2766>=0L))
{ /* Llib/fs.scm 373 */
BgL_arg1z00_2759 = 
VECTOR_REF(BgL_opt1465z00_197,BgL_index1472z00_2766); }  else 
{ /* Llib/fs.scm 373 */BFALSE; } } 
{ /* Llib/fs.scm 373 */
 long BgL_index1473z00_2767;
BgL_index1473z00_2767 = 
BGl_search1468ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1465z00_197), BgL_opt1465z00_197, 
CNST_TABLE_REF(7L), 3L); 
if(
(BgL_index1473z00_2767>=0L))
{ /* Llib/fs.scm 373 */
BgL_arg2z00_2760 = 
VECTOR_REF(BgL_opt1465z00_197,BgL_index1473z00_2767); }  else 
{ /* Llib/fs.scm 373 */BFALSE; } } 
{ /* Llib/fs.scm 373 */
 long BgL_index1474z00_2768;
BgL_index1474z00_2768 = 
BGl_search1468ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1465z00_197), BgL_opt1465z00_197, 
CNST_TABLE_REF(1L), 3L); 
if(
(BgL_index1474z00_2768>=0L))
{ /* Llib/fs.scm 373 */
BgL_callbackz00_2761 = 
VECTOR_REF(BgL_opt1465z00_197,BgL_index1474z00_2768); }  else 
{ /* Llib/fs.scm 373 */BFALSE; } } 
{ /* Llib/fs.scm 373 */
 long BgL_index1475z00_2769;
BgL_index1475z00_2769 = 
BGl_search1468ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1465z00_197), BgL_opt1465z00_197, 
CNST_TABLE_REF(2L), 3L); 
if(
(BgL_index1475z00_2769>=0L))
{ /* Llib/fs.scm 373 */
BgL_loopz00_2762 = 
((BgL_uvloopz00_bglt)
VECTOR_REF(BgL_opt1465z00_197,BgL_index1475z00_2769)); }  else 
{ /* Llib/fs.scm 373 */BFALSE; } } 
{ /* Llib/fs.scm 373 */
 long BgL_index1476z00_2770;
BgL_index1476z00_2770 = 
BGl_search1468ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1465z00_197), BgL_opt1465z00_197, 
CNST_TABLE_REF(10L), 3L); 
if(
(BgL_index1476z00_2770>=0L))
{ /* Llib/fs.scm 373 */
BgL_offsetz00_2763 = 
VECTOR_REF(BgL_opt1465z00_197,BgL_index1476z00_2770); }  else 
{ /* Llib/fs.scm 373 */BFALSE; } } 
{ /* Llib/fs.scm 373 */
 long BgL_index1477z00_2771;
BgL_index1477z00_2771 = 
BGl_search1468ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1465z00_197), BgL_opt1465z00_197, 
CNST_TABLE_REF(11L), 3L); 
if(
(BgL_index1477z00_2771>=0L))
{ /* Llib/fs.scm 373 */
BgL_positionz00_2764 = 
VECTOR_REF(BgL_opt1465z00_197,BgL_index1477z00_2771); }  else 
{ /* Llib/fs.scm 373 */BFALSE; } } 
{ /* Llib/fs.scm 373 */
 obj_t BgL_arg1924z00_2772; obj_t BgL_arg1925z00_2773; obj_t BgL_arg1926z00_2774;
BgL_arg1924z00_2772 = 
VECTOR_REF(BgL_opt1465z00_197,0L); 
BgL_arg1925z00_2773 = 
VECTOR_REF(BgL_opt1465z00_197,1L); 
BgL_arg1926z00_2774 = 
VECTOR_REF(BgL_opt1465z00_197,2L); 
{ /* Llib/fs.scm 373 */
 obj_t BgL_arg0z00_2775;
BgL_arg0z00_2775 = BgL_arg0z00_2758; 
{ /* Llib/fs.scm 373 */
 obj_t BgL_arg1z00_2776;
BgL_arg1z00_2776 = BgL_arg1z00_2759; 
{ /* Llib/fs.scm 373 */
 obj_t BgL_arg2z00_2777;
BgL_arg2z00_2777 = BgL_arg2z00_2760; 
{ /* Llib/fs.scm 373 */
 obj_t BgL_callbackz00_2778;
BgL_callbackz00_2778 = BgL_callbackz00_2761; 
{ /* Llib/fs.scm 373 */
 BgL_uvloopz00_bglt BgL_loopz00_2779;
BgL_loopz00_2779 = BgL_loopz00_2762; 
{ /* Llib/fs.scm 373 */
 obj_t BgL_offsetz00_2780;
BgL_offsetz00_2780 = BgL_offsetz00_2763; 
{ /* Llib/fs.scm 373 */
 obj_t BgL_positionz00_2781;
BgL_positionz00_2781 = BgL_positionz00_2764; 
{ /* Llib/fs.scm 373 */
 int BgL_lengthz00_2782;
BgL_lengthz00_2782 = 
CINT(BgL_arg1926z00_2774); 
return 
BINT(
bgl_uv_fs_write3(
((BgL_uvfilez00_bglt)BgL_arg1924z00_2772), 
((obj_t)BgL_arg1925z00_2773), 
(long)CINT(BgL_offsetz00_2780), 
(long)(BgL_lengthz00_2782), 
BGL_BINT64_TO_INT64(BgL_positionz00_2781), BgL_callbackz00_2778, BgL_arg0z00_2775, BgL_arg1z00_2776, BgL_arg2z00_2777, BgL_loopz00_2779));} } } } } } } } } } } } } } } } } } } 

}



/* search1468~0 */
long BGl_search1468ze70ze7zz__libuv_fsz00(long BgL_l1467z00_2332, obj_t BgL_opt1465z00_2331, obj_t BgL_k1z00_2043, long BgL_iz00_2044)
{
{ /* Llib/fs.scm 373 */
BGl_search1468ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_2044==BgL_l1467z00_2332))
{ /* Llib/fs.scm 373 */
return -1L;}  else 
{ /* Llib/fs.scm 373 */
 obj_t BgL_vz00_2046;
BgL_vz00_2046 = 
VECTOR_REF(BgL_opt1465z00_2331,BgL_iz00_2044); 
if(
(BgL_vz00_2046==BgL_k1z00_2043))
{ /* Llib/fs.scm 373 */
return 
(BgL_iz00_2044+1L);}  else 
{ 
 long BgL_iz00_4259;
BgL_iz00_4259 = 
(BgL_iz00_2044+2L); 
BgL_iz00_2044 = BgL_iz00_4259; 
goto BGl_search1468ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-write3 */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2write3z00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_187, obj_t BgL_bufferz00_188, int BgL_lengthz00_189, obj_t BgL_arg0z00_190, obj_t BgL_arg1z00_191, obj_t BgL_arg2z00_192, obj_t BgL_callbackz00_193, BgL_uvloopz00_bglt BgL_loopz00_194, obj_t BgL_offsetz00_195, obj_t BgL_positionz00_196)
{
{ /* Llib/fs.scm 373 */
return 
BINT(
bgl_uv_fs_write3(BgL_fdz00_187, BgL_bufferz00_188, 
(long)CINT(BgL_offsetz00_195), 
(long)(BgL_lengthz00_189), 
BGL_BINT64_TO_INT64(BgL_positionz00_196), BgL_callbackz00_193, BgL_arg0z00_190, BgL_arg1z00_191, BgL_arg2z00_192, BgL_loopz00_194));} 

}



/* _uv-fs-read */
obj_t BGl__uvzd2fszd2readz00zz__libuv_fsz00(obj_t BgL_env1482z00_207, obj_t BgL_opt1481z00_206)
{
{ /* Llib/fs.scm 381 */
{ /* Llib/fs.scm 381 */
 obj_t BgL_g1491z00_2783; obj_t BgL_g1492z00_2784; obj_t BgL_g1493z00_2785;
BgL_g1491z00_2783 = 
VECTOR_REF(BgL_opt1481z00_206,0L); 
BgL_g1492z00_2784 = 
VECTOR_REF(BgL_opt1481z00_206,1L); 
BgL_g1493z00_2785 = 
VECTOR_REF(BgL_opt1481z00_206,2L); 
{ /* Llib/fs.scm 381 */
 obj_t BgL_callbackz00_2786;
BgL_callbackz00_2786 = BFALSE; 
{ /* Llib/fs.scm 383 */
 BgL_uvloopz00_bglt BgL_loopz00_2787;
BgL_loopz00_2787 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 381 */
 obj_t BgL_offsetz00_2788;
BgL_offsetz00_2788 = 
BINT(0L); 
{ /* Llib/fs.scm 381 */
 obj_t BgL_positionz00_2789;
BgL_positionz00_2789 = 
BINT(-1L); 
{ /* Llib/fs.scm 381 */

{ /* Llib/fs.scm 381 */
 long BgL_index1487z00_2790;
BgL_index1487z00_2790 = 
BGl_search1484ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1481z00_206), BgL_opt1481z00_206, 
CNST_TABLE_REF(1L), 3L); 
if(
(BgL_index1487z00_2790>=0L))
{ /* Llib/fs.scm 381 */
BgL_callbackz00_2786 = 
VECTOR_REF(BgL_opt1481z00_206,BgL_index1487z00_2790); }  else 
{ /* Llib/fs.scm 381 */BFALSE; } } 
{ /* Llib/fs.scm 381 */
 long BgL_index1488z00_2791;
BgL_index1488z00_2791 = 
BGl_search1484ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1481z00_206), BgL_opt1481z00_206, 
CNST_TABLE_REF(2L), 3L); 
if(
(BgL_index1488z00_2791>=0L))
{ /* Llib/fs.scm 381 */
BgL_loopz00_2787 = 
((BgL_uvloopz00_bglt)
VECTOR_REF(BgL_opt1481z00_206,BgL_index1488z00_2791)); }  else 
{ /* Llib/fs.scm 381 */BFALSE; } } 
{ /* Llib/fs.scm 381 */
 long BgL_index1489z00_2792;
BgL_index1489z00_2792 = 
BGl_search1484ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1481z00_206), BgL_opt1481z00_206, 
CNST_TABLE_REF(10L), 3L); 
if(
(BgL_index1489z00_2792>=0L))
{ /* Llib/fs.scm 381 */
BgL_offsetz00_2788 = 
VECTOR_REF(BgL_opt1481z00_206,BgL_index1489z00_2792); }  else 
{ /* Llib/fs.scm 381 */BFALSE; } } 
{ /* Llib/fs.scm 381 */
 long BgL_index1490z00_2793;
BgL_index1490z00_2793 = 
BGl_search1484ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1481z00_206), BgL_opt1481z00_206, 
CNST_TABLE_REF(11L), 3L); 
if(
(BgL_index1490z00_2793>=0L))
{ /* Llib/fs.scm 381 */
BgL_positionz00_2789 = 
VECTOR_REF(BgL_opt1481z00_206,BgL_index1490z00_2793); }  else 
{ /* Llib/fs.scm 381 */BFALSE; } } 
{ /* Llib/fs.scm 381 */
 obj_t BgL_arg1933z00_2794; obj_t BgL_arg1934z00_2795; obj_t BgL_arg1935z00_2796;
BgL_arg1933z00_2794 = 
VECTOR_REF(BgL_opt1481z00_206,0L); 
BgL_arg1934z00_2795 = 
VECTOR_REF(BgL_opt1481z00_206,1L); 
BgL_arg1935z00_2796 = 
VECTOR_REF(BgL_opt1481z00_206,2L); 
{ /* Llib/fs.scm 381 */
 obj_t BgL_callbackz00_2797;
BgL_callbackz00_2797 = BgL_callbackz00_2786; 
{ /* Llib/fs.scm 381 */
 BgL_uvloopz00_bglt BgL_loopz00_2798;
BgL_loopz00_2798 = BgL_loopz00_2787; 
{ /* Llib/fs.scm 381 */
 obj_t BgL_offsetz00_2799;
BgL_offsetz00_2799 = BgL_offsetz00_2788; 
{ /* Llib/fs.scm 381 */
 obj_t BgL_positionz00_2800;
BgL_positionz00_2800 = BgL_positionz00_2789; 
{ /* Llib/fs.scm 381 */
 int BgL_lengthz00_2801;
BgL_lengthz00_2801 = 
CINT(BgL_arg1935z00_2796); 
return 
BINT(
bgl_uv_fs_read(
((BgL_uvfilez00_bglt)BgL_arg1933z00_2794), 
((obj_t)BgL_arg1934z00_2795), 
(long)CINT(BgL_offsetz00_2799), 
(long)(BgL_lengthz00_2801), 
BGL_BINT64_TO_INT64(BgL_positionz00_2800), BgL_callbackz00_2797, BgL_loopz00_2798));} } } } } } } } } } } } } 

}



/* search1484~0 */
long BGl_search1484ze70ze7zz__libuv_fsz00(long BgL_l1483z00_2330, obj_t BgL_opt1481z00_2329, obj_t BgL_k1z00_2100, long BgL_iz00_2101)
{
{ /* Llib/fs.scm 381 */
BGl_search1484ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_2101==BgL_l1483z00_2330))
{ /* Llib/fs.scm 381 */
return -1L;}  else 
{ /* Llib/fs.scm 381 */
 obj_t BgL_vz00_2103;
BgL_vz00_2103 = 
VECTOR_REF(BgL_opt1481z00_2329,BgL_iz00_2101); 
if(
(BgL_vz00_2103==BgL_k1z00_2100))
{ /* Llib/fs.scm 381 */
return 
(BgL_iz00_2101+1L);}  else 
{ 
 long BgL_iz00_4314;
BgL_iz00_4314 = 
(BgL_iz00_2101+2L); 
BgL_iz00_2101 = BgL_iz00_4314; 
goto BGl_search1484ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-read */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2readz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_199, obj_t BgL_bufferz00_200, int BgL_lengthz00_201, obj_t BgL_callbackz00_202, BgL_uvloopz00_bglt BgL_loopz00_203, obj_t BgL_offsetz00_204, obj_t BgL_positionz00_205)
{
{ /* Llib/fs.scm 381 */
return 
BINT(
bgl_uv_fs_read(BgL_fdz00_199, BgL_bufferz00_200, 
(long)CINT(BgL_offsetz00_204), 
(long)(BgL_lengthz00_201), 
BGL_BINT64_TO_INT64(BgL_positionz00_205), BgL_callbackz00_202, BgL_loopz00_203));} 

}



/* _uv-fs-read2 */
obj_t BGl__uvzd2fszd2read2z00zz__libuv_fsz00(obj_t BgL_env1495z00_218, obj_t BgL_opt1494z00_217)
{
{ /* Llib/fs.scm 389 */
{ /* Llib/fs.scm 389 */
 obj_t BgL_g1506z00_2802; obj_t BgL_g1507z00_2803; obj_t BgL_g1508z00_2804;
BgL_g1506z00_2802 = 
VECTOR_REF(BgL_opt1494z00_217,0L); 
BgL_g1507z00_2803 = 
VECTOR_REF(BgL_opt1494z00_217,1L); 
BgL_g1508z00_2804 = 
VECTOR_REF(BgL_opt1494z00_217,2L); 
{ /* Llib/fs.scm 389 */
 obj_t BgL_arg0z00_2805;
BgL_arg0z00_2805 = BFALSE; 
{ /* Llib/fs.scm 389 */
 obj_t BgL_arg1z00_2806;
BgL_arg1z00_2806 = BFALSE; 
{ /* Llib/fs.scm 389 */
 obj_t BgL_callbackz00_2807;
BgL_callbackz00_2807 = BFALSE; 
{ /* Llib/fs.scm 391 */
 BgL_uvloopz00_bglt BgL_loopz00_2808;
BgL_loopz00_2808 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 389 */
 obj_t BgL_offsetz00_2809;
BgL_offsetz00_2809 = 
BINT(0L); 
{ /* Llib/fs.scm 389 */
 obj_t BgL_positionz00_2810;
BgL_positionz00_2810 = 
BINT(-1L); 
{ /* Llib/fs.scm 389 */

{ /* Llib/fs.scm 389 */
 long BgL_index1500z00_2811;
BgL_index1500z00_2811 = 
BGl_search1497ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1494z00_217), BgL_opt1494z00_217, 
CNST_TABLE_REF(5L), 3L); 
if(
(BgL_index1500z00_2811>=0L))
{ /* Llib/fs.scm 389 */
BgL_arg0z00_2805 = 
VECTOR_REF(BgL_opt1494z00_217,BgL_index1500z00_2811); }  else 
{ /* Llib/fs.scm 389 */BFALSE; } } 
{ /* Llib/fs.scm 389 */
 long BgL_index1501z00_2812;
BgL_index1501z00_2812 = 
BGl_search1497ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1494z00_217), BgL_opt1494z00_217, 
CNST_TABLE_REF(6L), 3L); 
if(
(BgL_index1501z00_2812>=0L))
{ /* Llib/fs.scm 389 */
BgL_arg1z00_2806 = 
VECTOR_REF(BgL_opt1494z00_217,BgL_index1501z00_2812); }  else 
{ /* Llib/fs.scm 389 */BFALSE; } } 
{ /* Llib/fs.scm 389 */
 long BgL_index1502z00_2813;
BgL_index1502z00_2813 = 
BGl_search1497ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1494z00_217), BgL_opt1494z00_217, 
CNST_TABLE_REF(1L), 3L); 
if(
(BgL_index1502z00_2813>=0L))
{ /* Llib/fs.scm 389 */
BgL_callbackz00_2807 = 
VECTOR_REF(BgL_opt1494z00_217,BgL_index1502z00_2813); }  else 
{ /* Llib/fs.scm 389 */BFALSE; } } 
{ /* Llib/fs.scm 389 */
 long BgL_index1503z00_2814;
BgL_index1503z00_2814 = 
BGl_search1497ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1494z00_217), BgL_opt1494z00_217, 
CNST_TABLE_REF(2L), 3L); 
if(
(BgL_index1503z00_2814>=0L))
{ /* Llib/fs.scm 389 */
BgL_loopz00_2808 = 
((BgL_uvloopz00_bglt)
VECTOR_REF(BgL_opt1494z00_217,BgL_index1503z00_2814)); }  else 
{ /* Llib/fs.scm 389 */BFALSE; } } 
{ /* Llib/fs.scm 389 */
 long BgL_index1504z00_2815;
BgL_index1504z00_2815 = 
BGl_search1497ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1494z00_217), BgL_opt1494z00_217, 
CNST_TABLE_REF(10L), 3L); 
if(
(BgL_index1504z00_2815>=0L))
{ /* Llib/fs.scm 389 */
BgL_offsetz00_2809 = 
VECTOR_REF(BgL_opt1494z00_217,BgL_index1504z00_2815); }  else 
{ /* Llib/fs.scm 389 */BFALSE; } } 
{ /* Llib/fs.scm 389 */
 long BgL_index1505z00_2816;
BgL_index1505z00_2816 = 
BGl_search1497ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1494z00_217), BgL_opt1494z00_217, 
CNST_TABLE_REF(11L), 3L); 
if(
(BgL_index1505z00_2816>=0L))
{ /* Llib/fs.scm 389 */
BgL_positionz00_2810 = 
VECTOR_REF(BgL_opt1494z00_217,BgL_index1505z00_2816); }  else 
{ /* Llib/fs.scm 389 */BFALSE; } } 
{ /* Llib/fs.scm 389 */
 obj_t BgL_arg1944z00_2817; obj_t BgL_arg1945z00_2818; obj_t BgL_arg1946z00_2819;
BgL_arg1944z00_2817 = 
VECTOR_REF(BgL_opt1494z00_217,0L); 
BgL_arg1945z00_2818 = 
VECTOR_REF(BgL_opt1494z00_217,1L); 
BgL_arg1946z00_2819 = 
VECTOR_REF(BgL_opt1494z00_217,2L); 
{ /* Llib/fs.scm 389 */
 obj_t BgL_arg0z00_2820;
BgL_arg0z00_2820 = BgL_arg0z00_2805; 
{ /* Llib/fs.scm 389 */
 obj_t BgL_arg1z00_2821;
BgL_arg1z00_2821 = BgL_arg1z00_2806; 
{ /* Llib/fs.scm 389 */
 obj_t BgL_callbackz00_2822;
BgL_callbackz00_2822 = BgL_callbackz00_2807; 
{ /* Llib/fs.scm 389 */
 BgL_uvloopz00_bglt BgL_loopz00_2823;
BgL_loopz00_2823 = BgL_loopz00_2808; 
{ /* Llib/fs.scm 389 */
 obj_t BgL_offsetz00_2824;
BgL_offsetz00_2824 = BgL_offsetz00_2809; 
{ /* Llib/fs.scm 389 */
 obj_t BgL_positionz00_2825;
BgL_positionz00_2825 = BgL_positionz00_2810; 
{ /* Llib/fs.scm 389 */
 int BgL_lengthz00_2826;
BgL_lengthz00_2826 = 
CINT(BgL_arg1946z00_2819); 
return 
BINT(
bgl_uv_fs_read2(
((BgL_uvfilez00_bglt)BgL_arg1944z00_2817), 
((obj_t)BgL_arg1945z00_2818), 
(long)CINT(BgL_offsetz00_2824), 
(long)(BgL_lengthz00_2826), 
BGL_BINT64_TO_INT64(BgL_positionz00_2825), BgL_callbackz00_2822, BgL_arg0z00_2820, BgL_arg1z00_2821, BgL_loopz00_2823));} } } } } } } } } } } } } } } } } 

}



/* search1497~0 */
long BGl_search1497ze70ze7zz__libuv_fsz00(long BgL_l1496z00_2328, obj_t BgL_opt1494z00_2327, obj_t BgL_k1z00_2142, long BgL_iz00_2143)
{
{ /* Llib/fs.scm 389 */
BGl_search1497ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_2143==BgL_l1496z00_2328))
{ /* Llib/fs.scm 389 */
return -1L;}  else 
{ /* Llib/fs.scm 389 */
 obj_t BgL_vz00_2145;
BgL_vz00_2145 = 
VECTOR_REF(BgL_opt1494z00_2327,BgL_iz00_2143); 
if(
(BgL_vz00_2145==BgL_k1z00_2142))
{ /* Llib/fs.scm 389 */
return 
(BgL_iz00_2143+1L);}  else 
{ 
 long BgL_iz00_4381;
BgL_iz00_4381 = 
(BgL_iz00_2143+2L); 
BgL_iz00_2143 = BgL_iz00_4381; 
goto BGl_search1497ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-read2 */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2read2z00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_208, obj_t BgL_bufferz00_209, int BgL_lengthz00_210, obj_t BgL_arg0z00_211, obj_t BgL_arg1z00_212, obj_t BgL_callbackz00_213, BgL_uvloopz00_bglt BgL_loopz00_214, obj_t BgL_offsetz00_215, obj_t BgL_positionz00_216)
{
{ /* Llib/fs.scm 389 */
return 
BINT(
bgl_uv_fs_read2(BgL_fdz00_208, BgL_bufferz00_209, 
(long)CINT(BgL_offsetz00_215), 
(long)(BgL_lengthz00_210), 
BGL_BINT64_TO_INT64(BgL_positionz00_216), BgL_callbackz00_213, BgL_arg0z00_211, BgL_arg1z00_212, BgL_loopz00_214));} 

}



/* _uv-fs-read3 */
obj_t BGl__uvzd2fszd2read3z00zz__libuv_fsz00(obj_t BgL_env1510z00_230, obj_t BgL_opt1509z00_229)
{
{ /* Llib/fs.scm 397 */
{ /* Llib/fs.scm 397 */
 obj_t BgL_g1522z00_2827; obj_t BgL_g1523z00_2828; obj_t BgL_g1524z00_2829;
BgL_g1522z00_2827 = 
VECTOR_REF(BgL_opt1509z00_229,0L); 
BgL_g1523z00_2828 = 
VECTOR_REF(BgL_opt1509z00_229,1L); 
BgL_g1524z00_2829 = 
VECTOR_REF(BgL_opt1509z00_229,2L); 
{ /* Llib/fs.scm 397 */
 obj_t BgL_arg0z00_2830;
BgL_arg0z00_2830 = BFALSE; 
{ /* Llib/fs.scm 397 */
 obj_t BgL_arg1z00_2831;
BgL_arg1z00_2831 = BFALSE; 
{ /* Llib/fs.scm 397 */
 obj_t BgL_arg2z00_2832;
BgL_arg2z00_2832 = BFALSE; 
{ /* Llib/fs.scm 397 */
 obj_t BgL_callbackz00_2833;
BgL_callbackz00_2833 = BFALSE; 
{ /* Llib/fs.scm 399 */
 BgL_uvloopz00_bglt BgL_loopz00_2834;
BgL_loopz00_2834 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 397 */
 obj_t BgL_offsetz00_2835;
BgL_offsetz00_2835 = 
BINT(0L); 
{ /* Llib/fs.scm 397 */
 obj_t BgL_positionz00_2836;
BgL_positionz00_2836 = 
BINT(-1L); 
{ /* Llib/fs.scm 397 */

{ /* Llib/fs.scm 397 */
 long BgL_index1515z00_2837;
BgL_index1515z00_2837 = 
BGl_search1512ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1509z00_229), BgL_opt1509z00_229, 
CNST_TABLE_REF(5L), 3L); 
if(
(BgL_index1515z00_2837>=0L))
{ /* Llib/fs.scm 397 */
BgL_arg0z00_2830 = 
VECTOR_REF(BgL_opt1509z00_229,BgL_index1515z00_2837); }  else 
{ /* Llib/fs.scm 397 */BFALSE; } } 
{ /* Llib/fs.scm 397 */
 long BgL_index1516z00_2838;
BgL_index1516z00_2838 = 
BGl_search1512ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1509z00_229), BgL_opt1509z00_229, 
CNST_TABLE_REF(6L), 3L); 
if(
(BgL_index1516z00_2838>=0L))
{ /* Llib/fs.scm 397 */
BgL_arg1z00_2831 = 
VECTOR_REF(BgL_opt1509z00_229,BgL_index1516z00_2838); }  else 
{ /* Llib/fs.scm 397 */BFALSE; } } 
{ /* Llib/fs.scm 397 */
 long BgL_index1517z00_2839;
BgL_index1517z00_2839 = 
BGl_search1512ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1509z00_229), BgL_opt1509z00_229, 
CNST_TABLE_REF(7L), 3L); 
if(
(BgL_index1517z00_2839>=0L))
{ /* Llib/fs.scm 397 */
BgL_arg2z00_2832 = 
VECTOR_REF(BgL_opt1509z00_229,BgL_index1517z00_2839); }  else 
{ /* Llib/fs.scm 397 */BFALSE; } } 
{ /* Llib/fs.scm 397 */
 long BgL_index1518z00_2840;
BgL_index1518z00_2840 = 
BGl_search1512ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1509z00_229), BgL_opt1509z00_229, 
CNST_TABLE_REF(1L), 3L); 
if(
(BgL_index1518z00_2840>=0L))
{ /* Llib/fs.scm 397 */
BgL_callbackz00_2833 = 
VECTOR_REF(BgL_opt1509z00_229,BgL_index1518z00_2840); }  else 
{ /* Llib/fs.scm 397 */BFALSE; } } 
{ /* Llib/fs.scm 397 */
 long BgL_index1519z00_2841;
BgL_index1519z00_2841 = 
BGl_search1512ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1509z00_229), BgL_opt1509z00_229, 
CNST_TABLE_REF(2L), 3L); 
if(
(BgL_index1519z00_2841>=0L))
{ /* Llib/fs.scm 397 */
BgL_loopz00_2834 = 
((BgL_uvloopz00_bglt)
VECTOR_REF(BgL_opt1509z00_229,BgL_index1519z00_2841)); }  else 
{ /* Llib/fs.scm 397 */BFALSE; } } 
{ /* Llib/fs.scm 397 */
 long BgL_index1520z00_2842;
BgL_index1520z00_2842 = 
BGl_search1512ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1509z00_229), BgL_opt1509z00_229, 
CNST_TABLE_REF(10L), 3L); 
if(
(BgL_index1520z00_2842>=0L))
{ /* Llib/fs.scm 397 */
BgL_offsetz00_2835 = 
VECTOR_REF(BgL_opt1509z00_229,BgL_index1520z00_2842); }  else 
{ /* Llib/fs.scm 397 */BFALSE; } } 
{ /* Llib/fs.scm 397 */
 long BgL_index1521z00_2843;
BgL_index1521z00_2843 = 
BGl_search1512ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(BgL_opt1509z00_229), BgL_opt1509z00_229, 
CNST_TABLE_REF(11L), 3L); 
if(
(BgL_index1521z00_2843>=0L))
{ /* Llib/fs.scm 397 */
BgL_positionz00_2836 = 
VECTOR_REF(BgL_opt1509z00_229,BgL_index1521z00_2843); }  else 
{ /* Llib/fs.scm 397 */BFALSE; } } 
{ /* Llib/fs.scm 397 */
 obj_t BgL_arg1956z00_2844; obj_t BgL_arg1957z00_2845; obj_t BgL_arg1958z00_2846;
BgL_arg1956z00_2844 = 
VECTOR_REF(BgL_opt1509z00_229,0L); 
BgL_arg1957z00_2845 = 
VECTOR_REF(BgL_opt1509z00_229,1L); 
BgL_arg1958z00_2846 = 
VECTOR_REF(BgL_opt1509z00_229,2L); 
{ /* Llib/fs.scm 397 */
 obj_t BgL_arg0z00_2847;
BgL_arg0z00_2847 = BgL_arg0z00_2830; 
{ /* Llib/fs.scm 397 */
 obj_t BgL_arg1z00_2848;
BgL_arg1z00_2848 = BgL_arg1z00_2831; 
{ /* Llib/fs.scm 397 */
 obj_t BgL_arg2z00_2849;
BgL_arg2z00_2849 = BgL_arg2z00_2832; 
{ /* Llib/fs.scm 397 */
 obj_t BgL_callbackz00_2850;
BgL_callbackz00_2850 = BgL_callbackz00_2833; 
{ /* Llib/fs.scm 397 */
 BgL_uvloopz00_bglt BgL_loopz00_2851;
BgL_loopz00_2851 = BgL_loopz00_2834; 
{ /* Llib/fs.scm 397 */
 obj_t BgL_offsetz00_2852;
BgL_offsetz00_2852 = BgL_offsetz00_2835; 
{ /* Llib/fs.scm 397 */
 obj_t BgL_positionz00_2853;
BgL_positionz00_2853 = BgL_positionz00_2836; 
{ /* Llib/fs.scm 397 */
 int BgL_lengthz00_2854;
BgL_lengthz00_2854 = 
CINT(BgL_arg1958z00_2846); 
return 
BINT(
bgl_uv_fs_read3(
((BgL_uvfilez00_bglt)BgL_arg1956z00_2844), 
((obj_t)BgL_arg1957z00_2845), 
(long)CINT(BgL_offsetz00_2852), 
(long)(BgL_lengthz00_2854), 
BGL_BINT64_TO_INT64(BgL_positionz00_2853), BgL_callbackz00_2850, BgL_arg0z00_2847, BgL_arg1z00_2848, BgL_arg2z00_2849, BgL_loopz00_2851));} } } } } } } } } } } } } } } } } } } 

}



/* search1512~0 */
long BGl_search1512ze70ze7zz__libuv_fsz00(long BgL_l1511z00_2326, obj_t BgL_opt1509z00_2325, obj_t BgL_k1z00_2194, long BgL_iz00_2195)
{
{ /* Llib/fs.scm 397 */
BGl_search1512ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_2195==BgL_l1511z00_2326))
{ /* Llib/fs.scm 397 */
return -1L;}  else 
{ /* Llib/fs.scm 397 */
 obj_t BgL_vz00_2197;
BgL_vz00_2197 = 
VECTOR_REF(BgL_opt1509z00_2325,BgL_iz00_2195); 
if(
(BgL_vz00_2197==BgL_k1z00_2194))
{ /* Llib/fs.scm 397 */
return 
(BgL_iz00_2195+1L);}  else 
{ 
 long BgL_iz00_4454;
BgL_iz00_4454 = 
(BgL_iz00_2195+2L); 
BgL_iz00_2195 = BgL_iz00_4454; 
goto BGl_search1512ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-read3 */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2read3z00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_219, obj_t BgL_bufferz00_220, int BgL_lengthz00_221, obj_t BgL_arg0z00_222, obj_t BgL_arg1z00_223, obj_t BgL_arg2z00_224, obj_t BgL_callbackz00_225, BgL_uvloopz00_bglt BgL_loopz00_226, obj_t BgL_offsetz00_227, obj_t BgL_positionz00_228)
{
{ /* Llib/fs.scm 397 */
return 
BINT(
bgl_uv_fs_read3(BgL_fdz00_219, BgL_bufferz00_220, 
(long)CINT(BgL_offsetz00_227), 
(long)(BgL_lengthz00_221), 
BGL_BINT64_TO_INT64(BgL_positionz00_228), BgL_callbackz00_225, BgL_arg0z00_222, BgL_arg1z00_223, BgL_arg2z00_224, BgL_loopz00_226));} 

}



/* uv-fs-flags */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(obj_t BgL_flagz00_231)
{
{ /* Llib/fs.scm 405 */
if(
(BgL_flagz00_231==
CNST_TABLE_REF(12L)))
{ /* Llib/fs.scm 406 */
return 
(int)(BGl_O_RDONLYz00zz__libuv_fsz00);}  else 
{ /* Llib/fs.scm 406 */
if(
(BgL_flagz00_231==
CNST_TABLE_REF(13L)))
{ /* Llib/fs.scm 408 */
 long BgL_xz00_2251; long BgL_yz00_2252;
BgL_xz00_2251 = BGl_O_RDONLYz00zz__libuv_fsz00; 
BgL_yz00_2252 = BGl_O_SYNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2251 | BgL_yz00_2252));}  else 
{ /* Llib/fs.scm 406 */
if(
(BgL_flagz00_231==
CNST_TABLE_REF(14L)))
{ /* Llib/fs.scm 409 */
 long BgL_xz00_2254; long BgL_yz00_2255;
BgL_xz00_2254 = BGl_O_RDWRz00zz__libuv_fsz00; 
BgL_yz00_2255 = BGl_O_SYNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2254 | BgL_yz00_2255));}  else 
{ /* Llib/fs.scm 406 */
if(
(BgL_flagz00_231==
CNST_TABLE_REF(15L)))
{ /* Llib/fs.scm 410 */
 long BgL_xz00_2259;
BgL_xz00_2259 = BGl_O_TRUNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2259 | 
(BGl_O_CREATz00zz__libuv_fsz00 | BGl_O_WRONLYz00zz__libuv_fsz00)));}  else 
{ /* Llib/fs.scm 406 */
 bool_t BgL_test2241z00_4481;
{ /* Llib/fs.scm 406 */
 bool_t BgL__ortest_1129z00_1060;
BgL__ortest_1129z00_1060 = 
(BgL_flagz00_231==
CNST_TABLE_REF(16L)); 
if(BgL__ortest_1129z00_1060)
{ /* Llib/fs.scm 406 */
BgL_test2241z00_4481 = BgL__ortest_1129z00_1060
; }  else 
{ /* Llib/fs.scm 406 */
BgL_test2241z00_4481 = 
(BgL_flagz00_231==
CNST_TABLE_REF(17L))
; } } 
if(BgL_test2241z00_4481)
{ /* Llib/fs.scm 411 */
 long BgL_arg1967z00_1037;
{ /* Llib/fs.scm 411 */
 long BgL_xz00_2263;
BgL_xz00_2263 = BGl_O_CREATz00zz__libuv_fsz00; 
BgL_arg1967z00_1037 = 
(BgL_xz00_2263 | 
(BGl_O_WRONLYz00zz__libuv_fsz00 | BGl_O_EXCLz00zz__libuv_fsz00)); } 
{ /* Llib/fs.scm 411 */
 long BgL_xz00_2265;
BgL_xz00_2265 = BGl_O_TRUNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2265 | BgL_arg1967z00_1037));} }  else 
{ /* Llib/fs.scm 406 */
if(
(BgL_flagz00_231==
CNST_TABLE_REF(18L)))
{ /* Llib/fs.scm 412 */
 long BgL_xz00_2270;
BgL_xz00_2270 = BGl_O_TRUNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2270 | 
(BGl_O_CREATz00zz__libuv_fsz00 | BGl_O_RDWRz00zz__libuv_fsz00)));}  else 
{ /* Llib/fs.scm 406 */
 bool_t BgL_test2244z00_4497;
{ /* Llib/fs.scm 406 */
 bool_t BgL__ortest_1130z00_1059;
BgL__ortest_1130z00_1059 = 
(BgL_flagz00_231==
CNST_TABLE_REF(19L)); 
if(BgL__ortest_1130z00_1059)
{ /* Llib/fs.scm 406 */
BgL_test2244z00_4497 = BgL__ortest_1130z00_1059
; }  else 
{ /* Llib/fs.scm 406 */
BgL_test2244z00_4497 = 
(BgL_flagz00_231==
CNST_TABLE_REF(20L))
; } } 
if(BgL_test2244z00_4497)
{ /* Llib/fs.scm 413 */
 long BgL_arg1972z00_1043;
{ /* Llib/fs.scm 413 */
 long BgL_xz00_2274;
BgL_xz00_2274 = BGl_O_CREATz00zz__libuv_fsz00; 
BgL_arg1972z00_1043 = 
(BgL_xz00_2274 | 
(BGl_O_RDWRz00zz__libuv_fsz00 | BGl_O_EXCLz00zz__libuv_fsz00)); } 
{ /* Llib/fs.scm 413 */
 long BgL_xz00_2276;
BgL_xz00_2276 = BGl_O_TRUNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2276 | BgL_arg1972z00_1043));} }  else 
{ /* Llib/fs.scm 406 */
if(
(BgL_flagz00_231==
CNST_TABLE_REF(3L)))
{ /* Llib/fs.scm 414 */
 long BgL_xz00_2281;
BgL_xz00_2281 = BGl_O_APPENDz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2281 | 
(BGl_O_CREATz00zz__libuv_fsz00 | BGl_O_WRONLYz00zz__libuv_fsz00)));}  else 
{ /* Llib/fs.scm 406 */
 bool_t BgL_test2247z00_4513;
{ /* Llib/fs.scm 406 */
 bool_t BgL__ortest_1131z00_1058;
BgL__ortest_1131z00_1058 = 
(BgL_flagz00_231==
CNST_TABLE_REF(21L)); 
if(BgL__ortest_1131z00_1058)
{ /* Llib/fs.scm 406 */
BgL_test2247z00_4513 = BgL__ortest_1131z00_1058
; }  else 
{ /* Llib/fs.scm 406 */
BgL_test2247z00_4513 = 
(BgL_flagz00_231==
CNST_TABLE_REF(22L))
; } } 
if(BgL_test2247z00_4513)
{ /* Llib/fs.scm 415 */
 long BgL_arg1977z00_1049;
{ /* Llib/fs.scm 415 */
 long BgL_xz00_2285;
BgL_xz00_2285 = BGl_O_CREATz00zz__libuv_fsz00; 
BgL_arg1977z00_1049 = 
(BgL_xz00_2285 | 
(BGl_O_WRONLYz00zz__libuv_fsz00 | BGl_O_EXCLz00zz__libuv_fsz00)); } 
{ /* Llib/fs.scm 415 */
 long BgL_xz00_2287;
BgL_xz00_2287 = BGl_O_APPENDz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2287 | BgL_arg1977z00_1049));} }  else 
{ /* Llib/fs.scm 406 */
if(
(BgL_flagz00_231==
CNST_TABLE_REF(23L)))
{ /* Llib/fs.scm 416 */
 long BgL_xz00_2292;
BgL_xz00_2292 = BGl_O_APPENDz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2292 | 
(BGl_O_CREATz00zz__libuv_fsz00 | BGl_O_RDWRz00zz__libuv_fsz00)));}  else 
{ /* Llib/fs.scm 406 */
 bool_t BgL_test2250z00_4529;
{ /* Llib/fs.scm 406 */
 bool_t BgL__ortest_1132z00_1057;
BgL__ortest_1132z00_1057 = 
(BgL_flagz00_231==
CNST_TABLE_REF(24L)); 
if(BgL__ortest_1132z00_1057)
{ /* Llib/fs.scm 406 */
BgL_test2250z00_4529 = BgL__ortest_1132z00_1057
; }  else 
{ /* Llib/fs.scm 406 */
BgL_test2250z00_4529 = 
(BgL_flagz00_231==
CNST_TABLE_REF(25L))
; } } 
if(BgL_test2250z00_4529)
{ /* Llib/fs.scm 417 */
 long BgL_arg1982z00_1055;
{ /* Llib/fs.scm 417 */
 long BgL_xz00_2296;
BgL_xz00_2296 = BGl_O_CREATz00zz__libuv_fsz00; 
BgL_arg1982z00_1055 = 
(BgL_xz00_2296 | 
(BGl_O_RDWRz00zz__libuv_fsz00 | BGl_O_EXCLz00zz__libuv_fsz00)); } 
{ /* Llib/fs.scm 417 */
 long BgL_xz00_2298;
BgL_xz00_2298 = BGl_O_APPENDz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2298 | BgL_arg1982z00_1055));} }  else 
{ /* Llib/fs.scm 406 */
return 
CINT(
BGl_errorz00zz__errorz00(BGl_string1994z00zz__libuv_fsz00, BGl_string1995z00zz__libuv_fsz00, BgL_flagz00_231));} } } } } } } } } } } } 

}



/* &uv-fs-flags */
obj_t BGl_z62uvzd2fszd2flagsz62zz__libuv_fsz00(obj_t BgL_envz00_2323, obj_t BgL_flagz00_2324)
{
{ /* Llib/fs.scm 405 */
return 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_flagz00_2324));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
BGl_modulezd2initializa7ationz75zz__libuv_typesz00(129964225L, 
BSTRING_TO_STRING(BGl_string1996z00zz__libuv_fsz00)); 
return 
BGl_modulezd2initializa7ationz75zz__libuv_loopz00(516475009L, 
BSTRING_TO_STRING(BGl_string1996z00zz__libuv_fsz00));} 

}

#ifdef __cplusplus
}
#endif
