/*===========================================================================*/
/*   (Llib/uvtypes.scm)                                                      */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/uvtypes.scm -o objs/uvtypes.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___LIBUV_TYPES_TYPE_DEFINITIONS
#define BGL___LIBUV_TYPES_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_z52uvz52_bgl {
   header_t header;
   obj_t widening;
} *BgL_z52uvz52_bglt;

typedef struct BgL_uvhandlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
} *BgL_uvhandlez00_bglt;

typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvwatcherz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
} *BgL_uvwatcherz00_bglt;

typedef struct BgL_uvstreamz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   void * BgL_z52dataz52;
} *BgL_uvstreamz00_bglt;

typedef struct BgL_uvtcpz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   void * BgL_z52dataz52;
} *BgL_uvtcpz00_bglt;

typedef struct BgL_uvudpz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   void * BgL_z52dataz52;
   obj_t BgL_z52procmz52;
} *BgL_uvudpz00_bglt;

typedef struct BgL_uvpipez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   void * BgL_z52dataz52;
   bool_t BgL_ipcz00;
} *BgL_uvpipez00_bglt;

typedef struct BgL_uvttyz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   void * BgL_z52dataz52;
   int BgL_fdz00;
   bool_t BgL_readablez00;
} *BgL_uvttyz00_bglt;

typedef struct BgL_uvtimerz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
   uint64_t BgL_repeatz00;
   bool_t BgL_refz00;
} *BgL_uvtimerz00_bglt;

typedef struct BgL_uvidlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
} *BgL_uvidlez00_bglt;

typedef struct BgL_uvasyncz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
} *BgL_uvasyncz00_bglt;

typedef struct BgL_uvpollz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
   int BgL_fdz00;
} *BgL_uvpollz00_bglt;

typedef struct BgL_uvfilez00_bgl {
   header_t header;
   obj_t widening;
   int BgL_fdz00;
   obj_t BgL_pathz00;
} *BgL_uvfilez00_bglt;

typedef struct BgL_uvfseventz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
} *BgL_uvfseventz00_bglt;

typedef struct BgL_uvfspollz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
} *BgL_uvfspollz00_bglt;

typedef struct BgL_uvcheckz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
} *BgL_uvcheckz00_bglt;

typedef struct BgL_uvprocessz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   obj_t BgL_z42onexitz42;
} *BgL_uvprocessz00_bglt;

typedef struct BgL_uvprocessoptionsz00_bgl {
   header_t header;
   obj_t widening;
   uv_process_options_t * BgL_z42builtinz42;
} *BgL_uvprocessoptionsz00_bglt;

typedef struct BgL_uvworkz00_bgl {
   header_t header;
   obj_t widening;
   uv_work_t * BgL_z42builtinz42;
   obj_t BgL_z52workzd2cbz80;
   obj_t BgL_z52afterzd2cbz80;
} *BgL_uvworkz00_bglt;


#endif // BGL___LIBUV_TYPES_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static BgL_uvhandlez00_bglt BGl_z62lambda1684z62zz__libuv_typesz00(obj_t);
static BgL_uvstreamz00_bglt BGl_z62lambda1846z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvstreamz00_bglt BGl_z62lambda1849z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62uvzd2strerrorzb0zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_uv_pop_gcmark(BgL_uvhandlez00_bglt, obj_t);
static obj_t BGl_z62lambda1930z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1931z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52uvzd2initze2zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31757ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31919ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvloopz00_bglt BGl_z62lambda1855z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1856z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvtimerz00_bglt BGl_z62lambda1937z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1778z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1779z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32100ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31863ze3ze5zz__libuv_typesz00(obj_t);
static BgL_uvtimerz00_bglt BGl_z62lambda1940z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1861z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1862z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1947z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1948z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL char * BGl_uvzd2versionzd2zz__libuv_typesz00(void);
static BgL_uvtcpz00_bglt BGl_z62lambda1869z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32004ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_uv_handle_type_symbol(int);
BGL_EXPORTED_DECL obj_t bgl_uv_guess_handle(int);
static BgL_uvtcpz00_bglt BGl_z62lambda1872z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1954z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1955z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2guesszd2handlez62zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza32110ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvTtyz00zz__libuv_typesz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static BgL_uvudpz00_bglt BGl_z62lambda1880z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvidlez00_bglt BGl_z62lambda1962z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvudpz00_bglt BGl_z62lambda1883z62zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvFsPollz00zz__libuv_typesz00 = BUNSPEC;
static BgL_uvidlez00_bglt BGl_z62lambda1965z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62z52uvzd2init1340ze2zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2versionzb0zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvFsEventz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__libuv_typesz00(void);
static obj_t BGl_z62zc3z04anonymousza31874ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1890z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1891z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvasyncz00_bglt BGl_z62lambda1973z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_uvzd2gcmarkszd2emptyzf3zf3zz__libuv_typesz00(BgL_uvhandlez00_bglt);
static BgL_uvasyncz00_bglt BGl_z62lambda1976z62zz__libuv_typesz00(obj_t);
static BgL_uvpipez00_bglt BGl_z62lambda1898z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32120ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32104ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31956ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31689ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvpollz00_bglt BGl_z62lambda1984z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__libuv_typesz00(void);
static BgL_uvpollz00_bglt BGl_z62lambda1987z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32105ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31892ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__libuv_typesz00(void);
static obj_t BGl_z62zc3z04anonymousza31949ze3ze5zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2pushzd2gcmarkz12z12zz__libuv_typesz00(BgL_uvhandlez00_bglt, obj_t, obj_t);
static obj_t BGl_z62uvzd2handlezd2typezd2symbolzb0zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1993z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1994z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2pushzd2gcmarkz12z70zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t);
extern void bgl_uv_process_options_args_set(uv_process_options_t *, obj_t);
static obj_t BGl_z62zc3z04anonymousza32130ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32114ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32025ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvIdlez00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32212ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32115ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31967ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2idzd2zz__libuv_typesz00(BgL_uvhandlez00_bglt);
BGL_EXPORTED_DEF obj_t BGl_UvFilez00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32124ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvHandlez00zz__libuv_typesz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00(void);
BGL_EXPORTED_DEF obj_t BGl_UvAsyncz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32125ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32036ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32109ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52uvzd2initz80zz__libuv_typesz00(BgL_z52uvz52_bglt);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__libuv_typesz00(void);
BGL_EXPORTED_DEF obj_t BGl_UvLoopz00zz__libuv_typesz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_classzd2fieldzd2namez00zz__objectz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvPipez00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31978ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32070ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32135ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32119ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2idzb0zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32047ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
static BgL_uvfilez00_bglt BGl_z62lambda2000z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvfilez00_bglt BGl_z62lambda2002z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32145ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2008z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32129ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2009z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31989ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2013z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2014z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvWorkz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32065ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32138ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32219ze3ze5zz__libuv_typesz00(obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
BGL_IMPORT bool_t BGl_nilzf3zf3zz__objectz00(BgL_objectz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_UvProcessz00zz__libuv_typesz00 = BUNSPEC;
static BgL_uvfseventz00_bglt BGl_z62lambda2020z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvfseventz00_bglt BGl_z62lambda2023z62zz__libuv_typesz00(obj_t);
extern obj_t bgl_uv_process_options_args_get(uv_process_options_t *);
static obj_t BGl_z62zc3z04anonymousza32074ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32155ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32058ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvStreamz00zz__libuv_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_UvWatcherz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62uvzd2gcmarkszd2emptyzf3z91zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
extern obj_t bgl_uv_process_options_env_get(uv_process_options_t *);
static BgL_uvfspollz00_bglt BGl_z62lambda2031z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvfspollz00_bglt BGl_z62lambda2034z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32148ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvTcpz00zz__libuv_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_UvProcessOptionsz00zz__libuv_typesz00 = BUNSPEC;
static BgL_uvcheckz00_bglt BGl_z62lambda2042z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32165ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvcheckz00_bglt BGl_z62lambda2045z62zz__libuv_typesz00(obj_t);
static BgL_uvworkz00_bglt BGl_z62lambda2207z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static BgL_uvworkz00_bglt BGl_z62lambda2210z62zz__libuv_typesz00(obj_t);
static BgL_uvprocessz00_bglt BGl_z62lambda2053z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32158ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2217z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32069ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvprocessz00_bglt BGl_z62lambda2056z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda2218z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvPollz00zz__libuv_typesz00 = BUNSPEC;
extern void bgl_uv_process_options_env_set(uv_process_options_t *, obj_t);
static obj_t BGl_z62lambda2223z62zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_z62lambda2224z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2063z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32175ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2064z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvUdpz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda2228z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2229z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32095ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32168ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__libuv_typesz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_typesz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31820ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2errzd2namez00zz__libuv_typesz00(int);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_typesz00(void);
static obj_t BGl_z62zc3z04anonymousza32185ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvprocessoptionsz00_bglt BGl_z62lambda2083z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32088ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvprocessoptionsz00_bglt BGl_z62lambda2086z62zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvTimerz00zz__libuv_typesz00 = BUNSPEC;
BGL_EXPORTED_DECL BgL_uvfilez00_bglt bgl_uv_new_file(int, obj_t);
static obj_t BGl_z62zc3z04anonymousza31813ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda2093z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32178ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2094z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_uvzd2strerrorzd2zz__libuv_typesz00(int);
static obj_t BGl_z62objectzd2printzd2UvHandl1343z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31741ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31903ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31806ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31709ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32195ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62zc3z04anonymousza31718ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1707z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32188ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1708z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32099ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31840ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62uvzd2popzd2gcmarkz12z70zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62lambda1716z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1717z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static BgL_uvloopz00_bglt BGl_z62lambda1801z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31833ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31655ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvloopz00_bglt BGl_z62lambda1804z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1727z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1728z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_z52uvz52_bglt BGl_z62lambda1649z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1811z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1812z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31729ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32199ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvwatcherz00_bglt BGl_z62lambda1818z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1739z62zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvCheckz00zz__libuv_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_z52Uvz52zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31851ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvpipez00_bglt BGl_z62lambda1901z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1740z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvloopz00_bglt BGl_z62lambda1824z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1825z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1907z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1908z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1831z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1832z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2errzd2namez62zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvttyz00_bglt BGl_z62lambda1914z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1755z62zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvttyz00_bglt BGl_z62lambda1917z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1756z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1838z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1839z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31780ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31942ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvfilez00_bglt BGl_z62uvzd2newzd2filez62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvhandlez00_bglt BGl_z62lambda1680z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1925z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1926z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 69 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2guesszd2handlezd2envzd2zz__libuv_typesz00, BgL_bgl_za762uvza7d2guessza7d22421za7, BGl_z62uvzd2guesszd2handlez62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2strerrorzd2envz00zz__libuv_typesz00, BgL_bgl_za762uvza7d2strerror2422z00, BGl_z62uvzd2strerrorzb0zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2300z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2423za7, BGl_z62zc3z04anonymousza31874ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2301z00zz__libuv_typesz00, BgL_bgl_za762lambda1872za7622424z00, BGl_z62lambda1872z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2302z00zz__libuv_typesz00, BgL_bgl_za762lambda1869za7622425z00, BGl_z62lambda1869z62zz__libuv_typesz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2303z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2426za7, BGl_z62zc3z04anonymousza31892ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2304z00zz__libuv_typesz00, BgL_bgl_za762lambda1891za7622427z00, BGl_z62lambda1891z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2305z00zz__libuv_typesz00, BgL_bgl_za762lambda1890za7622428z00, BGl_z62lambda1890z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2306z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2429za7, BGl_z62zc3z04anonymousza31885ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2307z00zz__libuv_typesz00, BgL_bgl_za762lambda1883za7622430z00, BGl_z62lambda1883z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2308z00zz__libuv_typesz00, BgL_bgl_za762lambda1880za7622431z00, BGl_z62lambda1880z62zz__libuv_typesz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2309z00zz__libuv_typesz00, BgL_bgl_za762lambda1908za7622432z00, BGl_z62lambda1908z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2310z00zz__libuv_typesz00, BgL_bgl_za762lambda1907za7622433z00, BGl_z62lambda1907z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2311z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2434za7, BGl_z62zc3z04anonymousza31903ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2312z00zz__libuv_typesz00, BgL_bgl_za762lambda1901za7622435z00, BGl_z62lambda1901z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2313z00zz__libuv_typesz00, BgL_bgl_za762lambda1898za7622436z00, BGl_z62lambda1898z62zz__libuv_typesz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2314z00zz__libuv_typesz00, BgL_bgl_za762lambda1926za7622437z00, BGl_z62lambda1926z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2315z00zz__libuv_typesz00, BgL_bgl_za762lambda1925za7622438z00, BGl_z62lambda1925z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2316z00zz__libuv_typesz00, BgL_bgl_za762lambda1931za7622439z00, BGl_z62lambda1931z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2317z00zz__libuv_typesz00, BgL_bgl_za762lambda1930za7622440z00, BGl_z62lambda1930z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2318z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2441za7, BGl_z62zc3z04anonymousza31919ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2319z00zz__libuv_typesz00, BgL_bgl_za762lambda1917za7622442z00, BGl_z62lambda1917z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2400z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2443za7, BGl_z62zc3z04anonymousza32219ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2401z00zz__libuv_typesz00, BgL_bgl_za762lambda2218za7622444z00, BGl_z62lambda2218z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2320z00zz__libuv_typesz00, BgL_bgl_za762lambda1914za7622445z00, BGl_z62lambda1914z62zz__libuv_typesz00, 0L, BUNSPEC, 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2402z00zz__libuv_typesz00, BgL_bgl_za762lambda2217za7622446z00, BGl_z62lambda2217z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2321z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2447za7, BGl_z62zc3z04anonymousza31949ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2403z00zz__libuv_typesz00, BgL_bgl_za762lambda2224za7622448z00, BGl_z62lambda2224z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2322z00zz__libuv_typesz00, BgL_bgl_za762lambda1948za7622449z00, BGl_z62lambda1948z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2404z00zz__libuv_typesz00, BgL_bgl_za762lambda2223za7622450z00, BGl_z62lambda2223z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2323z00zz__libuv_typesz00, BgL_bgl_za762lambda1947za7622451z00, BGl_z62lambda1947z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2411z00zz__libuv_typesz00, BgL_bgl_string2411za700za7za7_2452za7, "%uv-init1340", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2405z00zz__libuv_typesz00, BgL_bgl_za762lambda2229za7622453z00, BGl_z62lambda2229z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2324z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2454za7, BGl_z62zc3z04anonymousza31956ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2406z00zz__libuv_typesz00, BgL_bgl_za762lambda2228za7622455z00, BGl_z62lambda2228z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2325z00zz__libuv_typesz00, BgL_bgl_za762lambda1955za7622456z00, BGl_z62lambda1955z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2413z00zz__libuv_typesz00, BgL_bgl_string2413za700za7za7_2457za7, "object-print", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2407z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2458za7, BGl_z62zc3z04anonymousza32212ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2326z00zz__libuv_typesz00, BgL_bgl_za762lambda1954za7622459z00, BGl_z62lambda1954z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2414z00zz__libuv_typesz00, BgL_bgl_string2414za700za7za7_2460za7, " [", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2408z00zz__libuv_typesz00, BgL_bgl_za762lambda2210za7622461z00, BGl_z62lambda2210z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2327z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2462za7, BGl_z62zc3z04anonymousza31942ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2252z00zz__libuv_typesz00, BgL_bgl_string2252za700za7za7_2463za7, "", 0 );
DEFINE_STRING( BGl_string2415z00zz__libuv_typesz00, BgL_bgl_string2415za700za7za7_2464za7, "#|", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2409z00zz__libuv_typesz00, BgL_bgl_za762lambda2207za7622465z00, BGl_z62lambda2207z62zz__libuv_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2328z00zz__libuv_typesz00, BgL_bgl_za762lambda1940za7622466z00, BGl_z62lambda1940z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2416z00zz__libuv_typesz00, BgL_bgl_string2416za700za7za7_2467za7, " (0x", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2329z00zz__libuv_typesz00, BgL_bgl_za762lambda1937za7622468z00, BGl_z62lambda1937z62zz__libuv_typesz00, 0L, BUNSPEC, 11 );
DEFINE_STRING( BGl_string2417z00zz__libuv_typesz00, BgL_bgl_string2417za700za7za7_2469za7, ")", 1 );
DEFINE_STRING( BGl_string2418z00zz__libuv_typesz00, BgL_bgl_string2418za700za7za7_2470za7, " nil|", 5 );
DEFINE_STRING( BGl_string2419z00zz__libuv_typesz00, BgL_bgl_string2419za700za7za7_2471za7, "(#\\$ #\\%) UvWork %after-cb %work-cb $uv_work_t UvProcessOptions gid uid flags cwd env args file $uv_process_options_t UvProcess pid $onexit UvCheck UvFsPoll UvFsEvent UvFile bstring path UvPoll UvAsync UvIdle UvTimer ref uint64 repeat UvTty readable int fd UvPipe ipc UvUdp %procm UvTcp UvStream UvWatcher void* %data procedure cb loop UvLoop mutex %mutex UvHandle bool closed %gcmark %gcmarkstail pair-nil %gcmarkshead obj %onclose $uv_handle_t $builtin __libuv_types %Uv UNDEFINED UNKNOWN FILE PIPE UDP TTY TCP ", 513 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2410z00zz__libuv_typesz00, BgL_bgl_za762za752uvza7d2init12472za7, BGl_z62z52uvzd2init1340ze2zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2330z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2473za7, BGl_z62zc3z04anonymousza31967ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2412z00zz__libuv_typesz00, BgL_bgl_za762objectza7d2prin2474z00, BGl_z62objectzd2printzd2UvHandl1343z62zz__libuv_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2331z00zz__libuv_typesz00, BgL_bgl_za762lambda1965za7622475z00, BGl_z62lambda1965z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2332z00zz__libuv_typesz00, BgL_bgl_za762lambda1962za7622476z00, BGl_z62lambda1962z62zz__libuv_typesz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2333z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2477za7, BGl_z62zc3z04anonymousza31978ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2334z00zz__libuv_typesz00, BgL_bgl_za762lambda1976za7622478z00, BGl_z62lambda1976z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2253z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2479za7, BGl_z62zc3z04anonymousza31655ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2335z00zz__libuv_typesz00, BgL_bgl_za762lambda1973za7622480z00, BGl_z62lambda1973z62zz__libuv_typesz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2254z00zz__libuv_typesz00, BgL_bgl_za762lambda1649za7622481z00, BGl_z62lambda1649z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2336z00zz__libuv_typesz00, BgL_bgl_za762lambda1994za7622482z00, BGl_z62lambda1994z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2255z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2483za7, BGl_z62zc3z04anonymousza31709ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2337z00zz__libuv_typesz00, BgL_bgl_za762lambda1993za7622484z00, BGl_z62lambda1993z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2256z00zz__libuv_typesz00, BgL_bgl_za762lambda1708za7622485z00, BGl_z62lambda1708z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2338z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2486za7, BGl_z62zc3z04anonymousza31989ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2257z00zz__libuv_typesz00, BgL_bgl_za762lambda1707za7622487z00, BGl_z62lambda1707z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2339z00zz__libuv_typesz00, BgL_bgl_za762lambda1987za7622488z00, BGl_z62lambda1987z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2258z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2489za7, BGl_z62zc3z04anonymousza31718ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2259z00zz__libuv_typesz00, BgL_bgl_za762lambda1717za7622490z00, BGl_z62lambda1717z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2340z00zz__libuv_typesz00, BgL_bgl_za762lambda1984za7622491z00, BGl_z62lambda1984z62zz__libuv_typesz00, 0L, BUNSPEC, 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2341z00zz__libuv_typesz00, BgL_bgl_za762lambda2009za7622492z00, BGl_z62lambda2009z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2260z00zz__libuv_typesz00, BgL_bgl_za762lambda1716za7622493z00, BGl_z62lambda1716z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2342z00zz__libuv_typesz00, BgL_bgl_za762lambda2008za7622494z00, BGl_z62lambda2008z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2261z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2495za7, BGl_z62zc3z04anonymousza31729ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2343z00zz__libuv_typesz00, BgL_bgl_za762lambda2014za7622496z00, BGl_z62lambda2014z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2262z00zz__libuv_typesz00, BgL_bgl_za762lambda1728za7622497z00, BGl_z62lambda1728z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2popzd2gcmarkz12zd2envzc0zz__libuv_typesz00, BgL_bgl_za762uvza7d2popza7d2gc2498za7, BGl_z62uvzd2popzd2gcmarkz12z70zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2344z00zz__libuv_typesz00, BgL_bgl_za762lambda2013za7622499z00, BGl_z62lambda2013z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2263z00zz__libuv_typesz00, BgL_bgl_za762lambda1727za7622500z00, BGl_z62lambda1727z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2345z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2501za7, BGl_z62zc3z04anonymousza32004ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2264z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2502za7, BGl_z62zc3z04anonymousza31741ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2346z00zz__libuv_typesz00, BgL_bgl_za762lambda2002za7622503z00, BGl_z62lambda2002z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2265z00zz__libuv_typesz00, BgL_bgl_za762lambda1740za7622504z00, BGl_z62lambda1740z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2347z00zz__libuv_typesz00, BgL_bgl_za762lambda2000za7622505z00, BGl_z62lambda2000z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2266z00zz__libuv_typesz00, BgL_bgl_za762lambda1739za7622506z00, BGl_z62lambda1739z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2348z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2507za7, BGl_z62zc3z04anonymousza32025ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2267z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2508za7, BGl_z62zc3z04anonymousza31757ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2349z00zz__libuv_typesz00, BgL_bgl_za762lambda2023za7622509z00, BGl_z62lambda2023z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2268z00zz__libuv_typesz00, BgL_bgl_za762lambda1756za7622510z00, BGl_z62lambda1756z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2269z00zz__libuv_typesz00, BgL_bgl_za762lambda1755za7622511z00, BGl_z62lambda1755z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2350z00zz__libuv_typesz00, BgL_bgl_za762lambda2020za7622512z00, BGl_z62lambda2020z62zz__libuv_typesz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2351z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2513za7, BGl_z62zc3z04anonymousza32036ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2270z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2514za7, BGl_z62zc3z04anonymousza31780ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2352z00zz__libuv_typesz00, BgL_bgl_za762lambda2034za7622515z00, BGl_z62lambda2034z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2271z00zz__libuv_typesz00, BgL_bgl_za762lambda1779za7622516z00, BGl_z62lambda1779z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2353z00zz__libuv_typesz00, BgL_bgl_za762lambda2031za7622517z00, BGl_z62lambda2031z62zz__libuv_typesz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2272z00zz__libuv_typesz00, BgL_bgl_za762lambda1778za7622518z00, BGl_z62lambda1778z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2354z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2519za7, BGl_z62zc3z04anonymousza32047ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2273z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2520za7, BGl_z62zc3z04anonymousza31689ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2355z00zz__libuv_typesz00, BgL_bgl_za762lambda2045za7622521z00, BGl_z62lambda2045z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2274z00zz__libuv_typesz00, BgL_bgl_za762lambda1684za7622522z00, BGl_z62lambda1684z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2356z00zz__libuv_typesz00, BgL_bgl_za762lambda2042za7622523z00, BGl_z62lambda2042z62zz__libuv_typesz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2275z00zz__libuv_typesz00, BgL_bgl_za762lambda1680za7622524z00, BGl_z62lambda1680z62zz__libuv_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2357z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2525za7, BGl_z62zc3z04anonymousza32065ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2276z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2526za7, BGl_z62zc3z04anonymousza31813ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2358z00zz__libuv_typesz00, BgL_bgl_za762lambda2064za7622527z00, BGl_z62lambda2064z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2277z00zz__libuv_typesz00, BgL_bgl_za762lambda1812za7622528z00, BGl_z62lambda1812z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2359z00zz__libuv_typesz00, BgL_bgl_za762lambda2063za7622529z00, BGl_z62lambda2063z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2278z00zz__libuv_typesz00, BgL_bgl_za762lambda1811za7622530z00, BGl_z62lambda1811z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2279z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2531za7, BGl_z62zc3z04anonymousza31806ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2360z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2532za7, BGl_z62zc3z04anonymousza32070ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2361z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2533za7, BGl_z62zc3z04anonymousza32069ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2280z00zz__libuv_typesz00, BgL_bgl_za762lambda1804za7622534z00, BGl_z62lambda1804z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2362z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2535za7, BGl_z62zc3z04anonymousza32074ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2281z00zz__libuv_typesz00, BgL_bgl_za762lambda1801za7622536z00, BGl_z62lambda1801z62zz__libuv_typesz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2363z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2537za7, BGl_z62zc3z04anonymousza32058ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2282z00zz__libuv_typesz00, BgL_bgl_za762lambda1825za7622538z00, BGl_z62lambda1825z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2364z00zz__libuv_typesz00, BgL_bgl_za762lambda2056za7622539z00, BGl_z62lambda2056z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2283z00zz__libuv_typesz00, BgL_bgl_za762lambda1824za7622540z00, BGl_z62lambda1824z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2365z00zz__libuv_typesz00, BgL_bgl_za762lambda2053za7622541z00, BGl_z62lambda2053z62zz__libuv_typesz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2284z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2542za7, BGl_z62zc3z04anonymousza31833ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2366z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2543za7, BGl_z62zc3z04anonymousza32095ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2285z00zz__libuv_typesz00, BgL_bgl_za762lambda1832za7622544z00, BGl_z62lambda1832z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2367z00zz__libuv_typesz00, BgL_bgl_za762lambda2094za7622545z00, BGl_z62lambda2094z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2286z00zz__libuv_typesz00, BgL_bgl_za762lambda1831za7622546z00, BGl_z62lambda1831z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2368z00zz__libuv_typesz00, BgL_bgl_za762lambda2093za7622547z00, BGl_z62lambda2093z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2287z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2548za7, BGl_z62zc3z04anonymousza31840ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2369z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2549za7, BGl_z62zc3z04anonymousza32100ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2288z00zz__libuv_typesz00, BgL_bgl_za762lambda1839za7622550z00, BGl_z62lambda1839z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2289z00zz__libuv_typesz00, BgL_bgl_za762lambda1838za7622551z00, BGl_z62lambda1838z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2370z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2552za7, BGl_z62zc3z04anonymousza32099ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2371z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2553za7, BGl_z62zc3z04anonymousza32105ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2290z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2554za7, BGl_z62zc3z04anonymousza31820ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2372z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2555za7, BGl_z62zc3z04anonymousza32104ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2291z00zz__libuv_typesz00, BgL_bgl_za762lambda1818za7622556z00, BGl_z62lambda1818z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2373z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2557za7, BGl_z62zc3z04anonymousza32110ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2292z00zz__libuv_typesz00, BgL_bgl_za762lambda1856za7622558z00, BGl_z62lambda1856z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2374z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2559za7, BGl_z62zc3z04anonymousza32109ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2293z00zz__libuv_typesz00, BgL_bgl_za762lambda1855za7622560z00, BGl_z62lambda1855z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2375z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2561za7, BGl_z62zc3z04anonymousza32115ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2294z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2562za7, BGl_z62zc3z04anonymousza31863ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2376z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2563za7, BGl_z62zc3z04anonymousza32114ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2295z00zz__libuv_typesz00, BgL_bgl_za762lambda1862za7622564z00, BGl_z62lambda1862z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2377z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2565za7, BGl_z62zc3z04anonymousza32120ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2296z00zz__libuv_typesz00, BgL_bgl_za762lambda1861za7622566z00, BGl_z62lambda1861z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2378z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2567za7, BGl_z62zc3z04anonymousza32119ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2297z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2568za7, BGl_z62zc3z04anonymousza31851ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2379z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2569za7, BGl_z62zc3z04anonymousza32125ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2298z00zz__libuv_typesz00, BgL_bgl_za762lambda1849za7622570z00, BGl_z62lambda1849z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2299z00zz__libuv_typesz00, BgL_bgl_za762lambda1846za7622571z00, BGl_z62lambda1846z62zz__libuv_typesz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2380z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2572za7, BGl_z62zc3z04anonymousza32124ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2381z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2573za7, BGl_z62zc3z04anonymousza32130ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2382z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2574za7, BGl_z62zc3z04anonymousza32129ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2383z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2575za7, BGl_z62zc3z04anonymousza32135ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2384z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2576za7, BGl_z62zc3z04anonymousza32138ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2385z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2577za7, BGl_z62zc3z04anonymousza32145ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2386z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2578za7, BGl_z62zc3z04anonymousza32148ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2387z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2579za7, BGl_z62zc3z04anonymousza32155ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2388z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2580za7, BGl_z62zc3z04anonymousza32158ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2389z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2581za7, BGl_z62zc3z04anonymousza32165ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2390z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2582za7, BGl_z62zc3z04anonymousza32168ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2391z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2583za7, BGl_z62zc3z04anonymousza32175ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2392z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2584za7, BGl_z62zc3z04anonymousza32178ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2393z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2585za7, BGl_z62zc3z04anonymousza32185ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2394z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2586za7, BGl_z62zc3z04anonymousza32188ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2395z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2587za7, BGl_z62zc3z04anonymousza32195ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2396z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2588za7, BGl_z62zc3z04anonymousza32199ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2397z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2589za7, BGl_z62zc3z04anonymousza32088ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2398z00zz__libuv_typesz00, BgL_bgl_za762lambda2086za7622590z00, BGl_z62lambda2086z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2399z00zz__libuv_typesz00, BgL_bgl_za762lambda2083za7622591z00, BGl_z62lambda2083z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BgL_bgl_za762za752uvza7d2initza72592z00, BGl_z62z52uvzd2initze2zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2gcmarkszd2emptyzf3zd2envz21zz__libuv_typesz00, BgL_bgl_za762uvza7d2gcmarksza72593za7, BGl_z62uvzd2gcmarkszd2emptyzf3z91zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2errzd2namezd2envzd2zz__libuv_typesz00, BgL_bgl_za762uvza7d2errza7d2na2594za7, BGl_z62uvzd2errzd2namez62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2pushzd2gcmarkz12zd2envzc0zz__libuv_typesz00, BgL_bgl_za762uvza7d2pushza7d2g2595za7, BGl_z62uvzd2pushzd2gcmarkz12z70zz__libuv_typesz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2newzd2filezd2envzd2zz__libuv_typesz00, BgL_bgl_za762uvza7d2newza7d2fi2596za7, BGl_z62uvzd2newzd2filez62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2versionzd2envz00zz__libuv_typesz00, BgL_bgl_za762uvza7d2versionza72597za7, BGl_z62uvzd2versionzb0zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2handlezd2typezd2symbolzd2envz00zz__libuv_typesz00, BgL_bgl_za762uvza7d2handleza7d2598za7, BGl_z62uvzd2handlezd2typezd2symbolzb0zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2idzd2envz00zz__libuv_typesz00, BgL_bgl_za762uvza7d2idza7b0za7za7_2599za7, BGl_z62uvzd2idzb0zz__libuv_typesz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvTtyz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvFsPollz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvFsEventz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvIdlez00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvFilez00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvHandlez00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvAsyncz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvLoopz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvPipez00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvWorkz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvProcessz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvStreamz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvWatcherz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvTcpz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvProcessOptionsz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvPollz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvUdpz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvTimerz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvCheckz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_z52Uvz52zz__libuv_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long BgL_checksumz00_2647, char * BgL_fromz00_2648)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libuv_typesz00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_typesz00(); 
BGl_cnstzd2initzd2zz__libuv_typesz00(); 
BGl_objectzd2initzd2zz__libuv_typesz00(); 
BGl_genericzd2initzd2zz__libuv_typesz00(); 
BGl_methodzd2initzd2zz__libuv_typesz00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_typesz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__bitz00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__libuv_types"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
{ /* Llib/uvtypes.scm 15 */
 obj_t BgL_cportz00_2259;
{ /* Llib/uvtypes.scm 15 */
 obj_t BgL_stringz00_2266;
BgL_stringz00_2266 = BGl_string2419z00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 15 */
 obj_t BgL_startz00_2267;
BgL_startz00_2267 = 
BINT(0L); 
{ /* Llib/uvtypes.scm 15 */
 obj_t BgL_endz00_2268;
BgL_endz00_2268 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2266))); 
{ /* Llib/uvtypes.scm 15 */

BgL_cportz00_2259 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2266, BgL_startz00_2267, BgL_endz00_2268); } } } } 
{ 
 long BgL_iz00_2260;
BgL_iz00_2260 = 68L; 
BgL_loopz00_2261:
if(
(BgL_iz00_2260==-1L))
{ /* Llib/uvtypes.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/uvtypes.scm 15 */
{ /* Llib/uvtypes.scm 15 */
 obj_t BgL_arg2420z00_2262;
{ /* Llib/uvtypes.scm 15 */

{ /* Llib/uvtypes.scm 15 */
 obj_t BgL_locationz00_2264;
BgL_locationz00_2264 = 
BBOOL(((bool_t)0)); 
{ /* Llib/uvtypes.scm 15 */

BgL_arg2420z00_2262 = 
BGl_readz00zz__readerz00(BgL_cportz00_2259, BgL_locationz00_2264); } } } 
{ /* Llib/uvtypes.scm 15 */
 int BgL_tmpz00_2679;
BgL_tmpz00_2679 = 
(int)(BgL_iz00_2260); 
CNST_TABLE_SET(BgL_tmpz00_2679, BgL_arg2420z00_2262); } } 
{ /* Llib/uvtypes.scm 15 */
 int BgL_auxz00_2265;
BgL_auxz00_2265 = 
(int)(
(BgL_iz00_2260-1L)); 
{ 
 long BgL_iz00_2684;
BgL_iz00_2684 = 
(long)(BgL_auxz00_2265); 
BgL_iz00_2260 = BgL_iz00_2684; 
goto BgL_loopz00_2261;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
return BUNSPEC;} 

}



/* uv-version */
BGL_EXPORTED_DEF char * BGl_uvzd2versionzd2zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 172 */
return 
(char *)uv_version_string();} 

}



/* &uv-version */
obj_t BGl_z62uvzd2versionzb0zz__libuv_typesz00(obj_t BgL_envz00_1623)
{
{ /* Llib/uvtypes.scm 172 */
return 
string_to_bstring(
BGl_uvzd2versionzd2zz__libuv_typesz00());} 

}



/* uv-id */
BGL_EXPORTED_DEF int BGl_uvzd2idzd2zz__libuv_typesz00(BgL_uvhandlez00_bglt BgL_oz00_3)
{
{ /* Llib/uvtypes.scm 178 */
{ /* Llib/uvtypes.scm 180 */
 uv_handle_t * BgL_arg1348z00_1210;
BgL_arg1348z00_1210 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_3))->BgL_z42builtinz42); 
return 
(int)(
(long)(BgL_arg1348z00_1210));} } 

}



/* &uv-id */
obj_t BGl_z62uvzd2idzb0zz__libuv_typesz00(obj_t BgL_envz00_1624, obj_t BgL_oz00_1625)
{
{ /* Llib/uvtypes.scm 178 */
return 
BINT(
BGl_uvzd2idzd2zz__libuv_typesz00(
((BgL_uvhandlez00_bglt)BgL_oz00_1625)));} 

}



/* uv-new-file */
BGL_EXPORTED_DEF BgL_uvfilez00_bglt bgl_uv_new_file(int BgL_fdz00_8, obj_t BgL_pathz00_9)
{
{ /* Llib/uvtypes.scm 226 */
{ /* Llib/uvtypes.scm 227 */
 BgL_uvfilez00_bglt BgL_new1245z00_1211;
{ /* Llib/uvtypes.scm 228 */
 BgL_uvfilez00_bglt BgL_new1244z00_1212;
BgL_new1244z00_1212 = 
((BgL_uvfilez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfilez00_bgl) ))); 
{ /* Llib/uvtypes.scm 228 */
 long BgL_arg1349z00_1213;
BgL_arg1349z00_1213 = 
BGL_CLASS_NUM(BGl_UvFilez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1244z00_1212), BgL_arg1349z00_1213); } 
BgL_new1245z00_1211 = BgL_new1244z00_1212; } 
((((BgL_uvfilez00_bglt)COBJECT(BgL_new1245z00_1211))->BgL_fdz00)=((int)BgL_fdz00_8),BUNSPEC); 
((((BgL_uvfilez00_bglt)COBJECT(BgL_new1245z00_1211))->BgL_pathz00)=((obj_t)BgL_pathz00_9),BUNSPEC); 
return BgL_new1245z00_1211;} } 

}



/* &uv-new-file */
BgL_uvfilez00_bglt BGl_z62uvzd2newzd2filez62zz__libuv_typesz00(obj_t BgL_envz00_1626, obj_t BgL_fdz00_1627, obj_t BgL_pathz00_1628)
{
{ /* Llib/uvtypes.scm 226 */
return 
bgl_uv_new_file(
CINT(BgL_fdz00_1627), BgL_pathz00_1628);} 

}



/* uv-strerror */
BGL_EXPORTED_DEF obj_t BGl_uvzd2strerrorzd2zz__libuv_typesz00(int BgL_errnoz00_10)
{
{ /* Llib/uvtypes.scm 234 */
{ /* Llib/uvtypes.scm 235 */
 char * BgL_sz00_1217;
BgL_sz00_1217 = 
(char *)uv_strerror(BgL_errnoz00_10); 
if(
((char *)0L) ==(BgL_sz00_1217))
{ /* Llib/uvtypes.scm 236 */
return BGl_string2252z00zz__libuv_typesz00;}  else 
{ /* Llib/uvtypes.scm 236 */
return 
string_to_bstring(BgL_sz00_1217);} } } 

}



/* &uv-strerror */
obj_t BGl_z62uvzd2strerrorzb0zz__libuv_typesz00(obj_t BgL_envz00_1629, obj_t BgL_errnoz00_1630)
{
{ /* Llib/uvtypes.scm 234 */
return 
BGl_uvzd2strerrorzd2zz__libuv_typesz00(
CINT(BgL_errnoz00_1630));} 

}



/* uv-err-name */
BGL_EXPORTED_DEF obj_t BGl_uvzd2errzd2namez00zz__libuv_typesz00(int BgL_errnoz00_11)
{
{ /* Llib/uvtypes.scm 243 */
{ /* Llib/uvtypes.scm 244 */
 char * BgL_sz00_1219;
BgL_sz00_1219 = 
(char *)uv_err_name(BgL_errnoz00_11); 
if(
((char *)0L) ==(BgL_sz00_1219))
{ /* Llib/uvtypes.scm 245 */
return BGl_string2252z00zz__libuv_typesz00;}  else 
{ /* Llib/uvtypes.scm 245 */
return 
string_to_bstring(BgL_sz00_1219);} } } 

}



/* &uv-err-name */
obj_t BGl_z62uvzd2errzd2namez62zz__libuv_typesz00(obj_t BgL_envz00_1631, obj_t BgL_errnoz00_1632)
{
{ /* Llib/uvtypes.scm 243 */
return 
BGl_uvzd2errzd2namez00zz__libuv_typesz00(
CINT(BgL_errnoz00_1632));} 

}



/* uv-guess-handle */
BGL_EXPORTED_DEF obj_t bgl_uv_guess_handle(int BgL_fdz00_12)
{
{ /* Llib/uvtypes.scm 252 */
{ /* Llib/uvtypes.scm 253 */
 int BgL_arg1358z00_1221;
BgL_arg1358z00_1221 = 
uv_guess_handle(BgL_fdz00_12); 
BGL_TAIL return 
bgl_uv_handle_type_symbol(BgL_arg1358z00_1221);} } 

}



/* &uv-guess-handle */
obj_t BGl_z62uvzd2guesszd2handlez62zz__libuv_typesz00(obj_t BgL_envz00_1633, obj_t BgL_fdz00_1634)
{
{ /* Llib/uvtypes.scm 252 */
return 
bgl_uv_guess_handle(
CINT(BgL_fdz00_1634));} 

}



/* uv-handle-type-symbol */
BGL_EXPORTED_DEF obj_t bgl_uv_handle_type_symbol(int BgL_rz00_13)
{
{ /* Llib/uvtypes.scm 258 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_TCP)))
{ /* Llib/uvtypes.scm 260 */
return 
CNST_TABLE_REF(0L);}  else 
{ /* Llib/uvtypes.scm 260 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_TTY)))
{ /* Llib/uvtypes.scm 261 */
return 
CNST_TABLE_REF(1L);}  else 
{ /* Llib/uvtypes.scm 261 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_UDP)))
{ /* Llib/uvtypes.scm 262 */
return 
CNST_TABLE_REF(2L);}  else 
{ /* Llib/uvtypes.scm 262 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_NAMED_PIPE)))
{ /* Llib/uvtypes.scm 263 */
return 
CNST_TABLE_REF(3L);}  else 
{ /* Llib/uvtypes.scm 263 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_FILE)))
{ /* Llib/uvtypes.scm 264 */
return 
CNST_TABLE_REF(4L);}  else 
{ /* Llib/uvtypes.scm 264 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_UNKNOWN_HANDLE)))
{ /* Llib/uvtypes.scm 265 */
return 
CNST_TABLE_REF(5L);}  else 
{ /* Llib/uvtypes.scm 265 */
return 
CNST_TABLE_REF(6L);} } } } } } } 

}



/* &uv-handle-type-symbol */
obj_t BGl_z62uvzd2handlezd2typezd2symbolzb0zz__libuv_typesz00(obj_t BgL_envz00_1635, obj_t BgL_rz00_1636)
{
{ /* Llib/uvtypes.scm 258 */
return 
bgl_uv_handle_type_symbol(
CINT(BgL_rz00_1636));} 

}



/* uv-push-gcmark! */
BGL_EXPORTED_DEF obj_t BGl_uvzd2pushzd2gcmarkz12z12zz__libuv_typesz00(BgL_uvhandlez00_bglt BgL_oz00_14, obj_t BgL_valz00_15, obj_t BgL_msgz00_16)
{
{ /* Llib/uvtypes.scm 271 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52)))
{ /* Llib/uvtypes.scm 273 */
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_valz00_15, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/uvtypes.scm 273 */
{ /* Llib/uvtypes.scm 278 */
 obj_t BgL_arg1443z00_2270; obj_t BgL_arg1444z00_2271;
BgL_arg1443z00_2270 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52); 
BgL_arg1444z00_2271 = 
MAKE_YOUNG_PAIR(BgL_valz00_15, BNIL); 
{ /* Llib/uvtypes.scm 278 */
 obj_t BgL_tmpz00_2762;
BgL_tmpz00_2762 = 
((obj_t)BgL_arg1443z00_2270); 
SET_CDR(BgL_tmpz00_2762, BgL_arg1444z00_2271); } } 
{ 
 obj_t BgL_auxz00_2765;
{ /* Llib/uvtypes.scm 279 */
 obj_t BgL_pairz00_2272;
BgL_pairz00_2272 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2765 = 
CDR(BgL_pairz00_2272); } 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2765),BUNSPEC); } } 
return BUNSPEC;} 

}



/* &uv-push-gcmark! */
obj_t BGl_z62uvzd2pushzd2gcmarkz12z70zz__libuv_typesz00(obj_t BgL_envz00_1637, obj_t BgL_oz00_1638, obj_t BgL_valz00_1639, obj_t BgL_msgz00_1640)
{
{ /* Llib/uvtypes.scm 271 */
return 
BGl_uvzd2pushzd2gcmarkz12z12zz__libuv_typesz00(
((BgL_uvhandlez00_bglt)BgL_oz00_1638), BgL_valz00_1639, BgL_msgz00_1640);} 

}



/* uv-pop-gcmark! */
BGL_EXPORTED_DEF obj_t bgl_uv_pop_gcmark(BgL_uvhandlez00_bglt BgL_oz00_17, obj_t BgL_valz00_18)
{
{ /* Llib/uvtypes.scm 285 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarksheadz52)))
{ /* Llib/uvtypes.scm 287 */
return BFALSE;}  else 
{ /* Llib/uvtypes.scm 287 */
if(
(BgL_valz00_18==
CAR(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarksheadz52))))
{ /* Llib/uvtypes.scm 288 */
if(
(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarksheadz52)==
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarkstailz52)))
{ /* Llib/uvtypes.scm 289 */
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
return 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC);}  else 
{ 
 obj_t BgL_auxz00_2784;
{ /* Llib/uvtypes.scm 293 */
 obj_t BgL_pairz00_1243;
BgL_pairz00_1243 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarksheadz52); 
BgL_auxz00_2784 = 
CDR(BgL_pairz00_1243); } 
return 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarksheadz52)=((obj_t)BgL_auxz00_2784),BUNSPEC);} }  else 
{ 
 obj_t BgL_pz00_65;
BgL_pz00_65 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarksheadz52); 
BgL_zc3z04anonymousza31582ze3z87_66:
{ /* Llib/uvtypes.scm 295 */
 obj_t BgL_nz00_67;
BgL_nz00_67 = 
CDR(
((obj_t)BgL_pz00_65)); 
if(
PAIRP(BgL_nz00_67))
{ /* Llib/uvtypes.scm 296 */
if(
(
CAR(BgL_nz00_67)==BgL_valz00_18))
{ /* Llib/uvtypes.scm 297 */
if(
(BgL_nz00_67==
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarkstailz52)))
{ /* Llib/uvtypes.scm 299 */
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarkstailz52)=((obj_t)BgL_pz00_65),BUNSPEC); }  else 
{ /* Llib/uvtypes.scm 299 */BFALSE; } 
{ /* Llib/uvtypes.scm 301 */
 obj_t BgL_arg1610z00_74;
BgL_arg1610z00_74 = 
CDR(BgL_nz00_67); 
{ /* Llib/uvtypes.scm 301 */
 obj_t BgL_tmpz00_2800;
BgL_tmpz00_2800 = 
((obj_t)BgL_pz00_65); 
return 
SET_CDR(BgL_tmpz00_2800, BgL_arg1610z00_74);} } }  else 
{ 
 obj_t BgL_pz00_2803;
BgL_pz00_2803 = BgL_nz00_67; 
BgL_pz00_65 = BgL_pz00_2803; 
goto BgL_zc3z04anonymousza31582ze3z87_66;} }  else 
{ /* Llib/uvtypes.scm 296 */
return BFALSE;} } } } } 

}



/* &uv-pop-gcmark! */
obj_t BGl_z62uvzd2popzd2gcmarkz12z70zz__libuv_typesz00(obj_t BgL_envz00_1641, obj_t BgL_oz00_1642, obj_t BgL_valz00_1643)
{
{ /* Llib/uvtypes.scm 285 */
return 
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_oz00_1642), BgL_valz00_1643);} 

}



/* uv-gcmarks-empty? */
BGL_EXPORTED_DEF bool_t BGl_uvzd2gcmarkszd2emptyzf3zf3zz__libuv_typesz00(BgL_uvhandlez00_bglt BgL_oz00_19)
{
{ /* Llib/uvtypes.scm 307 */
return 
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_19))->BgL_z52gcmarksheadz52));} 

}



/* &uv-gcmarks-empty? */
obj_t BGl_z62uvzd2gcmarkszd2emptyzf3z91zz__libuv_typesz00(obj_t BgL_envz00_1644, obj_t BgL_oz00_1645)
{
{ /* Llib/uvtypes.scm 307 */
return 
BBOOL(
BGl_uvzd2gcmarkszd2emptyzf3zf3zz__libuv_typesz00(
((BgL_uvhandlez00_bglt)BgL_oz00_1645)));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
{ /* Llib/uvtypes.scm 23 */
 obj_t BgL_arg1645z00_84; obj_t BgL_arg1648z00_85;
{ /* Llib/uvtypes.scm 23 */
 obj_t BgL_v1300z00_91;
BgL_v1300z00_91 = 
create_vector(0L); 
BgL_arg1645z00_84 = BgL_v1300z00_91; } 
{ /* Llib/uvtypes.scm 23 */
 obj_t BgL_v1301z00_92;
BgL_v1301z00_92 = 
create_vector(0L); 
BgL_arg1648z00_85 = BgL_v1301z00_92; } 
BGl_z52Uvz52zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(7L), 
CNST_TABLE_REF(8L), BGl_objectz00zz__objectz00, 23285L, BFALSE, BGl_proc2254z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2253z00zz__libuv_typesz00, BFALSE, BgL_arg1645z00_84, BgL_arg1648z00_85); } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1677z00_98; obj_t BgL_arg1679z00_99;
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_v1302z00_116;
BgL_v1302z00_116 = 
create_vector(6L); 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1702z00_117;
BgL_arg1702z00_117 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(9L), BGl_proc2257z00zz__libuv_typesz00, BGl_proc2256z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2255z00zz__libuv_typesz00, 
CNST_TABLE_REF(10L)); 
VECTOR_SET(BgL_v1302z00_116,0L,BgL_arg1702z00_117); } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1710z00_130;
BgL_arg1710z00_130 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(11L), BGl_proc2260z00zz__libuv_typesz00, BGl_proc2259z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2258z00zz__libuv_typesz00, 
CNST_TABLE_REF(12L)); 
VECTOR_SET(BgL_v1302z00_116,1L,BgL_arg1710z00_130); } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1723z00_143;
BgL_arg1723z00_143 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(13L), BGl_proc2263z00zz__libuv_typesz00, BGl_proc2262z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2261z00zz__libuv_typesz00, 
CNST_TABLE_REF(14L)); 
VECTOR_SET(BgL_v1302z00_116,2L,BgL_arg1723z00_143); } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1730z00_156;
BgL_arg1730z00_156 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(15L), BGl_proc2266z00zz__libuv_typesz00, BGl_proc2265z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2264z00zz__libuv_typesz00, 
CNST_TABLE_REF(14L)); 
VECTOR_SET(BgL_v1302z00_116,3L,BgL_arg1730z00_156); } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1747z00_169;
BgL_arg1747z00_169 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(16L), BGl_proc2269z00zz__libuv_typesz00, BGl_proc2268z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2267z00zz__libuv_typesz00, 
CNST_TABLE_REF(12L)); 
VECTOR_SET(BgL_v1302z00_116,4L,BgL_arg1747z00_169); } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1771z00_182;
BgL_arg1771z00_182 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(17L), BGl_proc2272z00zz__libuv_typesz00, BGl_proc2271z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2270z00zz__libuv_typesz00, 
CNST_TABLE_REF(18L)); 
VECTOR_SET(BgL_v1302z00_116,5L,BgL_arg1771z00_182); } 
BgL_arg1677z00_98 = BgL_v1302z00_116; } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_v1303z00_195;
BgL_v1303z00_195 = 
create_vector(0L); 
BgL_arg1679z00_99 = BgL_v1303z00_195; } 
BGl_UvHandlez00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(19L), 
CNST_TABLE_REF(8L), BGl_z52Uvz52zz__libuv_typesz00, 49056L, BGl_proc2275z00zz__libuv_typesz00, BGl_proc2274z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2273z00zz__libuv_typesz00, BFALSE, BgL_arg1677z00_98, BgL_arg1679z00_99); } 
{ /* Llib/uvtypes.scm 34 */
 obj_t BgL_arg1799z00_202; obj_t BgL_arg1800z00_203;
{ /* Llib/uvtypes.scm 34 */
 obj_t BgL_v1304z00_221;
BgL_v1304z00_221 = 
create_vector(1L); 
{ /* Llib/uvtypes.scm 34 */
 obj_t BgL_arg1807z00_222;
BgL_arg1807z00_222 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(20L), BGl_proc2278z00zz__libuv_typesz00, BGl_proc2277z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2276z00zz__libuv_typesz00, 
CNST_TABLE_REF(21L)); 
VECTOR_SET(BgL_v1304z00_221,0L,BgL_arg1807z00_222); } 
BgL_arg1799z00_202 = BgL_v1304z00_221; } 
{ /* Llib/uvtypes.scm 34 */
 obj_t BgL_v1305z00_236;
BgL_v1305z00_236 = 
create_vector(0L); 
BgL_arg1800z00_203 = BgL_v1305z00_236; } 
BGl_UvLoopz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(22L), 
CNST_TABLE_REF(8L), BGl_UvHandlez00zz__libuv_typesz00, 33046L, BGl_proc2281z00zz__libuv_typesz00, BGl_proc2280z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2279z00zz__libuv_typesz00, BFALSE, BgL_arg1799z00_202, BgL_arg1800z00_203); } 
{ /* Llib/uvtypes.scm 37 */
 obj_t BgL_arg1816z00_242; obj_t BgL_arg1817z00_243;
{ /* Llib/uvtypes.scm 37 */
 obj_t BgL_v1306z00_249;
BgL_v1306z00_249 = 
create_vector(3L); 
{ /* Llib/uvtypes.scm 37 */
 obj_t BgL_arg1821z00_250;
BgL_arg1821z00_250 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(23L), BGl_proc2283z00zz__libuv_typesz00, BGl_proc2282z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_UvLoopz00zz__libuv_typesz00); 
VECTOR_SET(BgL_v1306z00_249,0L,BgL_arg1821z00_250); } 
{ /* Llib/uvtypes.scm 37 */
 obj_t BgL_arg1826z00_260;
BgL_arg1826z00_260 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(24L), BGl_proc2286z00zz__libuv_typesz00, BGl_proc2285z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2284z00zz__libuv_typesz00, 
CNST_TABLE_REF(25L)); 
VECTOR_SET(BgL_v1306z00_249,1L,BgL_arg1826z00_260); } 
{ /* Llib/uvtypes.scm 37 */
 obj_t BgL_arg1834z00_273;
BgL_arg1834z00_273 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(26L), BGl_proc2289z00zz__libuv_typesz00, BGl_proc2288z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2287z00zz__libuv_typesz00, 
CNST_TABLE_REF(27L)); 
VECTOR_SET(BgL_v1306z00_249,2L,BgL_arg1834z00_273); } 
BgL_arg1816z00_242 = BgL_v1306z00_249; } 
{ /* Llib/uvtypes.scm 37 */
 obj_t BgL_v1307z00_286;
BgL_v1307z00_286 = 
create_vector(0L); 
BgL_arg1817z00_243 = BgL_v1307z00_286; } 
BGl_UvWatcherz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(28L), 
CNST_TABLE_REF(8L), BGl_UvHandlez00zz__libuv_typesz00, 10511L, BFALSE, BGl_proc2291z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2290z00zz__libuv_typesz00, BFALSE, BgL_arg1816z00_242, BgL_arg1817z00_243); } 
{ /* Llib/uvtypes.scm 42 */
 obj_t BgL_arg1844z00_292; obj_t BgL_arg1845z00_293;
{ /* Llib/uvtypes.scm 42 */
 obj_t BgL_v1308z00_312;
BgL_v1308z00_312 = 
create_vector(2L); 
{ /* Llib/uvtypes.scm 42 */
 obj_t BgL_arg1852z00_313;
BgL_arg1852z00_313 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(23L), BGl_proc2293z00zz__libuv_typesz00, BGl_proc2292z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_UvLoopz00zz__libuv_typesz00); 
VECTOR_SET(BgL_v1308z00_312,0L,BgL_arg1852z00_313); } 
{ /* Llib/uvtypes.scm 42 */
 obj_t BgL_arg1857z00_323;
BgL_arg1857z00_323 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(26L), BGl_proc2296z00zz__libuv_typesz00, BGl_proc2295z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2294z00zz__libuv_typesz00, 
CNST_TABLE_REF(27L)); 
VECTOR_SET(BgL_v1308z00_312,1L,BgL_arg1857z00_323); } 
BgL_arg1844z00_292 = BgL_v1308z00_312; } 
{ /* Llib/uvtypes.scm 42 */
 obj_t BgL_v1309z00_336;
BgL_v1309z00_336 = 
create_vector(0L); 
BgL_arg1845z00_293 = BgL_v1309z00_336; } 
BGl_UvStreamz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(29L), 
CNST_TABLE_REF(8L), BGl_UvHandlez00zz__libuv_typesz00, 43299L, BGl_proc2299z00zz__libuv_typesz00, BGl_proc2298z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2297z00zz__libuv_typesz00, BFALSE, BgL_arg1844z00_292, BgL_arg1845z00_293); } 
{ /* Llib/uvtypes.scm 46 */
 obj_t BgL_arg1867z00_343; obj_t BgL_arg1868z00_344;
{ /* Llib/uvtypes.scm 46 */
 obj_t BgL_v1310z00_363;
BgL_v1310z00_363 = 
create_vector(0L); 
BgL_arg1867z00_343 = BgL_v1310z00_363; } 
{ /* Llib/uvtypes.scm 46 */
 obj_t BgL_v1311z00_364;
BgL_v1311z00_364 = 
create_vector(0L); 
BgL_arg1868z00_344 = BgL_v1311z00_364; } 
BGl_UvTcpz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(30L), 
CNST_TABLE_REF(8L), BGl_UvStreamz00zz__libuv_typesz00, 12982L, BGl_proc2302z00zz__libuv_typesz00, BGl_proc2301z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2300z00zz__libuv_typesz00, BFALSE, BgL_arg1867z00_343, BgL_arg1868z00_344); } 
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL_arg1878z00_371; obj_t BgL_arg1879z00_372;
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL_v1312z00_392;
BgL_v1312z00_392 = 
create_vector(1L); 
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL_arg1886z00_393;
BgL_arg1886z00_393 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(31L), BGl_proc2305z00zz__libuv_typesz00, BGl_proc2304z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2303z00zz__libuv_typesz00, 
CNST_TABLE_REF(14L)); 
VECTOR_SET(BgL_v1312z00_392,0L,BgL_arg1886z00_393); } 
BgL_arg1878z00_371 = BgL_v1312z00_392; } 
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL_v1313z00_406;
BgL_v1313z00_406 = 
create_vector(0L); 
BgL_arg1879z00_372 = BgL_v1313z00_406; } 
BGl_UvUdpz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(32L), 
CNST_TABLE_REF(8L), BGl_UvStreamz00zz__libuv_typesz00, 61053L, BGl_proc2308z00zz__libuv_typesz00, BGl_proc2307z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2306z00zz__libuv_typesz00, BFALSE, BgL_arg1878z00_371, BgL_arg1879z00_372); } 
{ /* Llib/uvtypes.scm 51 */
 obj_t BgL_arg1896z00_413; obj_t BgL_arg1897z00_414;
{ /* Llib/uvtypes.scm 51 */
 obj_t BgL_v1314z00_434;
BgL_v1314z00_434 = 
create_vector(1L); 
{ /* Llib/uvtypes.scm 51 */
 obj_t BgL_arg1904z00_435;
BgL_arg1904z00_435 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(33L), BGl_proc2310z00zz__libuv_typesz00, BGl_proc2309z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(18L)); 
VECTOR_SET(BgL_v1314z00_434,0L,BgL_arg1904z00_435); } 
BgL_arg1896z00_413 = BgL_v1314z00_434; } 
{ /* Llib/uvtypes.scm 51 */
 obj_t BgL_v1315z00_445;
BgL_v1315z00_445 = 
create_vector(0L); 
BgL_arg1897z00_414 = BgL_v1315z00_445; } 
BGl_UvPipez00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(34L), 
CNST_TABLE_REF(8L), BGl_UvStreamz00zz__libuv_typesz00, 59138L, BGl_proc2313z00zz__libuv_typesz00, BGl_proc2312z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2311z00zz__libuv_typesz00, BFALSE, BgL_arg1896z00_413, BgL_arg1897z00_414); } 
{ /* Llib/uvtypes.scm 54 */
 obj_t BgL_arg1912z00_452; obj_t BgL_arg1913z00_453;
{ /* Llib/uvtypes.scm 54 */
 obj_t BgL_v1316z00_474;
BgL_v1316z00_474 = 
create_vector(2L); 
{ /* Llib/uvtypes.scm 54 */
 obj_t BgL_arg1920z00_475;
BgL_arg1920z00_475 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(35L), BGl_proc2315z00zz__libuv_typesz00, BGl_proc2314z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(36L)); 
VECTOR_SET(BgL_v1316z00_474,0L,BgL_arg1920z00_475); } 
{ /* Llib/uvtypes.scm 54 */
 obj_t BgL_arg1927z00_485;
BgL_arg1927z00_485 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(37L), BGl_proc2317z00zz__libuv_typesz00, BGl_proc2316z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(18L)); 
VECTOR_SET(BgL_v1316z00_474,1L,BgL_arg1927z00_485); } 
BgL_arg1912z00_452 = BgL_v1316z00_474; } 
{ /* Llib/uvtypes.scm 54 */
 obj_t BgL_v1317z00_495;
BgL_v1317z00_495 = 
create_vector(0L); 
BgL_arg1913z00_453 = BgL_v1317z00_495; } 
BGl_UvTtyz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(38L), 
CNST_TABLE_REF(8L), BGl_UvStreamz00zz__libuv_typesz00, 33681L, BGl_proc2320z00zz__libuv_typesz00, BGl_proc2319z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2318z00zz__libuv_typesz00, BFALSE, BgL_arg1912z00_452, BgL_arg1913z00_453); } 
{ /* Llib/uvtypes.scm 58 */
 obj_t BgL_arg1935z00_502; obj_t BgL_arg1936z00_503;
{ /* Llib/uvtypes.scm 58 */
 obj_t BgL_v1318z00_525;
BgL_v1318z00_525 = 
create_vector(2L); 
{ /* Llib/uvtypes.scm 58 */
 obj_t BgL_arg1943z00_526;
BgL_arg1943z00_526 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(39L), BGl_proc2323z00zz__libuv_typesz00, BGl_proc2322z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2321z00zz__libuv_typesz00, 
CNST_TABLE_REF(40L)); 
VECTOR_SET(BgL_v1318z00_525,0L,BgL_arg1943z00_526); } 
{ /* Llib/uvtypes.scm 58 */
 obj_t BgL_arg1950z00_539;
BgL_arg1950z00_539 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(41L), BGl_proc2326z00zz__libuv_typesz00, BGl_proc2325z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2324z00zz__libuv_typesz00, 
CNST_TABLE_REF(18L)); 
VECTOR_SET(BgL_v1318z00_525,1L,BgL_arg1950z00_539); } 
BgL_arg1935z00_502 = BgL_v1318z00_525; } 
{ /* Llib/uvtypes.scm 58 */
 obj_t BgL_v1319z00_552;
BgL_v1319z00_552 = 
create_vector(0L); 
BgL_arg1936z00_503 = BgL_v1319z00_552; } 
BGl_UvTimerz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(42L), 
CNST_TABLE_REF(8L), BGl_UvWatcherz00zz__libuv_typesz00, 64284L, BGl_proc2329z00zz__libuv_typesz00, BGl_proc2328z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2327z00zz__libuv_typesz00, BFALSE, BgL_arg1935z00_502, BgL_arg1936z00_503); } 
{ /* Llib/uvtypes.scm 62 */
 obj_t BgL_arg1960z00_559; obj_t BgL_arg1961z00_560;
{ /* Llib/uvtypes.scm 62 */
 obj_t BgL_v1320z00_580;
BgL_v1320z00_580 = 
create_vector(0L); 
BgL_arg1960z00_559 = BgL_v1320z00_580; } 
{ /* Llib/uvtypes.scm 62 */
 obj_t BgL_v1321z00_581;
BgL_v1321z00_581 = 
create_vector(0L); 
BgL_arg1961z00_560 = BgL_v1321z00_581; } 
BGl_UvIdlez00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(43L), 
CNST_TABLE_REF(8L), BGl_UvWatcherz00zz__libuv_typesz00, 3465L, BGl_proc2332z00zz__libuv_typesz00, BGl_proc2331z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2330z00zz__libuv_typesz00, BFALSE, BgL_arg1960z00_559, BgL_arg1961z00_560); } 
{ /* Llib/uvtypes.scm 64 */
 obj_t BgL_arg1971z00_588; obj_t BgL_arg1972z00_589;
{ /* Llib/uvtypes.scm 64 */
 obj_t BgL_v1322z00_609;
BgL_v1322z00_609 = 
create_vector(0L); 
BgL_arg1971z00_588 = BgL_v1322z00_609; } 
{ /* Llib/uvtypes.scm 64 */
 obj_t BgL_v1323z00_610;
BgL_v1323z00_610 = 
create_vector(0L); 
BgL_arg1972z00_589 = BgL_v1323z00_610; } 
BGl_UvAsyncz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(44L), 
CNST_TABLE_REF(8L), BGl_UvWatcherz00zz__libuv_typesz00, 42569L, BGl_proc2335z00zz__libuv_typesz00, BGl_proc2334z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2333z00zz__libuv_typesz00, BFALSE, BgL_arg1971z00_588, BgL_arg1972z00_589); } 
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL_arg1982z00_617; obj_t BgL_arg1983z00_618;
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL_v1324z00_639;
BgL_v1324z00_639 = 
create_vector(1L); 
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL_arg1990z00_640;
BgL_arg1990z00_640 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(35L), BGl_proc2337z00zz__libuv_typesz00, BGl_proc2336z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(36L)); 
VECTOR_SET(BgL_v1324z00_639,0L,BgL_arg1990z00_640); } 
BgL_arg1982z00_617 = BgL_v1324z00_639; } 
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL_v1325z00_650;
BgL_v1325z00_650 = 
create_vector(0L); 
BgL_arg1983z00_618 = BgL_v1325z00_650; } 
BGl_UvPollz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(45L), 
CNST_TABLE_REF(8L), BGl_UvWatcherz00zz__libuv_typesz00, 5968L, BGl_proc2340z00zz__libuv_typesz00, BGl_proc2339z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2338z00zz__libuv_typesz00, BFALSE, BgL_arg1982z00_617, BgL_arg1983z00_618); } 
{ /* Llib/uvtypes.scm 69 */
 obj_t BgL_arg1998z00_657; obj_t BgL_arg1999z00_658;
{ /* Llib/uvtypes.scm 69 */
 obj_t BgL_v1326z00_670;
BgL_v1326z00_670 = 
create_vector(2L); 
{ /* Llib/uvtypes.scm 69 */
 obj_t BgL_arg2005z00_671;
BgL_arg2005z00_671 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(35L), BGl_proc2342z00zz__libuv_typesz00, BGl_proc2341z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(36L)); 
VECTOR_SET(BgL_v1326z00_670,0L,BgL_arg2005z00_671); } 
{ /* Llib/uvtypes.scm 69 */
 obj_t BgL_arg2010z00_681;
BgL_arg2010z00_681 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(46L), BGl_proc2344z00zz__libuv_typesz00, BGl_proc2343z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(47L)); 
VECTOR_SET(BgL_v1326z00_670,1L,BgL_arg2010z00_681); } 
BgL_arg1998z00_657 = BgL_v1326z00_670; } 
{ /* Llib/uvtypes.scm 69 */
 obj_t BgL_v1327z00_691;
BgL_v1327z00_691 = 
create_vector(0L); 
BgL_arg1999z00_658 = BgL_v1327z00_691; } 
BGl_UvFilez00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(48L), 
CNST_TABLE_REF(8L), BGl_objectz00zz__objectz00, 50283L, BGl_proc2347z00zz__libuv_typesz00, BGl_proc2346z00zz__libuv_typesz00, BFALSE, BGl_proc2345z00zz__libuv_typesz00, BFALSE, BgL_arg1998z00_657, BgL_arg1999z00_658); } 
{ /* Llib/uvtypes.scm 73 */
 obj_t BgL_arg2018z00_698; obj_t BgL_arg2019z00_699;
{ /* Llib/uvtypes.scm 73 */
 obj_t BgL_v1328z00_719;
BgL_v1328z00_719 = 
create_vector(0L); 
BgL_arg2018z00_698 = BgL_v1328z00_719; } 
{ /* Llib/uvtypes.scm 73 */
 obj_t BgL_v1329z00_720;
BgL_v1329z00_720 = 
create_vector(0L); 
BgL_arg2019z00_699 = BgL_v1329z00_720; } 
BGl_UvFsEventz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(49L), 
CNST_TABLE_REF(8L), BGl_UvWatcherz00zz__libuv_typesz00, 49452L, BGl_proc2350z00zz__libuv_typesz00, BGl_proc2349z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2348z00zz__libuv_typesz00, BFALSE, BgL_arg2018z00_698, BgL_arg2019z00_699); } 
{ /* Llib/uvtypes.scm 75 */
 obj_t BgL_arg2029z00_727; obj_t BgL_arg2030z00_728;
{ /* Llib/uvtypes.scm 75 */
 obj_t BgL_v1330z00_748;
BgL_v1330z00_748 = 
create_vector(0L); 
BgL_arg2029z00_727 = BgL_v1330z00_748; } 
{ /* Llib/uvtypes.scm 75 */
 obj_t BgL_v1331z00_749;
BgL_v1331z00_749 = 
create_vector(0L); 
BgL_arg2030z00_728 = BgL_v1331z00_749; } 
BGl_UvFsPollz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(50L), 
CNST_TABLE_REF(8L), BGl_UvWatcherz00zz__libuv_typesz00, 33371L, BGl_proc2353z00zz__libuv_typesz00, BGl_proc2352z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2351z00zz__libuv_typesz00, BFALSE, BgL_arg2029z00_727, BgL_arg2030z00_728); } 
{ /* Llib/uvtypes.scm 77 */
 obj_t BgL_arg2040z00_756; obj_t BgL_arg2041z00_757;
{ /* Llib/uvtypes.scm 77 */
 obj_t BgL_v1332z00_777;
BgL_v1332z00_777 = 
create_vector(0L); 
BgL_arg2040z00_756 = BgL_v1332z00_777; } 
{ /* Llib/uvtypes.scm 77 */
 obj_t BgL_v1333z00_778;
BgL_v1333z00_778 = 
create_vector(0L); 
BgL_arg2041z00_757 = BgL_v1333z00_778; } 
BGl_UvCheckz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(51L), 
CNST_TABLE_REF(8L), BGl_UvWatcherz00zz__libuv_typesz00, 52457L, BGl_proc2356z00zz__libuv_typesz00, BGl_proc2355z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2354z00zz__libuv_typesz00, BFALSE, BgL_arg2040z00_756, BgL_arg2041z00_757); } 
{ /* Llib/uvtypes.scm 79 */
 obj_t BgL_arg2051z00_785; obj_t BgL_arg2052z00_786;
{ /* Llib/uvtypes.scm 79 */
 obj_t BgL_v1334z00_804;
BgL_v1334z00_804 = 
create_vector(2L); 
{ /* Llib/uvtypes.scm 79 */
 obj_t BgL_arg2059z00_805;
BgL_arg2059z00_805 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(52L), BGl_proc2359z00zz__libuv_typesz00, BGl_proc2358z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2357z00zz__libuv_typesz00, 
CNST_TABLE_REF(12L)); 
VECTOR_SET(BgL_v1334z00_804,0L,BgL_arg2059z00_805); } 
{ /* Llib/uvtypes.scm 79 */
 obj_t BgL_arg2066z00_818;
BgL_arg2066z00_818 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(53L), BGl_proc2361z00zz__libuv_typesz00, BGl_proc2360z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(36L)); 
VECTOR_SET(BgL_v1334z00_804,1L,BgL_arg2066z00_818); } 
BgL_arg2051z00_785 = BgL_v1334z00_804; } 
{ /* Llib/uvtypes.scm 79 */
 obj_t BgL_v1335z00_828;
BgL_v1335z00_828 = 
create_vector(1L); 
{ /* Llib/uvtypes.scm 83 */
 obj_t BgL_arg2071z00_829;
{ /* Llib/uvtypes.scm 83 */
 obj_t BgL_arg2072z00_830;
BgL_arg2072z00_830 = 
MAKE_YOUNG_PAIR(BGl_proc2362z00zz__libuv_typesz00, BFALSE); 
BgL_arg2071z00_829 = 
MAKE_YOUNG_PAIR(
BINT(0L), BgL_arg2072z00_830); } 
VECTOR_SET(BgL_v1335z00_828,0L,BgL_arg2071z00_829); } 
BgL_arg2052z00_786 = BgL_v1335z00_828; } 
BGl_UvProcessz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(54L), 
CNST_TABLE_REF(8L), BGl_UvHandlez00zz__libuv_typesz00, 11647L, BGl_proc2365z00zz__libuv_typesz00, BGl_proc2364z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2363z00zz__libuv_typesz00, BFALSE, BgL_arg2051z00_785, BgL_arg2052z00_786); } 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_arg2081z00_848; obj_t BgL_arg2082z00_849;
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_v1336z00_861;
BgL_v1336z00_861 = 
create_vector(8L); 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_arg2089z00_862;
BgL_arg2089z00_862 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(9L), BGl_proc2368z00zz__libuv_typesz00, BGl_proc2367z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2366z00zz__libuv_typesz00, 
CNST_TABLE_REF(55L)); 
VECTOR_SET(BgL_v1336z00_861,0L,BgL_arg2089z00_862); } 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_arg2096z00_875;
BgL_arg2096z00_875 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(56L), BGl_proc2370z00zz__libuv_typesz00, BGl_proc2369z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(12L)); 
VECTOR_SET(BgL_v1336z00_861,1L,BgL_arg2096z00_875); } 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_arg2101z00_885;
BgL_arg2101z00_885 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(57L), BGl_proc2372z00zz__libuv_typesz00, BGl_proc2371z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(12L)); 
VECTOR_SET(BgL_v1336z00_861,2L,BgL_arg2101z00_885); } 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_arg2106z00_895;
BgL_arg2106z00_895 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(58L), BGl_proc2374z00zz__libuv_typesz00, BGl_proc2373z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(12L)); 
VECTOR_SET(BgL_v1336z00_861,3L,BgL_arg2106z00_895); } 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_arg2111z00_905;
BgL_arg2111z00_905 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(59L), BGl_proc2376z00zz__libuv_typesz00, BGl_proc2375z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(12L)); 
VECTOR_SET(BgL_v1336z00_861,4L,BgL_arg2111z00_905); } 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_arg2116z00_915;
BgL_arg2116z00_915 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(60L), BGl_proc2378z00zz__libuv_typesz00, BGl_proc2377z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(12L)); 
VECTOR_SET(BgL_v1336z00_861,5L,BgL_arg2116z00_915); } 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_arg2121z00_925;
BgL_arg2121z00_925 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(61L), BGl_proc2380z00zz__libuv_typesz00, BGl_proc2379z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(12L)); 
VECTOR_SET(BgL_v1336z00_861,6L,BgL_arg2121z00_925); } 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_arg2126z00_935;
BgL_arg2126z00_935 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(62L), BGl_proc2382z00zz__libuv_typesz00, BGl_proc2381z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(12L)); 
VECTOR_SET(BgL_v1336z00_861,7L,BgL_arg2126z00_935); } 
BgL_arg2081z00_848 = BgL_v1336z00_861; } 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_v1337z00_945;
BgL_v1337z00_945 = 
create_vector(7L); 
{ /* Llib/uvtypes.scm 92 */
 obj_t BgL_arg2131z00_946;
{ /* Llib/uvtypes.scm 92 */
 obj_t BgL_arg2132z00_947;
BgL_arg2132z00_947 = 
MAKE_YOUNG_PAIR(BGl_proc2383z00zz__libuv_typesz00, BGl_proc2384z00zz__libuv_typesz00); 
BgL_arg2131z00_946 = 
MAKE_YOUNG_PAIR(
BINT(0L), BgL_arg2132z00_947); } 
VECTOR_SET(BgL_v1337z00_945,0L,BgL_arg2131z00_946); } 
{ /* Llib/uvtypes.scm 100 */
 obj_t BgL_arg2141z00_970;
{ /* Llib/uvtypes.scm 100 */
 obj_t BgL_arg2142z00_971;
BgL_arg2142z00_971 = 
MAKE_YOUNG_PAIR(BGl_proc2385z00zz__libuv_typesz00, BGl_proc2386z00zz__libuv_typesz00); 
BgL_arg2141z00_970 = 
MAKE_YOUNG_PAIR(
BINT(1L), BgL_arg2142z00_971); } 
VECTOR_SET(BgL_v1337z00_945,1L,BgL_arg2141z00_970); } 
{ /* Llib/uvtypes.scm 108 */
 obj_t BgL_arg2151z00_994;
{ /* Llib/uvtypes.scm 108 */
 obj_t BgL_arg2152z00_995;
BgL_arg2152z00_995 = 
MAKE_YOUNG_PAIR(BGl_proc2387z00zz__libuv_typesz00, BGl_proc2388z00zz__libuv_typesz00); 
BgL_arg2151z00_994 = 
MAKE_YOUNG_PAIR(
BINT(2L), BgL_arg2152z00_995); } 
VECTOR_SET(BgL_v1337z00_945,2L,BgL_arg2151z00_994); } 
{ /* Llib/uvtypes.scm 116 */
 obj_t BgL_arg2161z00_1018;
{ /* Llib/uvtypes.scm 116 */
 obj_t BgL_arg2162z00_1019;
BgL_arg2162z00_1019 = 
MAKE_YOUNG_PAIR(BGl_proc2389z00zz__libuv_typesz00, BGl_proc2390z00zz__libuv_typesz00); 
BgL_arg2161z00_1018 = 
MAKE_YOUNG_PAIR(
BINT(3L), BgL_arg2162z00_1019); } 
VECTOR_SET(BgL_v1337z00_945,3L,BgL_arg2161z00_1018); } 
{ /* Llib/uvtypes.scm 124 */
 obj_t BgL_arg2171z00_1042;
{ /* Llib/uvtypes.scm 124 */
 obj_t BgL_arg2172z00_1043;
BgL_arg2172z00_1043 = 
MAKE_YOUNG_PAIR(BGl_proc2391z00zz__libuv_typesz00, BGl_proc2392z00zz__libuv_typesz00); 
BgL_arg2171z00_1042 = 
MAKE_YOUNG_PAIR(
BINT(4L), BgL_arg2172z00_1043); } 
VECTOR_SET(BgL_v1337z00_945,4L,BgL_arg2171z00_1042); } 
{ /* Llib/uvtypes.scm 132 */
 obj_t BgL_arg2181z00_1066;
{ /* Llib/uvtypes.scm 132 */
 obj_t BgL_arg2182z00_1067;
BgL_arg2182z00_1067 = 
MAKE_YOUNG_PAIR(BGl_proc2393z00zz__libuv_typesz00, BGl_proc2394z00zz__libuv_typesz00); 
BgL_arg2181z00_1066 = 
MAKE_YOUNG_PAIR(
BINT(5L), BgL_arg2182z00_1067); } 
VECTOR_SET(BgL_v1337z00_945,5L,BgL_arg2181z00_1066); } 
{ /* Llib/uvtypes.scm 140 */
 obj_t BgL_arg2191z00_1090;
{ /* Llib/uvtypes.scm 140 */
 obj_t BgL_arg2192z00_1091;
BgL_arg2192z00_1091 = 
MAKE_YOUNG_PAIR(BGl_proc2395z00zz__libuv_typesz00, BGl_proc2396z00zz__libuv_typesz00); 
BgL_arg2191z00_1090 = 
MAKE_YOUNG_PAIR(
BINT(6L), BgL_arg2192z00_1091); } 
VECTOR_SET(BgL_v1337z00_945,6L,BgL_arg2191z00_1090); } 
BgL_arg2082z00_849 = BgL_v1337z00_945; } 
BGl_UvProcessOptionsz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(63L), 
CNST_TABLE_REF(8L), BGl_z52Uvz52zz__libuv_typesz00, 34792L, BGl_proc2399z00zz__libuv_typesz00, BGl_proc2398z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2397z00zz__libuv_typesz00, BFALSE, BgL_arg2081z00_848, BgL_arg2082z00_849); } 
{ /* Llib/uvtypes.scm 147 */
 obj_t BgL_arg2205z00_1120; obj_t BgL_arg2206z00_1121;
{ /* Llib/uvtypes.scm 147 */
 obj_t BgL_v1338z00_1135;
BgL_v1338z00_1135 = 
create_vector(3L); 
{ /* Llib/uvtypes.scm 147 */
 obj_t BgL_arg2213z00_1136;
BgL_arg2213z00_1136 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(9L), BGl_proc2402z00zz__libuv_typesz00, BGl_proc2401z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2400z00zz__libuv_typesz00, 
CNST_TABLE_REF(64L)); 
VECTOR_SET(BgL_v1338z00_1135,0L,BgL_arg2213z00_1136); } 
{ /* Llib/uvtypes.scm 147 */
 obj_t BgL_arg2220z00_1149;
BgL_arg2220z00_1149 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(65L), BGl_proc2404z00zz__libuv_typesz00, BGl_proc2403z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(25L)); 
VECTOR_SET(BgL_v1338z00_1135,1L,BgL_arg2220z00_1149); } 
{ /* Llib/uvtypes.scm 147 */
 obj_t BgL_arg2225z00_1159;
BgL_arg2225z00_1159 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(66L), BGl_proc2406z00zz__libuv_typesz00, BGl_proc2405z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(25L)); 
VECTOR_SET(BgL_v1338z00_1135,2L,BgL_arg2225z00_1159); } 
BgL_arg2205z00_1120 = BgL_v1338z00_1135; } 
{ /* Llib/uvtypes.scm 147 */
 obj_t BgL_v1339z00_1169;
BgL_v1339z00_1169 = 
create_vector(0L); 
BgL_arg2206z00_1121 = BgL_v1339z00_1169; } 
return ( 
BGl_UvWorkz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(67L), 
CNST_TABLE_REF(8L), BGl_z52Uvz52zz__libuv_typesz00, 37721L, BGl_proc2409z00zz__libuv_typesz00, BGl_proc2408z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2407z00zz__libuv_typesz00, BFALSE, BgL_arg2205z00_1120, BgL_arg2206z00_1121), BUNSPEC) ;} } 

}



/* &<@anonymous:2212> */
obj_t BGl_z62zc3z04anonymousza32212ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1808, obj_t BgL_new1242z00_1809)
{
{ /* Llib/uvtypes.scm 147 */
{ 
 BgL_uvworkz00_bglt BgL_auxz00_3078;
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_new1242z00_1809)))->BgL_z42builtinz42)=((uv_work_t *)
0L),BUNSPEC); 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_new1242z00_1809)))->BgL_z52workzd2cbz80)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_new1242z00_1809)))->BgL_z52afterzd2cbz80)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_3078 = 
((BgL_uvworkz00_bglt)BgL_new1242z00_1809); 
return 
((obj_t)BgL_auxz00_3078);} } 

}



/* &lambda2210 */
BgL_uvworkz00_bglt BGl_z62lambda2210z62zz__libuv_typesz00(obj_t BgL_envz00_1810)
{
{ /* Llib/uvtypes.scm 147 */
{ /* Llib/uvtypes.scm 147 */
 BgL_uvworkz00_bglt BgL_new1241z00_2274;
BgL_new1241z00_2274 = 
((BgL_uvworkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvworkz00_bgl) ))); 
{ /* Llib/uvtypes.scm 147 */
 long BgL_arg2211z00_2275;
BgL_arg2211z00_2275 = 
BGL_CLASS_NUM(BGl_UvWorkz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1241z00_2274), BgL_arg2211z00_2275); } 
return BgL_new1241z00_2274;} } 

}



/* &lambda2207 */
BgL_uvworkz00_bglt BGl_z62lambda2207z62zz__libuv_typesz00(obj_t BgL_envz00_1811, obj_t BgL_z42builtin1238z42_1812, obj_t BgL_z52workzd2cb1239z80_1813, obj_t BgL_z52afterzd2cb1240z80_1814)
{
{ /* Llib/uvtypes.scm 147 */
{ /* Llib/uvtypes.scm 147 */
 uv_work_t * BgL_z42builtin1238z42_2276;
BgL_z42builtin1238z42_2276 = 
FOREIGN_TO_COBJ(BgL_z42builtin1238z42_1812); 
{ /* Llib/uvtypes.scm 147 */
 BgL_uvworkz00_bglt BgL_new1299z00_2279;
{ /* Llib/uvtypes.scm 147 */
 BgL_uvworkz00_bglt BgL_new1298z00_2280;
BgL_new1298z00_2280 = 
((BgL_uvworkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvworkz00_bgl) ))); 
{ /* Llib/uvtypes.scm 147 */
 long BgL_arg2209z00_2281;
BgL_arg2209z00_2281 = 
BGL_CLASS_NUM(BGl_UvWorkz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1298z00_2280), BgL_arg2209z00_2281); } 
BgL_new1299z00_2279 = BgL_new1298z00_2280; } 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1299z00_2279))->BgL_z42builtinz42)=((uv_work_t *)BgL_z42builtin1238z42_2276),BUNSPEC); 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1299z00_2279))->BgL_z52workzd2cbz80)=((obj_t)
((obj_t)BgL_z52workzd2cb1239z80_1813)),BUNSPEC); 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1299z00_2279))->BgL_z52afterzd2cbz80)=((obj_t)
((obj_t)BgL_z52afterzd2cb1240z80_1814)),BUNSPEC); 
{ /* Llib/uvtypes.scm 147 */
 obj_t BgL_fun2208z00_2282;
BgL_fun2208z00_2282 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvWorkz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2208z00_2282))(BgL_fun2208z00_2282, 
((obj_t)BgL_new1299z00_2279), BEOA); } 
return BgL_new1299z00_2279;} } } 

}



/* &lambda2229 */
obj_t BGl_z62lambda2229z62zz__libuv_typesz00(obj_t BgL_envz00_1815, obj_t BgL_oz00_1816, obj_t BgL_vz00_1817)
{
{ /* Llib/uvtypes.scm 147 */
return 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1816)))->BgL_z52afterzd2cbz80)=((obj_t)
((obj_t)BgL_vz00_1817)),BUNSPEC);} 

}



/* &lambda2228 */
obj_t BGl_z62lambda2228z62zz__libuv_typesz00(obj_t BgL_envz00_1818, obj_t BgL_oz00_1819)
{
{ /* Llib/uvtypes.scm 147 */
return 
(((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1819)))->BgL_z52afterzd2cbz80);} 

}



/* &lambda2224 */
obj_t BGl_z62lambda2224z62zz__libuv_typesz00(obj_t BgL_envz00_1820, obj_t BgL_oz00_1821, obj_t BgL_vz00_1822)
{
{ /* Llib/uvtypes.scm 147 */
return 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1821)))->BgL_z52workzd2cbz80)=((obj_t)
((obj_t)BgL_vz00_1822)),BUNSPEC);} 

}



/* &lambda2223 */
obj_t BGl_z62lambda2223z62zz__libuv_typesz00(obj_t BgL_envz00_1823, obj_t BgL_oz00_1824)
{
{ /* Llib/uvtypes.scm 147 */
return 
(((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1824)))->BgL_z52workzd2cbz80);} 

}



/* &<@anonymous:2219> */
obj_t BGl_z62zc3z04anonymousza32219ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1825)
{
{ /* Llib/uvtypes.scm 147 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2218 */
obj_t BGl_z62lambda2218z62zz__libuv_typesz00(obj_t BgL_envz00_1826, obj_t BgL_oz00_1827, obj_t BgL_vz00_1828)
{
{ /* Llib/uvtypes.scm 147 */
{ /* Llib/uvtypes.scm 147 */
 uv_work_t * BgL_vz00_2290;
BgL_vz00_2290 = 
FOREIGN_TO_COBJ(BgL_vz00_1828); 
return 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1827)))->BgL_z42builtinz42)=((uv_work_t *)BgL_vz00_2290),BUNSPEC);} } 

}



/* &lambda2217 */
obj_t BGl_z62lambda2217z62zz__libuv_typesz00(obj_t BgL_envz00_1829, obj_t BgL_oz00_1830)
{
{ /* Llib/uvtypes.scm 147 */
return 
void_star_to_obj(
(((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1830)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2088> */
obj_t BGl_z62zc3z04anonymousza32088ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1831, obj_t BgL_new1236z00_1832)
{
{ /* Llib/uvtypes.scm 87 */
{ 
 BgL_uvprocessoptionsz00_bglt BgL_auxz00_3125;
((((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_new1236z00_1832)))->BgL_z42builtinz42)=((uv_process_options_t *)
0L),BUNSPEC); 
BgL_auxz00_3125 = 
((BgL_uvprocessoptionsz00_bglt)BgL_new1236z00_1832); 
return 
((obj_t)BgL_auxz00_3125);} } 

}



/* &lambda2086 */
BgL_uvprocessoptionsz00_bglt BGl_z62lambda2086z62zz__libuv_typesz00(obj_t BgL_envz00_1833)
{
{ /* Llib/uvtypes.scm 87 */
{ /* Llib/uvtypes.scm 87 */
 BgL_uvprocessoptionsz00_bglt BgL_new1235z00_2293;
BgL_new1235z00_2293 = 
((BgL_uvprocessoptionsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvprocessoptionsz00_bgl) ))); 
{ /* Llib/uvtypes.scm 87 */
 long BgL_arg2087z00_2294;
BgL_arg2087z00_2294 = 
BGL_CLASS_NUM(BGl_UvProcessOptionsz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1235z00_2293), BgL_arg2087z00_2294); } 
return BgL_new1235z00_2293;} } 

}



/* &lambda2083 */
BgL_uvprocessoptionsz00_bglt BGl_z62lambda2083z62zz__libuv_typesz00(obj_t BgL_envz00_1834, obj_t BgL_z42builtin1234z42_1835)
{
{ /* Llib/uvtypes.scm 87 */
{ /* Llib/uvtypes.scm 87 */
 uv_process_options_t * BgL_z42builtin1234z42_2295;
BgL_z42builtin1234z42_2295 = 
FOREIGN_TO_COBJ(BgL_z42builtin1234z42_1835); 
{ /* Llib/uvtypes.scm 87 */
 BgL_uvprocessoptionsz00_bglt BgL_new1283z00_2296;
{ /* Llib/uvtypes.scm 87 */
 BgL_uvprocessoptionsz00_bglt BgL_new1282z00_2297;
BgL_new1282z00_2297 = 
((BgL_uvprocessoptionsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvprocessoptionsz00_bgl) ))); 
{ /* Llib/uvtypes.scm 87 */
 long BgL_arg2085z00_2298;
BgL_arg2085z00_2298 = 
BGL_CLASS_NUM(BGl_UvProcessOptionsz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1282z00_2297), BgL_arg2085z00_2298); } 
BgL_new1283z00_2296 = BgL_new1282z00_2297; } 
((((BgL_uvprocessoptionsz00_bglt)COBJECT(BgL_new1283z00_2296))->BgL_z42builtinz42)=((uv_process_options_t *)BgL_z42builtin1234z42_2295),BUNSPEC); 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_fun2084z00_2299;
BgL_fun2084z00_2299 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvProcessOptionsz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2084z00_2299))(BgL_fun2084z00_2299, 
((obj_t)BgL_new1283z00_2296), BEOA); } 
return BgL_new1283z00_2296;} } } 

}



/* &<@anonymous:2199> */
obj_t BGl_z62zc3z04anonymousza32199ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1836, obj_t BgL_oz00_1837, obj_t BgL_vz00_1838)
{
{ /* Llib/uvtypes.scm 138 */
{ /* Llib/uvtypes.scm 144 */
 uv_process_options_t * BgL_arg2200z00_2300;
BgL_arg2200z00_2300 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1837)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 144 */
 int BgL_tmpz00_3149;
BgL_tmpz00_3149 = 
CINT(BgL_vz00_1838); 
BGL_UV_PROCESS_OPTIONS_GID_SET(BgL_arg2200z00_2300, BgL_tmpz00_3149); } BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2195> */
obj_t BGl_z62zc3z04anonymousza32195ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1839, obj_t BgL_oz00_1840)
{
{ /* Llib/uvtypes.scm 138 */
{ /* Llib/uvtypes.scm 140 */
 int BgL_tmpz00_3152;
{ /* Llib/uvtypes.scm 141 */
 uv_process_options_t * BgL_arg2197z00_2301;
BgL_arg2197z00_2301 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1840)))->BgL_z42builtinz42); 
BgL_tmpz00_3152 = 
BGL_UV_PROCESS_OPTIONS_GID_GET(BgL_arg2197z00_2301); } 
return 
BINT(BgL_tmpz00_3152);} } 

}



/* &<@anonymous:2188> */
obj_t BGl_z62zc3z04anonymousza32188ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1841, obj_t BgL_oz00_1842, obj_t BgL_vz00_1843)
{
{ /* Llib/uvtypes.scm 130 */
{ /* Llib/uvtypes.scm 136 */
 uv_process_options_t * BgL_arg2189z00_2302;
BgL_arg2189z00_2302 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1842)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 136 */
 int BgL_tmpz00_3159;
BgL_tmpz00_3159 = 
CINT(BgL_vz00_1843); 
BGL_UV_PROCESS_OPTIONS_UID_SET(BgL_arg2189z00_2302, BgL_tmpz00_3159); } BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2185> */
obj_t BGl_z62zc3z04anonymousza32185ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1844, obj_t BgL_oz00_1845)
{
{ /* Llib/uvtypes.scm 130 */
{ /* Llib/uvtypes.scm 132 */
 int BgL_tmpz00_3162;
{ /* Llib/uvtypes.scm 133 */
 uv_process_options_t * BgL_arg2186z00_2303;
BgL_arg2186z00_2303 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1845)))->BgL_z42builtinz42); 
BgL_tmpz00_3162 = 
BGL_UV_PROCESS_OPTIONS_UID_GET(BgL_arg2186z00_2303); } 
return 
BINT(BgL_tmpz00_3162);} } 

}



/* &<@anonymous:2178> */
obj_t BGl_z62zc3z04anonymousza32178ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1846, obj_t BgL_oz00_1847, obj_t BgL_vz00_1848)
{
{ /* Llib/uvtypes.scm 122 */
{ /* Llib/uvtypes.scm 128 */
 uv_process_options_t * BgL_arg2179z00_2304;
BgL_arg2179z00_2304 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1847)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 128 */
 int BgL_tmpz00_3169;
BgL_tmpz00_3169 = 
CINT(BgL_vz00_1848); 
BGL_UV_PROCESS_OPTIONS_FLAGS_SET(BgL_arg2179z00_2304, BgL_tmpz00_3169); } BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2175> */
obj_t BGl_z62zc3z04anonymousza32175ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1849, obj_t BgL_oz00_1850)
{
{ /* Llib/uvtypes.scm 122 */
{ /* Llib/uvtypes.scm 124 */
 int BgL_tmpz00_3172;
{ /* Llib/uvtypes.scm 125 */
 uv_process_options_t * BgL_arg2176z00_2305;
BgL_arg2176z00_2305 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1850)))->BgL_z42builtinz42); 
BgL_tmpz00_3172 = 
BGL_UV_PROCESS_OPTIONS_FLAGS_GET(BgL_arg2176z00_2305); } 
return 
BINT(BgL_tmpz00_3172);} } 

}



/* &<@anonymous:2168> */
obj_t BGl_z62zc3z04anonymousza32168ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1851, obj_t BgL_oz00_1852, obj_t BgL_vz00_1853)
{
{ /* Llib/uvtypes.scm 114 */
{ /* Llib/uvtypes.scm 120 */
 uv_process_options_t * BgL_arg2169z00_2306;
BgL_arg2169z00_2306 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1852)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 120 */
 char * BgL_tmpz00_3179;
BgL_tmpz00_3179 = 
BSTRING_TO_STRING(BgL_vz00_1853); 
BGL_UV_PROCESS_OPTIONS_CWD_SET(BgL_arg2169z00_2306, BgL_tmpz00_3179); } BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2165> */
obj_t BGl_z62zc3z04anonymousza32165ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1854, obj_t BgL_oz00_1855)
{
{ /* Llib/uvtypes.scm 114 */
{ /* Llib/uvtypes.scm 116 */
 char * BgL_tmpz00_3182;
{ /* Llib/uvtypes.scm 117 */
 uv_process_options_t * BgL_arg2166z00_2307;
BgL_arg2166z00_2307 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1855)))->BgL_z42builtinz42); 
BgL_tmpz00_3182 = 
BGL_UV_PROCESS_OPTIONS_CWD_GET(BgL_arg2166z00_2307); } 
return 
string_to_bstring(BgL_tmpz00_3182);} } 

}



/* &<@anonymous:2158> */
obj_t BGl_z62zc3z04anonymousza32158ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1856, obj_t BgL_oz00_1857, obj_t BgL_vz00_1858)
{
{ /* Llib/uvtypes.scm 106 */
{ /* Llib/uvtypes.scm 112 */
 uv_process_options_t * BgL_arg2159z00_2308;
BgL_arg2159z00_2308 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1857)))->BgL_z42builtinz42); 
bgl_uv_process_options_env_set(BgL_arg2159z00_2308, BgL_vz00_1858); BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2155> */
obj_t BGl_z62zc3z04anonymousza32155ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1859, obj_t BgL_oz00_1860)
{
{ /* Llib/uvtypes.scm 106 */
{ /* Llib/uvtypes.scm 109 */
 uv_process_options_t * BgL_arg2156z00_2309;
BgL_arg2156z00_2309 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1860)))->BgL_z42builtinz42); 
return 
bgl_uv_process_options_env_get(BgL_arg2156z00_2309);} } 

}



/* &<@anonymous:2148> */
obj_t BGl_z62zc3z04anonymousza32148ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1861, obj_t BgL_oz00_1862, obj_t BgL_vz00_1863)
{
{ /* Llib/uvtypes.scm 98 */
{ /* Llib/uvtypes.scm 104 */
 uv_process_options_t * BgL_arg2149z00_2310;
BgL_arg2149z00_2310 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1862)))->BgL_z42builtinz42); 
bgl_uv_process_options_args_set(BgL_arg2149z00_2310, BgL_vz00_1863); BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2145> */
obj_t BGl_z62zc3z04anonymousza32145ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1864, obj_t BgL_oz00_1865)
{
{ /* Llib/uvtypes.scm 98 */
{ /* Llib/uvtypes.scm 101 */
 uv_process_options_t * BgL_arg2146z00_2311;
BgL_arg2146z00_2311 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1865)))->BgL_z42builtinz42); 
return 
bgl_uv_process_options_args_get(BgL_arg2146z00_2311);} } 

}



/* &<@anonymous:2138> */
obj_t BGl_z62zc3z04anonymousza32138ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1866, obj_t BgL_oz00_1867, obj_t BgL_vz00_1868)
{
{ /* Llib/uvtypes.scm 90 */
{ /* Llib/uvtypes.scm 96 */
 uv_process_options_t * BgL_arg2139z00_2312;
BgL_arg2139z00_2312 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1867)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 96 */
 char * BgL_tmpz00_3201;
BgL_tmpz00_3201 = 
BSTRING_TO_STRING(BgL_vz00_1868); 
BGL_UV_PROCESS_OPTIONS_FILE_SET(BgL_arg2139z00_2312, BgL_tmpz00_3201); } BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2135> */
obj_t BGl_z62zc3z04anonymousza32135ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1869, obj_t BgL_oz00_1870)
{
{ /* Llib/uvtypes.scm 90 */
{ /* Llib/uvtypes.scm 92 */
 char * BgL_tmpz00_3204;
{ /* Llib/uvtypes.scm 93 */
 uv_process_options_t * BgL_arg2136z00_2313;
BgL_arg2136z00_2313 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1870)))->BgL_z42builtinz42); 
BgL_tmpz00_3204 = 
BGL_UV_PROCESS_OPTIONS_FILE_GET(BgL_arg2136z00_2313); } 
return 
string_to_bstring(BgL_tmpz00_3204);} } 

}



/* &<@anonymous:2130> */
obj_t BGl_z62zc3z04anonymousza32130ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1871, obj_t BgL_oz00_1872, obj_t BgL_vz00_1873)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1872), 
(int)(6L), BgL_vz00_1873);} 

}



/* &<@anonymous:2129> */
obj_t BGl_z62zc3z04anonymousza32129ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1874, obj_t BgL_oz00_1875)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1875), 
(int)(6L));} 

}



/* &<@anonymous:2125> */
obj_t BGl_z62zc3z04anonymousza32125ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1876, obj_t BgL_oz00_1877, obj_t BgL_vz00_1878)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1877), 
(int)(5L), BgL_vz00_1878);} 

}



/* &<@anonymous:2124> */
obj_t BGl_z62zc3z04anonymousza32124ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1879, obj_t BgL_oz00_1880)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1880), 
(int)(5L));} 

}



/* &<@anonymous:2120> */
obj_t BGl_z62zc3z04anonymousza32120ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1881, obj_t BgL_oz00_1882, obj_t BgL_vz00_1883)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1882), 
(int)(4L), BgL_vz00_1883);} 

}



/* &<@anonymous:2119> */
obj_t BGl_z62zc3z04anonymousza32119ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1884, obj_t BgL_oz00_1885)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1885), 
(int)(4L));} 

}



/* &<@anonymous:2115> */
obj_t BGl_z62zc3z04anonymousza32115ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1886, obj_t BgL_oz00_1887, obj_t BgL_vz00_1888)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1887), 
(int)(3L), BgL_vz00_1888);} 

}



/* &<@anonymous:2114> */
obj_t BGl_z62zc3z04anonymousza32114ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1889, obj_t BgL_oz00_1890)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1890), 
(int)(3L));} 

}



/* &<@anonymous:2110> */
obj_t BGl_z62zc3z04anonymousza32110ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1891, obj_t BgL_oz00_1892, obj_t BgL_vz00_1893)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1892), 
(int)(2L), BgL_vz00_1893);} 

}



/* &<@anonymous:2109> */
obj_t BGl_z62zc3z04anonymousza32109ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1894, obj_t BgL_oz00_1895)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1895), 
(int)(2L));} 

}



/* &<@anonymous:2105> */
obj_t BGl_z62zc3z04anonymousza32105ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1896, obj_t BgL_oz00_1897, obj_t BgL_vz00_1898)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1897), 
(int)(1L), BgL_vz00_1898);} 

}



/* &<@anonymous:2104> */
obj_t BGl_z62zc3z04anonymousza32104ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1899, obj_t BgL_oz00_1900)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1900), 
(int)(1L));} 

}



/* &<@anonymous:2100> */
obj_t BGl_z62zc3z04anonymousza32100ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1901, obj_t BgL_oz00_1902, obj_t BgL_vz00_1903)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1902), 
(int)(0L), BgL_vz00_1903);} 

}



/* &<@anonymous:2099> */
obj_t BGl_z62zc3z04anonymousza32099ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1904, obj_t BgL_oz00_1905)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1905), 
(int)(0L));} 

}



/* &<@anonymous:2095> */
obj_t BGl_z62zc3z04anonymousza32095ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1906)
{
{ /* Llib/uvtypes.scm 87 */
return 
void_star_to_obj(
((uv_process_options_t *)GC_MALLOC( sizeof( uv_process_options_t ) )));} 

}



/* &lambda2094 */
obj_t BGl_z62lambda2094z62zz__libuv_typesz00(obj_t BgL_envz00_1907, obj_t BgL_oz00_1908, obj_t BgL_vz00_1909)
{
{ /* Llib/uvtypes.scm 87 */
{ /* Llib/uvtypes.scm 87 */
 uv_process_options_t * BgL_vz00_2315;
BgL_vz00_2315 = 
FOREIGN_TO_COBJ(BgL_vz00_1909); 
return 
((((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1908)))->BgL_z42builtinz42)=((uv_process_options_t *)BgL_vz00_2315),BUNSPEC);} } 

}



/* &lambda2093 */
obj_t BGl_z62lambda2093z62zz__libuv_typesz00(obj_t BgL_envz00_1910, obj_t BgL_oz00_1911)
{
{ /* Llib/uvtypes.scm 87 */
return 
void_star_to_obj(
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1911)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2058> */
obj_t BGl_z62zc3z04anonymousza32058ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1912, obj_t BgL_new1232z00_1913)
{
{ /* Llib/uvtypes.scm 79 */
{ 
 BgL_uvprocessz00_bglt BgL_auxz00_3259;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1232z00_1913))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1232z00_1913))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1232z00_1913))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1232z00_1913))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1232z00_1913))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1232z00_1913))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_uvprocessz00_bglt)COBJECT(
((BgL_uvprocessz00_bglt)BgL_new1232z00_1913)))->BgL_z42onexitz42)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_3259 = 
((BgL_uvprocessz00_bglt)BgL_new1232z00_1913); 
return 
((obj_t)BgL_auxz00_3259);} } 

}



/* &lambda2056 */
BgL_uvprocessz00_bglt BGl_z62lambda2056z62zz__libuv_typesz00(obj_t BgL_envz00_1914)
{
{ /* Llib/uvtypes.scm 79 */
{ /* Llib/uvtypes.scm 79 */
 BgL_uvprocessz00_bglt BgL_new1231z00_2318;
BgL_new1231z00_2318 = 
((BgL_uvprocessz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvprocessz00_bgl) ))); 
{ /* Llib/uvtypes.scm 79 */
 long BgL_arg2057z00_2319;
BgL_arg2057z00_2319 = 
BGL_CLASS_NUM(BGl_UvProcessz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1231z00_2318), BgL_arg2057z00_2319); } 
return BgL_new1231z00_2318;} } 

}



/* &lambda2053 */
BgL_uvprocessz00_bglt BGl_z62lambda2053z62zz__libuv_typesz00(obj_t BgL_envz00_1915, obj_t BgL_z42builtin1224z42_1916, obj_t BgL_z52onclose1225z52_1917, obj_t BgL_z52gcmarkshead1226z52_1918, obj_t BgL_z52gcmarkstail1227z52_1919, obj_t BgL_z52gcmark1228z52_1920, obj_t BgL_closed1229z00_1921, obj_t BgL_z42onexit1230z42_1922)
{
{ /* Llib/uvtypes.scm 79 */
{ /* Llib/uvtypes.scm 79 */
 uv_handle_t * BgL_z42builtin1224z42_2320; bool_t BgL_closed1229z00_2323;
BgL_z42builtin1224z42_2320 = 
FOREIGN_TO_COBJ(BgL_z42builtin1224z42_1916); 
BgL_closed1229z00_2323 = 
CBOOL(BgL_closed1229z00_1921); 
{ /* Llib/uvtypes.scm 79 */
 BgL_uvprocessz00_bglt BgL_new1280z00_2324;
{ /* Llib/uvtypes.scm 79 */
 BgL_uvprocessz00_bglt BgL_new1279z00_2325;
BgL_new1279z00_2325 = 
((BgL_uvprocessz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvprocessz00_bgl) ))); 
{ /* Llib/uvtypes.scm 79 */
 long BgL_arg2055z00_2326;
BgL_arg2055z00_2326 = 
BGL_CLASS_NUM(BGl_UvProcessz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1279z00_2325), BgL_arg2055z00_2326); } 
BgL_new1280z00_2324 = BgL_new1279z00_2325; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1280z00_2324)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1224z42_2320),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1280z00_2324)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1225z52_1917),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1280z00_2324)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1226z52_1918)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1280z00_2324)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1227z52_1919)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1280z00_2324)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1228z52_1920),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1280z00_2324)))->BgL_closedz00)=((bool_t)BgL_closed1229z00_2323),BUNSPEC); 
((((BgL_uvprocessz00_bglt)COBJECT(BgL_new1280z00_2324))->BgL_z42onexitz42)=((obj_t)BgL_z42onexit1230z42_1922),BUNSPEC); 
{ /* Llib/uvtypes.scm 79 */
 obj_t BgL_fun2054z00_2327;
BgL_fun2054z00_2327 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvProcessz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2054z00_2327))(BgL_fun2054z00_2327, 
((obj_t)BgL_new1280z00_2324), BEOA); } 
return BgL_new1280z00_2324;} } } 

}



/* &<@anonymous:2074> */
obj_t BGl_z62zc3z04anonymousza32074ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1923, obj_t BgL_oz00_1924)
{
{ /* Llib/uvtypes.scm 81 */
{ /* Llib/uvtypes.scm 83 */
 int BgL_tmpz00_3314;
{ /* Llib/uvtypes.scm 84 */
 uv_process_t * BgL_arg2075z00_2328;
{ /* Llib/uvtypes.scm 84 */
 uv_handle_t * BgL_arg2076z00_2329;
BgL_arg2076z00_2329 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_oz00_1924))))->BgL_z42builtinz42); 
BgL_arg2075z00_2328 = 
(uv_process_t *)(BgL_arg2076z00_2329); } 
BgL_tmpz00_3314 = 
(BgL_arg2075z00_2328->pid); } 
return 
BINT(BgL_tmpz00_3314);} } 

}



/* &<@anonymous:2070> */
obj_t BGl_z62zc3z04anonymousza32070ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1925, obj_t BgL_oz00_1926, obj_t BgL_vz00_1927)
{
{ /* Llib/uvtypes.scm 79 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1926), 
(int)(0L), BgL_vz00_1927);} 

}



/* &<@anonymous:2069> */
obj_t BGl_z62zc3z04anonymousza32069ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1928, obj_t BgL_oz00_1929)
{
{ /* Llib/uvtypes.scm 79 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1929), 
(int)(0L));} 

}



/* &<@anonymous:2065> */
obj_t BGl_z62zc3z04anonymousza32065ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1930)
{
{ /* Llib/uvtypes.scm 79 */
return BUNSPEC;} 

}



/* &lambda2064 */
obj_t BGl_z62lambda2064z62zz__libuv_typesz00(obj_t BgL_envz00_1931, obj_t BgL_oz00_1932, obj_t BgL_vz00_1933)
{
{ /* Llib/uvtypes.scm 79 */
return 
((((BgL_uvprocessz00_bglt)COBJECT(
((BgL_uvprocessz00_bglt)BgL_oz00_1932)))->BgL_z42onexitz42)=((obj_t)BgL_vz00_1933),BUNSPEC);} 

}



/* &lambda2063 */
obj_t BGl_z62lambda2063z62zz__libuv_typesz00(obj_t BgL_envz00_1934, obj_t BgL_oz00_1935)
{
{ /* Llib/uvtypes.scm 79 */
return 
(((BgL_uvprocessz00_bglt)COBJECT(
((BgL_uvprocessz00_bglt)BgL_oz00_1935)))->BgL_z42onexitz42);} 

}



/* &<@anonymous:2047> */
obj_t BGl_z62zc3z04anonymousza32047ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1936, obj_t BgL_new1222z00_1937)
{
{ /* Llib/uvtypes.scm 77 */
{ 
 BgL_uvcheckz00_bglt BgL_auxz00_3331;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1222z00_1937))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1222z00_1937))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1222z00_1937))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1222z00_1937))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1222z00_1937))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1222z00_1937))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3351;
{ /* Llib/uvtypes.scm 77 */
 obj_t BgL_classz00_2333;
BgL_classz00_2333 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 77 */
 obj_t BgL__ortest_1116z00_2334;
BgL__ortest_1116z00_2334 = 
BGL_CLASS_NIL(BgL_classz00_2333); 
if(
CBOOL(BgL__ortest_1116z00_2334))
{ /* Llib/uvtypes.scm 77 */
BgL_auxz00_3351 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2334)
; }  else 
{ /* Llib/uvtypes.scm 77 */
BgL_auxz00_3351 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2333))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1222z00_1937))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3351),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1222z00_1937))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1222z00_1937))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_3331 = 
((BgL_uvcheckz00_bglt)BgL_new1222z00_1937); 
return 
((obj_t)BgL_auxz00_3331);} } 

}



/* &lambda2045 */
BgL_uvcheckz00_bglt BGl_z62lambda2045z62zz__libuv_typesz00(obj_t BgL_envz00_1938)
{
{ /* Llib/uvtypes.scm 77 */
{ /* Llib/uvtypes.scm 77 */
 BgL_uvcheckz00_bglt BgL_new1221z00_2335;
BgL_new1221z00_2335 = 
((BgL_uvcheckz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvcheckz00_bgl) ))); 
{ /* Llib/uvtypes.scm 77 */
 long BgL_arg2046z00_2336;
BgL_arg2046z00_2336 = 
BGL_CLASS_NUM(BGl_UvCheckz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1221z00_2335), BgL_arg2046z00_2336); } 
return BgL_new1221z00_2335;} } 

}



/* &lambda2042 */
BgL_uvcheckz00_bglt BGl_z62lambda2042z62zz__libuv_typesz00(obj_t BgL_envz00_1939, obj_t BgL_z42builtin1212z42_1940, obj_t BgL_z52onclose1213z52_1941, obj_t BgL_z52gcmarkshead1214z52_1942, obj_t BgL_z52gcmarkstail1215z52_1943, obj_t BgL_z52gcmark1216z52_1944, obj_t BgL_closed1217z00_1945, obj_t BgL_loop1218z00_1946, obj_t BgL_cb1219z00_1947, obj_t BgL_z52data1220z52_1948)
{
{ /* Llib/uvtypes.scm 77 */
{ /* Llib/uvtypes.scm 77 */
 uv_handle_t * BgL_z42builtin1212z42_2337; bool_t BgL_closed1217z00_2340; void * BgL_z52data1220z52_2343;
BgL_z42builtin1212z42_2337 = 
FOREIGN_TO_COBJ(BgL_z42builtin1212z42_1940); 
BgL_closed1217z00_2340 = 
CBOOL(BgL_closed1217z00_1945); 
BgL_z52data1220z52_2343 = 
FOREIGN_TO_COBJ(BgL_z52data1220z52_1948); 
{ /* Llib/uvtypes.scm 77 */
 BgL_uvcheckz00_bglt BgL_new1278z00_2344;
{ /* Llib/uvtypes.scm 77 */
 BgL_uvcheckz00_bglt BgL_new1277z00_2345;
BgL_new1277z00_2345 = 
((BgL_uvcheckz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvcheckz00_bgl) ))); 
{ /* Llib/uvtypes.scm 77 */
 long BgL_arg2044z00_2346;
BgL_arg2044z00_2346 = 
BGL_CLASS_NUM(BGl_UvCheckz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1277z00_2345), BgL_arg2044z00_2346); } 
BgL_new1278z00_2344 = BgL_new1277z00_2345; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1278z00_2344)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1212z42_2337),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1278z00_2344)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1213z52_1941),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1278z00_2344)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1214z52_1942)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1278z00_2344)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1215z52_1943)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1278z00_2344)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1216z52_1944),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1278z00_2344)))->BgL_closedz00)=((bool_t)BgL_closed1217z00_2340),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1278z00_2344)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1218z00_1946)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1278z00_2344)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1219z00_1947)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1278z00_2344)))->BgL_z52dataz52)=((void *)BgL_z52data1220z52_2343),BUNSPEC); 
{ /* Llib/uvtypes.scm 77 */
 obj_t BgL_fun2043z00_2347;
BgL_fun2043z00_2347 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvCheckz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2043z00_2347))(BgL_fun2043z00_2347, 
((obj_t)BgL_new1278z00_2344), BEOA); } 
return BgL_new1278z00_2344;} } } 

}



/* &<@anonymous:2036> */
obj_t BGl_z62zc3z04anonymousza32036ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1949, obj_t BgL_new1210z00_1950)
{
{ /* Llib/uvtypes.scm 75 */
{ 
 BgL_uvfspollz00_bglt BgL_auxz00_3409;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1950))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1950))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1950))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1950))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1950))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1950))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3429;
{ /* Llib/uvtypes.scm 75 */
 obj_t BgL_classz00_2349;
BgL_classz00_2349 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 75 */
 obj_t BgL__ortest_1116z00_2350;
BgL__ortest_1116z00_2350 = 
BGL_CLASS_NIL(BgL_classz00_2349); 
if(
CBOOL(BgL__ortest_1116z00_2350))
{ /* Llib/uvtypes.scm 75 */
BgL_auxz00_3429 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2350)
; }  else 
{ /* Llib/uvtypes.scm 75 */
BgL_auxz00_3429 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2349))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1950))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3429),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1950))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1950))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_3409 = 
((BgL_uvfspollz00_bglt)BgL_new1210z00_1950); 
return 
((obj_t)BgL_auxz00_3409);} } 

}



/* &lambda2034 */
BgL_uvfspollz00_bglt BGl_z62lambda2034z62zz__libuv_typesz00(obj_t BgL_envz00_1951)
{
{ /* Llib/uvtypes.scm 75 */
{ /* Llib/uvtypes.scm 75 */
 BgL_uvfspollz00_bglt BgL_new1209z00_2351;
BgL_new1209z00_2351 = 
((BgL_uvfspollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfspollz00_bgl) ))); 
{ /* Llib/uvtypes.scm 75 */
 long BgL_arg2035z00_2352;
BgL_arg2035z00_2352 = 
BGL_CLASS_NUM(BGl_UvFsPollz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1209z00_2351), BgL_arg2035z00_2352); } 
return BgL_new1209z00_2351;} } 

}



/* &lambda2031 */
BgL_uvfspollz00_bglt BGl_z62lambda2031z62zz__libuv_typesz00(obj_t BgL_envz00_1952, obj_t BgL_z42builtin1200z42_1953, obj_t BgL_z52onclose1201z52_1954, obj_t BgL_z52gcmarkshead1202z52_1955, obj_t BgL_z52gcmarkstail1203z52_1956, obj_t BgL_z52gcmark1204z52_1957, obj_t BgL_closed1205z00_1958, obj_t BgL_loop1206z00_1959, obj_t BgL_cb1207z00_1960, obj_t BgL_z52data1208z52_1961)
{
{ /* Llib/uvtypes.scm 75 */
{ /* Llib/uvtypes.scm 75 */
 uv_handle_t * BgL_z42builtin1200z42_2353; bool_t BgL_closed1205z00_2356; void * BgL_z52data1208z52_2359;
BgL_z42builtin1200z42_2353 = 
FOREIGN_TO_COBJ(BgL_z42builtin1200z42_1953); 
BgL_closed1205z00_2356 = 
CBOOL(BgL_closed1205z00_1958); 
BgL_z52data1208z52_2359 = 
FOREIGN_TO_COBJ(BgL_z52data1208z52_1961); 
{ /* Llib/uvtypes.scm 75 */
 BgL_uvfspollz00_bglt BgL_new1276z00_2360;
{ /* Llib/uvtypes.scm 75 */
 BgL_uvfspollz00_bglt BgL_new1275z00_2361;
BgL_new1275z00_2361 = 
((BgL_uvfspollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfspollz00_bgl) ))); 
{ /* Llib/uvtypes.scm 75 */
 long BgL_arg2033z00_2362;
BgL_arg2033z00_2362 = 
BGL_CLASS_NUM(BGl_UvFsPollz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1275z00_2361), BgL_arg2033z00_2362); } 
BgL_new1276z00_2360 = BgL_new1275z00_2361; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1276z00_2360)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1200z42_2353),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1276z00_2360)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1201z52_1954),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1276z00_2360)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1202z52_1955)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1276z00_2360)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1203z52_1956)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1276z00_2360)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1204z52_1957),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1276z00_2360)))->BgL_closedz00)=((bool_t)BgL_closed1205z00_2356),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1276z00_2360)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1206z00_1959)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1276z00_2360)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1207z00_1960)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1276z00_2360)))->BgL_z52dataz52)=((void *)BgL_z52data1208z52_2359),BUNSPEC); 
{ /* Llib/uvtypes.scm 75 */
 obj_t BgL_fun2032z00_2363;
BgL_fun2032z00_2363 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvFsPollz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2032z00_2363))(BgL_fun2032z00_2363, 
((obj_t)BgL_new1276z00_2360), BEOA); } 
return BgL_new1276z00_2360;} } } 

}



/* &<@anonymous:2025> */
obj_t BGl_z62zc3z04anonymousza32025ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1962, obj_t BgL_new1198z00_1963)
{
{ /* Llib/uvtypes.scm 73 */
{ 
 BgL_uvfseventz00_bglt BgL_auxz00_3487;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1198z00_1963))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1198z00_1963))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1198z00_1963))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1198z00_1963))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1198z00_1963))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1198z00_1963))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3507;
{ /* Llib/uvtypes.scm 73 */
 obj_t BgL_classz00_2365;
BgL_classz00_2365 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 73 */
 obj_t BgL__ortest_1116z00_2366;
BgL__ortest_1116z00_2366 = 
BGL_CLASS_NIL(BgL_classz00_2365); 
if(
CBOOL(BgL__ortest_1116z00_2366))
{ /* Llib/uvtypes.scm 73 */
BgL_auxz00_3507 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2366)
; }  else 
{ /* Llib/uvtypes.scm 73 */
BgL_auxz00_3507 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2365))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1198z00_1963))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3507),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1198z00_1963))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1198z00_1963))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_3487 = 
((BgL_uvfseventz00_bglt)BgL_new1198z00_1963); 
return 
((obj_t)BgL_auxz00_3487);} } 

}



/* &lambda2023 */
BgL_uvfseventz00_bglt BGl_z62lambda2023z62zz__libuv_typesz00(obj_t BgL_envz00_1964)
{
{ /* Llib/uvtypes.scm 73 */
{ /* Llib/uvtypes.scm 73 */
 BgL_uvfseventz00_bglt BgL_new1197z00_2367;
BgL_new1197z00_2367 = 
((BgL_uvfseventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfseventz00_bgl) ))); 
{ /* Llib/uvtypes.scm 73 */
 long BgL_arg2024z00_2368;
BgL_arg2024z00_2368 = 
BGL_CLASS_NUM(BGl_UvFsEventz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1197z00_2367), BgL_arg2024z00_2368); } 
return BgL_new1197z00_2367;} } 

}



/* &lambda2020 */
BgL_uvfseventz00_bglt BGl_z62lambda2020z62zz__libuv_typesz00(obj_t BgL_envz00_1965, obj_t BgL_z42builtin1188z42_1966, obj_t BgL_z52onclose1189z52_1967, obj_t BgL_z52gcmarkshead1190z52_1968, obj_t BgL_z52gcmarkstail1191z52_1969, obj_t BgL_z52gcmark1192z52_1970, obj_t BgL_closed1193z00_1971, obj_t BgL_loop1194z00_1972, obj_t BgL_cb1195z00_1973, obj_t BgL_z52data1196z52_1974)
{
{ /* Llib/uvtypes.scm 73 */
{ /* Llib/uvtypes.scm 73 */
 uv_handle_t * BgL_z42builtin1188z42_2369; bool_t BgL_closed1193z00_2372; void * BgL_z52data1196z52_2375;
BgL_z42builtin1188z42_2369 = 
FOREIGN_TO_COBJ(BgL_z42builtin1188z42_1966); 
BgL_closed1193z00_2372 = 
CBOOL(BgL_closed1193z00_1971); 
BgL_z52data1196z52_2375 = 
FOREIGN_TO_COBJ(BgL_z52data1196z52_1974); 
{ /* Llib/uvtypes.scm 73 */
 BgL_uvfseventz00_bglt BgL_new1274z00_2376;
{ /* Llib/uvtypes.scm 73 */
 BgL_uvfseventz00_bglt BgL_new1273z00_2377;
BgL_new1273z00_2377 = 
((BgL_uvfseventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfseventz00_bgl) ))); 
{ /* Llib/uvtypes.scm 73 */
 long BgL_arg2022z00_2378;
BgL_arg2022z00_2378 = 
BGL_CLASS_NUM(BGl_UvFsEventz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1273z00_2377), BgL_arg2022z00_2378); } 
BgL_new1274z00_2376 = BgL_new1273z00_2377; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1274z00_2376)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1188z42_2369),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1274z00_2376)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1189z52_1967),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1274z00_2376)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1190z52_1968)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1274z00_2376)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1191z52_1969)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1274z00_2376)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1192z52_1970),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1274z00_2376)))->BgL_closedz00)=((bool_t)BgL_closed1193z00_2372),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1274z00_2376)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1194z00_1972)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1274z00_2376)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1195z00_1973)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1274z00_2376)))->BgL_z52dataz52)=((void *)BgL_z52data1196z52_2375),BUNSPEC); 
{ /* Llib/uvtypes.scm 73 */
 obj_t BgL_fun2021z00_2379;
BgL_fun2021z00_2379 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvFsEventz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2021z00_2379))(BgL_fun2021z00_2379, 
((obj_t)BgL_new1274z00_2376), BEOA); } 
return BgL_new1274z00_2376;} } } 

}



/* &<@anonymous:2004> */
obj_t BGl_z62zc3z04anonymousza32004ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1975, obj_t BgL_new1186z00_1976)
{
{ /* Llib/uvtypes.scm 69 */
{ 
 BgL_uvfilez00_bglt BgL_auxz00_3565;
((((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_new1186z00_1976)))->BgL_fdz00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_new1186z00_1976)))->BgL_pathz00)=((obj_t)BGl_string2252z00zz__libuv_typesz00),BUNSPEC); 
BgL_auxz00_3565 = 
((BgL_uvfilez00_bglt)BgL_new1186z00_1976); 
return 
((obj_t)BgL_auxz00_3565);} } 

}



/* &lambda2002 */
BgL_uvfilez00_bglt BGl_z62lambda2002z62zz__libuv_typesz00(obj_t BgL_envz00_1977)
{
{ /* Llib/uvtypes.scm 69 */
{ /* Llib/uvtypes.scm 69 */
 BgL_uvfilez00_bglt BgL_new1185z00_2381;
BgL_new1185z00_2381 = 
((BgL_uvfilez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfilez00_bgl) ))); 
{ /* Llib/uvtypes.scm 69 */
 long BgL_arg2003z00_2382;
BgL_arg2003z00_2382 = 
BGL_CLASS_NUM(BGl_UvFilez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1185z00_2381), BgL_arg2003z00_2382); } 
return BgL_new1185z00_2381;} } 

}



/* &lambda2000 */
BgL_uvfilez00_bglt BGl_z62lambda2000z62zz__libuv_typesz00(obj_t BgL_envz00_1978, obj_t BgL_fd1183z00_1979, obj_t BgL_path1184z00_1980)
{
{ /* Llib/uvtypes.scm 69 */
{ /* Llib/uvtypes.scm 69 */
 int BgL_fd1183z00_2383;
BgL_fd1183z00_2383 = 
CINT(BgL_fd1183z00_1979); 
{ /* Llib/uvtypes.scm 69 */
 BgL_uvfilez00_bglt BgL_new1272z00_2385;
{ /* Llib/uvtypes.scm 69 */
 BgL_uvfilez00_bglt BgL_new1271z00_2386;
BgL_new1271z00_2386 = 
((BgL_uvfilez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfilez00_bgl) ))); 
{ /* Llib/uvtypes.scm 69 */
 long BgL_arg2001z00_2387;
BgL_arg2001z00_2387 = 
BGL_CLASS_NUM(BGl_UvFilez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1271z00_2386), BgL_arg2001z00_2387); } 
BgL_new1272z00_2385 = BgL_new1271z00_2386; } 
((((BgL_uvfilez00_bglt)COBJECT(BgL_new1272z00_2385))->BgL_fdz00)=((int)BgL_fd1183z00_2383),BUNSPEC); 
((((BgL_uvfilez00_bglt)COBJECT(BgL_new1272z00_2385))->BgL_pathz00)=((obj_t)
((obj_t)BgL_path1184z00_1980)),BUNSPEC); 
return BgL_new1272z00_2385;} } } 

}



/* &lambda2014 */
obj_t BGl_z62lambda2014z62zz__libuv_typesz00(obj_t BgL_envz00_1981, obj_t BgL_oz00_1982, obj_t BgL_vz00_1983)
{
{ /* Llib/uvtypes.scm 69 */
return 
((((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_oz00_1982)))->BgL_pathz00)=((obj_t)
((obj_t)BgL_vz00_1983)),BUNSPEC);} 

}



/* &lambda2013 */
obj_t BGl_z62lambda2013z62zz__libuv_typesz00(obj_t BgL_envz00_1984, obj_t BgL_oz00_1985)
{
{ /* Llib/uvtypes.scm 69 */
return 
(((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_oz00_1985)))->BgL_pathz00);} 

}



/* &lambda2009 */
obj_t BGl_z62lambda2009z62zz__libuv_typesz00(obj_t BgL_envz00_1986, obj_t BgL_oz00_1987, obj_t BgL_vz00_1988)
{
{ /* Llib/uvtypes.scm 69 */
{ /* Llib/uvtypes.scm 69 */
 int BgL_vz00_2392;
BgL_vz00_2392 = 
CINT(BgL_vz00_1988); 
return 
((((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_oz00_1987)))->BgL_fdz00)=((int)BgL_vz00_2392),BUNSPEC);} } 

}



/* &lambda2008 */
obj_t BGl_z62lambda2008z62zz__libuv_typesz00(obj_t BgL_envz00_1989, obj_t BgL_oz00_1990)
{
{ /* Llib/uvtypes.scm 69 */
return 
BINT(
(((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_oz00_1990)))->BgL_fdz00));} 

}



/* &<@anonymous:1989> */
obj_t BGl_z62zc3z04anonymousza31989ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1991, obj_t BgL_new1181z00_1992)
{
{ /* Llib/uvtypes.scm 66 */
{ 
 BgL_uvpollz00_bglt BgL_auxz00_3596;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1181z00_1992))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1181z00_1992))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1181z00_1992))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1181z00_1992))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1181z00_1992))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1181z00_1992))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3616;
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL_classz00_2395;
BgL_classz00_2395 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL__ortest_1116z00_2396;
BgL__ortest_1116z00_2396 = 
BGL_CLASS_NIL(BgL_classz00_2395); 
if(
CBOOL(BgL__ortest_1116z00_2396))
{ /* Llib/uvtypes.scm 66 */
BgL_auxz00_3616 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2396)
; }  else 
{ /* Llib/uvtypes.scm 66 */
BgL_auxz00_3616 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2395))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvpollz00_bglt)BgL_new1181z00_1992))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3616),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvpollz00_bglt)BgL_new1181z00_1992))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvpollz00_bglt)BgL_new1181z00_1992))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
((((BgL_uvpollz00_bglt)COBJECT(
((BgL_uvpollz00_bglt)BgL_new1181z00_1992)))->BgL_fdz00)=((int)
(int)(0L)),BUNSPEC); 
BgL_auxz00_3596 = 
((BgL_uvpollz00_bglt)BgL_new1181z00_1992); 
return 
((obj_t)BgL_auxz00_3596);} } 

}



/* &lambda1987 */
BgL_uvpollz00_bglt BGl_z62lambda1987z62zz__libuv_typesz00(obj_t BgL_envz00_1993)
{
{ /* Llib/uvtypes.scm 66 */
{ /* Llib/uvtypes.scm 66 */
 BgL_uvpollz00_bglt BgL_new1180z00_2397;
BgL_new1180z00_2397 = 
((BgL_uvpollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvpollz00_bgl) ))); 
{ /* Llib/uvtypes.scm 66 */
 long BgL_arg1988z00_2398;
BgL_arg1988z00_2398 = 
BGL_CLASS_NUM(BGl_UvPollz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1180z00_2397), BgL_arg1988z00_2398); } 
return BgL_new1180z00_2397;} } 

}



/* &lambda1984 */
BgL_uvpollz00_bglt BGl_z62lambda1984z62zz__libuv_typesz00(obj_t BgL_envz00_1994, obj_t BgL_z42builtin1170z42_1995, obj_t BgL_z52onclose1171z52_1996, obj_t BgL_z52gcmarkshead1172z52_1997, obj_t BgL_z52gcmarkstail1173z52_1998, obj_t BgL_z52gcmark1174z52_1999, obj_t BgL_closed1175z00_2000, obj_t BgL_loop1176z00_2001, obj_t BgL_cb1177z00_2002, obj_t BgL_z52data1178z52_2003, obj_t BgL_fd1179z00_2004)
{
{ /* Llib/uvtypes.scm 66 */
{ /* Llib/uvtypes.scm 66 */
 uv_handle_t * BgL_z42builtin1170z42_2399; bool_t BgL_closed1175z00_2402; void * BgL_z52data1178z52_2405; int BgL_fd1179z00_2406;
BgL_z42builtin1170z42_2399 = 
FOREIGN_TO_COBJ(BgL_z42builtin1170z42_1995); 
BgL_closed1175z00_2402 = 
CBOOL(BgL_closed1175z00_2000); 
BgL_z52data1178z52_2405 = 
FOREIGN_TO_COBJ(BgL_z52data1178z52_2003); 
BgL_fd1179z00_2406 = 
CINT(BgL_fd1179z00_2004); 
{ /* Llib/uvtypes.scm 66 */
 BgL_uvpollz00_bglt BgL_new1270z00_2407;
{ /* Llib/uvtypes.scm 66 */
 BgL_uvpollz00_bglt BgL_new1269z00_2408;
BgL_new1269z00_2408 = 
((BgL_uvpollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvpollz00_bgl) ))); 
{ /* Llib/uvtypes.scm 66 */
 long BgL_arg1986z00_2409;
BgL_arg1986z00_2409 = 
BGL_CLASS_NUM(BGl_UvPollz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1269z00_2408), BgL_arg1986z00_2409); } 
BgL_new1270z00_2407 = BgL_new1269z00_2408; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1270z00_2407)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1170z42_2399),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1270z00_2407)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1171z52_1996),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1270z00_2407)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1172z52_1997)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1270z00_2407)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1173z52_1998)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1270z00_2407)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1174z52_1999),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1270z00_2407)))->BgL_closedz00)=((bool_t)BgL_closed1175z00_2402),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1270z00_2407)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1176z00_2001)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1270z00_2407)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1177z00_2002)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1270z00_2407)))->BgL_z52dataz52)=((void *)BgL_z52data1178z52_2405),BUNSPEC); 
((((BgL_uvpollz00_bglt)COBJECT(BgL_new1270z00_2407))->BgL_fdz00)=((int)BgL_fd1179z00_2406),BUNSPEC); 
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL_fun1985z00_2410;
BgL_fun1985z00_2410 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvPollz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1985z00_2410))(BgL_fun1985z00_2410, 
((obj_t)BgL_new1270z00_2407), BEOA); } 
return BgL_new1270z00_2407;} } } 

}



/* &lambda1994 */
obj_t BGl_z62lambda1994z62zz__libuv_typesz00(obj_t BgL_envz00_2005, obj_t BgL_oz00_2006, obj_t BgL_vz00_2007)
{
{ /* Llib/uvtypes.scm 66 */
{ /* Llib/uvtypes.scm 66 */
 int BgL_vz00_2412;
BgL_vz00_2412 = 
CINT(BgL_vz00_2007); 
return 
((((BgL_uvpollz00_bglt)COBJECT(
((BgL_uvpollz00_bglt)BgL_oz00_2006)))->BgL_fdz00)=((int)BgL_vz00_2412),BUNSPEC);} } 

}



/* &lambda1993 */
obj_t BGl_z62lambda1993z62zz__libuv_typesz00(obj_t BgL_envz00_2008, obj_t BgL_oz00_2009)
{
{ /* Llib/uvtypes.scm 66 */
return 
BINT(
(((BgL_uvpollz00_bglt)COBJECT(
((BgL_uvpollz00_bglt)BgL_oz00_2009)))->BgL_fdz00));} 

}



/* &<@anonymous:1978> */
obj_t BGl_z62zc3z04anonymousza31978ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2010, obj_t BgL_new1168z00_2011)
{
{ /* Llib/uvtypes.scm 64 */
{ 
 BgL_uvasyncz00_bglt BgL_auxz00_3685;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1168z00_2011))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1168z00_2011))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1168z00_2011))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1168z00_2011))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1168z00_2011))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1168z00_2011))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3705;
{ /* Llib/uvtypes.scm 64 */
 obj_t BgL_classz00_2415;
BgL_classz00_2415 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 64 */
 obj_t BgL__ortest_1116z00_2416;
BgL__ortest_1116z00_2416 = 
BGL_CLASS_NIL(BgL_classz00_2415); 
if(
CBOOL(BgL__ortest_1116z00_2416))
{ /* Llib/uvtypes.scm 64 */
BgL_auxz00_3705 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2416)
; }  else 
{ /* Llib/uvtypes.scm 64 */
BgL_auxz00_3705 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2415))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1168z00_2011))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3705),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1168z00_2011))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1168z00_2011))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_3685 = 
((BgL_uvasyncz00_bglt)BgL_new1168z00_2011); 
return 
((obj_t)BgL_auxz00_3685);} } 

}



/* &lambda1976 */
BgL_uvasyncz00_bglt BGl_z62lambda1976z62zz__libuv_typesz00(obj_t BgL_envz00_2012)
{
{ /* Llib/uvtypes.scm 64 */
{ /* Llib/uvtypes.scm 64 */
 BgL_uvasyncz00_bglt BgL_new1167z00_2417;
BgL_new1167z00_2417 = 
((BgL_uvasyncz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvasyncz00_bgl) ))); 
{ /* Llib/uvtypes.scm 64 */
 long BgL_arg1977z00_2418;
BgL_arg1977z00_2418 = 
BGL_CLASS_NUM(BGl_UvAsyncz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1167z00_2417), BgL_arg1977z00_2418); } 
return BgL_new1167z00_2417;} } 

}



/* &lambda1973 */
BgL_uvasyncz00_bglt BGl_z62lambda1973z62zz__libuv_typesz00(obj_t BgL_envz00_2013, obj_t BgL_z42builtin1158z42_2014, obj_t BgL_z52onclose1159z52_2015, obj_t BgL_z52gcmarkshead1160z52_2016, obj_t BgL_z52gcmarkstail1161z52_2017, obj_t BgL_z52gcmark1162z52_2018, obj_t BgL_closed1163z00_2019, obj_t BgL_loop1164z00_2020, obj_t BgL_cb1165z00_2021, obj_t BgL_z52data1166z52_2022)
{
{ /* Llib/uvtypes.scm 64 */
{ /* Llib/uvtypes.scm 64 */
 uv_handle_t * BgL_z42builtin1158z42_2419; bool_t BgL_closed1163z00_2422; void * BgL_z52data1166z52_2425;
BgL_z42builtin1158z42_2419 = 
FOREIGN_TO_COBJ(BgL_z42builtin1158z42_2014); 
BgL_closed1163z00_2422 = 
CBOOL(BgL_closed1163z00_2019); 
BgL_z52data1166z52_2425 = 
FOREIGN_TO_COBJ(BgL_z52data1166z52_2022); 
{ /* Llib/uvtypes.scm 64 */
 BgL_uvasyncz00_bglt BgL_new1268z00_2426;
{ /* Llib/uvtypes.scm 64 */
 BgL_uvasyncz00_bglt BgL_new1267z00_2427;
BgL_new1267z00_2427 = 
((BgL_uvasyncz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvasyncz00_bgl) ))); 
{ /* Llib/uvtypes.scm 64 */
 long BgL_arg1975z00_2428;
BgL_arg1975z00_2428 = 
BGL_CLASS_NUM(BGl_UvAsyncz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1267z00_2427), BgL_arg1975z00_2428); } 
BgL_new1268z00_2426 = BgL_new1267z00_2427; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1268z00_2426)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1158z42_2419),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1268z00_2426)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1159z52_2015),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1268z00_2426)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1160z52_2016)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1268z00_2426)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1161z52_2017)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1268z00_2426)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1162z52_2018),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1268z00_2426)))->BgL_closedz00)=((bool_t)BgL_closed1163z00_2422),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1268z00_2426)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1164z00_2020)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1268z00_2426)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1165z00_2021)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1268z00_2426)))->BgL_z52dataz52)=((void *)BgL_z52data1166z52_2425),BUNSPEC); 
{ /* Llib/uvtypes.scm 64 */
 obj_t BgL_fun1974z00_2429;
BgL_fun1974z00_2429 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvAsyncz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1974z00_2429))(BgL_fun1974z00_2429, 
((obj_t)BgL_new1268z00_2426), BEOA); } 
return BgL_new1268z00_2426;} } } 

}



/* &<@anonymous:1967> */
obj_t BGl_z62zc3z04anonymousza31967ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2023, obj_t BgL_new1156z00_2024)
{
{ /* Llib/uvtypes.scm 62 */
{ 
 BgL_uvidlez00_bglt BgL_auxz00_3763;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1156z00_2024))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1156z00_2024))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1156z00_2024))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1156z00_2024))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1156z00_2024))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1156z00_2024))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3783;
{ /* Llib/uvtypes.scm 62 */
 obj_t BgL_classz00_2431;
BgL_classz00_2431 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 62 */
 obj_t BgL__ortest_1116z00_2432;
BgL__ortest_1116z00_2432 = 
BGL_CLASS_NIL(BgL_classz00_2431); 
if(
CBOOL(BgL__ortest_1116z00_2432))
{ /* Llib/uvtypes.scm 62 */
BgL_auxz00_3783 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2432)
; }  else 
{ /* Llib/uvtypes.scm 62 */
BgL_auxz00_3783 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2431))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvidlez00_bglt)BgL_new1156z00_2024))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3783),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvidlez00_bglt)BgL_new1156z00_2024))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvidlez00_bglt)BgL_new1156z00_2024))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_3763 = 
((BgL_uvidlez00_bglt)BgL_new1156z00_2024); 
return 
((obj_t)BgL_auxz00_3763);} } 

}



/* &lambda1965 */
BgL_uvidlez00_bglt BGl_z62lambda1965z62zz__libuv_typesz00(obj_t BgL_envz00_2025)
{
{ /* Llib/uvtypes.scm 62 */
{ /* Llib/uvtypes.scm 62 */
 BgL_uvidlez00_bglt BgL_new1155z00_2433;
BgL_new1155z00_2433 = 
((BgL_uvidlez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvidlez00_bgl) ))); 
{ /* Llib/uvtypes.scm 62 */
 long BgL_arg1966z00_2434;
BgL_arg1966z00_2434 = 
BGL_CLASS_NUM(BGl_UvIdlez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1155z00_2433), BgL_arg1966z00_2434); } 
return BgL_new1155z00_2433;} } 

}



/* &lambda1962 */
BgL_uvidlez00_bglt BGl_z62lambda1962z62zz__libuv_typesz00(obj_t BgL_envz00_2026, obj_t BgL_z42builtin1146z42_2027, obj_t BgL_z52onclose1147z52_2028, obj_t BgL_z52gcmarkshead1148z52_2029, obj_t BgL_z52gcmarkstail1149z52_2030, obj_t BgL_z52gcmark1150z52_2031, obj_t BgL_closed1151z00_2032, obj_t BgL_loop1152z00_2033, obj_t BgL_cb1153z00_2034, obj_t BgL_z52data1154z52_2035)
{
{ /* Llib/uvtypes.scm 62 */
{ /* Llib/uvtypes.scm 62 */
 uv_handle_t * BgL_z42builtin1146z42_2435; bool_t BgL_closed1151z00_2438; void * BgL_z52data1154z52_2441;
BgL_z42builtin1146z42_2435 = 
FOREIGN_TO_COBJ(BgL_z42builtin1146z42_2027); 
BgL_closed1151z00_2438 = 
CBOOL(BgL_closed1151z00_2032); 
BgL_z52data1154z52_2441 = 
FOREIGN_TO_COBJ(BgL_z52data1154z52_2035); 
{ /* Llib/uvtypes.scm 62 */
 BgL_uvidlez00_bglt BgL_new1266z00_2442;
{ /* Llib/uvtypes.scm 62 */
 BgL_uvidlez00_bglt BgL_new1265z00_2443;
BgL_new1265z00_2443 = 
((BgL_uvidlez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvidlez00_bgl) ))); 
{ /* Llib/uvtypes.scm 62 */
 long BgL_arg1964z00_2444;
BgL_arg1964z00_2444 = 
BGL_CLASS_NUM(BGl_UvIdlez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1265z00_2443), BgL_arg1964z00_2444); } 
BgL_new1266z00_2442 = BgL_new1265z00_2443; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1266z00_2442)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1146z42_2435),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1266z00_2442)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1147z52_2028),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1266z00_2442)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1148z52_2029)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1266z00_2442)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1149z52_2030)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1266z00_2442)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1150z52_2031),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1266z00_2442)))->BgL_closedz00)=((bool_t)BgL_closed1151z00_2438),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1266z00_2442)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1152z00_2033)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1266z00_2442)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1153z00_2034)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1266z00_2442)))->BgL_z52dataz52)=((void *)BgL_z52data1154z52_2441),BUNSPEC); 
{ /* Llib/uvtypes.scm 62 */
 obj_t BgL_fun1963z00_2445;
BgL_fun1963z00_2445 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvIdlez00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1963z00_2445))(BgL_fun1963z00_2445, 
((obj_t)BgL_new1266z00_2442), BEOA); } 
return BgL_new1266z00_2442;} } } 

}



/* &<@anonymous:1942> */
obj_t BGl_z62zc3z04anonymousza31942ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2036, obj_t BgL_new1144z00_2037)
{
{ /* Llib/uvtypes.scm 58 */
{ 
 BgL_uvtimerz00_bglt BgL_auxz00_3841;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1144z00_2037))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1144z00_2037))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1144z00_2037))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1144z00_2037))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1144z00_2037))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1144z00_2037))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3861;
{ /* Llib/uvtypes.scm 58 */
 obj_t BgL_classz00_2447;
BgL_classz00_2447 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 58 */
 obj_t BgL__ortest_1116z00_2448;
BgL__ortest_1116z00_2448 = 
BGL_CLASS_NIL(BgL_classz00_2447); 
if(
CBOOL(BgL__ortest_1116z00_2448))
{ /* Llib/uvtypes.scm 58 */
BgL_auxz00_3861 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2448)
; }  else 
{ /* Llib/uvtypes.scm 58 */
BgL_auxz00_3861 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2447))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1144z00_2037))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3861),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1144z00_2037))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1144z00_2037))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_new1144z00_2037)))->BgL_repeatz00)=((uint64_t)
0L),BUNSPEC); 
((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_new1144z00_2037)))->BgL_refz00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_3841 = 
((BgL_uvtimerz00_bglt)BgL_new1144z00_2037); 
return 
((obj_t)BgL_auxz00_3841);} } 

}



/* &lambda1940 */
BgL_uvtimerz00_bglt BGl_z62lambda1940z62zz__libuv_typesz00(obj_t BgL_envz00_2038)
{
{ /* Llib/uvtypes.scm 58 */
{ /* Llib/uvtypes.scm 58 */
 BgL_uvtimerz00_bglt BgL_new1143z00_2449;
BgL_new1143z00_2449 = 
((BgL_uvtimerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvtimerz00_bgl) ))); 
{ /* Llib/uvtypes.scm 58 */
 long BgL_arg1941z00_2450;
BgL_arg1941z00_2450 = 
BGL_CLASS_NUM(BGl_UvTimerz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1143z00_2449), BgL_arg1941z00_2450); } 
return BgL_new1143z00_2449;} } 

}



/* &lambda1937 */
BgL_uvtimerz00_bglt BGl_z62lambda1937z62zz__libuv_typesz00(obj_t BgL_envz00_2039, obj_t BgL_z42builtin1132z42_2040, obj_t BgL_z52onclose1133z52_2041, obj_t BgL_z52gcmarkshead1134z52_2042, obj_t BgL_z52gcmarkstail1135z52_2043, obj_t BgL_z52gcmark1136z52_2044, obj_t BgL_closed1137z00_2045, obj_t BgL_loop1138z00_2046, obj_t BgL_cb1139z00_2047, obj_t BgL_z52data1140z52_2048, obj_t BgL_repeat1141z00_2049, obj_t BgL_ref1142z00_2050)
{
{ /* Llib/uvtypes.scm 58 */
{ /* Llib/uvtypes.scm 58 */
 uv_handle_t * BgL_z42builtin1132z42_2451; bool_t BgL_closed1137z00_2454; void * BgL_z52data1140z52_2457; uint64_t BgL_repeat1141z00_2458; bool_t BgL_ref1142z00_2459;
BgL_z42builtin1132z42_2451 = 
FOREIGN_TO_COBJ(BgL_z42builtin1132z42_2040); 
BgL_closed1137z00_2454 = 
CBOOL(BgL_closed1137z00_2045); 
BgL_z52data1140z52_2457 = 
FOREIGN_TO_COBJ(BgL_z52data1140z52_2048); 
BgL_repeat1141z00_2458 = 
BGL_BINT64_TO_INT64(BgL_repeat1141z00_2049); 
BgL_ref1142z00_2459 = 
CBOOL(BgL_ref1142z00_2050); 
{ /* Llib/uvtypes.scm 58 */
 BgL_uvtimerz00_bglt BgL_new1264z00_2460;
{ /* Llib/uvtypes.scm 58 */
 BgL_uvtimerz00_bglt BgL_new1263z00_2461;
BgL_new1263z00_2461 = 
((BgL_uvtimerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvtimerz00_bgl) ))); 
{ /* Llib/uvtypes.scm 58 */
 long BgL_arg1939z00_2462;
BgL_arg1939z00_2462 = 
BGL_CLASS_NUM(BGl_UvTimerz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1263z00_2461), BgL_arg1939z00_2462); } 
BgL_new1264z00_2460 = BgL_new1263z00_2461; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1264z00_2460)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1132z42_2451),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1264z00_2460)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1133z52_2041),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1264z00_2460)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1134z52_2042)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1264z00_2460)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1135z52_2043)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1264z00_2460)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1136z52_2044),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1264z00_2460)))->BgL_closedz00)=((bool_t)BgL_closed1137z00_2454),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1264z00_2460)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1138z00_2046)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1264z00_2460)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1139z00_2047)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1264z00_2460)))->BgL_z52dataz52)=((void *)BgL_z52data1140z52_2457),BUNSPEC); 
((((BgL_uvtimerz00_bglt)COBJECT(BgL_new1264z00_2460))->BgL_repeatz00)=((uint64_t)BgL_repeat1141z00_2458),BUNSPEC); 
((((BgL_uvtimerz00_bglt)COBJECT(BgL_new1264z00_2460))->BgL_refz00)=((bool_t)BgL_ref1142z00_2459),BUNSPEC); 
{ /* Llib/uvtypes.scm 58 */
 obj_t BgL_fun1938z00_2463;
BgL_fun1938z00_2463 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvTimerz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1938z00_2463))(BgL_fun1938z00_2463, 
((obj_t)BgL_new1264z00_2460), BEOA); } 
return BgL_new1264z00_2460;} } } 

}



/* &<@anonymous:1956> */
obj_t BGl_z62zc3z04anonymousza31956ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2051)
{
{ /* Llib/uvtypes.scm 58 */
return 
BBOOL(((bool_t)1));} 

}



/* &lambda1955 */
obj_t BGl_z62lambda1955z62zz__libuv_typesz00(obj_t BgL_envz00_2052, obj_t BgL_oz00_2053, obj_t BgL_vz00_2054)
{
{ /* Llib/uvtypes.scm 58 */
{ /* Llib/uvtypes.scm 58 */
 bool_t BgL_vz00_2465;
BgL_vz00_2465 = 
CBOOL(BgL_vz00_2054); 
return 
((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_2053)))->BgL_refz00)=((bool_t)BgL_vz00_2465),BUNSPEC);} } 

}



/* &lambda1954 */
obj_t BGl_z62lambda1954z62zz__libuv_typesz00(obj_t BgL_envz00_2055, obj_t BgL_oz00_2056)
{
{ /* Llib/uvtypes.scm 58 */
return 
BBOOL(
(((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_2056)))->BgL_refz00));} 

}



/* &<@anonymous:1949> */
obj_t BGl_z62zc3z04anonymousza31949ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2057)
{
{ /* Llib/uvtypes.scm 58 */
return 
BGL_UINT64_TO_BUINT64((uint64_t)(0));} 

}



/* &lambda1948 */
obj_t BGl_z62lambda1948z62zz__libuv_typesz00(obj_t BgL_envz00_2058, obj_t BgL_oz00_2059, obj_t BgL_vz00_2060)
{
{ /* Llib/uvtypes.scm 58 */
{ /* Llib/uvtypes.scm 58 */
 uint64_t BgL_vz00_2468;
BgL_vz00_2468 = 
BGL_BINT64_TO_INT64(BgL_vz00_2060); 
return 
((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_2059)))->BgL_repeatz00)=((uint64_t)BgL_vz00_2468),BUNSPEC);} } 

}



/* &lambda1947 */
obj_t BGl_z62lambda1947z62zz__libuv_typesz00(obj_t BgL_envz00_2061, obj_t BgL_oz00_2062)
{
{ /* Llib/uvtypes.scm 58 */
{ /* Llib/uvtypes.scm 58 */
 uint64_t BgL_tmpz00_3939;
BgL_tmpz00_3939 = 
(((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_2062)))->BgL_repeatz00); 
return 
BGL_UINT64_TO_BUINT64(BgL_tmpz00_3939);} } 

}



/* &<@anonymous:1919> */
obj_t BGl_z62zc3z04anonymousza31919ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2063, obj_t BgL_new1130z00_2064)
{
{ /* Llib/uvtypes.scm 54 */
{ 
 BgL_uvttyz00_bglt BgL_auxz00_3943;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1130z00_2064))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1130z00_2064))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1130z00_2064))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1130z00_2064))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1130z00_2064))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1130z00_2064))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3963;
{ /* Llib/uvtypes.scm 54 */
 obj_t BgL_classz00_2471;
BgL_classz00_2471 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 54 */
 obj_t BgL__ortest_1116z00_2472;
BgL__ortest_1116z00_2472 = 
BGL_CLASS_NIL(BgL_classz00_2471); 
if(
CBOOL(BgL__ortest_1116z00_2472))
{ /* Llib/uvtypes.scm 54 */
BgL_auxz00_3963 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2472)
; }  else 
{ /* Llib/uvtypes.scm 54 */
BgL_auxz00_3963 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2471))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvttyz00_bglt)BgL_new1130z00_2064))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3963),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvttyz00_bglt)BgL_new1130z00_2064))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
((((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_new1130z00_2064)))->BgL_fdz00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_new1130z00_2064)))->BgL_readablez00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_3943 = 
((BgL_uvttyz00_bglt)BgL_new1130z00_2064); 
return 
((obj_t)BgL_auxz00_3943);} } 

}



/* &lambda1917 */
BgL_uvttyz00_bglt BGl_z62lambda1917z62zz__libuv_typesz00(obj_t BgL_envz00_2065)
{
{ /* Llib/uvtypes.scm 54 */
{ /* Llib/uvtypes.scm 54 */
 BgL_uvttyz00_bglt BgL_new1129z00_2473;
BgL_new1129z00_2473 = 
((BgL_uvttyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvttyz00_bgl) ))); 
{ /* Llib/uvtypes.scm 54 */
 long BgL_arg1918z00_2474;
BgL_arg1918z00_2474 = 
BGL_CLASS_NUM(BGl_UvTtyz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1129z00_2473), BgL_arg1918z00_2474); } 
return BgL_new1129z00_2473;} } 

}



/* &lambda1914 */
BgL_uvttyz00_bglt BGl_z62lambda1914z62zz__libuv_typesz00(obj_t BgL_envz00_2066, obj_t BgL_z42builtin1119z42_2067, obj_t BgL_z52onclose1120z52_2068, obj_t BgL_z52gcmarkshead1121z52_2069, obj_t BgL_z52gcmarkstail1122z52_2070, obj_t BgL_z52gcmark1123z52_2071, obj_t BgL_closed1124z00_2072, obj_t BgL_loop1125z00_2073, obj_t BgL_z52data1126z52_2074, obj_t BgL_fd1127z00_2075, obj_t BgL_readable1128z00_2076)
{
{ /* Llib/uvtypes.scm 54 */
{ /* Llib/uvtypes.scm 54 */
 uv_handle_t * BgL_z42builtin1119z42_2475; bool_t BgL_closed1124z00_2478; void * BgL_z52data1126z52_2480; int BgL_fd1127z00_2481; bool_t BgL_readable1128z00_2482;
BgL_z42builtin1119z42_2475 = 
FOREIGN_TO_COBJ(BgL_z42builtin1119z42_2067); 
BgL_closed1124z00_2478 = 
CBOOL(BgL_closed1124z00_2072); 
BgL_z52data1126z52_2480 = 
FOREIGN_TO_COBJ(BgL_z52data1126z52_2074); 
BgL_fd1127z00_2481 = 
CINT(BgL_fd1127z00_2075); 
BgL_readable1128z00_2482 = 
CBOOL(BgL_readable1128z00_2076); 
{ /* Llib/uvtypes.scm 54 */
 BgL_uvttyz00_bglt BgL_new1262z00_2483;
{ /* Llib/uvtypes.scm 54 */
 BgL_uvttyz00_bglt BgL_new1261z00_2484;
BgL_new1261z00_2484 = 
((BgL_uvttyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvttyz00_bgl) ))); 
{ /* Llib/uvtypes.scm 54 */
 long BgL_arg1916z00_2485;
BgL_arg1916z00_2485 = 
BGL_CLASS_NUM(BGl_UvTtyz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1261z00_2484), BgL_arg1916z00_2485); } 
BgL_new1262z00_2483 = BgL_new1261z00_2484; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1262z00_2483)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1119z42_2475),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1262z00_2483)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1120z52_2068),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1262z00_2483)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1121z52_2069)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1262z00_2483)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1122z52_2070)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1262z00_2483)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1123z52_2071),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1262z00_2483)))->BgL_closedz00)=((bool_t)BgL_closed1124z00_2478),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1262z00_2483)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1125z00_2073)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1262z00_2483)))->BgL_z52dataz52)=((void *)BgL_z52data1126z52_2480),BUNSPEC); 
((((BgL_uvttyz00_bglt)COBJECT(BgL_new1262z00_2483))->BgL_fdz00)=((int)BgL_fd1127z00_2481),BUNSPEC); 
((((BgL_uvttyz00_bglt)COBJECT(BgL_new1262z00_2483))->BgL_readablez00)=((bool_t)BgL_readable1128z00_2482),BUNSPEC); 
{ /* Llib/uvtypes.scm 54 */
 obj_t BgL_fun1915z00_2486;
BgL_fun1915z00_2486 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvTtyz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1915z00_2486))(BgL_fun1915z00_2486, 
((obj_t)BgL_new1262z00_2483), BEOA); } 
return BgL_new1262z00_2483;} } } 

}



/* &lambda1931 */
obj_t BGl_z62lambda1931z62zz__libuv_typesz00(obj_t BgL_envz00_2077, obj_t BgL_oz00_2078, obj_t BgL_vz00_2079)
{
{ /* Llib/uvtypes.scm 54 */
{ /* Llib/uvtypes.scm 54 */
 bool_t BgL_vz00_2488;
BgL_vz00_2488 = 
CBOOL(BgL_vz00_2079); 
return 
((((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_2078)))->BgL_readablez00)=((bool_t)BgL_vz00_2488),BUNSPEC);} } 

}



/* &lambda1930 */
obj_t BGl_z62lambda1930z62zz__libuv_typesz00(obj_t BgL_envz00_2080, obj_t BgL_oz00_2081)
{
{ /* Llib/uvtypes.scm 54 */
return 
BBOOL(
(((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_2081)))->BgL_readablez00));} 

}



/* &lambda1926 */
obj_t BGl_z62lambda1926z62zz__libuv_typesz00(obj_t BgL_envz00_2082, obj_t BgL_oz00_2083, obj_t BgL_vz00_2084)
{
{ /* Llib/uvtypes.scm 54 */
{ /* Llib/uvtypes.scm 54 */
 int BgL_vz00_2491;
BgL_vz00_2491 = 
CINT(BgL_vz00_2084); 
return 
((((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_2083)))->BgL_fdz00)=((int)BgL_vz00_2491),BUNSPEC);} } 

}



/* &lambda1925 */
obj_t BGl_z62lambda1925z62zz__libuv_typesz00(obj_t BgL_envz00_2085, obj_t BgL_oz00_2086)
{
{ /* Llib/uvtypes.scm 54 */
return 
BINT(
(((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_2086)))->BgL_fdz00));} 

}



/* &<@anonymous:1903> */
obj_t BGl_z62zc3z04anonymousza31903ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2087, obj_t BgL_new1117z00_2088)
{
{ /* Llib/uvtypes.scm 51 */
{ 
 BgL_uvpipez00_bglt BgL_auxz00_4036;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1117z00_2088))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1117z00_2088))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1117z00_2088))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1117z00_2088))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1117z00_2088))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1117z00_2088))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_4056;
{ /* Llib/uvtypes.scm 51 */
 obj_t BgL_classz00_2494;
BgL_classz00_2494 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 51 */
 obj_t BgL__ortest_1116z00_2495;
BgL__ortest_1116z00_2495 = 
BGL_CLASS_NIL(BgL_classz00_2494); 
if(
CBOOL(BgL__ortest_1116z00_2495))
{ /* Llib/uvtypes.scm 51 */
BgL_auxz00_4056 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2495)
; }  else 
{ /* Llib/uvtypes.scm 51 */
BgL_auxz00_4056 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2494))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvpipez00_bglt)BgL_new1117z00_2088))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4056),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvpipez00_bglt)BgL_new1117z00_2088))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
((((BgL_uvpipez00_bglt)COBJECT(
((BgL_uvpipez00_bglt)BgL_new1117z00_2088)))->BgL_ipcz00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_4036 = 
((BgL_uvpipez00_bglt)BgL_new1117z00_2088); 
return 
((obj_t)BgL_auxz00_4036);} } 

}



/* &lambda1901 */
BgL_uvpipez00_bglt BGl_z62lambda1901z62zz__libuv_typesz00(obj_t BgL_envz00_2089)
{
{ /* Llib/uvtypes.scm 51 */
{ /* Llib/uvtypes.scm 51 */
 BgL_uvpipez00_bglt BgL_new1115z00_2496;
BgL_new1115z00_2496 = 
((BgL_uvpipez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvpipez00_bgl) ))); 
{ /* Llib/uvtypes.scm 51 */
 long BgL_arg1902z00_2497;
BgL_arg1902z00_2497 = 
BGL_CLASS_NUM(BGl_UvPipez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_2496), BgL_arg1902z00_2497); } 
return BgL_new1115z00_2496;} } 

}



/* &lambda1898 */
BgL_uvpipez00_bglt BGl_z62lambda1898z62zz__libuv_typesz00(obj_t BgL_envz00_2090, obj_t BgL_z42builtin1106z42_2091, obj_t BgL_z52onclose1107z52_2092, obj_t BgL_z52gcmarkshead1108z52_2093, obj_t BgL_z52gcmarkstail1109z52_2094, obj_t BgL_z52gcmark1110z52_2095, obj_t BgL_closed1111z00_2096, obj_t BgL_loop1112z00_2097, obj_t BgL_z52data1113z52_2098, obj_t BgL_ipc1114z00_2099)
{
{ /* Llib/uvtypes.scm 51 */
{ /* Llib/uvtypes.scm 51 */
 uv_handle_t * BgL_z42builtin1106z42_2498; bool_t BgL_closed1111z00_2501; void * BgL_z52data1113z52_2503; bool_t BgL_ipc1114z00_2504;
BgL_z42builtin1106z42_2498 = 
FOREIGN_TO_COBJ(BgL_z42builtin1106z42_2091); 
BgL_closed1111z00_2501 = 
CBOOL(BgL_closed1111z00_2096); 
BgL_z52data1113z52_2503 = 
FOREIGN_TO_COBJ(BgL_z52data1113z52_2098); 
BgL_ipc1114z00_2504 = 
CBOOL(BgL_ipc1114z00_2099); 
{ /* Llib/uvtypes.scm 51 */
 BgL_uvpipez00_bglt BgL_new1260z00_2505;
{ /* Llib/uvtypes.scm 51 */
 BgL_uvpipez00_bglt BgL_new1259z00_2506;
BgL_new1259z00_2506 = 
((BgL_uvpipez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvpipez00_bgl) ))); 
{ /* Llib/uvtypes.scm 51 */
 long BgL_arg1900z00_2507;
BgL_arg1900z00_2507 = 
BGL_CLASS_NUM(BGl_UvPipez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1259z00_2506), BgL_arg1900z00_2507); } 
BgL_new1260z00_2505 = BgL_new1259z00_2506; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1260z00_2505)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1106z42_2498),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1260z00_2505)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1107z52_2092),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1260z00_2505)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1108z52_2093)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1260z00_2505)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1109z52_2094)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1260z00_2505)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1110z52_2095),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1260z00_2505)))->BgL_closedz00)=((bool_t)BgL_closed1111z00_2501),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1260z00_2505)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1112z00_2097)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1260z00_2505)))->BgL_z52dataz52)=((void *)BgL_z52data1113z52_2503),BUNSPEC); 
((((BgL_uvpipez00_bglt)COBJECT(BgL_new1260z00_2505))->BgL_ipcz00)=((bool_t)BgL_ipc1114z00_2504),BUNSPEC); 
{ /* Llib/uvtypes.scm 51 */
 obj_t BgL_fun1899z00_2508;
BgL_fun1899z00_2508 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvPipez00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1899z00_2508))(BgL_fun1899z00_2508, 
((obj_t)BgL_new1260z00_2505), BEOA); } 
return BgL_new1260z00_2505;} } } 

}



/* &lambda1908 */
obj_t BGl_z62lambda1908z62zz__libuv_typesz00(obj_t BgL_envz00_2100, obj_t BgL_oz00_2101, obj_t BgL_vz00_2102)
{
{ /* Llib/uvtypes.scm 51 */
{ /* Llib/uvtypes.scm 51 */
 bool_t BgL_vz00_2510;
BgL_vz00_2510 = 
CBOOL(BgL_vz00_2102); 
return 
((((BgL_uvpipez00_bglt)COBJECT(
((BgL_uvpipez00_bglt)BgL_oz00_2101)))->BgL_ipcz00)=((bool_t)BgL_vz00_2510),BUNSPEC);} } 

}



/* &lambda1907 */
obj_t BGl_z62lambda1907z62zz__libuv_typesz00(obj_t BgL_envz00_2103, obj_t BgL_oz00_2104)
{
{ /* Llib/uvtypes.scm 51 */
return 
BBOOL(
(((BgL_uvpipez00_bglt)COBJECT(
((BgL_uvpipez00_bglt)BgL_oz00_2104)))->BgL_ipcz00));} 

}



/* &<@anonymous:1885> */
obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2105, obj_t BgL_new1104z00_2106)
{
{ /* Llib/uvtypes.scm 48 */
{ 
 BgL_uvudpz00_bglt BgL_auxz00_4118;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1104z00_2106))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1104z00_2106))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1104z00_2106))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1104z00_2106))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1104z00_2106))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1104z00_2106))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_4138;
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL_classz00_2513;
BgL_classz00_2513 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL__ortest_1116z00_2514;
BgL__ortest_1116z00_2514 = 
BGL_CLASS_NIL(BgL_classz00_2513); 
if(
CBOOL(BgL__ortest_1116z00_2514))
{ /* Llib/uvtypes.scm 48 */
BgL_auxz00_4138 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2514)
; }  else 
{ /* Llib/uvtypes.scm 48 */
BgL_auxz00_4138 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2513))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvudpz00_bglt)BgL_new1104z00_2106))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4138),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvudpz00_bglt)BgL_new1104z00_2106))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
((((BgL_uvudpz00_bglt)COBJECT(
((BgL_uvudpz00_bglt)BgL_new1104z00_2106)))->BgL_z52procmz52)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4118 = 
((BgL_uvudpz00_bglt)BgL_new1104z00_2106); 
return 
((obj_t)BgL_auxz00_4118);} } 

}



/* &lambda1883 */
BgL_uvudpz00_bglt BGl_z62lambda1883z62zz__libuv_typesz00(obj_t BgL_envz00_2107)
{
{ /* Llib/uvtypes.scm 48 */
{ /* Llib/uvtypes.scm 48 */
 BgL_uvudpz00_bglt BgL_new1103z00_2515;
BgL_new1103z00_2515 = 
((BgL_uvudpz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvudpz00_bgl) ))); 
{ /* Llib/uvtypes.scm 48 */
 long BgL_arg1884z00_2516;
BgL_arg1884z00_2516 = 
BGL_CLASS_NUM(BGl_UvUdpz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1103z00_2515), BgL_arg1884z00_2516); } 
return BgL_new1103z00_2515;} } 

}



/* &lambda1880 */
BgL_uvudpz00_bglt BGl_z62lambda1880z62zz__libuv_typesz00(obj_t BgL_envz00_2108, obj_t BgL_z42builtin1094z42_2109, obj_t BgL_z52onclose1095z52_2110, obj_t BgL_z52gcmarkshead1096z52_2111, obj_t BgL_z52gcmarkstail1097z52_2112, obj_t BgL_z52gcmark1098z52_2113, obj_t BgL_closed1099z00_2114, obj_t BgL_loop1100z00_2115, obj_t BgL_z52data1101z52_2116, obj_t BgL_z52procm1102z52_2117)
{
{ /* Llib/uvtypes.scm 48 */
{ /* Llib/uvtypes.scm 48 */
 uv_handle_t * BgL_z42builtin1094z42_2517; bool_t BgL_closed1099z00_2520; void * BgL_z52data1101z52_2522;
BgL_z42builtin1094z42_2517 = 
FOREIGN_TO_COBJ(BgL_z42builtin1094z42_2109); 
BgL_closed1099z00_2520 = 
CBOOL(BgL_closed1099z00_2114); 
BgL_z52data1101z52_2522 = 
FOREIGN_TO_COBJ(BgL_z52data1101z52_2116); 
{ /* Llib/uvtypes.scm 48 */
 BgL_uvudpz00_bglt BgL_new1258z00_2524;
{ /* Llib/uvtypes.scm 48 */
 BgL_uvudpz00_bglt BgL_new1257z00_2525;
BgL_new1257z00_2525 = 
((BgL_uvudpz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvudpz00_bgl) ))); 
{ /* Llib/uvtypes.scm 48 */
 long BgL_arg1882z00_2526;
BgL_arg1882z00_2526 = 
BGL_CLASS_NUM(BGl_UvUdpz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1257z00_2525), BgL_arg1882z00_2526); } 
BgL_new1258z00_2524 = BgL_new1257z00_2525; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1258z00_2524)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1094z42_2517),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1258z00_2524)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1095z52_2110),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1258z00_2524)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1096z52_2111)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1258z00_2524)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1097z52_2112)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1258z00_2524)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1098z52_2113),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1258z00_2524)))->BgL_closedz00)=((bool_t)BgL_closed1099z00_2520),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1258z00_2524)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1100z00_2115)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1258z00_2524)))->BgL_z52dataz52)=((void *)BgL_z52data1101z52_2522),BUNSPEC); 
((((BgL_uvudpz00_bglt)COBJECT(BgL_new1258z00_2524))->BgL_z52procmz52)=((obj_t)
((obj_t)BgL_z52procm1102z52_2117)),BUNSPEC); 
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL_fun1881z00_2527;
BgL_fun1881z00_2527 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvUdpz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1881z00_2527))(BgL_fun1881z00_2527, 
((obj_t)BgL_new1258z00_2524), BEOA); } 
return BgL_new1258z00_2524;} } } 

}



/* &<@anonymous:1892> */
obj_t BGl_z62zc3z04anonymousza31892ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2118)
{
{ /* Llib/uvtypes.scm 48 */
return BNIL;} 

}



/* &lambda1891 */
obj_t BGl_z62lambda1891z62zz__libuv_typesz00(obj_t BgL_envz00_2119, obj_t BgL_oz00_2120, obj_t BgL_vz00_2121)
{
{ /* Llib/uvtypes.scm 48 */
return 
((((BgL_uvudpz00_bglt)COBJECT(
((BgL_uvudpz00_bglt)BgL_oz00_2120)))->BgL_z52procmz52)=((obj_t)
((obj_t)BgL_vz00_2121)),BUNSPEC);} 

}



/* &lambda1890 */
obj_t BGl_z62lambda1890z62zz__libuv_typesz00(obj_t BgL_envz00_2122, obj_t BgL_oz00_2123)
{
{ /* Llib/uvtypes.scm 48 */
return 
(((BgL_uvudpz00_bglt)COBJECT(
((BgL_uvudpz00_bglt)BgL_oz00_2123)))->BgL_z52procmz52);} 

}



/* &<@anonymous:1874> */
obj_t BGl_z62zc3z04anonymousza31874ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2124, obj_t BgL_new1092z00_2125)
{
{ /* Llib/uvtypes.scm 46 */
{ 
 BgL_uvtcpz00_bglt BgL_auxz00_4199;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1092z00_2125))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1092z00_2125))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1092z00_2125))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1092z00_2125))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1092z00_2125))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1092z00_2125))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_4219;
{ /* Llib/uvtypes.scm 46 */
 obj_t BgL_classz00_2532;
BgL_classz00_2532 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 46 */
 obj_t BgL__ortest_1116z00_2533;
BgL__ortest_1116z00_2533 = 
BGL_CLASS_NIL(BgL_classz00_2532); 
if(
CBOOL(BgL__ortest_1116z00_2533))
{ /* Llib/uvtypes.scm 46 */
BgL_auxz00_4219 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2533)
; }  else 
{ /* Llib/uvtypes.scm 46 */
BgL_auxz00_4219 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2532))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1092z00_2125))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4219),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1092z00_2125))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_4199 = 
((BgL_uvtcpz00_bglt)BgL_new1092z00_2125); 
return 
((obj_t)BgL_auxz00_4199);} } 

}



/* &lambda1872 */
BgL_uvtcpz00_bglt BGl_z62lambda1872z62zz__libuv_typesz00(obj_t BgL_envz00_2126)
{
{ /* Llib/uvtypes.scm 46 */
{ /* Llib/uvtypes.scm 46 */
 BgL_uvtcpz00_bglt BgL_new1091z00_2534;
BgL_new1091z00_2534 = 
((BgL_uvtcpz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvtcpz00_bgl) ))); 
{ /* Llib/uvtypes.scm 46 */
 long BgL_arg1873z00_2535;
BgL_arg1873z00_2535 = 
BGL_CLASS_NUM(BGl_UvTcpz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_2534), BgL_arg1873z00_2535); } 
return BgL_new1091z00_2534;} } 

}



/* &lambda1869 */
BgL_uvtcpz00_bglt BGl_z62lambda1869z62zz__libuv_typesz00(obj_t BgL_envz00_2127, obj_t BgL_z42builtin1083z42_2128, obj_t BgL_z52onclose1084z52_2129, obj_t BgL_z52gcmarkshead1085z52_2130, obj_t BgL_z52gcmarkstail1086z52_2131, obj_t BgL_z52gcmark1087z52_2132, obj_t BgL_closed1088z00_2133, obj_t BgL_loop1089z00_2134, obj_t BgL_z52data1090z52_2135)
{
{ /* Llib/uvtypes.scm 46 */
{ /* Llib/uvtypes.scm 46 */
 uv_handle_t * BgL_z42builtin1083z42_2536; bool_t BgL_closed1088z00_2539; void * BgL_z52data1090z52_2541;
BgL_z42builtin1083z42_2536 = 
FOREIGN_TO_COBJ(BgL_z42builtin1083z42_2128); 
BgL_closed1088z00_2539 = 
CBOOL(BgL_closed1088z00_2133); 
BgL_z52data1090z52_2541 = 
FOREIGN_TO_COBJ(BgL_z52data1090z52_2135); 
{ /* Llib/uvtypes.scm 46 */
 BgL_uvtcpz00_bglt BgL_new1256z00_2542;
{ /* Llib/uvtypes.scm 46 */
 BgL_uvtcpz00_bglt BgL_new1255z00_2543;
BgL_new1255z00_2543 = 
((BgL_uvtcpz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvtcpz00_bgl) ))); 
{ /* Llib/uvtypes.scm 46 */
 long BgL_arg1871z00_2544;
BgL_arg1871z00_2544 = 
BGL_CLASS_NUM(BGl_UvTcpz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1255z00_2543), BgL_arg1871z00_2544); } 
BgL_new1256z00_2542 = BgL_new1255z00_2543; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1256z00_2542)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1083z42_2536),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1256z00_2542)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1084z52_2129),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1256z00_2542)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1085z52_2130)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1256z00_2542)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1086z52_2131)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1256z00_2542)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1087z52_2132),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1256z00_2542)))->BgL_closedz00)=((bool_t)BgL_closed1088z00_2539),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1256z00_2542)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1089z00_2134)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1256z00_2542)))->BgL_z52dataz52)=((void *)BgL_z52data1090z52_2541),BUNSPEC); 
{ /* Llib/uvtypes.scm 46 */
 obj_t BgL_fun1870z00_2545;
BgL_fun1870z00_2545 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvTcpz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1870z00_2545))(BgL_fun1870z00_2545, 
((obj_t)BgL_new1256z00_2542), BEOA); } 
return BgL_new1256z00_2542;} } } 

}



/* &<@anonymous:1851> */
obj_t BGl_z62zc3z04anonymousza31851ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2136, obj_t BgL_new1081z00_2137)
{
{ /* Llib/uvtypes.scm 42 */
{ 
 BgL_uvstreamz00_bglt BgL_auxz00_4271;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1081z00_2137))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1081z00_2137))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1081z00_2137))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1081z00_2137))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1081z00_2137))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1081z00_2137))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_4291;
{ /* Llib/uvtypes.scm 42 */
 obj_t BgL_classz00_2547;
BgL_classz00_2547 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 42 */
 obj_t BgL__ortest_1116z00_2548;
BgL__ortest_1116z00_2548 = 
BGL_CLASS_NIL(BgL_classz00_2547); 
if(
CBOOL(BgL__ortest_1116z00_2548))
{ /* Llib/uvtypes.scm 42 */
BgL_auxz00_4291 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2548)
; }  else 
{ /* Llib/uvtypes.scm 42 */
BgL_auxz00_4291 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2547))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1081z00_2137)))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4291),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1081z00_2137)))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_4271 = 
((BgL_uvstreamz00_bglt)BgL_new1081z00_2137); 
return 
((obj_t)BgL_auxz00_4271);} } 

}



/* &lambda1849 */
BgL_uvstreamz00_bglt BGl_z62lambda1849z62zz__libuv_typesz00(obj_t BgL_envz00_2138)
{
{ /* Llib/uvtypes.scm 42 */
{ /* Llib/uvtypes.scm 42 */
 BgL_uvstreamz00_bglt BgL_new1080z00_2549;
BgL_new1080z00_2549 = 
((BgL_uvstreamz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvstreamz00_bgl) ))); 
{ /* Llib/uvtypes.scm 42 */
 long BgL_arg1850z00_2550;
BgL_arg1850z00_2550 = 
BGL_CLASS_NUM(BGl_UvStreamz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1080z00_2549), BgL_arg1850z00_2550); } 
return BgL_new1080z00_2549;} } 

}



/* &lambda1846 */
BgL_uvstreamz00_bglt BGl_z62lambda1846z62zz__libuv_typesz00(obj_t BgL_envz00_2139, obj_t BgL_z42builtin1072z42_2140, obj_t BgL_z52onclose1073z52_2141, obj_t BgL_z52gcmarkshead1074z52_2142, obj_t BgL_z52gcmarkstail1075z52_2143, obj_t BgL_z52gcmark1076z52_2144, obj_t BgL_closed1077z00_2145, obj_t BgL_loop1078z00_2146, obj_t BgL_z52data1079z52_2147)
{
{ /* Llib/uvtypes.scm 42 */
{ /* Llib/uvtypes.scm 42 */
 uv_handle_t * BgL_z42builtin1072z42_2551; bool_t BgL_closed1077z00_2554; void * BgL_z52data1079z52_2556;
BgL_z42builtin1072z42_2551 = 
FOREIGN_TO_COBJ(BgL_z42builtin1072z42_2140); 
BgL_closed1077z00_2554 = 
CBOOL(BgL_closed1077z00_2145); 
BgL_z52data1079z52_2556 = 
FOREIGN_TO_COBJ(BgL_z52data1079z52_2147); 
{ /* Llib/uvtypes.scm 42 */
 BgL_uvstreamz00_bglt BgL_new1254z00_2557;
{ /* Llib/uvtypes.scm 42 */
 BgL_uvstreamz00_bglt BgL_new1253z00_2558;
BgL_new1253z00_2558 = 
((BgL_uvstreamz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvstreamz00_bgl) ))); 
{ /* Llib/uvtypes.scm 42 */
 long BgL_arg1848z00_2559;
BgL_arg1848z00_2559 = 
BGL_CLASS_NUM(BGl_UvStreamz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1253z00_2558), BgL_arg1848z00_2559); } 
BgL_new1254z00_2557 = BgL_new1253z00_2558; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1254z00_2557)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1072z42_2551),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1254z00_2557)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1073z52_2141),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1254z00_2557)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1074z52_2142)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1254z00_2557)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1075z52_2143)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1254z00_2557)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1076z52_2144),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1254z00_2557)))->BgL_closedz00)=((bool_t)BgL_closed1077z00_2554),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(BgL_new1254z00_2557))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1078z00_2146)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(BgL_new1254z00_2557))->BgL_z52dataz52)=((void *)BgL_z52data1079z52_2556),BUNSPEC); 
{ /* Llib/uvtypes.scm 42 */
 obj_t BgL_fun1847z00_2560;
BgL_fun1847z00_2560 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvStreamz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1847z00_2560))(BgL_fun1847z00_2560, 
((obj_t)BgL_new1254z00_2557), BEOA); } 
return BgL_new1254z00_2557;} } } 

}



/* &<@anonymous:1863> */
obj_t BGl_z62zc3z04anonymousza31863ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2148)
{
{ /* Llib/uvtypes.scm 42 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1862 */
obj_t BGl_z62lambda1862z62zz__libuv_typesz00(obj_t BgL_envz00_2149, obj_t BgL_oz00_2150, obj_t BgL_vz00_2151)
{
{ /* Llib/uvtypes.scm 42 */
{ /* Llib/uvtypes.scm 42 */
 void * BgL_vz00_2562;
BgL_vz00_2562 = 
FOREIGN_TO_COBJ(BgL_vz00_2151); 
return 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2150)))->BgL_z52dataz52)=((void *)BgL_vz00_2562),BUNSPEC);} } 

}



/* &lambda1861 */
obj_t BGl_z62lambda1861z62zz__libuv_typesz00(obj_t BgL_envz00_2152, obj_t BgL_oz00_2153)
{
{ /* Llib/uvtypes.scm 42 */
return 
void_star_to_obj(
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2153)))->BgL_z52dataz52));} 

}



/* &lambda1856 */
obj_t BGl_z62lambda1856z62zz__libuv_typesz00(obj_t BgL_envz00_2154, obj_t BgL_oz00_2155, obj_t BgL_vz00_2156)
{
{ /* Llib/uvtypes.scm 42 */
return 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2155)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_vz00_2156)),BUNSPEC);} 

}



/* &lambda1855 */
BgL_uvloopz00_bglt BGl_z62lambda1855z62zz__libuv_typesz00(obj_t BgL_envz00_2157, obj_t BgL_oz00_2158)
{
{ /* Llib/uvtypes.scm 42 */
return 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2158)))->BgL_loopz00);} 

}



/* &<@anonymous:1820> */
obj_t BGl_z62zc3z04anonymousza31820ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2159, obj_t BgL_new1070z00_2160)
{
{ /* Llib/uvtypes.scm 37 */
{ 
 BgL_uvwatcherz00_bglt BgL_auxz00_4351;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2160))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2160))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2160))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2160))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2160))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2160))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_4371;
{ /* Llib/uvtypes.scm 37 */
 obj_t BgL_classz00_2568;
BgL_classz00_2568 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 37 */
 obj_t BgL__ortest_1116z00_2569;
BgL__ortest_1116z00_2569 = 
BGL_CLASS_NIL(BgL_classz00_2568); 
if(
CBOOL(BgL__ortest_1116z00_2569))
{ /* Llib/uvtypes.scm 37 */
BgL_auxz00_4371 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2569)
; }  else 
{ /* Llib/uvtypes.scm 37 */
BgL_auxz00_4371 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2568))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2160)))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4371),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2160)))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2160)))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_4351 = 
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2160); 
return 
((obj_t)BgL_auxz00_4351);} } 

}



/* &lambda1818 */
BgL_uvwatcherz00_bglt BGl_z62lambda1818z62zz__libuv_typesz00(obj_t BgL_envz00_2161)
{
{ /* Llib/uvtypes.scm 37 */
{ /* Llib/uvtypes.scm 37 */
 BgL_uvwatcherz00_bglt BgL_new1069z00_2570;
BgL_new1069z00_2570 = 
((BgL_uvwatcherz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvwatcherz00_bgl) ))); 
{ /* Llib/uvtypes.scm 37 */
 long BgL_arg1819z00_2571;
BgL_arg1819z00_2571 = 
BGL_CLASS_NUM(BGl_UvWatcherz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_2570), BgL_arg1819z00_2571); } 
return BgL_new1069z00_2570;} } 

}



/* &<@anonymous:1840> */
obj_t BGl_z62zc3z04anonymousza31840ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2162)
{
{ /* Llib/uvtypes.scm 37 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1839 */
obj_t BGl_z62lambda1839z62zz__libuv_typesz00(obj_t BgL_envz00_2163, obj_t BgL_oz00_2164, obj_t BgL_vz00_2165)
{
{ /* Llib/uvtypes.scm 37 */
{ /* Llib/uvtypes.scm 37 */
 void * BgL_vz00_2573;
BgL_vz00_2573 = 
FOREIGN_TO_COBJ(BgL_vz00_2165); 
return 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2164)))->BgL_z52dataz52)=((void *)BgL_vz00_2573),BUNSPEC);} } 

}



/* &lambda1838 */
obj_t BGl_z62lambda1838z62zz__libuv_typesz00(obj_t BgL_envz00_2166, obj_t BgL_oz00_2167)
{
{ /* Llib/uvtypes.scm 37 */
return 
void_star_to_obj(
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2167)))->BgL_z52dataz52));} 

}



/* &<@anonymous:1833> */
obj_t BGl_z62zc3z04anonymousza31833ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2168)
{
{ /* Llib/uvtypes.scm 37 */
return BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;} 

}



/* &lambda1832 */
obj_t BGl_z62lambda1832z62zz__libuv_typesz00(obj_t BgL_envz00_2169, obj_t BgL_oz00_2170, obj_t BgL_vz00_2171)
{
{ /* Llib/uvtypes.scm 37 */
return 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2170)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_vz00_2171)),BUNSPEC);} 

}



/* &lambda1831 */
obj_t BGl_z62lambda1831z62zz__libuv_typesz00(obj_t BgL_envz00_2172, obj_t BgL_oz00_2173)
{
{ /* Llib/uvtypes.scm 37 */
return 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2173)))->BgL_cbz00);} 

}



/* &lambda1825 */
obj_t BGl_z62lambda1825z62zz__libuv_typesz00(obj_t BgL_envz00_2174, obj_t BgL_oz00_2175, obj_t BgL_vz00_2176)
{
{ /* Llib/uvtypes.scm 37 */
return 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2175)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_vz00_2176)),BUNSPEC);} 

}



/* &lambda1824 */
BgL_uvloopz00_bglt BGl_z62lambda1824z62zz__libuv_typesz00(obj_t BgL_envz00_2177, obj_t BgL_oz00_2178)
{
{ /* Llib/uvtypes.scm 37 */
return 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2178)))->BgL_loopz00);} 

}



/* &<@anonymous:1806> */
obj_t BGl_z62zc3z04anonymousza31806ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2179, obj_t BgL_new1067z00_2180)
{
{ /* Llib/uvtypes.scm 34 */
{ 
 BgL_uvloopz00_bglt BgL_auxz00_4408;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1067z00_2180))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1067z00_2180))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1067z00_2180))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1067z00_2180))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1067z00_2180))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1067z00_2180))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_uvloopz00_bglt)COBJECT(
((BgL_uvloopz00_bglt)BgL_new1067z00_2180)))->BgL_z52mutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
BgL_auxz00_4408 = 
((BgL_uvloopz00_bglt)BgL_new1067z00_2180); 
return 
((obj_t)BgL_auxz00_4408);} } 

}



/* &lambda1804 */
BgL_uvloopz00_bglt BGl_z62lambda1804z62zz__libuv_typesz00(obj_t BgL_envz00_2181)
{
{ /* Llib/uvtypes.scm 34 */
{ /* Llib/uvtypes.scm 34 */
 BgL_uvloopz00_bglt BgL_new1066z00_2582;
BgL_new1066z00_2582 = 
((BgL_uvloopz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvloopz00_bgl) ))); 
{ /* Llib/uvtypes.scm 34 */
 long BgL_arg1805z00_2583;
BgL_arg1805z00_2583 = 
BGL_CLASS_NUM(BGl_UvLoopz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1066z00_2582), BgL_arg1805z00_2583); } 
return BgL_new1066z00_2582;} } 

}



/* &lambda1801 */
BgL_uvloopz00_bglt BGl_z62lambda1801z62zz__libuv_typesz00(obj_t BgL_envz00_2182, obj_t BgL_z42builtin1059z42_2183, obj_t BgL_z52onclose1060z52_2184, obj_t BgL_z52gcmarkshead1061z52_2185, obj_t BgL_z52gcmarkstail1062z52_2186, obj_t BgL_z52gcmark1063z52_2187, obj_t BgL_closed1064z00_2188, obj_t BgL_z52mutex1065z52_2189)
{
{ /* Llib/uvtypes.scm 34 */
{ /* Llib/uvtypes.scm 34 */
 uv_handle_t * BgL_z42builtin1059z42_2584; bool_t BgL_closed1064z00_2587;
BgL_z42builtin1059z42_2584 = 
FOREIGN_TO_COBJ(BgL_z42builtin1059z42_2183); 
BgL_closed1064z00_2587 = 
CBOOL(BgL_closed1064z00_2188); 
{ /* Llib/uvtypes.scm 34 */
 BgL_uvloopz00_bglt BgL_new1252z00_2589;
{ /* Llib/uvtypes.scm 34 */
 BgL_uvloopz00_bglt BgL_new1251z00_2590;
BgL_new1251z00_2590 = 
((BgL_uvloopz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvloopz00_bgl) ))); 
{ /* Llib/uvtypes.scm 34 */
 long BgL_arg1803z00_2591;
BgL_arg1803z00_2591 = 
BGL_CLASS_NUM(BGl_UvLoopz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1251z00_2590), BgL_arg1803z00_2591); } 
BgL_new1252z00_2589 = BgL_new1251z00_2590; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1252z00_2589)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1059z42_2584),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1252z00_2589)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1060z52_2184),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1252z00_2589)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1061z52_2185)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1252z00_2589)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1062z52_2186)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1252z00_2589)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1063z52_2187),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1252z00_2589)))->BgL_closedz00)=((bool_t)BgL_closed1064z00_2587),BUNSPEC); 
((((BgL_uvloopz00_bglt)COBJECT(BgL_new1252z00_2589))->BgL_z52mutexz52)=((obj_t)
((obj_t)BgL_z52mutex1065z52_2189)),BUNSPEC); 
{ /* Llib/uvtypes.scm 34 */
 obj_t BgL_fun1802z00_2592;
BgL_fun1802z00_2592 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvLoopz00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1802z00_2592))(BgL_fun1802z00_2592, 
((obj_t)BgL_new1252z00_2589), BEOA); } 
return BgL_new1252z00_2589;} } } 

}



/* &<@anonymous:1813> */
obj_t BGl_z62zc3z04anonymousza31813ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2190)
{
{ /* Llib/uvtypes.scm 34 */
{ /* Llib/uvtypes.scm 35 */

{ /* Llib/uvtypes.scm 35 */
 obj_t BgL_namez00_2593;
BgL_namez00_2593 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(21L)); 
{ /* Llib/uvtypes.scm 35 */

return 
bgl_make_mutex(BgL_namez00_2593);} } } } 

}



/* &lambda1812 */
obj_t BGl_z62lambda1812z62zz__libuv_typesz00(obj_t BgL_envz00_2191, obj_t BgL_oz00_2192, obj_t BgL_vz00_2193)
{
{ /* Llib/uvtypes.scm 34 */
return 
((((BgL_uvloopz00_bglt)COBJECT(
((BgL_uvloopz00_bglt)BgL_oz00_2192)))->BgL_z52mutexz52)=((obj_t)
((obj_t)BgL_vz00_2193)),BUNSPEC);} 

}



/* &lambda1811 */
obj_t BGl_z62lambda1811z62zz__libuv_typesz00(obj_t BgL_envz00_2194, obj_t BgL_oz00_2195)
{
{ /* Llib/uvtypes.scm 34 */
return 
(((BgL_uvloopz00_bglt)COBJECT(
((BgL_uvloopz00_bglt)BgL_oz00_2195)))->BgL_z52mutexz52);} 

}



/* &<@anonymous:1689> */
obj_t BGl_z62zc3z04anonymousza31689ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2196, obj_t BgL_new1057z00_2197)
{
{ /* Llib/uvtypes.scm 26 */
{ 
 BgL_uvhandlez00_bglt BgL_auxz00_4473;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1057z00_2197)))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1057z00_2197)))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1057z00_2197)))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1057z00_2197)))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1057z00_2197)))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1057z00_2197)))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_4473 = 
((BgL_uvhandlez00_bglt)BgL_new1057z00_2197); 
return 
((obj_t)BgL_auxz00_4473);} } 

}



/* &lambda1684 */
BgL_uvhandlez00_bglt BGl_z62lambda1684z62zz__libuv_typesz00(obj_t BgL_envz00_2198)
{
{ /* Llib/uvtypes.scm 26 */
{ /* Llib/uvtypes.scm 26 */
 BgL_uvhandlez00_bglt BgL_new1056z00_2598;
BgL_new1056z00_2598 = 
((BgL_uvhandlez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvhandlez00_bgl) ))); 
{ /* Llib/uvtypes.scm 26 */
 long BgL_arg1688z00_2599;
BgL_arg1688z00_2599 = 
BGL_CLASS_NUM(BGl_UvHandlez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1056z00_2598), BgL_arg1688z00_2599); } 
return BgL_new1056z00_2598;} } 

}



/* &lambda1680 */
BgL_uvhandlez00_bglt BGl_z62lambda1680z62zz__libuv_typesz00(obj_t BgL_envz00_2199, obj_t BgL_z42builtin1050z42_2200, obj_t BgL_z52onclose1051z52_2201, obj_t BgL_z52gcmarkshead1052z52_2202, obj_t BgL_z52gcmarkstail1053z52_2203, obj_t BgL_z52gcmark1054z52_2204, obj_t BgL_closed1055z00_2205)
{
{ /* Llib/uvtypes.scm 26 */
{ /* Llib/uvtypes.scm 26 */
 uv_handle_t * BgL_z42builtin1050z42_2600; bool_t BgL_closed1055z00_2603;
BgL_z42builtin1050z42_2600 = 
FOREIGN_TO_COBJ(BgL_z42builtin1050z42_2200); 
BgL_closed1055z00_2603 = 
CBOOL(BgL_closed1055z00_2205); 
{ /* Llib/uvtypes.scm 26 */
 BgL_uvhandlez00_bglt BgL_new1250z00_2604;
{ /* Llib/uvtypes.scm 26 */
 BgL_uvhandlez00_bglt BgL_new1249z00_2605;
BgL_new1249z00_2605 = 
((BgL_uvhandlez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvhandlez00_bgl) ))); 
{ /* Llib/uvtypes.scm 26 */
 long BgL_arg1683z00_2606;
BgL_arg1683z00_2606 = 
BGL_CLASS_NUM(BGl_UvHandlez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1249z00_2605), BgL_arg1683z00_2606); } 
BgL_new1250z00_2604 = BgL_new1249z00_2605; } 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1250z00_2604))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1050z42_2600),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1250z00_2604))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1051z52_2201),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1250z00_2604))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1052z52_2202)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1250z00_2604))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1053z52_2203)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1250z00_2604))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1054z52_2204),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1250z00_2604))->BgL_closedz00)=((bool_t)BgL_closed1055z00_2603),BUNSPEC); 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_fun1681z00_2607;
BgL_fun1681z00_2607 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvHandlez00zz__libuv_typesz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1681z00_2607))(BgL_fun1681z00_2607, 
((obj_t)BgL_new1250z00_2604), BEOA); } 
return BgL_new1250z00_2604;} } } 

}



/* &<@anonymous:1780> */
obj_t BGl_z62zc3z04anonymousza31780ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2206)
{
{ /* Llib/uvtypes.scm 26 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1779 */
obj_t BGl_z62lambda1779z62zz__libuv_typesz00(obj_t BgL_envz00_2207, obj_t BgL_oz00_2208, obj_t BgL_vz00_2209)
{
{ /* Llib/uvtypes.scm 26 */
{ /* Llib/uvtypes.scm 26 */
 bool_t BgL_vz00_2609;
BgL_vz00_2609 = 
CBOOL(BgL_vz00_2209); 
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2208)))->BgL_closedz00)=((bool_t)BgL_vz00_2609),BUNSPEC);} } 

}



/* &lambda1778 */
obj_t BGl_z62lambda1778z62zz__libuv_typesz00(obj_t BgL_envz00_2210, obj_t BgL_oz00_2211)
{
{ /* Llib/uvtypes.scm 26 */
return 
BBOOL(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2211)))->BgL_closedz00));} 

}



/* &<@anonymous:1757> */
obj_t BGl_z62zc3z04anonymousza31757ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2212)
{
{ /* Llib/uvtypes.scm 26 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1756 */
obj_t BGl_z62lambda1756z62zz__libuv_typesz00(obj_t BgL_envz00_2213, obj_t BgL_oz00_2214, obj_t BgL_vz00_2215)
{
{ /* Llib/uvtypes.scm 26 */
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2214)))->BgL_z52gcmarkz52)=((obj_t)BgL_vz00_2215),BUNSPEC);} 

}



/* &lambda1755 */
obj_t BGl_z62lambda1755z62zz__libuv_typesz00(obj_t BgL_envz00_2216, obj_t BgL_oz00_2217)
{
{ /* Llib/uvtypes.scm 26 */
return 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2217)))->BgL_z52gcmarkz52);} 

}



/* &<@anonymous:1741> */
obj_t BGl_z62zc3z04anonymousza31741ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2218)
{
{ /* Llib/uvtypes.scm 26 */
return BNIL;} 

}



/* &lambda1740 */
obj_t BGl_z62lambda1740z62zz__libuv_typesz00(obj_t BgL_envz00_2219, obj_t BgL_oz00_2220, obj_t BgL_vz00_2221)
{
{ /* Llib/uvtypes.scm 26 */
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2220)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_vz00_2221)),BUNSPEC);} 

}



/* &lambda1739 */
obj_t BGl_z62lambda1739z62zz__libuv_typesz00(obj_t BgL_envz00_2222, obj_t BgL_oz00_2223)
{
{ /* Llib/uvtypes.scm 26 */
return 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2223)))->BgL_z52gcmarkstailz52);} 

}



/* &<@anonymous:1729> */
obj_t BGl_z62zc3z04anonymousza31729ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2224)
{
{ /* Llib/uvtypes.scm 26 */
return BNIL;} 

}



/* &lambda1728 */
obj_t BGl_z62lambda1728z62zz__libuv_typesz00(obj_t BgL_envz00_2225, obj_t BgL_oz00_2226, obj_t BgL_vz00_2227)
{
{ /* Llib/uvtypes.scm 26 */
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2226)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_vz00_2227)),BUNSPEC);} 

}



/* &lambda1727 */
obj_t BGl_z62lambda1727z62zz__libuv_typesz00(obj_t BgL_envz00_2228, obj_t BgL_oz00_2229)
{
{ /* Llib/uvtypes.scm 26 */
return 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2229)))->BgL_z52gcmarksheadz52);} 

}



/* &<@anonymous:1718> */
obj_t BGl_z62zc3z04anonymousza31718ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2230)
{
{ /* Llib/uvtypes.scm 26 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1717 */
obj_t BGl_z62lambda1717z62zz__libuv_typesz00(obj_t BgL_envz00_2231, obj_t BgL_oz00_2232, obj_t BgL_vz00_2233)
{
{ /* Llib/uvtypes.scm 26 */
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2232)))->BgL_z52onclosez52)=((obj_t)BgL_vz00_2233),BUNSPEC);} 

}



/* &lambda1716 */
obj_t BGl_z62lambda1716z62zz__libuv_typesz00(obj_t BgL_envz00_2234, obj_t BgL_oz00_2235)
{
{ /* Llib/uvtypes.scm 26 */
return 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2235)))->BgL_z52onclosez52);} 

}



/* &<@anonymous:1709> */
obj_t BGl_z62zc3z04anonymousza31709ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2236)
{
{ /* Llib/uvtypes.scm 26 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1708 */
obj_t BGl_z62lambda1708z62zz__libuv_typesz00(obj_t BgL_envz00_2237, obj_t BgL_oz00_2238, obj_t BgL_vz00_2239)
{
{ /* Llib/uvtypes.scm 26 */
{ /* Llib/uvtypes.scm 26 */
 uv_handle_t * BgL_vz00_2622;
BgL_vz00_2622 = 
FOREIGN_TO_COBJ(BgL_vz00_2239); 
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2238)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_vz00_2622),BUNSPEC);} } 

}



/* &lambda1707 */
obj_t BGl_z62lambda1707z62zz__libuv_typesz00(obj_t BgL_envz00_2240, obj_t BgL_oz00_2241)
{
{ /* Llib/uvtypes.scm 26 */
return 
void_star_to_obj(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2241)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1655> */
obj_t BGl_z62zc3z04anonymousza31655ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2242, obj_t BgL_new1048z00_2243)
{
{ /* Llib/uvtypes.scm 23 */
return 
((obj_t)
((BgL_z52uvz52_bglt)BgL_new1048z00_2243));} 

}



/* &lambda1649 */
BgL_z52uvz52_bglt BGl_z62lambda1649z62zz__libuv_typesz00(obj_t BgL_envz00_2244)
{
{ /* Llib/uvtypes.scm 23 */
{ /* Llib/uvtypes.scm 23 */
 BgL_z52uvz52_bglt BgL_new1047z00_2625;
BgL_new1047z00_2625 = 
((BgL_z52uvz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52uvz52_bgl) ))); 
{ /* Llib/uvtypes.scm 23 */
 long BgL_arg1654z00_2626;
BgL_arg1654z00_2626 = 
BGL_CLASS_NUM(BGl_z52Uvz52zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1047z00_2625), BgL_arg1654z00_2626); } 
return BgL_new1047z00_2625;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2410z00zz__libuv_typesz00, BGl_z52Uvz52zz__libuv_typesz00, BGl_string2411z00zz__libuv_typesz00);} 

}



/* &%uv-init1340 */
obj_t BGl_z62z52uvzd2init1340ze2zz__libuv_typesz00(obj_t BgL_envz00_2248, obj_t BgL_oz00_2249)
{
{ /* Llib/uvtypes.scm 185 */
return 
((obj_t)
((BgL_z52uvz52_bglt)BgL_oz00_2249));} 

}



/* %uv-init */
BGL_EXPORTED_DEF obj_t BGl_z52uvzd2initz80zz__libuv_typesz00(BgL_z52uvz52_bglt BgL_oz00_4)
{
{ /* Llib/uvtypes.scm 185 */
{ /* Llib/uvtypes.scm 185 */
 obj_t BgL_method1341z00_1177;
{ /* Llib/uvtypes.scm 185 */
 obj_t BgL_res2247z00_1583;
{ /* Llib/uvtypes.scm 185 */
 long BgL_objzd2classzd2numz00_1554;
BgL_objzd2classzd2numz00_1554 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_4)); 
{ /* Llib/uvtypes.scm 185 */
 obj_t BgL_arg1782z00_1555;
BgL_arg1782z00_1555 = 
PROCEDURE_REF(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, 
(int)(1L)); 
{ /* Llib/uvtypes.scm 185 */
 int BgL_offsetz00_1558;
BgL_offsetz00_1558 = 
(int)(BgL_objzd2classzd2numz00_1554); 
{ /* Llib/uvtypes.scm 185 */
 long BgL_offsetz00_1559;
BgL_offsetz00_1559 = 
(
(long)(BgL_offsetz00_1558)-OBJECT_TYPE); 
{ /* Llib/uvtypes.scm 185 */
 long BgL_modz00_1560;
BgL_modz00_1560 = 
(BgL_offsetz00_1559 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/uvtypes.scm 185 */
 long BgL_restz00_1562;
BgL_restz00_1562 = 
(BgL_offsetz00_1559 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/uvtypes.scm 185 */

{ /* Llib/uvtypes.scm 185 */
 obj_t BgL_bucketz00_1564;
BgL_bucketz00_1564 = 
VECTOR_REF(
((obj_t)BgL_arg1782z00_1555),BgL_modz00_1560); 
BgL_res2247z00_1583 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1564),BgL_restz00_1562); } } } } } } } } 
BgL_method1341z00_1177 = BgL_res2247z00_1583; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1341z00_1177))(BgL_method1341z00_1177, 
((obj_t)BgL_oz00_4), BEOA);} } 

}



/* &%uv-init */
obj_t BGl_z62z52uvzd2initze2zz__libuv_typesz00(obj_t BgL_envz00_2245, obj_t BgL_oz00_2246)
{
{ /* Llib/uvtypes.scm 185 */
return 
BGl_z52uvzd2initz80zz__libuv_typesz00(
((BgL_z52uvz52_bglt)BgL_oz00_2246));} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_UvHandlez00zz__libuv_typesz00, BGl_proc2412z00zz__libuv_typesz00, BGl_string2413z00zz__libuv_typesz00);} 

}



/* &object-print-UvHandl1343 */
obj_t BGl_z62objectzd2printzd2UvHandl1343z62zz__libuv_typesz00(obj_t BgL_envz00_2251, obj_t BgL_objz00_2252, obj_t BgL_portz00_2253, obj_t BgL_printzd2slotzd2_2254)
{
{ /* Llib/uvtypes.scm 191 */
{ 
 obj_t BgL_fieldz00_2631;
{ /* Llib/uvtypes.scm 205 */
 obj_t BgL_classz00_2636;
{ /* Llib/uvtypes.scm 205 */
 long BgL_arg1785z00_2637;
{ /* Llib/uvtypes.scm 205 */
 long BgL_arg1786z00_2638;
BgL_arg1786z00_2638 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)
((BgL_uvhandlez00_bglt)BgL_objz00_2252))); 
BgL_arg1785z00_2637 = 
(BgL_arg1786z00_2638-OBJECT_TYPE); } 
BgL_classz00_2636 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2637); } 
{ /* Llib/uvtypes.scm 205 */
 obj_t BgL_classzd2namezd2_2639;
BgL_classzd2namezd2_2639 = 
BGl_classzd2namezd2zz__objectz00(BgL_classz00_2636); 
{ /* Llib/uvtypes.scm 206 */
 obj_t BgL_fieldsz00_2640;
{ /* Llib/uvtypes.scm 207 */
 obj_t BgL_tmpz00_4595;
BgL_tmpz00_4595 = 
((obj_t)BgL_classz00_2636); 
BgL_fieldsz00_2640 = 
BGL_CLASS_ALL_FIELDS(BgL_tmpz00_4595); } 
{ /* Llib/uvtypes.scm 208 */

{ /* Llib/uvtypes.scm 209 */
 obj_t BgL_tmpz00_4598;
BgL_tmpz00_4598 = 
((obj_t)BgL_portz00_2253); 
bgl_display_string(BGl_string2415z00zz__libuv_typesz00, BgL_tmpz00_4598); } 
bgl_display_obj(BgL_classzd2namezd2_2639, BgL_portz00_2253); 
{ /* Llib/uvtypes.scm 211 */
 obj_t BgL_tmpz00_4602;
BgL_tmpz00_4602 = 
((obj_t)BgL_portz00_2253); 
bgl_display_string(BGl_string2416z00zz__libuv_typesz00, BgL_tmpz00_4602); } 
{ /* Llib/uvtypes.scm 212 */
 obj_t BgL_arg2231z00_2641;
{ /* Llib/uvtypes.scm 212 */
 int BgL_arg2232z00_2642;
{ /* Llib/uvtypes.scm 212 */
 int BgL_res2248z00_2643;
{ /* Llib/uvtypes.scm 180 */
 uv_handle_t * BgL_arg1348z00_2644;
BgL_arg1348z00_2644 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_objz00_2252)))->BgL_z42builtinz42); 
BgL_res2248z00_2643 = 
(int)(
(long)(BgL_arg1348z00_2644)); } 
BgL_arg2232z00_2642 = BgL_res2248z00_2643; } 
BgL_arg2231z00_2641 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg2232z00_2642), 16L); } 
bgl_display_obj(BgL_arg2231z00_2641, BgL_portz00_2253); } 
{ /* Llib/uvtypes.scm 213 */
 obj_t BgL_tmpz00_4612;
BgL_tmpz00_4612 = 
((obj_t)BgL_portz00_2253); 
bgl_display_string(BGl_string2417z00zz__libuv_typesz00, BgL_tmpz00_4612); } 
if(
BGl_nilzf3zf3zz__objectz00(
((BgL_objectz00_bglt)
((BgL_uvhandlez00_bglt)BgL_objz00_2252))))
{ /* Llib/uvtypes.scm 215 */
 obj_t BgL_tmpz00_4619;
BgL_tmpz00_4619 = 
((obj_t)BgL_portz00_2253); 
return 
bgl_display_string(BGl_string2418z00zz__libuv_typesz00, BgL_tmpz00_4619);}  else 
{ 
 long BgL_iz00_2646;
BgL_iz00_2646 = 0L; 
BgL_loopz00_2645:
if(
(BgL_iz00_2646==
VECTOR_LENGTH(BgL_fieldsz00_2640)))
{ /* Llib/uvtypes.scm 218 */
 obj_t BgL_tmpz00_4625;
BgL_tmpz00_4625 = 
((obj_t)BgL_portz00_2253); 
return 
bgl_display_char(((unsigned char)'|'), BgL_tmpz00_4625);}  else 
{ /* Llib/uvtypes.scm 217 */
BgL_fieldz00_2631 = 
VECTOR_REF(BgL_fieldsz00_2640,BgL_iz00_2646); 
{ /* Llib/uvtypes.scm 194 */
 obj_t BgL_namez00_2632;
BgL_namez00_2632 = 
BGl_classzd2fieldzd2namez00zz__objectz00(BgL_fieldz00_2631); 
{ /* Llib/uvtypes.scm 194 */
 obj_t BgL_getzd2valuezd2_2633;
BgL_getzd2valuezd2_2633 = 
BGl_classzd2fieldzd2accessorz00zz__objectz00(BgL_fieldz00_2631); 
{ /* Llib/uvtypes.scm 195 */
 obj_t BgL_sz00_2634;
BgL_sz00_2634 = 
SYMBOL_TO_STRING(BgL_namez00_2632); 
{ /* Llib/uvtypes.scm 196 */

if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
BCHAR(
STRING_REF(BgL_sz00_2634, 0L)), 
CNST_TABLE_REF(68L))))
{ /* Llib/uvtypes.scm 197 */BFALSE; }  else 
{ /* Llib/uvtypes.scm 197 */
{ /* Llib/uvtypes.scm 198 */
 obj_t BgL_tmpz00_4637;
BgL_tmpz00_4637 = 
((obj_t)BgL_portz00_2253); 
bgl_display_string(BGl_string2414z00zz__libuv_typesz00, BgL_tmpz00_4637); } 
bgl_display_obj(BgL_namez00_2632, BgL_portz00_2253); 
{ /* Llib/uvtypes.scm 200 */
 obj_t BgL_tmpz00_4641;
BgL_tmpz00_4641 = 
((obj_t)BgL_portz00_2253); 
bgl_display_char(((unsigned char)':'), BgL_tmpz00_4641); } 
{ /* Llib/uvtypes.scm 201 */
 obj_t BgL_tmpz00_4644;
BgL_tmpz00_4644 = 
((obj_t)BgL_portz00_2253); 
bgl_display_char(((unsigned char)' '), BgL_tmpz00_4644); } 
{ /* Llib/uvtypes.scm 202 */
 obj_t BgL_arg2241z00_2635;
BgL_arg2241z00_2635 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_getzd2valuezd2_2633))(BgL_getzd2valuezd2_2633, 
((obj_t)
((BgL_uvhandlez00_bglt)BgL_objz00_2252)), BEOA); 
{ /* Llib/uvtypes.scm 202 */
 obj_t BgL_tmpfunz00_4658;
BgL_tmpfunz00_4658 = 
((obj_t)BgL_printzd2slotzd2_2254); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_tmpfunz00_4658))(
((obj_t)BgL_printzd2slotzd2_2254), BgL_arg2241z00_2635, BgL_portz00_2253, BEOA); } } 
{ /* Llib/uvtypes.scm 203 */
 obj_t BgL_tmpz00_4660;
BgL_tmpz00_4660 = 
((obj_t)BgL_portz00_2253); 
bgl_display_char(((unsigned char)']'), BgL_tmpz00_4660); } } } } } } 
{ 
 long BgL_iz00_4664;
BgL_iz00_4664 = 
(BgL_iz00_2646+1L); 
BgL_iz00_2646 = BgL_iz00_4664; 
goto BgL_loopz00_2645;} } } } } } } } } 

}

#ifdef __cplusplus
}
#endif
