/*===========================================================================*/
/*   (Llib/pthread.scm)                                                      */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -copt -fPIC -copt -IPosix Llib/pthread.scm -o objs/objs_s/pthread.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <bglpthread.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___PTH_THREAD_TYPE_DEFINITIONS
#define BGL___PTH_THREAD_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_z62threadzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62threadzd2errorzb0_bglt;

typedef struct BgL_uncaughtzd2exceptionzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_reasonz00;
} *BgL_uncaughtzd2exceptionzd2_bglt;

typedef struct BgL_terminatedzd2threadzd2exceptionz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_terminatedzd2threadzd2exceptionz00_bglt;


#endif // BGL___PTH_THREAD_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

BGL_IMPORT bool_t BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(long, long);
BGL_IMPORT long BGl_bitzd2andzd2zz__bitz00(long, long);
extern void * bglpth_thread_new(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_IMPORT bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_pthreadzd2setupzd2backendz12z12zz__pth_backendz00(void);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31203ze3ze5zz__pth_threadz00(obj_t);
static obj_t BGl_zc3z04exitza31375ze3ze70z60zz__pth_threadz00(obj_t, obj_t, BgL_pthreadz00_bglt);
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
extern bool_t bglpth_thread_terminate(void *);
static obj_t BGl_toplevelzd2initzd2zz__pth_threadz00(void);
BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL void * BGl_z42pthreadzd2nilz90zz__pth_threadz00(void);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectzd2displayzd2zz__objectz00(BgL_objectz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__pth_threadz00(void);
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_zc3z04exitza31376ze3ze70z60zz__pth_threadz00(BgL_pthreadz00_bglt);
static obj_t BGl_z62threadzd2terminatez12zd2pt1155z70zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__pth_threadz00(void);
BGL_IMPORT obj_t BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(bool_t);
BGL_EXPORTED_DEF obj_t BGl_pthreadz00zz__pth_threadz00 = BUNSPEC;
static obj_t BGl_z62threadzd2specificzd2pthr1159z62zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_z62exceptionz62zz__objectz00;
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3z04anonymousza31314ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectzd2printzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t BGl_z62threadzd2joinz12zd2pthread1153z70zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31242ze3ze5zz__pth_threadz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31234ze3ze5zz__pth_threadz00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__pth_threadz00(void);
extern int bglpth_thread_kill(void *, int);
BGL_IMPORT obj_t BGl_objectzd2writezd2zz__objectz00(BgL_objectz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza31219ze3ze5zz__pth_threadz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62threadzd2errorzb0zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t bgl_typeof(obj_t);
BGL_IMPORT obj_t BGl_modulezd2initzd2errorz00zz__errorz00(char *, char *);
extern void bglpth_thread_start(void *, obj_t, bool_t);
extern void bglpth_thread_setname(void *, obj_t);
static obj_t BGl_z62zc3z04anonymousza31342ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31270ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62objectzd2printzd2uncaugh1143z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_uncaughtzd2exceptionzd2zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_signalz00zz__osz00(int, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1201z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1202z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2killz12zd2pthread1157z70zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1217z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1218z62zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31524ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31184ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
extern int sched_yield(void);
static obj_t BGl_z62threadzd2initializa7ez12zd2p1147zd7zz__pth_threadz00(obj_t, obj_t);
static BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1312z62zz__pth_threadz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31371ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1232z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31444ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1233z62zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__pth_backendz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
static obj_t BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00(obj_t);
static obj_t BGl_z62lambda1320z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1240z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1321z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1241z62zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
BGL_IMPORT bool_t BGl_classzf3zf3zz__objectz00(obj_t);
static obj_t BGl_z62threadzd2namezd2setz12zd2pth1169za2zz__pth_threadz00(obj_t, obj_t, obj_t);
static BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1337z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t);
static BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1339z62zz__pth_threadz00(obj_t);
static BgL_pthreadz00_bglt BGl_z62lambda1179z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern void bglpth_thread_join(void *, obj_t);
static BgL_pthreadz00_bglt BGl_z62lambda1182z62zz__pth_threadz00(obj_t);
static BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1265z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1267z62zz__pth_threadz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__pth_threadz00(void);
static obj_t BGl_z62lambda1189z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__pth_threadz00(void);
BGL_IMPORT bool_t BGl_bigloozd2initializa7edzf3z86zz__paramz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__pth_threadz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__pth_threadz00(void);
static obj_t BGl_z62lambda1190z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2startz12zd2pthrea1149z70zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62objectzd2writezd2uncaugh1139z62zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62threadzd2specificzd2setz121161z70zz__pth_threadz00(obj_t, obj_t, obj_t);
static BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1297z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
extern obj_t bglpth_thread_getname(void *);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2cleanupzd2setz12zd21165za2zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(obj_t, obj_t, obj_t, obj_t, int, int);
static obj_t BGl_z62bz62zz__pth_threadz00(obj_t);
static obj_t BGl_z62threadzd2cleanupzd2pthre1163z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62objectzd2displayzd2uncau1141z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2namezd2pthread1167z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62z52userzd2threadzd2yieldz12zd21145zf0zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
static obj_t BGl_z62threadzd2startzd2joinabl1151z62zz__pth_threadz00(obj_t, obj_t);
static obj_t __cnst[ 20 ] ;


BGL_IMPORT obj_t BGl_threadzd2namezd2envz00zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2cleanupzd2envz00zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2startz12zd2envz12zz__threadz00;
BGL_IMPORT obj_t BGl_objectzd2writezd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
BGL_IMPORT obj_t BGl_threadzd2joinz12zd2envz12zz__threadz00;
DEFINE_STRING( BGl_string1901z00zz__pth_threadz00, BgL_bgl_string1901za700za7za7_2007za7, "thread-start!", 13 );
DEFINE_STRING( BGl_string1903z00zz__pth_threadz00, BgL_bgl_string1903za700za7za7_2008za7, "thread-start-joinable!", 22 );
DEFINE_STRING( BGl_string1905z00zz__pth_threadz00, BgL_bgl_string1905za700za7za7_2009za7, "thread-join!", 12 );
DEFINE_STRING( BGl_string1907z00zz__pth_threadz00, BgL_bgl_string1907za700za7za7_2010za7, "thread-terminate!", 17 );
DEFINE_STRING( BGl_string1909z00zz__pth_threadz00, BgL_bgl_string1909za700za7za7_2011za7, "thread-kill!", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1900z00zz__pth_threadz00, BgL_bgl_za762threadza7d2star2012z00, va_generic_entry, BGl_z62threadzd2startz12zd2pthrea1149z70zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1902z00zz__pth_threadz00, BgL_bgl_za762threadza7d2star2013z00, BGl_z62threadzd2startzd2joinabl1151z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_threadzd2specificzd2envz00zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1904z00zz__pth_threadz00, BgL_bgl_za762threadza7d2join2014z00, va_generic_entry, BGl_z62threadzd2joinz12zd2pthread1153z70zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1911z00zz__pth_threadz00, BgL_bgl_string1911za700za7za7_2015za7, "thread-specific", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1906z00zz__pth_threadz00, BgL_bgl_za762threadza7d2term2016z00, BGl_z62threadzd2terminatez12zd2pt1155z70zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1913z00zz__pth_threadz00, BgL_bgl_string1913za700za7za7_2017za7, "thread-specific-set!", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1908z00zz__pth_threadz00, BgL_bgl_za762threadza7d2kill2018z00, BGl_z62threadzd2killz12zd2pthread1157z70zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1915z00zz__pth_threadz00, BgL_bgl_string1915za700za7za7_2019za7, "thread-cleanup", 14 );
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
DEFINE_STRING( BGl_string1917z00zz__pth_threadz00, BgL_bgl_string1917za700za7za7_2020za7, "thread-cleanup-set!", 19 );
DEFINE_STRING( BGl_string1919z00zz__pth_threadz00, BgL_bgl_string1919za700za7za7_2021za7, "thread-name", 11 );
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_threadzd2startzd2joinablez12zd2envzc0zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1910z00zz__pth_threadz00, BgL_bgl_za762threadza7d2spec2022z00, BGl_z62threadzd2specificzd2pthr1159z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1912z00zz__pth_threadz00, BgL_bgl_za762threadza7d2spec2023z00, BGl_z62threadzd2specificzd2setz121161z70zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1914z00zz__pth_threadz00, BgL_bgl_za762threadza7d2clea2024z00, BGl_z62threadzd2cleanupzd2pthre1163z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1921z00zz__pth_threadz00, BgL_bgl_string1921za700za7za7_2025za7, "thread-name-set!", 16 );
DEFINE_STRING( BGl_string1922z00zz__pth_threadz00, BgL_bgl_string1922za700za7za7_2026za7, "&thread-name-set!-pth1169", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1916z00zz__pth_threadz00, BgL_bgl_za762threadza7d2clea2027z00, BGl_z62threadzd2cleanupzd2setz12zd21165za2zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1923z00zz__pth_threadz00, BgL_bgl_string1923za700za7za7_2028za7, "thread-name-pthread1167", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1836z00zz__pth_threadz00, BgL_bgl_za762lambda1190za7622029z00, BGl_z62lambda1190z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1924z00zz__pth_threadz00, BgL_bgl_string1924za700za7za7_2030za7, "bstring", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1918z00zz__pth_threadz00, BgL_bgl_za762threadza7d2name2031z00, BGl_z62threadzd2namezd2pthread1167z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1837z00zz__pth_threadz00, BgL_bgl_za762lambda1189za7622032z00, BGl_z62lambda1189z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1925z00zz__pth_threadz00, BgL_bgl_string1925za700za7za7_2033za7, "&thread-name-pthread1167", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1838z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2034za7, BGl_z62zc3z04anonymousza31203ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1926z00zz__pth_threadz00, BgL_bgl_string1926za700za7za7_2035za7, "thread-cleanup-set!-1165", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1839z00zz__pth_threadz00, BgL_bgl_za762lambda1202za7622036z00, BGl_z62lambda1202z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1927z00zz__pth_threadz00, BgL_bgl_string1927za700za7za7_2037za7, "Illegal procedure arity", 23 );
DEFINE_STRING( BGl_string1928z00zz__pth_threadz00, BgL_bgl_string1928za700za7za7_2038za7, "&thread-cleanup-set!-1165", 25 );
DEFINE_STRING( BGl_string1929z00zz__pth_threadz00, BgL_bgl_string1929za700za7za7_2039za7, "&thread-cleanup-pthre1163", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1920z00zz__pth_threadz00, BgL_bgl_za762threadza7d2name2040z00, BGl_z62threadzd2namezd2setz12zd2pth1169za2zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1840z00zz__pth_threadz00, BgL_bgl_za762lambda1201za7622041z00, BGl_z62lambda1201z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1841z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2042za7, BGl_z62zc3z04anonymousza31219ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1842z00zz__pth_threadz00, BgL_bgl_za762lambda1218za7622043z00, BGl_z62lambda1218z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1930z00zz__pth_threadz00, BgL_bgl_string1930za700za7za7_2044za7, "&thread-specific-set!1161", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1843z00zz__pth_threadz00, BgL_bgl_za762lambda1217za7622045z00, BGl_z62lambda1217z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1931z00zz__pth_threadz00, BgL_bgl_string1931za700za7za7_2046za7, "&thread-specific-pthr1159", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1844z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2047za7, BGl_z62zc3z04anonymousza31234ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1932z00zz__pth_threadz00, BgL_bgl_string1932za700za7za7_2048za7, "&thread-kill!-pthread1157", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1845z00zz__pth_threadz00, BgL_bgl_za762lambda1233za7622049z00, BGl_z62lambda1233z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1933z00zz__pth_threadz00, BgL_bgl_string1933za700za7za7_2050za7, "bint", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1846z00zz__pth_threadz00, BgL_bgl_za762lambda1232za7622051z00, BGl_z62lambda1232z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1934z00zz__pth_threadz00, BgL_bgl_string1934za700za7za7_2052za7, "thread-terminate!-pt1155", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1847z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2053za7, BGl_z62zc3z04anonymousza31242ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1935z00zz__pth_threadz00, BgL_bgl_string1935za700za7za7_2054za7, "class-field", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1848z00zz__pth_threadz00, BgL_bgl_za762lambda1241za7622055z00, BGl_z62lambda1241z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1936z00zz__pth_threadz00, BgL_bgl_string1936za700za7za7_2056za7, "&thread-terminate!-pt1155", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1849z00zz__pth_threadz00, BgL_bgl_za762lambda1240za7622057z00, BGl_z62lambda1240z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1937z00zz__pth_threadz00, BgL_bgl_string1937za700za7za7_2058za7, "thread-join!-pthread1153", 24 );
DEFINE_STRING( BGl_string1938z00zz__pth_threadz00, BgL_bgl_string1938za700za7za7_2059za7, "detached thread", 15 );
DEFINE_STRING( BGl_string1939z00zz__pth_threadz00, BgL_bgl_string1939za700za7za7_2060za7, "vector", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1850z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2061za7, BGl_z62zc3z04anonymousza31184ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1851z00zz__pth_threadz00, BgL_bgl_za762lambda1182za7622062z00, BGl_z62lambda1182z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1852z00zz__pth_threadz00, BgL_bgl_za762lambda1179za7622063z00, BGl_z62lambda1179z62zz__pth_threadz00, 0L, BUNSPEC, 6 );
DEFINE_STRING( BGl_string1940z00zz__pth_threadz00, BgL_bgl_string1940za700za7za7_2064za7, "vector-ref", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1853z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2065za7, BGl_z62zc3z04anonymousza31270ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1941z00zz__pth_threadz00, BgL_bgl_string1941za700za7za7_2066za7, "class", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1854z00zz__pth_threadz00, BgL_bgl_za762lambda1267za7622067z00, BGl_z62lambda1267z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1942z00zz__pth_threadz00, BgL_bgl_string1942za700za7za7_2068za7, "&thread-join!-pthread1153", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1855z00zz__pth_threadz00, BgL_bgl_za762lambda1265za7622069z00, BGl_z62lambda1265z62zz__pth_threadz00, 0L, BUNSPEC, 6 );
DEFINE_STRING( BGl_string1943z00zz__pth_threadz00, BgL_bgl_string1943za700za7za7_2070za7, "&thread-start-joinabl1151", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1856z00zz__pth_threadz00, BgL_bgl_za762lambda1321za7622071z00, BGl_z62lambda1321z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_threadzd2killz12zd2envz12zz__threadz00;
DEFINE_STRING( BGl_string1944z00zz__pth_threadz00, BgL_bgl_string1944za700za7za7_2072za7, "&thread-start!-pthrea1149", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1857z00zz__pth_threadz00, BgL_bgl_za762lambda1320za7622073z00, BGl_z62lambda1320z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1945z00zz__pth_threadz00, BgL_bgl_string1945za700za7za7_2074za7, "Thread created before module initialization completed -- ", 57 );
DEFINE_STRING( BGl_string1864z00zz__pth_threadz00, BgL_bgl_string1864za700za7za7_2075za7, "/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/api/pthread/src/Llib/pthread.scm", 84 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1858z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2076za7, BGl_z62zc3z04anonymousza31314ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1946z00zz__pth_threadz00, BgL_bgl_string1946za700za7za7_2077za7, "make-thread", 11 );
DEFINE_STRING( BGl_string1865z00zz__pth_threadz00, BgL_bgl_string1865za700za7za7_2078za7, "&<@anonymous:1342>", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1859z00zz__pth_threadz00, BgL_bgl_za762lambda1312za7622079z00, BGl_z62lambda1312z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1947z00zz__pth_threadz00, BgL_bgl_string1947za700za7za7_2080za7, "&thread-initialize!-p1147", 25 );
DEFINE_STRING( BGl_string1866z00zz__pth_threadz00, BgL_bgl_string1866za700za7za7_2081za7, "terminated-thread-exception", 27 );
DEFINE_STRING( BGl_string1948z00zz__pth_threadz00, BgL_bgl_string1948za700za7za7_2082za7, "b", 1 );
DEFINE_STRING( BGl_string1867z00zz__pth_threadz00, BgL_bgl_string1867za700za7za7_2083za7, "&<@anonymous:1314>", 18 );
DEFINE_STRING( BGl_string1949z00zz__pth_threadz00, BgL_bgl_string1949za700za7za7_2084za7, "symbol", 6 );
DEFINE_STRING( BGl_string1868z00zz__pth_threadz00, BgL_bgl_string1868za700za7za7_2085za7, "uncaught-exception", 18 );
DEFINE_STRING( BGl_string1869z00zz__pth_threadz00, BgL_bgl_string1869za700za7za7_2086za7, "&lambda1321", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1860z00zz__pth_threadz00, BgL_bgl_za762lambda1297za7622087z00, BGl_z62lambda1297z62zz__pth_threadz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1861z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2088za7, BGl_z62zc3z04anonymousza31342ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1862z00zz__pth_threadz00, BgL_bgl_za762lambda1339za7622089z00, BGl_z62lambda1339z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1950z00zz__pth_threadz00, BgL_bgl_string1950za700za7za7_2090za7, "handler1087", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1863z00zz__pth_threadz00, BgL_bgl_za762lambda1337za7622091z00, BGl_z62lambda1337z62zz__pth_threadz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1951z00zz__pth_threadz00, BgL_bgl_string1951za700za7za7_2092za7, "<@exit:1376>~0:Wrong number of arguments", 40 );
DEFINE_STRING( BGl_string1870z00zz__pth_threadz00, BgL_bgl_string1870za700za7za7_2093za7, "&lambda1320", 11 );
DEFINE_STRING( BGl_string1952z00zz__pth_threadz00, BgL_bgl_string1952za700za7za7_2094za7, "<@exit:1375>~0", 14 );
DEFINE_STRING( BGl_string1871z00zz__pth_threadz00, BgL_bgl_string1871za700za7za7_2095za7, "&<@anonymous:1270>", 18 );
DEFINE_STRING( BGl_string1953z00zz__pth_threadz00, BgL_bgl_string1953za700za7za7_2096za7, "pair", 4 );
DEFINE_STRING( BGl_string1872z00zz__pth_threadz00, BgL_bgl_string1872za700za7za7_2097za7, "&thread-error", 13 );
DEFINE_STRING( BGl_string1873z00zz__pth_threadz00, BgL_bgl_string1873za700za7za7_2098za7, "&<@anonymous:1184>", 18 );
DEFINE_STRING( BGl_string1955z00zz__pth_threadz00, BgL_bgl_string1955za700za7za7_2099za7, "unwind-until!, ~a", 17 );
DEFINE_STRING( BGl_string1874z00zz__pth_threadz00, BgL_bgl_string1874za700za7za7_2100za7, "pthread", 7 );
DEFINE_STRING( BGl_string1956z00zz__pth_threadz00, BgL_bgl_string1956za700za7za7_2101za7, "exit out of thread dynamic scope", 32 );
DEFINE_STRING( BGl_string1875z00zz__pth_threadz00, BgL_bgl_string1875za700za7za7_2102za7, "lambda1179", 10 );
DEFINE_STRING( BGl_string1957z00zz__pth_threadz00, BgL_bgl_string1957za700za7za7_2103za7, "&%user-thread-yield!-1145", 25 );
DEFINE_STRING( BGl_string1876z00zz__pth_threadz00, BgL_bgl_string1876za700za7za7_2104za7, "procedure", 9 );
DEFINE_STRING( BGl_string1958z00zz__pth_threadz00, BgL_bgl_string1958za700za7za7_2105za7, "object-print-uncaugh1143", 24 );
DEFINE_STRING( BGl_string1877z00zz__pth_threadz00, BgL_bgl_string1877za700za7za7_2106za7, "lambda1179:Wrong number of arguments", 36 );
DEFINE_STRING( BGl_string1959z00zz__pth_threadz00, BgL_bgl_string1959za700za7za7_2107za7, "object", 6 );
DEFINE_STRING( BGl_string1878z00zz__pth_threadz00, BgL_bgl_string1878za700za7za7_2108za7, "&lambda1179", 11 );
DEFINE_STRING( BGl_string1879z00zz__pth_threadz00, BgL_bgl_string1879za700za7za7_2109za7, "void*", 5 );
DEFINE_STRING( BGl_string1960z00zz__pth_threadz00, BgL_bgl_string1960za700za7za7_2110za7, "output-port", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1954z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2111za7, BGl_z62zc3z04anonymousza31524ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1961z00zz__pth_threadz00, BgL_bgl_string1961za700za7za7_2112za7, "&object-print-uncaugh1143", 25 );
DEFINE_STRING( BGl_string1880z00zz__pth_threadz00, BgL_bgl_string1880za700za7za7_2113za7, "&lambda1241", 11 );
DEFINE_STRING( BGl_string1962z00zz__pth_threadz00, BgL_bgl_string1962za700za7za7_2114za7, "object-display-uncau1141", 24 );
DEFINE_STRING( BGl_string1881z00zz__pth_threadz00, BgL_bgl_string1881za700za7za7_2115za7, "&lambda1240", 11 );
DEFINE_STRING( BGl_string1963z00zz__pth_threadz00, BgL_bgl_string1963za700za7za7_2116za7, "&object-display-uncau1141", 25 );
DEFINE_STRING( BGl_string1882z00zz__pth_threadz00, BgL_bgl_string1882za700za7za7_2117za7, "&lambda1233", 11 );
DEFINE_STRING( BGl_string1964z00zz__pth_threadz00, BgL_bgl_string1964za700za7za7_2118za7, "object-write-uncaugh1139", 24 );
DEFINE_STRING( BGl_string1883z00zz__pth_threadz00, BgL_bgl_string1883za700za7za7_2119za7, "&lambda1232", 11 );
DEFINE_STRING( BGl_string1965z00zz__pth_threadz00, BgL_bgl_string1965za700za7za7_2120za7, "&object-write-uncaugh1139", 25 );
DEFINE_STRING( BGl_string1884z00zz__pth_threadz00, BgL_bgl_string1884za700za7za7_2121za7, "&lambda1218", 11 );
DEFINE_STRING( BGl_string1966z00zz__pth_threadz00, BgL_bgl_string1966za700za7za7_2122za7, "__pth_thread", 12 );
DEFINE_STRING( BGl_string1885z00zz__pth_threadz00, BgL_bgl_string1885za700za7za7_2123za7, "&lambda1217", 11 );
DEFINE_STRING( BGl_string1967z00zz__pth_threadz00, BgL_bgl_string1967za700za7za7_2124za7, "(funcall fun1525 fun1525) &pthread- & thread-join! (funcall fun1180 fun1180 new1123) terminated-thread-exception uncaught-exception reason &thread-error __pth_thread pthread $pthread $builtin end-exception obj end-result bool detachedp procedure body ", 251 );
DEFINE_STRING( BGl_string1886z00zz__pth_threadz00, BgL_bgl_string1886za700za7za7_2125za7, "&lambda1202", 11 );
DEFINE_STRING( BGl_string1887z00zz__pth_threadz00, BgL_bgl_string1887za700za7za7_2126za7, "&lambda1201", 11 );
DEFINE_STRING( BGl_string1888z00zz__pth_threadz00, BgL_bgl_string1888za700za7za7_2127za7, "&lambda1190", 11 );
DEFINE_STRING( BGl_string1889z00zz__pth_threadz00, BgL_bgl_string1889za700za7za7_2128za7, "&lambda1189", 11 );
DEFINE_STRING( BGl_string1891z00zz__pth_threadz00, BgL_bgl_string1891za700za7za7_2129za7, "object-write", 12 );
DEFINE_STRING( BGl_string1893z00zz__pth_threadz00, BgL_bgl_string1893za700za7za7_2130za7, "object-display", 14 );
DEFINE_STRING( BGl_string1895z00zz__pth_threadz00, BgL_bgl_string1895za700za7za7_2131za7, "object-print", 12 );
DEFINE_STRING( BGl_string1897z00zz__pth_threadz00, BgL_bgl_string1897za700za7za7_2132za7, "%user-thread-yield!", 19 );
DEFINE_STRING( BGl_string1899z00zz__pth_threadz00, BgL_bgl_string1899za700za7za7_2133za7, "thread-initialize!", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1890z00zz__pth_threadz00, BgL_bgl_za762objectza7d2writ2134z00, va_generic_entry, BGl_z62objectzd2writezd2uncaugh1139z62zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1892z00zz__pth_threadz00, BgL_bgl_za762objectza7d2disp2135z00, va_generic_entry, BGl_z62objectzd2displayzd2uncau1141z62zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1894z00zz__pth_threadz00, BgL_bgl_za762objectza7d2prin2136z00, BGl_z62objectzd2printzd2uncaugh1143z62zz__pth_threadz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1896z00zz__pth_threadz00, BgL_bgl_za762za752userza7d2thr2137za7, BGl_z62z52userzd2threadzd2yieldz12zd21145zf0zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1898z00zz__pth_threadz00, BgL_bgl_za762threadza7d2init2138z00, BGl_z62threadzd2initializa7ez12zd2p1147zd7zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42pthreadzd2nilzd2envz42zz__pth_threadz00, BgL_bgl_za762za742pthreadza7d22139za7, BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2terminatez12zd2envz12zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2namezd2setz12zd2envzc0zz__threadz00;
BGL_IMPORT obj_t BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_pthreadz00zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_z62threadzd2errorzb0zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_uncaughtzd2exceptionzd2zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long BgL_checksumz00_2509, char * BgL_fromz00_2510)
{
{ 
if(
BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(
(long)CINT(
BINT(
BGl_bitzd2andzd2zz__bitz00(BgL_checksumz00_2509, 83184781L))), BgL_checksumz00_2509))
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__pth_threadz00))
{ 
BGl_requirezd2initializa7ationz75zz__pth_threadz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__pth_threadz00(); 
BGl_libraryzd2moduleszd2initz00zz__pth_threadz00(); 
BGl_cnstzd2initzd2zz__pth_threadz00(); 
BGl_importedzd2moduleszd2initz00zz__pth_threadz00(); 
BGl_objectzd2initzd2zz__pth_threadz00(); 
BGl_methodzd2initzd2zz__pth_threadz00(); 
return 
BGl_toplevelzd2initzd2zz__pth_threadz00();}  else 
{ 
return BUNSPEC;} }  else 
{ 
 char * BgL_sz00_2513;
BgL_sz00_2513 = 
"__pth_thread"; 
return 
BGl_modulezd2initzd2errorz00zz__errorz00(BgL_sz00_2513, BgL_fromz00_2510);} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__libraryz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__osz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__paramz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__pth_thread"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 15 */
 obj_t BgL_cportz00_940;
{ /* Llib/pthread.scm 15 */
 obj_t BgL_stringz00_947;
BgL_stringz00_947 = BGl_string1967z00zz__pth_threadz00; 
{ /* Llib/pthread.scm 15 */
 obj_t BgL_startz00_948;
BgL_startz00_948 = 
BINT(0L); 
{ /* Llib/pthread.scm 15 */
 obj_t BgL_endz00_949;
BgL_endz00_949 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_947))); 
{ /* Llib/pthread.scm 15 */

BgL_cportz00_940 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_947, BgL_startz00_948, BgL_endz00_949); } } } } 
{ 
 long BgL_iz00_941;
BgL_iz00_941 = 19L; 
BgL_loopz00_942:
if(
(BgL_iz00_941==-1L))
{ /* Llib/pthread.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 15 */
 obj_t BgL_arg1968z00_943;
{ /* Llib/pthread.scm 15 */

{ /* Llib/pthread.scm 15 */
 obj_t BgL_locationz00_945;
BgL_locationz00_945 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pthread.scm 15 */

BgL_arg1968z00_943 = 
BGl_readz00zz__readerz00(BgL_cportz00_940, BgL_locationz00_945); } } } 
{ /* Llib/pthread.scm 15 */
 int BgL_tmpz00_2559;
BgL_tmpz00_2559 = 
(int)(BgL_iz00_941); 
CNST_TABLE_SET(BgL_tmpz00_2559, BgL_arg1968z00_943); } } 
{ /* Llib/pthread.scm 15 */
 int BgL_auxz00_946;
BgL_auxz00_946 = 
(int)(
(BgL_iz00_941-1L)); 
{ 
 long BgL_iz00_2564;
BgL_iz00_2564 = 
(long)(BgL_auxz00_946); 
BgL_iz00_941 = BgL_iz00_2564; 
goto BgL_loopz00_942;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(((bool_t)1)); 
BGL_TAIL return 
BGl_pthreadzd2setupzd2backendz12z12zz__pth_backendz00();} 

}



/* $pthread-nil */
BGL_EXPORTED_DEF void * BGl_z42pthreadzd2nilz90zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 234 */
return 
(0L);} 

}



/* &$pthread-nil */
obj_t BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00(obj_t BgL_envz00_527)
{
{ /* Llib/pthread.scm 234 */
return 
void_star_to_obj(
BGl_z42pthreadzd2nilz90zz__pth_threadz00());} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1177z00_40; obj_t BgL_arg1178z00_41;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_v1130z00_58;
BgL_v1130z00_58 = 
create_vector(5L); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1186z00_59;
BgL_arg1186z00_59 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(0L), BGl_proc1837z00zz__pth_threadz00, BGl_proc1836z00zz__pth_threadz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(1L)); 
VECTOR_SET(BgL_v1130z00_58,0L,BgL_arg1186z00_59); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1193z00_69;
BgL_arg1193z00_69 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(2L), BGl_proc1840z00zz__pth_threadz00, BGl_proc1839z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1838z00zz__pth_threadz00, 
CNST_TABLE_REF(3L)); 
VECTOR_SET(BgL_v1130z00_58,1L,BgL_arg1193z00_69); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1210z00_82;
BgL_arg1210z00_82 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(4L), BGl_proc1843z00zz__pth_threadz00, BGl_proc1842z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1841z00zz__pth_threadz00, 
CNST_TABLE_REF(5L)); 
VECTOR_SET(BgL_v1130z00_58,2L,BgL_arg1210z00_82); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1227z00_95;
BgL_arg1227z00_95 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(6L), BGl_proc1846z00zz__pth_threadz00, BGl_proc1845z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1844z00zz__pth_threadz00, 
CNST_TABLE_REF(5L)); 
VECTOR_SET(BgL_v1130z00_58,3L,BgL_arg1227z00_95); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1235z00_108;
BgL_arg1235z00_108 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(7L), BGl_proc1849z00zz__pth_threadz00, BGl_proc1848z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1847z00zz__pth_threadz00, 
CNST_TABLE_REF(8L)); 
VECTOR_SET(BgL_v1130z00_58,4L,BgL_arg1235z00_108); } 
BgL_arg1177z00_40 = BgL_v1130z00_58; } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_v1131z00_121;
BgL_v1131z00_121 = 
create_vector(0L); 
BgL_arg1178z00_41 = BgL_v1131z00_121; } 
BGl_pthreadz00zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(9L), 
CNST_TABLE_REF(10L), BGl_threadz00zz__threadz00, 35369L, BGl_proc1852z00zz__pth_threadz00, BGl_proc1851z00zz__pth_threadz00, BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00, BGl_proc1850z00zz__pth_threadz00, BFALSE, BgL_arg1177z00_40, BgL_arg1178z00_41); } 
{ /* Llib/pthread.scm 37 */
 obj_t BgL_arg1263z00_128; obj_t BgL_arg1264z00_129;
{ /* Llib/pthread.scm 37 */
 obj_t BgL_v1132z00_145;
BgL_v1132z00_145 = 
create_vector(0L); 
BgL_arg1263z00_128 = BgL_v1132z00_145; } 
{ /* Llib/pthread.scm 37 */
 obj_t BgL_v1133z00_146;
BgL_v1133z00_146 = 
create_vector(0L); 
BgL_arg1264z00_129 = BgL_v1133z00_146; } 
BGl_z62threadzd2errorzb0zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(11L), 
CNST_TABLE_REF(10L), BGl_z62errorz62zz__objectz00, 52138L, BGl_proc1855z00zz__pth_threadz00, BGl_proc1854z00zz__pth_threadz00, BFALSE, BGl_proc1853z00zz__pth_threadz00, BFALSE, BgL_arg1263z00_128, BgL_arg1264z00_129); } 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1295z00_153; obj_t BgL_arg1296z00_154;
{ /* Llib/pthread.scm 39 */
 obj_t BgL_v1134z00_168;
BgL_v1134z00_168 = 
create_vector(1L); 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1317z00_169;
BgL_arg1317z00_169 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(12L), BGl_proc1857z00zz__pth_threadz00, BGl_proc1856z00zz__pth_threadz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(5L)); 
VECTOR_SET(BgL_v1134z00_168,0L,BgL_arg1317z00_169); } 
BgL_arg1295z00_153 = BgL_v1134z00_168; } 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_v1135z00_179;
BgL_v1135z00_179 = 
create_vector(0L); 
BgL_arg1296z00_154 = BgL_v1135z00_179; } 
BGl_uncaughtzd2exceptionzd2zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(13L), 
CNST_TABLE_REF(10L), BGl_z62exceptionz62zz__objectz00, 30717L, BGl_proc1860z00zz__pth_threadz00, BGl_proc1859z00zz__pth_threadz00, BFALSE, BGl_proc1858z00zz__pth_threadz00, BFALSE, BgL_arg1295z00_153, BgL_arg1296z00_154); } 
{ /* Llib/pthread.scm 42 */
 obj_t BgL_arg1335z00_186; obj_t BgL_arg1336z00_187;
{ /* Llib/pthread.scm 42 */
 obj_t BgL_v1136z00_200;
BgL_v1136z00_200 = 
create_vector(0L); 
BgL_arg1335z00_186 = BgL_v1136z00_200; } 
{ /* Llib/pthread.scm 42 */
 obj_t BgL_v1137z00_201;
BgL_v1137z00_201 = 
create_vector(0L); 
BgL_arg1336z00_187 = BgL_v1137z00_201; } 
return ( 
BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(14L), 
CNST_TABLE_REF(10L), BGl_z62exceptionz62zz__objectz00, 35176L, BGl_proc1863z00zz__pth_threadz00, BGl_proc1862z00zz__pth_threadz00, BFALSE, BGl_proc1861z00zz__pth_threadz00, BFALSE, BgL_arg1335z00_186, BgL_arg1336z00_187), BUNSPEC) ;} } 

}



/* &<@anonymous:1342> */
obj_t BGl_z62zc3z04anonymousza31342ze3ze5zz__pth_threadz00(obj_t BgL_envz00_559, obj_t BgL_new1077z00_560)
{
{ /* Llib/pthread.scm 42 */
{ 
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_auxz00_2616;
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1077z00_988;
{ /* Llib/pthread.scm 42 */
 bool_t BgL_test2143z00_2617;
{ /* Llib/pthread.scm 42 */
 obj_t BgL_classz00_951;
BgL_classz00_951 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_new1077z00_560))
{ /* Llib/pthread.scm 42 */
 BgL_objectz00_bglt BgL_arg1780z00_953; long BgL_arg1781z00_954;
BgL_arg1780z00_953 = 
(BgL_objectz00_bglt)(BgL_new1077z00_560); 
BgL_arg1781z00_954 = 
BGL_CLASS_DEPTH(BgL_classz00_951); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 42 */
 long BgL_idxz00_962;
BgL_idxz00_962 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_953); 
{ /* Llib/pthread.scm 42 */
 obj_t BgL_arg1773z00_963;
{ /* Llib/pthread.scm 42 */
 long BgL_arg1774z00_964;
BgL_arg1774z00_964 = 
(BgL_idxz00_962+BgL_arg1781z00_954); 
BgL_arg1773z00_963 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_964); } 
BgL_test2143z00_2617 = 
(BgL_arg1773z00_963==BgL_classz00_951); } }  else 
{ /* Llib/pthread.scm 42 */
 bool_t BgL_res1969z00_987;
{ /* Llib/pthread.scm 42 */
 obj_t BgL_oclassz00_972;
{ /* Llib/pthread.scm 42 */
 long BgL_arg1785z00_978;
{ /* Llib/pthread.scm 42 */
 long BgL_arg1786z00_979;
BgL_arg1786z00_979 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_953); 
BgL_arg1785z00_978 = 
(BgL_arg1786z00_979-OBJECT_TYPE); } 
BgL_oclassz00_972 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_978); } 
{ /* Llib/pthread.scm 42 */
 bool_t BgL__ortest_1114z00_973;
BgL__ortest_1114z00_973 = 
(BgL_classz00_951==BgL_oclassz00_972); 
if(BgL__ortest_1114z00_973)
{ /* Llib/pthread.scm 42 */
BgL_res1969z00_987 = BgL__ortest_1114z00_973; }  else 
{ /* Llib/pthread.scm 42 */
 long BgL_odepthz00_974;
BgL_odepthz00_974 = 
BGL_CLASS_DEPTH(BgL_oclassz00_972); 
if(
(BgL_arg1781z00_954<BgL_odepthz00_974))
{ /* Llib/pthread.scm 42 */
 obj_t BgL_arg1775z00_976;
BgL_arg1775z00_976 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_972, BgL_arg1781z00_954); 
BgL_res1969z00_987 = 
(BgL_arg1775z00_976==BgL_classz00_951); }  else 
{ /* Llib/pthread.scm 42 */
BgL_res1969z00_987 = ((bool_t)0); } } } } 
BgL_test2143z00_2617 = BgL_res1969z00_987; } }  else 
{ /* Llib/pthread.scm 42 */
BgL_test2143z00_2617 = ((bool_t)0)
; } } 
if(BgL_test2143z00_2617)
{ /* Llib/pthread.scm 42 */
BgL_new1077z00_988 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BgL_new1077z00_560); }  else 
{ 
 obj_t BgL_auxz00_2639;
BgL_auxz00_2639 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1701L), BGl_string1865z00zz__pth_threadz00, BGl_string1866z00zz__pth_threadz00, BgL_new1077z00_560); 
FAILURE(BgL_auxz00_2639,BFALSE,BFALSE);} } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1077z00_988)))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1077z00_988)))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1077z00_988)))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_2616 = BgL_new1077z00_988; } 
return 
((obj_t)BgL_auxz00_2616);} } 

}



/* &lambda1339 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1339z62zz__pth_threadz00(obj_t BgL_envz00_561)
{
{ /* Llib/pthread.scm 42 */
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1076z00_989;
BgL_new1076z00_989 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 42 */
 long BgL_arg1341z00_990;
BgL_arg1341z00_990 = 
BGL_CLASS_NUM(BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1076z00_989), BgL_arg1341z00_990); } 
return BgL_new1076z00_989;} } 

}



/* &lambda1337 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1337z62zz__pth_threadz00(obj_t BgL_envz00_562, obj_t BgL_fname1073z00_563, obj_t BgL_location1074z00_564, obj_t BgL_stack1075z00_565)
{
{ /* Llib/pthread.scm 42 */
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1129z00_991;
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1128z00_992;
BgL_new1128z00_992 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 42 */
 long BgL_arg1338z00_993;
BgL_arg1338z00_993 = 
BGL_CLASS_NUM(BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1128z00_992), BgL_arg1338z00_993); } 
BgL_new1129z00_991 = BgL_new1128z00_992; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1129z00_991)))->BgL_fnamez00)=((obj_t)BgL_fname1073z00_563),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1129z00_991)))->BgL_locationz00)=((obj_t)BgL_location1074z00_564),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1129z00_991)))->BgL_stackz00)=((obj_t)BgL_stack1075z00_565),BUNSPEC); 
return BgL_new1129z00_991;} } 

}



/* &<@anonymous:1314> */
obj_t BGl_z62zc3z04anonymousza31314ze3ze5zz__pth_threadz00(obj_t BgL_envz00_566, obj_t BgL_new1071z00_567)
{
{ /* Llib/pthread.scm 39 */
{ 
 BgL_uncaughtzd2exceptionzd2_bglt BgL_auxz00_2664;
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1071z00_1031;
{ /* Llib/pthread.scm 39 */
 bool_t BgL_test2148z00_2665;
{ /* Llib/pthread.scm 39 */
 obj_t BgL_classz00_994;
BgL_classz00_994 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_new1071z00_567))
{ /* Llib/pthread.scm 39 */
 BgL_objectz00_bglt BgL_arg1780z00_996; long BgL_arg1781z00_997;
BgL_arg1780z00_996 = 
(BgL_objectz00_bglt)(BgL_new1071z00_567); 
BgL_arg1781z00_997 = 
BGL_CLASS_DEPTH(BgL_classz00_994); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 39 */
 long BgL_idxz00_1005;
BgL_idxz00_1005 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_996); 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1773z00_1006;
{ /* Llib/pthread.scm 39 */
 long BgL_arg1774z00_1007;
BgL_arg1774z00_1007 = 
(BgL_idxz00_1005+BgL_arg1781z00_997); 
BgL_arg1773z00_1006 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1007); } 
BgL_test2148z00_2665 = 
(BgL_arg1773z00_1006==BgL_classz00_994); } }  else 
{ /* Llib/pthread.scm 39 */
 bool_t BgL_res1970z00_1030;
{ /* Llib/pthread.scm 39 */
 obj_t BgL_oclassz00_1015;
{ /* Llib/pthread.scm 39 */
 long BgL_arg1785z00_1021;
{ /* Llib/pthread.scm 39 */
 long BgL_arg1786z00_1022;
BgL_arg1786z00_1022 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_996); 
BgL_arg1785z00_1021 = 
(BgL_arg1786z00_1022-OBJECT_TYPE); } 
BgL_oclassz00_1015 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1021); } 
{ /* Llib/pthread.scm 39 */
 bool_t BgL__ortest_1114z00_1016;
BgL__ortest_1114z00_1016 = 
(BgL_classz00_994==BgL_oclassz00_1015); 
if(BgL__ortest_1114z00_1016)
{ /* Llib/pthread.scm 39 */
BgL_res1970z00_1030 = BgL__ortest_1114z00_1016; }  else 
{ /* Llib/pthread.scm 39 */
 long BgL_odepthz00_1017;
BgL_odepthz00_1017 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1015); 
if(
(BgL_arg1781z00_997<BgL_odepthz00_1017))
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1775z00_1019;
BgL_arg1775z00_1019 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1015, BgL_arg1781z00_997); 
BgL_res1970z00_1030 = 
(BgL_arg1775z00_1019==BgL_classz00_994); }  else 
{ /* Llib/pthread.scm 39 */
BgL_res1970z00_1030 = ((bool_t)0); } } } } 
BgL_test2148z00_2665 = BgL_res1970z00_1030; } }  else 
{ /* Llib/pthread.scm 39 */
BgL_test2148z00_2665 = ((bool_t)0)
; } } 
if(BgL_test2148z00_2665)
{ /* Llib/pthread.scm 39 */
BgL_new1071z00_1031 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1071z00_567); }  else 
{ 
 obj_t BgL_auxz00_2687;
BgL_auxz00_2687 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1626L), BGl_string1867z00zz__pth_threadz00, BGl_string1868z00zz__pth_threadz00, BgL_new1071z00_567); 
FAILURE(BgL_auxz00_2687,BFALSE,BFALSE);} } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1071z00_1031)))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1071z00_1031)))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1071z00_1031)))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1071z00_1031))->BgL_reasonz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_2664 = BgL_new1071z00_1031; } 
return 
((obj_t)BgL_auxz00_2664);} } 

}



/* &lambda1312 */
BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1312z62zz__pth_threadz00(obj_t BgL_envz00_568)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1070z00_1032;
BgL_new1070z00_1032 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 39 */
 long BgL_arg1313z00_1033;
BgL_arg1313z00_1033 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1070z00_1032), BgL_arg1313z00_1033); } 
return BgL_new1070z00_1032;} } 

}



/* &lambda1297 */
BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1297z62zz__pth_threadz00(obj_t BgL_envz00_569, obj_t BgL_fname1066z00_570, obj_t BgL_location1067z00_571, obj_t BgL_stack1068z00_572, obj_t BgL_reason1069z00_573)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1127z00_1034;
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1126z00_1035;
BgL_new1126z00_1035 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 39 */
 long BgL_arg1311z00_1036;
BgL_arg1311z00_1036 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1126z00_1035), BgL_arg1311z00_1036); } 
BgL_new1127z00_1034 = BgL_new1126z00_1035; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1127z00_1034)))->BgL_fnamez00)=((obj_t)BgL_fname1066z00_570),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1127z00_1034)))->BgL_locationz00)=((obj_t)BgL_location1067z00_571),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1127z00_1034)))->BgL_stackz00)=((obj_t)BgL_stack1068z00_572),BUNSPEC); 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1127z00_1034))->BgL_reasonz00)=((obj_t)BgL_reason1069z00_573),BUNSPEC); 
return BgL_new1127z00_1034;} } 

}



/* &lambda1321 */
obj_t BGl_z62lambda1321z62zz__pth_threadz00(obj_t BgL_envz00_574, obj_t BgL_oz00_575, obj_t BgL_vz00_576)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_oz00_1074;
{ /* Llib/pthread.scm 39 */
 bool_t BgL_test2153z00_2714;
{ /* Llib/pthread.scm 39 */
 obj_t BgL_classz00_1037;
BgL_classz00_1037 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_575))
{ /* Llib/pthread.scm 39 */
 BgL_objectz00_bglt BgL_arg1780z00_1039; long BgL_arg1781z00_1040;
BgL_arg1780z00_1039 = 
(BgL_objectz00_bglt)(BgL_oz00_575); 
BgL_arg1781z00_1040 = 
BGL_CLASS_DEPTH(BgL_classz00_1037); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 39 */
 long BgL_idxz00_1048;
BgL_idxz00_1048 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1039); 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1773z00_1049;
{ /* Llib/pthread.scm 39 */
 long BgL_arg1774z00_1050;
BgL_arg1774z00_1050 = 
(BgL_idxz00_1048+BgL_arg1781z00_1040); 
BgL_arg1773z00_1049 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1050); } 
BgL_test2153z00_2714 = 
(BgL_arg1773z00_1049==BgL_classz00_1037); } }  else 
{ /* Llib/pthread.scm 39 */
 bool_t BgL_res1971z00_1073;
{ /* Llib/pthread.scm 39 */
 obj_t BgL_oclassz00_1058;
{ /* Llib/pthread.scm 39 */
 long BgL_arg1785z00_1064;
{ /* Llib/pthread.scm 39 */
 long BgL_arg1786z00_1065;
BgL_arg1786z00_1065 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1039); 
BgL_arg1785z00_1064 = 
(BgL_arg1786z00_1065-OBJECT_TYPE); } 
BgL_oclassz00_1058 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1064); } 
{ /* Llib/pthread.scm 39 */
 bool_t BgL__ortest_1114z00_1059;
BgL__ortest_1114z00_1059 = 
(BgL_classz00_1037==BgL_oclassz00_1058); 
if(BgL__ortest_1114z00_1059)
{ /* Llib/pthread.scm 39 */
BgL_res1971z00_1073 = BgL__ortest_1114z00_1059; }  else 
{ /* Llib/pthread.scm 39 */
 long BgL_odepthz00_1060;
BgL_odepthz00_1060 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1058); 
if(
(BgL_arg1781z00_1040<BgL_odepthz00_1060))
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1775z00_1062;
BgL_arg1775z00_1062 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1058, BgL_arg1781z00_1040); 
BgL_res1971z00_1073 = 
(BgL_arg1775z00_1062==BgL_classz00_1037); }  else 
{ /* Llib/pthread.scm 39 */
BgL_res1971z00_1073 = ((bool_t)0); } } } } 
BgL_test2153z00_2714 = BgL_res1971z00_1073; } }  else 
{ /* Llib/pthread.scm 39 */
BgL_test2153z00_2714 = ((bool_t)0)
; } } 
if(BgL_test2153z00_2714)
{ /* Llib/pthread.scm 39 */
BgL_oz00_1074 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_575); }  else 
{ 
 obj_t BgL_auxz00_2736;
BgL_auxz00_2736 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1626L), BGl_string1869z00zz__pth_threadz00, BGl_string1868z00zz__pth_threadz00, BgL_oz00_575); 
FAILURE(BgL_auxz00_2736,BFALSE,BFALSE);} } 
return 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_oz00_1074))->BgL_reasonz00)=((obj_t)BgL_vz00_576),BUNSPEC);} } 

}



/* &lambda1320 */
obj_t BGl_z62lambda1320z62zz__pth_threadz00(obj_t BgL_envz00_577, obj_t BgL_oz00_578)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_oz00_1112;
{ /* Llib/pthread.scm 39 */
 bool_t BgL_test2158z00_2741;
{ /* Llib/pthread.scm 39 */
 obj_t BgL_classz00_1075;
BgL_classz00_1075 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_578))
{ /* Llib/pthread.scm 39 */
 BgL_objectz00_bglt BgL_arg1780z00_1077; long BgL_arg1781z00_1078;
BgL_arg1780z00_1077 = 
(BgL_objectz00_bglt)(BgL_oz00_578); 
BgL_arg1781z00_1078 = 
BGL_CLASS_DEPTH(BgL_classz00_1075); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 39 */
 long BgL_idxz00_1086;
BgL_idxz00_1086 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1077); 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1773z00_1087;
{ /* Llib/pthread.scm 39 */
 long BgL_arg1774z00_1088;
BgL_arg1774z00_1088 = 
(BgL_idxz00_1086+BgL_arg1781z00_1078); 
BgL_arg1773z00_1087 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1088); } 
BgL_test2158z00_2741 = 
(BgL_arg1773z00_1087==BgL_classz00_1075); } }  else 
{ /* Llib/pthread.scm 39 */
 bool_t BgL_res1972z00_1111;
{ /* Llib/pthread.scm 39 */
 obj_t BgL_oclassz00_1096;
{ /* Llib/pthread.scm 39 */
 long BgL_arg1785z00_1102;
{ /* Llib/pthread.scm 39 */
 long BgL_arg1786z00_1103;
BgL_arg1786z00_1103 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1077); 
BgL_arg1785z00_1102 = 
(BgL_arg1786z00_1103-OBJECT_TYPE); } 
BgL_oclassz00_1096 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1102); } 
{ /* Llib/pthread.scm 39 */
 bool_t BgL__ortest_1114z00_1097;
BgL__ortest_1114z00_1097 = 
(BgL_classz00_1075==BgL_oclassz00_1096); 
if(BgL__ortest_1114z00_1097)
{ /* Llib/pthread.scm 39 */
BgL_res1972z00_1111 = BgL__ortest_1114z00_1097; }  else 
{ /* Llib/pthread.scm 39 */
 long BgL_odepthz00_1098;
BgL_odepthz00_1098 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1096); 
if(
(BgL_arg1781z00_1078<BgL_odepthz00_1098))
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1775z00_1100;
BgL_arg1775z00_1100 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1096, BgL_arg1781z00_1078); 
BgL_res1972z00_1111 = 
(BgL_arg1775z00_1100==BgL_classz00_1075); }  else 
{ /* Llib/pthread.scm 39 */
BgL_res1972z00_1111 = ((bool_t)0); } } } } 
BgL_test2158z00_2741 = BgL_res1972z00_1111; } }  else 
{ /* Llib/pthread.scm 39 */
BgL_test2158z00_2741 = ((bool_t)0)
; } } 
if(BgL_test2158z00_2741)
{ /* Llib/pthread.scm 39 */
BgL_oz00_1112 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_578); }  else 
{ 
 obj_t BgL_auxz00_2763;
BgL_auxz00_2763 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1626L), BGl_string1870z00zz__pth_threadz00, BGl_string1868z00zz__pth_threadz00, BgL_oz00_578); 
FAILURE(BgL_auxz00_2763,BFALSE,BFALSE);} } 
return 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_oz00_1112))->BgL_reasonz00);} } 

}



/* &<@anonymous:1270> */
obj_t BGl_z62zc3z04anonymousza31270ze3ze5zz__pth_threadz00(obj_t BgL_envz00_579, obj_t BgL_new1064z00_580)
{
{ /* Llib/pthread.scm 37 */
{ 
 BgL_z62threadzd2errorzb0_bglt BgL_auxz00_2768;
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1064z00_1150;
{ /* Llib/pthread.scm 37 */
 bool_t BgL_test2163z00_2769;
{ /* Llib/pthread.scm 37 */
 obj_t BgL_classz00_1113;
BgL_classz00_1113 = BGl_z62threadzd2errorzb0zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_new1064z00_580))
{ /* Llib/pthread.scm 37 */
 BgL_objectz00_bglt BgL_arg1780z00_1115; long BgL_arg1781z00_1116;
BgL_arg1780z00_1115 = 
(BgL_objectz00_bglt)(BgL_new1064z00_580); 
BgL_arg1781z00_1116 = 
BGL_CLASS_DEPTH(BgL_classz00_1113); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 37 */
 long BgL_idxz00_1124;
BgL_idxz00_1124 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1115); 
{ /* Llib/pthread.scm 37 */
 obj_t BgL_arg1773z00_1125;
{ /* Llib/pthread.scm 37 */
 long BgL_arg1774z00_1126;
BgL_arg1774z00_1126 = 
(BgL_idxz00_1124+BgL_arg1781z00_1116); 
BgL_arg1773z00_1125 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1126); } 
BgL_test2163z00_2769 = 
(BgL_arg1773z00_1125==BgL_classz00_1113); } }  else 
{ /* Llib/pthread.scm 37 */
 bool_t BgL_res1973z00_1149;
{ /* Llib/pthread.scm 37 */
 obj_t BgL_oclassz00_1134;
{ /* Llib/pthread.scm 37 */
 long BgL_arg1785z00_1140;
{ /* Llib/pthread.scm 37 */
 long BgL_arg1786z00_1141;
BgL_arg1786z00_1141 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1115); 
BgL_arg1785z00_1140 = 
(BgL_arg1786z00_1141-OBJECT_TYPE); } 
BgL_oclassz00_1134 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1140); } 
{ /* Llib/pthread.scm 37 */
 bool_t BgL__ortest_1114z00_1135;
BgL__ortest_1114z00_1135 = 
(BgL_classz00_1113==BgL_oclassz00_1134); 
if(BgL__ortest_1114z00_1135)
{ /* Llib/pthread.scm 37 */
BgL_res1973z00_1149 = BgL__ortest_1114z00_1135; }  else 
{ /* Llib/pthread.scm 37 */
 long BgL_odepthz00_1136;
BgL_odepthz00_1136 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1134); 
if(
(BgL_arg1781z00_1116<BgL_odepthz00_1136))
{ /* Llib/pthread.scm 37 */
 obj_t BgL_arg1775z00_1138;
BgL_arg1775z00_1138 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1134, BgL_arg1781z00_1116); 
BgL_res1973z00_1149 = 
(BgL_arg1775z00_1138==BgL_classz00_1113); }  else 
{ /* Llib/pthread.scm 37 */
BgL_res1973z00_1149 = ((bool_t)0); } } } } 
BgL_test2163z00_2769 = BgL_res1973z00_1149; } }  else 
{ /* Llib/pthread.scm 37 */
BgL_test2163z00_2769 = ((bool_t)0)
; } } 
if(BgL_test2163z00_2769)
{ /* Llib/pthread.scm 37 */
BgL_new1064z00_1150 = 
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_580); }  else 
{ 
 obj_t BgL_auxz00_2791;
BgL_auxz00_2791 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1587L), BGl_string1871z00zz__pth_threadz00, BGl_string1872z00zz__pth_threadz00, BgL_new1064z00_580); 
FAILURE(BgL_auxz00_2791,BFALSE,BFALSE);} } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1064z00_1150)))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1064z00_1150)))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1064z00_1150)))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1064z00_1150)))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1064z00_1150)))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1064z00_1150)))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_2768 = BgL_new1064z00_1150; } 
return 
((obj_t)BgL_auxz00_2768);} } 

}



/* &lambda1267 */
BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1267z62zz__pth_threadz00(obj_t BgL_envz00_581)
{
{ /* Llib/pthread.scm 37 */
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1063z00_1151;
BgL_new1063z00_1151 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 37 */
 long BgL_arg1269z00_1152;
BgL_arg1269z00_1152 = 
BGL_CLASS_NUM(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1063z00_1151), BgL_arg1269z00_1152); } 
return BgL_new1063z00_1151;} } 

}



/* &lambda1265 */
BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1265z62zz__pth_threadz00(obj_t BgL_envz00_582, obj_t BgL_fname1057z00_583, obj_t BgL_location1058z00_584, obj_t BgL_stack1059z00_585, obj_t BgL_proc1060z00_586, obj_t BgL_msg1061z00_587, obj_t BgL_obj1062z00_588)
{
{ /* Llib/pthread.scm 37 */
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1125z00_1153;
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1124z00_1154;
BgL_new1124z00_1154 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 37 */
 long BgL_arg1266z00_1155;
BgL_arg1266z00_1155 = 
BGL_CLASS_NUM(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1124z00_1154), BgL_arg1266z00_1155); } 
BgL_new1125z00_1153 = BgL_new1124z00_1154; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1125z00_1153)))->BgL_fnamez00)=((obj_t)BgL_fname1057z00_583),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1125z00_1153)))->BgL_locationz00)=((obj_t)BgL_location1058z00_584),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1125z00_1153)))->BgL_stackz00)=((obj_t)BgL_stack1059z00_585),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1125z00_1153)))->BgL_procz00)=((obj_t)BgL_proc1060z00_586),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1125z00_1153)))->BgL_msgz00)=((obj_t)BgL_msg1061z00_587),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1125z00_1153)))->BgL_objz00)=((obj_t)BgL_obj1062z00_588),BUNSPEC); 
return BgL_new1125z00_1153;} } 

}



/* &<@anonymous:1184> */
obj_t BGl_z62zc3z04anonymousza31184ze3ze5zz__pth_threadz00(obj_t BgL_envz00_589, obj_t BgL_new1055z00_590)
{
{ /* Llib/pthread.scm 25 */
{ 
 BgL_pthreadz00_bglt BgL_auxz00_2828;
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1055z00_1193;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2168z00_2829;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1156;
BgL_classz00_1156 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_new1055z00_590))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1780z00_1158; long BgL_arg1781z00_1159;
BgL_arg1780z00_1158 = 
(BgL_objectz00_bglt)(BgL_new1055z00_590); 
BgL_arg1781z00_1159 = 
BGL_CLASS_DEPTH(BgL_classz00_1156); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1167;
BgL_idxz00_1167 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1158); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1773z00_1168;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1774z00_1169;
BgL_arg1774z00_1169 = 
(BgL_idxz00_1167+BgL_arg1781z00_1159); 
BgL_arg1773z00_1168 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1169); } 
BgL_test2168z00_2829 = 
(BgL_arg1773z00_1168==BgL_classz00_1156); } }  else 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1974z00_1192;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1177;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1785z00_1183;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1786z00_1184;
BgL_arg1786z00_1184 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1158); 
BgL_arg1785z00_1183 = 
(BgL_arg1786z00_1184-OBJECT_TYPE); } 
BgL_oclassz00_1177 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1183); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1114z00_1178;
BgL__ortest_1114z00_1178 = 
(BgL_classz00_1156==BgL_oclassz00_1177); 
if(BgL__ortest_1114z00_1178)
{ /* Llib/pthread.scm 25 */
BgL_res1974z00_1192 = BgL__ortest_1114z00_1178; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1179;
BgL_odepthz00_1179 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1177); 
if(
(BgL_arg1781z00_1159<BgL_odepthz00_1179))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1775z00_1181;
BgL_arg1775z00_1181 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1177, BgL_arg1781z00_1159); 
BgL_res1974z00_1192 = 
(BgL_arg1775z00_1181==BgL_classz00_1156); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1974z00_1192 = ((bool_t)0); } } } } 
BgL_test2168z00_2829 = BgL_res1974z00_1192; } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2168z00_2829 = ((bool_t)0)
; } } 
if(BgL_test2168z00_2829)
{ /* Llib/pthread.scm 25 */
BgL_new1055z00_1193 = 
((BgL_pthreadz00_bglt)BgL_new1055z00_590); }  else 
{ 
 obj_t BgL_auxz00_2851;
BgL_auxz00_2851 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1167L), BGl_string1873z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_new1055z00_590); 
FAILURE(BgL_auxz00_2851,BFALSE,BFALSE);} } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1055z00_1193)))->BgL_namez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1055z00_1193))->BgL_bodyz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1055z00_1193))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1055z00_1193))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1055z00_1193))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1055z00_1193))->BgL_z42builtinz42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_2828 = BgL_new1055z00_1193; } 
return 
((obj_t)BgL_auxz00_2828);} } 

}



/* &lambda1182 */
BgL_pthreadz00_bglt BGl_z62lambda1182z62zz__pth_threadz00(obj_t BgL_envz00_591)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1054z00_1194;
BgL_new1054z00_1194 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/pthread.scm 25 */
 long BgL_arg1183z00_1195;
BgL_arg1183z00_1195 = 
BGL_CLASS_NUM(BGl_pthreadz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1054z00_1194), BgL_arg1183z00_1195); } 
return BgL_new1054z00_1194;} } 

}



/* &lambda1179 */
BgL_pthreadz00_bglt BGl_z62lambda1179z62zz__pth_threadz00(obj_t BgL_envz00_592, obj_t BgL_name1048z00_593, obj_t BgL_body1049z00_594, obj_t BgL_detachedp1050z00_595, obj_t BgL_endzd2result1051zd2_596, obj_t BgL_endzd2exception1052zd2_597, obj_t BgL_z42builtin1053z42_598)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 obj_t BgL_body1049z00_1196; bool_t BgL_detachedp1050z00_1197; void * BgL_z42builtin1053z42_1198;
if(
PROCEDUREP(BgL_body1049z00_594))
{ /* Llib/pthread.scm 25 */
BgL_body1049z00_1196 = BgL_body1049z00_594; }  else 
{ 
 obj_t BgL_auxz00_2870;
BgL_auxz00_2870 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1167L), BGl_string1878z00zz__pth_threadz00, BGl_string1876z00zz__pth_threadz00, BgL_body1049z00_594); 
FAILURE(BgL_auxz00_2870,BFALSE,BFALSE);} 
BgL_detachedp1050z00_1197 = 
CBOOL(BgL_detachedp1050z00_595); 
if(
FOREIGNP(BgL_z42builtin1053z42_598))
{ /* Llib/pthread.scm 25 */
BgL_z42builtin1053z42_1198 = 
FOREIGN_TO_COBJ(BgL_z42builtin1053z42_598); }  else 
{ 
 obj_t BgL_auxz00_2878;
BgL_auxz00_2878 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1167L), BGl_string1878z00zz__pth_threadz00, BGl_string1879z00zz__pth_threadz00, BgL_z42builtin1053z42_598); 
FAILURE(BgL_auxz00_2878,BFALSE,BFALSE);} 
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1123z00_1199;
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1122z00_1200;
BgL_new1122z00_1200 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/pthread.scm 25 */
 long BgL_arg1181z00_1201;
BgL_arg1181z00_1201 = 
BGL_CLASS_NUM(BGl_pthreadz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1122z00_1200), BgL_arg1181z00_1201); } 
BgL_new1123z00_1199 = BgL_new1122z00_1200; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1123z00_1199)))->BgL_namez00)=((obj_t)BgL_name1048z00_593),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1123z00_1199))->BgL_bodyz00)=((obj_t)BgL_body1049z00_1196),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1123z00_1199))->BgL_detachedpz00)=((bool_t)BgL_detachedp1050z00_1197),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1123z00_1199))->BgL_endzd2resultzd2)=((obj_t)BgL_endzd2result1051zd2_596),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1123z00_1199))->BgL_endzd2exceptionzd2)=((obj_t)BgL_endzd2exception1052zd2_597),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1123z00_1199))->BgL_z42builtinz42)=((void *)BgL_z42builtin1053z42_1198),BUNSPEC); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_fun1180z00_1202;
BgL_fun1180z00_1202 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pthreadz00zz__pth_threadz00); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_funz00_1203;
if(
PROCEDUREP(BgL_fun1180z00_1202))
{ /* Llib/pthread.scm 25 */
BgL_funz00_1203 = BgL_fun1180z00_1202; }  else 
{ 
 obj_t BgL_auxz00_2896;
BgL_auxz00_2896 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1167L), BGl_string1875z00zz__pth_threadz00, BGl_string1876z00zz__pth_threadz00, BgL_fun1180z00_1202); 
FAILURE(BgL_auxz00_2896,BFALSE,BFALSE);} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1203, 1L))
{ /* Llib/pthread.scm 25 */
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_1203))(BgL_fun1180z00_1202, 
((obj_t)BgL_new1123z00_1199), BEOA); }  else 
{ 
 obj_t BgL_auxz00_2907;
BgL_auxz00_2907 = 
CNST_TABLE_REF(15L); 
FAILURE(BGl_string1877z00zz__pth_threadz00,BgL_auxz00_2907,BgL_funz00_1203);} } } 
return BgL_new1123z00_1199;} } } 

}



/* &<@anonymous:1242> */
obj_t BGl_z62zc3z04anonymousza31242ze3ze5zz__pth_threadz00(obj_t BgL_envz00_599)
{
{ /* Llib/pthread.scm 25 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1241 */
obj_t BGl_z62lambda1241z62zz__pth_threadz00(obj_t BgL_envz00_600, obj_t BgL_oz00_601, obj_t BgL_vz00_602)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1241; void * BgL_vz00_1242;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2177z00_2912;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1204;
BgL_classz00_1204 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_601))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1780z00_1206; long BgL_arg1781z00_1207;
BgL_arg1780z00_1206 = 
(BgL_objectz00_bglt)(BgL_oz00_601); 
BgL_arg1781z00_1207 = 
BGL_CLASS_DEPTH(BgL_classz00_1204); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1215;
BgL_idxz00_1215 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1206); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1773z00_1216;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1774z00_1217;
BgL_arg1774z00_1217 = 
(BgL_idxz00_1215+BgL_arg1781z00_1207); 
BgL_arg1773z00_1216 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1217); } 
BgL_test2177z00_2912 = 
(BgL_arg1773z00_1216==BgL_classz00_1204); } }  else 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1975z00_1240;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1225;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1785z00_1231;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1786z00_1232;
BgL_arg1786z00_1232 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1206); 
BgL_arg1785z00_1231 = 
(BgL_arg1786z00_1232-OBJECT_TYPE); } 
BgL_oclassz00_1225 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1231); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1114z00_1226;
BgL__ortest_1114z00_1226 = 
(BgL_classz00_1204==BgL_oclassz00_1225); 
if(BgL__ortest_1114z00_1226)
{ /* Llib/pthread.scm 25 */
BgL_res1975z00_1240 = BgL__ortest_1114z00_1226; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1227;
BgL_odepthz00_1227 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1225); 
if(
(BgL_arg1781z00_1207<BgL_odepthz00_1227))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1775z00_1229;
BgL_arg1775z00_1229 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1225, BgL_arg1781z00_1207); 
BgL_res1975z00_1240 = 
(BgL_arg1775z00_1229==BgL_classz00_1204); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1975z00_1240 = ((bool_t)0); } } } } 
BgL_test2177z00_2912 = BgL_res1975z00_1240; } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2177z00_2912 = ((bool_t)0)
; } } 
if(BgL_test2177z00_2912)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1241 = 
((BgL_pthreadz00_bglt)BgL_oz00_601); }  else 
{ 
 obj_t BgL_auxz00_2934;
BgL_auxz00_2934 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1167L), BGl_string1880z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_oz00_601); 
FAILURE(BgL_auxz00_2934,BFALSE,BFALSE);} } 
if(
FOREIGNP(BgL_vz00_602))
{ /* Llib/pthread.scm 25 */
BgL_vz00_1242 = 
FOREIGN_TO_COBJ(BgL_vz00_602); }  else 
{ 
 obj_t BgL_auxz00_2941;
BgL_auxz00_2941 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1167L), BGl_string1880z00zz__pth_threadz00, BGl_string1879z00zz__pth_threadz00, BgL_vz00_602); 
FAILURE(BgL_auxz00_2941,BFALSE,BFALSE);} 
return 
((((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1241))->BgL_z42builtinz42)=((void *)BgL_vz00_1242),BUNSPEC);} } 

}



/* &lambda1240 */
obj_t BGl_z62lambda1240z62zz__pth_threadz00(obj_t BgL_envz00_603, obj_t BgL_oz00_604)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 void * BgL_tmpz00_2946;
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1280;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2183z00_2947;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1243;
BgL_classz00_1243 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_604))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1780z00_1245; long BgL_arg1781z00_1246;
BgL_arg1780z00_1245 = 
(BgL_objectz00_bglt)(BgL_oz00_604); 
BgL_arg1781z00_1246 = 
BGL_CLASS_DEPTH(BgL_classz00_1243); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1254;
BgL_idxz00_1254 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1245); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1773z00_1255;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1774z00_1256;
BgL_arg1774z00_1256 = 
(BgL_idxz00_1254+BgL_arg1781z00_1246); 
BgL_arg1773z00_1255 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1256); } 
BgL_test2183z00_2947 = 
(BgL_arg1773z00_1255==BgL_classz00_1243); } }  else 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1976z00_1279;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1264;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1785z00_1270;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1786z00_1271;
BgL_arg1786z00_1271 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1245); 
BgL_arg1785z00_1270 = 
(BgL_arg1786z00_1271-OBJECT_TYPE); } 
BgL_oclassz00_1264 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1270); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1114z00_1265;
BgL__ortest_1114z00_1265 = 
(BgL_classz00_1243==BgL_oclassz00_1264); 
if(BgL__ortest_1114z00_1265)
{ /* Llib/pthread.scm 25 */
BgL_res1976z00_1279 = BgL__ortest_1114z00_1265; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1266;
BgL_odepthz00_1266 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1264); 
if(
(BgL_arg1781z00_1246<BgL_odepthz00_1266))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1775z00_1268;
BgL_arg1775z00_1268 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1264, BgL_arg1781z00_1246); 
BgL_res1976z00_1279 = 
(BgL_arg1775z00_1268==BgL_classz00_1243); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1976z00_1279 = ((bool_t)0); } } } } 
BgL_test2183z00_2947 = BgL_res1976z00_1279; } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2183z00_2947 = ((bool_t)0)
; } } 
if(BgL_test2183z00_2947)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1280 = 
((BgL_pthreadz00_bglt)BgL_oz00_604); }  else 
{ 
 obj_t BgL_auxz00_2969;
BgL_auxz00_2969 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1167L), BGl_string1881z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_oz00_604); 
FAILURE(BgL_auxz00_2969,BFALSE,BFALSE);} } 
BgL_tmpz00_2946 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1280))->BgL_z42builtinz42); } 
return 
void_star_to_obj(BgL_tmpz00_2946);} } 

}



/* &<@anonymous:1234> */
obj_t BGl_z62zc3z04anonymousza31234ze3ze5zz__pth_threadz00(obj_t BgL_envz00_605)
{
{ /* Llib/pthread.scm 25 */
return BUNSPEC;} 

}



/* &lambda1233 */
obj_t BGl_z62lambda1233z62zz__pth_threadz00(obj_t BgL_envz00_606, obj_t BgL_oz00_607, obj_t BgL_vz00_608)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1318;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2188z00_2975;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1281;
BgL_classz00_1281 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_607))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1780z00_1283; long BgL_arg1781z00_1284;
BgL_arg1780z00_1283 = 
(BgL_objectz00_bglt)(BgL_oz00_607); 
BgL_arg1781z00_1284 = 
BGL_CLASS_DEPTH(BgL_classz00_1281); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1292;
BgL_idxz00_1292 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1283); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1773z00_1293;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1774z00_1294;
BgL_arg1774z00_1294 = 
(BgL_idxz00_1292+BgL_arg1781z00_1284); 
BgL_arg1773z00_1293 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1294); } 
BgL_test2188z00_2975 = 
(BgL_arg1773z00_1293==BgL_classz00_1281); } }  else 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1977z00_1317;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1302;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1785z00_1308;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1786z00_1309;
BgL_arg1786z00_1309 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1283); 
BgL_arg1785z00_1308 = 
(BgL_arg1786z00_1309-OBJECT_TYPE); } 
BgL_oclassz00_1302 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1308); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1114z00_1303;
BgL__ortest_1114z00_1303 = 
(BgL_classz00_1281==BgL_oclassz00_1302); 
if(BgL__ortest_1114z00_1303)
{ /* Llib/pthread.scm 25 */
BgL_res1977z00_1317 = BgL__ortest_1114z00_1303; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1304;
BgL_odepthz00_1304 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1302); 
if(
(BgL_arg1781z00_1284<BgL_odepthz00_1304))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1775z00_1306;
BgL_arg1775z00_1306 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1302, BgL_arg1781z00_1284); 
BgL_res1977z00_1317 = 
(BgL_arg1775z00_1306==BgL_classz00_1281); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1977z00_1317 = ((bool_t)0); } } } } 
BgL_test2188z00_2975 = BgL_res1977z00_1317; } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2188z00_2975 = ((bool_t)0)
; } } 
if(BgL_test2188z00_2975)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1318 = 
((BgL_pthreadz00_bglt)BgL_oz00_607); }  else 
{ 
 obj_t BgL_auxz00_2997;
BgL_auxz00_2997 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1167L), BGl_string1882z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_oz00_607); 
FAILURE(BgL_auxz00_2997,BFALSE,BFALSE);} } 
return 
((((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1318))->BgL_endzd2exceptionzd2)=((obj_t)BgL_vz00_608),BUNSPEC);} } 

}



/* &lambda1232 */
obj_t BGl_z62lambda1232z62zz__pth_threadz00(obj_t BgL_envz00_609, obj_t BgL_oz00_610)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1356;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2193z00_3002;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1319;
BgL_classz00_1319 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_610))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1780z00_1321; long BgL_arg1781z00_1322;
BgL_arg1780z00_1321 = 
(BgL_objectz00_bglt)(BgL_oz00_610); 
BgL_arg1781z00_1322 = 
BGL_CLASS_DEPTH(BgL_classz00_1319); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1330;
BgL_idxz00_1330 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1321); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1773z00_1331;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1774z00_1332;
BgL_arg1774z00_1332 = 
(BgL_idxz00_1330+BgL_arg1781z00_1322); 
BgL_arg1773z00_1331 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1332); } 
BgL_test2193z00_3002 = 
(BgL_arg1773z00_1331==BgL_classz00_1319); } }  else 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1978z00_1355;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1340;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1785z00_1346;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1786z00_1347;
BgL_arg1786z00_1347 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1321); 
BgL_arg1785z00_1346 = 
(BgL_arg1786z00_1347-OBJECT_TYPE); } 
BgL_oclassz00_1340 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1346); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1114z00_1341;
BgL__ortest_1114z00_1341 = 
(BgL_classz00_1319==BgL_oclassz00_1340); 
if(BgL__ortest_1114z00_1341)
{ /* Llib/pthread.scm 25 */
BgL_res1978z00_1355 = BgL__ortest_1114z00_1341; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1342;
BgL_odepthz00_1342 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1340); 
if(
(BgL_arg1781z00_1322<BgL_odepthz00_1342))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1775z00_1344;
BgL_arg1775z00_1344 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1340, BgL_arg1781z00_1322); 
BgL_res1978z00_1355 = 
(BgL_arg1775z00_1344==BgL_classz00_1319); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1978z00_1355 = ((bool_t)0); } } } } 
BgL_test2193z00_3002 = BgL_res1978z00_1355; } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2193z00_3002 = ((bool_t)0)
; } } 
if(BgL_test2193z00_3002)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1356 = 
((BgL_pthreadz00_bglt)BgL_oz00_610); }  else 
{ 
 obj_t BgL_auxz00_3024;
BgL_auxz00_3024 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1167L), BGl_string1883z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_oz00_610); 
FAILURE(BgL_auxz00_3024,BFALSE,BFALSE);} } 
return 
(((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1356))->BgL_endzd2exceptionzd2);} } 

}



/* &<@anonymous:1219> */
obj_t BGl_z62zc3z04anonymousza31219ze3ze5zz__pth_threadz00(obj_t BgL_envz00_611)
{
{ /* Llib/pthread.scm 25 */
return BUNSPEC;} 

}



/* &lambda1218 */
obj_t BGl_z62lambda1218z62zz__pth_threadz00(obj_t BgL_envz00_612, obj_t BgL_oz00_613, obj_t BgL_vz00_614)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1394;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2198z00_3029;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1357;
BgL_classz00_1357 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_613))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1780z00_1359; long BgL_arg1781z00_1360;
BgL_arg1780z00_1359 = 
(BgL_objectz00_bglt)(BgL_oz00_613); 
BgL_arg1781z00_1360 = 
BGL_CLASS_DEPTH(BgL_classz00_1357); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1368;
BgL_idxz00_1368 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1359); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1773z00_1369;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1774z00_1370;
BgL_arg1774z00_1370 = 
(BgL_idxz00_1368+BgL_arg1781z00_1360); 
BgL_arg1773z00_1369 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1370); } 
BgL_test2198z00_3029 = 
(BgL_arg1773z00_1369==BgL_classz00_1357); } }  else 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1979z00_1393;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1378;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1785z00_1384;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1786z00_1385;
BgL_arg1786z00_1385 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1359); 
BgL_arg1785z00_1384 = 
(BgL_arg1786z00_1385-OBJECT_TYPE); } 
BgL_oclassz00_1378 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1384); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1114z00_1379;
BgL__ortest_1114z00_1379 = 
(BgL_classz00_1357==BgL_oclassz00_1378); 
if(BgL__ortest_1114z00_1379)
{ /* Llib/pthread.scm 25 */
BgL_res1979z00_1393 = BgL__ortest_1114z00_1379; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1380;
BgL_odepthz00_1380 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1378); 
if(
(BgL_arg1781z00_1360<BgL_odepthz00_1380))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1775z00_1382;
BgL_arg1775z00_1382 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1378, BgL_arg1781z00_1360); 
BgL_res1979z00_1393 = 
(BgL_arg1775z00_1382==BgL_classz00_1357); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1979z00_1393 = ((bool_t)0); } } } } 
BgL_test2198z00_3029 = BgL_res1979z00_1393; } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2198z00_3029 = ((bool_t)0)
; } } 
if(BgL_test2198z00_3029)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1394 = 
((BgL_pthreadz00_bglt)BgL_oz00_613); }  else 
{ 
 obj_t BgL_auxz00_3051;
BgL_auxz00_3051 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1167L), BGl_string1884z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_oz00_613); 
FAILURE(BgL_auxz00_3051,BFALSE,BFALSE);} } 
return 
((((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1394))->BgL_endzd2resultzd2)=((obj_t)BgL_vz00_614),BUNSPEC);} } 

}



/* &lambda1217 */
obj_t BGl_z62lambda1217z62zz__pth_threadz00(obj_t BgL_envz00_615, obj_t BgL_oz00_616)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1432;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2203z00_3056;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1395;
BgL_classz00_1395 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_616))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1780z00_1397; long BgL_arg1781z00_1398;
BgL_arg1780z00_1397 = 
(BgL_objectz00_bglt)(BgL_oz00_616); 
BgL_arg1781z00_1398 = 
BGL_CLASS_DEPTH(BgL_classz00_1395); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1406;
BgL_idxz00_1406 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1397); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1773z00_1407;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1774z00_1408;
BgL_arg1774z00_1408 = 
(BgL_idxz00_1406+BgL_arg1781z00_1398); 
BgL_arg1773z00_1407 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1408); } 
BgL_test2203z00_3056 = 
(BgL_arg1773z00_1407==BgL_classz00_1395); } }  else 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1980z00_1431;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1416;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1785z00_1422;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1786z00_1423;
BgL_arg1786z00_1423 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1397); 
BgL_arg1785z00_1422 = 
(BgL_arg1786z00_1423-OBJECT_TYPE); } 
BgL_oclassz00_1416 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1422); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1114z00_1417;
BgL__ortest_1114z00_1417 = 
(BgL_classz00_1395==BgL_oclassz00_1416); 
if(BgL__ortest_1114z00_1417)
{ /* Llib/pthread.scm 25 */
BgL_res1980z00_1431 = BgL__ortest_1114z00_1417; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1418;
BgL_odepthz00_1418 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1416); 
if(
(BgL_arg1781z00_1398<BgL_odepthz00_1418))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1775z00_1420;
BgL_arg1775z00_1420 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1416, BgL_arg1781z00_1398); 
BgL_res1980z00_1431 = 
(BgL_arg1775z00_1420==BgL_classz00_1395); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1980z00_1431 = ((bool_t)0); } } } } 
BgL_test2203z00_3056 = BgL_res1980z00_1431; } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2203z00_3056 = ((bool_t)0)
; } } 
if(BgL_test2203z00_3056)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1432 = 
((BgL_pthreadz00_bglt)BgL_oz00_616); }  else 
{ 
 obj_t BgL_auxz00_3078;
BgL_auxz00_3078 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1167L), BGl_string1885z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_oz00_616); 
FAILURE(BgL_auxz00_3078,BFALSE,BFALSE);} } 
return 
(((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1432))->BgL_endzd2resultzd2);} } 

}



/* &<@anonymous:1203> */
obj_t BGl_z62zc3z04anonymousza31203ze3ze5zz__pth_threadz00(obj_t BgL_envz00_617)
{
{ /* Llib/pthread.scm 25 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1202 */
obj_t BGl_z62lambda1202z62zz__pth_threadz00(obj_t BgL_envz00_618, obj_t BgL_oz00_619, obj_t BgL_vz00_620)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1470; bool_t BgL_vz00_1471;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2208z00_3084;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1433;
BgL_classz00_1433 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_619))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1780z00_1435; long BgL_arg1781z00_1436;
BgL_arg1780z00_1435 = 
(BgL_objectz00_bglt)(BgL_oz00_619); 
BgL_arg1781z00_1436 = 
BGL_CLASS_DEPTH(BgL_classz00_1433); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1444;
BgL_idxz00_1444 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1435); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1773z00_1445;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1774z00_1446;
BgL_arg1774z00_1446 = 
(BgL_idxz00_1444+BgL_arg1781z00_1436); 
BgL_arg1773z00_1445 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1446); } 
BgL_test2208z00_3084 = 
(BgL_arg1773z00_1445==BgL_classz00_1433); } }  else 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1981z00_1469;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1454;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1785z00_1460;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1786z00_1461;
BgL_arg1786z00_1461 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1435); 
BgL_arg1785z00_1460 = 
(BgL_arg1786z00_1461-OBJECT_TYPE); } 
BgL_oclassz00_1454 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1460); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1114z00_1455;
BgL__ortest_1114z00_1455 = 
(BgL_classz00_1433==BgL_oclassz00_1454); 
if(BgL__ortest_1114z00_1455)
{ /* Llib/pthread.scm 25 */
BgL_res1981z00_1469 = BgL__ortest_1114z00_1455; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1456;
BgL_odepthz00_1456 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1454); 
if(
(BgL_arg1781z00_1436<BgL_odepthz00_1456))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1775z00_1458;
BgL_arg1775z00_1458 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1454, BgL_arg1781z00_1436); 
BgL_res1981z00_1469 = 
(BgL_arg1775z00_1458==BgL_classz00_1433); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1981z00_1469 = ((bool_t)0); } } } } 
BgL_test2208z00_3084 = BgL_res1981z00_1469; } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2208z00_3084 = ((bool_t)0)
; } } 
if(BgL_test2208z00_3084)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1470 = 
((BgL_pthreadz00_bglt)BgL_oz00_619); }  else 
{ 
 obj_t BgL_auxz00_3106;
BgL_auxz00_3106 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1167L), BGl_string1886z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_oz00_619); 
FAILURE(BgL_auxz00_3106,BFALSE,BFALSE);} } 
BgL_vz00_1471 = 
CBOOL(BgL_vz00_620); 
return 
((((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1470))->BgL_detachedpz00)=((bool_t)BgL_vz00_1471),BUNSPEC);} } 

}



/* &lambda1201 */
obj_t BGl_z62lambda1201z62zz__pth_threadz00(obj_t BgL_envz00_621, obj_t BgL_oz00_622)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 bool_t BgL_tmpz00_3112;
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1509;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2213z00_3113;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1472;
BgL_classz00_1472 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_622))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1780z00_1474; long BgL_arg1781z00_1475;
BgL_arg1780z00_1474 = 
(BgL_objectz00_bglt)(BgL_oz00_622); 
BgL_arg1781z00_1475 = 
BGL_CLASS_DEPTH(BgL_classz00_1472); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1483;
BgL_idxz00_1483 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1474); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1773z00_1484;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1774z00_1485;
BgL_arg1774z00_1485 = 
(BgL_idxz00_1483+BgL_arg1781z00_1475); 
BgL_arg1773z00_1484 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1485); } 
BgL_test2213z00_3113 = 
(BgL_arg1773z00_1484==BgL_classz00_1472); } }  else 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1982z00_1508;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1493;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1785z00_1499;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1786z00_1500;
BgL_arg1786z00_1500 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1474); 
BgL_arg1785z00_1499 = 
(BgL_arg1786z00_1500-OBJECT_TYPE); } 
BgL_oclassz00_1493 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1499); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1114z00_1494;
BgL__ortest_1114z00_1494 = 
(BgL_classz00_1472==BgL_oclassz00_1493); 
if(BgL__ortest_1114z00_1494)
{ /* Llib/pthread.scm 25 */
BgL_res1982z00_1508 = BgL__ortest_1114z00_1494; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1495;
BgL_odepthz00_1495 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1493); 
if(
(BgL_arg1781z00_1475<BgL_odepthz00_1495))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1775z00_1497;
BgL_arg1775z00_1497 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1493, BgL_arg1781z00_1475); 
BgL_res1982z00_1508 = 
(BgL_arg1775z00_1497==BgL_classz00_1472); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1982z00_1508 = ((bool_t)0); } } } } 
BgL_test2213z00_3113 = BgL_res1982z00_1508; } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2213z00_3113 = ((bool_t)0)
; } } 
if(BgL_test2213z00_3113)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1509 = 
((BgL_pthreadz00_bglt)BgL_oz00_622); }  else 
{ 
 obj_t BgL_auxz00_3135;
BgL_auxz00_3135 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1167L), BGl_string1887z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_oz00_622); 
FAILURE(BgL_auxz00_3135,BFALSE,BFALSE);} } 
BgL_tmpz00_3112 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1509))->BgL_detachedpz00); } 
return 
BBOOL(BgL_tmpz00_3112);} } 

}



/* &lambda1190 */
obj_t BGl_z62lambda1190z62zz__pth_threadz00(obj_t BgL_envz00_623, obj_t BgL_oz00_624, obj_t BgL_vz00_625)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1547; obj_t BgL_vz00_1548;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2218z00_3141;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1510;
BgL_classz00_1510 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_624))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1780z00_1512; long BgL_arg1781z00_1513;
BgL_arg1780z00_1512 = 
(BgL_objectz00_bglt)(BgL_oz00_624); 
BgL_arg1781z00_1513 = 
BGL_CLASS_DEPTH(BgL_classz00_1510); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1521;
BgL_idxz00_1521 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1512); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1773z00_1522;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1774z00_1523;
BgL_arg1774z00_1523 = 
(BgL_idxz00_1521+BgL_arg1781z00_1513); 
BgL_arg1773z00_1522 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1523); } 
BgL_test2218z00_3141 = 
(BgL_arg1773z00_1522==BgL_classz00_1510); } }  else 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1983z00_1546;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1531;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1785z00_1537;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1786z00_1538;
BgL_arg1786z00_1538 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1512); 
BgL_arg1785z00_1537 = 
(BgL_arg1786z00_1538-OBJECT_TYPE); } 
BgL_oclassz00_1531 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1537); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1114z00_1532;
BgL__ortest_1114z00_1532 = 
(BgL_classz00_1510==BgL_oclassz00_1531); 
if(BgL__ortest_1114z00_1532)
{ /* Llib/pthread.scm 25 */
BgL_res1983z00_1546 = BgL__ortest_1114z00_1532; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1533;
BgL_odepthz00_1533 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1531); 
if(
(BgL_arg1781z00_1513<BgL_odepthz00_1533))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1775z00_1535;
BgL_arg1775z00_1535 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1531, BgL_arg1781z00_1513); 
BgL_res1983z00_1546 = 
(BgL_arg1775z00_1535==BgL_classz00_1510); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1983z00_1546 = ((bool_t)0); } } } } 
BgL_test2218z00_3141 = BgL_res1983z00_1546; } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2218z00_3141 = ((bool_t)0)
; } } 
if(BgL_test2218z00_3141)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1547 = 
((BgL_pthreadz00_bglt)BgL_oz00_624); }  else 
{ 
 obj_t BgL_auxz00_3163;
BgL_auxz00_3163 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1167L), BGl_string1888z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_oz00_624); 
FAILURE(BgL_auxz00_3163,BFALSE,BFALSE);} } 
if(
PROCEDUREP(BgL_vz00_625))
{ /* Llib/pthread.scm 25 */
BgL_vz00_1548 = BgL_vz00_625; }  else 
{ 
 obj_t BgL_auxz00_3169;
BgL_auxz00_3169 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1167L), BGl_string1888z00zz__pth_threadz00, BGl_string1876z00zz__pth_threadz00, BgL_vz00_625); 
FAILURE(BgL_auxz00_3169,BFALSE,BFALSE);} 
return 
((((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1547))->BgL_bodyz00)=((obj_t)BgL_vz00_1548),BUNSPEC);} } 

}



/* &lambda1189 */
obj_t BGl_z62lambda1189z62zz__pth_threadz00(obj_t BgL_envz00_626, obj_t BgL_oz00_627)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_oz00_1586;
{ /* Llib/pthread.scm 25 */
 bool_t BgL_test2224z00_3174;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_classz00_1549;
BgL_classz00_1549 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_627))
{ /* Llib/pthread.scm 25 */
 BgL_objectz00_bglt BgL_arg1780z00_1551; long BgL_arg1781z00_1552;
BgL_arg1780z00_1551 = 
(BgL_objectz00_bglt)(BgL_oz00_627); 
BgL_arg1781z00_1552 = 
BGL_CLASS_DEPTH(BgL_classz00_1549); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 25 */
 long BgL_idxz00_1560;
BgL_idxz00_1560 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1551); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1773z00_1561;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1774z00_1562;
BgL_arg1774z00_1562 = 
(BgL_idxz00_1560+BgL_arg1781z00_1552); 
BgL_arg1773z00_1561 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1562); } 
BgL_test2224z00_3174 = 
(BgL_arg1773z00_1561==BgL_classz00_1549); } }  else 
{ /* Llib/pthread.scm 25 */
 bool_t BgL_res1984z00_1585;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_oclassz00_1570;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1785z00_1576;
{ /* Llib/pthread.scm 25 */
 long BgL_arg1786z00_1577;
BgL_arg1786z00_1577 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1551); 
BgL_arg1785z00_1576 = 
(BgL_arg1786z00_1577-OBJECT_TYPE); } 
BgL_oclassz00_1570 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1576); } 
{ /* Llib/pthread.scm 25 */
 bool_t BgL__ortest_1114z00_1571;
BgL__ortest_1114z00_1571 = 
(BgL_classz00_1549==BgL_oclassz00_1570); 
if(BgL__ortest_1114z00_1571)
{ /* Llib/pthread.scm 25 */
BgL_res1984z00_1585 = BgL__ortest_1114z00_1571; }  else 
{ /* Llib/pthread.scm 25 */
 long BgL_odepthz00_1572;
BgL_odepthz00_1572 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1570); 
if(
(BgL_arg1781z00_1552<BgL_odepthz00_1572))
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1775z00_1574;
BgL_arg1775z00_1574 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1570, BgL_arg1781z00_1552); 
BgL_res1984z00_1585 = 
(BgL_arg1775z00_1574==BgL_classz00_1549); }  else 
{ /* Llib/pthread.scm 25 */
BgL_res1984z00_1585 = ((bool_t)0); } } } } 
BgL_test2224z00_3174 = BgL_res1984z00_1585; } }  else 
{ /* Llib/pthread.scm 25 */
BgL_test2224z00_3174 = ((bool_t)0)
; } } 
if(BgL_test2224z00_3174)
{ /* Llib/pthread.scm 25 */
BgL_oz00_1586 = 
((BgL_pthreadz00_bglt)BgL_oz00_627); }  else 
{ 
 obj_t BgL_auxz00_3196;
BgL_auxz00_3196 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(1167L), BGl_string1889z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_oz00_627); 
FAILURE(BgL_auxz00_3196,BFALSE,BFALSE);} } 
return 
(((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_1586))->BgL_bodyz00);} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2writezd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc1890z00zz__pth_threadz00, BGl_string1891z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc1892z00zz__pth_threadz00, BGl_string1893z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc1894z00zz__pth_threadz00, BGl_string1895z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1896z00zz__pth_threadz00, BGl_string1897z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1898z00zz__pth_threadz00, BGl_string1899z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2startz12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1900z00zz__pth_threadz00, BGl_string1901z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2startzd2joinablez12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1902z00zz__pth_threadz00, BGl_string1903z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2joinz12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1904z00zz__pth_threadz00, BGl_string1905z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2terminatez12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1906z00zz__pth_threadz00, BGl_string1907z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2killz12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1908z00zz__pth_threadz00, BGl_string1909z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2envz00zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1910z00zz__pth_threadz00, BGl_string1911z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1912z00zz__pth_threadz00, BGl_string1913z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2envz00zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1914z00zz__pth_threadz00, BGl_string1915z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1916z00zz__pth_threadz00, BGl_string1917z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2namezd2envz00zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1918z00zz__pth_threadz00, BGl_string1919z00zz__pth_threadz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2namezd2setz12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1920z00zz__pth_threadz00, BGl_string1921z00zz__pth_threadz00);} 

}



/* &thread-name-set!-pth1169 */
obj_t BGl_z62threadzd2namezd2setz12zd2pth1169za2zz__pth_threadz00(obj_t BgL_envz00_650, obj_t BgL_tz00_651, obj_t BgL_vz00_652)
{
{ /* Llib/pthread.scm 223 */
{ /* Llib/pthread.scm 226 */
 BgL_pthreadz00_bglt BgL_tz00_1624;
{ /* Llib/pthread.scm 226 */
 bool_t BgL_test2229z00_3217;
{ /* Llib/pthread.scm 226 */
 obj_t BgL_classz00_1587;
BgL_classz00_1587 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_tz00_651))
{ /* Llib/pthread.scm 226 */
 BgL_objectz00_bglt BgL_arg1780z00_1589; long BgL_arg1781z00_1590;
BgL_arg1780z00_1589 = 
(BgL_objectz00_bglt)(BgL_tz00_651); 
BgL_arg1781z00_1590 = 
BGL_CLASS_DEPTH(BgL_classz00_1587); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 226 */
 long BgL_idxz00_1598;
BgL_idxz00_1598 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1589); 
{ /* Llib/pthread.scm 226 */
 obj_t BgL_arg1773z00_1599;
{ /* Llib/pthread.scm 226 */
 long BgL_arg1774z00_1600;
BgL_arg1774z00_1600 = 
(BgL_idxz00_1598+BgL_arg1781z00_1590); 
BgL_arg1773z00_1599 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1600); } 
BgL_test2229z00_3217 = 
(BgL_arg1773z00_1599==BgL_classz00_1587); } }  else 
{ /* Llib/pthread.scm 226 */
 bool_t BgL_res1985z00_1623;
{ /* Llib/pthread.scm 226 */
 obj_t BgL_oclassz00_1608;
{ /* Llib/pthread.scm 226 */
 long BgL_arg1785z00_1614;
{ /* Llib/pthread.scm 226 */
 long BgL_arg1786z00_1615;
BgL_arg1786z00_1615 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1589); 
BgL_arg1785z00_1614 = 
(BgL_arg1786z00_1615-OBJECT_TYPE); } 
BgL_oclassz00_1608 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1614); } 
{ /* Llib/pthread.scm 226 */
 bool_t BgL__ortest_1114z00_1609;
BgL__ortest_1114z00_1609 = 
(BgL_classz00_1587==BgL_oclassz00_1608); 
if(BgL__ortest_1114z00_1609)
{ /* Llib/pthread.scm 226 */
BgL_res1985z00_1623 = BgL__ortest_1114z00_1609; }  else 
{ /* Llib/pthread.scm 226 */
 long BgL_odepthz00_1610;
BgL_odepthz00_1610 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1608); 
if(
(BgL_arg1781z00_1590<BgL_odepthz00_1610))
{ /* Llib/pthread.scm 226 */
 obj_t BgL_arg1775z00_1612;
BgL_arg1775z00_1612 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1608, BgL_arg1781z00_1590); 
BgL_res1985z00_1623 = 
(BgL_arg1775z00_1612==BgL_classz00_1587); }  else 
{ /* Llib/pthread.scm 226 */
BgL_res1985z00_1623 = ((bool_t)0); } } } } 
BgL_test2229z00_3217 = BgL_res1985z00_1623; } }  else 
{ /* Llib/pthread.scm 226 */
BgL_test2229z00_3217 = ((bool_t)0)
; } } 
if(BgL_test2229z00_3217)
{ /* Llib/pthread.scm 226 */
BgL_tz00_1624 = 
((BgL_pthreadz00_bglt)BgL_tz00_651); }  else 
{ 
 obj_t BgL_auxz00_3239;
BgL_auxz00_3239 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(9536L), BGl_string1922z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_tz00_651); 
FAILURE(BgL_auxz00_3239,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 227 */
 void * BgL_arg1680z00_1625;
BgL_arg1680z00_1625 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1624))->BgL_z42builtinz42); 
bglpth_thread_setname(BgL_arg1680z00_1625, BgL_vz00_652); 
return BUNSPEC;} } } 

}



/* &thread-name-pthread1167 */
obj_t BGl_z62threadzd2namezd2pthread1167z62zz__pth_threadz00(obj_t BgL_envz00_653, obj_t BgL_tz00_654)
{
{ /* Llib/pthread.scm 212 */
{ /* Llib/pthread.scm 215 */
 BgL_pthreadz00_bglt BgL_tz00_1663;
{ /* Llib/pthread.scm 215 */
 bool_t BgL_test2234z00_3245;
{ /* Llib/pthread.scm 215 */
 obj_t BgL_classz00_1626;
BgL_classz00_1626 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_tz00_654))
{ /* Llib/pthread.scm 215 */
 BgL_objectz00_bglt BgL_arg1780z00_1628; long BgL_arg1781z00_1629;
BgL_arg1780z00_1628 = 
(BgL_objectz00_bglt)(BgL_tz00_654); 
BgL_arg1781z00_1629 = 
BGL_CLASS_DEPTH(BgL_classz00_1626); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 215 */
 long BgL_idxz00_1637;
BgL_idxz00_1637 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1628); 
{ /* Llib/pthread.scm 215 */
 obj_t BgL_arg1773z00_1638;
{ /* Llib/pthread.scm 215 */
 long BgL_arg1774z00_1639;
BgL_arg1774z00_1639 = 
(BgL_idxz00_1637+BgL_arg1781z00_1629); 
BgL_arg1773z00_1638 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1639); } 
BgL_test2234z00_3245 = 
(BgL_arg1773z00_1638==BgL_classz00_1626); } }  else 
{ /* Llib/pthread.scm 215 */
 bool_t BgL_res1986z00_1662;
{ /* Llib/pthread.scm 215 */
 obj_t BgL_oclassz00_1647;
{ /* Llib/pthread.scm 215 */
 long BgL_arg1785z00_1653;
{ /* Llib/pthread.scm 215 */
 long BgL_arg1786z00_1654;
BgL_arg1786z00_1654 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1628); 
BgL_arg1785z00_1653 = 
(BgL_arg1786z00_1654-OBJECT_TYPE); } 
BgL_oclassz00_1647 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1653); } 
{ /* Llib/pthread.scm 215 */
 bool_t BgL__ortest_1114z00_1648;
BgL__ortest_1114z00_1648 = 
(BgL_classz00_1626==BgL_oclassz00_1647); 
if(BgL__ortest_1114z00_1648)
{ /* Llib/pthread.scm 215 */
BgL_res1986z00_1662 = BgL__ortest_1114z00_1648; }  else 
{ /* Llib/pthread.scm 215 */
 long BgL_odepthz00_1649;
BgL_odepthz00_1649 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1647); 
if(
(BgL_arg1781z00_1629<BgL_odepthz00_1649))
{ /* Llib/pthread.scm 215 */
 obj_t BgL_arg1775z00_1651;
BgL_arg1775z00_1651 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1647, BgL_arg1781z00_1629); 
BgL_res1986z00_1662 = 
(BgL_arg1775z00_1651==BgL_classz00_1626); }  else 
{ /* Llib/pthread.scm 215 */
BgL_res1986z00_1662 = ((bool_t)0); } } } } 
BgL_test2234z00_3245 = BgL_res1986z00_1662; } }  else 
{ /* Llib/pthread.scm 215 */
BgL_test2234z00_3245 = ((bool_t)0)
; } } 
if(BgL_test2234z00_3245)
{ /* Llib/pthread.scm 215 */
BgL_tz00_1663 = 
((BgL_pthreadz00_bglt)BgL_tz00_654); }  else 
{ 
 obj_t BgL_auxz00_3267;
BgL_auxz00_3267 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(9131L), BGl_string1925z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_tz00_654); 
FAILURE(BgL_auxz00_3267,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 216 */
 void * BgL_arg1679z00_1664;
BgL_arg1679z00_1664 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1663))->BgL_z42builtinz42); 
{ /* Llib/pthread.scm 216 */
 obj_t BgL_aux1761z00_1665;
BgL_aux1761z00_1665 = 
bglpth_thread_getname(BgL_arg1679z00_1664); 
if(
STRINGP(BgL_aux1761z00_1665))
{ /* Llib/pthread.scm 216 */
return BgL_aux1761z00_1665;}  else 
{ 
 obj_t BgL_auxz00_3275;
BgL_auxz00_3275 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(9169L), BGl_string1923z00zz__pth_threadz00, BGl_string1924z00zz__pth_threadz00, BgL_aux1761z00_1665); 
FAILURE(BgL_auxz00_3275,BFALSE,BFALSE);} } } } } 

}



/* &thread-cleanup-set!-1165 */
obj_t BGl_z62threadzd2cleanupzd2setz12zd21165za2zz__pth_threadz00(obj_t BgL_envz00_655, obj_t BgL_tz00_656, obj_t BgL_pz00_657)
{
{ /* Llib/pthread.scm 201 */
{ /* Llib/pthread.scm 202 */
 BgL_pthreadz00_bglt BgL_tz00_1703;
{ /* Llib/pthread.scm 202 */
 bool_t BgL_test2240z00_3279;
{ /* Llib/pthread.scm 202 */
 obj_t BgL_classz00_1666;
BgL_classz00_1666 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_tz00_656))
{ /* Llib/pthread.scm 202 */
 BgL_objectz00_bglt BgL_arg1780z00_1668; long BgL_arg1781z00_1669;
BgL_arg1780z00_1668 = 
(BgL_objectz00_bglt)(BgL_tz00_656); 
BgL_arg1781z00_1669 = 
BGL_CLASS_DEPTH(BgL_classz00_1666); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 202 */
 long BgL_idxz00_1677;
BgL_idxz00_1677 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1668); 
{ /* Llib/pthread.scm 202 */
 obj_t BgL_arg1773z00_1678;
{ /* Llib/pthread.scm 202 */
 long BgL_arg1774z00_1679;
BgL_arg1774z00_1679 = 
(BgL_idxz00_1677+BgL_arg1781z00_1669); 
BgL_arg1773z00_1678 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1679); } 
BgL_test2240z00_3279 = 
(BgL_arg1773z00_1678==BgL_classz00_1666); } }  else 
{ /* Llib/pthread.scm 202 */
 bool_t BgL_res1987z00_1702;
{ /* Llib/pthread.scm 202 */
 obj_t BgL_oclassz00_1687;
{ /* Llib/pthread.scm 202 */
 long BgL_arg1785z00_1693;
{ /* Llib/pthread.scm 202 */
 long BgL_arg1786z00_1694;
BgL_arg1786z00_1694 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1668); 
BgL_arg1785z00_1693 = 
(BgL_arg1786z00_1694-OBJECT_TYPE); } 
BgL_oclassz00_1687 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1693); } 
{ /* Llib/pthread.scm 202 */
 bool_t BgL__ortest_1114z00_1688;
BgL__ortest_1114z00_1688 = 
(BgL_classz00_1666==BgL_oclassz00_1687); 
if(BgL__ortest_1114z00_1688)
{ /* Llib/pthread.scm 202 */
BgL_res1987z00_1702 = BgL__ortest_1114z00_1688; }  else 
{ /* Llib/pthread.scm 202 */
 long BgL_odepthz00_1689;
BgL_odepthz00_1689 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1687); 
if(
(BgL_arg1781z00_1669<BgL_odepthz00_1689))
{ /* Llib/pthread.scm 202 */
 obj_t BgL_arg1775z00_1691;
BgL_arg1775z00_1691 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1687, BgL_arg1781z00_1669); 
BgL_res1987z00_1702 = 
(BgL_arg1775z00_1691==BgL_classz00_1666); }  else 
{ /* Llib/pthread.scm 202 */
BgL_res1987z00_1702 = ((bool_t)0); } } } } 
BgL_test2240z00_3279 = BgL_res1987z00_1702; } }  else 
{ /* Llib/pthread.scm 202 */
BgL_test2240z00_3279 = ((bool_t)0)
; } } 
if(BgL_test2240z00_3279)
{ /* Llib/pthread.scm 202 */
BgL_tz00_1703 = 
((BgL_pthreadz00_bglt)BgL_tz00_656); }  else 
{ 
 obj_t BgL_auxz00_3301;
BgL_auxz00_3301 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(8639L), BGl_string1928z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_tz00_656); 
FAILURE(BgL_auxz00_3301,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 203 */
 bool_t BgL_test2245z00_3305;
{ /* Llib/pthread.scm 203 */
 obj_t BgL_tmpz00_3306;
if(
PROCEDUREP(BgL_pz00_657))
{ /* Llib/pthread.scm 203 */
BgL_tmpz00_3306 = BgL_pz00_657
; }  else 
{ 
 obj_t BgL_auxz00_3309;
BgL_auxz00_3309 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(8700L), BGl_string1926z00zz__pth_threadz00, BGl_string1876z00zz__pth_threadz00, BgL_pz00_657); 
FAILURE(BgL_auxz00_3309,BFALSE,BFALSE);} 
BgL_test2245z00_3305 = 
PROCEDURE_CORRECT_ARITYP(BgL_tmpz00_3306, 
(int)(1L)); } 
if(BgL_test2245z00_3305)
{ /* Llib/pthread.scm 203 */
{ /* Llib/pthread.scm 205 */
 void * BgL_arg1677z00_1704;
BgL_arg1677z00_1704 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1703))->BgL_z42builtinz42); 
BGLPTH_THREAD_CLEANUP_SET(BgL_arg1677z00_1704, BgL_pz00_657); BUNSPEC; } 
return BgL_pz00_657;}  else 
{ /* Llib/pthread.scm 203 */
return 
BGl_errorz00zz__errorz00(BGl_string1917z00zz__pth_threadz00, BGl_string1927z00zz__pth_threadz00, BgL_pz00_657);} } } } 

}



/* &thread-cleanup-pthre1163 */
obj_t BGl_z62threadzd2cleanupzd2pthre1163z62zz__pth_threadz00(obj_t BgL_envz00_658, obj_t BgL_tz00_659)
{
{ /* Llib/pthread.scm 194 */
{ /* Llib/pthread.scm 195 */
 BgL_pthreadz00_bglt BgL_tz00_1742;
{ /* Llib/pthread.scm 195 */
 bool_t BgL_test2247z00_3318;
{ /* Llib/pthread.scm 195 */
 obj_t BgL_classz00_1705;
BgL_classz00_1705 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_tz00_659))
{ /* Llib/pthread.scm 195 */
 BgL_objectz00_bglt BgL_arg1780z00_1707; long BgL_arg1781z00_1708;
BgL_arg1780z00_1707 = 
(BgL_objectz00_bglt)(BgL_tz00_659); 
BgL_arg1781z00_1708 = 
BGL_CLASS_DEPTH(BgL_classz00_1705); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 195 */
 long BgL_idxz00_1716;
BgL_idxz00_1716 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1707); 
{ /* Llib/pthread.scm 195 */
 obj_t BgL_arg1773z00_1717;
{ /* Llib/pthread.scm 195 */
 long BgL_arg1774z00_1718;
BgL_arg1774z00_1718 = 
(BgL_idxz00_1716+BgL_arg1781z00_1708); 
BgL_arg1773z00_1717 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1718); } 
BgL_test2247z00_3318 = 
(BgL_arg1773z00_1717==BgL_classz00_1705); } }  else 
{ /* Llib/pthread.scm 195 */
 bool_t BgL_res1988z00_1741;
{ /* Llib/pthread.scm 195 */
 obj_t BgL_oclassz00_1726;
{ /* Llib/pthread.scm 195 */
 long BgL_arg1785z00_1732;
{ /* Llib/pthread.scm 195 */
 long BgL_arg1786z00_1733;
BgL_arg1786z00_1733 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1707); 
BgL_arg1785z00_1732 = 
(BgL_arg1786z00_1733-OBJECT_TYPE); } 
BgL_oclassz00_1726 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1732); } 
{ /* Llib/pthread.scm 195 */
 bool_t BgL__ortest_1114z00_1727;
BgL__ortest_1114z00_1727 = 
(BgL_classz00_1705==BgL_oclassz00_1726); 
if(BgL__ortest_1114z00_1727)
{ /* Llib/pthread.scm 195 */
BgL_res1988z00_1741 = BgL__ortest_1114z00_1727; }  else 
{ /* Llib/pthread.scm 195 */
 long BgL_odepthz00_1728;
BgL_odepthz00_1728 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1726); 
if(
(BgL_arg1781z00_1708<BgL_odepthz00_1728))
{ /* Llib/pthread.scm 195 */
 obj_t BgL_arg1775z00_1730;
BgL_arg1775z00_1730 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1726, BgL_arg1781z00_1708); 
BgL_res1988z00_1741 = 
(BgL_arg1775z00_1730==BgL_classz00_1705); }  else 
{ /* Llib/pthread.scm 195 */
BgL_res1988z00_1741 = ((bool_t)0); } } } } 
BgL_test2247z00_3318 = BgL_res1988z00_1741; } }  else 
{ /* Llib/pthread.scm 195 */
BgL_test2247z00_3318 = ((bool_t)0)
; } } 
if(BgL_test2247z00_3318)
{ /* Llib/pthread.scm 195 */
BgL_tz00_1742 = 
((BgL_pthreadz00_bglt)BgL_tz00_659); }  else 
{ 
 obj_t BgL_auxz00_3340;
BgL_auxz00_3340 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(8292L), BGl_string1929z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_tz00_659); 
FAILURE(BgL_auxz00_3340,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 196 */
 void * BgL_tmpz00_3344;
BgL_tmpz00_3344 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1742))->BgL_z42builtinz42); 
return 
BGLPTH_THREAD_CLEANUP(BgL_tmpz00_3344);} } } 

}



/* &thread-specific-set!1161 */
obj_t BGl_z62threadzd2specificzd2setz121161z70zz__pth_threadz00(obj_t BgL_envz00_660, obj_t BgL_tz00_661, obj_t BgL_vz00_662)
{
{ /* Llib/pthread.scm 186 */
{ /* Llib/pthread.scm 187 */
 BgL_pthreadz00_bglt BgL_tz00_1780;
{ /* Llib/pthread.scm 187 */
 bool_t BgL_test2252z00_3347;
{ /* Llib/pthread.scm 187 */
 obj_t BgL_classz00_1743;
BgL_classz00_1743 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_tz00_661))
{ /* Llib/pthread.scm 187 */
 BgL_objectz00_bglt BgL_arg1780z00_1745; long BgL_arg1781z00_1746;
BgL_arg1780z00_1745 = 
(BgL_objectz00_bglt)(BgL_tz00_661); 
BgL_arg1781z00_1746 = 
BGL_CLASS_DEPTH(BgL_classz00_1743); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 187 */
 long BgL_idxz00_1754;
BgL_idxz00_1754 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1745); 
{ /* Llib/pthread.scm 187 */
 obj_t BgL_arg1773z00_1755;
{ /* Llib/pthread.scm 187 */
 long BgL_arg1774z00_1756;
BgL_arg1774z00_1756 = 
(BgL_idxz00_1754+BgL_arg1781z00_1746); 
BgL_arg1773z00_1755 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1756); } 
BgL_test2252z00_3347 = 
(BgL_arg1773z00_1755==BgL_classz00_1743); } }  else 
{ /* Llib/pthread.scm 187 */
 bool_t BgL_res1989z00_1779;
{ /* Llib/pthread.scm 187 */
 obj_t BgL_oclassz00_1764;
{ /* Llib/pthread.scm 187 */
 long BgL_arg1785z00_1770;
{ /* Llib/pthread.scm 187 */
 long BgL_arg1786z00_1771;
BgL_arg1786z00_1771 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1745); 
BgL_arg1785z00_1770 = 
(BgL_arg1786z00_1771-OBJECT_TYPE); } 
BgL_oclassz00_1764 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1770); } 
{ /* Llib/pthread.scm 187 */
 bool_t BgL__ortest_1114z00_1765;
BgL__ortest_1114z00_1765 = 
(BgL_classz00_1743==BgL_oclassz00_1764); 
if(BgL__ortest_1114z00_1765)
{ /* Llib/pthread.scm 187 */
BgL_res1989z00_1779 = BgL__ortest_1114z00_1765; }  else 
{ /* Llib/pthread.scm 187 */
 long BgL_odepthz00_1766;
BgL_odepthz00_1766 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1764); 
if(
(BgL_arg1781z00_1746<BgL_odepthz00_1766))
{ /* Llib/pthread.scm 187 */
 obj_t BgL_arg1775z00_1768;
BgL_arg1775z00_1768 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1764, BgL_arg1781z00_1746); 
BgL_res1989z00_1779 = 
(BgL_arg1775z00_1768==BgL_classz00_1743); }  else 
{ /* Llib/pthread.scm 187 */
BgL_res1989z00_1779 = ((bool_t)0); } } } } 
BgL_test2252z00_3347 = BgL_res1989z00_1779; } }  else 
{ /* Llib/pthread.scm 187 */
BgL_test2252z00_3347 = ((bool_t)0)
; } } 
if(BgL_test2252z00_3347)
{ /* Llib/pthread.scm 187 */
BgL_tz00_1780 = 
((BgL_pthreadz00_bglt)BgL_tz00_661); }  else 
{ 
 obj_t BgL_auxz00_3369;
BgL_auxz00_3369 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(7939L), BGl_string1930z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_tz00_661); 
FAILURE(BgL_auxz00_3369,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 188 */
 void * BgL_arg1670z00_1781;
BgL_arg1670z00_1781 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1780))->BgL_z42builtinz42); 
BGLPTH_THREAD_SPECIFIC_SET(BgL_arg1670z00_1781, BgL_vz00_662); BUNSPEC; } 
return BgL_vz00_662;} } 

}



/* &thread-specific-pthr1159 */
obj_t BGl_z62threadzd2specificzd2pthr1159z62zz__pth_threadz00(obj_t BgL_envz00_663, obj_t BgL_tz00_664)
{
{ /* Llib/pthread.scm 179 */
{ /* Llib/pthread.scm 180 */
 BgL_pthreadz00_bglt BgL_tz00_1819;
{ /* Llib/pthread.scm 180 */
 bool_t BgL_test2257z00_3375;
{ /* Llib/pthread.scm 180 */
 obj_t BgL_classz00_1782;
BgL_classz00_1782 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_tz00_664))
{ /* Llib/pthread.scm 180 */
 BgL_objectz00_bglt BgL_arg1780z00_1784; long BgL_arg1781z00_1785;
BgL_arg1780z00_1784 = 
(BgL_objectz00_bglt)(BgL_tz00_664); 
BgL_arg1781z00_1785 = 
BGL_CLASS_DEPTH(BgL_classz00_1782); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 180 */
 long BgL_idxz00_1793;
BgL_idxz00_1793 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1784); 
{ /* Llib/pthread.scm 180 */
 obj_t BgL_arg1773z00_1794;
{ /* Llib/pthread.scm 180 */
 long BgL_arg1774z00_1795;
BgL_arg1774z00_1795 = 
(BgL_idxz00_1793+BgL_arg1781z00_1785); 
BgL_arg1773z00_1794 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1795); } 
BgL_test2257z00_3375 = 
(BgL_arg1773z00_1794==BgL_classz00_1782); } }  else 
{ /* Llib/pthread.scm 180 */
 bool_t BgL_res1990z00_1818;
{ /* Llib/pthread.scm 180 */
 obj_t BgL_oclassz00_1803;
{ /* Llib/pthread.scm 180 */
 long BgL_arg1785z00_1809;
{ /* Llib/pthread.scm 180 */
 long BgL_arg1786z00_1810;
BgL_arg1786z00_1810 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1784); 
BgL_arg1785z00_1809 = 
(BgL_arg1786z00_1810-OBJECT_TYPE); } 
BgL_oclassz00_1803 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1809); } 
{ /* Llib/pthread.scm 180 */
 bool_t BgL__ortest_1114z00_1804;
BgL__ortest_1114z00_1804 = 
(BgL_classz00_1782==BgL_oclassz00_1803); 
if(BgL__ortest_1114z00_1804)
{ /* Llib/pthread.scm 180 */
BgL_res1990z00_1818 = BgL__ortest_1114z00_1804; }  else 
{ /* Llib/pthread.scm 180 */
 long BgL_odepthz00_1805;
BgL_odepthz00_1805 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1803); 
if(
(BgL_arg1781z00_1785<BgL_odepthz00_1805))
{ /* Llib/pthread.scm 180 */
 obj_t BgL_arg1775z00_1807;
BgL_arg1775z00_1807 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1803, BgL_arg1781z00_1785); 
BgL_res1990z00_1818 = 
(BgL_arg1775z00_1807==BgL_classz00_1782); }  else 
{ /* Llib/pthread.scm 180 */
BgL_res1990z00_1818 = ((bool_t)0); } } } } 
BgL_test2257z00_3375 = BgL_res1990z00_1818; } }  else 
{ /* Llib/pthread.scm 180 */
BgL_test2257z00_3375 = ((bool_t)0)
; } } 
if(BgL_test2257z00_3375)
{ /* Llib/pthread.scm 180 */
BgL_tz00_1819 = 
((BgL_pthreadz00_bglt)BgL_tz00_664); }  else 
{ 
 obj_t BgL_auxz00_3397;
BgL_auxz00_3397 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(7590L), BGl_string1931z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_tz00_664); 
FAILURE(BgL_auxz00_3397,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 181 */
 void * BgL_tmpz00_3401;
BgL_tmpz00_3401 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1819))->BgL_z42builtinz42); 
return 
BGLPTH_THREAD_SPECIFIC(BgL_tmpz00_3401);} } } 

}



/* &thread-kill!-pthread1157 */
obj_t BGl_z62threadzd2killz12zd2pthread1157z70zz__pth_threadz00(obj_t BgL_envz00_665, obj_t BgL_tz00_666, obj_t BgL_nz00_667)
{
{ /* Llib/pthread.scm 172 */
{ /* Llib/pthread.scm 173 */
 BgL_pthreadz00_bglt BgL_tz00_1857; int BgL_nz00_1858;
{ /* Llib/pthread.scm 173 */
 bool_t BgL_test2262z00_3404;
{ /* Llib/pthread.scm 173 */
 obj_t BgL_classz00_1820;
BgL_classz00_1820 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_tz00_666))
{ /* Llib/pthread.scm 173 */
 BgL_objectz00_bglt BgL_arg1780z00_1822; long BgL_arg1781z00_1823;
BgL_arg1780z00_1822 = 
(BgL_objectz00_bglt)(BgL_tz00_666); 
BgL_arg1781z00_1823 = 
BGL_CLASS_DEPTH(BgL_classz00_1820); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 173 */
 long BgL_idxz00_1831;
BgL_idxz00_1831 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1822); 
{ /* Llib/pthread.scm 173 */
 obj_t BgL_arg1773z00_1832;
{ /* Llib/pthread.scm 173 */
 long BgL_arg1774z00_1833;
BgL_arg1774z00_1833 = 
(BgL_idxz00_1831+BgL_arg1781z00_1823); 
BgL_arg1773z00_1832 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1833); } 
BgL_test2262z00_3404 = 
(BgL_arg1773z00_1832==BgL_classz00_1820); } }  else 
{ /* Llib/pthread.scm 173 */
 bool_t BgL_res1991z00_1856;
{ /* Llib/pthread.scm 173 */
 obj_t BgL_oclassz00_1841;
{ /* Llib/pthread.scm 173 */
 long BgL_arg1785z00_1847;
{ /* Llib/pthread.scm 173 */
 long BgL_arg1786z00_1848;
BgL_arg1786z00_1848 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1822); 
BgL_arg1785z00_1847 = 
(BgL_arg1786z00_1848-OBJECT_TYPE); } 
BgL_oclassz00_1841 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1847); } 
{ /* Llib/pthread.scm 173 */
 bool_t BgL__ortest_1114z00_1842;
BgL__ortest_1114z00_1842 = 
(BgL_classz00_1820==BgL_oclassz00_1841); 
if(BgL__ortest_1114z00_1842)
{ /* Llib/pthread.scm 173 */
BgL_res1991z00_1856 = BgL__ortest_1114z00_1842; }  else 
{ /* Llib/pthread.scm 173 */
 long BgL_odepthz00_1843;
BgL_odepthz00_1843 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1841); 
if(
(BgL_arg1781z00_1823<BgL_odepthz00_1843))
{ /* Llib/pthread.scm 173 */
 obj_t BgL_arg1775z00_1845;
BgL_arg1775z00_1845 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1841, BgL_arg1781z00_1823); 
BgL_res1991z00_1856 = 
(BgL_arg1775z00_1845==BgL_classz00_1820); }  else 
{ /* Llib/pthread.scm 173 */
BgL_res1991z00_1856 = ((bool_t)0); } } } } 
BgL_test2262z00_3404 = BgL_res1991z00_1856; } }  else 
{ /* Llib/pthread.scm 173 */
BgL_test2262z00_3404 = ((bool_t)0)
; } } 
if(BgL_test2262z00_3404)
{ /* Llib/pthread.scm 173 */
BgL_tz00_1857 = 
((BgL_pthreadz00_bglt)BgL_tz00_666); }  else 
{ 
 obj_t BgL_auxz00_3426;
BgL_auxz00_3426 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(7235L), BGl_string1932z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_tz00_666); 
FAILURE(BgL_auxz00_3426,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 173 */
 obj_t BgL_tmpz00_3430;
if(
INTEGERP(BgL_nz00_667))
{ /* Llib/pthread.scm 173 */
BgL_tmpz00_3430 = BgL_nz00_667
; }  else 
{ 
 obj_t BgL_auxz00_3433;
BgL_auxz00_3433 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(7235L), BGl_string1932z00zz__pth_threadz00, BGl_string1933z00zz__pth_threadz00, BgL_nz00_667); 
FAILURE(BgL_auxz00_3433,BFALSE,BFALSE);} 
BgL_nz00_1858 = 
CINT(BgL_tmpz00_3430); } 
{ /* Llib/pthread.scm 174 */
 void * BgL_arg1654z00_1859;
BgL_arg1654z00_1859 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1857))->BgL_z42builtinz42); 
return 
BINT(
bglpth_thread_kill(BgL_arg1654z00_1859, BgL_nz00_1858));} } } 

}



/* &thread-terminate!-pt1155 */
obj_t BGl_z62threadzd2terminatez12zd2pt1155z70zz__pth_threadz00(obj_t BgL_envz00_668, obj_t BgL_tz00_669)
{
{ /* Llib/pthread.scm 163 */
{ /* Llib/pthread.scm 164 */
 BgL_pthreadz00_bglt BgL_tz00_1897;
{ /* Llib/pthread.scm 164 */
 bool_t BgL_test2268z00_3441;
{ /* Llib/pthread.scm 164 */
 obj_t BgL_classz00_1860;
BgL_classz00_1860 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_tz00_669))
{ /* Llib/pthread.scm 164 */
 BgL_objectz00_bglt BgL_arg1780z00_1862; long BgL_arg1781z00_1863;
BgL_arg1780z00_1862 = 
(BgL_objectz00_bglt)(BgL_tz00_669); 
BgL_arg1781z00_1863 = 
BGL_CLASS_DEPTH(BgL_classz00_1860); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 164 */
 long BgL_idxz00_1871;
BgL_idxz00_1871 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1862); 
{ /* Llib/pthread.scm 164 */
 obj_t BgL_arg1773z00_1872;
{ /* Llib/pthread.scm 164 */
 long BgL_arg1774z00_1873;
BgL_arg1774z00_1873 = 
(BgL_idxz00_1871+BgL_arg1781z00_1863); 
BgL_arg1773z00_1872 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1873); } 
BgL_test2268z00_3441 = 
(BgL_arg1773z00_1872==BgL_classz00_1860); } }  else 
{ /* Llib/pthread.scm 164 */
 bool_t BgL_res1992z00_1896;
{ /* Llib/pthread.scm 164 */
 obj_t BgL_oclassz00_1881;
{ /* Llib/pthread.scm 164 */
 long BgL_arg1785z00_1887;
{ /* Llib/pthread.scm 164 */
 long BgL_arg1786z00_1888;
BgL_arg1786z00_1888 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1862); 
BgL_arg1785z00_1887 = 
(BgL_arg1786z00_1888-OBJECT_TYPE); } 
BgL_oclassz00_1881 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1887); } 
{ /* Llib/pthread.scm 164 */
 bool_t BgL__ortest_1114z00_1882;
BgL__ortest_1114z00_1882 = 
(BgL_classz00_1860==BgL_oclassz00_1881); 
if(BgL__ortest_1114z00_1882)
{ /* Llib/pthread.scm 164 */
BgL_res1992z00_1896 = BgL__ortest_1114z00_1882; }  else 
{ /* Llib/pthread.scm 164 */
 long BgL_odepthz00_1883;
BgL_odepthz00_1883 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1881); 
if(
(BgL_arg1781z00_1863<BgL_odepthz00_1883))
{ /* Llib/pthread.scm 164 */
 obj_t BgL_arg1775z00_1885;
BgL_arg1775z00_1885 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1881, BgL_arg1781z00_1863); 
BgL_res1992z00_1896 = 
(BgL_arg1775z00_1885==BgL_classz00_1860); }  else 
{ /* Llib/pthread.scm 164 */
BgL_res1992z00_1896 = ((bool_t)0); } } } } 
BgL_test2268z00_3441 = BgL_res1992z00_1896; } }  else 
{ /* Llib/pthread.scm 164 */
BgL_test2268z00_3441 = ((bool_t)0)
; } } 
if(BgL_test2268z00_3441)
{ /* Llib/pthread.scm 164 */
BgL_tz00_1897 = 
((BgL_pthreadz00_bglt)BgL_tz00_669); }  else 
{ 
 obj_t BgL_auxz00_3463;
BgL_auxz00_3463 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(6792L), BGl_string1936z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_tz00_669); 
FAILURE(BgL_auxz00_3463,BFALSE,BFALSE);} } 
if(
bglpth_thread_terminate(
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1897))->BgL_z42builtinz42)))
{ 
 obj_t BgL_auxz00_3470;
{ /* Llib/pthread.scm 166 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1114z00_1898;
{ /* Llib/pthread.scm 166 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1113z00_1899;
BgL_new1113z00_1899 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 166 */
 long BgL_arg1645z00_1900;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_classz00_1901;
BgL_classz00_1901 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_arg1645z00_1900 = 
BGL_CLASS_NUM(BgL_classz00_1901); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_1899), BgL_arg1645z00_1900); } 
BgL_new1114z00_1898 = BgL_new1113z00_1899; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1114z00_1898)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1114z00_1898)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3479;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_arg1642z00_1902;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_arg1644z00_1903;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_classz00_1904;
BgL_classz00_1904 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_arg1644z00_1903 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1904); } 
BgL_arg1642z00_1902 = 
VECTOR_REF(BgL_arg1644z00_1903,2L); } 
{ /* Llib/pthread.scm 166 */
 obj_t BgL_auxz00_3483;
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_arg1642z00_1902))
{ /* Llib/pthread.scm 166 */
BgL_auxz00_3483 = BgL_arg1642z00_1902
; }  else 
{ 
 obj_t BgL_auxz00_3486;
BgL_auxz00_3486 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(6906L), BGl_string1934z00zz__pth_threadz00, BGl_string1935z00zz__pth_threadz00, BgL_arg1642z00_1902); 
FAILURE(BgL_auxz00_3486,BFALSE,BFALSE);} 
BgL_auxz00_3479 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_auxz00_3483); } } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1114z00_1898)))->BgL_stackz00)=((obj_t)BgL_auxz00_3479),BUNSPEC); } 
BgL_auxz00_3470 = 
((obj_t)BgL_new1114z00_1898); } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1897))->BgL_endzd2exceptionzd2)=((obj_t)BgL_auxz00_3470),BUNSPEC); }  else 
{ /* Llib/pthread.scm 165 */BFALSE; } 
return 
((obj_t)BgL_tz00_1897);} } 

}



/* &thread-join!-pthread1153 */
obj_t BGl_z62threadzd2joinz12zd2pthread1153z70zz__pth_threadz00(obj_t BgL_envz00_670, obj_t BgL_tz00_671, obj_t BgL_timeoutz00_672)
{
{ /* Llib/pthread.scm 146 */
{ /* Llib/pthread.scm 147 */
 BgL_pthreadz00_bglt BgL_tz00_1942;
{ /* Llib/pthread.scm 147 */
 bool_t BgL_test2275z00_3495;
{ /* Llib/pthread.scm 147 */
 obj_t BgL_classz00_1905;
BgL_classz00_1905 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_tz00_671))
{ /* Llib/pthread.scm 147 */
 BgL_objectz00_bglt BgL_arg1780z00_1907; long BgL_arg1781z00_1908;
BgL_arg1780z00_1907 = 
(BgL_objectz00_bglt)(BgL_tz00_671); 
BgL_arg1781z00_1908 = 
BGL_CLASS_DEPTH(BgL_classz00_1905); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 147 */
 long BgL_idxz00_1916;
BgL_idxz00_1916 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1907); 
{ /* Llib/pthread.scm 147 */
 obj_t BgL_arg1773z00_1917;
{ /* Llib/pthread.scm 147 */
 long BgL_arg1774z00_1918;
BgL_arg1774z00_1918 = 
(BgL_idxz00_1916+BgL_arg1781z00_1908); 
BgL_arg1773z00_1917 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1918); } 
BgL_test2275z00_3495 = 
(BgL_arg1773z00_1917==BgL_classz00_1905); } }  else 
{ /* Llib/pthread.scm 147 */
 bool_t BgL_res1993z00_1941;
{ /* Llib/pthread.scm 147 */
 obj_t BgL_oclassz00_1926;
{ /* Llib/pthread.scm 147 */
 long BgL_arg1785z00_1932;
{ /* Llib/pthread.scm 147 */
 long BgL_arg1786z00_1933;
BgL_arg1786z00_1933 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1907); 
BgL_arg1785z00_1932 = 
(BgL_arg1786z00_1933-OBJECT_TYPE); } 
BgL_oclassz00_1926 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1932); } 
{ /* Llib/pthread.scm 147 */
 bool_t BgL__ortest_1114z00_1927;
BgL__ortest_1114z00_1927 = 
(BgL_classz00_1905==BgL_oclassz00_1926); 
if(BgL__ortest_1114z00_1927)
{ /* Llib/pthread.scm 147 */
BgL_res1993z00_1941 = BgL__ortest_1114z00_1927; }  else 
{ /* Llib/pthread.scm 147 */
 long BgL_odepthz00_1928;
BgL_odepthz00_1928 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1926); 
if(
(BgL_arg1781z00_1908<BgL_odepthz00_1928))
{ /* Llib/pthread.scm 147 */
 obj_t BgL_arg1775z00_1930;
BgL_arg1775z00_1930 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1926, BgL_arg1781z00_1908); 
BgL_res1993z00_1941 = 
(BgL_arg1775z00_1930==BgL_classz00_1905); }  else 
{ /* Llib/pthread.scm 147 */
BgL_res1993z00_1941 = ((bool_t)0); } } } } 
BgL_test2275z00_3495 = BgL_res1993z00_1941; } }  else 
{ /* Llib/pthread.scm 147 */
BgL_test2275z00_3495 = ((bool_t)0)
; } } 
if(BgL_test2275z00_3495)
{ /* Llib/pthread.scm 147 */
BgL_tz00_1942 = 
((BgL_pthreadz00_bglt)BgL_tz00_671); }  else 
{ 
 obj_t BgL_auxz00_3517;
BgL_auxz00_3517 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(6159L), BGl_string1942z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_tz00_671); 
FAILURE(BgL_auxz00_3517,BFALSE,BFALSE);} } 
if(
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1942))->BgL_detachedpz00))
{ /* Llib/pthread.scm 150 */
 BgL_z62threadzd2errorzb0_bglt BgL_arg1583z00_1943;
{ /* Llib/pthread.scm 150 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1111z00_1944;
{ /* Llib/pthread.scm 150 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1110z00_1945;
BgL_new1110z00_1945 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 150 */
 long BgL_arg1597z00_1946;
BgL_arg1597z00_1946 = 
BGL_CLASS_NUM(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_1945), BgL_arg1597z00_1946); } 
BgL_new1111z00_1944 = BgL_new1110z00_1945; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1111z00_1944)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1111z00_1944)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3531;
{ /* Llib/pthread.scm 150 */
 obj_t BgL_arg1584z00_1947;
{ /* Llib/pthread.scm 150 */
 obj_t BgL_arg1585z00_1948;
{ /* Llib/pthread.scm 150 */
 obj_t BgL_classz00_1949;
BgL_classz00_1949 = BGl_z62threadzd2errorzb0zz__pth_threadz00; 
BgL_arg1585z00_1948 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1949); } 
BgL_arg1584z00_1947 = 
VECTOR_REF(BgL_arg1585z00_1948,2L); } 
{ /* Llib/pthread.scm 150 */
 obj_t BgL_auxz00_3535;
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_arg1584z00_1947))
{ /* Llib/pthread.scm 150 */
BgL_auxz00_3535 = BgL_arg1584z00_1947
; }  else 
{ 
 obj_t BgL_auxz00_3538;
BgL_auxz00_3538 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(6265L), BGl_string1937z00zz__pth_threadz00, BGl_string1935z00zz__pth_threadz00, BgL_arg1584z00_1947); 
FAILURE(BgL_auxz00_3538,BFALSE,BFALSE);} 
BgL_auxz00_3531 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_auxz00_3535); } } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1111z00_1944)))->BgL_stackz00)=((obj_t)BgL_auxz00_3531),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1111z00_1944)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(16L)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1111z00_1944)))->BgL_msgz00)=((obj_t)BGl_string1938z00zz__pth_threadz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1111z00_1944)))->BgL_objz00)=((obj_t)
((obj_t)BgL_tz00_1942)),BUNSPEC); 
BgL_arg1583z00_1943 = BgL_new1111z00_1944; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1583z00_1943));}  else 
{ /* Llib/pthread.scm 148 */
{ /* Llib/pthread.scm 155 */
 void * BgL_arg1599z00_1950; obj_t BgL_arg1610z00_1951;
BgL_arg1599z00_1950 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1942))->BgL_z42builtinz42); 
if(
PAIRP(BgL_timeoutz00_672))
{ /* Llib/pthread.scm 155 */
BgL_arg1610z00_1951 = 
CAR(BgL_timeoutz00_672); }  else 
{ /* Llib/pthread.scm 155 */
BgL_arg1610z00_1951 = BFALSE; } 
bglpth_thread_join(BgL_arg1599z00_1950, BgL_arg1610z00_1951); BUNSPEC; } 
{ /* Llib/pthread.scm 156 */
 bool_t BgL_test2283z00_3559;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_arg1634z00_1952;
BgL_arg1634z00_1952 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1942))->BgL_endzd2exceptionzd2); 
{ /* Llib/pthread.scm 156 */
 obj_t BgL_classz00_1953;
BgL_classz00_1953 = BGl_z62exceptionz62zz__objectz00; 
if(
BGL_OBJECTP(BgL_arg1634z00_1952))
{ /* Llib/pthread.scm 156 */
 BgL_objectz00_bglt BgL_arg1778z00_1954;
BgL_arg1778z00_1954 = 
(BgL_objectz00_bglt)(BgL_arg1634z00_1952); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 156 */
 long BgL_idxz00_1955;
BgL_idxz00_1955 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1778z00_1954); 
{ /* Llib/pthread.scm 156 */
 obj_t BgL_arg1773z00_1956;
{ /* Llib/pthread.scm 156 */
 long BgL_arg1774z00_1957;
BgL_arg1774z00_1957 = 
(BgL_idxz00_1955+2L); 
{ /* Llib/pthread.scm 156 */
 obj_t BgL_vectorz00_1958;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_aux1786z00_1959;
BgL_aux1786z00_1959 = BGl_za2inheritancesza2z00zz__objectz00; 
if(
VECTORP(BgL_aux1786z00_1959))
{ /* Llib/pthread.scm 156 */
BgL_vectorz00_1958 = BgL_aux1786z00_1959; }  else 
{ 
 obj_t BgL_auxz00_3570;
BgL_auxz00_3570 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(6444L), BGl_string1937z00zz__pth_threadz00, BGl_string1939z00zz__pth_threadz00, BgL_aux1786z00_1959); 
FAILURE(BgL_auxz00_3570,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 156 */
 bool_t BgL_test2287z00_3574;
{ /* Llib/pthread.scm 156 */
 long BgL_tmpz00_3575;
BgL_tmpz00_3575 = 
VECTOR_LENGTH(BgL_vectorz00_1958); 
BgL_test2287z00_3574 = 
BOUND_CHECK(BgL_arg1774z00_1957, BgL_tmpz00_3575); } 
if(BgL_test2287z00_3574)
{ /* Llib/pthread.scm 156 */
BgL_arg1773z00_1956 = 
VECTOR_REF(BgL_vectorz00_1958,BgL_arg1774z00_1957); }  else 
{ 
 obj_t BgL_auxz00_3579;
BgL_auxz00_3579 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(6444L), BGl_string1940z00zz__pth_threadz00, BgL_vectorz00_1958, 
(int)(
VECTOR_LENGTH(BgL_vectorz00_1958)), 
(int)(BgL_arg1774z00_1957)); 
FAILURE(BgL_auxz00_3579,BFALSE,BFALSE);} } } } 
BgL_test2283z00_3559 = 
(BgL_arg1773z00_1956==BgL_classz00_1953); } }  else 
{ /* Llib/pthread.scm 156 */
 bool_t BgL_res1681z00_1960;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_oclassz00_1961;
{ /* Llib/pthread.scm 156 */
 long BgL_arg1785z00_1962;
{ /* Llib/pthread.scm 156 */
 long BgL_arg1786z00_1963;
BgL_arg1786z00_1963 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1778z00_1954); 
BgL_arg1785z00_1962 = 
(BgL_arg1786z00_1963-OBJECT_TYPE); } 
{ /* Llib/pthread.scm 156 */
 obj_t BgL_vectorz00_1964;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_aux1788z00_1965;
BgL_aux1788z00_1965 = BGl_za2classesza2z00zz__objectz00; 
if(
VECTORP(BgL_aux1788z00_1965))
{ /* Llib/pthread.scm 156 */
BgL_vectorz00_1964 = BgL_aux1788z00_1965; }  else 
{ 
 obj_t BgL_auxz00_3591;
BgL_auxz00_3591 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(6444L), BGl_string1937z00zz__pth_threadz00, BGl_string1939z00zz__pth_threadz00, BgL_aux1788z00_1965); 
FAILURE(BgL_auxz00_3591,BFALSE,BFALSE);} } 
BgL_oclassz00_1961 = 
VECTOR_REF(BgL_vectorz00_1964,BgL_arg1785z00_1962); } } 
{ /* Llib/pthread.scm 156 */
 bool_t BgL__ortest_1114z00_1966;
BgL__ortest_1114z00_1966 = 
(BgL_classz00_1953==BgL_oclassz00_1961); 
if(BgL__ortest_1114z00_1966)
{ /* Llib/pthread.scm 156 */
BgL_res1681z00_1960 = BgL__ortest_1114z00_1966; }  else 
{ /* Llib/pthread.scm 156 */
 long BgL_odepthz00_1967;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_tmpz00_3598;
if(
BGl_classzf3zf3zz__objectz00(BgL_oclassz00_1961))
{ /* Llib/pthread.scm 156 */
BgL_tmpz00_3598 = BgL_oclassz00_1961
; }  else 
{ 
 obj_t BgL_auxz00_3601;
BgL_auxz00_3601 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(6444L), BGl_string1937z00zz__pth_threadz00, BGl_string1941z00zz__pth_threadz00, BgL_oclassz00_1961); 
FAILURE(BgL_auxz00_3601,BFALSE,BFALSE);} 
BgL_odepthz00_1967 = 
BGL_CLASS_DEPTH(BgL_tmpz00_3598); } 
if(
(2L<BgL_odepthz00_1967))
{ /* Llib/pthread.scm 156 */
 obj_t BgL_arg1775z00_1968;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_tmpz00_3608;
if(
BGl_classzf3zf3zz__objectz00(BgL_oclassz00_1961))
{ /* Llib/pthread.scm 156 */
BgL_tmpz00_3608 = BgL_oclassz00_1961
; }  else 
{ 
 obj_t BgL_auxz00_3611;
BgL_auxz00_3611 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(6444L), BGl_string1937z00zz__pth_threadz00, BGl_string1941z00zz__pth_threadz00, BgL_oclassz00_1961); 
FAILURE(BgL_auxz00_3611,BFALSE,BFALSE);} 
BgL_arg1775z00_1968 = 
BGL_CLASS_ANCESTORS_REF(BgL_tmpz00_3608, 2L); } 
BgL_res1681z00_1960 = 
(BgL_arg1775z00_1968==BgL_classz00_1953); }  else 
{ /* Llib/pthread.scm 156 */
BgL_res1681z00_1960 = ((bool_t)0); } } } } 
BgL_test2283z00_3559 = BgL_res1681z00_1960; } }  else 
{ /* Llib/pthread.scm 156 */
BgL_test2283z00_3559 = ((bool_t)0)
; } } } 
if(BgL_test2283z00_3559)
{ /* Llib/pthread.scm 156 */
return 
BGl_raisez00zz__errorz00(
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1942))->BgL_endzd2exceptionzd2));}  else 
{ /* Llib/pthread.scm 156 */
return 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_1942))->BgL_endzd2resultzd2);} } } } } 

}



/* &thread-start-joinabl1151 */
obj_t BGl_z62threadzd2startzd2joinabl1151z62zz__pth_threadz00(obj_t BgL_envz00_673, obj_t BgL_tz00_674)
{
{ /* Llib/pthread.scm 137 */
{ /* Llib/pthread.scm 138 */
 BgL_pthreadz00_bglt BgL_tz00_2006;
{ /* Llib/pthread.scm 138 */
 bool_t BgL_test2293z00_3620;
{ /* Llib/pthread.scm 138 */
 obj_t BgL_classz00_1969;
BgL_classz00_1969 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_tz00_674))
{ /* Llib/pthread.scm 138 */
 BgL_objectz00_bglt BgL_arg1780z00_1971; long BgL_arg1781z00_1972;
BgL_arg1780z00_1971 = 
(BgL_objectz00_bglt)(BgL_tz00_674); 
BgL_arg1781z00_1972 = 
BGL_CLASS_DEPTH(BgL_classz00_1969); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 138 */
 long BgL_idxz00_1980;
BgL_idxz00_1980 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_1971); 
{ /* Llib/pthread.scm 138 */
 obj_t BgL_arg1773z00_1981;
{ /* Llib/pthread.scm 138 */
 long BgL_arg1774z00_1982;
BgL_arg1774z00_1982 = 
(BgL_idxz00_1980+BgL_arg1781z00_1972); 
BgL_arg1773z00_1981 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_1982); } 
BgL_test2293z00_3620 = 
(BgL_arg1773z00_1981==BgL_classz00_1969); } }  else 
{ /* Llib/pthread.scm 138 */
 bool_t BgL_res1994z00_2005;
{ /* Llib/pthread.scm 138 */
 obj_t BgL_oclassz00_1990;
{ /* Llib/pthread.scm 138 */
 long BgL_arg1785z00_1996;
{ /* Llib/pthread.scm 138 */
 long BgL_arg1786z00_1997;
BgL_arg1786z00_1997 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_1971); 
BgL_arg1785z00_1996 = 
(BgL_arg1786z00_1997-OBJECT_TYPE); } 
BgL_oclassz00_1990 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_1996); } 
{ /* Llib/pthread.scm 138 */
 bool_t BgL__ortest_1114z00_1991;
BgL__ortest_1114z00_1991 = 
(BgL_classz00_1969==BgL_oclassz00_1990); 
if(BgL__ortest_1114z00_1991)
{ /* Llib/pthread.scm 138 */
BgL_res1994z00_2005 = BgL__ortest_1114z00_1991; }  else 
{ /* Llib/pthread.scm 138 */
 long BgL_odepthz00_1992;
BgL_odepthz00_1992 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1990); 
if(
(BgL_arg1781z00_1972<BgL_odepthz00_1992))
{ /* Llib/pthread.scm 138 */
 obj_t BgL_arg1775z00_1994;
BgL_arg1775z00_1994 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1990, BgL_arg1781z00_1972); 
BgL_res1994z00_2005 = 
(BgL_arg1775z00_1994==BgL_classz00_1969); }  else 
{ /* Llib/pthread.scm 138 */
BgL_res1994z00_2005 = ((bool_t)0); } } } } 
BgL_test2293z00_3620 = BgL_res1994z00_2005; } }  else 
{ /* Llib/pthread.scm 138 */
BgL_test2293z00_3620 = ((bool_t)0)
; } } 
if(BgL_test2293z00_3620)
{ /* Llib/pthread.scm 138 */
BgL_tz00_2006 = 
((BgL_pthreadz00_bglt)BgL_tz00_674); }  else 
{ 
 obj_t BgL_auxz00_3642;
BgL_auxz00_3642 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(5766L), BGl_string1943z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_tz00_674); 
FAILURE(BgL_auxz00_3642,BFALSE,BFALSE);} } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_2006))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/pthread.scm 140 */
 void * BgL_arg1581z00_2007;
BgL_arg1581z00_2007 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_2006))->BgL_z42builtinz42); 
bglpth_thread_start(BgL_arg1581z00_2007, 
((obj_t)BgL_tz00_2006), ((bool_t)0)); BUNSPEC; } 
return 
((obj_t)BgL_tz00_2006);} } 

}



/* &thread-start!-pthrea1149 */
obj_t BGl_z62threadzd2startz12zd2pthrea1149z70zz__pth_threadz00(obj_t BgL_envz00_675, obj_t BgL_tz00_676, obj_t BgL_scdz00_677)
{
{ /* Llib/pthread.scm 128 */
{ /* Llib/pthread.scm 129 */
 BgL_pthreadz00_bglt BgL_tz00_2045;
{ /* Llib/pthread.scm 129 */
 bool_t BgL_test2298z00_3651;
{ /* Llib/pthread.scm 129 */
 obj_t BgL_classz00_2008;
BgL_classz00_2008 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_tz00_676))
{ /* Llib/pthread.scm 129 */
 BgL_objectz00_bglt BgL_arg1780z00_2010; long BgL_arg1781z00_2011;
BgL_arg1780z00_2010 = 
(BgL_objectz00_bglt)(BgL_tz00_676); 
BgL_arg1781z00_2011 = 
BGL_CLASS_DEPTH(BgL_classz00_2008); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 129 */
 long BgL_idxz00_2019;
BgL_idxz00_2019 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_2010); 
{ /* Llib/pthread.scm 129 */
 obj_t BgL_arg1773z00_2020;
{ /* Llib/pthread.scm 129 */
 long BgL_arg1774z00_2021;
BgL_arg1774z00_2021 = 
(BgL_idxz00_2019+BgL_arg1781z00_2011); 
BgL_arg1773z00_2020 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_2021); } 
BgL_test2298z00_3651 = 
(BgL_arg1773z00_2020==BgL_classz00_2008); } }  else 
{ /* Llib/pthread.scm 129 */
 bool_t BgL_res1995z00_2044;
{ /* Llib/pthread.scm 129 */
 obj_t BgL_oclassz00_2029;
{ /* Llib/pthread.scm 129 */
 long BgL_arg1785z00_2035;
{ /* Llib/pthread.scm 129 */
 long BgL_arg1786z00_2036;
BgL_arg1786z00_2036 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_2010); 
BgL_arg1785z00_2035 = 
(BgL_arg1786z00_2036-OBJECT_TYPE); } 
BgL_oclassz00_2029 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2035); } 
{ /* Llib/pthread.scm 129 */
 bool_t BgL__ortest_1114z00_2030;
BgL__ortest_1114z00_2030 = 
(BgL_classz00_2008==BgL_oclassz00_2029); 
if(BgL__ortest_1114z00_2030)
{ /* Llib/pthread.scm 129 */
BgL_res1995z00_2044 = BgL__ortest_1114z00_2030; }  else 
{ /* Llib/pthread.scm 129 */
 long BgL_odepthz00_2031;
BgL_odepthz00_2031 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2029); 
if(
(BgL_arg1781z00_2011<BgL_odepthz00_2031))
{ /* Llib/pthread.scm 129 */
 obj_t BgL_arg1775z00_2033;
BgL_arg1775z00_2033 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2029, BgL_arg1781z00_2011); 
BgL_res1995z00_2044 = 
(BgL_arg1775z00_2033==BgL_classz00_2008); }  else 
{ /* Llib/pthread.scm 129 */
BgL_res1995z00_2044 = ((bool_t)0); } } } } 
BgL_test2298z00_3651 = BgL_res1995z00_2044; } }  else 
{ /* Llib/pthread.scm 129 */
BgL_test2298z00_3651 = ((bool_t)0)
; } } 
if(BgL_test2298z00_3651)
{ /* Llib/pthread.scm 129 */
BgL_tz00_2045 = 
((BgL_pthreadz00_bglt)BgL_tz00_676); }  else 
{ 
 obj_t BgL_auxz00_3673;
BgL_auxz00_3673 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(5373L), BGl_string1944z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_tz00_676); 
FAILURE(BgL_auxz00_3673,BFALSE,BFALSE);} } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_2045))->BgL_detachedpz00)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/pthread.scm 131 */
 void * BgL_arg1566z00_2046;
BgL_arg1566z00_2046 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_2045))->BgL_z42builtinz42); 
bglpth_thread_start(BgL_arg1566z00_2046, 
((obj_t)BgL_tz00_2045), ((bool_t)1)); BUNSPEC; } 
return 
((obj_t)BgL_tz00_2045);} } 

}



/* &thread-initialize!-p1147 */
obj_t BGl_z62threadzd2initializa7ez12zd2p1147zd7zz__pth_threadz00(obj_t BgL_envz00_678, obj_t BgL_oz00_679)
{
{ /* Llib/pthread.scm 88 */
{ /* Llib/pthread.scm 89 */
 BgL_pthreadz00_bglt BgL_oz00_2084;
{ /* Llib/pthread.scm 89 */
 bool_t BgL_test2303z00_3682;
{ /* Llib/pthread.scm 89 */
 obj_t BgL_classz00_2047;
BgL_classz00_2047 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_679))
{ /* Llib/pthread.scm 89 */
 BgL_objectz00_bglt BgL_arg1780z00_2049; long BgL_arg1781z00_2050;
BgL_arg1780z00_2049 = 
(BgL_objectz00_bglt)(BgL_oz00_679); 
BgL_arg1781z00_2050 = 
BGL_CLASS_DEPTH(BgL_classz00_2047); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 89 */
 long BgL_idxz00_2058;
BgL_idxz00_2058 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_2049); 
{ /* Llib/pthread.scm 89 */
 obj_t BgL_arg1773z00_2059;
{ /* Llib/pthread.scm 89 */
 long BgL_arg1774z00_2060;
BgL_arg1774z00_2060 = 
(BgL_idxz00_2058+BgL_arg1781z00_2050); 
BgL_arg1773z00_2059 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_2060); } 
BgL_test2303z00_3682 = 
(BgL_arg1773z00_2059==BgL_classz00_2047); } }  else 
{ /* Llib/pthread.scm 89 */
 bool_t BgL_res1996z00_2083;
{ /* Llib/pthread.scm 89 */
 obj_t BgL_oclassz00_2068;
{ /* Llib/pthread.scm 89 */
 long BgL_arg1785z00_2074;
{ /* Llib/pthread.scm 89 */
 long BgL_arg1786z00_2075;
BgL_arg1786z00_2075 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_2049); 
BgL_arg1785z00_2074 = 
(BgL_arg1786z00_2075-OBJECT_TYPE); } 
BgL_oclassz00_2068 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2074); } 
{ /* Llib/pthread.scm 89 */
 bool_t BgL__ortest_1114z00_2069;
BgL__ortest_1114z00_2069 = 
(BgL_classz00_2047==BgL_oclassz00_2068); 
if(BgL__ortest_1114z00_2069)
{ /* Llib/pthread.scm 89 */
BgL_res1996z00_2083 = BgL__ortest_1114z00_2069; }  else 
{ /* Llib/pthread.scm 89 */
 long BgL_odepthz00_2070;
BgL_odepthz00_2070 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2068); 
if(
(BgL_arg1781z00_2050<BgL_odepthz00_2070))
{ /* Llib/pthread.scm 89 */
 obj_t BgL_arg1775z00_2072;
BgL_arg1775z00_2072 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2068, BgL_arg1781z00_2050); 
BgL_res1996z00_2083 = 
(BgL_arg1775z00_2072==BgL_classz00_2047); }  else 
{ /* Llib/pthread.scm 89 */
BgL_res1996z00_2083 = ((bool_t)0); } } } } 
BgL_test2303z00_3682 = BgL_res1996z00_2083; } }  else 
{ /* Llib/pthread.scm 89 */
BgL_test2303z00_3682 = ((bool_t)0)
; } } 
if(BgL_test2303z00_3682)
{ /* Llib/pthread.scm 89 */
BgL_oz00_2084 = 
((BgL_pthreadz00_bglt)BgL_oz00_679); }  else 
{ 
 obj_t BgL_auxz00_3704;
BgL_auxz00_3704 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(4064L), BGl_string1947z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_oz00_679); 
FAILURE(BgL_auxz00_3704,BFALSE,BFALSE);} } 
if(
BGl_bigloozd2initializa7edzf3z86zz__paramz00())
{ /* Llib/pthread.scm 89 */BFALSE; }  else 
{ /* Llib/pthread.scm 92 */
 obj_t BgL_arg1364z00_2085;
BgL_arg1364z00_2085 = 
bgl_typeof(
((obj_t)BgL_oz00_2084)); 
{ /* Llib/pthread.scm 90 */
 obj_t BgL_list1365z00_2086;
{ /* Llib/pthread.scm 90 */
 obj_t BgL_arg1367z00_2087;
{ /* Llib/pthread.scm 90 */
 obj_t BgL_arg1368z00_2088;
BgL_arg1368z00_2088 = 
MAKE_YOUNG_PAIR(BgL_arg1364z00_2085, BNIL); 
BgL_arg1367z00_2087 = 
MAKE_YOUNG_PAIR(BGl_string1945z00zz__pth_threadz00, BgL_arg1368z00_2088); } 
BgL_list1365z00_2086 = 
MAKE_YOUNG_PAIR(BGl_string1946z00zz__pth_threadz00, BgL_arg1367z00_2087); } 
BGl_warningz00zz__errorz00(BgL_list1365z00_2086); } } 
{ /* Llib/pthread.scm 95 */
 obj_t BgL_bz00_2089;
BgL_bz00_2089 = 
MAKE_FX_PROCEDURE(BGl_z62bz62zz__pth_threadz00, 
(int)(0L), 
(int)(2L)); 
PROCEDURE_SET(BgL_bz00_2089, 
(int)(0L), 
((obj_t)BgL_oz00_2084)); 
PROCEDURE_SET(BgL_bz00_2089, 
(int)(1L), 
((obj_t)BgL_oz00_2084)); 
return 
((((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_2084))->BgL_z42builtinz42)=((void *)
bglpth_thread_new(BgL_bz00_2089)),BUNSPEC);} } } 

}



/* &b */
obj_t BGl_z62bz62zz__pth_threadz00(obj_t BgL_envz00_680)
{
{ /* Llib/pthread.scm 94 */
{ /* Llib/pthread.scm 95 */
 BgL_pthreadz00_bglt BgL_i1081z00_681; BgL_pthreadz00_bglt BgL_oz00_682;
BgL_i1081z00_681 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_680, 
(int)(0L))); 
BgL_oz00_682 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_680, 
(int)(1L))); 
{ /* Llib/pthread.scm 95 */
 obj_t BgL_idz00_2090;
{ /* Llib/pthread.scm 95 */
 bool_t BgL_test2309z00_3733;
{ /* Llib/pthread.scm 95 */
 obj_t BgL_tmpz00_3734;
BgL_tmpz00_3734 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_i1081z00_681)))->BgL_namez00); 
BgL_test2309z00_3733 = 
SYMBOLP(BgL_tmpz00_3734); } 
if(BgL_test2309z00_3733)
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1552z00_2091;
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1560z00_2092; obj_t BgL_arg1561z00_2093;
{ /* Llib/pthread.scm 96 */
 obj_t BgL_symbolz00_2094;
BgL_symbolz00_2094 = 
CNST_TABLE_REF(17L); 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1445z00_2095;
BgL_arg1445z00_2095 = 
SYMBOL_TO_STRING(BgL_symbolz00_2094); 
BgL_arg1560z00_2092 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1445z00_2095); } } 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1562z00_2096;
BgL_arg1562z00_2096 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_i1081z00_681)))->BgL_namez00); 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_symbolz00_2097;
if(
SYMBOLP(BgL_arg1562z00_2096))
{ /* Llib/pthread.scm 96 */
BgL_symbolz00_2097 = BgL_arg1562z00_2096; }  else 
{ 
 obj_t BgL_auxz00_3745;
BgL_auxz00_3745 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(4336L), BGl_string1948z00zz__pth_threadz00, BGl_string1949z00zz__pth_threadz00, BgL_arg1562z00_2096); 
FAILURE(BgL_auxz00_3745,BFALSE,BFALSE);} 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1445z00_2098;
BgL_arg1445z00_2098 = 
SYMBOL_TO_STRING(BgL_symbolz00_2097); 
BgL_arg1561z00_2093 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1445z00_2098); } } } 
BgL_arg1552z00_2091 = 
string_append(BgL_arg1560z00_2092, BgL_arg1561z00_2093); } 
BgL_idz00_2090 = 
bstring_to_symbol(BgL_arg1552z00_2091); }  else 
{ /* Llib/pthread.scm 95 */
BgL_idz00_2090 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(18L)); } } 
{ /* Llib/pthread.scm 98 */

BGL_PUSH_TRACE(BgL_idz00_2090, BUNSPEC); 
{ /* Llib/pthread.scm 102 */
 obj_t BgL_zc3z04anonymousza31371ze3z87_2099;
BgL_zc3z04anonymousza31371ze3z87_2099 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31371ze3ze5zz__pth_threadz00, 
(int)(1L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31371ze3z87_2099, 
(int)(0L), 
((obj_t)BgL_oz00_682)); 
BGL_UNCAUGHT_EXCEPTION_HANDLER_SET(BgL_zc3z04anonymousza31371ze3z87_2099); BUNSPEC; } 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_env1090z00_2100;
BgL_env1090z00_2100 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ 
 obj_t BgL_ez00_2102;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_cell1085z00_2110;
BgL_cell1085z00_2110 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_val1089z00_2111;
BgL_val1089z00_2111 = 
BGl_zc3z04exitza31375ze3ze70z60zz__pth_threadz00(BgL_cell1085z00_2110, BgL_env1090z00_2100, BgL_i1081z00_681); 
if(
(BgL_val1089z00_2111==BgL_cell1085z00_2110))
{ /* Llib/pthread.scm 105 */
{ /* Llib/pthread.scm 105 */
 int BgL_tmpz00_3768;
BgL_tmpz00_3768 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_3768); } 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1374z00_2112;
BgL_arg1374z00_2112 = 
CELL_REF(
((obj_t)BgL_val1089z00_2111)); 
{ /* Llib/pthread.scm 105 */
 bool_t BgL_tmpz00_3773;
BgL_ez00_2102 = BgL_arg1374z00_2112; 
{ /* Llib/pthread.scm 107 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_uz00_2103;
{ /* Llib/pthread.scm 107 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1092z00_2104;
{ /* Llib/pthread.scm 107 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1091z00_2105;
BgL_new1091z00_2105 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 107 */
 long BgL_arg1544z00_2106;
BgL_arg1544z00_2106 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_2105), BgL_arg1544z00_2106); } 
BgL_new1092z00_2104 = BgL_new1091z00_2105; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1092z00_2104)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1092z00_2104)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3782;
{ /* Llib/pthread.scm 107 */
 obj_t BgL_arg1532z00_2107;
{ /* Llib/pthread.scm 107 */
 obj_t BgL_arg1533z00_2108;
{ /* Llib/pthread.scm 107 */
 obj_t BgL_classz00_2109;
BgL_classz00_2109 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
BgL_arg1533z00_2108 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2109); } 
BgL_arg1532z00_2107 = 
VECTOR_REF(BgL_arg1533z00_2108,2L); } 
{ /* Llib/pthread.scm 107 */
 obj_t BgL_auxz00_3786;
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_arg1532z00_2107))
{ /* Llib/pthread.scm 107 */
BgL_auxz00_3786 = BgL_arg1532z00_2107
; }  else 
{ 
 obj_t BgL_auxz00_3789;
BgL_auxz00_3789 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(4644L), BGl_string1950z00zz__pth_threadz00, BGl_string1935z00zz__pth_threadz00, BgL_arg1532z00_2107); 
FAILURE(BgL_auxz00_3789,BFALSE,BFALSE);} 
BgL_auxz00_3782 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_auxz00_3786); } } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1092z00_2104)))->BgL_stackz00)=((obj_t)BgL_auxz00_3782),BUNSPEC); } 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1092z00_2104))->BgL_reasonz00)=((obj_t)BgL_ez00_2102),BUNSPEC); 
BgL_uz00_2103 = BgL_new1092z00_2104; } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_i1081z00_681))->BgL_endzd2exceptionzd2)=((obj_t)
((obj_t)BgL_uz00_2103)),BUNSPEC); 
BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_2102); 
BgL_tmpz00_3773 = ((bool_t)0); } 
return 
BBOOL(BgL_tmpz00_3773);} } }  else 
{ /* Llib/pthread.scm 105 */
return BgL_val1089z00_2111;} } } } } } } } } 

}



/* <@exit:1376>~0 */
obj_t BGl_zc3z04exitza31376ze3ze70z60zz__pth_threadz00(BgL_pthreadz00_bglt BgL_i1081z00_743)
{
{ /* Llib/pthread.scm 114 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1096z00_272;
if( SET_EXIT(BgL_an_exit1096z00_272 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1096z00_272 = 
(void *)jmpbuf; 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_env1100z00_273;
BgL_env1100z00_273 = 
BGL_CURRENT_DYNAMIC_ENV(); 
PUSH_ENV_EXIT(BgL_env1100z00_273, BgL_an_exit1096z00_272, 1L); 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_an_exitd1097z00_274;
BgL_an_exitd1097z00_274 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1100z00_273); 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_res1099z00_277;
{ /* Llib/pthread.scm 117 */
 obj_t BgL_zc3z04anonymousza31444ze3z87_643;
BgL_zc3z04anonymousza31444ze3z87_643 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31444ze3ze5zz__pth_threadz00, 
(int)(1L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31444ze3z87_643, 
(int)(0L), BgL_an_exitd1097z00_274); 
BGl_signalz00zz__osz00(BGL_PTHREAD_TERM_SIG, BgL_zc3z04anonymousza31444ze3z87_643); } 
{ 
 obj_t BgL_auxz00_3811;
{ /* Llib/pthread.scm 120 */
 obj_t BgL_fun1525z00_286;
BgL_fun1525z00_286 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_i1081z00_743))->BgL_bodyz00); 
if(
PROCEDURE_CORRECT_ARITYP(BgL_fun1525z00_286, 0L))
{ /* Llib/pthread.scm 120 */
BgL_auxz00_3811 = 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1525z00_286))(BgL_fun1525z00_286, BEOA)
; }  else 
{ 
 obj_t BgL_auxz00_3818;
BgL_auxz00_3818 = 
CNST_TABLE_REF(19L); 
FAILURE(BGl_string1951z00zz__pth_threadz00,BgL_auxz00_3818,BgL_fun1525z00_286);} } 
BgL_res1099z00_277 = 
((((BgL_pthreadz00_bglt)COBJECT(BgL_i1081z00_743))->BgL_endzd2resultzd2)=((obj_t)BgL_auxz00_3811),BUNSPEC); } 
POP_ENV_EXIT(BgL_env1100z00_273); 
return BgL_res1099z00_277;} } } 
}} 

}



/* <@exit:1375>~0 */
obj_t BGl_zc3z04exitza31375ze3ze70z60zz__pth_threadz00(obj_t BgL_cell1085z00_746, obj_t BgL_env1090z00_745, BgL_pthreadz00_bglt BgL_i1081z00_744)
{
{ /* Llib/pthread.scm 105 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1102z00_263;
if( SET_EXIT(BgL_an_exit1102z00_263 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1102z00_263 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1090z00_745, BgL_an_exit1102z00_263, 1L); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_escape1086z00_264;
BgL_escape1086z00_264 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1090z00_745); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_res1105z00_265;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_ohs1082z00_266;
BgL_ohs1082z00_266 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1090z00_745); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_hds1083z00_267;
BgL_hds1083z00_267 = 
MAKE_STACK_PAIR(BgL_escape1086z00_264, BgL_cell1085z00_746); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1090z00_745, BgL_hds1083z00_267); BUNSPEC; 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_exitd1093z00_268;
BgL_exitd1093z00_268 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1090z00_745); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_tmp1095z00_269;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1528z00_287;
BgL_arg1528z00_287 = 
BGL_EXITD_PROTECT(BgL_exitd1093z00_268); 
BgL_tmp1095z00_269 = 
MAKE_YOUNG_PAIR(BgL_ohs1082z00_266, BgL_arg1528z00_287); } 
{ /* Llib/pthread.scm 105 */

BGL_EXITD_PROTECT_SET(BgL_exitd1093z00_268, BgL_tmp1095z00_269); BUNSPEC; 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_tmp1094z00_270;
BgL_tmp1094z00_270 = 
BGl_zc3z04exitza31376ze3ze70z60zz__pth_threadz00(BgL_i1081z00_744); 
{ /* Llib/pthread.scm 105 */
 bool_t BgL_test2314z00_3835;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1796z00_464;
BgL_arg1796z00_464 = 
BGL_EXITD_PROTECT(BgL_exitd1093z00_268); 
BgL_test2314z00_3835 = 
PAIRP(BgL_arg1796z00_464); } 
if(BgL_test2314z00_3835)
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1794z00_465;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1795z00_466;
BgL_arg1795z00_466 = 
BGL_EXITD_PROTECT(BgL_exitd1093z00_268); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_pairz00_467;
if(
PAIRP(BgL_arg1795z00_466))
{ /* Llib/pthread.scm 105 */
BgL_pairz00_467 = BgL_arg1795z00_466; }  else 
{ 
 obj_t BgL_auxz00_3841;
BgL_auxz00_3841 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(4594L), BGl_string1952z00zz__pth_threadz00, BGl_string1953z00zz__pth_threadz00, BgL_arg1795z00_466); 
FAILURE(BgL_auxz00_3841,BFALSE,BFALSE);} 
BgL_arg1794z00_465 = 
CDR(BgL_pairz00_467); } } 
BGL_EXITD_PROTECT_SET(BgL_exitd1093z00_268, BgL_arg1794z00_465); BUNSPEC; }  else 
{ /* Llib/pthread.scm 105 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1090z00_745, BgL_ohs1082z00_266); BUNSPEC; 
BgL_res1105z00_265 = BgL_tmp1094z00_270; } } } } } } 
POP_ENV_EXIT(BgL_env1090z00_745); 
return BgL_res1105z00_265;} } 
}} 

}



/* &<@anonymous:1444> */
obj_t BGl_z62zc3z04anonymousza31444ze3ze5zz__pth_threadz00(obj_t BgL_envz00_683, obj_t BgL_sz00_685)
{
{ /* Llib/pthread.scm 116 */
{ /* Llib/pthread.scm 117 */
 obj_t BgL_an_exitd1097z00_684;
BgL_an_exitd1097z00_684 = 
PROCEDURE_REF(BgL_envz00_683, 
(int)(0L)); 
BGL_UNCAUGHT_EXCEPTION_HANDLER_SET(BGl_proc1954z00zz__pth_threadz00); BUNSPEC; 
return 
unwind_stack_until(BgL_an_exitd1097z00_684, BFALSE, BFALSE, BFALSE, BFALSE);} } 

}



/* &<@anonymous:1524> */
obj_t BGl_z62zc3z04anonymousza31524ze3ze5zz__pth_threadz00(obj_t BgL_envz00_686, obj_t BgL_valz00_687)
{
{ /* Llib/pthread.scm 118 */
return BgL_valz00_687;} 

}



/* &<@anonymous:1371> */
obj_t BGl_z62zc3z04anonymousza31371ze3ze5zz__pth_threadz00(obj_t BgL_envz00_688, obj_t BgL_valz00_690)
{
{ /* Llib/pthread.scm 101 */
{ /* Llib/pthread.scm 102 */
 BgL_pthreadz00_bglt BgL_oz00_689;
BgL_oz00_689 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_688, 
(int)(0L))); 
{ /* Llib/pthread.scm 102 */
 obj_t BgL_arg1372z00_2114;
{ /* Llib/pthread.scm 102 */
 obj_t BgL_list1373z00_2115;
BgL_list1373z00_2115 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_689), BNIL); 
BgL_arg1372z00_2114 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string1955z00zz__pth_threadz00, BgL_list1373z00_2115); } 
return 
BGl_errorz00zz__errorz00(BgL_arg1372z00_2114, BGl_string1956z00zz__pth_threadz00, BgL_valz00_690);} } } 

}



/* &%user-thread-yield!-1145 */
obj_t BGl_z62z52userzd2threadzd2yieldz12zd21145zf0zz__pth_threadz00(obj_t BgL_envz00_691, obj_t BgL_oz00_692)
{
{ /* Llib/pthread.scm 82 */
{ /* Llib/pthread.scm 83 */
 BgL_pthreadz00_bglt BgL_oz00_2153;
{ /* Llib/pthread.scm 83 */
 bool_t BgL_test2316z00_3860;
{ /* Llib/pthread.scm 83 */
 obj_t BgL_classz00_2116;
BgL_classz00_2116 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_692))
{ /* Llib/pthread.scm 83 */
 BgL_objectz00_bglt BgL_arg1780z00_2118; long BgL_arg1781z00_2119;
BgL_arg1780z00_2118 = 
(BgL_objectz00_bglt)(BgL_oz00_692); 
BgL_arg1781z00_2119 = 
BGL_CLASS_DEPTH(BgL_classz00_2116); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 83 */
 long BgL_idxz00_2127;
BgL_idxz00_2127 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_2118); 
{ /* Llib/pthread.scm 83 */
 obj_t BgL_arg1773z00_2128;
{ /* Llib/pthread.scm 83 */
 long BgL_arg1774z00_2129;
BgL_arg1774z00_2129 = 
(BgL_idxz00_2127+BgL_arg1781z00_2119); 
BgL_arg1773z00_2128 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_2129); } 
BgL_test2316z00_3860 = 
(BgL_arg1773z00_2128==BgL_classz00_2116); } }  else 
{ /* Llib/pthread.scm 83 */
 bool_t BgL_res1997z00_2152;
{ /* Llib/pthread.scm 83 */
 obj_t BgL_oclassz00_2137;
{ /* Llib/pthread.scm 83 */
 long BgL_arg1785z00_2143;
{ /* Llib/pthread.scm 83 */
 long BgL_arg1786z00_2144;
BgL_arg1786z00_2144 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_2118); 
BgL_arg1785z00_2143 = 
(BgL_arg1786z00_2144-OBJECT_TYPE); } 
BgL_oclassz00_2137 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2143); } 
{ /* Llib/pthread.scm 83 */
 bool_t BgL__ortest_1114z00_2138;
BgL__ortest_1114z00_2138 = 
(BgL_classz00_2116==BgL_oclassz00_2137); 
if(BgL__ortest_1114z00_2138)
{ /* Llib/pthread.scm 83 */
BgL_res1997z00_2152 = BgL__ortest_1114z00_2138; }  else 
{ /* Llib/pthread.scm 83 */
 long BgL_odepthz00_2139;
BgL_odepthz00_2139 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2137); 
if(
(BgL_arg1781z00_2119<BgL_odepthz00_2139))
{ /* Llib/pthread.scm 83 */
 obj_t BgL_arg1775z00_2141;
BgL_arg1775z00_2141 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2137, BgL_arg1781z00_2119); 
BgL_res1997z00_2152 = 
(BgL_arg1775z00_2141==BgL_classz00_2116); }  else 
{ /* Llib/pthread.scm 83 */
BgL_res1997z00_2152 = ((bool_t)0); } } } } 
BgL_test2316z00_3860 = BgL_res1997z00_2152; } }  else 
{ /* Llib/pthread.scm 83 */
BgL_test2316z00_3860 = ((bool_t)0)
; } } 
if(BgL_test2316z00_3860)
{ /* Llib/pthread.scm 83 */
BgL_oz00_2153 = 
((BgL_pthreadz00_bglt)BgL_oz00_692); }  else 
{ 
 obj_t BgL_auxz00_3882;
BgL_auxz00_3882 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(3767L), BGl_string1957z00zz__pth_threadz00, BGl_string1874z00zz__pth_threadz00, BgL_oz00_692); 
FAILURE(BgL_auxz00_3882,BFALSE,BFALSE);} } 
return 
BINT(
sched_yield());} } 

}



/* &object-print-uncaugh1143 */
obj_t BGl_z62objectzd2printzd2uncaugh1143z62zz__pth_threadz00(obj_t BgL_envz00_693, obj_t BgL_oz00_694, obj_t BgL_portz00_695, obj_t BgL_printzd2slotzd2_696)
{
{ /* Llib/pthread.scm 75 */
{ /* Llib/pthread.scm 76 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_oz00_2228;
{ /* Llib/pthread.scm 76 */
 bool_t BgL_test2321z00_3888;
{ /* Llib/pthread.scm 76 */
 obj_t BgL_classz00_2191;
BgL_classz00_2191 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_694))
{ /* Llib/pthread.scm 76 */
 BgL_objectz00_bglt BgL_arg1780z00_2193; long BgL_arg1781z00_2194;
BgL_arg1780z00_2193 = 
(BgL_objectz00_bglt)(BgL_oz00_694); 
BgL_arg1781z00_2194 = 
BGL_CLASS_DEPTH(BgL_classz00_2191); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 76 */
 long BgL_idxz00_2202;
BgL_idxz00_2202 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_2193); 
{ /* Llib/pthread.scm 76 */
 obj_t BgL_arg1773z00_2203;
{ /* Llib/pthread.scm 76 */
 long BgL_arg1774z00_2204;
BgL_arg1774z00_2204 = 
(BgL_idxz00_2202+BgL_arg1781z00_2194); 
BgL_arg1773z00_2203 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_2204); } 
BgL_test2321z00_3888 = 
(BgL_arg1773z00_2203==BgL_classz00_2191); } }  else 
{ /* Llib/pthread.scm 76 */
 bool_t BgL_res1999z00_2227;
{ /* Llib/pthread.scm 76 */
 obj_t BgL_oclassz00_2212;
{ /* Llib/pthread.scm 76 */
 long BgL_arg1785z00_2218;
{ /* Llib/pthread.scm 76 */
 long BgL_arg1786z00_2219;
BgL_arg1786z00_2219 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_2193); 
BgL_arg1785z00_2218 = 
(BgL_arg1786z00_2219-OBJECT_TYPE); } 
BgL_oclassz00_2212 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2218); } 
{ /* Llib/pthread.scm 76 */
 bool_t BgL__ortest_1114z00_2213;
BgL__ortest_1114z00_2213 = 
(BgL_classz00_2191==BgL_oclassz00_2212); 
if(BgL__ortest_1114z00_2213)
{ /* Llib/pthread.scm 76 */
BgL_res1999z00_2227 = BgL__ortest_1114z00_2213; }  else 
{ /* Llib/pthread.scm 76 */
 long BgL_odepthz00_2214;
BgL_odepthz00_2214 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2212); 
if(
(BgL_arg1781z00_2194<BgL_odepthz00_2214))
{ /* Llib/pthread.scm 76 */
 obj_t BgL_arg1775z00_2216;
BgL_arg1775z00_2216 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2212, BgL_arg1781z00_2194); 
BgL_res1999z00_2227 = 
(BgL_arg1775z00_2216==BgL_classz00_2191); }  else 
{ /* Llib/pthread.scm 76 */
BgL_res1999z00_2227 = ((bool_t)0); } } } } 
BgL_test2321z00_3888 = BgL_res1999z00_2227; } }  else 
{ /* Llib/pthread.scm 76 */
BgL_test2321z00_3888 = ((bool_t)0)
; } } 
if(BgL_test2321z00_3888)
{ /* Llib/pthread.scm 76 */
BgL_oz00_2228 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_694); }  else 
{ 
 obj_t BgL_auxz00_3910;
BgL_auxz00_3910 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(3403L), BGl_string1961z00zz__pth_threadz00, BGl_string1868z00zz__pth_threadz00, BgL_oz00_694); 
FAILURE(BgL_auxz00_3910,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 77 */
 obj_t BgL_arg1358z00_2229;
BgL_arg1358z00_2229 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_oz00_2228))->BgL_reasonz00); 
{ /* Llib/pthread.scm 77 */
 obj_t BgL_auxz00_3949; obj_t BgL_auxz00_3942; BgL_objectz00_bglt BgL_auxz00_3915;
if(
PROCEDUREP(BgL_printzd2slotzd2_696))
{ /* Llib/pthread.scm 77 */
BgL_auxz00_3949 = BgL_printzd2slotzd2_696
; }  else 
{ 
 obj_t BgL_auxz00_3952;
BgL_auxz00_3952 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(3479L), BGl_string1958z00zz__pth_threadz00, BGl_string1876z00zz__pth_threadz00, BgL_printzd2slotzd2_696); 
FAILURE(BgL_auxz00_3952,BFALSE,BFALSE);} 
if(
OUTPUT_PORTP(BgL_portz00_695))
{ /* Llib/pthread.scm 77 */
BgL_auxz00_3942 = BgL_portz00_695
; }  else 
{ 
 obj_t BgL_auxz00_3945;
BgL_auxz00_3945 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(3474L), BGl_string1958z00zz__pth_threadz00, BGl_string1960z00zz__pth_threadz00, BgL_portz00_695); 
FAILURE(BgL_auxz00_3945,BFALSE,BFALSE);} 
{ /* Llib/pthread.scm 77 */
 bool_t BgL_test2326z00_3916;
{ /* Llib/pthread.scm 77 */
 obj_t BgL_classz00_2230;
BgL_classz00_2230 = BGl_objectz00zz__objectz00; 
if(
BGL_OBJECTP(BgL_arg1358z00_2229))
{ /* Llib/pthread.scm 77 */
 BgL_objectz00_bglt BgL_arg1780z00_2232; long BgL_arg1781z00_2233;
BgL_arg1780z00_2232 = 
(BgL_objectz00_bglt)(BgL_arg1358z00_2229); 
BgL_arg1781z00_2233 = 
BGL_CLASS_DEPTH(BgL_classz00_2230); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 77 */
 long BgL_idxz00_2241;
BgL_idxz00_2241 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_2232); 
{ /* Llib/pthread.scm 77 */
 obj_t BgL_arg1773z00_2242;
{ /* Llib/pthread.scm 77 */
 long BgL_arg1774z00_2243;
BgL_arg1774z00_2243 = 
(BgL_idxz00_2241+BgL_arg1781z00_2233); 
BgL_arg1773z00_2242 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_2243); } 
BgL_test2326z00_3916 = 
(BgL_arg1773z00_2242==BgL_classz00_2230); } }  else 
{ /* Llib/pthread.scm 77 */
 bool_t BgL_res1998z00_2248;
{ /* Llib/pthread.scm 77 */
 obj_t BgL_oclassz00_2252;
{ /* Llib/pthread.scm 77 */
 long BgL_arg1785z00_2254;
{ /* Llib/pthread.scm 77 */
 long BgL_arg1786z00_2255;
BgL_arg1786z00_2255 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_2232); 
BgL_arg1785z00_2254 = 
(BgL_arg1786z00_2255-OBJECT_TYPE); } 
BgL_oclassz00_2252 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2254); } 
{ /* Llib/pthread.scm 77 */
 bool_t BgL__ortest_1114z00_2261;
BgL__ortest_1114z00_2261 = 
(BgL_classz00_2230==BgL_oclassz00_2252); 
if(BgL__ortest_1114z00_2261)
{ /* Llib/pthread.scm 77 */
BgL_res1998z00_2248 = BgL__ortest_1114z00_2261; }  else 
{ /* Llib/pthread.scm 77 */
 long BgL_odepthz00_2262;
BgL_odepthz00_2262 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2252); 
if(
(BgL_arg1781z00_2233<BgL_odepthz00_2262))
{ /* Llib/pthread.scm 77 */
 obj_t BgL_arg1775z00_2266;
BgL_arg1775z00_2266 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2252, BgL_arg1781z00_2233); 
BgL_res1998z00_2248 = 
(BgL_arg1775z00_2266==BgL_classz00_2230); }  else 
{ /* Llib/pthread.scm 77 */
BgL_res1998z00_2248 = ((bool_t)0); } } } } 
BgL_test2326z00_3916 = BgL_res1998z00_2248; } }  else 
{ /* Llib/pthread.scm 77 */
BgL_test2326z00_3916 = ((bool_t)0)
; } } 
if(BgL_test2326z00_3916)
{ /* Llib/pthread.scm 77 */
BgL_auxz00_3915 = 
((BgL_objectz00_bglt)BgL_arg1358z00_2229)
; }  else 
{ 
 obj_t BgL_auxz00_3938;
BgL_auxz00_3938 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(3467L), BGl_string1958z00zz__pth_threadz00, BGl_string1959z00zz__pth_threadz00, BgL_arg1358z00_2229); 
FAILURE(BgL_auxz00_3938,BFALSE,BFALSE);} } 
return 
BGl_objectzd2printzd2zz__objectz00(BgL_auxz00_3915, BgL_auxz00_3942, BgL_auxz00_3949);} } } } 

}



/* &object-display-uncau1141 */
obj_t BGl_z62objectzd2displayzd2uncau1141z62zz__pth_threadz00(obj_t BgL_envz00_697, obj_t BgL_oz00_698, obj_t BgL_portz00_699)
{
{ /* Llib/pthread.scm 68 */
{ /* Llib/pthread.scm 69 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_oz00_2341;
{ /* Llib/pthread.scm 69 */
 bool_t BgL_test2333z00_3957;
{ /* Llib/pthread.scm 69 */
 obj_t BgL_classz00_2304;
BgL_classz00_2304 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_698))
{ /* Llib/pthread.scm 69 */
 BgL_objectz00_bglt BgL_arg1780z00_2306; long BgL_arg1781z00_2307;
BgL_arg1780z00_2306 = 
(BgL_objectz00_bglt)(BgL_oz00_698); 
BgL_arg1781z00_2307 = 
BGL_CLASS_DEPTH(BgL_classz00_2304); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 69 */
 long BgL_idxz00_2315;
BgL_idxz00_2315 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_2306); 
{ /* Llib/pthread.scm 69 */
 obj_t BgL_arg1773z00_2316;
{ /* Llib/pthread.scm 69 */
 long BgL_arg1774z00_2317;
BgL_arg1774z00_2317 = 
(BgL_idxz00_2315+BgL_arg1781z00_2307); 
BgL_arg1773z00_2316 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_2317); } 
BgL_test2333z00_3957 = 
(BgL_arg1773z00_2316==BgL_classz00_2304); } }  else 
{ /* Llib/pthread.scm 69 */
 bool_t BgL_res2001z00_2340;
{ /* Llib/pthread.scm 69 */
 obj_t BgL_oclassz00_2325;
{ /* Llib/pthread.scm 69 */
 long BgL_arg1785z00_2331;
{ /* Llib/pthread.scm 69 */
 long BgL_arg1786z00_2332;
BgL_arg1786z00_2332 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_2306); 
BgL_arg1785z00_2331 = 
(BgL_arg1786z00_2332-OBJECT_TYPE); } 
BgL_oclassz00_2325 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2331); } 
{ /* Llib/pthread.scm 69 */
 bool_t BgL__ortest_1114z00_2326;
BgL__ortest_1114z00_2326 = 
(BgL_classz00_2304==BgL_oclassz00_2325); 
if(BgL__ortest_1114z00_2326)
{ /* Llib/pthread.scm 69 */
BgL_res2001z00_2340 = BgL__ortest_1114z00_2326; }  else 
{ /* Llib/pthread.scm 69 */
 long BgL_odepthz00_2327;
BgL_odepthz00_2327 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2325); 
if(
(BgL_arg1781z00_2307<BgL_odepthz00_2327))
{ /* Llib/pthread.scm 69 */
 obj_t BgL_arg1775z00_2329;
BgL_arg1775z00_2329 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2325, BgL_arg1781z00_2307); 
BgL_res2001z00_2340 = 
(BgL_arg1775z00_2329==BgL_classz00_2304); }  else 
{ /* Llib/pthread.scm 69 */
BgL_res2001z00_2340 = ((bool_t)0); } } } } 
BgL_test2333z00_3957 = BgL_res2001z00_2340; } }  else 
{ /* Llib/pthread.scm 69 */
BgL_test2333z00_3957 = ((bool_t)0)
; } } 
if(BgL_test2333z00_3957)
{ /* Llib/pthread.scm 69 */
BgL_oz00_2341 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_698); }  else 
{ 
 obj_t BgL_auxz00_3979;
BgL_auxz00_3979 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(3022L), BGl_string1963z00zz__pth_threadz00, BGl_string1868z00zz__pth_threadz00, BgL_oz00_698); 
FAILURE(BgL_auxz00_3979,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 70 */
 obj_t BgL_runner1352z00_2342;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_arg1349z00_2343;
BgL_arg1349z00_2343 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_oz00_2341))->BgL_reasonz00); 
{ /* Llib/pthread.scm 70 */
 obj_t BgL_list1350z00_2344;
BgL_list1350z00_2344 = 
MAKE_YOUNG_PAIR(BgL_portz00_699, BNIL); 
BgL_runner1352z00_2342 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1349z00_2343, BgL_list1350z00_2344); } } 
{ /* Llib/pthread.scm 70 */
 BgL_objectz00_bglt BgL_aux1351z00_2345;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_pairz00_2346;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_aux1820z00_2347;
BgL_aux1820z00_2347 = BgL_runner1352z00_2342; 
if(
PAIRP(BgL_aux1820z00_2347))
{ /* Llib/pthread.scm 70 */
BgL_pairz00_2346 = BgL_aux1820z00_2347; }  else 
{ 
 obj_t BgL_auxz00_3988;
BgL_auxz00_3988 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(3072L), BGl_string1962z00zz__pth_threadz00, BGl_string1953z00zz__pth_threadz00, BgL_aux1820z00_2347); 
FAILURE(BgL_auxz00_3988,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 70 */
 obj_t BgL_aux1822z00_2348;
BgL_aux1822z00_2348 = 
CAR(BgL_pairz00_2346); 
{ /* Llib/pthread.scm 70 */
 bool_t BgL_test2339z00_3993;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_classz00_2349;
BgL_classz00_2349 = BGl_objectz00zz__objectz00; 
if(
BGL_OBJECTP(BgL_aux1822z00_2348))
{ /* Llib/pthread.scm 70 */
 BgL_objectz00_bglt BgL_arg1780z00_2351; long BgL_arg1781z00_2352;
BgL_arg1780z00_2351 = 
(BgL_objectz00_bglt)(BgL_aux1822z00_2348); 
BgL_arg1781z00_2352 = 
BGL_CLASS_DEPTH(BgL_classz00_2349); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 70 */
 long BgL_idxz00_2360;
BgL_idxz00_2360 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_2351); 
{ /* Llib/pthread.scm 70 */
 obj_t BgL_arg1773z00_2361;
{ /* Llib/pthread.scm 70 */
 long BgL_arg1774z00_2362;
BgL_arg1774z00_2362 = 
(BgL_idxz00_2360+BgL_arg1781z00_2352); 
BgL_arg1773z00_2361 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_2362); } 
BgL_test2339z00_3993 = 
(BgL_arg1773z00_2361==BgL_classz00_2349); } }  else 
{ /* Llib/pthread.scm 70 */
 bool_t BgL_res2000z00_2367;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_oclassz00_2371;
{ /* Llib/pthread.scm 70 */
 long BgL_arg1785z00_2373;
{ /* Llib/pthread.scm 70 */
 long BgL_arg1786z00_2374;
BgL_arg1786z00_2374 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_2351); 
BgL_arg1785z00_2373 = 
(BgL_arg1786z00_2374-OBJECT_TYPE); } 
BgL_oclassz00_2371 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2373); } 
{ /* Llib/pthread.scm 70 */
 bool_t BgL__ortest_1114z00_2380;
BgL__ortest_1114z00_2380 = 
(BgL_classz00_2349==BgL_oclassz00_2371); 
if(BgL__ortest_1114z00_2380)
{ /* Llib/pthread.scm 70 */
BgL_res2000z00_2367 = BgL__ortest_1114z00_2380; }  else 
{ /* Llib/pthread.scm 70 */
 long BgL_odepthz00_2381;
BgL_odepthz00_2381 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2371); 
if(
(BgL_arg1781z00_2352<BgL_odepthz00_2381))
{ /* Llib/pthread.scm 70 */
 obj_t BgL_arg1775z00_2385;
BgL_arg1775z00_2385 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2371, BgL_arg1781z00_2352); 
BgL_res2000z00_2367 = 
(BgL_arg1775z00_2385==BgL_classz00_2349); }  else 
{ /* Llib/pthread.scm 70 */
BgL_res2000z00_2367 = ((bool_t)0); } } } } 
BgL_test2339z00_3993 = BgL_res2000z00_2367; } }  else 
{ /* Llib/pthread.scm 70 */
BgL_test2339z00_3993 = ((bool_t)0)
; } } 
if(BgL_test2339z00_3993)
{ /* Llib/pthread.scm 70 */
BgL_aux1351z00_2345 = 
((BgL_objectz00_bglt)BgL_aux1822z00_2348); }  else 
{ 
 obj_t BgL_auxz00_4015;
BgL_auxz00_4015 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(3072L), BGl_string1962z00zz__pth_threadz00, BGl_string1959z00zz__pth_threadz00, BgL_aux1822z00_2348); 
FAILURE(BgL_auxz00_4015,BFALSE,BFALSE);} } } } 
{ /* Llib/pthread.scm 70 */
 obj_t BgL_pairz00_2386;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_aux1824z00_2387;
BgL_aux1824z00_2387 = BgL_runner1352z00_2342; 
if(
PAIRP(BgL_aux1824z00_2387))
{ /* Llib/pthread.scm 70 */
BgL_pairz00_2386 = BgL_aux1824z00_2387; }  else 
{ 
 obj_t BgL_auxz00_4021;
BgL_auxz00_4021 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(3072L), BGl_string1962z00zz__pth_threadz00, BGl_string1953z00zz__pth_threadz00, BgL_aux1824z00_2387); 
FAILURE(BgL_auxz00_4021,BFALSE,BFALSE);} } 
BgL_runner1352z00_2342 = 
CDR(BgL_pairz00_2386); } 
return 
BGl_objectzd2displayzd2zz__objectz00(BgL_aux1351z00_2345, BgL_runner1352z00_2342);} } } } 

}



/* &object-write-uncaugh1139 */
obj_t BGl_z62objectzd2writezd2uncaugh1139z62zz__pth_threadz00(obj_t BgL_envz00_700, obj_t BgL_oz00_701, obj_t BgL_portz00_702)
{
{ /* Llib/pthread.scm 61 */
{ /* Llib/pthread.scm 62 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_oz00_2462;
{ /* Llib/pthread.scm 62 */
 bool_t BgL_test2345z00_4027;
{ /* Llib/pthread.scm 62 */
 obj_t BgL_classz00_2425;
BgL_classz00_2425 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_oz00_701))
{ /* Llib/pthread.scm 62 */
 BgL_objectz00_bglt BgL_arg1780z00_2427; long BgL_arg1781z00_2428;
BgL_arg1780z00_2427 = 
(BgL_objectz00_bglt)(BgL_oz00_701); 
BgL_arg1781z00_2428 = 
BGL_CLASS_DEPTH(BgL_classz00_2425); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 62 */
 long BgL_idxz00_2436;
BgL_idxz00_2436 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_2427); 
{ /* Llib/pthread.scm 62 */
 obj_t BgL_arg1773z00_2437;
{ /* Llib/pthread.scm 62 */
 long BgL_arg1774z00_2438;
BgL_arg1774z00_2438 = 
(BgL_idxz00_2436+BgL_arg1781z00_2428); 
BgL_arg1773z00_2437 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_2438); } 
BgL_test2345z00_4027 = 
(BgL_arg1773z00_2437==BgL_classz00_2425); } }  else 
{ /* Llib/pthread.scm 62 */
 bool_t BgL_res2003z00_2461;
{ /* Llib/pthread.scm 62 */
 obj_t BgL_oclassz00_2446;
{ /* Llib/pthread.scm 62 */
 long BgL_arg1785z00_2452;
{ /* Llib/pthread.scm 62 */
 long BgL_arg1786z00_2453;
BgL_arg1786z00_2453 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_2427); 
BgL_arg1785z00_2452 = 
(BgL_arg1786z00_2453-OBJECT_TYPE); } 
BgL_oclassz00_2446 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2452); } 
{ /* Llib/pthread.scm 62 */
 bool_t BgL__ortest_1114z00_2447;
BgL__ortest_1114z00_2447 = 
(BgL_classz00_2425==BgL_oclassz00_2446); 
if(BgL__ortest_1114z00_2447)
{ /* Llib/pthread.scm 62 */
BgL_res2003z00_2461 = BgL__ortest_1114z00_2447; }  else 
{ /* Llib/pthread.scm 62 */
 long BgL_odepthz00_2448;
BgL_odepthz00_2448 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2446); 
if(
(BgL_arg1781z00_2428<BgL_odepthz00_2448))
{ /* Llib/pthread.scm 62 */
 obj_t BgL_arg1775z00_2450;
BgL_arg1775z00_2450 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2446, BgL_arg1781z00_2428); 
BgL_res2003z00_2461 = 
(BgL_arg1775z00_2450==BgL_classz00_2425); }  else 
{ /* Llib/pthread.scm 62 */
BgL_res2003z00_2461 = ((bool_t)0); } } } } 
BgL_test2345z00_4027 = BgL_res2003z00_2461; } }  else 
{ /* Llib/pthread.scm 62 */
BgL_test2345z00_4027 = ((bool_t)0)
; } } 
if(BgL_test2345z00_4027)
{ /* Llib/pthread.scm 62 */
BgL_oz00_2462 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_701); }  else 
{ 
 obj_t BgL_auxz00_4049;
BgL_auxz00_4049 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(2650L), BGl_string1965z00zz__pth_threadz00, BGl_string1868z00zz__pth_threadz00, BgL_oz00_701); 
FAILURE(BgL_auxz00_4049,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 63 */
 obj_t BgL_runner1347z00_2463;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_arg1344z00_2464;
BgL_arg1344z00_2464 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_oz00_2462))->BgL_reasonz00); 
{ /* Llib/pthread.scm 63 */
 obj_t BgL_list1345z00_2465;
BgL_list1345z00_2465 = 
MAKE_YOUNG_PAIR(BgL_portz00_702, BNIL); 
BgL_runner1347z00_2463 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1344z00_2464, BgL_list1345z00_2465); } } 
{ /* Llib/pthread.scm 63 */
 BgL_objectz00_bglt BgL_aux1346z00_2466;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_pairz00_2467;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_aux1828z00_2468;
BgL_aux1828z00_2468 = BgL_runner1347z00_2463; 
if(
PAIRP(BgL_aux1828z00_2468))
{ /* Llib/pthread.scm 63 */
BgL_pairz00_2467 = BgL_aux1828z00_2468; }  else 
{ 
 obj_t BgL_auxz00_4058;
BgL_auxz00_4058 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(2700L), BGl_string1964z00zz__pth_threadz00, BGl_string1953z00zz__pth_threadz00, BgL_aux1828z00_2468); 
FAILURE(BgL_auxz00_4058,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 63 */
 obj_t BgL_aux1830z00_2469;
BgL_aux1830z00_2469 = 
CAR(BgL_pairz00_2467); 
{ /* Llib/pthread.scm 63 */
 bool_t BgL_test2351z00_4063;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_classz00_2470;
BgL_classz00_2470 = BGl_objectz00zz__objectz00; 
if(
BGL_OBJECTP(BgL_aux1830z00_2469))
{ /* Llib/pthread.scm 63 */
 BgL_objectz00_bglt BgL_arg1780z00_2472; long BgL_arg1781z00_2473;
BgL_arg1780z00_2472 = 
(BgL_objectz00_bglt)(BgL_aux1830z00_2469); 
BgL_arg1781z00_2473 = 
BGL_CLASS_DEPTH(BgL_classz00_2470); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 63 */
 long BgL_idxz00_2481;
BgL_idxz00_2481 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_2472); 
{ /* Llib/pthread.scm 63 */
 obj_t BgL_arg1773z00_2482;
{ /* Llib/pthread.scm 63 */
 long BgL_arg1774z00_2483;
BgL_arg1774z00_2483 = 
(BgL_idxz00_2481+BgL_arg1781z00_2473); 
BgL_arg1773z00_2482 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_2483); } 
BgL_test2351z00_4063 = 
(BgL_arg1773z00_2482==BgL_classz00_2470); } }  else 
{ /* Llib/pthread.scm 63 */
 bool_t BgL_res2002z00_2488;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_oclassz00_2492;
{ /* Llib/pthread.scm 63 */
 long BgL_arg1785z00_2494;
{ /* Llib/pthread.scm 63 */
 long BgL_arg1786z00_2495;
BgL_arg1786z00_2495 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_2472); 
BgL_arg1785z00_2494 = 
(BgL_arg1786z00_2495-OBJECT_TYPE); } 
BgL_oclassz00_2492 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_2494); } 
{ /* Llib/pthread.scm 63 */
 bool_t BgL__ortest_1114z00_2501;
BgL__ortest_1114z00_2501 = 
(BgL_classz00_2470==BgL_oclassz00_2492); 
if(BgL__ortest_1114z00_2501)
{ /* Llib/pthread.scm 63 */
BgL_res2002z00_2488 = BgL__ortest_1114z00_2501; }  else 
{ /* Llib/pthread.scm 63 */
 long BgL_odepthz00_2502;
BgL_odepthz00_2502 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2492); 
if(
(BgL_arg1781z00_2473<BgL_odepthz00_2502))
{ /* Llib/pthread.scm 63 */
 obj_t BgL_arg1775z00_2506;
BgL_arg1775z00_2506 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2492, BgL_arg1781z00_2473); 
BgL_res2002z00_2488 = 
(BgL_arg1775z00_2506==BgL_classz00_2470); }  else 
{ /* Llib/pthread.scm 63 */
BgL_res2002z00_2488 = ((bool_t)0); } } } } 
BgL_test2351z00_4063 = BgL_res2002z00_2488; } }  else 
{ /* Llib/pthread.scm 63 */
BgL_test2351z00_4063 = ((bool_t)0)
; } } 
if(BgL_test2351z00_4063)
{ /* Llib/pthread.scm 63 */
BgL_aux1346z00_2466 = 
((BgL_objectz00_bglt)BgL_aux1830z00_2469); }  else 
{ 
 obj_t BgL_auxz00_4085;
BgL_auxz00_4085 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(2700L), BGl_string1964z00zz__pth_threadz00, BGl_string1959z00zz__pth_threadz00, BgL_aux1830z00_2469); 
FAILURE(BgL_auxz00_4085,BFALSE,BFALSE);} } } } 
{ /* Llib/pthread.scm 63 */
 obj_t BgL_pairz00_2507;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_aux1832z00_2508;
BgL_aux1832z00_2508 = BgL_runner1347z00_2463; 
if(
PAIRP(BgL_aux1832z00_2508))
{ /* Llib/pthread.scm 63 */
BgL_pairz00_2507 = BgL_aux1832z00_2508; }  else 
{ 
 obj_t BgL_auxz00_4091;
BgL_auxz00_4091 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__pth_threadz00, 
BINT(2700L), BGl_string1964z00zz__pth_threadz00, BGl_string1953z00zz__pth_threadz00, BgL_aux1832z00_2508); 
FAILURE(BgL_auxz00_4091,BFALSE,BFALSE);} } 
BgL_runner1347z00_2463 = 
CDR(BgL_pairz00_2507); } 
return 
BGl_objectzd2writezd2zz__objectz00(BgL_aux1346z00_2466, BgL_runner1347z00_2463);} } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__pth_backendz00(458655044L, 
BSTRING_TO_STRING(BGl_string1966z00zz__pth_threadz00));} 

}

#ifdef __cplusplus
}
#endif
