/*===========================================================================*/
/*   (SawJvm/funcall.scm)                                                    */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawJvm/funcall.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_JVM_FUNCALL_TYPE_DEFINITIONS
#define BGL_SAW_JVM_FUNCALL_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_funsz00;
		obj_t BgL_rettypez00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_indexedz00_bgl
	{
		int BgL_indexz00;
	}                 *BgL_indexedz00_bglt;


#endif													// BGL_SAW_JVM_FUNCALL_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62indexedzd2evalzf3z43zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2removablezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2initzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2importzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_indexedzd2nilzd2zzsaw_jvm_funcallz00(void);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31839ze3ze5zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_compilezd2dispatchzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2fastzd2alphaz00zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_getzd2labsze70z35zzsaw_jvm_funcallz00(long, obj_t, obj_t);
	static obj_t BGl_getzd2labsze71z35zzsaw_jvm_funcallz00(long, obj_t, obj_t);
	static obj_t BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(long, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31954ze3ze5zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2aliaszd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2pragmazd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL int
		BGl_indexedzd2indexzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_xx_globalzd2arityze70z35zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2evaluablezf3z43zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t BGl_z62indexedzd2indexzd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static bool_t BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2evalzf3zd2setz12ze1zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		bool_t);
	static BgL_valuez00_bglt BGl_z62indexedzd2valuezb0zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t BGl_z62indexedzd2removablezb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2userzf3z43zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_funcallz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_compilezd2forzd2applyz00zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62makezd2indexedzb0zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_funcallz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2accesszd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2namezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t
		BGl_z62indexedzd2occurrencewzd2setz12z70zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_compilezd2applyzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_IMPORT obj_t bgl_bignum_add(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static BgL_globalz00_bglt BGl_z62indexedzd2nilzb0zzsaw_jvm_funcallz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62indexedzd2evaluablezf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62modulezd2funcallzf2applyz42zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_funcallz00(void);
	static obj_t BGl_z62indexedzd2valuezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62indexedzd2removablezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32126ze3ze5zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt, long,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2namezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2modulezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_indexedzd2evalzf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2aliaszd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2occurrencezb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	extern obj_t BGl_labelz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_bignum_sub(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32071ze3ze5zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t);
	static bool_t
		BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2initzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_forzd2eachzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_long_to_bignum(long);
	static obj_t BGl_funcallzd2lightzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t
		BGl_z62indexedzd2fastzd2alphazd2setz12za2zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	extern BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t
		BGl_z62indexedzd2occurrencezd2setz12z70zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2jvmzd2typezd2namezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern obj_t BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2idzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62indexedzd2pragmazb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2accesszb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzf3z91zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2userzf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static bool_t BGl_neededzf3ze70z14zzsaw_jvm_funcallz00(long, BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2idzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2occurrencewzd2setz12z12zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt, long);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_indexedzd2valuezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_indexedzd2userzf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern obj_t BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_nameze70ze7zzsaw_jvm_funcallz00(long);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_indexedzd2typezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_indexedz00zzsaw_jvm_funcallz00 = BUNSPEC;
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2typezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		BgL_typez00_bglt);
	static BgL_globalz00_bglt BGl_z62lambda2121z62zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2124z62zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2127z62zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t BGl_z62indexedzd2occurrencewzb0zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_proceduresz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62indexedzd2jvmzd2typezd2namezb0zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_indexedzd2evaluablezf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2indexzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		int);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2initzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2modulezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2namezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2srczd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda2135z62zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2136z62zzsaw_jvm_funcallz00(obj_t, obj_t, obj_t);
	static obj_t BGl_compilezd2funizd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt, long,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62indexedzd2fastzd2alphaz62zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2srczd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_Lze70ze7zzsaw_jvm_funcallz00(long);
	extern obj_t BGl_codez12z12zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2pragmazd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_funcallz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_funcallz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2accesszd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern obj_t BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_funcallz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_funcallz00(void);
	static obj_t BGl_z62indexedzd2importzd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2jvmzd2typezd2namezd2setz12z12zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62indexedzd2evalzf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62indexedzd2aliaszb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2indexzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_makezd2indexedzd2zzsaw_jvm_funcallz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, int);
	static obj_t BGl_z62indexedzd2modulezb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2valuezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		BgL_valuez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2removablezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2namezb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2srczd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62indexedzd2jvmzd2typezd2namezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2evaluablezf3zd2setz12ze1zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt, bool_t);
	static obj_t BGl_getzd2typeze70z35zzsaw_jvm_funcallz00(obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_EXPORTED_DECL bool_t BGl_indexedzf3zf3zzsaw_jvm_funcallz00(obj_t);
	static obj_t BGl_z62indexedzd2initzd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_indexedzd2occurrencewzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL long
		BGl_indexedzd2occurrencezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2libraryzd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2importzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	extern obj_t BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62indexedzd2pragmazd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static bool_t
		BGl_funcallzd2lightzd2switchz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_getzd2procedureszd2zzsaw_proceduresz00(obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62indexedzd2srczb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2libraryzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	extern obj_t BGl_declarezd2methodzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62modulezd2lightzd2funcallz62zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2libraryzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2libraryzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_compilezd2forzd2funcalliz00zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2userzf3zd2setz12ze1zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2fastzd2alphazd2setz12zc0zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt, obj_t);
	BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2typezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2occurrencezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2modulezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2aliaszd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62indexedzd2accesszd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2importzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_z62indexedzd2typezb0zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t __cnst[55];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2userzf3zd2envzf3zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2use2276z00,
		BGl_z62indexedzd2userzf3z43zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2evalzf3zd2setz12zd2envz33zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2eva2277z00,
		BGl_z62indexedzd2evalzf3zd2setz12z83zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2fastzd2alphazd2setz12zd2envz12zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2fas2278z00,
		BGl_z62indexedzd2fastzd2alphazd2setz12za2zzsaw_jvm_funcallz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2occurrencezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2occ2279z00,
		BGl_z62indexedzd2occurrencezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2aliaszd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ali2280z00,
		BGl_z62indexedzd2aliaszb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2pragmazd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2pra2281z00,
		BGl_z62indexedzd2pragmazd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2importzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2imp2282z00,
		BGl_z62indexedzd2importzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2removablezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2rem2283z00,
		BGl_z62indexedzd2removablezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2nilzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2nil2284z00,
		BGl_z62indexedzd2nilzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2259z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2259za700za7za7s2285za7, "unknown type", 12);
	      DEFINE_STRING(BGl_string2260z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2260za700za7za7s2286za7, "funcall light", 13);
	      DEFINE_STRING(BGl_string2261z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2261za700za7za7s2287za7, "internal error", 14);
	      DEFINE_STRING(BGl_string2262z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2262za700za7za7s2288za7, "L", 1);
	      DEFINE_STRING(BGl_string2263z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2263za700za7za7s2289za7, "funcall", 7);
	      DEFINE_STRING(BGl_string2264z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2264za700za7za7s2290za7, "p", 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2namezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2nam2291z00,
		BGl_z62indexedzd2namezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2265z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2265za700za7za7s2292za7, "make_vector", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2indexedzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762makeza7d2indexe2293z00,
		BGl_z62makezd2indexedzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 21);
	      DEFINE_STRING(BGl_string2272z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2272za700za7za7s2294za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2266z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2136za7622295z00,
		BGl_z62lambda2136z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2273z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2273za700za7za7s2296za7, "saw_jvm_funcall", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2267z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2135za7622297z00,
		BGl_z62lambda2135z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2274z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2274za700za7za7s2298za7,
		"_ saw_jvm_funcall indexed index (invokestatic list_to_vector) (astore l) (dup) (getfield cdr) (getfield car) (checkcast pair) (invokespecial papply) (aload l) (this l) apply #z1 (getstatic *nil*) invokestatic putstatic getstatic (pop) (invokestatic cons) invokespecial #z-1 (aload this) this light checkcast dload fload lload iload (athrow) (invokestatic fail) tableswitch err (areturn) (dreturn) double (freturn) float (lreturn) long (ireturn) int short char byte boolean (return) void compile-bad-type (getfield procindex) aload (private static) me ",
		551);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2268z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2127za7622299z00,
		BGl_z62lambda2127z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2269z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762za7c3za704anonymo2300za7,
		BGl_z62zc3z04anonymousza32126ze3ze5zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2libraryzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2lib2301z00,
		BGl_z62indexedzd2libraryzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2270z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2124za7622302z00,
		BGl_z62lambda2124z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2271z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2121za7622303z00,
		BGl_z62lambda2121z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 21);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2evaluablezf3zd2envzf3zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2eva2304z00,
		BGl_z62indexedzd2evaluablezf3z43zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2importzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2imp2305z00,
		BGl_z62indexedzd2importzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2namezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2nam2306z00,
		BGl_z62indexedzd2namezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2modulezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2mod2307z00,
		BGl_z62indexedzd2modulezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2srczd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2src2308z00,
		BGl_z62indexedzd2srczb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2valuezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2val2309z00,
		BGl_z62indexedzd2valuezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2pragmazd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2pra2310z00,
		BGl_z62indexedzd2pragmazb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2modulezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2mod2311z00,
		BGl_z62indexedzd2modulezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2jvmzd2typezd2namezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2jvm2312z00,
		BGl_z62indexedzd2jvmzd2typezd2namezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2accesszd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2acc2313z00,
		BGl_z62indexedzd2accesszd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2libraryzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2lib2314z00,
		BGl_z62indexedzd2libraryzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2occurrencewzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2occ2315z00,
		BGl_z62indexedzd2occurrencewzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2typezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2typ2316z00,
		BGl_z62indexedzd2typezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2occurrencewzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2occ2317z00,
		BGl_z62indexedzd2occurrencewzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_modulezd2lightzd2funcallzd2envzd2zzsaw_jvm_funcallz00,
		BgL_bgl_za762moduleza7d2ligh2318z00,
		BGl_z62modulezd2lightzd2funcallz62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2indexzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ind2319z00,
		BGl_z62indexedzd2indexzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2srczd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2src2320z00,
		BGl_z62indexedzd2srczd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2aliaszd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ali2321z00,
		BGl_z62indexedzd2aliaszd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2removablezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2rem2322z00,
		BGl_z62indexedzd2removablezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2accesszd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2acc2323z00,
		BGl_z62indexedzd2accesszb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2userzf3zd2setz12zd2envz33zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2use2324z00,
		BGl_z62indexedzd2userzf3zd2setz12z83zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2occurrencezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2occ2325z00,
		BGl_z62indexedzd2occurrencezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2evaluablezf3zd2setz12zd2envz33zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2eva2326z00,
		BGl_z62indexedzd2evaluablezf3zd2setz12z83zzsaw_jvm_funcallz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzf3zd2envz21zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7f3za7912327za7,
		BGl_z62indexedzf3z91zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2typezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2typ2328z00,
		BGl_z62indexedzd2typezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2idzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2idza72329za7,
		BGl_z62indexedzd2idzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2initzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ini2330z00,
		BGl_z62indexedzd2initzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2indexzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ind2331z00,
		BGl_z62indexedzd2indexzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2valuezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2val2332z00,
		BGl_z62indexedzd2valuezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2initzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ini2333z00,
		BGl_z62indexedzd2initzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2fastzd2alphazd2envzd2zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2fas2334z00,
		BGl_z62indexedzd2fastzd2alphaz62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2jvmzd2typezd2namezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2jvm2335z00,
		BGl_z62indexedzd2jvmzd2typezd2namezd2setz12z70zzsaw_jvm_funcallz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2evalzf3zd2envzf3zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2eva2336z00,
		BGl_z62indexedzd2evalzf3z43zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_modulezd2funcallzf2applyzd2envzf2zzsaw_jvm_funcallz00,
		BgL_bgl_za762moduleza7d2func2337z00,
		BGl_z62modulezd2funcallzf2applyz42zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00));
		     ADD_ROOT((void *) (&BGl_indexedz00zzsaw_jvm_funcallz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long
		BgL_checksumz00_4576, char *BgL_fromz00_4577)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_funcallz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_funcallz00();
					BGl_cnstzd2initzd2zzsaw_jvm_funcallz00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_funcallz00();
					BGl_objectzd2initzd2zzsaw_jvm_funcallz00();
					return BGl_methodzd2initzd2zzsaw_jvm_funcallz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_jvm_funcall");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			{	/* SawJvm/funcall.scm 1 */
				obj_t BgL_cportz00_4487;

				{	/* SawJvm/funcall.scm 1 */
					obj_t BgL_stringz00_4494;

					BgL_stringz00_4494 = BGl_string2274z00zzsaw_jvm_funcallz00;
					{	/* SawJvm/funcall.scm 1 */
						obj_t BgL_startz00_4495;

						BgL_startz00_4495 = BINT(0L);
						{	/* SawJvm/funcall.scm 1 */
							obj_t BgL_endz00_4496;

							BgL_endz00_4496 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4494)));
							{	/* SawJvm/funcall.scm 1 */

								BgL_cportz00_4487 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4494, BgL_startz00_4495, BgL_endz00_4496);
				}}}}
				{
					long BgL_iz00_4488;

					BgL_iz00_4488 = 54L;
				BgL_loopz00_4489:
					if ((BgL_iz00_4488 == -1L))
						{	/* SawJvm/funcall.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/funcall.scm 1 */
							{	/* SawJvm/funcall.scm 1 */
								obj_t BgL_arg2275z00_4490;

								{	/* SawJvm/funcall.scm 1 */

									{	/* SawJvm/funcall.scm 1 */
										obj_t BgL_locationz00_4492;

										BgL_locationz00_4492 = BBOOL(((bool_t) 0));
										{	/* SawJvm/funcall.scm 1 */

											BgL_arg2275z00_4490 =
												BGl_readz00zz__readerz00(BgL_cportz00_4487,
												BgL_locationz00_4492);
										}
									}
								}
								{	/* SawJvm/funcall.scm 1 */
									int BgL_tmpz00_4608;

									BgL_tmpz00_4608 = (int) (BgL_iz00_4488);
									CNST_TABLE_SET(BgL_tmpz00_4608, BgL_arg2275z00_4490);
							}}
							{	/* SawJvm/funcall.scm 1 */
								int BgL_auxz00_4493;

								BgL_auxz00_4493 = (int) ((BgL_iz00_4488 - 1L));
								{
									long BgL_iz00_4613;

									BgL_iz00_4613 = (long) (BgL_auxz00_4493);
									BgL_iz00_4488 = BgL_iz00_4613;
									goto BgL_loopz00_4489;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* make-indexed */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_makezd2indexedzd2zzsaw_jvm_funcallz00(obj_t BgL_id1175z00_3,
		obj_t BgL_name1176z00_4, BgL_typez00_bglt BgL_type1177z00_5,
		BgL_valuez00_bglt BgL_value1178z00_6, obj_t BgL_access1179z00_7,
		obj_t BgL_fastzd2alpha1180zd2_8, obj_t BgL_removable1181z00_9,
		long BgL_occurrence1182z00_10, long BgL_occurrencew1183z00_11,
		bool_t BgL_userzf31184zf3_12, obj_t BgL_module1185z00_13,
		obj_t BgL_import1186z00_14, bool_t BgL_evaluablezf31187zf3_15,
		bool_t BgL_evalzf31188zf3_16, obj_t BgL_library1189z00_17,
		obj_t BgL_pragma1190z00_18, obj_t BgL_src1191z00_19,
		obj_t BgL_jvmzd2typezd2name1192z00_20, obj_t BgL_init1193z00_21,
		obj_t BgL_alias1194z00_22, int BgL_index1195z00_23)
	{
		{	/* SawJvm/funcall.sch 62 */
			{	/* SawJvm/funcall.sch 62 */
				BgL_globalz00_bglt BgL_new1185z00_4498;

				{	/* SawJvm/funcall.sch 62 */
					BgL_globalz00_bglt BgL_tmp1183z00_4499;
					BgL_indexedz00_bglt BgL_wide1184z00_4500;

					{
						BgL_globalz00_bglt BgL_auxz00_4616;

						{	/* SawJvm/funcall.sch 62 */
							BgL_globalz00_bglt BgL_new1182z00_4501;

							BgL_new1182z00_4501 =
								((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							{	/* SawJvm/funcall.sch 62 */
								long BgL_arg1717z00_4502;

								BgL_arg1717z00_4502 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1182z00_4501),
									BgL_arg1717z00_4502);
							}
							{	/* SawJvm/funcall.sch 62 */
								BgL_objectz00_bglt BgL_tmpz00_4621;

								BgL_tmpz00_4621 = ((BgL_objectz00_bglt) BgL_new1182z00_4501);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4621, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1182z00_4501);
							BgL_auxz00_4616 = BgL_new1182z00_4501;
						}
						BgL_tmp1183z00_4499 = ((BgL_globalz00_bglt) BgL_auxz00_4616);
					}
					BgL_wide1184z00_4500 =
						((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_indexedz00_bgl))));
					{	/* SawJvm/funcall.sch 62 */
						obj_t BgL_auxz00_4629;
						BgL_objectz00_bglt BgL_tmpz00_4627;

						BgL_auxz00_4629 = ((obj_t) BgL_wide1184z00_4500);
						BgL_tmpz00_4627 = ((BgL_objectz00_bglt) BgL_tmp1183z00_4499);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4627, BgL_auxz00_4629);
					}
					((BgL_objectz00_bglt) BgL_tmp1183z00_4499);
					{	/* SawJvm/funcall.sch 62 */
						long BgL_arg1715z00_4503;

						BgL_arg1715z00_4503 =
							BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1183z00_4499), BgL_arg1715z00_4503);
					}
					BgL_new1185z00_4498 = ((BgL_globalz00_bglt) BgL_tmp1183z00_4499);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1185z00_4498)))->BgL_idz00) =
					((obj_t) BgL_id1175z00_3), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1185z00_4498)))->BgL_namez00) =
					((obj_t) BgL_name1176z00_4), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1185z00_4498)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1177z00_5), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1185z00_4498)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1178z00_6), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1185z00_4498)))->BgL_accessz00) =
					((obj_t) BgL_access1179z00_7), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1185z00_4498)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1180zd2_8), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1185z00_4498)))->BgL_removablez00) =
					((obj_t) BgL_removable1181z00_9), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1185z00_4498)))->BgL_occurrencez00) =
					((long) BgL_occurrence1182z00_10), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1185z00_4498)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1183z00_11), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1185z00_4498)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31184zf3_12), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4498)))->BgL_modulez00) =
					((obj_t) BgL_module1185z00_13), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4498)))->BgL_importz00) =
					((obj_t) BgL_import1186z00_14), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4498)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31187zf3_15), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4498)))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31188zf3_16), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4498)))->BgL_libraryz00) =
					((obj_t) BgL_library1189z00_17), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4498)))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1190z00_18), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4498)))->BgL_srcz00) =
					((obj_t) BgL_src1191z00_19), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4498)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BgL_jvmzd2typezd2name1192z00_20), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4498)))->BgL_initz00) =
					((obj_t) BgL_init1193z00_21), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4498)))->BgL_aliasz00) =
					((obj_t) BgL_alias1194z00_22), BUNSPEC);
				{
					BgL_indexedz00_bglt BgL_auxz00_4677;

					{
						obj_t BgL_auxz00_4678;

						{	/* SawJvm/funcall.sch 62 */
							BgL_objectz00_bglt BgL_tmpz00_4679;

							BgL_tmpz00_4679 = ((BgL_objectz00_bglt) BgL_new1185z00_4498);
							BgL_auxz00_4678 = BGL_OBJECT_WIDENING(BgL_tmpz00_4679);
						}
						BgL_auxz00_4677 = ((BgL_indexedz00_bglt) BgL_auxz00_4678);
					}
					((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4677))->BgL_indexz00) =
						((int) BgL_index1195z00_23), BUNSPEC);
				}
				return BgL_new1185z00_4498;
			}
		}

	}



/* &make-indexed */
	BgL_globalz00_bglt BGl_z62makezd2indexedzb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4290, obj_t BgL_id1175z00_4291, obj_t BgL_name1176z00_4292,
		obj_t BgL_type1177z00_4293, obj_t BgL_value1178z00_4294,
		obj_t BgL_access1179z00_4295, obj_t BgL_fastzd2alpha1180zd2_4296,
		obj_t BgL_removable1181z00_4297, obj_t BgL_occurrence1182z00_4298,
		obj_t BgL_occurrencew1183z00_4299, obj_t BgL_userzf31184zf3_4300,
		obj_t BgL_module1185z00_4301, obj_t BgL_import1186z00_4302,
		obj_t BgL_evaluablezf31187zf3_4303, obj_t BgL_evalzf31188zf3_4304,
		obj_t BgL_library1189z00_4305, obj_t BgL_pragma1190z00_4306,
		obj_t BgL_src1191z00_4307, obj_t BgL_jvmzd2typezd2name1192z00_4308,
		obj_t BgL_init1193z00_4309, obj_t BgL_alias1194z00_4310,
		obj_t BgL_index1195z00_4311)
	{
		{	/* SawJvm/funcall.sch 62 */
			return
				BGl_makezd2indexedzd2zzsaw_jvm_funcallz00(BgL_id1175z00_4291,
				BgL_name1176z00_4292, ((BgL_typez00_bglt) BgL_type1177z00_4293),
				((BgL_valuez00_bglt) BgL_value1178z00_4294), BgL_access1179z00_4295,
				BgL_fastzd2alpha1180zd2_4296, BgL_removable1181z00_4297,
				(long) CINT(BgL_occurrence1182z00_4298),
				(long) CINT(BgL_occurrencew1183z00_4299),
				CBOOL(BgL_userzf31184zf3_4300), BgL_module1185z00_4301,
				BgL_import1186z00_4302, CBOOL(BgL_evaluablezf31187zf3_4303),
				CBOOL(BgL_evalzf31188zf3_4304), BgL_library1189z00_4305,
				BgL_pragma1190z00_4306, BgL_src1191z00_4307,
				BgL_jvmzd2typezd2name1192z00_4308, BgL_init1193z00_4309,
				BgL_alias1194z00_4310, CINT(BgL_index1195z00_4311));
		}

	}



/* indexed? */
	BGL_EXPORTED_DEF bool_t BGl_indexedzf3zf3zzsaw_jvm_funcallz00(obj_t
		BgL_objz00_24)
	{
		{	/* SawJvm/funcall.sch 63 */
			{	/* SawJvm/funcall.sch 63 */
				obj_t BgL_classz00_4504;

				BgL_classz00_4504 = BGl_indexedz00zzsaw_jvm_funcallz00;
				if (BGL_OBJECTP(BgL_objz00_24))
					{	/* SawJvm/funcall.sch 63 */
						BgL_objectz00_bglt BgL_arg1801z00_4505;

						BgL_arg1801z00_4505 = (BgL_objectz00_bglt) (BgL_objz00_24);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawJvm/funcall.sch 63 */
								long BgL_idxz00_4506;

								BgL_idxz00_4506 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4505);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4506 + 3L)) == BgL_classz00_4504);
							}
						else
							{	/* SawJvm/funcall.sch 63 */
								bool_t BgL_res2247z00_4509;

								{	/* SawJvm/funcall.sch 63 */
									obj_t BgL_oclassz00_4510;

									{	/* SawJvm/funcall.sch 63 */
										long BgL_arg1808z00_4511;

										{	/* SawJvm/funcall.sch 63 */
											long BgL_arg1809z00_4512;

											BgL_arg1809z00_4512 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4505);
											BgL_arg1808z00_4511 = (BgL_arg1809z00_4512 - OBJECT_TYPE);
										}
										BgL_oclassz00_4510 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_4511);
									}
									{	/* SawJvm/funcall.sch 63 */
										bool_t BgL__ortest_1115z00_4513;

										BgL__ortest_1115z00_4513 =
											(BgL_classz00_4504 == BgL_oclassz00_4510);
										if (BgL__ortest_1115z00_4513)
											{	/* SawJvm/funcall.sch 63 */
												BgL_res2247z00_4509 = BgL__ortest_1115z00_4513;
											}
										else
											{	/* SawJvm/funcall.sch 63 */
												long BgL_odepthz00_4514;

												BgL_odepthz00_4514 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4510);
												if ((3L < BgL_odepthz00_4514))
													{	/* SawJvm/funcall.sch 63 */
														obj_t BgL_arg1797z00_4515;

														BgL_arg1797z00_4515 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4510, 3L);
														BgL_res2247z00_4509 =
															(BgL_arg1797z00_4515 == BgL_classz00_4504);
													}
												else
													{	/* SawJvm/funcall.sch 63 */
														BgL_res2247z00_4509 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2247z00_4509;
							}
					}
				else
					{	/* SawJvm/funcall.sch 63 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &indexed? */
	obj_t BGl_z62indexedzf3z91zzsaw_jvm_funcallz00(obj_t BgL_envz00_4312,
		obj_t BgL_objz00_4313)
	{
		{	/* SawJvm/funcall.sch 63 */
			return BBOOL(BGl_indexedzf3zf3zzsaw_jvm_funcallz00(BgL_objz00_4313));
		}

	}



/* indexed-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_indexedzd2nilzd2zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.sch 64 */
			{	/* SawJvm/funcall.sch 64 */
				obj_t BgL_classz00_3773;

				BgL_classz00_3773 = BGl_indexedz00zzsaw_jvm_funcallz00;
				{	/* SawJvm/funcall.sch 64 */
					obj_t BgL__ortest_1117z00_3774;

					BgL__ortest_1117z00_3774 = BGL_CLASS_NIL(BgL_classz00_3773);
					if (CBOOL(BgL__ortest_1117z00_3774))
						{	/* SawJvm/funcall.sch 64 */
							return ((BgL_globalz00_bglt) BgL__ortest_1117z00_3774);
						}
					else
						{	/* SawJvm/funcall.sch 64 */
							return
								((BgL_globalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3773));
						}
				}
			}
		}

	}



/* &indexed-nil */
	BgL_globalz00_bglt BGl_z62indexedzd2nilzb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4314)
	{
		{	/* SawJvm/funcall.sch 64 */
			return BGl_indexedzd2nilzd2zzsaw_jvm_funcallz00();
		}

	}



/* indexed-index */
	BGL_EXPORTED_DEF int
		BGl_indexedzd2indexzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_25)
	{
		{	/* SawJvm/funcall.sch 65 */
			{
				BgL_indexedz00_bglt BgL_auxz00_4721;

				{
					obj_t BgL_auxz00_4722;

					{	/* SawJvm/funcall.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_4723;

						BgL_tmpz00_4723 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_4722 = BGL_OBJECT_WIDENING(BgL_tmpz00_4723);
					}
					BgL_auxz00_4721 = ((BgL_indexedz00_bglt) BgL_auxz00_4722);
				}
				return (((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4721))->BgL_indexz00);
			}
		}

	}



/* &indexed-index */
	obj_t BGl_z62indexedzd2indexzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4315,
		obj_t BgL_oz00_4316)
	{
		{	/* SawJvm/funcall.sch 65 */
			return
				BINT(BGl_indexedzd2indexzd2zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4316)));
		}

	}



/* indexed-index-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2indexzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_26, int BgL_vz00_27)
	{
		{	/* SawJvm/funcall.sch 66 */
			{
				BgL_indexedz00_bglt BgL_auxz00_4731;

				{
					obj_t BgL_auxz00_4732;

					{	/* SawJvm/funcall.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_4733;

						BgL_tmpz00_4733 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_4732 = BGL_OBJECT_WIDENING(BgL_tmpz00_4733);
					}
					BgL_auxz00_4731 = ((BgL_indexedz00_bglt) BgL_auxz00_4732);
				}
				return
					((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4731))->BgL_indexz00) =
					((int) BgL_vz00_27), BUNSPEC);
		}}

	}



/* &indexed-index-set! */
	obj_t BGl_z62indexedzd2indexzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4317, obj_t BgL_oz00_4318, obj_t BgL_vz00_4319)
	{
		{	/* SawJvm/funcall.sch 66 */
			return
				BGl_indexedzd2indexzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4318), CINT(BgL_vz00_4319));
		}

	}



/* indexed-alias */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2aliaszd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_28)
	{
		{	/* SawJvm/funcall.sch 67 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_28)))->BgL_aliasz00);
		}

	}



/* &indexed-alias */
	obj_t BGl_z62indexedzd2aliaszb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4320,
		obj_t BgL_oz00_4321)
	{
		{	/* SawJvm/funcall.sch 67 */
			return
				BGl_indexedzd2aliaszd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4321));
		}

	}



/* indexed-alias-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2aliaszd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawJvm/funcall.sch 68 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_29)))->BgL_aliasz00) =
				((obj_t) BgL_vz00_30), BUNSPEC);
		}

	}



/* &indexed-alias-set! */
	obj_t BGl_z62indexedzd2aliaszd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4322, obj_t BgL_oz00_4323, obj_t BgL_vz00_4324)
	{
		{	/* SawJvm/funcall.sch 68 */
			return
				BGl_indexedzd2aliaszd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4323), BgL_vz00_4324);
		}

	}



/* indexed-init */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2initzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_31)
	{
		{	/* SawJvm/funcall.sch 69 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_31)))->BgL_initz00);
		}

	}



/* &indexed-init */
	obj_t BGl_z62indexedzd2initzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4325,
		obj_t BgL_oz00_4326)
	{
		{	/* SawJvm/funcall.sch 69 */
			return
				BGl_indexedzd2initzd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4326));
		}

	}



/* indexed-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2initzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_32, obj_t BgL_vz00_33)
	{
		{	/* SawJvm/funcall.sch 70 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_32)))->BgL_initz00) =
				((obj_t) BgL_vz00_33), BUNSPEC);
		}

	}



/* &indexed-init-set! */
	obj_t BGl_z62indexedzd2initzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4327, obj_t BgL_oz00_4328, obj_t BgL_vz00_4329)
	{
		{	/* SawJvm/funcall.sch 70 */
			return
				BGl_indexedzd2initzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4328), BgL_vz00_4329);
		}

	}



/* indexed-jvm-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2jvmzd2typezd2namezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_34)
	{
		{	/* SawJvm/funcall.sch 71 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_34)))->BgL_jvmzd2typezd2namez00);
		}

	}



/* &indexed-jvm-type-name */
	obj_t BGl_z62indexedzd2jvmzd2typezd2namezb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4330, obj_t BgL_oz00_4331)
	{
		{	/* SawJvm/funcall.sch 71 */
			return
				BGl_indexedzd2jvmzd2typezd2namezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4331));
		}

	}



/* indexed-jvm-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2jvmzd2typezd2namezd2setz12z12zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt BgL_oz00_35, obj_t BgL_vz00_36)
	{
		{	/* SawJvm/funcall.sch 72 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_35)))->BgL_jvmzd2typezd2namez00) =
				((obj_t) BgL_vz00_36), BUNSPEC);
		}

	}



/* &indexed-jvm-type-name-set! */
	obj_t BGl_z62indexedzd2jvmzd2typezd2namezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4332, obj_t BgL_oz00_4333, obj_t BgL_vz00_4334)
	{
		{	/* SawJvm/funcall.sch 72 */
			return
				BGl_indexedzd2jvmzd2typezd2namezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4333), BgL_vz00_4334);
		}

	}



/* indexed-src */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2srczd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_37)
	{
		{	/* SawJvm/funcall.sch 73 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_37)))->BgL_srcz00);
		}

	}



/* &indexed-src */
	obj_t BGl_z62indexedzd2srczb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4335,
		obj_t BgL_oz00_4336)
	{
		{	/* SawJvm/funcall.sch 73 */
			return
				BGl_indexedzd2srczd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4336));
		}

	}



/* indexed-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2srczd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_38, obj_t BgL_vz00_39)
	{
		{	/* SawJvm/funcall.sch 74 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_38)))->BgL_srcz00) =
				((obj_t) BgL_vz00_39), BUNSPEC);
		}

	}



/* &indexed-src-set! */
	obj_t BGl_z62indexedzd2srczd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4337, obj_t BgL_oz00_4338, obj_t BgL_vz00_4339)
	{
		{	/* SawJvm/funcall.sch 74 */
			return
				BGl_indexedzd2srczd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4338), BgL_vz00_4339);
		}

	}



/* indexed-pragma */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2pragmazd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_40)
	{
		{	/* SawJvm/funcall.sch 75 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_40)))->BgL_pragmaz00);
		}

	}



/* &indexed-pragma */
	obj_t BGl_z62indexedzd2pragmazb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4340,
		obj_t BgL_oz00_4341)
	{
		{	/* SawJvm/funcall.sch 75 */
			return
				BGl_indexedzd2pragmazd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4341));
		}

	}



/* indexed-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2pragmazd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_41, obj_t BgL_vz00_42)
	{
		{	/* SawJvm/funcall.sch 76 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_41)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_42), BUNSPEC);
		}

	}



/* &indexed-pragma-set! */
	obj_t BGl_z62indexedzd2pragmazd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4342, obj_t BgL_oz00_4343, obj_t BgL_vz00_4344)
	{
		{	/* SawJvm/funcall.sch 76 */
			return
				BGl_indexedzd2pragmazd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4343), BgL_vz00_4344);
		}

	}



/* indexed-library */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2libraryzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_43)
	{
		{	/* SawJvm/funcall.sch 77 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_43)))->BgL_libraryz00);
		}

	}



/* &indexed-library */
	obj_t BGl_z62indexedzd2libraryzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4345,
		obj_t BgL_oz00_4346)
	{
		{	/* SawJvm/funcall.sch 77 */
			return
				BGl_indexedzd2libraryzd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4346));
		}

	}



/* indexed-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2libraryzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawJvm/funcall.sch 78 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_44)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &indexed-library-set! */
	obj_t BGl_z62indexedzd2libraryzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4347, obj_t BgL_oz00_4348, obj_t BgL_vz00_4349)
	{
		{	/* SawJvm/funcall.sch 78 */
			return
				BGl_indexedzd2libraryzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4348), BgL_vz00_4349);
		}

	}



/* indexed-eval? */
	BGL_EXPORTED_DEF bool_t
		BGl_indexedzd2evalzf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_46)
	{
		{	/* SawJvm/funcall.sch 79 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_46)))->BgL_evalzf3zf3);
		}

	}



/* &indexed-eval? */
	obj_t BGl_z62indexedzd2evalzf3z43zzsaw_jvm_funcallz00(obj_t BgL_envz00_4350,
		obj_t BgL_oz00_4351)
	{
		{	/* SawJvm/funcall.sch 79 */
			return
				BBOOL(BGl_indexedzd2evalzf3z21zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4351)));
		}

	}



/* indexed-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2evalzf3zd2setz12ze1zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_47, bool_t BgL_vz00_48)
	{
		{	/* SawJvm/funcall.sch 80 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_47)))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &indexed-eval?-set! */
	obj_t BGl_z62indexedzd2evalzf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4352, obj_t BgL_oz00_4353, obj_t BgL_vz00_4354)
	{
		{	/* SawJvm/funcall.sch 80 */
			return
				BGl_indexedzd2evalzf3zd2setz12ze1zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4353), CBOOL(BgL_vz00_4354));
		}

	}



/* indexed-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_indexedzd2evaluablezf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_49)
	{
		{	/* SawJvm/funcall.sch 81 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_49)))->BgL_evaluablezf3zf3);
		}

	}



/* &indexed-evaluable? */
	obj_t BGl_z62indexedzd2evaluablezf3z43zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4355, obj_t BgL_oz00_4356)
	{
		{	/* SawJvm/funcall.sch 81 */
			return
				BBOOL(BGl_indexedzd2evaluablezf3z21zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4356)));
		}

	}



/* indexed-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2evaluablezf3zd2setz12ze1zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt BgL_oz00_50, bool_t BgL_vz00_51)
	{
		{	/* SawJvm/funcall.sch 82 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_50)))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_51), BUNSPEC);
		}

	}



/* &indexed-evaluable?-set! */
	obj_t BGl_z62indexedzd2evaluablezf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4357, obj_t BgL_oz00_4358, obj_t BgL_vz00_4359)
	{
		{	/* SawJvm/funcall.sch 82 */
			return
				BGl_indexedzd2evaluablezf3zd2setz12ze1zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4358), CBOOL(BgL_vz00_4359));
		}

	}



/* indexed-import */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2importzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_52)
	{
		{	/* SawJvm/funcall.sch 83 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_52)))->BgL_importz00);
		}

	}



/* &indexed-import */
	obj_t BGl_z62indexedzd2importzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4360,
		obj_t BgL_oz00_4361)
	{
		{	/* SawJvm/funcall.sch 83 */
			return
				BGl_indexedzd2importzd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4361));
		}

	}



/* indexed-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2importzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_53, obj_t BgL_vz00_54)
	{
		{	/* SawJvm/funcall.sch 84 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_53)))->BgL_importz00) =
				((obj_t) BgL_vz00_54), BUNSPEC);
		}

	}



/* &indexed-import-set! */
	obj_t BGl_z62indexedzd2importzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4362, obj_t BgL_oz00_4363, obj_t BgL_vz00_4364)
	{
		{	/* SawJvm/funcall.sch 84 */
			return
				BGl_indexedzd2importzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4363), BgL_vz00_4364);
		}

	}



/* indexed-module */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2modulezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_55)
	{
		{	/* SawJvm/funcall.sch 85 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_55)))->BgL_modulez00);
		}

	}



/* &indexed-module */
	obj_t BGl_z62indexedzd2modulezb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4365,
		obj_t BgL_oz00_4366)
	{
		{	/* SawJvm/funcall.sch 85 */
			return
				BGl_indexedzd2modulezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4366));
		}

	}



/* indexed-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2modulezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_56, obj_t BgL_vz00_57)
	{
		{	/* SawJvm/funcall.sch 86 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_56)))->BgL_modulez00) =
				((obj_t) BgL_vz00_57), BUNSPEC);
		}

	}



/* &indexed-module-set! */
	obj_t BGl_z62indexedzd2modulezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4367, obj_t BgL_oz00_4368, obj_t BgL_vz00_4369)
	{
		{	/* SawJvm/funcall.sch 86 */
			return
				BGl_indexedzd2modulezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4368), BgL_vz00_4369);
		}

	}



/* indexed-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_indexedzd2userzf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_58)
	{
		{	/* SawJvm/funcall.sch 87 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_58)))->BgL_userzf3zf3);
		}

	}



/* &indexed-user? */
	obj_t BGl_z62indexedzd2userzf3z43zzsaw_jvm_funcallz00(obj_t BgL_envz00_4370,
		obj_t BgL_oz00_4371)
	{
		{	/* SawJvm/funcall.sch 87 */
			return
				BBOOL(BGl_indexedzd2userzf3z21zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4371)));
		}

	}



/* indexed-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2userzf3zd2setz12ze1zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_59, bool_t BgL_vz00_60)
	{
		{	/* SawJvm/funcall.sch 88 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_59)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &indexed-user?-set! */
	obj_t BGl_z62indexedzd2userzf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4372, obj_t BgL_oz00_4373, obj_t BgL_vz00_4374)
	{
		{	/* SawJvm/funcall.sch 88 */
			return
				BGl_indexedzd2userzf3zd2setz12ze1zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4373), CBOOL(BgL_vz00_4374));
		}

	}



/* indexed-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_indexedzd2occurrencewzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_61)
	{
		{	/* SawJvm/funcall.sch 89 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_61)))->BgL_occurrencewz00);
		}

	}



/* &indexed-occurrencew */
	obj_t BGl_z62indexedzd2occurrencewzb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4375, obj_t BgL_oz00_4376)
	{
		{	/* SawJvm/funcall.sch 89 */
			return
				BINT(BGl_indexedzd2occurrencewzd2zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4376)));
		}

	}



/* indexed-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2occurrencewzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_62, long BgL_vz00_63)
	{
		{	/* SawJvm/funcall.sch 90 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_62)))->BgL_occurrencewz00) =
				((long) BgL_vz00_63), BUNSPEC);
		}

	}



/* &indexed-occurrencew-set! */
	obj_t BGl_z62indexedzd2occurrencewzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4377, obj_t BgL_oz00_4378, obj_t BgL_vz00_4379)
	{
		{	/* SawJvm/funcall.sch 90 */
			return
				BGl_indexedzd2occurrencewzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4378), (long) CINT(BgL_vz00_4379));
		}

	}



/* indexed-occurrence */
	BGL_EXPORTED_DEF long
		BGl_indexedzd2occurrencezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_64)
	{
		{	/* SawJvm/funcall.sch 91 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_64)))->BgL_occurrencez00);
		}

	}



/* &indexed-occurrence */
	obj_t BGl_z62indexedzd2occurrencezb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4380, obj_t BgL_oz00_4381)
	{
		{	/* SawJvm/funcall.sch 91 */
			return
				BINT(BGl_indexedzd2occurrencezd2zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4381)));
		}

	}



/* indexed-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2occurrencezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_65, long BgL_vz00_66)
	{
		{	/* SawJvm/funcall.sch 92 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_65)))->BgL_occurrencez00) =
				((long) BgL_vz00_66), BUNSPEC);
		}

	}



/* &indexed-occurrence-set! */
	obj_t BGl_z62indexedzd2occurrencezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4382, obj_t BgL_oz00_4383, obj_t BgL_vz00_4384)
	{
		{	/* SawJvm/funcall.sch 92 */
			return
				BGl_indexedzd2occurrencezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4383), (long) CINT(BgL_vz00_4384));
		}

	}



/* indexed-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2removablezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_67)
	{
		{	/* SawJvm/funcall.sch 93 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_67)))->BgL_removablez00);
		}

	}



/* &indexed-removable */
	obj_t BGl_z62indexedzd2removablezb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4385,
		obj_t BgL_oz00_4386)
	{
		{	/* SawJvm/funcall.sch 93 */
			return
				BGl_indexedzd2removablezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4386));
		}

	}



/* indexed-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2removablezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_68, obj_t BgL_vz00_69)
	{
		{	/* SawJvm/funcall.sch 94 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_68)))->BgL_removablez00) =
				((obj_t) BgL_vz00_69), BUNSPEC);
		}

	}



/* &indexed-removable-set! */
	obj_t BGl_z62indexedzd2removablezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4387, obj_t BgL_oz00_4388, obj_t BgL_vz00_4389)
	{
		{	/* SawJvm/funcall.sch 94 */
			return
				BGl_indexedzd2removablezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4388), BgL_vz00_4389);
		}

	}



/* indexed-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2fastzd2alphaz00zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_70)
	{
		{	/* SawJvm/funcall.sch 95 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_70)))->BgL_fastzd2alphazd2);
		}

	}



/* &indexed-fast-alpha */
	obj_t BGl_z62indexedzd2fastzd2alphaz62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4390, obj_t BgL_oz00_4391)
	{
		{	/* SawJvm/funcall.sch 95 */
			return
				BGl_indexedzd2fastzd2alphaz00zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4391));
		}

	}



/* indexed-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2fastzd2alphazd2setz12zc0zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt BgL_oz00_71, obj_t BgL_vz00_72)
	{
		{	/* SawJvm/funcall.sch 96 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_71)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_72), BUNSPEC);
		}

	}



/* &indexed-fast-alpha-set! */
	obj_t BGl_z62indexedzd2fastzd2alphazd2setz12za2zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4392, obj_t BgL_oz00_4393, obj_t BgL_vz00_4394)
	{
		{	/* SawJvm/funcall.sch 96 */
			return
				BGl_indexedzd2fastzd2alphazd2setz12zc0zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4393), BgL_vz00_4394);
		}

	}



/* indexed-access */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2accesszd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_73)
	{
		{	/* SawJvm/funcall.sch 97 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_73)))->BgL_accessz00);
		}

	}



/* &indexed-access */
	obj_t BGl_z62indexedzd2accesszb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4395,
		obj_t BgL_oz00_4396)
	{
		{	/* SawJvm/funcall.sch 97 */
			return
				BGl_indexedzd2accesszd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4396));
		}

	}



/* indexed-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2accesszd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_74, obj_t BgL_vz00_75)
	{
		{	/* SawJvm/funcall.sch 98 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_74)))->BgL_accessz00) =
				((obj_t) BgL_vz00_75), BUNSPEC);
		}

	}



/* &indexed-access-set! */
	obj_t BGl_z62indexedzd2accesszd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4397, obj_t BgL_oz00_4398, obj_t BgL_vz00_4399)
	{
		{	/* SawJvm/funcall.sch 98 */
			return
				BGl_indexedzd2accesszd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4398), BgL_vz00_4399);
		}

	}



/* indexed-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_indexedzd2valuezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_76)
	{
		{	/* SawJvm/funcall.sch 99 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_76)))->BgL_valuez00);
		}

	}



/* &indexed-value */
	BgL_valuez00_bglt BGl_z62indexedzd2valuezb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4400, obj_t BgL_oz00_4401)
	{
		{	/* SawJvm/funcall.sch 99 */
			return
				BGl_indexedzd2valuezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4401));
		}

	}



/* indexed-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2valuezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_77, BgL_valuez00_bglt BgL_vz00_78)
	{
		{	/* SawJvm/funcall.sch 100 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_77)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_78), BUNSPEC);
		}

	}



/* &indexed-value-set! */
	obj_t BGl_z62indexedzd2valuezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4402, obj_t BgL_oz00_4403, obj_t BgL_vz00_4404)
	{
		{	/* SawJvm/funcall.sch 100 */
			return
				BGl_indexedzd2valuezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4403),
				((BgL_valuez00_bglt) BgL_vz00_4404));
		}

	}



/* indexed-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_indexedzd2typezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_79)
	{
		{	/* SawJvm/funcall.sch 101 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_79)))->BgL_typez00);
		}

	}



/* &indexed-type */
	BgL_typez00_bglt BGl_z62indexedzd2typezb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4405, obj_t BgL_oz00_4406)
	{
		{	/* SawJvm/funcall.sch 101 */
			return
				BGl_indexedzd2typezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4406));
		}

	}



/* indexed-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2typezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_80, BgL_typez00_bglt BgL_vz00_81)
	{
		{	/* SawJvm/funcall.sch 102 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_80)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_81), BUNSPEC);
		}

	}



/* &indexed-type-set! */
	obj_t BGl_z62indexedzd2typezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4407, obj_t BgL_oz00_4408, obj_t BgL_vz00_4409)
	{
		{	/* SawJvm/funcall.sch 102 */
			return
				BGl_indexedzd2typezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4408),
				((BgL_typez00_bglt) BgL_vz00_4409));
		}

	}



/* indexed-name */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2namezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_82)
	{
		{	/* SawJvm/funcall.sch 103 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_82)))->BgL_namez00);
		}

	}



/* &indexed-name */
	obj_t BGl_z62indexedzd2namezb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4410,
		obj_t BgL_oz00_4411)
	{
		{	/* SawJvm/funcall.sch 103 */
			return
				BGl_indexedzd2namezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4411));
		}

	}



/* indexed-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2namezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_83, obj_t BgL_vz00_84)
	{
		{	/* SawJvm/funcall.sch 104 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_83)))->BgL_namez00) =
				((obj_t) BgL_vz00_84), BUNSPEC);
		}

	}



/* &indexed-name-set! */
	obj_t BGl_z62indexedzd2namezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4412, obj_t BgL_oz00_4413, obj_t BgL_vz00_4414)
	{
		{	/* SawJvm/funcall.sch 104 */
			return
				BGl_indexedzd2namezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4413), BgL_vz00_4414);
		}

	}



/* indexed-id */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2idzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_85)
	{
		{	/* SawJvm/funcall.sch 105 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_85)))->BgL_idz00);
		}

	}



/* &indexed-id */
	obj_t BGl_z62indexedzd2idzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4415,
		obj_t BgL_oz00_4416)
	{
		{	/* SawJvm/funcall.sch 105 */
			return
				BGl_indexedzd2idzd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4416));
		}

	}



/* key-opt? */
	bool_t BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(obj_t BgL_vz00_88)
	{
		{	/* SawJvm/funcall.scm 22 */
			{	/* SawJvm/funcall.scm 23 */
				BgL_globalz00_bglt BgL_vz00_2509;

				BgL_vz00_2509 =
					BGl_globalzd2entryzd2zzbackend_cplibz00(
					((BgL_globalz00_bglt) BgL_vz00_88));
				{	/* SawJvm/funcall.scm 24 */
					BgL_valuez00_bglt BgL_valz00_2510;

					BgL_valz00_2510 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_vz00_2509)))->BgL_valuez00);
					{	/* SawJvm/funcall.scm 25 */
						bool_t BgL_test2345z00_4913;

						{	/* SawJvm/funcall.scm 25 */
							obj_t BgL_classz00_3778;

							BgL_classz00_3778 = BGl_sfunz00zzast_varz00;
							{	/* SawJvm/funcall.scm 25 */
								BgL_objectz00_bglt BgL_arg1801z00_3780;

								{	/* SawJvm/funcall.scm 25 */
									obj_t BgL_tmpz00_4914;

									BgL_tmpz00_4914 =
										((obj_t) ((BgL_objectz00_bglt) BgL_valz00_2510));
									BgL_arg1801z00_3780 = (BgL_objectz00_bglt) (BgL_tmpz00_4914);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawJvm/funcall.scm 25 */
										long BgL_idxz00_3786;

										BgL_idxz00_3786 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3780);
										BgL_test2345z00_4913 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3786 + 3L)) == BgL_classz00_3778);
									}
								else
									{	/* SawJvm/funcall.scm 25 */
										bool_t BgL_res2248z00_3808;

										{	/* SawJvm/funcall.scm 25 */
											obj_t BgL_oclassz00_3794;

											{	/* SawJvm/funcall.scm 25 */
												long BgL_arg1808z00_3800;

												{	/* SawJvm/funcall.scm 25 */
													long BgL_arg1809z00_3801;

													BgL_arg1809z00_3801 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3780);
													BgL_arg1808z00_3800 =
														(BgL_arg1809z00_3801 - OBJECT_TYPE);
												}
												BgL_oclassz00_3794 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1808z00_3800);
											}
											{	/* SawJvm/funcall.scm 25 */
												bool_t BgL__ortest_1115z00_3795;

												BgL__ortest_1115z00_3795 =
													(BgL_classz00_3778 == BgL_oclassz00_3794);
												if (BgL__ortest_1115z00_3795)
													{	/* SawJvm/funcall.scm 25 */
														BgL_res2248z00_3808 = BgL__ortest_1115z00_3795;
													}
												else
													{	/* SawJvm/funcall.scm 25 */
														long BgL_odepthz00_3796;

														BgL_odepthz00_3796 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3794);
														if ((3L < BgL_odepthz00_3796))
															{	/* SawJvm/funcall.scm 25 */
																obj_t BgL_arg1797z00_3798;

																BgL_arg1797z00_3798 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3794,
																	3L);
																BgL_res2248z00_3808 =
																	(BgL_arg1797z00_3798 == BgL_classz00_3778);
															}
														else
															{	/* SawJvm/funcall.scm 25 */
																BgL_res2248z00_3808 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2345z00_4913 = BgL_res2248z00_3808;
									}
							}
						}
						if (BgL_test2345z00_4913)
							{	/* SawJvm/funcall.scm 26 */
								obj_t BgL_cloz00_2512;

								BgL_cloz00_2512 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_valz00_2510)))->
									BgL_thezd2closurezd2globalz00);
								{	/* SawJvm/funcall.scm 27 */
									bool_t BgL_oz00_2513;
									bool_t BgL_kz00_2514;

									BgL_oz00_2513 =
										BGl_globalzd2optionalzf3z21zzast_varz00(BgL_cloz00_2512);
									BgL_kz00_2514 =
										BGl_globalzd2keyzf3z21zzast_varz00(BgL_cloz00_2512);
									if (BgL_oz00_2513)
										{	/* SawJvm/funcall.scm 28 */
											return BgL_oz00_2513;
										}
									else
										{	/* SawJvm/funcall.scm 28 */
											return BgL_kz00_2514;
										}
								}
							}
						else
							{	/* SawJvm/funcall.scm 25 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* module-light-funcall */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_89)
	{
		{	/* SawJvm/funcall.scm 32 */
			{	/* SawJvm/funcall.scm 34 */
				obj_t BgL_g1640z00_2517;

				BgL_g1640z00_2517 =
					(((BgL_jvmz00_bglt) COBJECT(BgL_mez00_89))->BgL_lightzd2funcallszd2);
				{
					obj_t BgL_l1638z00_2519;

					{	/* SawJvm/funcall.scm 34 */
						bool_t BgL_tmpz00_4940;

						BgL_l1638z00_2519 = BgL_g1640z00_2517;
					BgL_zc3z04anonymousza31719ze3z87_2520:
						if (PAIRP(BgL_l1638z00_2519))
							{	/* SawJvm/funcall.scm 34 */
								{	/* SawJvm/funcall.scm 35 */
									obj_t BgL_insz00_2522;

									BgL_insz00_2522 = CAR(BgL_l1638z00_2519);
									{	/* SawJvm/funcall.scm 36 */
										obj_t BgL_arg1729z00_2524;
										obj_t BgL_arg1730z00_2525;
										obj_t BgL_arg1731z00_2526;

										BgL_arg1729z00_2524 =
											(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
													((BgL_rtl_lightfuncallz00_bglt) BgL_insz00_2522)))->
											BgL_namez00);
										BgL_arg1730z00_2525 =
											(((BgL_rtl_lightfuncallz00_bglt)
												COBJECT(((BgL_rtl_lightfuncallz00_bglt)
														BgL_insz00_2522)))->BgL_funsz00);
										BgL_arg1731z00_2526 =
											(((BgL_rtl_lightfuncallz00_bglt)
												COBJECT(((BgL_rtl_lightfuncallz00_bglt)
														BgL_insz00_2522)))->BgL_rettypez00);
										BGl_funcallzd2lightzd2zzsaw_jvm_funcallz00(BgL_mez00_89,
											BgL_arg1729z00_2524, BgL_arg1730z00_2525,
											BgL_arg1731z00_2526);
									}
								}
								{
									obj_t BgL_l1638z00_4951;

									BgL_l1638z00_4951 = CDR(BgL_l1638z00_2519);
									BgL_l1638z00_2519 = BgL_l1638z00_4951;
									goto BgL_zc3z04anonymousza31719ze3z87_2520;
								}
							}
						else
							{	/* SawJvm/funcall.scm 34 */
								BgL_tmpz00_4940 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_4940);
					}
				}
			}
		}

	}



/* &module-light-funcall */
	obj_t BGl_z62modulezd2lightzd2funcallz62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4417, obj_t BgL_mez00_4418)
	{
		{	/* SawJvm/funcall.scm 32 */
			return
				BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(
				((BgL_jvmz00_bglt) BgL_mez00_4418));
		}

	}



/* funcall-light */
	obj_t BGl_funcallzd2lightzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt BgL_mez00_90,
		obj_t BgL_namez00_91, obj_t BgL_funsz00_92, obj_t BgL_rettypez00_93)
	{
		{	/* SawJvm/funcall.scm 39 */
			{
				obj_t BgL_tz00_2559;
				BgL_variablez00_bglt BgL_gz00_2598;

				{	/* SawJvm/funcall.scm 70 */
					obj_t BgL_fz00_2536;

					BgL_fz00_2536 = CAR(((obj_t) BgL_funsz00_92));
					{	/* SawJvm/funcall.scm 70 */
						BgL_variablez00_bglt BgL_gz00_2537;

						BgL_gz00_2537 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_fz00_2536)))->BgL_variablez00);
						{	/* SawJvm/funcall.scm 71 */
							obj_t BgL_trz00_2538;

							BgL_trz00_2538 =
								BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_mez00_90,
								((BgL_typez00_bglt) BgL_rettypez00_93));
							{	/* SawJvm/funcall.scm 72 */
								obj_t BgL_talz00_2539;

								BgL_gz00_2598 = BgL_gz00_2537;
								{	/* SawJvm/funcall.scm 66 */
									obj_t BgL_argsz00_2600;

									BgL_argsz00_2600 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_gz00_2598))))->
														BgL_valuez00))))->BgL_argsz00);
									{	/* SawJvm/funcall.scm 67 */
										obj_t BgL_arg1798z00_2601;
										obj_t BgL_arg1799z00_2602;

										{	/* SawJvm/funcall.scm 67 */
											obj_t BgL_arg1800z00_2603;

											BgL_arg1800z00_2603 = CAR(((obj_t) BgL_argsz00_2600));
											{	/* SawJvm/funcall.scm 52 */
												obj_t BgL_arg1752z00_3884;

												BgL_arg1752z00_3884 =
													BGl_getzd2typeze70z35zzsaw_jvm_funcallz00
													(BgL_arg1800z00_2603);
												BgL_arg1798z00_2601 =
													BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_mez00_90,
													((BgL_typez00_bglt) BgL_arg1752z00_3884));
											}
										}
										{	/* SawJvm/funcall.scm 68 */
											obj_t BgL_l1641z00_2604;

											BgL_l1641z00_2604 = CDR(((obj_t) BgL_argsz00_2600));
											if (NULLP(BgL_l1641z00_2604))
												{	/* SawJvm/funcall.scm 68 */
													BgL_arg1799z00_2602 = BNIL;
												}
											else
												{	/* SawJvm/funcall.scm 68 */
													obj_t BgL_head1643z00_2606;

													BgL_head1643z00_2606 = MAKE_YOUNG_PAIR(BNIL, BNIL);
													{
														obj_t BgL_l1641z00_2608;
														obj_t BgL_tail1644z00_2609;

														BgL_l1641z00_2608 = BgL_l1641z00_2604;
														BgL_tail1644z00_2609 = BgL_head1643z00_2606;
													BgL_zc3z04anonymousza31802ze3z87_2610:
														if (NULLP(BgL_l1641z00_2608))
															{	/* SawJvm/funcall.scm 68 */
																BgL_arg1799z00_2602 = CDR(BgL_head1643z00_2606);
															}
														else
															{	/* SawJvm/funcall.scm 68 */
																obj_t BgL_newtail1645z00_2612;

																{	/* SawJvm/funcall.scm 68 */
																	obj_t BgL_arg1822z00_2614;

																	{	/* SawJvm/funcall.scm 68 */
																		obj_t BgL_az00_2615;

																		BgL_az00_2615 =
																			CAR(((obj_t) BgL_l1641z00_2608));
																		{	/* SawJvm/funcall.scm 54 */
																			obj_t BgL_arg1759z00_3889;

																			BgL_tz00_2559 =
																				BGl_getzd2typeze70z35zzsaw_jvm_funcallz00
																				(BgL_az00_2615);
																			if (BGl_bigloozd2typezf3z21zztype_typez00(
																					((BgL_typez00_bglt) BgL_tz00_2559)))
																				{	/* SawJvm/funcall.scm 41 */
																					BgL_arg1759z00_3889 =
																						BGl_za2objza2z00zztype_cachez00;
																				}
																			else
																				{	/* SawJvm/funcall.scm 41 */
																					BgL_arg1759z00_3889 = BgL_tz00_2559;
																				}
																			BgL_arg1822z00_2614 =
																				BGl_compilezd2typezd2zzsaw_jvm_outz00
																				(BgL_mez00_90,
																				((BgL_typez00_bglt)
																					BgL_arg1759z00_3889));
																		}
																	}
																	BgL_newtail1645z00_2612 =
																		MAKE_YOUNG_PAIR(BgL_arg1822z00_2614, BNIL);
																}
																SET_CDR(BgL_tail1644z00_2609,
																	BgL_newtail1645z00_2612);
																{	/* SawJvm/funcall.scm 68 */
																	obj_t BgL_arg1816z00_2613;

																	BgL_arg1816z00_2613 =
																		CDR(((obj_t) BgL_l1641z00_2608));
																	{
																		obj_t BgL_tail1644z00_4993;
																		obj_t BgL_l1641z00_4992;

																		BgL_l1641z00_4992 = BgL_arg1816z00_2613;
																		BgL_tail1644z00_4993 =
																			BgL_newtail1645z00_2612;
																		BgL_tail1644z00_2609 = BgL_tail1644z00_4993;
																		BgL_l1641z00_2608 = BgL_l1641z00_4992;
																		goto BgL_zc3z04anonymousza31802ze3z87_2610;
																	}
																}
															}
													}
												}
										}
										BgL_talz00_2539 =
											MAKE_YOUNG_PAIR(BgL_arg1798z00_2601, BgL_arg1799z00_2602);
									}
								}
								{	/* SawJvm/funcall.scm 73 */
									obj_t BgL_pz00_2540;

									{	/* SawJvm/funcall.scm 74 */
										obj_t BgL_head1648z00_2547;

										BgL_head1648z00_2547 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1646z00_2549;
											obj_t BgL_tail1649z00_2550;

											BgL_l1646z00_2549 = BgL_talz00_2539;
											BgL_tail1649z00_2550 = BgL_head1648z00_2547;
										BgL_zc3z04anonymousza31739ze3z87_2551:
											if (NULLP(BgL_l1646z00_2549))
												{	/* SawJvm/funcall.scm 74 */
													BgL_pz00_2540 = CDR(BgL_head1648z00_2547);
												}
											else
												{	/* SawJvm/funcall.scm 74 */
													obj_t BgL_newtail1650z00_2553;

													{	/* SawJvm/funcall.scm 74 */
														obj_t BgL_arg1745z00_2555;

														{	/* SawJvm/funcall.scm 74 */

															{	/* SawJvm/funcall.scm 74 */

																BgL_arg1745z00_2555 =
																	BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
															}
														}
														BgL_newtail1650z00_2553 =
															MAKE_YOUNG_PAIR(BgL_arg1745z00_2555, BNIL);
													}
													SET_CDR(BgL_tail1649z00_2550,
														BgL_newtail1650z00_2553);
													{	/* SawJvm/funcall.scm 74 */
														obj_t BgL_arg1741z00_2554;

														BgL_arg1741z00_2554 =
															CDR(((obj_t) BgL_l1646z00_2549));
														{
															obj_t BgL_tail1649z00_5005;
															obj_t BgL_l1646z00_5004;

															BgL_l1646z00_5004 = BgL_arg1741z00_2554;
															BgL_tail1649z00_5005 = BgL_newtail1650z00_2553;
															BgL_tail1649z00_2550 = BgL_tail1649z00_5005;
															BgL_l1646z00_2549 = BgL_l1646z00_5004;
															goto BgL_zc3z04anonymousza31739ze3z87_2551;
														}
													}
												}
										}
									}
									{	/* SawJvm/funcall.scm 74 */

										{	/* SawJvm/funcall.scm 76 */
											obj_t BgL_arg1733z00_2541;

											{	/* SawJvm/funcall.scm 76 */
												obj_t BgL_arg1454z00_3900;

												BgL_arg1454z00_3900 = SYMBOL_TO_STRING(BgL_namez00_91);
												BgL_arg1733z00_2541 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1454z00_3900);
											}
											BGl_declarezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_90,
												BgL_namez00_91, CNST_TABLE_REF(0L), CNST_TABLE_REF(1L),
												BgL_trz00_2538, BgL_arg1733z00_2541, BgL_talz00_2539);
										}
										BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_90,
											BgL_namez00_91);
										BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_90,
											BgL_pz00_2540, BNIL);
										{	/* SawJvm/funcall.scm 80 */
											obj_t BgL_arg1734z00_2542;

											{	/* SawJvm/funcall.scm 80 */
												obj_t BgL_arg1735z00_2543;

												{	/* SawJvm/funcall.scm 80 */
													obj_t BgL_arg1736z00_2544;

													BgL_arg1736z00_2544 = CAR(((obj_t) BgL_pz00_2540));
													BgL_arg1735z00_2543 =
														MAKE_YOUNG_PAIR(BgL_arg1736z00_2544, BNIL);
												}
												BgL_arg1734z00_2542 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(2L),
													BgL_arg1735z00_2543);
											}
											BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_90,
												BgL_arg1734z00_2542);
										}
										BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_90,
											CNST_TABLE_REF(3L));
										BGl_funcallzd2lightzd2switchz00zzsaw_jvm_funcallz00
											(BgL_mez00_90, BgL_funsz00_92, BgL_trz00_2538,
											BgL_pz00_2540, BgL_talz00_2539);
										return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_90);
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* get-type~0 */
	obj_t BGl_getzd2typeze70z35zzsaw_jvm_funcallz00(obj_t BgL_tz00_2562)
	{
		{	/* SawJvm/funcall.scm 50 */
			{	/* SawJvm/funcall.scm 46 */
				bool_t BgL_test2355z00_5023;

				{	/* SawJvm/funcall.scm 46 */
					obj_t BgL_classz00_3813;

					BgL_classz00_3813 = BGl_localz00zzast_varz00;
					if (BGL_OBJECTP(BgL_tz00_2562))
						{	/* SawJvm/funcall.scm 46 */
							BgL_objectz00_bglt BgL_arg1801z00_3815;

							BgL_arg1801z00_3815 = (BgL_objectz00_bglt) (BgL_tz00_2562);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/funcall.scm 46 */
									long BgL_idxz00_3821;

									BgL_idxz00_3821 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3815);
									BgL_test2355z00_5023 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3821 + 2L)) == BgL_classz00_3813);
								}
							else
								{	/* SawJvm/funcall.scm 46 */
									bool_t BgL_res2249z00_3843;

									{	/* SawJvm/funcall.scm 46 */
										obj_t BgL_oclassz00_3829;

										{	/* SawJvm/funcall.scm 46 */
											long BgL_arg1808z00_3835;

											{	/* SawJvm/funcall.scm 46 */
												long BgL_arg1809z00_3836;

												BgL_arg1809z00_3836 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3815);
												BgL_arg1808z00_3835 =
													(BgL_arg1809z00_3836 - OBJECT_TYPE);
											}
											BgL_oclassz00_3829 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1808z00_3835);
										}
										{	/* SawJvm/funcall.scm 46 */
											bool_t BgL__ortest_1115z00_3830;

											BgL__ortest_1115z00_3830 =
												(BgL_classz00_3813 == BgL_oclassz00_3829);
											if (BgL__ortest_1115z00_3830)
												{	/* SawJvm/funcall.scm 46 */
													BgL_res2249z00_3843 = BgL__ortest_1115z00_3830;
												}
											else
												{	/* SawJvm/funcall.scm 46 */
													long BgL_odepthz00_3831;

													BgL_odepthz00_3831 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3829);
													if ((2L < BgL_odepthz00_3831))
														{	/* SawJvm/funcall.scm 46 */
															obj_t BgL_arg1797z00_3833;

															BgL_arg1797z00_3833 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3829, 2L);
															BgL_res2249z00_3843 =
																(BgL_arg1797z00_3833 == BgL_classz00_3813);
														}
													else
														{	/* SawJvm/funcall.scm 46 */
															BgL_res2249z00_3843 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2355z00_5023 = BgL_res2249z00_3843;
								}
						}
					else
						{	/* SawJvm/funcall.scm 46 */
							BgL_test2355z00_5023 = ((bool_t) 0);
						}
				}
				if (BgL_test2355z00_5023)
					{	/* SawJvm/funcall.scm 46 */
						return
							((obj_t)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_tz00_2562))))->BgL_typez00));
					}
				else
					{	/* SawJvm/funcall.scm 48 */
						bool_t BgL_test2360z00_5047;

						{	/* SawJvm/funcall.scm 48 */
							obj_t BgL_classz00_3845;

							BgL_classz00_3845 = BGl_typez00zztype_typez00;
							if (BGL_OBJECTP(BgL_tz00_2562))
								{	/* SawJvm/funcall.scm 48 */
									BgL_objectz00_bglt BgL_arg1801z00_3847;

									BgL_arg1801z00_3847 = (BgL_objectz00_bglt) (BgL_tz00_2562);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawJvm/funcall.scm 48 */
											long BgL_idxz00_3853;

											BgL_idxz00_3853 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3847);
											BgL_test2360z00_5047 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3853 + 1L)) == BgL_classz00_3845);
										}
									else
										{	/* SawJvm/funcall.scm 48 */
											bool_t BgL_res2250z00_3875;

											{	/* SawJvm/funcall.scm 48 */
												obj_t BgL_oclassz00_3861;

												{	/* SawJvm/funcall.scm 48 */
													long BgL_arg1808z00_3867;

													{	/* SawJvm/funcall.scm 48 */
														long BgL_arg1809z00_3868;

														BgL_arg1809z00_3868 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3847);
														BgL_arg1808z00_3867 =
															(BgL_arg1809z00_3868 - OBJECT_TYPE);
													}
													BgL_oclassz00_3861 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1808z00_3867);
												}
												{	/* SawJvm/funcall.scm 48 */
													bool_t BgL__ortest_1115z00_3862;

													BgL__ortest_1115z00_3862 =
														(BgL_classz00_3845 == BgL_oclassz00_3861);
													if (BgL__ortest_1115z00_3862)
														{	/* SawJvm/funcall.scm 48 */
															BgL_res2250z00_3875 = BgL__ortest_1115z00_3862;
														}
													else
														{	/* SawJvm/funcall.scm 48 */
															long BgL_odepthz00_3863;

															BgL_odepthz00_3863 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3861);
															if ((1L < BgL_odepthz00_3863))
																{	/* SawJvm/funcall.scm 48 */
																	obj_t BgL_arg1797z00_3865;

																	BgL_arg1797z00_3865 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3861,
																		1L);
																	BgL_res2250z00_3875 =
																		(BgL_arg1797z00_3865 == BgL_classz00_3845);
																}
															else
																{	/* SawJvm/funcall.scm 48 */
																	BgL_res2250z00_3875 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2360z00_5047 = BgL_res2250z00_3875;
										}
								}
							else
								{	/* SawJvm/funcall.scm 48 */
									BgL_test2360z00_5047 = ((bool_t) 0);
								}
						}
						if (BgL_test2360z00_5047)
							{	/* SawJvm/funcall.scm 48 */
								return BgL_tz00_2562;
							}
						else
							{	/* SawJvm/funcall.scm 48 */
								return
									BGl_errorz00zz__errorz00(CNST_TABLE_REF(4L),
									BGl_string2259z00zzsaw_jvm_funcallz00, BgL_tz00_2562);
							}
					}
			}
		}

	}



/* funcall-light-switch */
	bool_t BGl_funcallzd2lightzd2switchz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_94, obj_t BgL_funsz00_95, obj_t BgL_trz00_96, obj_t BgL_pz00_97,
		obj_t BgL_talz00_98)
	{
		{	/* SawJvm/funcall.scm 85 */
			{
				obj_t BgL_tz00_2670;
				obj_t BgL_lz00_2687;

				{	/* SawJvm/funcall.scm 113 */
					obj_t BgL_thisz00_2630;

					BgL_thisz00_2630 = CAR(((obj_t) BgL_pz00_97));
					{	/* SawJvm/funcall.scm 113 */
						obj_t BgL_iza2za2_2631;

						BgL_lz00_2687 = BgL_funsz00_95;
						if (NULLP(BgL_funsz00_95))
							{	/* SawJvm/funcall.scm 96 */
								BgL_iza2za2_2631 = BNIL;
							}
						else
							{	/* SawJvm/funcall.scm 96 */
								obj_t BgL_head1653z00_2691;

								BgL_head1653z00_2691 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1651z00_2693;
									obj_t BgL_tail1654z00_2694;

									BgL_l1651z00_2693 = BgL_funsz00_95;
									BgL_tail1654z00_2694 = BgL_head1653z00_2691;
								BgL_zc3z04anonymousza31861ze3z87_2695:
									if (NULLP(BgL_l1651z00_2693))
										{	/* SawJvm/funcall.scm 96 */
											BgL_iza2za2_2631 = CDR(BgL_head1653z00_2691);
										}
									else
										{	/* SawJvm/funcall.scm 96 */
											obj_t BgL_newtail1655z00_2697;

											{	/* SawJvm/funcall.scm 96 */
												int BgL_arg1866z00_2699;

												{	/* SawJvm/funcall.scm 96 */
													BgL_globalz00_bglt BgL_oz00_3909;

													BgL_oz00_3909 =
														((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt)
																		CAR(
																			((obj_t) BgL_l1651z00_2693)))))->
															BgL_variablez00));
													{
														BgL_indexedz00_bglt BgL_auxz00_5082;

														{
															obj_t BgL_auxz00_5083;

															{	/* SawJvm/funcall.scm 96 */
																BgL_objectz00_bglt BgL_tmpz00_5084;

																BgL_tmpz00_5084 =
																	((BgL_objectz00_bglt) BgL_oz00_3909);
																BgL_auxz00_5083 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5084);
															}
															BgL_auxz00_5082 =
																((BgL_indexedz00_bglt) BgL_auxz00_5083);
														}
														BgL_arg1866z00_2699 =
															(((BgL_indexedz00_bglt)
																COBJECT(BgL_auxz00_5082))->BgL_indexz00);
												}}
												BgL_newtail1655z00_2697 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg1866z00_2699), BNIL);
											}
											SET_CDR(BgL_tail1654z00_2694, BgL_newtail1655z00_2697);
											{	/* SawJvm/funcall.scm 96 */
												obj_t BgL_arg1864z00_2698;

												BgL_arg1864z00_2698 = CDR(((obj_t) BgL_l1651z00_2693));
												{
													obj_t BgL_tail1654z00_5095;
													obj_t BgL_l1651z00_5094;

													BgL_l1651z00_5094 = BgL_arg1864z00_2698;
													BgL_tail1654z00_5095 = BgL_newtail1655z00_2697;
													BgL_tail1654z00_2694 = BgL_tail1654z00_5095;
													BgL_l1651z00_2693 = BgL_l1651z00_5094;
													goto BgL_zc3z04anonymousza31861ze3z87_2695;
												}
											}
										}
								}
							}
						{	/* SawJvm/funcall.scm 114 */
							obj_t BgL_labsz00_2632;

							BgL_labsz00_2632 =
								BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(0L,
								BGl_sortz00zz__r4_vectors_6_8z00(BgL_iza2za2_2631,
									BGl_zc3zd2envz11zz__r4_numbers_6_5z00));
							{	/* SawJvm/funcall.scm 115 */

								{	/* SawJvm/funcall.scm 118 */
									obj_t BgL_arg1824z00_2633;

									{	/* SawJvm/funcall.scm 118 */
										obj_t BgL_arg1825z00_2634;

										{	/* SawJvm/funcall.scm 118 */
											obj_t BgL_arg1826z00_2635;

											BgL_arg1826z00_2635 =
												MAKE_YOUNG_PAIR(BINT(0L),
												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
												(BgL_labsz00_2632, BNIL));
											BgL_arg1825z00_2634 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(20L),
												BgL_arg1826z00_2635);
										}
										BgL_arg1824z00_2633 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(21L), BgL_arg1825z00_2634);
									}
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
										BgL_arg1824z00_2633);
								}
								BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_94, CNST_TABLE_REF(20L));
								BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_mez00_94,
									BGl_string2260z00zzsaw_jvm_funcallz00);
								BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_mez00_94,
									BGl_string2261z00zzsaw_jvm_funcallz00);
								{	/* SawJvm/funcall.scm 122 */
									obj_t BgL_arg1828z00_2637;

									{	/* SawJvm/funcall.scm 122 */
										obj_t BgL_arg1829z00_2638;

										BgL_arg1829z00_2638 =
											MAKE_YOUNG_PAIR(BgL_thisz00_2630, BNIL);
										BgL_arg1828z00_2637 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(2L), BgL_arg1829z00_2638);
									}
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
										BgL_arg1828z00_2637);
								}
								BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
									CNST_TABLE_REF(22L));
								BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
									CNST_TABLE_REF(23L));
								{
									obj_t BgL_l1656z00_2640;

									BgL_l1656z00_2640 = BgL_funsz00_95;
								BgL_zc3z04anonymousza31830ze3z87_2641:
									if (PAIRP(BgL_l1656z00_2640))
										{	/* SawJvm/funcall.scm 125 */
											{	/* SawJvm/funcall.scm 126 */
												obj_t BgL_fz00_2643;

												BgL_fz00_2643 = CAR(BgL_l1656z00_2640);
												{	/* SawJvm/funcall.scm 126 */
													BgL_variablez00_bglt BgL_gz00_2644;

													BgL_gz00_2644 =
														(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_fz00_2643)))->
														BgL_variablez00);
													{	/* SawJvm/funcall.scm 127 */
														obj_t BgL_arg1832z00_2645;

														{	/* SawJvm/funcall.scm 127 */
															int BgL_arg1833z00_2646;

															{
																BgL_indexedz00_bglt BgL_auxz00_5123;

																{
																	obj_t BgL_auxz00_5124;

																	{	/* SawJvm/funcall.scm 127 */
																		BgL_objectz00_bglt BgL_tmpz00_5125;

																		BgL_tmpz00_5125 =
																			((BgL_objectz00_bglt)
																			((BgL_globalz00_bglt) BgL_gz00_2644));
																		BgL_auxz00_5124 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5125);
																	}
																	BgL_auxz00_5123 =
																		((BgL_indexedz00_bglt) BgL_auxz00_5124);
																}
																BgL_arg1833z00_2646 =
																	(((BgL_indexedz00_bglt)
																		COBJECT(BgL_auxz00_5123))->BgL_indexz00);
															}
															BgL_arg1832z00_2645 =
																BGl_Lze70ze7zzsaw_jvm_funcallz00(
																(long) (BgL_arg1833z00_2646));
														}
														BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_94,
															BgL_arg1832z00_2645);
													}
													{	/* SawJvm/funcall.scm 128 */
														obj_t BgL_arg1835z00_2648;

														BgL_arg1835z00_2648 =
															(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_gz00_2644))))->
																			BgL_valuez00))))->BgL_argsz00);
														{	/* SawJvm/funcall.scm 129 */
															obj_t BgL_zc3z04anonymousza31839ze3z87_4419;

															BgL_zc3z04anonymousza31839ze3z87_4419 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza31839ze3ze5zzsaw_jvm_funcallz00,
																(int) (3L), (int) (1L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza31839ze3z87_4419,
																(int) (0L), ((obj_t) BgL_mez00_94));
															{	/* SawJvm/funcall.scm 128 */
																obj_t BgL_list1836z00_2649;

																{	/* SawJvm/funcall.scm 128 */
																	obj_t BgL_arg1837z00_2650;

																	{	/* SawJvm/funcall.scm 128 */
																		obj_t BgL_arg1838z00_2651;

																		BgL_arg1838z00_2651 =
																			MAKE_YOUNG_PAIR(BgL_arg1835z00_2648,
																			BNIL);
																		BgL_arg1837z00_2650 =
																			MAKE_YOUNG_PAIR(BgL_pz00_97,
																			BgL_arg1838z00_2651);
																	}
																	BgL_list1836z00_2649 =
																		MAKE_YOUNG_PAIR(BgL_talz00_98,
																		BgL_arg1837z00_2650);
																}
																BGl_forzd2eachzd2zz__r4_control_features_6_9z00
																	(BgL_zc3z04anonymousza31839ze3z87_4419,
																	BgL_list1836z00_2649);
													}}}
													{	/* SawJvm/funcall.scm 134 */
														BgL_globalz00_bglt BgL_arg1848z00_2666;

														BgL_arg1848z00_2666 =
															BGl_globalzd2entryzd2zzbackend_cplibz00(
															((BgL_globalz00_bglt) BgL_gz00_2644));
														BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_mez00_94,
															BgL_arg1848z00_2666);
													}
													BgL_tz00_2670 = BgL_trz00_96;
													{	/* SawJvm/funcall.scm 88 */
														obj_t BgL_arg1853z00_2672;

														if ((BgL_tz00_2670 == CNST_TABLE_REF(5L)))
															{	/* SawJvm/funcall.scm 88 */
																BgL_arg1853z00_2672 = CNST_TABLE_REF(6L);
															}
														else
															{	/* SawJvm/funcall.scm 88 */
																bool_t BgL_test2369z00_5156;

																{	/* SawJvm/funcall.scm 88 */
																	bool_t BgL__ortest_1193z00_2683;

																	BgL__ortest_1193z00_2683 =
																		(BgL_tz00_2670 == CNST_TABLE_REF(7L));
																	if (BgL__ortest_1193z00_2683)
																		{	/* SawJvm/funcall.scm 88 */
																			BgL_test2369z00_5156 =
																				BgL__ortest_1193z00_2683;
																		}
																	else
																		{	/* SawJvm/funcall.scm 88 */
																			bool_t BgL__ortest_1194z00_2684;

																			BgL__ortest_1194z00_2684 =
																				(BgL_tz00_2670 == CNST_TABLE_REF(8L));
																			if (BgL__ortest_1194z00_2684)
																				{	/* SawJvm/funcall.scm 88 */
																					BgL_test2369z00_5156 =
																						BgL__ortest_1194z00_2684;
																				}
																			else
																				{	/* SawJvm/funcall.scm 88 */
																					bool_t BgL__ortest_1195z00_2685;

																					BgL__ortest_1195z00_2685 =
																						(BgL_tz00_2670 ==
																						CNST_TABLE_REF(9L));
																					if (BgL__ortest_1195z00_2685)
																						{	/* SawJvm/funcall.scm 88 */
																							BgL_test2369z00_5156 =
																								BgL__ortest_1195z00_2685;
																						}
																					else
																						{	/* SawJvm/funcall.scm 88 */
																							bool_t BgL__ortest_1196z00_2686;

																							BgL__ortest_1196z00_2686 =
																								(BgL_tz00_2670 ==
																								CNST_TABLE_REF(10L));
																							if (BgL__ortest_1196z00_2686)
																								{	/* SawJvm/funcall.scm 88 */
																									BgL_test2369z00_5156 =
																										BgL__ortest_1196z00_2686;
																								}
																							else
																								{	/* SawJvm/funcall.scm 88 */
																									BgL_test2369z00_5156 =
																										(BgL_tz00_2670 ==
																										CNST_TABLE_REF(11L));
																								}
																						}
																				}
																		}
																}
																if (BgL_test2369z00_5156)
																	{	/* SawJvm/funcall.scm 88 */
																		BgL_arg1853z00_2672 = CNST_TABLE_REF(12L);
																	}
																else
																	{	/* SawJvm/funcall.scm 88 */
																		if ((BgL_tz00_2670 == CNST_TABLE_REF(13L)))
																			{	/* SawJvm/funcall.scm 88 */
																				BgL_arg1853z00_2672 =
																					CNST_TABLE_REF(14L);
																			}
																		else
																			{	/* SawJvm/funcall.scm 88 */
																				if (
																					(BgL_tz00_2670 ==
																						CNST_TABLE_REF(15L)))
																					{	/* SawJvm/funcall.scm 88 */
																						BgL_arg1853z00_2672 =
																							CNST_TABLE_REF(16L);
																					}
																				else
																					{	/* SawJvm/funcall.scm 88 */
																						if (
																							(BgL_tz00_2670 ==
																								CNST_TABLE_REF(17L)))
																							{	/* SawJvm/funcall.scm 88 */
																								BgL_arg1853z00_2672 =
																									CNST_TABLE_REF(18L);
																							}
																						else
																							{	/* SawJvm/funcall.scm 88 */
																								BgL_arg1853z00_2672 =
																									CNST_TABLE_REF(19L);
																							}
																					}
																			}
																	}
															}
														BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
															BgL_arg1853z00_2672);
													}
												}
											}
											{
												obj_t BgL_l1656z00_5186;

												BgL_l1656z00_5186 = CDR(BgL_l1656z00_2640);
												BgL_l1656z00_2640 = BgL_l1656z00_5186;
												goto BgL_zc3z04anonymousza31830ze3z87_2641;
											}
										}
									else
										{	/* SawJvm/funcall.scm 125 */
											return ((bool_t) 1);
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* get-labs~2 */
	obj_t BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(long BgL_iz00_2709,
		obj_t BgL_lz00_2710)
	{
		{	/* SawJvm/funcall.scm 103 */
			if (NULLP(BgL_lz00_2710))
				{	/* SawJvm/funcall.scm 100 */
					return BNIL;
				}
			else
				{	/* SawJvm/funcall.scm 100 */
					if ((BgL_iz00_2709 == (long) CINT(CAR(((obj_t) BgL_lz00_2710)))))
						{	/* SawJvm/funcall.scm 102 */
							obj_t BgL_arg1877z00_2715;
							obj_t BgL_arg1879z00_2716;

							BgL_arg1877z00_2715 =
								BGl_Lze70ze7zzsaw_jvm_funcallz00(BgL_iz00_2709);
							{	/* SawJvm/funcall.scm 102 */
								long BgL_arg1880z00_2717;
								obj_t BgL_arg1881z00_2718;

								BgL_arg1880z00_2717 = (BgL_iz00_2709 + 1L);
								BgL_arg1881z00_2718 = CDR(((obj_t) BgL_lz00_2710));
								BgL_arg1879z00_2716 =
									BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(BgL_arg1880z00_2717,
									BgL_arg1881z00_2718);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1877z00_2715, BgL_arg1879z00_2716);
						}
					else
						{	/* SawJvm/funcall.scm 103 */
							obj_t BgL_arg1882z00_2719;

							BgL_arg1882z00_2719 =
								BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(
								(BgL_iz00_2709 + 1L), BgL_lz00_2710);
							return MAKE_YOUNG_PAIR(CNST_TABLE_REF(20L), BgL_arg1882z00_2719);
						}
				}
		}

	}



/* L~0 */
	obj_t BGl_Lze70ze7zzsaw_jvm_funcallz00(long BgL_nz00_2703)
	{
		{	/* SawJvm/funcall.scm 97 */
			{	/* SawJvm/funcall.scm 97 */
				obj_t BgL_arg1870z00_2705;

				{	/* SawJvm/funcall.scm 97 */
					obj_t BgL_arg1872z00_2706;

					{	/* SawJvm/funcall.scm 97 */

						BgL_arg1872z00_2706 =
							BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
							(BgL_nz00_2703, 10L);
					}
					BgL_arg1870z00_2705 =
						string_append(BGl_string2262z00zzsaw_jvm_funcallz00,
						BgL_arg1872z00_2706);
				}
				return bstring_to_symbol(BgL_arg1870z00_2705);
			}
		}

	}



/* &<@anonymous:1839> */
	obj_t BGl_z62zc3z04anonymousza31839ze3ze5zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4420, obj_t BgL_tz00_4422, obj_t BgL_vz00_4423,
		obj_t BgL_az00_4424)
	{
		{	/* SawJvm/funcall.scm 128 */
			{	/* SawJvm/funcall.scm 129 */
				BgL_jvmz00_bglt BgL_mez00_4421;

				BgL_mez00_4421 =
					((BgL_jvmz00_bglt) PROCEDURE_REF(BgL_envz00_4420, (int) (0L)));
				{
					obj_t BgL_tz00_4517;
					obj_t BgL_vz00_4518;

					{	/* SawJvm/funcall.scm 129 */
						obj_t BgL_taz00_4526;

						{	/* SawJvm/funcall.scm 129 */
							bool_t BgL_test2379z00_5211;

							{	/* SawJvm/funcall.scm 129 */
								obj_t BgL_classz00_4527;

								BgL_classz00_4527 = BGl_localz00zzast_varz00;
								if (BGL_OBJECTP(BgL_az00_4424))
									{	/* SawJvm/funcall.scm 129 */
										BgL_objectz00_bglt BgL_arg1801z00_4528;

										BgL_arg1801z00_4528 = (BgL_objectz00_bglt) (BgL_az00_4424);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawJvm/funcall.scm 129 */
												long BgL_idxz00_4529;

												BgL_idxz00_4529 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4528);
												BgL_test2379z00_5211 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4529 + 2L)) == BgL_classz00_4527);
											}
										else
											{	/* SawJvm/funcall.scm 129 */
												bool_t BgL_res2251z00_4532;

												{	/* SawJvm/funcall.scm 129 */
													obj_t BgL_oclassz00_4533;

													{	/* SawJvm/funcall.scm 129 */
														long BgL_arg1808z00_4534;

														{	/* SawJvm/funcall.scm 129 */
															long BgL_arg1809z00_4535;

															BgL_arg1809z00_4535 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4528);
															BgL_arg1808z00_4534 =
																(BgL_arg1809z00_4535 - OBJECT_TYPE);
														}
														BgL_oclassz00_4533 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1808z00_4534);
													}
													{	/* SawJvm/funcall.scm 129 */
														bool_t BgL__ortest_1115z00_4536;

														BgL__ortest_1115z00_4536 =
															(BgL_classz00_4527 == BgL_oclassz00_4533);
														if (BgL__ortest_1115z00_4536)
															{	/* SawJvm/funcall.scm 129 */
																BgL_res2251z00_4532 = BgL__ortest_1115z00_4536;
															}
														else
															{	/* SawJvm/funcall.scm 129 */
																long BgL_odepthz00_4537;

																BgL_odepthz00_4537 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4533);
																if ((2L < BgL_odepthz00_4537))
																	{	/* SawJvm/funcall.scm 129 */
																		obj_t BgL_arg1797z00_4538;

																		BgL_arg1797z00_4538 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4533, 2L);
																		BgL_res2251z00_4532 =
																			(BgL_arg1797z00_4538 ==
																			BgL_classz00_4527);
																	}
																else
																	{	/* SawJvm/funcall.scm 129 */
																		BgL_res2251z00_4532 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2379z00_5211 = BgL_res2251z00_4532;
											}
									}
								else
									{	/* SawJvm/funcall.scm 129 */
										BgL_test2379z00_5211 = ((bool_t) 0);
									}
							}
							if (BgL_test2379z00_5211)
								{	/* SawJvm/funcall.scm 129 */
									BgL_taz00_4526 =
										((obj_t)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_az00_4424))))->
											BgL_typez00));
								}
							else
								{	/* SawJvm/funcall.scm 129 */
									BgL_taz00_4526 = BgL_az00_4424;
								}
						}
						BgL_tz00_4517 = BgL_tz00_4422;
						BgL_vz00_4518 = BgL_vz00_4423;
						{	/* SawJvm/funcall.scm 106 */
							obj_t BgL_arg1886z00_4519;

							{	/* SawJvm/funcall.scm 106 */
								obj_t BgL_arg1888z00_4520;
								obj_t BgL_arg1889z00_4521;

								{	/* SawJvm/funcall.scm 106 */
									bool_t BgL_test2384z00_5235;

									{	/* SawJvm/funcall.scm 106 */
										bool_t BgL__ortest_1197z00_4522;

										BgL__ortest_1197z00_4522 =
											(BgL_tz00_4517 == CNST_TABLE_REF(7L));
										if (BgL__ortest_1197z00_4522)
											{	/* SawJvm/funcall.scm 106 */
												BgL_test2384z00_5235 = BgL__ortest_1197z00_4522;
											}
										else
											{	/* SawJvm/funcall.scm 106 */
												bool_t BgL__ortest_1198z00_4523;

												BgL__ortest_1198z00_4523 =
													(BgL_tz00_4517 == CNST_TABLE_REF(8L));
												if (BgL__ortest_1198z00_4523)
													{	/* SawJvm/funcall.scm 106 */
														BgL_test2384z00_5235 = BgL__ortest_1198z00_4523;
													}
												else
													{	/* SawJvm/funcall.scm 106 */
														bool_t BgL__ortest_1199z00_4524;

														BgL__ortest_1199z00_4524 =
															(BgL_tz00_4517 == CNST_TABLE_REF(9L));
														if (BgL__ortest_1199z00_4524)
															{	/* SawJvm/funcall.scm 106 */
																BgL_test2384z00_5235 = BgL__ortest_1199z00_4524;
															}
														else
															{	/* SawJvm/funcall.scm 106 */
																bool_t BgL__ortest_1200z00_4525;

																BgL__ortest_1200z00_4525 =
																	(BgL_tz00_4517 == CNST_TABLE_REF(10L));
																if (BgL__ortest_1200z00_4525)
																	{	/* SawJvm/funcall.scm 106 */
																		BgL_test2384z00_5235 =
																			BgL__ortest_1200z00_4525;
																	}
																else
																	{	/* SawJvm/funcall.scm 106 */
																		BgL_test2384z00_5235 =
																			(BgL_tz00_4517 == CNST_TABLE_REF(11L));
																	}
															}
													}
											}
									}
									if (BgL_test2384z00_5235)
										{	/* SawJvm/funcall.scm 106 */
											BgL_arg1888z00_4520 = CNST_TABLE_REF(24L);
										}
									else
										{	/* SawJvm/funcall.scm 106 */
											if ((BgL_tz00_4517 == CNST_TABLE_REF(13L)))
												{	/* SawJvm/funcall.scm 106 */
													BgL_arg1888z00_4520 = CNST_TABLE_REF(25L);
												}
											else
												{	/* SawJvm/funcall.scm 106 */
													if ((BgL_tz00_4517 == CNST_TABLE_REF(15L)))
														{	/* SawJvm/funcall.scm 106 */
															BgL_arg1888z00_4520 = CNST_TABLE_REF(26L);
														}
													else
														{	/* SawJvm/funcall.scm 106 */
															if ((BgL_tz00_4517 == CNST_TABLE_REF(17L)))
																{	/* SawJvm/funcall.scm 106 */
																	BgL_arg1888z00_4520 = CNST_TABLE_REF(27L);
																}
															else
																{	/* SawJvm/funcall.scm 106 */
																	BgL_arg1888z00_4520 = CNST_TABLE_REF(2L);
																}
														}
												}
										}
								}
								BgL_arg1889z00_4521 = MAKE_YOUNG_PAIR(BgL_vz00_4518, BNIL);
								BgL_arg1886z00_4519 =
									MAKE_YOUNG_PAIR(BgL_arg1888z00_4520, BgL_arg1889z00_4521);
							}
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_4421,
								BgL_arg1886z00_4519);
						}
						{	/* SawJvm/funcall.scm 131 */
							bool_t BgL_test2392z00_5267;

							if (BGl_bigloozd2typezf3z21zztype_typez00(
									((BgL_typez00_bglt) BgL_taz00_4526)))
								{	/* SawJvm/funcall.scm 131 */
									if ((BgL_taz00_4526 == BGl_za2objza2z00zztype_cachez00))
										{	/* SawJvm/funcall.scm 131 */
											BgL_test2392z00_5267 = ((bool_t) 0);
										}
									else
										{	/* SawJvm/funcall.scm 131 */
											BgL_test2392z00_5267 = ((bool_t) 1);
										}
								}
							else
								{	/* SawJvm/funcall.scm 131 */
									BgL_test2392z00_5267 = ((bool_t) 0);
								}
							if (BgL_test2392z00_5267)
								{	/* SawJvm/funcall.scm 132 */
									obj_t BgL_arg1842z00_4539;

									{	/* SawJvm/funcall.scm 132 */
										obj_t BgL_arg1843z00_4540;

										{	/* SawJvm/funcall.scm 132 */
											obj_t BgL_arg1844z00_4541;

											BgL_arg1844z00_4541 =
												BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_mez00_4421,
												((BgL_typez00_bglt) BgL_taz00_4526));
											BgL_arg1843z00_4540 =
												MAKE_YOUNG_PAIR(BgL_arg1844z00_4541, BNIL);
										}
										BgL_arg1842z00_4539 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(28L), BgL_arg1843z00_4540);
									}
									return
										BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_4421,
										BgL_arg1842z00_4539);
								}
							else
								{	/* SawJvm/funcall.scm 131 */
									return BFALSE;
								}
						}
					}
				}
			}
		}

	}



/* module-funcall/apply */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_99)
	{
		{	/* SawJvm/funcall.scm 141 */
			{	/* SawJvm/funcall.scm 142 */
				obj_t BgL_pz00_2747;

				{	/* SawJvm/funcall.scm 142 */
					obj_t BgL_arg1900z00_2767;

					{	/* SawJvm/funcall.scm 142 */
						obj_t BgL_arg1901z00_2768;

						BgL_arg1901z00_2768 =
							(((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_mez00_99)))->BgL_functionsz00);
						BgL_arg1900z00_2767 =
							BGl_getzd2procedureszd2zzsaw_proceduresz00(BgL_arg1901z00_2768);
					}
					BgL_pz00_2747 = bgl_reverse_bang(BgL_arg1900z00_2767);
				}
				{	/* SawJvm/funcall.scm 144 */
					long BgL_nz00_2748;

					BgL_nz00_2748 = 0L;
					{
						obj_t BgL_l1658z00_2750;

						BgL_l1658z00_2750 = BgL_pz00_2747;
					BgL_zc3z04anonymousza31894ze3z87_2751:
						if (PAIRP(BgL_l1658z00_2750))
							{	/* SawJvm/funcall.scm 145 */
								{	/* SawJvm/funcall.scm 146 */
									obj_t BgL_varz00_2753;

									BgL_varz00_2753 = CAR(BgL_l1658z00_2750);
									{	/* SawJvm/funcall.scm 146 */
										BgL_indexedz00_bglt BgL_wide1203z00_2756;

										BgL_wide1203z00_2756 =
											((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_indexedz00_bgl))));
										{	/* SawJvm/funcall.scm 146 */
											obj_t BgL_auxz00_5291;
											BgL_objectz00_bglt BgL_tmpz00_5287;

											BgL_auxz00_5291 = ((obj_t) BgL_wide1203z00_2756);
											BgL_tmpz00_5287 =
												((BgL_objectz00_bglt)
												((BgL_globalz00_bglt)
													((BgL_globalz00_bglt) BgL_varz00_2753)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5287, BgL_auxz00_5291);
										}
										((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_varz00_2753)));
										{	/* SawJvm/funcall.scm 146 */
											long BgL_arg1896z00_2757;

											BgL_arg1896z00_2757 =
												BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_globalz00_bglt)
														((BgL_globalz00_bglt) BgL_varz00_2753))),
												BgL_arg1896z00_2757);
										}
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_varz00_2753)));
									}
									{
										BgL_indexedz00_bglt BgL_auxz00_5305;

										{
											obj_t BgL_auxz00_5306;

											{	/* SawJvm/funcall.scm 146 */
												BgL_objectz00_bglt BgL_tmpz00_5307;

												BgL_tmpz00_5307 =
													((BgL_objectz00_bglt)
													((BgL_globalz00_bglt)
														((BgL_globalz00_bglt) BgL_varz00_2753)));
												BgL_auxz00_5306 = BGL_OBJECT_WIDENING(BgL_tmpz00_5307);
											}
											BgL_auxz00_5305 = ((BgL_indexedz00_bglt) BgL_auxz00_5306);
										}
										((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_5305))->
												BgL_indexz00) = ((int) (int) (BgL_nz00_2748)), BUNSPEC);
									}
									((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_2753));
									{	/* SawJvm/funcall.scm 147 */
										BgL_globalz00_bglt BgL_tmp1205z00_2759;

										BgL_tmp1205z00_2759 =
											BGl_globalzd2entryzd2zzbackend_cplibz00(
											((BgL_globalz00_bglt) BgL_varz00_2753));
										{	/* SawJvm/funcall.scm 147 */
											BgL_indexedz00_bglt BgL_wide1207z00_2761;

											BgL_wide1207z00_2761 =
												((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_indexedz00_bgl))));
											{	/* SawJvm/funcall.scm 147 */
												obj_t BgL_auxz00_5323;
												BgL_objectz00_bglt BgL_tmpz00_5320;

												BgL_auxz00_5323 = ((obj_t) BgL_wide1207z00_2761);
												BgL_tmpz00_5320 =
													((BgL_objectz00_bglt)
													((BgL_globalz00_bglt) BgL_tmp1205z00_2759));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5320,
													BgL_auxz00_5323);
											}
											((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_tmp1205z00_2759));
											{	/* SawJvm/funcall.scm 147 */
												long BgL_arg1897z00_2762;

												BgL_arg1897z00_2762 =
													BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt)
														((BgL_globalz00_bglt) BgL_tmp1205z00_2759)),
													BgL_arg1897z00_2762);
											}
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_tmp1205z00_2759));
										}
										{
											BgL_indexedz00_bglt BgL_auxz00_5334;

											{
												obj_t BgL_auxz00_5335;

												{	/* SawJvm/funcall.scm 147 */
													BgL_objectz00_bglt BgL_tmpz00_5336;

													BgL_tmpz00_5336 =
														((BgL_objectz00_bglt)
														((BgL_globalz00_bglt) BgL_tmp1205z00_2759));
													BgL_auxz00_5335 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5336);
												}
												BgL_auxz00_5334 =
													((BgL_indexedz00_bglt) BgL_auxz00_5335);
											}
											((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_5334))->
													BgL_indexz00) =
												((int) (int) (BgL_nz00_2748)), BUNSPEC);
										}
										((BgL_globalz00_bglt) BgL_tmp1205z00_2759);
									}
									BgL_nz00_2748 = (BgL_nz00_2748 + 1L);
								}
								{
									obj_t BgL_l1658z00_5345;

									BgL_l1658z00_5345 = CDR(BgL_l1658z00_2750);
									BgL_l1658z00_2750 = BgL_l1658z00_5345;
									goto BgL_zc3z04anonymousza31894ze3z87_2751;
								}
							}
						else
							{	/* SawJvm/funcall.scm 145 */
								((bool_t) 1);
							}
					}
				}
				if (NULLP(BgL_pz00_2747))
					{	/* SawJvm/funcall.scm 150 */
						return BFALSE;
					}
				else
					{	/* SawJvm/funcall.scm 150 */
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, 0L,
							BgL_pz00_2747);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, 1L,
							BgL_pz00_2747);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, 2L,
							BgL_pz00_2747);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, 3L,
							BgL_pz00_2747);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, 4L,
							BgL_pz00_2747);
						return BGl_compilezd2applyzd2zzsaw_jvm_funcallz00(BgL_mez00_99,
							BgL_pz00_2747);
					}
			}
		}

	}



/* &module-funcall/apply */
	obj_t BGl_z62modulezd2funcallzf2applyz42zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4429, obj_t BgL_mez00_4430)
	{
		{	/* SawJvm/funcall.scm 141 */
			return
				BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(
				((BgL_jvmz00_bglt) BgL_mez00_4430));
		}

	}



/* is-light-procedure? */
	bool_t BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_103, obj_t BgL_gz00_104)
	{
		{	/* SawJvm/funcall.scm 164 */
			{	/* SawJvm/funcall.scm 165 */
				BgL_valuez00_bglt BgL_vz00_2773;

				BgL_vz00_2773 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_gz00_104))))->BgL_valuez00);
				{	/* SawJvm/funcall.scm 166 */
					bool_t BgL_test2397z00_5360;

					{	/* SawJvm/funcall.scm 166 */
						obj_t BgL_classz00_3979;

						BgL_classz00_3979 = BGl_sfunz00zzast_varz00;
						{	/* SawJvm/funcall.scm 166 */
							BgL_objectz00_bglt BgL_arg1801z00_3981;

							{	/* SawJvm/funcall.scm 166 */
								obj_t BgL_tmpz00_5361;

								BgL_tmpz00_5361 =
									((obj_t) ((BgL_objectz00_bglt) BgL_vz00_2773));
								BgL_arg1801z00_3981 = (BgL_objectz00_bglt) (BgL_tmpz00_5361);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/funcall.scm 166 */
									long BgL_idxz00_3987;

									BgL_idxz00_3987 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3981);
									BgL_test2397z00_5360 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3987 + 3L)) == BgL_classz00_3979);
								}
							else
								{	/* SawJvm/funcall.scm 166 */
									bool_t BgL_res2252z00_4009;

									{	/* SawJvm/funcall.scm 166 */
										obj_t BgL_oclassz00_3995;

										{	/* SawJvm/funcall.scm 166 */
											long BgL_arg1808z00_4001;

											{	/* SawJvm/funcall.scm 166 */
												long BgL_arg1809z00_4002;

												BgL_arg1809z00_4002 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3981);
												BgL_arg1808z00_4001 =
													(BgL_arg1809z00_4002 - OBJECT_TYPE);
											}
											BgL_oclassz00_3995 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1808z00_4001);
										}
										{	/* SawJvm/funcall.scm 166 */
											bool_t BgL__ortest_1115z00_3996;

											BgL__ortest_1115z00_3996 =
												(BgL_classz00_3979 == BgL_oclassz00_3995);
											if (BgL__ortest_1115z00_3996)
												{	/* SawJvm/funcall.scm 166 */
													BgL_res2252z00_4009 = BgL__ortest_1115z00_3996;
												}
											else
												{	/* SawJvm/funcall.scm 166 */
													long BgL_odepthz00_3997;

													BgL_odepthz00_3997 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3995);
													if ((3L < BgL_odepthz00_3997))
														{	/* SawJvm/funcall.scm 166 */
															obj_t BgL_arg1797z00_3999;

															BgL_arg1797z00_3999 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3995, 3L);
															BgL_res2252z00_4009 =
																(BgL_arg1797z00_3999 == BgL_classz00_3979);
														}
													else
														{	/* SawJvm/funcall.scm 166 */
															BgL_res2252z00_4009 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2397z00_5360 = BgL_res2252z00_4009;
								}
						}
					}
					if (BgL_test2397z00_5360)
						{	/* SawJvm/funcall.scm 166 */
							return
								(
								(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_vz00_2773)))->BgL_strengthz00) ==
								CNST_TABLE_REF(29L));
						}
					else
						{	/* SawJvm/funcall.scm 166 */
							return ((bool_t) 0);
						}
				}
			}
		}

	}



/* funcalli */
	obj_t BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt BgL_mez00_105,
		long BgL_iz00_106, obj_t BgL_procsz00_107)
	{
		{	/* SawJvm/funcall.scm 172 */
			{	/* SawJvm/funcall.scm 184 */
				obj_t BgL_needz00_2778;

				if (NULLP(BgL_procsz00_107))
					{	/* SawJvm/funcall.scm 184 */
						BgL_needz00_2778 = BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 184 */
						obj_t BgL_head1663z00_2807;

						{	/* SawJvm/funcall.scm 184 */
							bool_t BgL_arg1925z00_2819;

							{	/* SawJvm/funcall.scm 184 */
								obj_t BgL_arg1926z00_2820;

								BgL_arg1926z00_2820 = CAR(((obj_t) BgL_procsz00_107));
								BgL_arg1925z00_2819 =
									BGl_neededzf3ze70z14zzsaw_jvm_funcallz00(BgL_iz00_106,
									BgL_mez00_105, BgL_arg1926z00_2820);
							}
							BgL_head1663z00_2807 =
								MAKE_YOUNG_PAIR(BBOOL(BgL_arg1925z00_2819), BNIL);
						}
						{	/* SawJvm/funcall.scm 184 */
							obj_t BgL_g1666z00_2808;

							BgL_g1666z00_2808 = CDR(((obj_t) BgL_procsz00_107));
							{
								obj_t BgL_l1661z00_2810;
								obj_t BgL_tail1664z00_2811;

								BgL_l1661z00_2810 = BgL_g1666z00_2808;
								BgL_tail1664z00_2811 = BgL_head1663z00_2807;
							BgL_zc3z04anonymousza31920ze3z87_2812:
								if (NULLP(BgL_l1661z00_2810))
									{	/* SawJvm/funcall.scm 184 */
										BgL_needz00_2778 = BgL_head1663z00_2807;
									}
								else
									{	/* SawJvm/funcall.scm 184 */
										obj_t BgL_newtail1665z00_2814;

										{	/* SawJvm/funcall.scm 184 */
											bool_t BgL_arg1923z00_2816;

											{	/* SawJvm/funcall.scm 184 */
												obj_t BgL_arg1924z00_2817;

												BgL_arg1924z00_2817 = CAR(((obj_t) BgL_l1661z00_2810));
												BgL_arg1923z00_2816 =
													BGl_neededzf3ze70z14zzsaw_jvm_funcallz00(BgL_iz00_106,
													BgL_mez00_105, BgL_arg1924z00_2817);
											}
											BgL_newtail1665z00_2814 =
												MAKE_YOUNG_PAIR(BBOOL(BgL_arg1923z00_2816), BNIL);
										}
										SET_CDR(BgL_tail1664z00_2811, BgL_newtail1665z00_2814);
										{	/* SawJvm/funcall.scm 184 */
											obj_t BgL_arg1922z00_2815;

											BgL_arg1922z00_2815 = CDR(((obj_t) BgL_l1661z00_2810));
											{
												obj_t BgL_tail1664z00_5405;
												obj_t BgL_l1661z00_5404;

												BgL_l1661z00_5404 = BgL_arg1922z00_2815;
												BgL_tail1664z00_5405 = BgL_newtail1665z00_2814;
												BgL_tail1664z00_2811 = BgL_tail1664z00_5405;
												BgL_l1661z00_2810 = BgL_l1661z00_5404;
												goto BgL_zc3z04anonymousza31920ze3z87_2812;
											}
										}
									}
							}
						}
					}
				{	/* SawJvm/funcall.scm 185 */
					bool_t BgL_test2403z00_5406;

					{
						obj_t BgL_l1667z00_2797;

						BgL_l1667z00_2797 = BgL_needz00_2778;
					BgL_zc3z04anonymousza31917ze3z87_2798:
						if (NULLP(BgL_l1667z00_2797))
							{	/* SawJvm/funcall.scm 185 */
								BgL_test2403z00_5406 = ((bool_t) 1);
							}
						else
							{	/* SawJvm/funcall.scm 185 */
								bool_t BgL_test2405z00_5409;

								if (CBOOL(CAR(((obj_t) BgL_l1667z00_2797))))
									{	/* SawJvm/funcall.scm 185 */
										BgL_test2405z00_5409 = ((bool_t) 0);
									}
								else
									{	/* SawJvm/funcall.scm 185 */
										BgL_test2405z00_5409 = ((bool_t) 1);
									}
								if (BgL_test2405z00_5409)
									{
										obj_t BgL_l1667z00_5414;

										BgL_l1667z00_5414 = CDR(((obj_t) BgL_l1667z00_2797));
										BgL_l1667z00_2797 = BgL_l1667z00_5414;
										goto BgL_zc3z04anonymousza31917ze3z87_2798;
									}
								else
									{	/* SawJvm/funcall.scm 185 */
										BgL_test2403z00_5406 = ((bool_t) 0);
									}
							}
					}
					if (BgL_test2403z00_5406)
						{	/* SawJvm/funcall.scm 185 */
							return BFALSE;
						}
					else
						{	/* SawJvm/funcall.scm 186 */
							obj_t BgL_fnamez00_2789;

							{	/* SawJvm/funcall.scm 186 */
								obj_t BgL_arg1916z00_2793;

								{	/* SawJvm/funcall.scm 186 */

									BgL_arg1916z00_2793 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_iz00_106, 10L);
								}
								BgL_fnamez00_2789 =
									string_append(BGl_string2263z00zzsaw_jvm_funcallz00,
									BgL_arg1916z00_2793);
							}
							{	/* SawJvm/funcall.scm 186 */
								obj_t BgL_pz00_2790;

								{	/* SawJvm/funcall.scm 187 */
									obj_t BgL_arg1915z00_2792;

									BgL_arg1915z00_2792 =
										BGl_nameze70ze7zzsaw_jvm_funcallz00(BgL_iz00_106);
									BgL_pz00_2790 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(30L), BgL_arg1915z00_2792);
								}
								{	/* SawJvm/funcall.scm 187 */

									BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_105,
										bstring_to_symbol(BgL_fnamez00_2789));
									BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_105,
										BgL_pz00_2790, BNIL);
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_105,
										CNST_TABLE_REF(31L));
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_105,
										CNST_TABLE_REF(3L));
									BGl_compilezd2funizd2zzsaw_jvm_funcallz00(BgL_mez00_105,
										BgL_iz00_106, BgL_needz00_2778, BgL_procsz00_107,
										BgL_fnamez00_2789, BgL_pz00_2790);
									return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_105);
								}
							}
						}
				}
			}
		}

	}



/* needed?~0 */
	bool_t BGl_neededzf3ze70z14zzsaw_jvm_funcallz00(long BgL_iz00_4486,
		BgL_jvmz00_bglt BgL_mez00_4485, obj_t BgL_pz00_2821)
	{
		{	/* SawJvm/funcall.scm 182 */
			{	/* SawJvm/funcall.scm 174 */
				bool_t BgL_test2407z00_5431;

				{	/* SawJvm/funcall.scm 174 */
					BgL_globalz00_bglt BgL_arg1931z00_2832;

					BgL_arg1931z00_2832 =
						BGl_globalzd2entryzd2zzbackend_cplibz00(
						((BgL_globalz00_bglt) BgL_pz00_2821));
					BgL_test2407z00_5431 =
						BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00(BgL_mez00_4485,
						((obj_t) BgL_arg1931z00_2832));
				}
				if (BgL_test2407z00_5431)
					{	/* SawJvm/funcall.scm 174 */
						return ((bool_t) 0);
					}
				else
					{	/* SawJvm/funcall.scm 175 */
						obj_t BgL_arityz00_2824;

						BgL_arityz00_2824 =
							BGl_globalzd2arityzd2zzbackend_cplibz00(
							((BgL_globalz00_bglt) BgL_pz00_2821));
						if (CBOOL(BgL_arityz00_2824))
							{	/* SawJvm/funcall.scm 177 */
								bool_t BgL__ortest_1210z00_2825;

								if (((long) CINT(BgL_arityz00_2824) >= 0L))
									{	/* SawJvm/funcall.scm 177 */
										if (BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(BgL_pz00_2821))
											{	/* SawJvm/funcall.scm 178 */
												if (INTEGERP(BgL_arityz00_2824))
													{	/* SawJvm/funcall.scm 179 */
														BgL__ortest_1210z00_2825 =
															((long) CINT(BgL_arityz00_2824) <= BgL_iz00_4486);
													}
												else
													{	/* SawJvm/funcall.scm 179 */
														BgL__ortest_1210z00_2825 =
															BGl_2zc3zd3z10zz__r4_numbers_6_5z00
															(BgL_arityz00_2824, BINT(BgL_iz00_4486));
													}
											}
										else
											{	/* SawJvm/funcall.scm 178 */
												BgL__ortest_1210z00_2825 =
													((long) CINT(BgL_arityz00_2824) == BgL_iz00_4486);
									}}
								else
									{	/* SawJvm/funcall.scm 177 */
										BgL__ortest_1210z00_2825 = ((bool_t) 0);
									}
								if (BgL__ortest_1210z00_2825)
									{	/* SawJvm/funcall.scm 177 */
										return BgL__ortest_1210z00_2825;
									}
								else
									{	/* SawJvm/funcall.scm 177 */
										if (((long) CINT(BgL_arityz00_2824) < 0L))
											{	/* SawJvm/funcall.scm 181 */
												obj_t BgL_b1660z00_2827;

												{	/* SawJvm/funcall.scm 181 */
													obj_t BgL_za72za7_4018;

													BgL_za72za7_4018 = BINT(BgL_iz00_4486);
													{	/* SawJvm/funcall.scm 181 */
														obj_t BgL_tmpz00_4019;

														BgL_tmpz00_4019 = BINT(0L);
														{	/* SawJvm/funcall.scm 181 */
															bool_t BgL_test2414z00_5459;

															{	/* SawJvm/funcall.scm 181 */
																obj_t BgL_tmpz00_5460;

																BgL_tmpz00_5460 = BINT(-1L);
																BgL_test2414z00_5459 =
																	BGL_SUBFX_OV(BgL_tmpz00_5460,
																	BgL_za72za7_4018, BgL_tmpz00_4019);
															}
															if (BgL_test2414z00_5459)
																{	/* SawJvm/funcall.scm 181 */
																	BgL_b1660z00_2827 =
																		bgl_bignum_sub(CNST_TABLE_REF(32L),
																		bgl_long_to_bignum(
																			(long) CINT(BgL_za72za7_4018)));
																}
															else
																{	/* SawJvm/funcall.scm 181 */
																	BgL_b1660z00_2827 = BgL_tmpz00_4019;
																}
														}
													}
												}
												{	/* SawJvm/funcall.scm 181 */
													bool_t BgL_test2415z00_5467;

													if (INTEGERP(BgL_arityz00_2824))
														{	/* SawJvm/funcall.scm 181 */
															BgL_test2415z00_5467 =
																INTEGERP(BgL_b1660z00_2827);
														}
													else
														{	/* SawJvm/funcall.scm 181 */
															BgL_test2415z00_5467 = ((bool_t) 0);
														}
													if (BgL_test2415z00_5467)
														{	/* SawJvm/funcall.scm 181 */
															return
																(
																(long) CINT(BgL_arityz00_2824) >=
																(long) CINT(BgL_b1660z00_2827));
														}
													else
														{	/* SawJvm/funcall.scm 181 */
															return
																BGl_2ze3zd3z30zz__r4_numbers_6_5z00
																(BgL_arityz00_2824, BgL_b1660z00_2827);
														}
												}
											}
										else
											{	/* SawJvm/funcall.scm 181 */
												return ((bool_t) 0);
											}
									}
							}
						else
							{	/* SawJvm/funcall.scm 176 */
								return (BgL_iz00_4486 <= 1L);
							}
					}
			}
		}

	}



/* name~0 */
	obj_t BGl_nameze70ze7zzsaw_jvm_funcallz00(long BgL_nz00_2833)
	{
		{	/* SawJvm/funcall.scm 183 */
			if ((BgL_nz00_2833 == 0L))
				{	/* SawJvm/funcall.scm 183 */
					return BNIL;
				}
			else
				{	/* SawJvm/funcall.scm 183 */
					obj_t BgL_arg1934z00_2836;
					obj_t BgL_arg1935z00_2837;

					{	/* SawJvm/funcall.scm 183 */

						{	/* SawJvm/funcall.scm 183 */

							BgL_arg1934z00_2836 = BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
						}
					}
					BgL_arg1935z00_2837 =
						BGl_nameze70ze7zzsaw_jvm_funcallz00((BgL_nz00_2833 - 1L));
					return MAKE_YOUNG_PAIR(BgL_arg1934z00_2836, BgL_arg1935z00_2837);
				}
		}

	}



/* compile-funi */
	obj_t BGl_compilezd2funizd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt BgL_mez00_108,
		long BgL_iz00_109, obj_t BgL_needz00_110, obj_t BgL_procsz00_111,
		obj_t BgL_fnamez00_112, obj_t BgL_paramsz00_113)
	{
		{	/* SawJvm/funcall.scm 196 */
			{	/* SawJvm/funcall.scm 203 */
				obj_t BgL_labsz00_2844;

				BgL_labsz00_2844 =
					BGl_getzd2labsze71z35zzsaw_jvm_funcallz00(0L, BgL_needz00_110,
					BgL_procsz00_111);
				{	/* SawJvm/funcall.scm 204 */
					obj_t BgL_arg1937z00_2845;

					{	/* SawJvm/funcall.scm 204 */
						obj_t BgL_arg1938z00_2846;

						{	/* SawJvm/funcall.scm 204 */
							obj_t BgL_arg1939z00_2847;

							BgL_arg1939z00_2847 =
								MAKE_YOUNG_PAIR(BINT(0L),
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
								(BgL_labsz00_2844, BNIL));
							BgL_arg1938z00_2846 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(20L), BgL_arg1939z00_2847);
						}
						BgL_arg1937z00_2845 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(21L), BgL_arg1938z00_2846);
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_108, BgL_arg1937z00_2845);
				}
				BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_108, CNST_TABLE_REF(20L));
				{
					obj_t BgL_l1670z00_2850;

					BgL_l1670z00_2850 = BgL_paramsz00_113;
				BgL_zc3z04anonymousza31941ze3z87_2851:
					if (PAIRP(BgL_l1670z00_2850))
						{	/* SawJvm/funcall.scm 206 */
							{	/* SawJvm/funcall.scm 206 */
								obj_t BgL_vz00_2853;

								BgL_vz00_2853 = CAR(BgL_l1670z00_2850);
								{	/* SawJvm/funcall.scm 206 */
									obj_t BgL_arg1943z00_2854;

									{	/* SawJvm/funcall.scm 206 */
										obj_t BgL_arg1944z00_2855;

										BgL_arg1944z00_2855 = MAKE_YOUNG_PAIR(BgL_vz00_2853, BNIL);
										BgL_arg1943z00_2854 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(2L), BgL_arg1944z00_2855);
									}
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_108,
										BgL_arg1943z00_2854);
								}
							}
							{
								obj_t BgL_l1670z00_5500;

								BgL_l1670z00_5500 = CDR(BgL_l1670z00_2850);
								BgL_l1670z00_2850 = BgL_l1670z00_5500;
								goto BgL_zc3z04anonymousza31941ze3z87_2851;
							}
						}
					else
						{	/* SawJvm/funcall.scm 206 */
							((bool_t) 1);
						}
				}
				{	/* SawJvm/funcall.scm 207 */
					obj_t BgL_arg1946z00_2858;

					{	/* SawJvm/funcall.scm 207 */
						obj_t BgL_arg1947z00_2859;

						BgL_arg1947z00_2859 =
							MAKE_YOUNG_PAIR(bstring_to_symbol(string_append
								(BGl_string2264z00zzsaw_jvm_funcallz00, BgL_fnamez00_112)),
							BNIL);
						BgL_arg1946z00_2858 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(33L), BgL_arg1947z00_2859);
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_108, BgL_arg1946z00_2858);
				}
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_108, CNST_TABLE_REF(19L));
				{	/* SawJvm/funcall.scm 210 */
					obj_t BgL_zc3z04anonymousza31954ze3z87_4431;

					BgL_zc3z04anonymousza31954ze3z87_4431 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31954ze3ze5zzsaw_jvm_funcallz00,
						(int) (3L), (int) (3L));
					PROCEDURE_SET(BgL_zc3z04anonymousza31954ze3z87_4431, (int) (0L),
						((obj_t) BgL_mez00_108));
					PROCEDURE_SET(BgL_zc3z04anonymousza31954ze3z87_4431, (int) (1L),
						BINT(BgL_iz00_109));
					PROCEDURE_SET(BgL_zc3z04anonymousza31954ze3z87_4431, (int) (2L),
						BgL_paramsz00_113);
					{	/* SawJvm/funcall.scm 209 */
						obj_t BgL_list1951z00_2863;

						{	/* SawJvm/funcall.scm 209 */
							obj_t BgL_arg1952z00_2864;

							{	/* SawJvm/funcall.scm 209 */
								obj_t BgL_arg1953z00_2865;

								BgL_arg1953z00_2865 = MAKE_YOUNG_PAIR(BgL_procsz00_111, BNIL);
								BgL_arg1952z00_2864 =
									MAKE_YOUNG_PAIR(BgL_labsz00_2844, BgL_arg1953z00_2865);
							}
							BgL_list1951z00_2863 =
								MAKE_YOUNG_PAIR(BgL_needz00_110, BgL_arg1952z00_2864);
						}
						return
							BGl_forzd2eachzd2zz__r4_control_features_6_9z00
							(BgL_zc3z04anonymousza31954ze3z87_4431, BgL_list1951z00_2863);
					}
				}
			}
		}

	}



/* get-labs~1 */
	obj_t BGl_getzd2labsze71z35zzsaw_jvm_funcallz00(long BgL_iz00_2877,
		obj_t BgL_nsz00_2878, obj_t BgL_psz00_2879)
	{
		{	/* SawJvm/funcall.scm 202 */
			{
				long BgL_nz00_2871;

				if (NULLP(BgL_nsz00_2878))
					{	/* SawJvm/funcall.scm 199 */
						return BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 201 */
						obj_t BgL_arg1960z00_2882;
						obj_t BgL_arg1961z00_2883;

						if (CBOOL(CAR(((obj_t) BgL_nsz00_2878))))
							{	/* SawJvm/funcall.scm 201 */
								BgL_nz00_2871 = BgL_iz00_2877;
								{	/* SawJvm/funcall.scm 197 */
									obj_t BgL_arg1956z00_2873;

									{	/* SawJvm/funcall.scm 197 */
										obj_t BgL_arg1957z00_2874;

										{	/* SawJvm/funcall.scm 197 */

											BgL_arg1957z00_2874 =
												BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
												(BgL_nz00_2871, 10L);
										}
										BgL_arg1956z00_2873 =
											string_append(BGl_string2262z00zzsaw_jvm_funcallz00,
											BgL_arg1957z00_2874);
									}
									BgL_arg1960z00_2882 = bstring_to_symbol(BgL_arg1956z00_2873);
								}
							}
						else
							{	/* SawJvm/funcall.scm 201 */
								BgL_arg1960z00_2882 = CNST_TABLE_REF(20L);
							}
						{	/* SawJvm/funcall.scm 202 */
							long BgL_arg1963z00_2885;
							obj_t BgL_arg1964z00_2886;
							obj_t BgL_arg1965z00_2887;

							BgL_arg1963z00_2885 = (BgL_iz00_2877 + 1L);
							BgL_arg1964z00_2886 = CDR(((obj_t) BgL_nsz00_2878));
							BgL_arg1965z00_2887 = CDR(((obj_t) BgL_psz00_2879));
							BgL_arg1961z00_2883 =
								BGl_getzd2labsze71z35zzsaw_jvm_funcallz00(BgL_arg1963z00_2885,
								BgL_arg1964z00_2886, BgL_arg1965z00_2887);
						}
						return MAKE_YOUNG_PAIR(BgL_arg1960z00_2882, BgL_arg1961z00_2883);
					}
			}
		}

	}



/* &<@anonymous:1954> */
	obj_t BGl_z62zc3z04anonymousza31954ze3ze5zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4432, obj_t BgL_nzf3zf3_4436, obj_t BgL_labz00_4437,
		obj_t BgL_pz00_4438)
	{
		{	/* SawJvm/funcall.scm 209 */
			{	/* SawJvm/funcall.scm 210 */
				BgL_jvmz00_bglt BgL_mez00_4433;
				long BgL_iz00_4434;
				obj_t BgL_paramsz00_4435;

				BgL_mez00_4433 =
					((BgL_jvmz00_bglt) PROCEDURE_REF(BgL_envz00_4432, (int) (0L)));
				BgL_iz00_4434 = (long) CINT(PROCEDURE_REF(BgL_envz00_4432, (int) (1L)));
				BgL_paramsz00_4435 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4432, (int) (2L)));
				if (CBOOL(BgL_nzf3zf3_4436))
					{	/* SawJvm/funcall.scm 210 */
						return
							BGl_compilezd2forzd2funcalliz00zzsaw_jvm_funcallz00(
							((obj_t) BgL_mez00_4433),
							BINT(BgL_iz00_4434), BgL_labz00_4437, BgL_pz00_4438,
							BgL_paramsz00_4435);
					}
				else
					{	/* SawJvm/funcall.scm 210 */
						return BFALSE;
					}
			}
		}

	}



/* compile-for-funcalli */
	obj_t BGl_compilezd2forzd2funcalliz00zzsaw_jvm_funcallz00(obj_t BgL_mez00_114,
		obj_t BgL_iz00_115, obj_t BgL_labz00_116, obj_t BgL_pz00_117,
		obj_t BgL_paramsz00_118)
	{
		{	/* SawJvm/funcall.scm 216 */
			{	/* SawJvm/funcall.scm 217 */
				obj_t BgL_arityz00_2890;

				BgL_arityz00_2890 =
					BGl_globalzd2arityzd2zzbackend_cplibz00(
					((BgL_globalz00_bglt) BgL_pz00_117));
				{	/* SawJvm/funcall.scm 217 */
					BgL_globalz00_bglt BgL_entryz00_2891;

					BgL_entryz00_2891 =
						BGl_globalzd2entryzd2zzbackend_cplibz00(
						((BgL_globalz00_bglt) BgL_pz00_117));
					{	/* SawJvm/funcall.scm 218 */

						{
							obj_t BgL_nz00_3015;
							obj_t BgL_iz00_3009;

							BGl_labelz00zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_114), BgL_labz00_116);
							if ((BgL_arityz00_2890 == BFALSE))
								{	/* SawJvm/funcall.scm 228 */
									{
										obj_t BgL_l1672z00_2895;

										BgL_l1672z00_2895 = BgL_paramsz00_118;
									BgL_zc3z04anonymousza31966ze3z87_2896:
										if (PAIRP(BgL_l1672z00_2895))
											{	/* SawJvm/funcall.scm 229 */
												{	/* SawJvm/funcall.scm 229 */
													obj_t BgL_vz00_2898;

													BgL_vz00_2898 = CAR(BgL_l1672z00_2895);
													{	/* SawJvm/funcall.scm 229 */
														obj_t BgL_arg1968z00_2899;

														{	/* SawJvm/funcall.scm 229 */
															obj_t BgL_arg1969z00_2900;

															BgL_arg1969z00_2900 =
																MAKE_YOUNG_PAIR(BgL_vz00_2898, BNIL);
															BgL_arg1968z00_2899 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(2L),
																BgL_arg1969z00_2900);
														}
														BGl_codez12z12zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_114),
															BgL_arg1968z00_2899);
													}
												}
												{
													obj_t BgL_l1672z00_5572;

													BgL_l1672z00_5572 = CDR(BgL_l1672z00_2895);
													BgL_l1672z00_2895 = BgL_l1672z00_5572;
													goto BgL_zc3z04anonymousza31966ze3z87_2896;
												}
											}
										else
											{	/* SawJvm/funcall.scm 229 */
												((bool_t) 1);
											}
									}
									if (((long) CINT(BgL_iz00_115) == 0L))
										{	/* SawJvm/funcall.scm 230 */
											BGl_codez12z12zzsaw_jvm_outz00(
												((BgL_jvmz00_bglt) BgL_mez00_114), CNST_TABLE_REF(35L));
											{	/* SawJvm/funcall.scm 232 */
												obj_t BgL_arg1972z00_2904;

												{	/* SawJvm/funcall.scm 232 */
													obj_t BgL_arg1973z00_2905;

													{	/* SawJvm/funcall.scm 232 */
														obj_t BgL_arg1974z00_2906;

														BgL_arg1974z00_2906 =
															BGl_declarezd2globalzd2zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_114),
															((BgL_globalz00_bglt) BgL_pz00_117));
														BgL_arg1973z00_2905 =
															MAKE_YOUNG_PAIR(BgL_arg1974z00_2906, BNIL);
													}
													BgL_arg1972z00_2904 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(36L),
														BgL_arg1973z00_2905);
												}
												BGl_codez12z12zzsaw_jvm_outz00(
													((BgL_jvmz00_bglt) BgL_mez00_114),
													BgL_arg1972z00_2904);
										}}
									else
										{	/* SawJvm/funcall.scm 233 */
											obj_t BgL_arg1975z00_2907;

											{	/* SawJvm/funcall.scm 233 */
												obj_t BgL_arg1976z00_2908;

												{	/* SawJvm/funcall.scm 233 */
													obj_t BgL_arg1977z00_2909;

													BgL_arg1977z00_2909 =
														BGl_declarezd2globalzd2zzsaw_jvm_outz00(
														((BgL_jvmz00_bglt) BgL_mez00_114),
														((BgL_globalz00_bglt) BgL_pz00_117));
													BgL_arg1976z00_2908 =
														MAKE_YOUNG_PAIR(BgL_arg1977z00_2909, BNIL);
												}
												BgL_arg1975z00_2907 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(37L),
													BgL_arg1976z00_2908);
											}
											BGl_codez12z12zzsaw_jvm_outz00(
												((BgL_jvmz00_bglt) BgL_mez00_114), BgL_arg1975z00_2907);
										}
								}
							else
								{	/* SawJvm/funcall.scm 228 */
									if (((long) CINT(BgL_arityz00_2890) >= 0L))
										{	/* SawJvm/funcall.scm 234 */
											if (BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(BgL_pz00_117))
												{	/* SawJvm/funcall.scm 235 */
													{
														obj_t BgL_l1674z00_2914;

														BgL_l1674z00_2914 = BgL_paramsz00_118;
													BgL_zc3z04anonymousza31980ze3z87_2915:
														if (PAIRP(BgL_l1674z00_2914))
															{	/* SawJvm/funcall.scm 237 */
																{	/* SawJvm/funcall.scm 237 */
																	obj_t BgL_vz00_2917;

																	BgL_vz00_2917 = CAR(BgL_l1674z00_2914);
																	{	/* SawJvm/funcall.scm 237 */
																		obj_t BgL_arg1982z00_2918;

																		{	/* SawJvm/funcall.scm 237 */
																			obj_t BgL_arg1983z00_2919;

																			BgL_arg1983z00_2919 =
																				MAKE_YOUNG_PAIR(BgL_vz00_2917, BNIL);
																			BgL_arg1982z00_2918 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(2L),
																				BgL_arg1983z00_2919);
																		}
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_114),
																			BgL_arg1982z00_2918);
																	}
																}
																{
																	obj_t BgL_l1674z00_5609;

																	BgL_l1674z00_5609 = CDR(BgL_l1674z00_2914);
																	BgL_l1674z00_2914 = BgL_l1674z00_5609;
																	goto BgL_zc3z04anonymousza31980ze3z87_2915;
																}
															}
														else
															{	/* SawJvm/funcall.scm 237 */
																((bool_t) 1);
															}
													}
													{	/* SawJvm/funcall.scm 238 */
														obj_t BgL_arg1985z00_2922;

														{	/* SawJvm/funcall.scm 238 */
															obj_t BgL_arg1986z00_2923;

															{	/* SawJvm/funcall.scm 238 */
																obj_t BgL_tmpz00_5611;

																BgL_iz00_3009 = BgL_iz00_115;
																{	/* SawJvm/funcall.scm 220 */
																	obj_t BgL_arg2039z00_3011;

																	{	/* SawJvm/funcall.scm 220 */
																		obj_t BgL_arg2040z00_3012;

																		{	/* SawJvm/funcall.scm 220 */

																			BgL_arg2040z00_3012 =
																				BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																				((long) CINT(BgL_iz00_3009), 10L);
																		}
																		BgL_arg2039z00_3011 =
																			string_append
																			(BGl_string2265z00zzsaw_jvm_funcallz00,
																			BgL_arg2040z00_3012);
																	}
																	BgL_tmpz00_5611 =
																		bstring_to_symbol(BgL_arg2039z00_3011);
																}
																BgL_arg1986z00_2923 =
																	MAKE_YOUNG_PAIR(BgL_tmpz00_5611, BNIL);
															}
															BgL_arg1985z00_2922 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(38L),
																BgL_arg1986z00_2923);
														}
														BGl_codez12z12zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_114),
															BgL_arg1985z00_2922);
													}
													BGl_callzd2globalzd2zzsaw_jvm_outz00(
														((BgL_jvmz00_bglt) BgL_mez00_114),
														BgL_entryz00_2891);
												}
											else
												{	/* SawJvm/funcall.scm 240 */
													obj_t BgL_argsz00_2925;

													BgL_argsz00_2925 =
														(((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					BgL_entryz00_2891)))->
																		BgL_valuez00))))->BgL_argsz00);
													{	/* SawJvm/funcall.scm 240 */
														obj_t BgL_typesz00_2926;

														if (NULLP(BgL_argsz00_2925))
															{	/* SawJvm/funcall.scm 241 */
																BgL_typesz00_2926 = BNIL;
															}
														else
															{	/* SawJvm/funcall.scm 241 */
																obj_t BgL_head1678z00_2944;

																{	/* SawJvm/funcall.scm 241 */
																	BgL_typez00_bglt BgL_arg2003z00_2956;

																	BgL_arg2003z00_2956 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						CAR(
																							((obj_t) BgL_argsz00_2925))))))->
																		BgL_typez00);
																	BgL_head1678z00_2944 =
																		MAKE_YOUNG_PAIR(((obj_t)
																			BgL_arg2003z00_2956), BNIL);
																}
																{	/* SawJvm/funcall.scm 241 */
																	obj_t BgL_g1681z00_2945;

																	BgL_g1681z00_2945 =
																		CDR(((obj_t) BgL_argsz00_2925));
																	{
																		obj_t BgL_l1676z00_2947;
																		obj_t BgL_tail1679z00_2948;

																		BgL_l1676z00_2947 = BgL_g1681z00_2945;
																		BgL_tail1679z00_2948 = BgL_head1678z00_2944;
																	BgL_zc3z04anonymousza31998ze3z87_2949:
																		if (NULLP(BgL_l1676z00_2947))
																			{	/* SawJvm/funcall.scm 241 */
																				BgL_typesz00_2926 =
																					BgL_head1678z00_2944;
																			}
																		else
																			{	/* SawJvm/funcall.scm 241 */
																				obj_t BgL_newtail1680z00_2951;

																				{	/* SawJvm/funcall.scm 241 */
																					BgL_typez00_bglt BgL_arg2001z00_2953;

																					BgL_arg2001z00_2953 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										CAR(
																											((obj_t)
																												BgL_l1676z00_2947))))))->
																						BgL_typez00);
																					BgL_newtail1680z00_2951 =
																						MAKE_YOUNG_PAIR(((obj_t)
																							BgL_arg2001z00_2953), BNIL);
																				}
																				SET_CDR(BgL_tail1679z00_2948,
																					BgL_newtail1680z00_2951);
																				{	/* SawJvm/funcall.scm 241 */
																					obj_t BgL_arg2000z00_2952;

																					BgL_arg2000z00_2952 =
																						CDR(((obj_t) BgL_l1676z00_2947));
																					{
																						obj_t BgL_tail1679z00_5651;
																						obj_t BgL_l1676z00_5650;

																						BgL_l1676z00_5650 =
																							BgL_arg2000z00_2952;
																						BgL_tail1679z00_5651 =
																							BgL_newtail1680z00_2951;
																						BgL_tail1679z00_2948 =
																							BgL_tail1679z00_5651;
																						BgL_l1676z00_2947 =
																							BgL_l1676z00_5650;
																						goto
																							BgL_zc3z04anonymousza31998ze3z87_2949;
																					}
																				}
																			}
																	}
																}
															}
														{	/* SawJvm/funcall.scm 241 */

															{
																obj_t BgL_ll1682z00_2928;
																obj_t BgL_ll1683z00_2929;

																BgL_ll1682z00_2928 = BgL_paramsz00_118;
																BgL_ll1683z00_2929 = BgL_typesz00_2926;
															BgL_zc3z04anonymousza31988ze3z87_2930:
																if (NULLP(BgL_ll1682z00_2928))
																	{	/* SawJvm/funcall.scm 242 */
																		((bool_t) 1);
																	}
																else
																	{	/* SawJvm/funcall.scm 242 */
																		{	/* SawJvm/funcall.scm 243 */
																			obj_t BgL_vz00_2932;
																			obj_t BgL_tz00_2933;

																			BgL_vz00_2932 =
																				CAR(((obj_t) BgL_ll1682z00_2928));
																			BgL_tz00_2933 =
																				CAR(((obj_t) BgL_ll1683z00_2929));
																			{	/* SawJvm/funcall.scm 243 */
																				obj_t BgL_arg1990z00_2934;

																				{	/* SawJvm/funcall.scm 243 */
																					obj_t BgL_arg1991z00_2935;

																					BgL_arg1991z00_2935 =
																						MAKE_YOUNG_PAIR(BgL_vz00_2932,
																						BNIL);
																					BgL_arg1990z00_2934 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF(2L),
																						BgL_arg1991z00_2935);
																				}
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_114),
																					BgL_arg1990z00_2934);
																			}
																			if (
																				(BgL_tz00_2933 ==
																					BGl_za2objza2z00zztype_cachez00))
																				{	/* SawJvm/funcall.scm 244 */
																					BFALSE;
																				}
																			else
																				{	/* SawJvm/funcall.scm 245 */
																					obj_t BgL_arg1992z00_2936;

																					{	/* SawJvm/funcall.scm 245 */
																						obj_t BgL_arg1993z00_2937;

																						{	/* SawJvm/funcall.scm 245 */
																							obj_t BgL_arg1994z00_2938;

																							BgL_arg1994z00_2938 =
																								BGl_compilezd2typezd2zzsaw_jvm_outz00
																								(((BgL_jvmz00_bglt)
																									BgL_mez00_114),
																								((BgL_typez00_bglt)
																									BgL_tz00_2933));
																							BgL_arg1993z00_2937 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1994z00_2938, BNIL);
																						}
																						BgL_arg1992z00_2936 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF
																							(28L), BgL_arg1993z00_2937);
																					}
																					BGl_codez12z12zzsaw_jvm_outz00(
																						((BgL_jvmz00_bglt) BgL_mez00_114),
																						BgL_arg1992z00_2936);
																				}
																		}
																		{	/* SawJvm/funcall.scm 242 */
																			obj_t BgL_arg1995z00_2939;
																			obj_t BgL_arg1996z00_2940;

																			BgL_arg1995z00_2939 =
																				CDR(((obj_t) BgL_ll1682z00_2928));
																			BgL_arg1996z00_2940 =
																				CDR(((obj_t) BgL_ll1683z00_2929));
																			{
																				obj_t BgL_ll1683z00_5678;
																				obj_t BgL_ll1682z00_5677;

																				BgL_ll1682z00_5677 =
																					BgL_arg1995z00_2939;
																				BgL_ll1683z00_5678 =
																					BgL_arg1996z00_2940;
																				BgL_ll1683z00_2929 = BgL_ll1683z00_5678;
																				BgL_ll1682z00_2928 = BgL_ll1682z00_5677;
																				goto
																					BgL_zc3z04anonymousza31988ze3z87_2930;
																			}
																		}
																	}
															}
															BGl_callzd2globalzd2zzsaw_jvm_outz00(
																((BgL_jvmz00_bglt) BgL_mez00_114),
																BgL_entryz00_2891);
														}
													}
												}
										}
									else
										{	/* SawJvm/funcall.scm 234 */
											{	/* SawJvm/funcall.scm 249 */
												obj_t BgL_argsz00_2959;

												BgL_argsz00_2959 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_entryz00_2891)))->BgL_valuez00))))->
													BgL_argsz00);
												{	/* SawJvm/funcall.scm 249 */
													obj_t BgL_typesz00_2960;

													if (NULLP(BgL_argsz00_2959))
														{	/* SawJvm/funcall.scm 250 */
															BgL_typesz00_2960 = BNIL;
														}
													else
														{	/* SawJvm/funcall.scm 250 */
															obj_t BgL_head1687z00_2991;

															{	/* SawJvm/funcall.scm 250 */
																BgL_typez00_bglt BgL_arg2032z00_3003;

																BgL_arg2032z00_3003 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					CAR(
																						((obj_t) BgL_argsz00_2959))))))->
																	BgL_typez00);
																BgL_head1687z00_2991 =
																	MAKE_YOUNG_PAIR(((obj_t) BgL_arg2032z00_3003),
																	BNIL);
															}
															{	/* SawJvm/funcall.scm 250 */
																obj_t BgL_g1690z00_2992;

																BgL_g1690z00_2992 =
																	CDR(((obj_t) BgL_argsz00_2959));
																{
																	obj_t BgL_l1685z00_2994;
																	obj_t BgL_tail1688z00_2995;

																	BgL_l1685z00_2994 = BgL_g1690z00_2992;
																	BgL_tail1688z00_2995 = BgL_head1687z00_2991;
																BgL_zc3z04anonymousza32026ze3z87_2996:
																	if (NULLP(BgL_l1685z00_2994))
																		{	/* SawJvm/funcall.scm 250 */
																			BgL_typesz00_2960 = BgL_head1687z00_2991;
																		}
																	else
																		{	/* SawJvm/funcall.scm 250 */
																			obj_t BgL_newtail1689z00_2998;

																			{	/* SawJvm/funcall.scm 250 */
																				BgL_typez00_bglt BgL_arg2029z00_3000;

																				BgL_arg2029z00_3000 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									CAR(
																										((obj_t)
																											BgL_l1685z00_2994))))))->
																					BgL_typez00);
																				BgL_newtail1689z00_2998 =
																					MAKE_YOUNG_PAIR(((obj_t)
																						BgL_arg2029z00_3000), BNIL);
																			}
																			SET_CDR(BgL_tail1688z00_2995,
																				BgL_newtail1689z00_2998);
																			{	/* SawJvm/funcall.scm 250 */
																				obj_t BgL_arg2028z00_2999;

																				BgL_arg2028z00_2999 =
																					CDR(((obj_t) BgL_l1685z00_2994));
																				{
																					obj_t BgL_tail1688z00_5709;
																					obj_t BgL_l1685z00_5708;

																					BgL_l1685z00_5708 =
																						BgL_arg2028z00_2999;
																					BgL_tail1688z00_5709 =
																						BgL_newtail1689z00_2998;
																					BgL_tail1688z00_2995 =
																						BgL_tail1688z00_5709;
																					BgL_l1685z00_2994 = BgL_l1685z00_5708;
																					goto
																						BgL_zc3z04anonymousza32026ze3z87_2996;
																				}
																			}
																		}
																}
															}
														}
													{	/* SawJvm/funcall.scm 250 */

														{	/* SawJvm/funcall.scm 251 */
															obj_t BgL_g1214z00_2961;

															BgL_g1214z00_2961 =
																BGl_zd2zd2zz__r4_numbers_6_5z00
																(BgL_arityz00_2890, BNIL);
															{
																obj_t BgL_iz00_2963;
																obj_t BgL_paramsz00_2964;
																obj_t BgL_typesz00_2965;

																BgL_iz00_2963 = BgL_g1214z00_2961;
																BgL_paramsz00_2964 = BgL_paramsz00_118;
																BgL_typesz00_2965 = BgL_typesz00_2960;
															BgL_zc3z04anonymousza32007ze3z87_2966:
																if (((long) CINT(BgL_iz00_2963) == 0L))
																	{
																		obj_t BgL_l1691z00_2969;

																		BgL_l1691z00_2969 = BgL_paramsz00_2964;
																	BgL_zc3z04anonymousza32009ze3z87_2970:
																		if (PAIRP(BgL_l1691z00_2969))
																			{	/* SawJvm/funcall.scm 255 */
																				{	/* SawJvm/funcall.scm 255 */
																					obj_t BgL_vz00_2972;

																					BgL_vz00_2972 =
																						CAR(BgL_l1691z00_2969);
																					{	/* SawJvm/funcall.scm 255 */
																						obj_t BgL_arg2011z00_2973;

																						{	/* SawJvm/funcall.scm 255 */
																							obj_t BgL_arg2012z00_2974;

																							BgL_arg2012z00_2974 =
																								MAKE_YOUNG_PAIR(BgL_vz00_2972,
																								BNIL);
																							BgL_arg2011z00_2973 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF
																								(2L), BgL_arg2012z00_2974);
																						}
																						BGl_codez12z12zzsaw_jvm_outz00(
																							((BgL_jvmz00_bglt) BgL_mez00_114),
																							BgL_arg2011z00_2973);
																					}
																				}
																				{
																					obj_t BgL_l1691z00_5722;

																					BgL_l1691z00_5722 =
																						CDR(BgL_l1691z00_2969);
																					BgL_l1691z00_2969 = BgL_l1691z00_5722;
																					goto
																						BgL_zc3z04anonymousza32009ze3z87_2970;
																				}
																			}
																		else
																			{	/* SawJvm/funcall.scm 255 */
																				((bool_t) 1);
																			}
																	}
																else
																	{	/* SawJvm/funcall.scm 256 */
																		obj_t BgL_vz00_2977;
																		obj_t BgL_tz00_2978;

																		BgL_vz00_2977 =
																			CAR(((obj_t) BgL_paramsz00_2964));
																		BgL_tz00_2978 =
																			CAR(((obj_t) BgL_typesz00_2965));
																		{	/* SawJvm/funcall.scm 258 */
																			obj_t BgL_arg2014z00_2979;

																			{	/* SawJvm/funcall.scm 258 */
																				obj_t BgL_arg2015z00_2980;

																				BgL_arg2015z00_2980 =
																					MAKE_YOUNG_PAIR(BgL_vz00_2977, BNIL);
																				BgL_arg2014z00_2979 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(2L),
																					BgL_arg2015z00_2980);
																			}
																			BGl_codez12z12zzsaw_jvm_outz00(
																				((BgL_jvmz00_bglt) BgL_mez00_114),
																				BgL_arg2014z00_2979);
																		}
																		if (
																			(BgL_tz00_2978 ==
																				BGl_za2objza2z00zztype_cachez00))
																			{	/* SawJvm/funcall.scm 259 */
																				BFALSE;
																			}
																		else
																			{	/* SawJvm/funcall.scm 260 */
																				obj_t BgL_arg2016z00_2981;

																				{	/* SawJvm/funcall.scm 260 */
																					obj_t BgL_arg2018z00_2982;

																					{	/* SawJvm/funcall.scm 260 */
																						obj_t BgL_arg2019z00_2983;

																						BgL_arg2019z00_2983 =
																							BGl_compilezd2typezd2zzsaw_jvm_outz00
																							(((BgL_jvmz00_bglt)
																								BgL_mez00_114),
																							((BgL_typez00_bglt)
																								BgL_tz00_2978));
																						BgL_arg2018z00_2982 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2019z00_2983, BNIL);
																					}
																					BgL_arg2016z00_2981 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF(28L),
																						BgL_arg2018z00_2982);
																				}
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_114),
																					BgL_arg2016z00_2981);
																			}
																		{	/* SawJvm/funcall.scm 261 */
																			long BgL_arg2020z00_2984;
																			obj_t BgL_arg2021z00_2985;
																			obj_t BgL_arg2023z00_2986;

																			BgL_arg2020z00_2984 =
																				((long) CINT(BgL_iz00_2963) - 1L);
																			BgL_arg2021z00_2985 =
																				CDR(((obj_t) BgL_paramsz00_2964));
																			BgL_arg2023z00_2986 =
																				CDR(((obj_t) BgL_typesz00_2965));
																			{
																				obj_t BgL_typesz00_5752;
																				obj_t BgL_paramsz00_5751;
																				obj_t BgL_iz00_5749;

																				BgL_iz00_5749 =
																					BINT(BgL_arg2020z00_2984);
																				BgL_paramsz00_5751 =
																					BgL_arg2021z00_2985;
																				BgL_typesz00_5752 = BgL_arg2023z00_2986;
																				BgL_typesz00_2965 = BgL_typesz00_5752;
																				BgL_paramsz00_2964 = BgL_paramsz00_5751;
																				BgL_iz00_2963 = BgL_iz00_5749;
																				goto
																					BgL_zc3z04anonymousza32007ze3z87_2966;
																			}
																		}
																	}
															}
														}
													}
												}
											}
											BGl_codez12z12zzsaw_jvm_outz00(
												((BgL_jvmz00_bglt) BgL_mez00_114), CNST_TABLE_REF(39L));
											{	/* SawJvm/funcall.scm 263 */
												obj_t BgL_arg2036z00_3006;

												{	/* SawJvm/funcall.scm 263 */
													obj_t BgL_b1693z00_3007;

													if (INTEGERP(BgL_arityz00_2890))
														{	/* SawJvm/funcall.scm 263 */
															obj_t BgL_tmpz00_4089;

															BgL_tmpz00_4089 = BINT(0L);
															{	/* SawJvm/funcall.scm 263 */
																bool_t BgL_test2438z00_5759;

																{	/* SawJvm/funcall.scm 263 */
																	obj_t BgL_tmpz00_5760;

																	BgL_tmpz00_5760 = BINT(1L);
																	BgL_test2438z00_5759 =
																		BGL_ADDFX_OV(BgL_tmpz00_5760,
																		BgL_arityz00_2890, BgL_tmpz00_4089);
																}
																if (BgL_test2438z00_5759)
																	{	/* SawJvm/funcall.scm 263 */
																		BgL_b1693z00_3007 =
																			bgl_bignum_add(CNST_TABLE_REF(40L),
																			bgl_long_to_bignum(
																				(long) CINT(BgL_arityz00_2890)));
																	}
																else
																	{	/* SawJvm/funcall.scm 263 */
																		BgL_b1693z00_3007 = BgL_tmpz00_4089;
																	}
															}
														}
													else
														{	/* SawJvm/funcall.scm 263 */
															BgL_b1693z00_3007 =
																BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT(1L),
																BgL_arityz00_2890);
														}
													{	/* SawJvm/funcall.scm 263 */
														bool_t BgL_test2439z00_5769;

														if (INTEGERP(BgL_iz00_115))
															{	/* SawJvm/funcall.scm 263 */
																BgL_test2439z00_5769 =
																	INTEGERP(BgL_b1693z00_3007);
															}
														else
															{	/* SawJvm/funcall.scm 263 */
																BgL_test2439z00_5769 = ((bool_t) 0);
															}
														if (BgL_test2439z00_5769)
															{	/* SawJvm/funcall.scm 263 */
																obj_t BgL_tmpz00_4099;

																BgL_tmpz00_4099 = BINT(0L);
																if (BGL_ADDFX_OV(BgL_iz00_115,
																		BgL_b1693z00_3007, BgL_tmpz00_4099))
																	{	/* SawJvm/funcall.scm 263 */
																		BgL_arg2036z00_3006 =
																			bgl_bignum_add(bgl_long_to_bignum(
																				(long) CINT(BgL_iz00_115)),
																			bgl_long_to_bignum(
																				(long) CINT(BgL_b1693z00_3007)));
																	}
																else
																	{	/* SawJvm/funcall.scm 263 */
																		BgL_arg2036z00_3006 = BgL_tmpz00_4099;
																	}
															}
														else
															{	/* SawJvm/funcall.scm 263 */
																BgL_arg2036z00_3006 =
																	BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_iz00_115,
																	BgL_b1693z00_3007);
															}
													}
												}
												BgL_nz00_3015 = BgL_arg2036z00_3006;
											BgL_zc3z04anonymousza32041ze3z87_3016:
												{	/* SawJvm/funcall.scm 222 */
													bool_t BgL_test2442z00_5782;

													if (INTEGERP(BgL_nz00_3015))
														{	/* SawJvm/funcall.scm 222 */
															BgL_test2442z00_5782 =
																((long) CINT(BgL_nz00_3015) == 0L);
														}
													else
														{	/* SawJvm/funcall.scm 222 */
															BgL_test2442z00_5782 =
																BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_3015,
																BINT(0L));
														}
													if (BgL_test2442z00_5782)
														{	/* SawJvm/funcall.scm 222 */
															BGl_callzd2globalzd2zzsaw_jvm_outz00(
																((BgL_jvmz00_bglt) BgL_mez00_114),
																BgL_entryz00_2891);
														}
													else
														{	/* SawJvm/funcall.scm 222 */
															BGl_codez12z12zzsaw_jvm_outz00(
																((BgL_jvmz00_bglt) BgL_mez00_114),
																CNST_TABLE_REF(34L));
															{	/* SawJvm/funcall.scm 225 */
																long BgL_arg2043z00_3018;

																BgL_arg2043z00_3018 =
																	((long) CINT(BgL_nz00_3015) - 1L);
																{
																	obj_t BgL_nz00_5796;

																	BgL_nz00_5796 = BINT(BgL_arg2043z00_3018);
																	BgL_nz00_3015 = BgL_nz00_5796;
																	goto BgL_zc3z04anonymousza32041ze3z87_3016;
																}
															}
														}
												}
											}
										}
								}
							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_114), CNST_TABLE_REF(19L));
						}
					}
				}
			}
		}

	}



/* compile-apply */
	obj_t BGl_compilezd2applyzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_119, obj_t BgL_procsz00_120)
	{
		{	/* SawJvm/funcall.scm 269 */
			{	/* SawJvm/funcall.scm 274 */
				obj_t BgL_needz00_3022;

				if (NULLP(BgL_procsz00_120))
					{	/* SawJvm/funcall.scm 274 */
						BgL_needz00_3022 = BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 274 */
						obj_t BgL_head1696z00_3044;

						{	/* SawJvm/funcall.scm 274 */
							obj_t BgL_arg2057z00_3056;

							{	/* SawJvm/funcall.scm 274 */
								obj_t BgL_arg2058z00_3057;

								BgL_arg2058z00_3057 = CAR(((obj_t) BgL_procsz00_120));
								BgL_arg2057z00_3056 =
									BGl_xx_globalzd2arityze70z35zzsaw_jvm_funcallz00
									(BgL_mez00_119, BgL_arg2058z00_3057);
							}
							BgL_head1696z00_3044 = MAKE_YOUNG_PAIR(BgL_arg2057z00_3056, BNIL);
						}
						{	/* SawJvm/funcall.scm 274 */
							obj_t BgL_g1699z00_3045;

							BgL_g1699z00_3045 = CDR(((obj_t) BgL_procsz00_120));
							{
								obj_t BgL_l1694z00_3047;
								obj_t BgL_tail1697z00_3048;

								BgL_l1694z00_3047 = BgL_g1699z00_3045;
								BgL_tail1697z00_3048 = BgL_head1696z00_3044;
							BgL_zc3z04anonymousza32052ze3z87_3049:
								if (NULLP(BgL_l1694z00_3047))
									{	/* SawJvm/funcall.scm 274 */
										BgL_needz00_3022 = BgL_head1696z00_3044;
									}
								else
									{	/* SawJvm/funcall.scm 274 */
										obj_t BgL_newtail1698z00_3051;

										{	/* SawJvm/funcall.scm 274 */
											obj_t BgL_arg2055z00_3053;

											{	/* SawJvm/funcall.scm 274 */
												obj_t BgL_arg2056z00_3054;

												BgL_arg2056z00_3054 = CAR(((obj_t) BgL_l1694z00_3047));
												BgL_arg2055z00_3053 =
													BGl_xx_globalzd2arityze70z35zzsaw_jvm_funcallz00
													(BgL_mez00_119, BgL_arg2056z00_3054);
											}
											BgL_newtail1698z00_3051 =
												MAKE_YOUNG_PAIR(BgL_arg2055z00_3053, BNIL);
										}
										SET_CDR(BgL_tail1697z00_3048, BgL_newtail1698z00_3051);
										{	/* SawJvm/funcall.scm 274 */
											obj_t BgL_arg2054z00_3052;

											BgL_arg2054z00_3052 = CDR(((obj_t) BgL_l1694z00_3047));
											{
												obj_t BgL_tail1697z00_5819;
												obj_t BgL_l1694z00_5818;

												BgL_l1694z00_5818 = BgL_arg2054z00_3052;
												BgL_tail1697z00_5819 = BgL_newtail1698z00_3051;
												BgL_tail1697z00_3048 = BgL_tail1697z00_5819;
												BgL_l1694z00_3047 = BgL_l1694z00_5818;
												goto BgL_zc3z04anonymousza32052ze3z87_3049;
											}
										}
									}
							}
						}
					}
				{	/* SawJvm/funcall.scm 275 */
					bool_t BgL_test2446z00_5820;

					{
						obj_t BgL_l1700z00_3034;

						BgL_l1700z00_3034 = BgL_needz00_3022;
					BgL_zc3z04anonymousza32049ze3z87_3035:
						if (NULLP(BgL_l1700z00_3034))
							{	/* SawJvm/funcall.scm 275 */
								BgL_test2446z00_5820 = ((bool_t) 1);
							}
						else
							{	/* SawJvm/funcall.scm 275 */
								bool_t BgL_test2448z00_5823;

								if (CBOOL(CAR(((obj_t) BgL_l1700z00_3034))))
									{	/* SawJvm/funcall.scm 275 */
										BgL_test2448z00_5823 = ((bool_t) 0);
									}
								else
									{	/* SawJvm/funcall.scm 275 */
										BgL_test2448z00_5823 = ((bool_t) 1);
									}
								if (BgL_test2448z00_5823)
									{
										obj_t BgL_l1700z00_5828;

										BgL_l1700z00_5828 = CDR(((obj_t) BgL_l1700z00_3034));
										BgL_l1700z00_3034 = BgL_l1700z00_5828;
										goto BgL_zc3z04anonymousza32049ze3z87_3035;
									}
								else
									{	/* SawJvm/funcall.scm 275 */
										BgL_test2446z00_5820 = ((bool_t) 0);
									}
							}
					}
					if (BgL_test2446z00_5820)
						{	/* SawJvm/funcall.scm 275 */
							return BFALSE;
						}
					else
						{	/* SawJvm/funcall.scm 275 */
							BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_119,
								CNST_TABLE_REF(41L));
							BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_119,
								CNST_TABLE_REF(42L), BNIL);
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_119,
								CNST_TABLE_REF(31L));
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_119,
								CNST_TABLE_REF(31L));
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_119, CNST_TABLE_REF(3L));
							BGl_compilezd2dispatchzd2zzsaw_jvm_funcallz00(BgL_mez00_119,
								BgL_needz00_3022, BgL_procsz00_120);
							return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_119);
						}
				}
			}
		}

	}



/* xx_global-arity~0 */
	obj_t BGl_xx_globalzd2arityze70z35zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_4484, obj_t BgL_pz00_3058)
	{
		{	/* SawJvm/funcall.scm 273 */
			if (BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00(BgL_mez00_4484,
					BgL_pz00_3058))
				{	/* SawJvm/funcall.scm 271 */
					return BFALSE;
				}
			else
				{	/* SawJvm/funcall.scm 272 */
					bool_t BgL_test2451z00_5845;

					{	/* SawJvm/funcall.scm 272 */
						BgL_globalz00_bglt BgL_arg2060z00_3062;

						BgL_arg2060z00_3062 =
							BGl_globalzd2entryzd2zzbackend_cplibz00(
							((BgL_globalz00_bglt) BgL_pz00_3058));
						BgL_test2451z00_5845 =
							BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00
							(BgL_mez00_4484, ((obj_t) BgL_arg2060z00_3062));
					}
					if (BgL_test2451z00_5845)
						{	/* SawJvm/funcall.scm 272 */
							return BFALSE;
						}
					else
						{	/* SawJvm/funcall.scm 272 */
							return
								BGl_globalzd2arityzd2zzbackend_cplibz00(
								((BgL_globalz00_bglt) BgL_pz00_3058));
						}
				}
		}

	}



/* compile-dispatch */
	obj_t BGl_compilezd2dispatchzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_121, obj_t BgL_needz00_122, obj_t BgL_procsz00_123)
	{
		{	/* SawJvm/funcall.scm 284 */
			{	/* SawJvm/funcall.scm 291 */
				obj_t BgL_labsz00_3066;

				BgL_labsz00_3066 =
					BGl_getzd2labsze70z35zzsaw_jvm_funcallz00(0L, BgL_needz00_122,
					BgL_procsz00_123);
				{	/* SawJvm/funcall.scm 292 */
					obj_t BgL_arg2061z00_3067;

					{	/* SawJvm/funcall.scm 292 */
						obj_t BgL_arg2062z00_3068;

						{	/* SawJvm/funcall.scm 292 */
							obj_t BgL_arg2063z00_3069;

							BgL_arg2063z00_3069 =
								MAKE_YOUNG_PAIR(BINT(0L),
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
								(BgL_labsz00_3066, BNIL));
							BgL_arg2062z00_3068 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(20L), BgL_arg2063z00_3069);
						}
						BgL_arg2061z00_3067 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(21L), BgL_arg2062z00_3068);
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_121, BgL_arg2061z00_3067);
				}
				BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_121, CNST_TABLE_REF(20L));
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_121, CNST_TABLE_REF(43L));
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_121, CNST_TABLE_REF(44L));
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_121, CNST_TABLE_REF(19L));
				{	/* SawJvm/funcall.scm 297 */
					obj_t BgL_zc3z04anonymousza32071ze3z87_4439;

					BgL_zc3z04anonymousza32071ze3z87_4439 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza32071ze3ze5zzsaw_jvm_funcallz00,
						(int) (3L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32071ze3z87_4439, (int) (0L),
						((obj_t) BgL_mez00_121));
					{	/* SawJvm/funcall.scm 297 */
						obj_t BgL_list2068z00_3072;

						{	/* SawJvm/funcall.scm 297 */
							obj_t BgL_arg2069z00_3073;

							{	/* SawJvm/funcall.scm 297 */
								obj_t BgL_arg2070z00_3074;

								BgL_arg2070z00_3074 = MAKE_YOUNG_PAIR(BgL_procsz00_123, BNIL);
								BgL_arg2069z00_3073 =
									MAKE_YOUNG_PAIR(BgL_labsz00_3066, BgL_arg2070z00_3074);
							}
							BgL_list2068z00_3072 =
								MAKE_YOUNG_PAIR(BgL_needz00_122, BgL_arg2069z00_3073);
						}
						return
							BGl_forzd2eachzd2zz__r4_control_features_6_9z00
							(BgL_zc3z04anonymousza32071ze3z87_4439, BgL_list2068z00_3072);
					}
				}
			}
		}

	}



/* get-labs~0 */
	obj_t BGl_getzd2labsze70z35zzsaw_jvm_funcallz00(long BgL_iz00_3086,
		obj_t BgL_nsz00_3087, obj_t BgL_psz00_3088)
	{
		{	/* SawJvm/funcall.scm 290 */
			{
				long BgL_nz00_3080;

				if (NULLP(BgL_nsz00_3087))
					{	/* SawJvm/funcall.scm 287 */
						return BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 289 */
						obj_t BgL_arg2077z00_3091;
						obj_t BgL_arg2078z00_3092;

						if (CBOOL(CAR(((obj_t) BgL_nsz00_3087))))
							{	/* SawJvm/funcall.scm 289 */
								BgL_nz00_3080 = BgL_iz00_3086;
								{	/* SawJvm/funcall.scm 285 */
									obj_t BgL_arg2073z00_3082;

									{	/* SawJvm/funcall.scm 285 */
										obj_t BgL_arg2074z00_3083;

										{	/* SawJvm/funcall.scm 285 */

											BgL_arg2074z00_3083 =
												BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
												(BgL_nz00_3080, 10L);
										}
										BgL_arg2073z00_3082 =
											string_append(BGl_string2262z00zzsaw_jvm_funcallz00,
											BgL_arg2074z00_3083);
									}
									BgL_arg2077z00_3091 = bstring_to_symbol(BgL_arg2073z00_3082);
								}
							}
						else
							{	/* SawJvm/funcall.scm 289 */
								BgL_arg2077z00_3091 = CNST_TABLE_REF(20L);
							}
						{	/* SawJvm/funcall.scm 290 */
							long BgL_arg2080z00_3094;
							obj_t BgL_arg2081z00_3095;
							obj_t BgL_arg2082z00_3096;

							BgL_arg2080z00_3094 = (BgL_iz00_3086 + 1L);
							BgL_arg2081z00_3095 = CDR(((obj_t) BgL_nsz00_3087));
							BgL_arg2082z00_3096 = CDR(((obj_t) BgL_psz00_3088));
							BgL_arg2078z00_3092 =
								BGl_getzd2labsze70z35zzsaw_jvm_funcallz00(BgL_arg2080z00_3094,
								BgL_arg2081z00_3095, BgL_arg2082z00_3096);
						}
						return MAKE_YOUNG_PAIR(BgL_arg2077z00_3091, BgL_arg2078z00_3092);
					}
			}
		}

	}



/* &<@anonymous:2071> */
	obj_t BGl_z62zc3z04anonymousza32071ze3ze5zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4440, obj_t BgL_nzf3zf3_4442, obj_t BgL_labz00_4443,
		obj_t BgL_pz00_4444)
	{
		{	/* SawJvm/funcall.scm 297 */
			{	/* SawJvm/funcall.scm 297 */
				BgL_jvmz00_bglt BgL_mez00_4441;

				BgL_mez00_4441 =
					((BgL_jvmz00_bglt) PROCEDURE_REF(BgL_envz00_4440, (int) (0L)));
				if (CBOOL(BgL_nzf3zf3_4442))
					{	/* SawJvm/funcall.scm 297 */
						return
							BGl_compilezd2forzd2applyz00zzsaw_jvm_funcallz00(
							((obj_t) BgL_mez00_4441), BgL_labz00_4443, BgL_pz00_4444);
					}
				else
					{	/* SawJvm/funcall.scm 297 */
						return BFALSE;
					}
			}
		}

	}



/* compile-for-apply */
	obj_t BGl_compilezd2forzd2applyz00zzsaw_jvm_funcallz00(obj_t BgL_mez00_124,
		obj_t BgL_labz00_125, obj_t BgL_pz00_126)
	{
		{	/* SawJvm/funcall.scm 302 */
			{
				obj_t BgL_mez00_3124;
				obj_t BgL_nz00_3125;
				bool_t BgL_fixedarityzf3zf3_3126;
				obj_t BgL_typesz00_3127;

				{	/* SawJvm/funcall.scm 328 */
					obj_t BgL_arityz00_3100;

					BgL_arityz00_3100 =
						BGl_globalzd2arityzd2zzbackend_cplibz00(
						((BgL_globalz00_bglt) BgL_pz00_126));
					{	/* SawJvm/funcall.scm 328 */
						BgL_globalz00_bglt BgL_entryz00_3101;

						BgL_entryz00_3101 =
							BGl_globalzd2entryzd2zzbackend_cplibz00(
							((BgL_globalz00_bglt) BgL_pz00_126));
						{	/* SawJvm/funcall.scm 329 */
							obj_t BgL_argsz00_3102;

							BgL_argsz00_3102 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_entryz00_3101)))->
												BgL_valuez00))))->BgL_argsz00);
							{	/* SawJvm/funcall.scm 330 */
								obj_t BgL_typesz00_3103;

								{	/* SawJvm/funcall.scm 331 */
									obj_t BgL_l1703z00_3107;

									BgL_l1703z00_3107 = CDR(((obj_t) BgL_argsz00_3102));
									if (NULLP(BgL_l1703z00_3107))
										{	/* SawJvm/funcall.scm 331 */
											BgL_typesz00_3103 = BNIL;
										}
									else
										{	/* SawJvm/funcall.scm 331 */
											obj_t BgL_head1705z00_3109;

											{	/* SawJvm/funcall.scm 331 */
												BgL_typez00_bglt BgL_arg2093z00_3121;

												BgL_arg2093z00_3121 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt)
																	CAR(
																		((obj_t) BgL_l1703z00_3107))))))->
													BgL_typez00);
												BgL_head1705z00_3109 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg2093z00_3121), BNIL);
											}
											{	/* SawJvm/funcall.scm 331 */
												obj_t BgL_g1708z00_3110;

												BgL_g1708z00_3110 = CDR(((obj_t) BgL_l1703z00_3107));
												{
													obj_t BgL_l1703z00_3112;
													obj_t BgL_tail1706z00_3113;

													BgL_l1703z00_3112 = BgL_g1708z00_3110;
													BgL_tail1706z00_3113 = BgL_head1705z00_3109;
												BgL_zc3z04anonymousza32087ze3z87_3114:
													if (NULLP(BgL_l1703z00_3112))
														{	/* SawJvm/funcall.scm 331 */
															BgL_typesz00_3103 = BgL_head1705z00_3109;
														}
													else
														{	/* SawJvm/funcall.scm 331 */
															obj_t BgL_newtail1707z00_3116;

															{	/* SawJvm/funcall.scm 331 */
																BgL_typez00_bglt BgL_arg2090z00_3118;

																BgL_arg2090z00_3118 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					CAR(
																						((obj_t) BgL_l1703z00_3112))))))->
																	BgL_typez00);
																BgL_newtail1707z00_3116 =
																	MAKE_YOUNG_PAIR(((obj_t) BgL_arg2090z00_3118),
																	BNIL);
															}
															SET_CDR(BgL_tail1706z00_3113,
																BgL_newtail1707z00_3116);
															{	/* SawJvm/funcall.scm 331 */
																obj_t BgL_arg2089z00_3117;

																BgL_arg2089z00_3117 =
																	CDR(((obj_t) BgL_l1703z00_3112));
																{
																	obj_t BgL_tail1706z00_5937;
																	obj_t BgL_l1703z00_5936;

																	BgL_l1703z00_5936 = BgL_arg2089z00_3117;
																	BgL_tail1706z00_5937 =
																		BgL_newtail1707z00_3116;
																	BgL_tail1706z00_3113 = BgL_tail1706z00_5937;
																	BgL_l1703z00_3112 = BgL_l1703z00_5936;
																	goto BgL_zc3z04anonymousza32087ze3z87_3114;
																}
															}
														}
												}
											}
										}
								}
								{	/* SawJvm/funcall.scm 331 */

									BGl_labelz00zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_124), BgL_labz00_125);
									{	/* SawJvm/funcall.scm 333 */
										bool_t BgL_test2457z00_5940;

										if (INTEGERP(BgL_arityz00_3100))
											{	/* SawJvm/funcall.scm 333 */
												BgL_test2457z00_5940 =
													((long) CINT(BgL_arityz00_3100) >= 0L);
											}
										else
											{	/* SawJvm/funcall.scm 333 */
												BgL_test2457z00_5940 =
													BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_arityz00_3100,
													BINT(0L));
											}
										if (BgL_test2457z00_5940)
											{	/* SawJvm/funcall.scm 333 */
												if (BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00
													(BgL_pz00_126))
													{	/* SawJvm/funcall.scm 334 */
														BGl_codez12z12zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_124),
															CNST_TABLE_REF(43L));
														BGl_codez12z12zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_124),
															CNST_TABLE_REF(50L));
													}
												else
													{	/* SawJvm/funcall.scm 334 */
														BgL_mez00_3124 = BgL_mez00_124;
														BgL_nz00_3125 = BgL_arityz00_3100;
														BgL_fixedarityzf3zf3_3126 = ((bool_t) 1);
														BgL_typesz00_3127 = BgL_typesz00_3103;
													BgL_zc3z04anonymousza32096ze3z87_3128:
														if (((long) CINT(BgL_nz00_3125) == 0L))
															{	/* SawJvm/funcall.scm 305 */
																if (BgL_fixedarityzf3zf3_3126)
																	{	/* SawJvm/funcall.scm 306 */
																		BFALSE;
																	}
																else
																	{	/* SawJvm/funcall.scm 306 */
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3124),
																			CNST_TABLE_REF(43L));
																	}
															}
														else
															{	/* SawJvm/funcall.scm 305 */
																if (((long) CINT(BgL_nz00_3125) == 1L))
																	{	/* SawJvm/funcall.scm 308 */
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3124),
																			CNST_TABLE_REF(43L));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3124),
																			CNST_TABLE_REF(45L));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3124),
																			CNST_TABLE_REF(46L));
																		{	/* SawJvm/funcall.scm 312 */
																			bool_t BgL_test2463z00_5974;

																			{	/* SawJvm/funcall.scm 312 */
																				obj_t BgL_arg2105z00_3137;

																				BgL_arg2105z00_3137 =
																					CAR(((obj_t) BgL_typesz00_3127));
																				BgL_test2463z00_5974 =
																					(BgL_arg2105z00_3137 ==
																					BGl_za2objza2z00zztype_cachez00);
																			}
																			if (BgL_test2463z00_5974)
																				{	/* SawJvm/funcall.scm 312 */
																					BFALSE;
																				}
																			else
																				{	/* SawJvm/funcall.scm 313 */
																					obj_t BgL_arg2101z00_3133;

																					{	/* SawJvm/funcall.scm 313 */
																						obj_t BgL_arg2102z00_3134;

																						{	/* SawJvm/funcall.scm 313 */
																							obj_t BgL_arg2103z00_3135;

																							{	/* SawJvm/funcall.scm 313 */
																								obj_t BgL_arg2104z00_3136;

																								BgL_arg2104z00_3136 =
																									CAR(
																									((obj_t) BgL_typesz00_3127));
																								BgL_arg2103z00_3135 =
																									BGl_compilezd2typezd2zzsaw_jvm_outz00
																									(((BgL_jvmz00_bglt)
																										BgL_mez00_3124),
																									((BgL_typez00_bglt)
																										BgL_arg2104z00_3136));
																							}
																							BgL_arg2102z00_3134 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2103z00_3135, BNIL);
																						}
																						BgL_arg2101z00_3133 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF
																							(28L), BgL_arg2102z00_3134);
																					}
																					BGl_codez12z12zzsaw_jvm_outz00(
																						((BgL_jvmz00_bglt) BgL_mez00_3124),
																						BgL_arg2101z00_3133);
																				}
																		}
																		if (BgL_fixedarityzf3zf3_3126)
																			{	/* SawJvm/funcall.scm 314 */
																				BFALSE;
																			}
																		else
																			{	/* SawJvm/funcall.scm 314 */
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_3124),
																					CNST_TABLE_REF(43L));
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_3124),
																					CNST_TABLE_REF(45L));
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_3124),
																					CNST_TABLE_REF(47L));
																			}
																	}
																else
																	{	/* SawJvm/funcall.scm 308 */
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3124),
																			CNST_TABLE_REF(43L));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3124),
																			CNST_TABLE_REF(45L));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3124),
																			CNST_TABLE_REF(48L));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3124),
																			CNST_TABLE_REF(47L));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3124),
																			CNST_TABLE_REF(49L));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3124),
																			CNST_TABLE_REF(46L));
																		{	/* SawJvm/funcall.scm 325 */
																			bool_t BgL_test2465z00_6016;

																			{	/* SawJvm/funcall.scm 325 */
																				obj_t BgL_arg2112z00_3144;

																				BgL_arg2112z00_3144 =
																					CAR(((obj_t) BgL_typesz00_3127));
																				BgL_test2465z00_6016 =
																					(BgL_arg2112z00_3144 ==
																					BGl_za2objza2z00zztype_cachez00);
																			}
																			if (BgL_test2465z00_6016)
																				{	/* SawJvm/funcall.scm 325 */
																					BFALSE;
																				}
																			else
																				{	/* SawJvm/funcall.scm 326 */
																					obj_t BgL_arg2108z00_3140;

																					{	/* SawJvm/funcall.scm 326 */
																						obj_t BgL_arg2109z00_3141;

																						{	/* SawJvm/funcall.scm 326 */
																							obj_t BgL_arg2110z00_3142;

																							{	/* SawJvm/funcall.scm 326 */
																								obj_t BgL_arg2111z00_3143;

																								BgL_arg2111z00_3143 =
																									CAR(
																									((obj_t) BgL_typesz00_3127));
																								BgL_arg2110z00_3142 =
																									BGl_compilezd2typezd2zzsaw_jvm_outz00
																									(((BgL_jvmz00_bglt)
																										BgL_mez00_3124),
																									((BgL_typez00_bglt)
																										BgL_arg2111z00_3143));
																							}
																							BgL_arg2109z00_3141 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2110z00_3142, BNIL);
																						}
																						BgL_arg2108z00_3140 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF
																							(28L), BgL_arg2109z00_3141);
																					}
																					BGl_codez12z12zzsaw_jvm_outz00(
																						((BgL_jvmz00_bglt) BgL_mez00_3124),
																						BgL_arg2108z00_3140);
																				}
																		}
																		{	/* SawJvm/funcall.scm 327 */
																			obj_t BgL_arg2113z00_3145;
																			obj_t BgL_arg2114z00_3146;

																			if (INTEGERP(BgL_nz00_3125))
																				{	/* SawJvm/funcall.scm 327 */
																					obj_t BgL_tmpz00_4127;

																					BgL_tmpz00_4127 = BINT(0L);
																					{	/* SawJvm/funcall.scm 327 */
																						bool_t BgL_test2467z00_6033;

																						{	/* SawJvm/funcall.scm 327 */
																							obj_t BgL_tmpz00_6034;

																							BgL_tmpz00_6034 = BINT(1L);
																							BgL_test2467z00_6033 =
																								BGL_SUBFX_OV(BgL_nz00_3125,
																								BgL_tmpz00_6034,
																								BgL_tmpz00_4127);
																						}
																						if (BgL_test2467z00_6033)
																							{	/* SawJvm/funcall.scm 327 */
																								BgL_arg2113z00_3145 =
																									bgl_bignum_sub
																									(bgl_long_to_bignum((long)
																										CINT(BgL_nz00_3125)),
																									CNST_TABLE_REF(40L));
																							}
																						else
																							{	/* SawJvm/funcall.scm 327 */
																								BgL_arg2113z00_3145 =
																									BgL_tmpz00_4127;
																							}
																					}
																				}
																			else
																				{	/* SawJvm/funcall.scm 327 */
																					BgL_arg2113z00_3145 =
																						BGl_2zd2zd2zz__r4_numbers_6_5z00
																						(BgL_nz00_3125, BINT(1L));
																				}
																			BgL_arg2114z00_3146 =
																				CDR(((obj_t) BgL_typesz00_3127));
																			{
																				obj_t BgL_typesz00_6046;
																				obj_t BgL_nz00_6045;

																				BgL_nz00_6045 = BgL_arg2113z00_3145;
																				BgL_typesz00_6046 = BgL_arg2114z00_3146;
																				BgL_typesz00_3127 = BgL_typesz00_6046;
																				BgL_nz00_3125 = BgL_nz00_6045;
																				goto
																					BgL_zc3z04anonymousza32096ze3z87_3128;
																			}
																		}
																	}
															}
													}
											}
										else
											{	/* SawJvm/funcall.scm 338 */
												obj_t BgL_arg2085z00_3106;

												if (INTEGERP(BgL_arityz00_3100))
													{	/* SawJvm/funcall.scm 338 */
														obj_t BgL_tmpz00_4149;

														BgL_tmpz00_4149 = BINT(0L);
														{	/* SawJvm/funcall.scm 338 */
															bool_t BgL_test2469z00_6050;

															{	/* SawJvm/funcall.scm 338 */
																obj_t BgL_tmpz00_6051;

																BgL_tmpz00_6051 = BINT(-1L);
																BgL_test2469z00_6050 =
																	BGL_SUBFX_OV(BgL_tmpz00_6051,
																	BgL_arityz00_3100, BgL_tmpz00_4149);
															}
															if (BgL_test2469z00_6050)
																{	/* SawJvm/funcall.scm 338 */
																	BgL_arg2085z00_3106 =
																		bgl_bignum_sub(CNST_TABLE_REF(32L),
																		bgl_long_to_bignum(
																			(long) CINT(BgL_arityz00_3100)));
																}
															else
																{	/* SawJvm/funcall.scm 338 */
																	BgL_arg2085z00_3106 = BgL_tmpz00_4149;
																}
														}
													}
												else
													{	/* SawJvm/funcall.scm 338 */
														BgL_arg2085z00_3106 =
															BGl_2zd2zd2zz__r4_numbers_6_5z00(BINT(-1L),
															BgL_arityz00_3100);
													}
												{
													obj_t BgL_typesz00_6063;
													bool_t BgL_fixedarityzf3zf3_6062;
													obj_t BgL_nz00_6061;
													obj_t BgL_mez00_6060;

													BgL_mez00_6060 = BgL_mez00_124;
													BgL_nz00_6061 = BgL_arg2085z00_3106;
													BgL_fixedarityzf3zf3_6062 = ((bool_t) 0);
													BgL_typesz00_6063 = BgL_typesz00_3103;
													BgL_typesz00_3127 = BgL_typesz00_6063;
													BgL_fixedarityzf3zf3_3126 = BgL_fixedarityzf3zf3_6062;
													BgL_nz00_3125 = BgL_nz00_6061;
													BgL_mez00_3124 = BgL_mez00_6060;
													goto BgL_zc3z04anonymousza32096ze3z87_3128;
												}
											}
									}
									BGl_callzd2globalzd2zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_124), BgL_entryz00_3101);
									return
										BGl_codez12z12zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_124), CNST_TABLE_REF(19L));
								}
							}
						}
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			{	/* SawJvm/funcall.scm 19 */
				obj_t BgL_arg2119z00_3152;
				obj_t BgL_arg2120z00_3153;

				{	/* SawJvm/funcall.scm 19 */
					obj_t BgL_v1709z00_3195;

					BgL_v1709z00_3195 = create_vector(1L);
					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_arg2131z00_3196;

						BgL_arg2131z00_3196 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(51L),
							BGl_proc2267z00zzsaw_jvm_funcallz00,
							BGl_proc2266z00zzsaw_jvm_funcallz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(11L));
						VECTOR_SET(BgL_v1709z00_3195, 0L, BgL_arg2131z00_3196);
					}
					BgL_arg2119z00_3152 = BgL_v1709z00_3195;
				}
				{	/* SawJvm/funcall.scm 19 */
					obj_t BgL_v1710z00_3206;

					BgL_v1710z00_3206 = create_vector(0L);
					BgL_arg2120z00_3153 = BgL_v1710z00_3206;
				}
				return (BGl_indexedz00zzsaw_jvm_funcallz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(52L),
						CNST_TABLE_REF(53L), BGl_globalz00zzast_varz00, 1316L,
						BGl_proc2271z00zzsaw_jvm_funcallz00,
						BGl_proc2270z00zzsaw_jvm_funcallz00, BFALSE,
						BGl_proc2269z00zzsaw_jvm_funcallz00,
						BGl_proc2268z00zzsaw_jvm_funcallz00, BgL_arg2119z00_3152,
						BgL_arg2120z00_3153), BUNSPEC);
			}
		}

	}



/* &lambda2127 */
	BgL_globalz00_bglt BGl_z62lambda2127z62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4451, obj_t BgL_o1181z00_4452)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				long BgL_arg2128z00_4543;

				{	/* SawJvm/funcall.scm 19 */
					obj_t BgL_arg2129z00_4544;

					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_arg2130z00_4545;

						{	/* SawJvm/funcall.scm 19 */
							long BgL_arg1808z00_4546;

							{	/* SawJvm/funcall.scm 19 */
								long BgL_arg1809z00_4547;

								BgL_arg1809z00_4547 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_globalz00_bglt) BgL_o1181z00_4452)));
								BgL_arg1808z00_4546 = (BgL_arg1809z00_4547 - OBJECT_TYPE);
							}
							BgL_arg2130z00_4545 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1808z00_4546);
						}
						BgL_arg2129z00_4544 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2130z00_4545);
					}
					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_tmpz00_6084;

						BgL_tmpz00_6084 = ((obj_t) BgL_arg2129z00_4544);
						BgL_arg2128z00_4543 = BGL_CLASS_NUM(BgL_tmpz00_6084);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) BgL_o1181z00_4452)), BgL_arg2128z00_4543);
			}
			{	/* SawJvm/funcall.scm 19 */
				BgL_objectz00_bglt BgL_tmpz00_6090;

				BgL_tmpz00_6090 =
					((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1181z00_4452));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6090, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1181z00_4452));
			return ((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1181z00_4452));
		}

	}



/* &<@anonymous:2126> */
	obj_t BGl_z62zc3z04anonymousza32126ze3ze5zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4453, obj_t BgL_new1180z00_4454)
	{
		{	/* SawJvm/funcall.scm 19 */
			{
				BgL_globalz00_bglt BgL_auxz00_6098;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1180z00_4454))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(54L)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4454))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_6106;

					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_classz00_4549;

						BgL_classz00_4549 = BGl_typez00zztype_typez00;
						{	/* SawJvm/funcall.scm 19 */
							obj_t BgL__ortest_1117z00_4550;

							BgL__ortest_1117z00_4550 = BGL_CLASS_NIL(BgL_classz00_4549);
							if (CBOOL(BgL__ortest_1117z00_4550))
								{	/* SawJvm/funcall.scm 19 */
									BgL_auxz00_6106 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_4550);
								}
							else
								{	/* SawJvm/funcall.scm 19 */
									BgL_auxz00_6106 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4549));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1180z00_4454))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_6106), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_6116;

					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_classz00_4551;

						BgL_classz00_4551 = BGl_valuez00zzast_varz00;
						{	/* SawJvm/funcall.scm 19 */
							obj_t BgL__ortest_1117z00_4552;

							BgL__ortest_1117z00_4552 = BGL_CLASS_NIL(BgL_classz00_4551);
							if (CBOOL(BgL__ortest_1117z00_4552))
								{	/* SawJvm/funcall.scm 19 */
									BgL_auxz00_6116 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_4552);
								}
							else
								{	/* SawJvm/funcall.scm 19 */
									BgL_auxz00_6116 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4551));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1180z00_4454))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_6116), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1180z00_4454))))->
						BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4454))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4454))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4454))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4454))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4454))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4454))))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(54L)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4454))))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4454))))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4454))))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4454))))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4454))))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4454))))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4454))))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string2272z00zzsaw_jvm_funcallz00), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4454))))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4454))))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_indexedz00_bglt BgL_auxz00_6175;

					{
						obj_t BgL_auxz00_6176;

						{	/* SawJvm/funcall.scm 19 */
							BgL_objectz00_bglt BgL_tmpz00_6177;

							BgL_tmpz00_6177 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt) BgL_new1180z00_4454));
							BgL_auxz00_6176 = BGL_OBJECT_WIDENING(BgL_tmpz00_6177);
						}
						BgL_auxz00_6175 = ((BgL_indexedz00_bglt) BgL_auxz00_6176);
					}
					((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_6175))->BgL_indexz00) =
						((int) (int) (0L)), BUNSPEC);
				}
				BgL_auxz00_6098 = ((BgL_globalz00_bglt) BgL_new1180z00_4454);
				return ((obj_t) BgL_auxz00_6098);
			}
		}

	}



/* &lambda2124 */
	BgL_globalz00_bglt BGl_z62lambda2124z62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4455, obj_t BgL_o1177z00_4456)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				BgL_indexedz00_bglt BgL_wide1179z00_4554;

				BgL_wide1179z00_4554 =
					((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_indexedz00_bgl))));
				{	/* SawJvm/funcall.scm 19 */
					obj_t BgL_auxz00_6191;
					BgL_objectz00_bglt BgL_tmpz00_6187;

					BgL_auxz00_6191 = ((obj_t) BgL_wide1179z00_4554);
					BgL_tmpz00_6187 =
						((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1177z00_4456)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6187, BgL_auxz00_6191);
				}
				((BgL_objectz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1177z00_4456)));
				{	/* SawJvm/funcall.scm 19 */
					long BgL_arg2125z00_4555;

					BgL_arg2125z00_4555 =
						BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_o1177z00_4456))),
						BgL_arg2125z00_4555);
				}
				return
					((BgL_globalz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1177z00_4456)));
			}
		}

	}



/* &lambda2121 */
	BgL_globalz00_bglt BGl_z62lambda2121z62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4457, obj_t BgL_id1156z00_4458, obj_t BgL_name1157z00_4459,
		obj_t BgL_type1158z00_4460, obj_t BgL_value1159z00_4461,
		obj_t BgL_access1160z00_4462, obj_t BgL_fastzd2alpha1161zd2_4463,
		obj_t BgL_removable1162z00_4464, obj_t BgL_occurrence1163z00_4465,
		obj_t BgL_occurrencew1164z00_4466, obj_t BgL_userzf31165zf3_4467,
		obj_t BgL_module1166z00_4468, obj_t BgL_import1167z00_4469,
		obj_t BgL_evaluablezf31168zf3_4470, obj_t BgL_evalzf31169zf3_4471,
		obj_t BgL_library1170z00_4472, obj_t BgL_pragma1171z00_4473,
		obj_t BgL_src1172z00_4474, obj_t BgL_jvmzd2typezd2name1173z00_4475,
		obj_t BgL_init1174z00_4476, obj_t BgL_alias1175z00_4477,
		obj_t BgL_index1176z00_4478)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				long BgL_occurrence1163z00_4559;
				long BgL_occurrencew1164z00_4560;
				bool_t BgL_userzf31165zf3_4561;
				bool_t BgL_evaluablezf31168zf3_4563;
				bool_t BgL_evalzf31169zf3_4564;
				int BgL_index1176z00_4566;

				BgL_occurrence1163z00_4559 = (long) CINT(BgL_occurrence1163z00_4465);
				BgL_occurrencew1164z00_4560 = (long) CINT(BgL_occurrencew1164z00_4466);
				BgL_userzf31165zf3_4561 = CBOOL(BgL_userzf31165zf3_4467);
				BgL_evaluablezf31168zf3_4563 = CBOOL(BgL_evaluablezf31168zf3_4470);
				BgL_evalzf31169zf3_4564 = CBOOL(BgL_evalzf31169zf3_4471);
				BgL_index1176z00_4566 = CINT(BgL_index1176z00_4478);
				{	/* SawJvm/funcall.scm 19 */
					BgL_globalz00_bglt BgL_new1220z00_4567;

					{	/* SawJvm/funcall.scm 19 */
						BgL_globalz00_bglt BgL_tmp1218z00_4568;
						BgL_indexedz00_bglt BgL_wide1219z00_4569;

						{
							BgL_globalz00_bglt BgL_auxz00_6211;

							{	/* SawJvm/funcall.scm 19 */
								BgL_globalz00_bglt BgL_new1217z00_4570;

								BgL_new1217z00_4570 =
									((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* SawJvm/funcall.scm 19 */
									long BgL_arg2123z00_4571;

									BgL_arg2123z00_4571 =
										BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1217z00_4570),
										BgL_arg2123z00_4571);
								}
								{	/* SawJvm/funcall.scm 19 */
									BgL_objectz00_bglt BgL_tmpz00_6216;

									BgL_tmpz00_6216 = ((BgL_objectz00_bglt) BgL_new1217z00_4570);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6216, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1217z00_4570);
								BgL_auxz00_6211 = BgL_new1217z00_4570;
							}
							BgL_tmp1218z00_4568 = ((BgL_globalz00_bglt) BgL_auxz00_6211);
						}
						BgL_wide1219z00_4569 =
							((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_indexedz00_bgl))));
						{	/* SawJvm/funcall.scm 19 */
							obj_t BgL_auxz00_6224;
							BgL_objectz00_bglt BgL_tmpz00_6222;

							BgL_auxz00_6224 = ((obj_t) BgL_wide1219z00_4569);
							BgL_tmpz00_6222 = ((BgL_objectz00_bglt) BgL_tmp1218z00_4568);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6222, BgL_auxz00_6224);
						}
						((BgL_objectz00_bglt) BgL_tmp1218z00_4568);
						{	/* SawJvm/funcall.scm 19 */
							long BgL_arg2122z00_4572;

							BgL_arg2122z00_4572 =
								BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1218z00_4568),
								BgL_arg2122z00_4572);
						}
						BgL_new1220z00_4567 = ((BgL_globalz00_bglt) BgL_tmp1218z00_4568);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1220z00_4567)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1156z00_4458)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1220z00_4567)))->BgL_namez00) =
						((obj_t) BgL_name1157z00_4459), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1220z00_4567)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1158z00_4460)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1220z00_4567)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1159z00_4461)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1220z00_4567)))->BgL_accessz00) =
						((obj_t) BgL_access1160z00_4462), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1220z00_4567)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1161zd2_4463), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1220z00_4567)))->BgL_removablez00) =
						((obj_t) BgL_removable1162z00_4464), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1220z00_4567)))->BgL_occurrencez00) =
						((long) BgL_occurrence1163z00_4559), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1220z00_4567)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1164z00_4560), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1220z00_4567)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31165zf3_4561), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4567)))->BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1166z00_4468)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4567)))->BgL_importz00) =
						((obj_t) BgL_import1167z00_4469), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4567)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31168zf3_4563), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4567)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31169zf3_4564), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4567)))->BgL_libraryz00) =
						((obj_t) BgL_library1170z00_4472), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4567)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1171z00_4473), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4567)))->BgL_srcz00) =
						((obj_t) BgL_src1172z00_4474), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4567)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) ((obj_t) BgL_jvmzd2typezd2name1173z00_4475)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4567)))->BgL_initz00) =
						((obj_t) BgL_init1174z00_4476), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4567)))->BgL_aliasz00) =
						((obj_t) BgL_alias1175z00_4477), BUNSPEC);
					{
						BgL_indexedz00_bglt BgL_auxz00_6277;

						{
							obj_t BgL_auxz00_6278;

							{	/* SawJvm/funcall.scm 19 */
								BgL_objectz00_bglt BgL_tmpz00_6279;

								BgL_tmpz00_6279 = ((BgL_objectz00_bglt) BgL_new1220z00_4567);
								BgL_auxz00_6278 = BGL_OBJECT_WIDENING(BgL_tmpz00_6279);
							}
							BgL_auxz00_6277 = ((BgL_indexedz00_bglt) BgL_auxz00_6278);
						}
						((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_6277))->BgL_indexz00) =
							((int) BgL_index1176z00_4566), BUNSPEC);
					}
					return BgL_new1220z00_4567;
				}
			}
		}

	}



/* &lambda2136 */
	obj_t BGl_z62lambda2136z62zzsaw_jvm_funcallz00(obj_t BgL_envz00_4479,
		obj_t BgL_oz00_4480, obj_t BgL_vz00_4481)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				int BgL_vz00_4574;

				BgL_vz00_4574 = CINT(BgL_vz00_4481);
				{
					BgL_indexedz00_bglt BgL_auxz00_6285;

					{
						obj_t BgL_auxz00_6286;

						{	/* SawJvm/funcall.scm 19 */
							BgL_objectz00_bglt BgL_tmpz00_6287;

							BgL_tmpz00_6287 =
								((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_4480));
							BgL_auxz00_6286 = BGL_OBJECT_WIDENING(BgL_tmpz00_6287);
						}
						BgL_auxz00_6285 = ((BgL_indexedz00_bglt) BgL_auxz00_6286);
					}
					return
						((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_6285))->BgL_indexz00) =
						((int) BgL_vz00_4574), BUNSPEC);
		}}}

	}



/* &lambda2135 */
	obj_t BGl_z62lambda2135z62zzsaw_jvm_funcallz00(obj_t BgL_envz00_4482,
		obj_t BgL_oz00_4483)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				int BgL_tmpz00_6293;

				{
					BgL_indexedz00_bglt BgL_auxz00_6294;

					{
						obj_t BgL_auxz00_6295;

						{	/* SawJvm/funcall.scm 19 */
							BgL_objectz00_bglt BgL_tmpz00_6296;

							BgL_tmpz00_6296 =
								((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_4483));
							BgL_auxz00_6295 = BGL_OBJECT_WIDENING(BgL_tmpz00_6296);
						}
						BgL_auxz00_6294 = ((BgL_indexedz00_bglt) BgL_auxz00_6295);
					}
					BgL_tmpz00_6293 =
						(((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_6294))->BgL_indexz00);
				}
				return BINT(BgL_tmpz00_6293);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(346491734L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(336068337L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(0L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_libz00(321177283L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(395792377L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzsaw_proceduresz00(401547344L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(441641707L,
				BSTRING_TO_STRING(BGl_string2273z00zzsaw_jvm_funcallz00));
		}

	}

#ifdef __cplusplus
}
#endif
