/*===========================================================================*/
/*   (SawMill/defs.scm)                                                      */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawMill/defs.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_DEFS_TYPE_DEFINITIONS
#define BGL_SAW_DEFS_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_lastz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_lastz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_jumpexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                      *BgL_rtl_jumpexitz00_bglt;

	typedef struct BgL_rtl_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_failz00_bglt;

	typedef struct BgL_rtl_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                      *BgL_rtl_retblockz00_bglt;

	typedef struct BgL_rtl_retz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                 *BgL_rtl_retz00_bglt;

	typedef struct BgL_rtl_notseqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_notseqz00_bglt;

	typedef struct BgL_rtl_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                *BgL_rtl_ifz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_purez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_purez00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_movz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_movz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                        *BgL_rtl_instanceofz00_bglt;

	typedef struct BgL_rtl_makeboxz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_makeboxz00_bglt;

	typedef struct BgL_rtl_boxrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxrefz00_bglt;

	typedef struct BgL_rtl_effectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_effectz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_boxsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_applyz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                   *BgL_rtl_applyz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_funsz00;
		obj_t BgL_rettypez00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_funcallz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_totypez00;
		struct BgL_typez00_bgl *BgL_fromtypez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_protectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_protectz00_bglt;

	typedef struct BgL_rtl_protectedz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                       *BgL_rtl_protectedz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;


#endif													// BGL_SAW_DEFS_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_EXPORTED_DECL bool_t BGl_rtl_protectedzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2818z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifeqzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifeqz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_insz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_rtl_effectzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vsetzd2loczd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2499z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vsetzd2typezd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt);
	static obj_t BGl_z62rtl_inszd2argsza2z12zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_globalrefz00_bglt
		BGl_makezd2rtl_globalrefzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	static obj_t BGl_z62rtl_regzd2varzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62dumpzd2inszd2rhsz62zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_vsetzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_castz00_bglt BGl_z62rtl_castzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_switchzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_castzd2totypezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_boxrefzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_funcallz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_rtl_callz00_bglt
		BGl_makezd2rtl_callzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	static obj_t BGl_z62rtl_inszd2destzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2664z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2665z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2loczd2zzsaw_defsz00(BgL_rtl_selectz00_bglt);
	static obj_t BGl_z62rtl_regzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2rettypezd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_instanceofz00_bglt
		BGl_makezd2rtl_instanceofzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt);
	static obj_t BGl_z62rtl_getfieldzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2hardwarezd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	static BgL_rtl_loadfunz00_bglt
		BGl_z62makezd2rtl_loadfunzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_gozd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_goz00_bglt, obj_t);
	static obj_t BGl_z62rtl_inszd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_valloczf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31952ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32681ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_ifeqzf3zf3zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2670z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2671z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_vsetzd2vtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_funzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_inszf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda1948z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_cast_nullz00_bglt BGl_z62lambda2677z62zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt, obj_t);
	static BgL_rtl_cast_nullz00_bglt BGl_z62lambda2679z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_returnzd2typezd2zzsaw_defsz00(BgL_rtl_returnz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_returnz00_bglt
		BGl_rtl_returnzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_retzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_castzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_effectz00_bglt BGl_z62makezd2rtl_effectzb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62dumpzd2funzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda1950z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_newzf3zf3zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda1956z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2namezd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt);
	static BgL_rtl_boxsetz00_bglt BGl_z62rtl_boxsetzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2685z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1957z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2686z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_callzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_cast_nullz00_bglt
		BGl_z62makezd2rtl_cast_nullzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_cast_nullzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_lastz00_bglt
		BGl_makezd2rtl_lastzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_retblockzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_setfieldz00_bglt
		BGl_z62rtl_setfieldzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda1961z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1962z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_castzd2fromtypezd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_cast_nullzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt,
		obj_t);
	static BgL_rtl_protectz00_bglt BGl_z62lambda2693z62zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_returnzd2loczd2zzsaw_defsz00(BgL_rtl_returnz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2labelszd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt,
		obj_t);
	static BgL_blockz00_bglt BGl_z62rtl_gozd2tozb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_protectz00_bglt BGl_z62lambda2695z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda1967z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1968z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2labelszd2zzsaw_defsz00(BgL_rtl_switchz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_vrefz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2objtypezd2setz12z12zzsaw_defsz00
		(BgL_rtl_setfieldz00_bglt, BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62rtl_castzd2fromtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vrefzd2vtypezd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32014ze3ze5zzsaw_defsz00(obj_t);
	static BgL_rtl_funcallz00_bglt
		BGl_z62rtl_funcallzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_vlengthzd2vtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static bool_t BGl_dumpzd2argszd2zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_protectz00zzsaw_defsz00 = BUNSPEC;
	static BgL_globalz00_bglt BGl_z62rtl_loadfunzd2varzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_makeboxzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_boxsetzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1974z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1975z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifnez00_bglt
		BGl_rtl_ifnezd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_boxsetz00zzsaw_defsz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_getenvz00zz__osz00(obj_t);
	static BgL_globalz00_bglt BGl_z62rtl_callzd2varzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_storegzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_instanceofz00_bglt
		BGl_rtl_instanceofzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62dumpzd2funzd2rtl_fun1795z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2patternszd2zzsaw_defsz00(BgL_rtl_selectz00_bglt);
	static obj_t BGl_z62rtl_failzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_setfieldzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_cast_nullzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_notseqzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_makeboxz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_callzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32596ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1981z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1982z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1988z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1989z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_nopzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2keyzd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_funzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_insz00_bglt
		BGl_makezd2rtl_inszd2zzsaw_defsz00(obj_t, obj_t, obj_t, BgL_rtl_funz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_instanceofzd2loczd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_funcallzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32210ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_boxrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_boxrefz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifnezd2loczd2zzsaw_defsz00(BgL_rtl_ifnez00_bglt);
	static obj_t BGl_z62lambda1995z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1996z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_notseqz00_bglt BGl_z62rtl_notseqzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2namezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_instanceofzd2loczd2zzsaw_defsz00(BgL_rtl_instanceofz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32106ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2namezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31990ze3ze5zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_rtl_gozd2tozd2zzsaw_defsz00(BgL_rtl_goz00_bglt);
	static obj_t BGl_z62rtl_pragmazd2formatzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_loadg1801z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_castzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt, obj_t);
	static obj_t BGl_z62rtl_effectzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifeqz00_bglt
		BGl_rtl_ifeqzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL BgL_rtl_castz00_bglt
		BGl_makezd2rtl_castzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32301ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_instanceofzd2typezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_rtl_retblockz00_bglt
		BGl_makezd2rtl_retblockzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62dumpzd2basiczd2blocksz62zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_pragmaz00_bglt BGl_z62makezd2rtl_pragmazb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_notseqzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_boxrefzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpza2za2zzsaw_defsz00(obj_t, obj_t, int);
	static obj_t BGl_z62rtl_applyzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_movz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_applyz00_bglt BGl_z62makezd2rtl_applyzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_failzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_jumpexitz00_bglt
		BGl_makezd2rtl_jumpexitzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vsetzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_lightfuncallzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_valloczf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_loadfunzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31976ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_getfieldzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzd2onexprzf3z43zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifeqzd2loczd2zzsaw_defsz00(BgL_rtl_ifeqz00_bglt);
	static BgL_rtl_lightfuncallz00_bglt
		BGl_z62rtl_lightfuncallzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_boxrefz00_bglt
		BGl_rtl_boxrefzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_ifeqz00_bglt BGl_z62makezd2rtl_ifeqzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static BgL_rtl_boxrefz00_bglt BGl_z62makezd2rtl_boxrefzb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32230ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_returnzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_storegz00_bglt BGl_z62rtl_storegzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62dumpz62zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_purez00_bglt BGl_z62makezd2rtl_purezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_cast_nullzd2typezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_retblockz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_loadgz00_bglt BGl_z62makezd2rtl_loadgzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_vrefzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_loadiz00_bglt BGl_z62makezd2rtl_loadizb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_setfieldz00_bglt
		BGl_makezd2rtl_setfieldzd2zzsaw_defsz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_gozd2tozd2setz12z12zzsaw_defsz00(BgL_rtl_goz00_bglt,
		BgL_blockz00_bglt);
	static obj_t BGl_z62dumpzd2funzd2rtl_switch1807z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_globalrefz00_bglt
		BGl_z62rtl_globalrefzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_IMPORT obj_t bgl_typeof(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2destzd2zzsaw_defsz00(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_retzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32796ze3ze5zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_lightfuncallz00_bglt
		BGl_rtl_lightfuncallzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_lightfuncallzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_boxrefzd2loczd2zzsaw_defsz00(BgL_rtl_boxrefz00_bglt);
	static BgL_rtl_vsetz00_bglt BGl_z62makezd2rtl_vsetzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_cast_nullz00_bglt
		BGl_rtl_cast_nullzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DEF obj_t BGl_rtl_jumpexitz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_vsetz00_bglt BGl_z62rtl_vsetzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32410ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2funzd2zzsaw_defsz00(BgL_rtl_funz00_bglt,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32127ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_boxsetz00_bglt
		BGl_makezd2rtl_boxsetzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_storegzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2firstzd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_switchz00zzsaw_defsz00 = BUNSPEC;
	BGL_IMPORT obj_t make_string(long, unsigned char);
	BGL_EXPORTED_DEF obj_t BGl_rtl_goz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_retblockzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_notseqzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_notseqz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_setfieldzd2typezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt);
	static obj_t BGl_z62rtl_globalrefzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32039ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_showzd2funzd2zzsaw_defsz00(BgL_rtl_funz00_bglt, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifnezd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifnez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2loczd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_instanceofz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_castzd2fromtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_cast_nullzd2loczd2zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_setfieldz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_cast_nullzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_nopzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_nopz00_bglt, obj_t);
	static obj_t BGl_z62rtl_switchzd2labelszd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_vsetzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_newzd2constrzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzd2keyzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62dump1784z62zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32056ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt BGl_makezd2blockzd2zzsaw_defsz00(int,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2z52spillze2zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_ifne1811z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31997ze3ze5zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_rtl_vrefzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_retzd2tozd2setz12z12zzsaw_defsz00(BgL_rtl_retz00_bglt,
		BgL_blockz00_bglt);
	static obj_t BGl_z62rtl_newzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_movz00_bglt
		BGl_makezd2rtl_movzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_purezd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_purez00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_vlengthzd2vtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_instanceofzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_nopzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_vallocz00_bglt BGl_z62makezd2rtl_valloczb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_blockzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_notseqz00_bglt BGl_z62lambda2102z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32090ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_notseqz00_bglt BGl_z62lambda2104z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2argszd2zzsaw_defsz00(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_applyzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_pragmaz00_bglt
		BGl_rtl_pragmazd2nilzd2zzsaw_defsz00(void);
	static BgL_blockz00_bglt BGl_z62makezd2blockzb0zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_cast_nullz00_bglt
		BGl_makezd2rtl_cast_nullzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt);
	static obj_t BGl_z62rtl_switchzd2patternszd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_valloczd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_makeboxzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_cast_nullzd2typezd2zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_storegz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62dumpzd2funzd2rtl_ifeq1809z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_pragmazf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_ifz00_bglt BGl_z62lambda2112z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_loadgzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_makeboxz00_bglt
		BGl_z62rtl_makeboxzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_ifz00_bglt BGl_z62lambda2114z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32164ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_lastz00_bglt
		BGl_rtl_lastzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62dumpzd2funzd2rtl_mov1799z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_pragmazd2formatzd2zzsaw_defsz00(BgL_rtl_pragmaz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32270ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_selectz00_bglt BGl_z62lambda2123z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_selectz00_bglt BGl_z62lambda2125z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32149ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vrefzd2typezd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_pragmazd2loczd2zzsaw_defsz00(BgL_rtl_pragmaz00_bglt);
	static obj_t BGl_z62rtl_returnzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_valloczd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_applyzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_makeboxzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_makeboxz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_makeboxzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_vlengthzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_vsetzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62rtl_storegzd2varzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_ifnez00_bglt BGl_z62makezd2rtl_ifnezb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static BgL_rtl_ifnez00_bglt BGl_z62rtl_ifnezd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_makeboxzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2131z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2132z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32433ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lastzd2loczd2zzsaw_defsz00(BgL_rtl_lastz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32255ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2137z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2138z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_loadgzf3zf3zzsaw_defsz00(obj_t);
	static BgL_blockz00_bglt BGl_z62rtl_ifeqzd2thenzb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2objtypezd2setz12z12zzsaw_defsz00
		(BgL_rtl_getfieldz00_bglt, BgL_typez00_bglt);
	static BgL_globalz00_bglt BGl_z62rtl_globalrefzd2varzb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_loadgzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static BgL_typez00_bglt BGl_z62rtl_vsetzd2typezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funz00_bglt BGl_rtl_funzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_insz00_bglt BGl_z62makezd2rtl_inszb0zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_switchz00_bglt
		BGl_makezd2rtl_switchzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t);
	static BgL_rtl_switchz00_bglt BGl_z62lambda2144z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2306z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2destzd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t);
	static obj_t BGl_z62lambda2307z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_vrefzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_switchz00_bglt BGl_z62lambda2146z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2funszd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_vlengthz00_bglt
		BGl_rtl_vlengthzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL BgL_rtl_failz00_bglt
		BGl_rtl_failzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_callz00_bglt BGl_z62makezd2rtl_callzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_ifnezd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_vlengthzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_failz00zzsaw_defsz00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62lambda2311z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_switchzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_castzd2totypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2312z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vrefz00_bglt
		BGl_makezd2rtl_vrefzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda2153z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vlengthzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2labelzd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt, int);
	static obj_t BGl_z62rtl_purezf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2154z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2316z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2317z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32079ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_loadizf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_loadgzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2debugnamezd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_setfieldzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_castzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_funzd2loczd2zzsaw_defsz00(BgL_rtl_funz00_bglt);
	static BgL_rtl_vallocz00_bglt BGl_z62rtl_valloczd2nilzb0zzsaw_defsz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_ifeqz00_bglt BGl_z62rtl_ifeqzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_defsz00(void);
	static BgL_rtl_ifeqz00_bglt BGl_z62lambda2160z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_ifeqz00_bglt BGl_z62lambda2162z62zzsaw_defsz00(obj_t);
	static BgL_rtl_vallocz00_bglt BGl_z62lambda2326z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vlengthzd2loczd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt);
	static obj_t BGl_z62rtl_inszd2argszd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_vallocz00_bglt BGl_z62lambda2328z62zzsaw_defsz00(obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2168z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_failzd2loczd2zzsaw_defsz00(BgL_rtl_failz00_bglt);
	static BgL_typez00_bglt BGl_z62rtl_switchzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2169z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_applyzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_applyz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2namezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_callzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_callz00_bglt,
		BgL_globalz00_bglt);
	static BgL_rtl_selectz00_bglt BGl_z62makezd2rtl_selectzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_castzd2totypezd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2334z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2335z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vlengthz00_bglt
		BGl_makezd2rtl_vlengthzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_rtl_ifnez00_bglt BGl_z62lambda2175z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_lastz00_bglt BGl_z62makezd2rtl_lastzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_ifnez00_bglt BGl_z62lambda2177z62zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2339z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_valloczd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_castzd2fromtypezd2zzsaw_defsz00(BgL_rtl_castz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_globalrefz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_loadizf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_loadfunzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_protectz00_bglt
		BGl_rtl_protectzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_valloczd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_ifeqzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_newz00_bglt BGl_rtl_newzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_protectedz00_bglt
		BGl_z62makezd2rtl_protectedzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2500z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32721ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2340z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_storegz00_bglt
		BGl_makezd2rtl_storegzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2504z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2505z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2183z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2184z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_vrefz00_bglt BGl_z62lambda2347z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_vrefz00_bglt BGl_z62lambda2349z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_returnzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_retblockz00_bglt
		BGl_z62rtl_retblockzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2funszb0zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_getfieldz00_bglt
		BGl_rtl_getfieldzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_selectz00_bglt BGl_z62rtl_selectzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_funcallz00_bglt
		BGl_z62makezd2rtl_funcallzb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_movzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_movz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2funzd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt,
		BgL_rtl_funz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_purezf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_pragmazf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_rtl_ifnezd2thenzd2zzsaw_defsz00(BgL_rtl_ifnez00_bglt);
	extern obj_t BGl_za2userzd2shapezf3za2z21zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_callzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_callz00_bglt, obj_t);
	static BgL_rtl_goz00_bglt BGl_z62lambda2190z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_boxsetz00_bglt BGl_z62lambda2515z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_goz00_bglt BGl_z62lambda2192z62zzsaw_defsz00(obj_t);
	static BgL_rtl_boxsetz00_bglt BGl_z62lambda2517z62zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2356z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2357z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_vlengthzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62blockzd2succszd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2198z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_castzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2199z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_protectzd2loczd2zzsaw_defsz00(BgL_rtl_protectz00_bglt);
	static BgL_rtl_jumpexitz00_bglt
		BGl_z62rtl_jumpexitzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_inszd2destzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_protectedzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_funcallzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_returnz00_bglt BGl_z62makezd2rtl_returnzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_EXPORTED_DECL bool_t BGl_rtl_jumpexitzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2loczd2zzsaw_defsz00(BgL_rtl_newz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_applyz00_bglt
		BGl_rtl_applyzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_vrefzd2vtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifz00_bglt BGl_rtl_ifzd2nilzd2zzsaw_defsz00(void);
	static BgL_typez00_bglt BGl_z62rtl_setfieldzd2objtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2361z62zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62lambda2362z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62blockzd2predszd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2funszd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_retblockzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_vlengthz00_bglt BGl_z62lambda2368z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_effectz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2loczd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_selectzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_loadfunz00_bglt
		BGl_makezd2rtl_loadfunzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	static BgL_rtl_vlengthz00_bglt BGl_z62lambda2370z62zzsaw_defsz00(obj_t);
	static BgL_rtl_newz00_bglt BGl_z62lambda2532z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2loczd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt, obj_t);
	static BgL_rtl_newz00_bglt BGl_z62lambda2536z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_jumpexitzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2376z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2377z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_funcallzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_funcallz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_blockzd2firstzd2zzsaw_defsz00(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_applyzd2loczd2zzsaw_defsz00(BgL_rtl_applyz00_bglt);
	static BgL_rtl_returnz00_bglt BGl_z62rtl_returnzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_loadfunz00_bglt
		BGl_rtl_loadfunzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t BGl_rtl_ifzd2loczd2zzsaw_defsz00(BgL_rtl_ifz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_setfieldzd2objtypezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt);
	static BgL_rtl_castz00_bglt BGl_z62makezd2rtl_castzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2basiczd2blocksz00zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_rtl_funz00_bglt BGl_z62rtl_funzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_ifeqzd2thenzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2542z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2543z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32709ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_protectedz00_bglt BGl_z62lambda2705z62zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2382z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_ifz00_bglt BGl_z62rtl_ifzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2383z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_protectedz00_bglt BGl_z62lambda2707z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2548z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2549z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_notseqz00_bglt BGl_z62makezd2rtl_notseqzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_protectz00_bglt
		BGl_z62makezd2rtl_protectzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_switchzd2patternszb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_valloczd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_regzd2debugnamezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_lightfuncallzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_setfieldz00_bglt
		BGl_rtl_setfieldzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL bool_t BGl_rtl_protectzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_movz00_bglt BGl_z62makezd2rtl_movzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_instanceofz00_bglt BGl_z62lambda2390z62zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_funcallzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_instanceofz00_bglt BGl_z62lambda2392z62zzsaw_defsz00(obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2716z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2718z62zzsaw_defsz00(obj_t);
	static BgL_rtl_callz00_bglt BGl_z62lambda2559z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2398z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2399z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_globalrefzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_returnzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadfunzd2loczd2zzsaw_defsz00(BgL_rtl_loadfunz00_bglt);
	static BgL_rtl_makeboxz00_bglt
		BGl_z62makezd2rtl_makeboxzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_funzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_effectz00_bglt
		BGl_rtl_effectzd2nilzd2zzsaw_defsz00(void);
	static BgL_typez00_bglt BGl_z62rtl_vrefzd2vtypezb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_ifzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2726z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2727z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_callz00_bglt BGl_z62lambda2566z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_inszd2argszb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_selectzd2typezd2zzsaw_defsz00(BgL_rtl_selectz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2marginzd2zzsaw_defsz00(obj_t, int);
	static obj_t BGl_z62dumpzd2fun1792zb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadgzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_loadgz00_bglt,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2loczd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_globalrefz00_bglt
		BGl_rtl_globalrefzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_callzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vrefz00_bglt
		BGl_rtl_vrefzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_pragmazd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2tracezd2portza2zd2zztools_tracez00;
	static obj_t BGl_z62lambda2733z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32728ze3ze5zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_valloczd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda2734z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2573z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2574z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_lastz00_bglt BGl_z62rtl_lastzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_cast_nullzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_funzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_funz00_bglt, obj_t);
	static obj_t BGl_z62rtl_regzd2debugnamezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_retzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_loadgz00_bglt
		BGl_rtl_loadgzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_effectzd2loczd2zzsaw_defsz00(BgL_rtl_effectz00_bglt);
	static obj_t BGl_z62rtl_setfieldzd2objtypezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_jumpexitzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_jumpexitz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_castzd2totypezd2zzsaw_defsz00(BgL_rtl_castz00_bglt);
	static obj_t BGl_z62rtl_lastzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_valloczd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt,
		BgL_typez00_bglt);
	static BgL_rtl_newz00_bglt BGl_z62rtl_newzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_go1813z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_movz00_bglt BGl_rtl_movzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_returnzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_returnz00_bglt,
		obj_t);
	static BgL_rtl_applyz00_bglt BGl_z62lambda2581z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vsetzd2vtypezd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt);
	static obj_t BGl_z62lambda2744z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_applyz00_bglt BGl_z62lambda2583z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2745z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_funz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_rtl_newz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_getfieldzd2namezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2patternszd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_pragmaz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62dumpzd2rtl_reg1791zb0zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_globalrefzd2loczd2zzsaw_defsz00(BgL_rtl_globalrefz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_globalrefzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_globalrefz00_bglt,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vrefzd2loczd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt);
	static BgL_rtl_protectedz00_bglt
		BGl_z62rtl_protectedzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_gozd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_lastzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_funz00_bglt BGl_z62lambda2751z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32746ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32495ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32819ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2752z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32657ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32568ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_lightfuncallz00_bglt BGl_z62lambda2592z62zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_lightfuncallz00_bglt BGl_z62lambda2594z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2namezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2757z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadgzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadgz00_bglt, obj_t);
	static obj_t BGl_z62lambda2758z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_newzd2constrzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadgzd2loczd2zzsaw_defsz00(BgL_rtl_loadgz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vrefzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2accesszd2shapezf3za2z21zzengine_paramz00;
	static obj_t BGl_z62dumpzd2funzd2rtl_loadfun1803z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_returnzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_effectz00_bglt
		BGl_makezd2rtl_effectzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_newzd2typezd2zzsaw_defsz00(BgL_rtl_newz00_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_rtl_retzd2tozd2zzsaw_defsz00(BgL_rtl_retz00_bglt);
	static obj_t BGl_z62rtl_newzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vrefzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_movzd2loczd2zzsaw_defsz00(BgL_rtl_movz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_boxrefz00zzsaw_defsz00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62rtl_valloczd2vtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_rtl_failz00_bglt BGl_z62rtl_failzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_getfieldz00_bglt
		BGl_z62makezd2rtl_getfieldzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2namezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_getfieldzd2namezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadizd2constantzd2setz12z12zzsaw_defsz00(BgL_rtl_loadiz00_bglt,
		BgL_atomz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_callzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_protectedzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vlengthzd2vtypezd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt);
	static obj_t BGl_z62rtl_vlengthzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_loadfunzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza32780ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32586ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_ifnezf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2774z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2778z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_globalrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_globalrefz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funcallz00_bglt
		BGl_rtl_funcallzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62blockzd2firstzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_ifzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL BgL_rtl_retz00_bglt BGl_rtl_retzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_boxrefz00_bglt BGl_z62rtl_boxrefzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_loadfunzd2varzd2zzsaw_defsz00(BgL_rtl_loadfunz00_bglt);
	static obj_t BGl_z62rtl_jumpexitzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_blockz00_bglt BGl_z62rtl_retzd2tozb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_switchz00_bglt
		BGl_rtl_switchzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifeqz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_valloczd2vtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_purez00_bglt
		BGl_rtl_purezd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_failzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2786z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2787z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2patternszd2zzsaw_defsz00(BgL_rtl_switchz00_bglt);
	static obj_t BGl_z62shapezd2rtl_reg1783zb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_vlengthz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadfunzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_loadfunz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32007ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_purez00zzsaw_defsz00 = BUNSPEC;
	extern obj_t BGl_za2typezd2shapezf3za2z21zzengine_paramz00;
	static obj_t BGl_z62rtl_gozd2tozd2setz12z70zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_blockzd2succszd2zzsaw_defsz00(BgL_blockz00_bglt);
	static obj_t BGl_z62lambda2794z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_defsz00(void);
	static obj_t BGl_z62lambda2795z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_protectedzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_protectedz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_funcallzd2loczd2zzsaw_defsz00(BgL_rtl_funcallz00_bglt);
	static obj_t BGl_z62rtl_ifzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_loadizd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_loadfunzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62rtl_getfieldzd2objtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_protectedz00_bglt
		BGl_makezd2rtl_protectedzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_retzd2loczd2zzsaw_defsz00(BgL_rtl_retz00_bglt);
	static obj_t BGl_z62rtl_boxrefzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2loczd2zzsaw_defsz00(BgL_rtl_switchz00_bglt);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_vsetz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_rtl_failz00_bglt
		BGl_makezd2rtl_failzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_purezd2loczd2zzsaw_defsz00(BgL_rtl_purez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vsetzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_vrefzd2typezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funz00_bglt
		BGl_makezd2rtl_funzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_newz00_bglt
		BGl_makezd2rtl_newzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62dumpzd2marginzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_notseqzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_pragmazd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_pragmaz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_ifnezd2thenzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_selectzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_regzd2hardwarezb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_instanceofzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_ifnezf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_globalrefzd2varzd2zzsaw_defsz00(BgL_rtl_globalrefz00_bglt);
	extern obj_t BGl_za2keyzd2shapezf3za2z21zzengine_paramz00;
	static obj_t BGl_z62dumpzd2rtl_ins1789zb0zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2namezd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadfunzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_getfieldzd2objtypezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62rtl_regzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2rettypezd2zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32220ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_loadiz00_bglt
		BGl_rtl_loadizd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62zc3z04anonymousza32026ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_loadgzd2varzd2zzsaw_defsz00(BgL_rtl_loadgz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_regz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_boxsetzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_goz00_bglt BGl_makezd2rtl_gozd2zzsaw_defsz00(obj_t,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_vallocz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_rtl_pragmaz00_bglt
		BGl_makezd2rtl_pragmazd2zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_boxsetz00_bglt
		BGl_rtl_boxsetzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DEF obj_t BGl_rtl_cast_nullz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31983ze3ze5zzsaw_defsz00(obj_t);
	static BgL_rtl_movz00_bglt BGl_z62rtl_movzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_loadfunz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_storegzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtlzd2dumpzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_retz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt, obj_t);
	static obj_t BGl_z62rtl_movzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_getfieldzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32116ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_vrefzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_vlengthzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_vrefz00_bglt BGl_z62makezd2rtl_vrefzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2onexprzf3z21zzsaw_defsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2constrzd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_boxrefz00_bglt
		BGl_makezd2rtl_boxrefzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadizd2loczd2zzsaw_defsz00(BgL_rtl_loadiz00_bglt);
	static obj_t BGl_z62rtl_setfieldzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifz00_bglt BGl_makezd2rtl_ifzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifeqzd2thenzd2setz12z12zzsaw_defsz00(BgL_rtl_ifeqz00_bglt,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2argszd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_boxsetzd2loczd2zzsaw_defsz00(BgL_rtl_boxsetz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_movzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31969ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32698ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_nopz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_pragmaz00_bglt BGl_z62rtl_pragmazd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_gozf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vlengthzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_storegzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_globalrefzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzd2onexprzf3zd2setz12z83zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_protectzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_failzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_funcallzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32788ze3ze5zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_ifeqzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_getfieldzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32240ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62shapezd2rtl_ins1781zb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_retz00_bglt BGl_z62rtl_retzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpz00zzsaw_defsz00(obj_t, obj_t, int);
	static BgL_rtl_boxsetz00_bglt BGl_z62makezd2rtl_boxsetzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vlengthzd2typezd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt);
	BGL_EXPORTED_DECL int BGl_blockzd2labelzd2zzsaw_defsz00(BgL_blockz00_bglt);
	static obj_t BGl_z62rtl_pragmazd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_notseqz00_bglt
		BGl_rtl_notseqzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_vsetzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dumpza2zc0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32330ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_setfieldzd2namezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2onexprzf3zd2setz12ze1zzsaw_defsz00(BgL_rtl_regz00_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifnez00zzsaw_defsz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
	static BgL_blockz00_bglt BGl_z62rtl_ifnezd2thenzb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_vrefz00_bglt BGl_z62rtl_vrefzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzd2typezd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62blockzd2succszb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_selectzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_globalrefzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_funz00_bglt BGl_z62lambda2003z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_jumpexitzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_retzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_applyz00_bglt BGl_z62rtl_applyzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_funz00_bglt BGl_z62lambda2005z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_nopz00_bglt BGl_rtl_nopzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_notseqzd2loczd2zzsaw_defsz00(BgL_rtl_notseqz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzd2zzsaw_defsz00(BgL_typez00_bglt, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_callz00_bglt
		BGl_rtl_callzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL BgL_rtl_applyz00_bglt
		BGl_makezd2rtl_applyzd2zzsaw_defsz00(obj_t);
	BGL_IMPORT obj_t
		BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_retz00_bglt
		BGl_makezd2rtl_retzd2zzsaw_defsz00(obj_t, BgL_blockz00_bglt);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_instanceofzd2typezd2zzsaw_defsz00(BgL_rtl_instanceofz00_bglt);
	static obj_t BGl_z62lambda2012z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32421ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_retzd2tozd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2013z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_callz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_notseqzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_selectz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_vrefzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_selectzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_atomz00_bglt BGl_z62rtl_loadizd2constantzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_vallocz00_bglt
		BGl_makezd2rtl_valloczd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt BGl_rtl_regzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_getfieldzd2objtypezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_getfieldzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_instanceofzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_protectedzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_applyzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_nopzd2loczd2zzsaw_defsz00(BgL_rtl_nopz00_bglt);
	static obj_t BGl_z62rtl_switchzd2labelszb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_boxsetzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_boxsetz00_bglt,
		obj_t);
	static BgL_rtl_lastz00_bglt BGl_z62lambda2021z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_setfieldzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_lastz00_bglt BGl_z62lambda2024z62zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62rtl_newzd2typezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_storegz00_bglt
		BGl_rtl_storegzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_storegzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_storegz00_bglt,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_callzd2loczd2zzsaw_defsz00(BgL_rtl_callz00_bglt);
	static BgL_rtl_goz00_bglt BGl_z62makezd2rtl_gozb0zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_returnzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_loadgz00_bglt
		BGl_makezd2rtl_loadgzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2debugnamezd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_loadiz00_bglt
		BGl_makezd2rtl_loadizd2zzsaw_defsz00(obj_t, BgL_atomz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_makeboxz00_bglt
		BGl_rtl_makeboxzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL BgL_rtl_nopz00_bglt
		BGl_makezd2rtl_nopzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_newzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_returnz00_bglt BGl_z62lambda2034z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32067ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_returnz00_bglt BGl_z62lambda2037z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_lightfuncallz00_bglt
		BGl_makezd2rtl_lightfuncallzd2zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62blockzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_instanceofzd2typezd2setz12z12zzsaw_defsz00
		(BgL_rtl_instanceofz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_boxsetzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_lastz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_castz00_bglt
		BGl_rtl_castzd2nilzd2zzsaw_defsz00(void);
	static BgL_typez00_bglt BGl_z62lambda2043z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_storegzd2loczd2zzsaw_defsz00(BgL_rtl_storegz00_bglt);
	static BgL_rtl_globalrefz00_bglt
		BGl_z62makezd2rtl_globalrefzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2044z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_purez00_bglt BGl_z62lambda2206z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_returnz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_ifz00_bglt BGl_z62makezd2rtl_ifzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2z52spillzd2setz12z22zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_purez00_bglt BGl_z62lambda2208z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rtlzd2dumpzd2zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_retblockz00_bglt
		BGl_rtl_retblockzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DEF obj_t BGl_rtl_applyz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_returnzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_returnz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_debugzd2sawzd2zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62blockzd2firstzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funcallz00_bglt
		BGl_makezd2rtl_funcallzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_movzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_makeboxzd2loczd2zzsaw_defsz00(BgL_rtl_makeboxz00_bglt);
	static BgL_rtl_purez00_bglt BGl_z62rtl_purezd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_storegzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_storegz00_bglt,
		obj_t);
	static BgL_rtl_jumpexitz00_bglt BGl_z62lambda2051z62zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32352ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funz00_bglt
		BGl_rtl_inszd2funzd2zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_loadizd2constantzd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static BgL_rtl_jumpexitz00_bglt BGl_z62lambda2054z62zzsaw_defsz00(obj_t);
	static BgL_rtl_nopz00_bglt BGl_z62lambda2216z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2succszd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt, obj_t);
	static BgL_rtl_nopz00_bglt BGl_z62lambda2218z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_setfieldzd2namezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_jumpexitz00_bglt
		BGl_rtl_jumpexitzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadizd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadiz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2constrzd2zzsaw_defsz00(BgL_rtl_newz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_castzd2loczd2zzsaw_defsz00(BgL_rtl_castz00_bglt);
	static obj_t BGl_z62rtl_castzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_nopzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lastzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_lastz00_bglt, obj_t);
	static obj_t BGl_z62dumpzd2block1787zb0zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_rtl_loadgz00_bglt BGl_z62rtl_loadgzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2predszd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt, obj_t);
	static BgL_rtl_failz00_bglt BGl_z62lambda2062z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2z52spillz80zzsaw_defsz00(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_retblockzd2loczd2zzsaw_defsz00(BgL_rtl_retblockz00_bglt);
	static BgL_rtl_failz00_bglt BGl_z62lambda2064z62zzsaw_defsz00(obj_t);
	static BgL_rtl_movz00_bglt BGl_z62lambda2226z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_switchz00_bglt BGl_z62makezd2rtl_switchzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_movz00_bglt BGl_z62lambda2228z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_goz00_bglt BGl_rtl_gozd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DEF obj_t BGl_rtl_loadgz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_retblockz00_bglt
		BGl_z62makezd2rtl_retblockzb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_loadiz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_purezd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62blockzd2labelzb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_vlengthz00_bglt
		BGl_z62rtl_vlengthzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2rettypezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifnezd2thenzd2setz12z12zzsaw_defsz00(BgL_rtl_ifnez00_bglt,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_protectedz00_bglt
		BGl_rtl_protectedzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DEF obj_t BGl_rtl_notseqz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_funz00_bglt BGl_z62makezd2rtl_funzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_newz00_bglt BGl_z62makezd2rtl_newzb0zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_jumpexitzd2loczd2zzsaw_defsz00(BgL_rtl_jumpexitz00_bglt);
	static BgL_rtl_retblockz00_bglt BGl_z62lambda2074z62zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_loadiz00_bglt BGl_z62lambda2236z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_getfieldzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_loadiz00_bglt BGl_z62lambda2238z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_blockzd2predszd2zzsaw_defsz00(BgL_blockz00_bglt);
	static BgL_rtl_retblockz00_bglt BGl_z62lambda2077z62zzsaw_defsz00(obj_t);
	static BgL_rtl_jumpexitz00_bglt
		BGl_z62makezd2rtl_jumpexitzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL BgL_blockz00_bglt BGl_blockzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_defsz00(void);
	BGL_IMPORT obj_t BGl_stringzd2indexzd2zz__r4_strings_6_7z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_selectzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_ifzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_lightfuncallz00_bglt
		BGl_z62makezd2rtl_lightfuncallzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_instanceofzd2loczd2setz12z12zzsaw_defsz00
		(BgL_rtl_instanceofz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifeqz00_bglt
		BGl_makezd2rtl_ifeqzd2zzsaw_defsz00(obj_t, BgL_blockz00_bglt);
	static obj_t BGl_z62rtl_regzd2namezb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_loadgzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_effectzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_defsz00(void);
	static obj_t BGl_z62zc3z04anonymousza32444ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_switchzd2typezd2zzsaw_defsz00(BgL_rtl_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_rtl_gozd2loczd2zzsaw_defsz00(BgL_rtl_goz00_bglt);
	static BgL_atomz00_bglt BGl_z62lambda2244z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_makeboxz00_bglt BGl_z62lambda2406z62zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2245z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_nopz00_bglt BGl_z62rtl_nopzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_makeboxz00_bglt BGl_z62lambda2408z62zzsaw_defsz00(obj_t);
	static BgL_rtl_retz00_bglt BGl_z62lambda2086z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_purez00_bglt
		BGl_makezd2rtl_purezd2zzsaw_defsz00(obj_t);
	static BgL_rtl_retz00_bglt BGl_z62lambda2088z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_vlengthzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_selectz00_bglt
		BGl_makezd2rtl_selectzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_castz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_rtl_protectz00_bglt
		BGl_makezd2rtl_protectzd2zzsaw_defsz00(obj_t);
	static BgL_rtl_goz00_bglt BGl_z62rtl_gozd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_getfieldz00_bglt
		BGl_makezd2rtl_getfieldzd2zzsaw_defsz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_switchzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2namezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_callzd2varzd2zzsaw_defsz00(BgL_rtl_callz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_protectedzd2loczd2zzsaw_defsz00(BgL_rtl_protectedz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_insz00_bglt BGl_rtl_inszd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_selectzd2patternszd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_loadi1797z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_loadgz00_bglt BGl_z62lambda2251z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32372ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_instanceofz00_bglt
		BGl_z62rtl_instanceofzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_setfieldz00_bglt
		BGl_z62makezd2rtl_setfieldzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32194ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_loadgz00_bglt BGl_z62lambda2253z62zzsaw_defsz00(obj_t);
	static BgL_rtl_boxrefz00_bglt BGl_z62lambda2417z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2095z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_boxrefz00_bglt BGl_z62lambda2419z62zzsaw_defsz00(obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62lambda2096z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2259z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2loczd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vsetz00_bglt
		BGl_makezd2rtl_vsetzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_funzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_makeboxz00_bglt
		BGl_makezd2rtl_makeboxzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_globalrefzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2varzd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	static BgL_rtl_regz00_bglt BGl_z62rtl_regzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_protectz00_bglt
		BGl_z62rtl_protectzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_cast_nullz00_bglt
		BGl_z62rtl_cast_nullzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32640ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_nopzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_setfieldzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2260z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2funszd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32519ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_effectz00_bglt BGl_z62rtl_effectzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32179ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_storegz00_bglt BGl_z62makezd2rtl_storegzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static BgL_rtl_loadfunz00_bglt BGl_z62lambda2266z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_effectz00_bglt BGl_z62lambda2428z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_gozd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_pragma1817z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_loadfunz00_bglt BGl_z62lambda2268z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_call1815z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_storegzd2varzd2zzsaw_defsz00(BgL_rtl_storegz00_bglt);
	static obj_t BGl_z62rtl_newzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_retblockzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2loczd2zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static BgL_rtl_instanceofz00_bglt
		BGl_z62makezd2rtl_instanceofzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_instanceofzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_effectz00_bglt BGl_z62lambda2430z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_getfieldz00zzsaw_defsz00 = BUNSPEC;
	static BgL_globalz00_bglt BGl_z62lambda2274z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_setfieldzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2275z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_storegz00_bglt BGl_z62lambda2439z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_returnz00_bglt
		BGl_makezd2rtl_returnzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt);
	static obj_t BGl_z62rtl_protectzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_ifnezd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_retzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_retz00_bglt, obj_t);
	static obj_t BGl_z62rtl_protectzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_cast_nullzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vlengthzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_lastzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2z52spillzd2setz12z40zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t);
	static obj_t BGl_z62rtl_boxsetzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_effectzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62blockzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32804ze3ze5zzsaw_defsz00(obj_t);
	static BgL_rtl_storegz00_bglt BGl_z62lambda2441z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32464ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2604z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2605z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_globalrefz00_bglt BGl_z62lambda2282z62zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32286ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_globalrefz00_bglt BGl_z62lambda2284z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2609z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2449z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2patternszd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vsetzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt,
		BgL_typez00_bglt);
	static BgL_rtl_failz00_bglt BGl_z62makezd2rtl_failzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62rtl_vsetzd2vtypezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_cast_nullzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_gozf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2610z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2450z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2290z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32627ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2291z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32538ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2615z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2616z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_protectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_protectz00_bglt,
		obj_t);
	static BgL_rtl_funz00_bglt BGl_z62rtl_inszd2funzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_purezd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62blockzd2labelzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_setfieldz00_bglt BGl_z62lambda2458z62zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_getfieldz00_bglt BGl_z62lambda2297z62zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_getfieldz00_bglt BGl_z62lambda2299z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_globalr1805z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vallocz00_bglt
		BGl_rtl_valloczd2nilzd2zzsaw_defsz00(void);
	static BgL_typez00_bglt BGl_z62rtl_regzd2typezb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_loadiz00_bglt BGl_z62rtl_loadizd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_loadfunz00_bglt
		BGl_z62rtl_loadfunzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_setfieldz00_bglt BGl_z62lambda2461z62zzsaw_defsz00(obj_t);
	static BgL_rtl_funcallz00_bglt BGl_z62lambda2623z62zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62rtl_loadgzd2varzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_funcallz00_bglt BGl_z62lambda2625z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_notseqz00_bglt
		BGl_makezd2rtl_notseqzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_valloczd2vtypezd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt);
	static obj_t BGl_z62rtl_vsetzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2468z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2469z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzb0zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_valloczd2typezd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt);
	static BgL_rtl_callz00_bglt BGl_z62rtl_callzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_getfieldzd2typezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_storegzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt, obj_t);
	static BgL_rtl_retz00_bglt BGl_z62makezd2rtl_retzb0zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_atomz00_bglt
		BGl_rtl_loadizd2constantzd2zzsaw_defsz00(BgL_rtl_loadiz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32394ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_selectzd2patternszb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_pragmaz00_bglt BGl_z62lambda2634z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2474z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2475z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_pragmazd2formatzd2setz12z12zzsaw_defsz00(BgL_rtl_pragmaz00_bglt,
		obj_t);
	static BgL_rtl_pragmaz00_bglt BGl_z62lambda2638z62zzsaw_defsz00(obj_t);
	static BgL_rtl_vlengthz00_bglt
		BGl_z62makezd2rtl_vlengthzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_protectedz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_ifeqzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62blockzd2predszb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_valloczd2loczd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_effectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_effectz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vsetz00_bglt
		BGl_rtl_vsetzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL bool_t BGl_rtl_lastzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_pragmazd2formatzb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_blockz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_loadizd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_loadfunzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_regzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2rettypezb0zzsaw_defsz00(obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62lambda2802z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2803z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32735ze3ze5zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2481z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2482z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2645z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2646z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_switchz00_bglt BGl_z62rtl_switchzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifnez00_bglt
		BGl_makezd2rtl_ifnezd2zzsaw_defsz00(obj_t, BgL_blockz00_bglt);
	static obj_t BGl_z62rtl_callzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_selectz00_bglt
		BGl_rtl_selectzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_boxrefzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62rtl_selectzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_switchzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_getfieldz00_bglt
		BGl_z62rtl_getfieldzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_retblockzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_retblockz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_movzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_nopz00_bglt BGl_z62makezd2rtl_nopzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_insz00_bglt BGl_z62rtl_inszd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_inszd2funzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32841ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_failzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_failz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_rtl_ifeqzd2thenzd2zzsaw_defsz00(BgL_rtl_ifeqz00_bglt);
	static obj_t BGl_z62rtl_switchzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_vsetz00_bglt BGl_z62lambda2490z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2namezd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt, obj_t);
	static BgL_rtl_castz00_bglt BGl_z62lambda2653z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_vsetz00_bglt BGl_z62lambda2493z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2817z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_castz00_bglt BGl_z62lambda2655z62zzsaw_defsz00(obj_t);
	static obj_t __cnst[83];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vrefzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2lo3417z00,
		BGl_z62rtl_vrefzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectedzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_protected3418za7,
		BGl_z62rtl_protectedzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73419z00,
		BGl_z62rtl_setfieldzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_protectza7f3420z00, BGl_z62rtl_protectzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_callzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2lo3421z00,
		BGl_z62rtl_callzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_pragmazd2formatzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d23422z00,
		BGl_z62rtl_pragmazd2formatzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2nilza7b3423za7, BGl_z62blockzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2ni3424z00, BGl_z62rtl_castzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_pragmazd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d23425z00,
		BGl_z62rtl_pragmazd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_callzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2ni3426z00, BGl_z62rtl_callzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2marginzd2envz00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2margin3427z00, BGl_z62dumpzd2marginzb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2nil3428z00, BGl_z62rtl_inszd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vlengthzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d3429z00,
		BGl_z62rtl_vlengthzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2tozd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2toza7b3430za7, BGl_z62rtl_gozd2tozb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_valloczd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_va3431z00,
		BGl_z62makezd2rtl_valloczb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadfunzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d3432z00,
		BGl_z62rtl_loadfunzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2objtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73433z00,
		BGl_z62rtl_getfieldzd2objtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_applyzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_applyza7d2l3434z00, BGl_z62rtl_applyzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_cast_nullzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3435za7,
		BGl_z62rtl_cast_nullzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3114z00zzsaw_defsz00,
		BgL_bgl_za762lambda1957za7623436z00, BGl_z62lambda1957z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_castzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ca3437z00, BGl_z62makezd2rtl_castzb0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3115z00zzsaw_defsz00,
		BgL_bgl_za762lambda1956za7623438z00, BGl_z62lambda1956z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3116z00zzsaw_defsz00,
		BgL_bgl_za762lambda1962za7623439z00, BGl_z62lambda1962z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3117z00zzsaw_defsz00,
		BgL_bgl_za762lambda1961za7623440z00, BGl_z62lambda1961z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3118z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3441za7,
		BGl_z62zc3z04anonymousza31969ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3119z00zzsaw_defsz00,
		BgL_bgl_za762lambda1968za7623442z00, BGl_z62lambda1968z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadfunzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d3443z00,
		BGl_z62rtl_loadfunzd2varzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_valloczd2vtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23444z00,
		BGl_z62rtl_valloczd2vtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2argszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2arg3445z00, BGl_z62rtl_inszd2argszb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_storegzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d23446z00,
		BGl_z62rtl_storegzd2varzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3120z00zzsaw_defsz00,
		BgL_bgl_za762lambda1967za7623447z00, BGl_z62lambda1967z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3121z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3448za7,
		BGl_z62zc3z04anonymousza31976ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_cast_nullzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3449za7,
		BGl_z62rtl_cast_nullzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3122z00zzsaw_defsz00,
		BgL_bgl_za762lambda1975za7623450z00, BGl_z62lambda1975z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3123z00zzsaw_defsz00,
		BgL_bgl_za762lambda1974za7623451z00, BGl_z62lambda1974z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3124z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3452za7,
		BGl_z62zc3z04anonymousza31983ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3125z00zzsaw_defsz00,
		BgL_bgl_za762lambda1982za7623453z00, BGl_z62lambda1982z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3126z00zzsaw_defsz00,
		BgL_bgl_za762lambda1981za7623454z00, BGl_z62lambda1981z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3127z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3455za7,
		BGl_z62zc3z04anonymousza31990ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3128z00zzsaw_defsz00,
		BgL_bgl_za762lambda1989za7623456z00, BGl_z62lambda1989z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3129z00zzsaw_defsz00,
		BgL_bgl_za762lambda1988za7623457z00, BGl_z62lambda1988z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_lastzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lastza7d2ni3458z00, BGl_z62rtl_lastzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_funza7f3za7913459za7, BGl_z62rtl_funzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2typ3460z00, BGl_z62rtl_regzd2typezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_protectedzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_protected3461za7,
		BGl_z62rtl_protectedzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3130z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3462za7,
		BGl_z62zc3z04anonymousza31997ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3131z00zzsaw_defsz00,
		BgL_bgl_za762lambda1996za7623463z00, BGl_z62lambda1996z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3132z00zzsaw_defsz00,
		BgL_bgl_za762lambda1995za7623464z00, BGl_z62lambda1995z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxrefzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_boxrefza7d23465z00,
		BGl_z62rtl_boxrefzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3133z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3466za7,
		BGl_z62zc3z04anonymousza31952ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3134z00zzsaw_defsz00,
		BgL_bgl_za762lambda1950za7623467z00, BGl_z62lambda1950z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3135z00zzsaw_defsz00,
		BgL_bgl_za762lambda1948za7623468z00, BGl_z62lambda1948z62zzsaw_defsz00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3136z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3469za7,
		BGl_z62zc3z04anonymousza32014ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2z52spillzd2setz12zd2envz92zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2za7523470za7,
		BGl_z62rtl_inszd2z52spillzd2setz12z22zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3137z00zzsaw_defsz00,
		BgL_bgl_za762lambda2013za7623471z00, BGl_z62lambda2013z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3138z00zzsaw_defsz00,
		BgL_bgl_za762lambda2012za7623472z00, BGl_z62lambda2012z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3139z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3473za7,
		BGl_z62zc3z04anonymousza32007ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_nopzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_nopza7d2nil3474z00, BGl_z62rtl_nopzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2argszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2arg3475z00,
		BGl_z62rtl_inszd2argszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d3476z00,
		BGl_z62rtl_vlengthzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2blockzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2blockza73477za7, BGl_z62makezd2blockzb0zzsaw_defsz00,
		0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_switchzd2patternszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23478z00,
		BGl_z62rtl_switchzd2patternszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_selectzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_se3479z00,
		BGl_z62makezd2rtl_selectzb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3300z00zzsaw_defsz00,
		BgL_bgl_za762lambda2532za7623480z00, BGl_z62lambda2532z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3301z00zzsaw_defsz00,
		BgL_bgl_za762lambda2574za7623481z00, BGl_z62lambda2574z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3302z00zzsaw_defsz00,
		BgL_bgl_za762lambda2573za7623482z00, BGl_z62lambda2573z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3140z00zzsaw_defsz00,
		BgL_bgl_za762lambda2005za7623483z00, BGl_z62lambda2005z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retzd2tozd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_retza7d2toza73484za7,
		BGl_z62rtl_retzd2tozd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3303z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3485za7,
		BGl_z62zc3z04anonymousza32568ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3141z00zzsaw_defsz00,
		BgL_bgl_za762lambda2003za7623486z00, BGl_z62lambda2003z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3304z00zzsaw_defsz00,
		BgL_bgl_za762lambda2566za7623487z00, BGl_z62lambda2566z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3142z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3488za7,
		BGl_z62zc3z04anonymousza32026ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3305z00zzsaw_defsz00,
		BgL_bgl_za762lambda2559za7623489z00, BGl_z62lambda2559z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3143z00zzsaw_defsz00,
		BgL_bgl_za762lambda2024za7623490z00, BGl_z62lambda2024z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3306z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3491za7,
		BGl_z62zc3z04anonymousza32586ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3144z00zzsaw_defsz00,
		BgL_bgl_za762lambda2021za7623492z00, BGl_z62lambda2021z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3307z00zzsaw_defsz00,
		BgL_bgl_za762lambda2583za7623493z00, BGl_z62lambda2583z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3145z00zzsaw_defsz00,
		BgL_bgl_za762lambda2044za7623494z00, BGl_z62lambda2044z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3308z00zzsaw_defsz00,
		BgL_bgl_za762lambda2581za7623495z00, BGl_z62lambda2581z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3146z00zzsaw_defsz00,
		BgL_bgl_za762lambda2043za7623496z00, BGl_z62lambda2043z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3309z00zzsaw_defsz00,
		BgL_bgl_za762lambda2605za7623497z00, BGl_z62lambda2605z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3147z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3498za7,
		BGl_z62zc3z04anonymousza32039ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3148z00zzsaw_defsz00,
		BgL_bgl_za762lambda2037za7623499z00, BGl_z62lambda2037z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3149z00zzsaw_defsz00,
		BgL_bgl_za762lambda2034za7623500z00, BGl_z62lambda2034z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7f33501z00, BGl_z62rtl_selectzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3502za7,
		BGl_z62rtl_lightfuncallzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_vlengthzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_vl3503z00,
		BGl_z62makezd2rtl_vlengthzb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_castzd2fromtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2fr3504z00,
		BGl_z62rtl_castzd2fromtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectedzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_protected3505za7, BGl_z62rtl_protectedzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2argsza2zd2envza2zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2arg3506z00,
		BGl_z62rtl_inszd2argsza2z12zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2loc3507z00,
		BGl_z62rtl_inszd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3310z00zzsaw_defsz00,
		BgL_bgl_za762lambda2604za7623508z00, BGl_z62lambda2604z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3311z00zzsaw_defsz00,
		BgL_bgl_za762lambda2610za7623509z00, BGl_z62lambda2610z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3312z00zzsaw_defsz00,
		BgL_bgl_za762lambda2609za7623510z00, BGl_z62lambda2609z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3150z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3511za7,
		BGl_z62zc3z04anonymousza32056ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3400z00zzsaw_defsz00,
		BgL_bgl_string3400za700za7za7s3512za7, " (go ", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3313z00zzsaw_defsz00,
		BgL_bgl_za762lambda2616za7623513z00, BGl_z62lambda2616z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3151z00zzsaw_defsz00,
		BgL_bgl_za762lambda2054za7623514z00, BGl_z62lambda2054z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3401z00zzsaw_defsz00,
		BgL_bgl_string3401za700za7za7s3515za7, "::", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3314z00zzsaw_defsz00,
		BgL_bgl_za762lambda2615za7623516z00, BGl_z62lambda2615z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3152z00zzsaw_defsz00,
		BgL_bgl_za762lambda2051za7623517z00, BGl_z62lambda2051z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzd2vtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2vt3518z00,
		BGl_z62rtl_vrefzd2vtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3402z00zzsaw_defsz00,
		BgL_bgl_string3402za700za7za7s3519za7, "[", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3315z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3520za7,
		BGl_z62zc3z04anonymousza32596ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3153z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3521za7,
		BGl_z62zc3z04anonymousza32067ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_globalrefzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_gl3522z00,
		BGl_z62makezd2rtl_globalrefzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3403z00zzsaw_defsz00,
		BgL_bgl_string3403za700za7za7s3523za7, " <- ", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3316z00zzsaw_defsz00,
		BgL_bgl_za762lambda2594za7623524z00, BGl_z62lambda2594z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3154z00zzsaw_defsz00,
		BgL_bgl_za762lambda2064za7623525z00, BGl_z62lambda2064z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3404z00zzsaw_defsz00,
		BgL_bgl_string3404za700za7za7s3526za7, " (", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3317z00zzsaw_defsz00,
		BgL_bgl_za762lambda2592za7623527z00, BGl_z62lambda2592z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3155z00zzsaw_defsz00,
		BgL_bgl_za762lambda2062za7623528z00, BGl_z62lambda2062z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3405z00zzsaw_defsz00,
		BgL_bgl_string3405za700za7za7s3529za7, "]", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3318z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3530za7,
		BGl_z62zc3z04anonymousza32627ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3156z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3531za7,
		BGl_z62zc3z04anonymousza32079ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3406z00zzsaw_defsz00,
		BgL_bgl_string3406za700za7za7s3532za7, ":preds ", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3319z00zzsaw_defsz00,
		BgL_bgl_za762lambda2625za7623533z00, BGl_z62lambda2625z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3157z00zzsaw_defsz00,
		BgL_bgl_za762lambda2077za7623534z00, BGl_z62lambda2077z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3407z00zzsaw_defsz00,
		BgL_bgl_string3407za700za7za7s3535za7, ":succs ", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3158z00zzsaw_defsz00,
		BgL_bgl_za762lambda2074za7623536z00, BGl_z62lambda2074z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3408z00zzsaw_defsz00,
		BgL_bgl_string3408za700za7za7s3537za7, "\n )\n", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3159z00zzsaw_defsz00,
		BgL_bgl_za762lambda2096za7623538z00, BGl_z62lambda2096z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3409z00zzsaw_defsz00,
		BgL_bgl_string3409za700za7za7s3539za7, "*", 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_applyzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_applyza7f3za73540za7, BGl_z62rtl_applyzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_newzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2loc3541z00,
		BGl_z62rtl_newzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2patternszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23542z00,
		BGl_z62rtl_switchzd2patternszb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3320z00zzsaw_defsz00,
		BgL_bgl_za762lambda2623za7623543z00, BGl_z62lambda2623z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3321z00zzsaw_defsz00,
		BgL_bgl_za762lambda2646za7623544z00, BGl_z62lambda2646z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3322z00zzsaw_defsz00,
		BgL_bgl_za762lambda2645za7623545z00, BGl_z62lambda2645z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3160z00zzsaw_defsz00,
		BgL_bgl_za762lambda2095za7623546z00, BGl_z62lambda2095z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3410z00zzsaw_defsz00,
		BgL_bgl_string3410za700za7za7s3547za7, "%", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3323z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3548za7,
		BGl_z62zc3z04anonymousza32640ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3161z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3549za7,
		BGl_z62zc3z04anonymousza32090ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3411z00zzsaw_defsz00,
		BgL_bgl_string3411za700za7za7s3550za7, "$", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3324z00zzsaw_defsz00,
		BgL_bgl_za762lambda2638za7623551z00, BGl_z62lambda2638z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3162z00zzsaw_defsz00,
		BgL_bgl_za762lambda2088za7623552z00, BGl_z62lambda2088z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2hardwarezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2har3553z00,
		BGl_z62rtl_regzd2hardwarezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3412z00zzsaw_defsz00,
		BgL_bgl_string3412za700za7za7s3554za7, "@", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3325z00zzsaw_defsz00,
		BgL_bgl_za762lambda2634za7623555z00, BGl_z62lambda2634z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3163z00zzsaw_defsz00,
		BgL_bgl_za762lambda2086za7623556z00, BGl_z62lambda2086z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3413z00zzsaw_defsz00,
		BgL_bgl_string3413za700za7za7s3557za7, "saw_defs", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3326z00zzsaw_defsz00,
		BgL_bgl_za762lambda2665za7623558z00, BGl_z62lambda2665z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3164z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3559za7,
		BGl_z62zc3z04anonymousza32106ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3414z00zzsaw_defsz00,
		BgL_bgl_string3414za700za7za7s3560za7,
		"_ block first succs preds int label rtl_ins args fun dest %spill rtl_protected rtl_protect rtl_cast_null rtl_cast fromtype totype rtl_pragma format rtl_funcall rtl_lightfuncall rettype funs symbol rtl_apply rtl_call rtl_new pair-nil constr rtl_boxset rtl_vset rtl_setfield rtl_storeg rtl_effect rtl_boxref rtl_makebox rtl_instanceof rtl_vlength rtl_vref rtl_valloc vtype rtl_getfield objtype bstring rtl_globalref rtl_loadfun rtl_loadg rtl_loadi constant rtl_mov rtl_nop rtl_pure rtl_go rtl_ifne rtl_ifeq then rtl_switch labels rtl_select patterns rtl_if rtl_notseq rtl_ret to rtl_retblock rtl_fail rtl_jumpexit rtl_return rtl_last rtl_fun loc saw_defs rtl_reg hardware debugname key name onexpr? obj var type #(\"\" \" \" \"  \" \"   \" \"    \" \"     \" \"      \" \"       \") ",
		765);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3327z00zzsaw_defsz00,
		BgL_bgl_za762lambda2664za7623561z00, BGl_z62lambda2664z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3165z00zzsaw_defsz00,
		BgL_bgl_za762lambda2104za7623562z00, BGl_z62lambda2104z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3328z00zzsaw_defsz00,
		BgL_bgl_za762lambda2671za7623563z00, BGl_z62lambda2671z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3166z00zzsaw_defsz00,
		BgL_bgl_za762lambda2102za7623564z00, BGl_z62lambda2102z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3329z00zzsaw_defsz00,
		BgL_bgl_za762lambda2670za7623565z00, BGl_z62lambda2670z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3167z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3566za7,
		BGl_z62zc3z04anonymousza32116ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3168z00zzsaw_defsz00,
		BgL_bgl_za762lambda2114za7623567z00, BGl_z62lambda2114z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3169z00zzsaw_defsz00,
		BgL_bgl_za762lambda2112za7623568z00, BGl_z62lambda2112z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7f3za7913569za7, BGl_z62rtl_inszf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_returnzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_re3570z00,
		BGl_z62makezd2rtl_returnzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funcallzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_funcallza7d3571z00,
		BGl_z62rtl_funcallzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_funza7d2loc3572z00, BGl_z62rtl_funzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3330z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3573za7,
		BGl_z62zc3z04anonymousza32657ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3331z00zzsaw_defsz00,
		BgL_bgl_za762lambda2655za7623574z00, BGl_z62lambda2655z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3332z00zzsaw_defsz00,
		BgL_bgl_za762lambda2653za7623575z00, BGl_z62lambda2653z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3170z00zzsaw_defsz00,
		BgL_bgl_za762lambda2132za7623576z00, BGl_z62lambda2132z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3333z00zzsaw_defsz00,
		BgL_bgl_za762lambda2686za7623577z00, BGl_z62lambda2686z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3171z00zzsaw_defsz00,
		BgL_bgl_za762lambda2131za7623578z00, BGl_z62lambda2131z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3334z00zzsaw_defsz00,
		BgL_bgl_za762lambda2685za7623579z00, BGl_z62lambda2685z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3172z00zzsaw_defsz00,
		BgL_bgl_za762lambda2138za7623580z00, BGl_z62lambda2138z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3335z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3581za7,
		BGl_z62zc3z04anonymousza32681ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3173z00zzsaw_defsz00,
		BgL_bgl_za762lambda2137za7623582z00, BGl_z62lambda2137z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3336z00zzsaw_defsz00,
		BgL_bgl_za762lambda2679za7623583z00, BGl_z62lambda2679z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3174z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3584za7,
		BGl_z62zc3z04anonymousza32127ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3337z00zzsaw_defsz00,
		BgL_bgl_za762lambda2677za7623585z00, BGl_z62lambda2677z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3175z00zzsaw_defsz00,
		BgL_bgl_za762lambda2125za7623586z00, BGl_z62lambda2125z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3338z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3587za7,
		BGl_z62zc3z04anonymousza32698ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3176z00zzsaw_defsz00,
		BgL_bgl_za762lambda2123za7623588z00, BGl_z62lambda2123z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3339z00zzsaw_defsz00,
		BgL_bgl_za762lambda2695za7623589z00, BGl_z62lambda2695z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3177z00zzsaw_defsz00,
		BgL_bgl_za762lambda2154za7623590z00, BGl_z62lambda2154z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3178z00zzsaw_defsz00,
		BgL_bgl_za762lambda2153za7623591z00, BGl_z62lambda2153z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3179z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3592za7,
		BGl_z62zc3z04anonymousza32149ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7f3za7913593za7, BGl_z62rtl_newzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vsetzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2ty3594z00,
		BGl_z62rtl_vsetzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_protectzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_pr3595z00,
		BGl_z62makezd2rtl_protectzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3340z00zzsaw_defsz00,
		BgL_bgl_za762lambda2693za7623596z00, BGl_z62lambda2693z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3341z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3597za7,
		BGl_z62zc3z04anonymousza32709ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3342z00zzsaw_defsz00,
		BgL_bgl_za762lambda2707za7623598z00, BGl_z62lambda2707z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3180z00zzsaw_defsz00,
		BgL_bgl_za762lambda2146za7623599z00, BGl_z62lambda2146z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3343z00zzsaw_defsz00,
		BgL_bgl_za762lambda2705za7623600z00, BGl_z62lambda2705z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3181z00zzsaw_defsz00,
		BgL_bgl_za762lambda2144za7623601z00, BGl_z62lambda2144z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3344z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3602za7,
		BGl_z62zc3z04anonymousza32728ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3182z00zzsaw_defsz00,
		BgL_bgl_za762lambda2169za7623603z00, BGl_z62lambda2169z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3345z00zzsaw_defsz00,
		BgL_bgl_za762lambda2727za7623604z00, BGl_z62lambda2727z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3183z00zzsaw_defsz00,
		BgL_bgl_za762lambda2168za7623605z00, BGl_z62lambda2168z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3346z00zzsaw_defsz00,
		BgL_bgl_za762lambda2726za7623606z00, BGl_z62lambda2726z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3184z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3607za7,
		BGl_z62zc3z04anonymousza32164ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3347z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3608za7,
		BGl_z62zc3z04anonymousza32735ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3185z00zzsaw_defsz00,
		BgL_bgl_za762lambda2162za7623609z00, BGl_z62lambda2162z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3348z00zzsaw_defsz00,
		BgL_bgl_za762lambda2734za7623610z00, BGl_z62lambda2734z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3186z00zzsaw_defsz00,
		BgL_bgl_za762lambda2160za7623611z00, BGl_z62lambda2160z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3349z00zzsaw_defsz00,
		BgL_bgl_za762lambda2733za7623612z00, BGl_z62lambda2733z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3187z00zzsaw_defsz00,
		BgL_bgl_za762lambda2184za7623613z00, BGl_z62lambda2184z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	extern obj_t BGl_shapezd2envzd2zztools_shapez00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3188z00zzsaw_defsz00,
		BgL_bgl_za762lambda2183za7623614z00, BGl_z62lambda2183z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3189z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3615za7,
		BGl_z62zc3z04anonymousza32179ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2destzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2des3616z00, BGl_z62rtl_inszd2destzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_ifeqzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2lo3617z00,
		BGl_z62rtl_ifeqzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2nil3618z00, BGl_z62rtl_regzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3350z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3619za7,
		BGl_z62zc3z04anonymousza32746ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3351z00zzsaw_defsz00,
		BgL_bgl_za762lambda2745za7623620z00, BGl_z62lambda2745z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3352z00zzsaw_defsz00,
		BgL_bgl_za762lambda2744za7623621z00, BGl_z62lambda2744z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3190z00zzsaw_defsz00,
		BgL_bgl_za762lambda2177za7623622z00, BGl_z62lambda2177z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3353z00zzsaw_defsz00,
		BgL_bgl_za762lambda2752za7623623z00, BGl_z62lambda2752z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3191z00zzsaw_defsz00,
		BgL_bgl_za762lambda2175za7623624z00, BGl_z62lambda2175z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3354z00zzsaw_defsz00,
		BgL_bgl_za762lambda2751za7623625z00, BGl_z62lambda2751z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3192z00zzsaw_defsz00,
		BgL_bgl_za762lambda2199za7623626z00, BGl_z62lambda2199z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3355z00zzsaw_defsz00,
		BgL_bgl_za762lambda2758za7623627z00, BGl_z62lambda2758z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3193z00zzsaw_defsz00,
		BgL_bgl_za762lambda2198za7623628z00, BGl_z62lambda2198z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3356z00zzsaw_defsz00,
		BgL_bgl_za762lambda2757za7623629z00, BGl_z62lambda2757z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3194z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3630za7,
		BGl_z62zc3z04anonymousza32194ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3357z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3631za7,
		BGl_z62zc3z04anonymousza32721ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3195z00zzsaw_defsz00,
		BgL_bgl_za762lambda2192za7623632z00, BGl_z62lambda2192z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3358z00zzsaw_defsz00,
		BgL_bgl_za762lambda2718za7623633z00, BGl_z62lambda2718z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3196z00zzsaw_defsz00,
		BgL_bgl_za762lambda2190za7623634z00, BGl_z62lambda2190z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3359z00zzsaw_defsz00,
		BgL_bgl_za762lambda2716za7623635z00, BGl_z62lambda2716z62zzsaw_defsz00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3197z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3636za7,
		BGl_z62zc3z04anonymousza32210ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3198z00zzsaw_defsz00,
		BgL_bgl_za762lambda2208za7623637z00, BGl_z62lambda2208z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_movzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_movza7d2nil3638z00, BGl_z62rtl_movzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3199z00zzsaw_defsz00,
		BgL_bgl_za762lambda2206za7623639z00, BGl_z62lambda2206z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73640z00,
		BGl_z62rtl_getfieldzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3360z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3641za7,
		BGl_z62zc3z04anonymousza32788ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3361z00zzsaw_defsz00,
		BgL_bgl_za762lambda2787za7623642z00, BGl_z62lambda2787z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3362z00zzsaw_defsz00,
		BgL_bgl_za762lambda2786za7623643z00, BGl_z62lambda2786z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3363z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3644za7,
		BGl_z62zc3z04anonymousza32796ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3364z00zzsaw_defsz00,
		BgL_bgl_za762lambda2795za7623645z00, BGl_z62lambda2795z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3365z00zzsaw_defsz00,
		BgL_bgl_za762lambda2794za7623646z00, BGl_z62lambda2794z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3366z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3647za7,
		BGl_z62zc3z04anonymousza32804ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3367z00zzsaw_defsz00,
		BgL_bgl_za762lambda2803za7623648z00, BGl_z62lambda2803z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3368z00zzsaw_defsz00,
		BgL_bgl_za762lambda2802za7623649z00, BGl_z62lambda2802z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3369z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3650za7,
		BGl_z62zc3z04anonymousza32819ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_ifnezd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2lo3651z00,
		BGl_z62rtl_ifnezd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadfunzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7f3652z00, BGl_z62rtl_loadfunzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadgzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2l3653z00, BGl_z62rtl_loadgzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vrefzd2vtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2vt3654z00,
		BGl_z62rtl_vrefzd2vtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3370z00zzsaw_defsz00,
		BgL_bgl_za762lambda2818za7623655z00, BGl_z62lambda2818z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3371z00zzsaw_defsz00,
		BgL_bgl_za762lambda2817za7623656z00, BGl_z62lambda2817z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3372z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3657za7,
		BGl_z62zc3z04anonymousza32780ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3373z00zzsaw_defsz00,
		BgL_bgl_za762lambda2778za7623658z00, BGl_z62lambda2778z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3374z00zzsaw_defsz00,
		BgL_bgl_za762lambda2774za7623659z00, BGl_z62lambda2774z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3376z00zzsaw_defsz00,
		BgL_bgl_za762dump1784za762za7za73660z00, BGl_z62dump1784z62zzsaw_defsz00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxsetzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_boxsetza7d23661z00,
		BGl_z62rtl_boxsetzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3378z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2fun1793662z00, BGl_z62dumpzd2fun1792zb0zzsaw_defsz00,
		0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_loadfunzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_lo3663z00,
		BGl_z62makezd2rtl_loadfunzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3380z00zzsaw_defsz00,
		BgL_bgl_za762shapeza7d2rtl_i3664z00,
		BGl_z62shapezd2rtl_ins1781zb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_retblockzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_retblockza73665z00,
		BGl_z62rtl_retblockzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3382z00zzsaw_defsz00,
		BgL_bgl_za762shapeza7d2rtl_r3666z00,
		BGl_z62shapezd2rtl_reg1783zb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3383z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2block13667z00,
		BGl_z62dumpzd2block1787zb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3385z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2rtl_in3668z00,
		BGl_z62dumpzd2rtl_ins1789zb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3386z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2rtl_re3669z00,
		BGl_z62dumpzd2rtl_reg1791zb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifnezf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7f3za793670za7, BGl_z62rtl_ifnezf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3387z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23671za7,
		BGl_z62dumpzd2funzd2rtl_fun1795z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2ni3672z00, BGl_z62rtl_vrefzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3389z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23673za7,
		BGl_z62dumpzd2funzd2rtl_loadi1797z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadgzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7f3za73674za7, BGl_z62rtl_loadgzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_cast_nullzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3675za7,
		BGl_z62rtl_cast_nullzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_vsetzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_vs3676z00, BGl_z62makezd2rtl_vsetzb0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadizd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2l3677z00,
		BGl_z62rtl_loadizd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3390z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23678za7,
		BGl_z62dumpzd2funzd2rtl_mov1799z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3391z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23679za7,
		BGl_z62dumpzd2funzd2rtl_loadg1801z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3392z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23680za7,
		BGl_z62dumpzd2funzd2rtl_loadfun1803z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3393z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23681za7,
		BGl_z62dumpzd2funzd2rtl_globalr1805z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3394z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23682za7,
		BGl_z62dumpzd2funzd2rtl_switch1807z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3395z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23683za7,
		BGl_z62dumpzd2funzd2rtl_ifeq1809z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_gozd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_go3684z00, BGl_z62makezd2rtl_gozb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3396z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23685za7,
		BGl_z62dumpzd2funzd2rtl_ifne1811z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23686z00,
		BGl_z62rtl_switchzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3397z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23687za7,
		BGl_z62dumpzd2funzd2rtl_go1813z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3398z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23688za7,
		BGl_z62dumpzd2funzd2rtl_call1815z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3399z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23689za7,
		BGl_z62dumpzd2funzd2rtl_pragma1817z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2funszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3690za7,
		BGl_z62rtl_lightfuncallzd2funszb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23691z00,
		BGl_z62rtl_selectzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_pragmazf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7f33692z00, BGl_z62rtl_pragmazf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_instanceofzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo3693za7,
		BGl_z62rtl_instanceofzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_switchzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23694z00,
		BGl_z62rtl_switchzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2locza73695za7,
		BGl_z62rtl_gozd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzd2onexprzf3zd2setz12zd2envz33zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2one3696z00,
		BGl_z62rtl_regzd2onexprzf3zd2setz12z83zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funcallzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_funcallza7f3697z00, BGl_z62rtl_funcallzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3698za7,
		BGl_z62rtl_lightfuncallzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23699z00,
		BGl_z62rtl_valloczd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_ifza7f3za791za73700z00, BGl_z62rtl_ifzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_boxrefzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_bo3701z00,
		BGl_z62makezd2rtl_boxrefzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadfunzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d3702z00,
		BGl_z62rtl_loadfunzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_jumpexitzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_jumpexitza73703z00, BGl_z62rtl_jumpexitzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2loc3704z00, BGl_z62rtl_newzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_storegzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d23705z00,
		BGl_z62rtl_storegzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2namezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3706za7,
		BGl_z62rtl_lightfuncallzd2namezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_returnzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d23707z00,
		BGl_z62rtl_returnzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_effectzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_effectza7f33708z00, BGl_z62rtl_effectzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_globalrefzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref3709za7,
		BGl_z62rtl_globalrefzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2predszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762blockza7d2preds3710z00,
		BGl_z62blockzd2predszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2typ3711z00,
		BGl_z62rtl_regzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_pragmazd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d23712z00,
		BGl_z62rtl_pragmazd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2firstzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762blockza7d2first3713z00,
		BGl_z62blockzd2firstzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7f3714z00, BGl_z62rtl_vlengthzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_instanceofzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo3715za7,
		BGl_z62rtl_instanceofzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_applyzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_applyza7d2n3716z00, BGl_z62rtl_applyzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7f3za7913717za7, BGl_z62rtl_regzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_failzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_failza7d2lo3718z00, BGl_z62rtl_failzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_boxrefzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_boxrefza7d23719z00,
		BGl_z62rtl_boxrefzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_ifnezd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_if3720z00, BGl_z62makezd2rtl_ifnezb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_cast_nullzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3721za7,
		BGl_z62rtl_cast_nullzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_getfieldzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ge3722z00,
		BGl_z62makezd2rtl_getfieldzb0zzsaw_defsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_funcallzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_fu3723z00,
		BGl_z62makezd2rtl_funcallzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_applyzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ap3724z00,
		BGl_z62makezd2rtl_applyzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_castzd2totypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2to3725z00,
		BGl_z62rtl_castzd2totypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2funzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2fun3726z00, BGl_z62rtl_inszd2funzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2objtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73727z00,
		BGl_z62rtl_getfieldzd2objtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_instanceofzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo3728za7, BGl_z62rtl_instanceofzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_retza7f3za7913729za7, BGl_z62rtl_retzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_switchzd2labelszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23730z00,
		BGl_z62rtl_switchzd2labelszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2lo3731z00, BGl_z62rtl_vsetzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzd2constrzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2con3732z00,
		BGl_z62rtl_newzd2constrzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762blockza7f3za791za7za73733za7, BGl_z62blockzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2z52spillzd2envz52zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2za7523734za7,
		BGl_z62rtl_inszd2z52spillze2zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_pragmazd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_pr3735z00,
		BGl_z62makezd2rtl_pragmazb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_returnzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d23736z00,
		BGl_z62rtl_returnzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d3737z00,
		BGl_z62rtl_vlengthzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_movzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_movza7d2loc3738z00,
		BGl_z62rtl_movzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_failzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_failza7f3za793739za7, BGl_z62rtl_failzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadizf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7f3za73740za7, BGl_z62rtl_loadizf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_ifeqzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_if3741z00, BGl_z62makezd2rtl_ifeqzb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_movzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_movza7f3za7913742za7, BGl_z62rtl_movzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_funzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_fu3743z00, BGl_z62makezd2rtl_funzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_setfieldzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_se3744z00,
		BGl_z62makezd2rtl_setfieldzb0zzsaw_defsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_globalrefzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref3745za7,
		BGl_z62rtl_globalrefzd2varzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_valloczd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23746z00,
		BGl_z62rtl_valloczd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funcallzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_funcallza7d3747z00,
		BGl_z62rtl_funcallzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_funza7d2nil3748z00, BGl_z62rtl_funzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_dumpzd2funzd2envz00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7b03749za7, BGl_z62dumpzd2funzb0zzsaw_defsz00,
		0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2funszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3750za7,
		BGl_z62rtl_lightfuncallzd2funszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retblockzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_retblockza73751z00,
		BGl_z62rtl_retblockzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_loadgzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_lo3752z00,
		BGl_z62makezd2rtl_loadgzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_switchzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23753z00,
		BGl_z62rtl_switchzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_jumpexitzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_jumpexitza73754z00,
		BGl_z62rtl_jumpexitzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2var3755z00,
		BGl_z62rtl_regzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_retzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_retza7d2loc3756z00,
		BGl_z62rtl_retzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadizd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2l3757z00, BGl_z62rtl_loadizd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_protectedzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_pr3758z00,
		BGl_z62makezd2rtl_protectedzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23759z00,
		BGl_z62rtl_switchzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2locza73760za7, BGl_z62rtl_gozd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_valloczd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23761z00,
		BGl_z62rtl_valloczd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifnezd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2lo3762z00, BGl_z62rtl_ifnezd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7f33763z00, BGl_z62rtl_switchzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_makeboxzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_makeboxza7d3764z00,
		BGl_z62rtl_makeboxzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_newzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ne3765z00, BGl_z62makezd2rtl_newzb0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadgzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2v3766z00,
		BGl_z62rtl_loadgzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2succszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762blockza7d2succs3767z00,
		BGl_z62blockzd2succszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadgzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2n3768z00, BGl_z62rtl_loadgzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxsetzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_boxsetza7d23769z00,
		BGl_z62rtl_boxsetzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzd2vtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2vt3770z00,
		BGl_z62rtl_vsetzd2vtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23771z00,
		BGl_z62rtl_valloczd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2debugnamezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2deb3772z00,
		BGl_z62rtl_regzd2debugnamezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzd2patternszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23773z00,
		BGl_z62rtl_selectzd2patternszb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadizd2constantzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2c3774z00,
		BGl_z62rtl_loadizd2constantzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_returnzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d23775z00,
		BGl_z62rtl_returnzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_instanceofzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo3776za7,
		BGl_z62rtl_instanceofzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_retza7d2loc3777z00, BGl_z62rtl_retzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3105z00zzsaw_defsz00,
		BgL_bgl_string3105za700za7za7s3778za7, "BIGLOOTRACE", 11);
	      DEFINE_STRING(BGl_string3106z00zzsaw_defsz00,
		BgL_bgl_string3106za700za7za7s3779za7, "bbv", 3);
	      DEFINE_STRING(BGl_string3107z00zzsaw_defsz00,
		BgL_bgl_string3107za700za7za7s3780za7, "+-- ", 4);
	      DEFINE_STRING(BGl_string3108z00zzsaw_defsz00,
		BgL_bgl_string3108za700za7za7s3781za7, " ", 1);
	      DEFINE_STRING(BGl_string3109z00zzsaw_defsz00,
		BgL_bgl_string3109za700za7za7s3782za7, "| args:", 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23783z00,
		BGl_z62rtl_selectzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzd2namezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73784z00,
		BGl_z62rtl_getfieldzd2namezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_callzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2va3785z00, BGl_z62rtl_callzd2varzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3110z00zzsaw_defsz00,
		BgL_bgl_string3110za700za7za7s3786za7, "| Basic blocks: ", 16);
	      DEFINE_STRING(BGl_string3111z00zzsaw_defsz00,
		BgL_bgl_string3111za700za7za7s3787za7, "(", 1);
	      DEFINE_STRING(BGl_string3112z00zzsaw_defsz00,
		BgL_bgl_string3112za700za7za7s3788za7, ")", 1);
	      DEFINE_STRING(BGl_string3113z00zzsaw_defsz00,
		BgL_bgl_string3113za700za7za7s3789za7, " #;(", 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzd2namezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73790z00,
		BGl_z62rtl_setfieldzd2namezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_lastzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_la3791z00, BGl_z62makezd2rtl_lastzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_nopzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_nopza7f3za7913792za7, BGl_z62rtl_nopzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3793za7,
		BGl_z62rtl_lightfuncallzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23794z00,
		BGl_z62rtl_valloczd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_makeboxzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ma3795z00,
		BGl_z62makezd2rtl_makeboxzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73796z00,
		BGl_z62rtl_setfieldzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_effectzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_effectza7d23797z00,
		BGl_z62rtl_effectzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadfunzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d3798z00,
		BGl_z62rtl_loadfunzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2nil3799z00, BGl_z62rtl_newzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_storegzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d23800z00,
		BGl_z62rtl_storegzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_storegzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d23801z00,
		BGl_z62rtl_storegzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_dumpzd2envzd2zzsaw_defsz00,
		BgL_bgl_za762dumpza762za7za7saw_3802z00, BGl_z62dumpz62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3200z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3803za7,
		BGl_z62zc3z04anonymousza32220ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3201z00zzsaw_defsz00,
		BgL_bgl_za762lambda2218za7623804z00, BGl_z62lambda2218z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3202z00zzsaw_defsz00,
		BgL_bgl_za762lambda2216za7623805z00, BGl_z62lambda2216z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_loadizd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_lo3806z00,
		BGl_z62makezd2rtl_loadizb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3203z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3807za7,
		BGl_z62zc3z04anonymousza32230ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3204z00zzsaw_defsz00,
		BgL_bgl_za762lambda2228za7623808z00, BGl_z62lambda2228z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3205z00zzsaw_defsz00,
		BgL_bgl_za762lambda2226za7623809z00, BGl_z62lambda2226z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3206z00zzsaw_defsz00,
		BgL_bgl_za762lambda2245za7623810z00, BGl_z62lambda2245z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_selectzd2patternszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23811z00,
		BGl_z62rtl_selectzd2patternszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3207z00zzsaw_defsz00,
		BgL_bgl_za762lambda2244za7623812z00, BGl_z62lambda2244z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3208z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3813za7,
		BGl_z62zc3z04anonymousza32240ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2funzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2fun3814z00,
		BGl_z62rtl_inszd2funzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3209z00zzsaw_defsz00,
		BgL_bgl_za762lambda2238za7623815z00, BGl_z62lambda2238z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7f33816z00, BGl_z62rtl_valloczf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73817z00, BGl_z62rtl_getfieldzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2onexprzf3zd2envzf3zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2one3818z00,
		BGl_z62rtl_regzd2onexprzf3z43zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7f3za793819za7, BGl_z62rtl_castzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_returnzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d23820z00,
		BGl_z62rtl_returnzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3210z00zzsaw_defsz00,
		BgL_bgl_za762lambda2236za7623821z00, BGl_z62lambda2236z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3211z00zzsaw_defsz00,
		BgL_bgl_za762lambda2260za7623822z00, BGl_z62lambda2260z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxsetzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_boxsetza7f33823z00, BGl_z62rtl_boxsetzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3212z00zzsaw_defsz00,
		BgL_bgl_za762lambda2259za7623824z00, BGl_z62lambda2259z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3213z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3825za7,
		BGl_z62zc3z04anonymousza32255ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3214z00zzsaw_defsz00,
		BgL_bgl_za762lambda2253za7623826z00, BGl_z62lambda2253z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3215z00zzsaw_defsz00,
		BgL_bgl_za762lambda2251za7623827z00, BGl_z62lambda2251z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_effectzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ef3828z00,
		BGl_z62makezd2rtl_effectzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3216z00zzsaw_defsz00,
		BgL_bgl_za762lambda2275za7623829z00, BGl_z62lambda2275z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3217z00zzsaw_defsz00,
		BgL_bgl_za762lambda2274za7623830z00, BGl_z62lambda2274z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3218z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3831za7,
		BGl_z62zc3z04anonymousza32270ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3219z00zzsaw_defsz00,
		BgL_bgl_za762lambda2268za7623832z00, BGl_z62lambda2268z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtlzd2dumpzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtlza7d2dumpza7b03833za7, BGl_z62rtlzd2dumpzb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_notseqzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_notseqza7d23834z00,
		BGl_z62rtl_notseqzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_failzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_fa3835z00, BGl_z62makezd2rtl_failzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_purezd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pureza7d2lo3836z00, BGl_z62rtl_purezd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vsetzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2lo3837z00,
		BGl_z62rtl_vsetzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_applyzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_applyza7d2l3838z00,
		BGl_z62rtl_applyzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_makeboxzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_makeboxza7d3839z00,
		BGl_z62rtl_makeboxzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3220z00zzsaw_defsz00,
		BgL_bgl_za762lambda2266za7623840z00, BGl_z62lambda2266z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3221z00zzsaw_defsz00,
		BgL_bgl_za762lambda2291za7623841z00, BGl_z62lambda2291z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3222z00zzsaw_defsz00,
		BgL_bgl_za762lambda2290za7623842z00, BGl_z62lambda2290z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3223z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3843za7,
		BGl_z62zc3z04anonymousza32286ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3224z00zzsaw_defsz00,
		BgL_bgl_za762lambda2284za7623844z00, BGl_z62lambda2284z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2namezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73845z00,
		BGl_z62rtl_setfieldzd2namezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3225z00zzsaw_defsz00,
		BgL_bgl_za762lambda2282za7623846z00, BGl_z62lambda2282z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3226z00zzsaw_defsz00,
		BgL_bgl_za762lambda2307za7623847z00, BGl_z62lambda2307z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3227z00zzsaw_defsz00,
		BgL_bgl_za762lambda2306za7623848z00, BGl_z62lambda2306z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3228z00zzsaw_defsz00,
		BgL_bgl_za762lambda2312za7623849z00, BGl_z62lambda2312z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3229z00zzsaw_defsz00,
		BgL_bgl_za762lambda2311za7623850z00, BGl_z62lambda2311z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_movzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_mo3851z00, BGl_z62makezd2rtl_movzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_failzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_failza7d2lo3852z00,
		BGl_z62rtl_failzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifeqzd2thenzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2th3853z00, BGl_z62rtl_ifeqzd2thenzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_funcallzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_funcallza7d3854z00,
		BGl_z62rtl_funcallzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2ty3855z00, BGl_z62rtl_vsetzd2typezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3230z00zzsaw_defsz00,
		BgL_bgl_za762lambda2317za7623856z00, BGl_z62lambda2317z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3231z00zzsaw_defsz00,
		BgL_bgl_za762lambda2316za7623857z00, BGl_z62lambda2316z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3232z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3858za7,
		BGl_z62zc3z04anonymousza32301ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2rettypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3859za7,
		BGl_z62rtl_lightfuncallzd2rettypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3233z00zzsaw_defsz00,
		BgL_bgl_za762lambda2299za7623860z00, BGl_z62lambda2299z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3234z00zzsaw_defsz00,
		BgL_bgl_za762lambda2297za7623861z00, BGl_z62lambda2297z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3235z00zzsaw_defsz00,
		BgL_bgl_za762lambda2335za7623862z00, BGl_z62lambda2335z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifza7d2locza73863za7, BGl_z62rtl_ifzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2objtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73864z00,
		BGl_z62rtl_setfieldzd2objtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3236z00zzsaw_defsz00,
		BgL_bgl_za762lambda2334za7623865z00, BGl_z62lambda2334z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3237z00zzsaw_defsz00,
		BgL_bgl_za762lambda2340za7623866z00, BGl_z62lambda2340z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3238z00zzsaw_defsz00,
		BgL_bgl_za762lambda2339za7623867z00, BGl_z62lambda2339z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3239z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3868za7,
		BGl_z62zc3z04anonymousza32330ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7f3za793869za7, BGl_z62rtl_vsetzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_failzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_failza7d2ni3870z00, BGl_z62rtl_failzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpza2zd2envz70zzsaw_defsz00,
		BgL_bgl_za762dumpza7a2za7c0za7za7s3871za7, BGl_z62dumpza2zc0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2rettypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3872za7,
		BGl_z62rtl_lightfuncallzd2rettypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3240z00zzsaw_defsz00,
		BgL_bgl_za762lambda2328za7623873z00, BGl_z62lambda2328z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3241z00zzsaw_defsz00,
		BgL_bgl_za762lambda2326za7623874z00, BGl_z62lambda2326z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3242z00zzsaw_defsz00,
		BgL_bgl_za762lambda2357za7623875z00, BGl_z62lambda2357z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3243z00zzsaw_defsz00,
		BgL_bgl_za762lambda2356za7623876z00, BGl_z62lambda2356z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_globalrefzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref3877za7,
		BGl_z62rtl_globalrefzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3244z00zzsaw_defsz00,
		BgL_bgl_za762lambda2362za7623878z00, BGl_z62lambda2362z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3245z00zzsaw_defsz00,
		BgL_bgl_za762lambda2361za7623879z00, BGl_z62lambda2361z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_purezf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_pureza7f3za793880za7, BGl_z62rtl_purezf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3246z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3881za7,
		BGl_z62zc3z04anonymousza32352ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3247z00zzsaw_defsz00,
		BgL_bgl_za762lambda2349za7623882z00, BGl_z62lambda2349z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3248z00zzsaw_defsz00,
		BgL_bgl_za762lambda2347za7623883z00, BGl_z62lambda2347z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3249z00zzsaw_defsz00,
		BgL_bgl_za762lambda2377za7623884z00, BGl_z62lambda2377z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2succszd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2succs3885z00, BGl_z62blockzd2succszb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_effectzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_effectza7d23886z00,
		BGl_z62rtl_effectzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2ni3887z00, BGl_z62rtl_vsetzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3250z00zzsaw_defsz00,
		BgL_bgl_za762lambda2376za7623888z00, BGl_z62lambda2376z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3251z00zzsaw_defsz00,
		BgL_bgl_za762lambda2383za7623889z00, BGl_z62lambda2383z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3252z00zzsaw_defsz00,
		BgL_bgl_za762lambda2382za7623890z00, BGl_z62lambda2382z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2typ3891z00, BGl_z62rtl_newzd2typezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3253z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3892za7,
		BGl_z62zc3z04anonymousza32372ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3254z00zzsaw_defsz00,
		BgL_bgl_za762lambda2370za7623893z00, BGl_z62lambda2370z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3255z00zzsaw_defsz00,
		BgL_bgl_za762lambda2368za7623894z00, BGl_z62lambda2368z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3256z00zzsaw_defsz00,
		BgL_bgl_za762lambda2399za7623895z00, BGl_z62lambda2399z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3257z00zzsaw_defsz00,
		BgL_bgl_za762lambda2398za7623896z00, BGl_z62lambda2398z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3258z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3897za7,
		BGl_z62zc3z04anonymousza32394ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_returnzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7f33898z00, BGl_z62rtl_returnzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3259z00zzsaw_defsz00,
		BgL_bgl_za762lambda2392za7623899z00, BGl_z62lambda2392z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2namezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73900z00,
		BGl_z62rtl_getfieldzd2namezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_callzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2va3901z00,
		BGl_z62rtl_callzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_retzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_re3902z00, BGl_z62makezd2rtl_retzb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3260z00zzsaw_defsz00,
		BgL_bgl_za762lambda2390za7623903z00, BGl_z62lambda2390z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3261z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3904za7,
		BGl_z62zc3z04anonymousza32410ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3262z00zzsaw_defsz00,
		BgL_bgl_za762lambda2408za7623905z00, BGl_z62lambda2408z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3263z00zzsaw_defsz00,
		BgL_bgl_za762lambda2406za7623906z00, BGl_z62lambda2406z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3264z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3907za7,
		BGl_z62zc3z04anonymousza32421ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3265z00zzsaw_defsz00,
		BgL_bgl_za762lambda2419za7623908z00, BGl_z62lambda2419z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3266z00zzsaw_defsz00,
		BgL_bgl_za762lambda2417za7623909z00, BGl_z62lambda2417z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3267z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3910za7,
		BGl_z62zc3z04anonymousza32433ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3268z00zzsaw_defsz00,
		BgL_bgl_za762lambda2430za7623911z00, BGl_z62lambda2430z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3269z00zzsaw_defsz00,
		BgL_bgl_za762lambda2428za7623912z00, BGl_z62lambda2428z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_castzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2lo3913z00,
		BGl_z62rtl_castzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2var3914z00, BGl_z62rtl_regzd2varzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3270z00zzsaw_defsz00,
		BgL_bgl_za762lambda2450za7623915z00, BGl_z62lambda2450z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3271z00zzsaw_defsz00,
		BgL_bgl_za762lambda2449za7623916z00, BGl_z62lambda2449z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3272z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3917za7,
		BGl_z62zc3z04anonymousza32444ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3273z00zzsaw_defsz00,
		BgL_bgl_za762lambda2441za7623918z00, BGl_z62lambda2441z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3274z00zzsaw_defsz00,
		BgL_bgl_za762lambda2439za7623919z00, BGl_z62lambda2439z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_switchzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_sw3920z00,
		BGl_z62makezd2rtl_switchzb0zzsaw_defsz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3275z00zzsaw_defsz00,
		BgL_bgl_za762lambda2469za7623921z00, BGl_z62lambda2469z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3276z00zzsaw_defsz00,
		BgL_bgl_za762lambda2468za7623922z00, BGl_z62lambda2468z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3277z00zzsaw_defsz00,
		BgL_bgl_za762lambda2475za7623923z00, BGl_z62lambda2475z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3278z00zzsaw_defsz00,
		BgL_bgl_za762lambda2474za7623924z00, BGl_z62lambda2474z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3279z00zzsaw_defsz00,
		BgL_bgl_za762lambda2482za7623925z00, BGl_z62lambda2482z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d3926z00,
		BGl_z62rtl_vlengthzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2labelzd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2label3927z00, BGl_z62blockzd2labelzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73928z00,
		BGl_z62rtl_getfieldzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_storegzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7f33929z00, BGl_z62rtl_storegzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadfunzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d3930z00,
		BGl_z62rtl_loadfunzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3280z00zzsaw_defsz00,
		BgL_bgl_za762lambda2481za7623931z00, BGl_z62lambda2481z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3281z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3932za7,
		BGl_z62zc3z04anonymousza32464ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3282z00zzsaw_defsz00,
		BgL_bgl_za762lambda2461za7623933z00, BGl_z62lambda2461z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3283z00zzsaw_defsz00,
		BgL_bgl_za762lambda2458za7623934z00, BGl_z62lambda2458z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3284z00zzsaw_defsz00,
		BgL_bgl_za762lambda2500za7623935z00, BGl_z62lambda2500z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3285z00zzsaw_defsz00,
		BgL_bgl_za762lambda2499za7623936z00, BGl_z62lambda2499z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_notseqzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_notseqza7d23937z00,
		BGl_z62rtl_notseqzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73938z00,
		BGl_z62rtl_setfieldzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3286z00zzsaw_defsz00,
		BgL_bgl_za762lambda2505za7623939z00, BGl_z62lambda2505z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3287z00zzsaw_defsz00,
		BgL_bgl_za762lambda2504za7623940z00, BGl_z62lambda2504z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3375z00zzsaw_defsz00,
		BgL_bgl_string3375za700za7za7s3941za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3288z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3942za7,
		BGl_z62zc3z04anonymousza32495ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3289z00zzsaw_defsz00,
		BgL_bgl_za762lambda2493za7623943z00, BGl_z62lambda2493z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3377z00zzsaw_defsz00,
		BgL_bgl_string3377za700za7za7s3944za7, "dump1784", 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2predszd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2preds3945z00, BGl_z62blockzd2predszb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3379z00zzsaw_defsz00,
		BgL_bgl_string3379za700za7za7s3946za7, "dump-fun1792", 12);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_protectza7d3947z00,
		BGl_z62rtl_protectzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzd2debugnamezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2deb3948z00,
		BGl_z62rtl_regzd2debugnamezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_pragmazd2formatzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d23949z00,
		BGl_z62rtl_pragmazd2formatzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifeqzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2lo3950z00, BGl_z62rtl_ifeqzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_lastzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_lastza7f3za793951za7, BGl_z62rtl_lastzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2inszd2rhszd2envzd2zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2insza7d23952za7,
		BGl_z62dumpzd2inszd2rhsz62zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3290z00zzsaw_defsz00,
		BgL_bgl_za762lambda2490za7623953z00, BGl_z62lambda2490z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3291z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3954za7,
		BGl_z62zc3z04anonymousza32519ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3292z00zzsaw_defsz00,
		BgL_bgl_za762lambda2517za7623955z00, BGl_z62lambda2517z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3293z00zzsaw_defsz00,
		BgL_bgl_za762lambda2515za7623956z00, BGl_z62lambda2515z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3381z00zzsaw_defsz00,
		BgL_bgl_string3381za700za7za7s3957za7, "shape", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3294z00zzsaw_defsz00,
		BgL_bgl_za762lambda2543za7623958z00, BGl_z62lambda2543z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3295z00zzsaw_defsz00,
		BgL_bgl_za762lambda2542za7623959z00, BGl_z62lambda2542z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3296z00zzsaw_defsz00,
		BgL_bgl_za762lambda2549za7623960z00, BGl_z62lambda2549z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3384z00zzsaw_defsz00,
		BgL_bgl_string3384za700za7za7s3961za7, "dump", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3297z00zzsaw_defsz00,
		BgL_bgl_za762lambda2548za7623962z00, BGl_z62lambda2548z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3298z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3963za7,
		BGl_z62zc3z04anonymousza32538ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3299z00zzsaw_defsz00,
		BgL_bgl_za762lambda2536za7623964z00, BGl_z62lambda2536z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3388z00zzsaw_defsz00,
		BgL_bgl_string3388za700za7za7s3965za7, "dump-fun", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retblockzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_retblockza73966z00,
		BGl_z62rtl_retblockzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectedzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_protected3967za7,
		BGl_z62rtl_protectedzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_notseqzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_notseqza7f33968z00, BGl_z62rtl_notseqzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadizd2constantzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2c3969z00,
		BGl_z62rtl_loadizd2constantzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73970z00,
		BGl_z62rtl_setfieldzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2tozd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2toza7d3971za7,
		BGl_z62rtl_gozd2tozd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_jumpexitzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_jumpexitza73972z00,
		BGl_z62rtl_jumpexitzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2labelszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23973z00,
		BGl_z62rtl_switchzd2labelszb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2lo3974z00, BGl_z62rtl_castzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadizd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2n3975z00, BGl_z62rtl_loadizd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_jumpexitzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_jumpexitza73976z00,
		BGl_z62rtl_jumpexitzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_boxsetzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_bo3977z00,
		BGl_z62makezd2rtl_boxsetzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_retblockzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_re3978z00,
		BGl_z62makezd2rtl_retblockzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2nilza73979za7, BGl_z62rtl_gozd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_callzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2lo3980z00, BGl_z62rtl_callzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifnezd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2ni3981z00, BGl_z62rtl_ifnezd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retblockzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_retblockza73982z00, BGl_z62rtl_retblockzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2loc3983z00, BGl_z62rtl_inszd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_makeboxzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_makeboxza7d3984z00,
		BGl_z62rtl_makeboxzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_lightfuncallzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3985za7,
		BGl_z62rtl_lightfuncallzf3z91zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_vrefzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_vr3986z00, BGl_z62makezd2rtl_vrefzb0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_jumpexitzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ju3987z00,
		BGl_z62makezd2rtl_jumpexitzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vsetzd2vtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2vt3988z00,
		BGl_z62rtl_vsetzd2vtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_cast_nullzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3989za7,
		BGl_z62rtl_cast_nullzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retzd2tozd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_retza7d2toza73990za7, BGl_z62rtl_retzd2tozb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7f3za791za73991z00, BGl_z62rtl_gozf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_callzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7f3za793992za7, BGl_z62rtl_callzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_lastzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lastza7d2lo3993z00, BGl_z62rtl_lastzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73994z00,
		BGl_z62rtl_getfieldzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzd2fromtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2fr3995z00,
		BGl_z62rtl_castzd2fromtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxrefzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_boxrefza7d23996z00,
		BGl_z62rtl_boxrefzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_nopzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_nopza7d2loc3997z00, BGl_z62rtl_nopzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_retza7d2nil3998z00, BGl_z62rtl_retzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_notseqzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_no3999z00,
		BGl_z62makezd2rtl_notseqzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_cast_nullzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ca4000z00,
		BGl_z62makezd2rtl_cast_nullzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_newzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2typ4001z00,
		BGl_z62rtl_newzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_nopzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_no4002z00, BGl_z62makezd2rtl_nopzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifnezd2thenzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2th4003z00, BGl_z62rtl_ifnezd2thenzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifeqzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7f3za794004za7, BGl_z62rtl_ifeqzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_selectzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d24005z00,
		BGl_z62rtl_selectzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_lightfuncallzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_li4006z00,
		BGl_z62makezd2rtl_lightfuncallzb0zzsaw_defsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_newzd2constrzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2con4007z00,
		BGl_z62rtl_newzd2constrzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadgzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2l4008z00,
		BGl_z62rtl_loadgzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_globalrefzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref4009za7, BGl_z62rtl_globalrefzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza74010z00, BGl_z62rtl_setfieldzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza74011z00,
		BGl_z62rtl_setfieldzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_ifzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_if4012z00, BGl_z62makezd2rtl_ifzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vrefzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2ty4013z00,
		BGl_z62rtl_vrefzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_effectzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_effectza7d24014z00,
		BGl_z62rtl_effectzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_purezd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_pu4015z00, BGl_z62makezd2rtl_purezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_regzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_re4016z00, BGl_z62makezd2rtl_regzb0zzsaw_defsz00,
		0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_instanceofzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo4017za7,
		BGl_z62rtl_instanceofzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_purezd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_pureza7d2lo4018z00,
		BGl_z62rtl_purezd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2namezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc4019za7,
		BGl_z62rtl_lightfuncallzd2namezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_protectzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_protectza7d4020z00,
		BGl_z62rtl_protectzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_selectzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d24021z00,
		BGl_z62rtl_selectzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifza7d2locza74022za7,
		BGl_z62rtl_ifzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2objtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza74023z00,
		BGl_z62rtl_setfieldzd2objtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzd2totypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2to4024z00,
		BGl_z62rtl_castzd2totypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_storegzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_st4025z00,
		BGl_z62makezd2rtl_storegzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxrefzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_boxrefza7f34026z00, BGl_z62rtl_boxrefzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczd2vtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d24027z00,
		BGl_z62rtl_valloczd2vtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_notseqzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_notseqza7d24028z00,
		BGl_z62rtl_notseqzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_purezd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pureza7d2ni4029z00, BGl_z62rtl_purezd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_instanceofzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_in4030z00,
		BGl_z62makezd2rtl_instanceofzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_ifnezd2thenzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2th4031z00,
		BGl_z62rtl_ifnezd2thenzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_cast_nullzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null4032za7, BGl_z62rtl_cast_nullzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza74033z00,
		BGl_z62rtl_getfieldzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_nopzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_nopza7d2loc4034z00,
		BGl_z62rtl_nopzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2keyzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2key4035z00, BGl_z62rtl_regzd2keyzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vlengthzd2vtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d4036z00,
		BGl_z62rtl_vlengthzd2vtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_ifeqzd2thenzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2th4037z00,
		BGl_z62rtl_ifeqzd2thenzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_movzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_movza7d2loc4038z00, BGl_z62rtl_movzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifza7d2nilza74039za7, BGl_z62rtl_ifzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_returnzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d24040z00,
		BGl_z62rtl_returnzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza74041z00,
		BGl_z62rtl_getfieldzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7f3za794042za7, BGl_z62rtl_vrefzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_storegzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d24043z00,
		BGl_z62rtl_storegzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzd2vtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d4044z00,
		BGl_z62rtl_vlengthzd2vtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_globalrefzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref4045za7,
		BGl_z62rtl_globalrefzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2namezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2nam4046z00, BGl_z62rtl_regzd2namezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_funzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_funza7d2loc4047z00,
		BGl_z62rtl_funzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2firstzd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2first4048z00, BGl_z62blockzd2firstzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lastzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lastza7d2lo4049z00,
		BGl_z62rtl_lastzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_boxsetzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_boxsetza7d24050z00,
		BGl_z62rtl_boxsetzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2basiczd2blockszd2envzd2zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2basicza74051za7,
		BGl_z62dumpzd2basiczd2blocksz62zzsaw_defsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2destzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2des4052z00,
		BGl_z62rtl_inszd2destzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_globalrefzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref4053za7,
		BGl_z62rtl_globalrefzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2lo4054z00, BGl_z62rtl_vrefzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vlengthzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d4055z00,
		BGl_z62rtl_vlengthzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2labelzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762blockza7d2label4056z00,
		BGl_z62blockzd2labelzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_inszd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_in4057z00, BGl_z62makezd2rtl_inszb0zzsaw_defsz00,
		0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d24058z00,
		BGl_z62rtl_switchzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2ty4059z00, BGl_z62rtl_vrefzd2typezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d24060z00,
		BGl_z62rtl_selectzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_instanceofzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo4061za7,
		BGl_z62rtl_instanceofzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_pragmazd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d24062z00,
		BGl_z62rtl_pragmazd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_protectza7d4063z00,
		BGl_z62rtl_protectzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifeqzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2ni4064z00, BGl_z62rtl_ifeqzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadgzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2v4065z00, BGl_z62rtl_loadgzd2varzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_makeboxzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_makeboxza7f4066z00, BGl_z62rtl_makeboxzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_callzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ca4067z00, BGl_z62makezd2rtl_callzb0zzsaw_defsz00,
		0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_rtl_insz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_funcallz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_vrefz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_protectz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_boxsetz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_makeboxz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_lightfuncallz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_movz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_retblockz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_jumpexitz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_switchz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_goz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_instanceofz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_setfieldz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_ifz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_storegz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_failz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_globalrefz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_effectz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_funz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_newz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_pragmaz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_boxrefz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_ifeqz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_vlengthz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_purez00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_vsetz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_regz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_vallocz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_cast_nullz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_loadfunz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_retz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_nopz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_ifnez00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_callz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_selectz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_lastz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_returnz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_applyz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_debugzd2sawzd2zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_loadgz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_loadiz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_notseqz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_castz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_getfieldz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_protectedz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_blockz00zzsaw_defsz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long
		BgL_checksumz00_9811, char *BgL_fromz00_9812)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_defsz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_defsz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_defsz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_defsz00();
					BGl_cnstzd2initzd2zzsaw_defsz00();
					BGl_importedzd2moduleszd2initz00zzsaw_defsz00();
					BGl_objectzd2initzd2zzsaw_defsz00();
					BGl_genericzd2initzd2zzsaw_defsz00();
					BGl_methodzd2initzd2zzsaw_defsz00();
					return BGl_toplevelzd2initzd2zzsaw_defsz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__osz00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_defs");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			{	/* SawMill/defs.scm 1 */
				obj_t BgL_cportz00_8485;

				{	/* SawMill/defs.scm 1 */
					obj_t BgL_stringz00_8492;

					BgL_stringz00_8492 = BGl_string3414z00zzsaw_defsz00;
					{	/* SawMill/defs.scm 1 */
						obj_t BgL_startz00_8493;

						BgL_startz00_8493 = BINT(0L);
						{	/* SawMill/defs.scm 1 */
							obj_t BgL_endz00_8494;

							BgL_endz00_8494 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_8492)));
							{	/* SawMill/defs.scm 1 */

								BgL_cportz00_8485 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_8492, BgL_startz00_8493, BgL_endz00_8494);
				}}}}
				{
					long BgL_iz00_8486;

					BgL_iz00_8486 = 82L;
				BgL_loopz00_8487:
					if ((BgL_iz00_8486 == -1L))
						{	/* SawMill/defs.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/defs.scm 1 */
							{	/* SawMill/defs.scm 1 */
								obj_t BgL_arg3416z00_8488;

								{	/* SawMill/defs.scm 1 */

									{	/* SawMill/defs.scm 1 */
										obj_t BgL_locationz00_8490;

										BgL_locationz00_8490 = BBOOL(((bool_t) 0));
										{	/* SawMill/defs.scm 1 */

											BgL_arg3416z00_8488 =
												BGl_readz00zz__readerz00(BgL_cportz00_8485,
												BgL_locationz00_8490);
										}
									}
								}
								{	/* SawMill/defs.scm 1 */
									int BgL_tmpz00_9847;

									BgL_tmpz00_9847 = (int) (BgL_iz00_8486);
									CNST_TABLE_SET(BgL_tmpz00_9847, BgL_arg3416z00_8488);
							}}
							{	/* SawMill/defs.scm 1 */
								int BgL_auxz00_8491;

								BgL_auxz00_8491 = (int) ((BgL_iz00_8486 - 1L));
								{
									long BgL_iz00_9852;

									BgL_iz00_9852 = (long) (BgL_auxz00_8491);
									BgL_iz00_8486 = BgL_iz00_9852;
									goto BgL_loopz00_8487;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			{	/* SawMill/defs.scm 100 */
				obj_t BgL_ez00_1885;

				BgL_ez00_1885 = BGl_getenvz00zz__osz00(BGl_string3105z00zzsaw_defsz00);
				if (STRINGP(BgL_ez00_1885))
					{	/* SawMill/defs.scm 102 */

						BGl_debugzd2sawzd2zzsaw_defsz00 =
							BGl_stringzd2indexzd2zz__r4_strings_6_7z00
							(BGl_string3106z00zzsaw_defsz00, BgL_ez00_1885, BINT(0L));
					}
				else
					{	/* SawMill/defs.scm 101 */
						BGl_debugzd2sawzd2zzsaw_defsz00 = BFALSE;
					}
			}
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_defsz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1890;

				BgL_headz00_1890 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1891;
					obj_t BgL_tailz00_1892;

					BgL_prevz00_1891 = BgL_headz00_1890;
					BgL_tailz00_1892 = BgL_l1z00_1;
				BgL_loopz00_1893:
					if (PAIRP(BgL_tailz00_1892))
						{
							obj_t BgL_newzd2prevzd2_1895;

							BgL_newzd2prevzd2_1895 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1892), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1891, BgL_newzd2prevzd2_1895);
							{
								obj_t BgL_tailz00_9867;
								obj_t BgL_prevz00_9866;

								BgL_prevz00_9866 = BgL_newzd2prevzd2_1895;
								BgL_tailz00_9867 = CDR(BgL_tailz00_1892);
								BgL_tailz00_1892 = BgL_tailz00_9867;
								BgL_prevz00_1891 = BgL_prevz00_9866;
								goto BgL_loopz00_1893;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1890);
				}
			}
		}

	}



/* make-rtl_reg */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzd2zzsaw_defsz00(BgL_typez00_bglt BgL_type1510z00_3,
		obj_t BgL_var1511z00_4, obj_t BgL_onexprzf31512zf3_5,
		obj_t BgL_name1513z00_6, obj_t BgL_key1514z00_7,
		obj_t BgL_debugname1515z00_8, obj_t BgL_hardware1516z00_9)
	{
		{	/* SawMill/defs.sch 531 */
			{	/* SawMill/defs.sch 531 */
				BgL_rtl_regz00_bglt BgL_new1350z00_8496;

				{	/* SawMill/defs.sch 531 */
					BgL_rtl_regz00_bglt BgL_new1349z00_8497;

					BgL_new1349z00_8497 =
						((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regz00_bgl))));
					{	/* SawMill/defs.sch 531 */
						long BgL_arg1824z00_8498;

						BgL_arg1824z00_8498 = BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1349z00_8497), BgL_arg1824z00_8498);
					}
					{	/* SawMill/defs.sch 531 */
						BgL_objectz00_bglt BgL_tmpz00_9874;

						BgL_tmpz00_9874 = ((BgL_objectz00_bglt) BgL_new1349z00_8497);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9874, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1349z00_8497);
					BgL_new1350z00_8496 = BgL_new1349z00_8497;
				}
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1350z00_8496))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1510z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1350z00_8496))->BgL_varz00) =
					((obj_t) BgL_var1511z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1350z00_8496))->
						BgL_onexprzf3zf3) = ((obj_t) BgL_onexprzf31512zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1350z00_8496))->BgL_namez00) =
					((obj_t) BgL_name1513z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1350z00_8496))->BgL_keyz00) =
					((obj_t) BgL_key1514z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1350z00_8496))->
						BgL_debugnamez00) = ((obj_t) BgL_debugname1515z00_8), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1350z00_8496))->
						BgL_hardwarez00) = ((obj_t) BgL_hardware1516z00_9), BUNSPEC);
				return BgL_new1350z00_8496;
			}
		}

	}



/* &make-rtl_reg */
	BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzb0zzsaw_defsz00(obj_t
		BgL_envz00_6730, obj_t BgL_type1510z00_6731, obj_t BgL_var1511z00_6732,
		obj_t BgL_onexprzf31512zf3_6733, obj_t BgL_name1513z00_6734,
		obj_t BgL_key1514z00_6735, obj_t BgL_debugname1515z00_6736,
		obj_t BgL_hardware1516z00_6737)
	{
		{	/* SawMill/defs.sch 531 */
			return
				BGl_makezd2rtl_regzd2zzsaw_defsz00(
				((BgL_typez00_bglt) BgL_type1510z00_6731), BgL_var1511z00_6732,
				BgL_onexprzf31512zf3_6733, BgL_name1513z00_6734, BgL_key1514z00_6735,
				BgL_debugname1515z00_6736, BgL_hardware1516z00_6737);
		}

	}



/* rtl_reg? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_regzf3zf3zzsaw_defsz00(obj_t BgL_objz00_10)
	{
		{	/* SawMill/defs.sch 532 */
			{	/* SawMill/defs.sch 532 */
				obj_t BgL_classz00_8499;

				BgL_classz00_8499 = BGl_rtl_regz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_10))
					{	/* SawMill/defs.sch 532 */
						BgL_objectz00_bglt BgL_arg1801z00_8500;

						BgL_arg1801z00_8500 = (BgL_objectz00_bglt) (BgL_objz00_10);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 532 */
								long BgL_idxz00_8501;

								BgL_idxz00_8501 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8500);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8501 + 1L)) == BgL_classz00_8499);
							}
						else
							{	/* SawMill/defs.sch 532 */
								bool_t BgL_res3043z00_8504;

								{	/* SawMill/defs.sch 532 */
									obj_t BgL_oclassz00_8505;

									{	/* SawMill/defs.sch 532 */
										long BgL_arg1808z00_8506;

										{	/* SawMill/defs.sch 532 */
											long BgL_arg1809z00_8507;

											BgL_arg1809z00_8507 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8500);
											BgL_arg1808z00_8506 = (BgL_arg1809z00_8507 - OBJECT_TYPE);
										}
										BgL_oclassz00_8505 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8506);
									}
									{	/* SawMill/defs.sch 532 */
										bool_t BgL__ortest_1115z00_8508;

										BgL__ortest_1115z00_8508 =
											(BgL_classz00_8499 == BgL_oclassz00_8505);
										if (BgL__ortest_1115z00_8508)
											{	/* SawMill/defs.sch 532 */
												BgL_res3043z00_8504 = BgL__ortest_1115z00_8508;
											}
										else
											{	/* SawMill/defs.sch 532 */
												long BgL_odepthz00_8509;

												BgL_odepthz00_8509 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8505);
												if ((1L < BgL_odepthz00_8509))
													{	/* SawMill/defs.sch 532 */
														obj_t BgL_arg1797z00_8510;

														BgL_arg1797z00_8510 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8505, 1L);
														BgL_res3043z00_8504 =
															(BgL_arg1797z00_8510 == BgL_classz00_8499);
													}
												else
													{	/* SawMill/defs.sch 532 */
														BgL_res3043z00_8504 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3043z00_8504;
							}
					}
				else
					{	/* SawMill/defs.sch 532 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg? */
	obj_t BGl_z62rtl_regzf3z91zzsaw_defsz00(obj_t BgL_envz00_6738,
		obj_t BgL_objz00_6739)
	{
		{	/* SawMill/defs.sch 532 */
			return BBOOL(BGl_rtl_regzf3zf3zzsaw_defsz00(BgL_objz00_6739));
		}

	}



/* rtl_reg-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt BGl_rtl_regzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 533 */
			{	/* SawMill/defs.sch 533 */
				obj_t BgL_classz00_4166;

				BgL_classz00_4166 = BGl_rtl_regz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 533 */
					obj_t BgL__ortest_1117z00_4167;

					BgL__ortest_1117z00_4167 = BGL_CLASS_NIL(BgL_classz00_4166);
					if (CBOOL(BgL__ortest_1117z00_4167))
						{	/* SawMill/defs.sch 533 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1117z00_4167);
						}
					else
						{	/* SawMill/defs.sch 533 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4166));
						}
				}
			}
		}

	}



/* &rtl_reg-nil */
	BgL_rtl_regz00_bglt BGl_z62rtl_regzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6740)
	{
		{	/* SawMill/defs.sch 533 */
			return BGl_rtl_regzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_reg-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2hardwarezd2zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_11)
	{
		{	/* SawMill/defs.sch 534 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_11))->BgL_hardwarez00);
		}

	}



/* &rtl_reg-hardware */
	obj_t BGl_z62rtl_regzd2hardwarezb0zzsaw_defsz00(obj_t BgL_envz00_6741,
		obj_t BgL_oz00_6742)
	{
		{	/* SawMill/defs.sch 534 */
			return
				BGl_rtl_regzd2hardwarezd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6742));
		}

	}



/* rtl_reg-debugname */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2debugnamezd2zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_14)
	{
		{	/* SawMill/defs.sch 536 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_14))->BgL_debugnamez00);
		}

	}



/* &rtl_reg-debugname */
	obj_t BGl_z62rtl_regzd2debugnamezb0zzsaw_defsz00(obj_t BgL_envz00_6743,
		obj_t BgL_oz00_6744)
	{
		{	/* SawMill/defs.sch 536 */
			return
				BGl_rtl_regzd2debugnamezd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6744));
		}

	}



/* rtl_reg-debugname-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2debugnamezd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt
		BgL_oz00_15, obj_t BgL_vz00_16)
	{
		{	/* SawMill/defs.sch 537 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_15))->BgL_debugnamez00) =
				((obj_t) BgL_vz00_16), BUNSPEC);
		}

	}



/* &rtl_reg-debugname-set! */
	obj_t BGl_z62rtl_regzd2debugnamezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6745, obj_t BgL_oz00_6746, obj_t BgL_vz00_6747)
	{
		{	/* SawMill/defs.sch 537 */
			return
				BGl_rtl_regzd2debugnamezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6746), BgL_vz00_6747);
		}

	}



/* rtl_reg-key */
	BGL_EXPORTED_DEF obj_t BGl_rtl_regzd2keyzd2zzsaw_defsz00(BgL_rtl_regz00_bglt
		BgL_oz00_17)
	{
		{	/* SawMill/defs.sch 538 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_17))->BgL_keyz00);
		}

	}



/* &rtl_reg-key */
	obj_t BGl_z62rtl_regzd2keyzb0zzsaw_defsz00(obj_t BgL_envz00_6748,
		obj_t BgL_oz00_6749)
	{
		{	/* SawMill/defs.sch 538 */
			return
				BGl_rtl_regzd2keyzd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6749));
		}

	}



/* rtl_reg-name */
	BGL_EXPORTED_DEF obj_t BGl_rtl_regzd2namezd2zzsaw_defsz00(BgL_rtl_regz00_bglt
		BgL_oz00_20)
	{
		{	/* SawMill/defs.sch 540 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_20))->BgL_namez00);
		}

	}



/* &rtl_reg-name */
	obj_t BGl_z62rtl_regzd2namezb0zzsaw_defsz00(obj_t BgL_envz00_6750,
		obj_t BgL_oz00_6751)
	{
		{	/* SawMill/defs.sch 540 */
			return
				BGl_rtl_regzd2namezd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6751));
		}

	}



/* rtl_reg-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2onexprzf3z21zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_23)
	{
		{	/* SawMill/defs.sch 542 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_23))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg-onexpr? */
	obj_t BGl_z62rtl_regzd2onexprzf3z43zzsaw_defsz00(obj_t BgL_envz00_6752,
		obj_t BgL_oz00_6753)
	{
		{	/* SawMill/defs.sch 542 */
			return
				BGl_rtl_regzd2onexprzf3z21zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6753));
		}

	}



/* rtl_reg-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2onexprzf3zd2setz12ze1zzsaw_defsz00(BgL_rtl_regz00_bglt
		BgL_oz00_24, obj_t BgL_vz00_25)
	{
		{	/* SawMill/defs.sch 543 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_24))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_25), BUNSPEC);
		}

	}



/* &rtl_reg-onexpr?-set! */
	obj_t BGl_z62rtl_regzd2onexprzf3zd2setz12z83zzsaw_defsz00(obj_t
		BgL_envz00_6754, obj_t BgL_oz00_6755, obj_t BgL_vz00_6756)
	{
		{	/* SawMill/defs.sch 543 */
			return
				BGl_rtl_regzd2onexprzf3zd2setz12ze1zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6755), BgL_vz00_6756);
		}

	}



/* rtl_reg-var */
	BGL_EXPORTED_DEF obj_t BGl_rtl_regzd2varzd2zzsaw_defsz00(BgL_rtl_regz00_bglt
		BgL_oz00_26)
	{
		{	/* SawMill/defs.sch 544 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_26))->BgL_varz00);
		}

	}



/* &rtl_reg-var */
	obj_t BGl_z62rtl_regzd2varzb0zzsaw_defsz00(obj_t BgL_envz00_6757,
		obj_t BgL_oz00_6758)
	{
		{	/* SawMill/defs.sch 544 */
			return
				BGl_rtl_regzd2varzd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6758));
		}

	}



/* rtl_reg-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_27,
		obj_t BgL_vz00_28)
	{
		{	/* SawMill/defs.sch 545 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_27))->BgL_varz00) =
				((obj_t) BgL_vz00_28), BUNSPEC);
		}

	}



/* &rtl_reg-var-set! */
	obj_t BGl_z62rtl_regzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6759,
		obj_t BgL_oz00_6760, obj_t BgL_vz00_6761)
	{
		{	/* SawMill/defs.sch 545 */
			return
				BGl_rtl_regzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6760), BgL_vz00_6761);
		}

	}



/* rtl_reg-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzd2typezd2zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_29)
	{
		{	/* SawMill/defs.sch 546 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_29))->BgL_typez00);
		}

	}



/* &rtl_reg-type */
	BgL_typez00_bglt BGl_z62rtl_regzd2typezb0zzsaw_defsz00(obj_t BgL_envz00_6762,
		obj_t BgL_oz00_6763)
	{
		{	/* SawMill/defs.sch 546 */
			return
				BGl_rtl_regzd2typezd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6763));
		}

	}



/* rtl_reg-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_30,
		BgL_typez00_bglt BgL_vz00_31)
	{
		{	/* SawMill/defs.sch 547 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_30))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_31), BUNSPEC);
		}

	}



/* &rtl_reg-type-set! */
	obj_t BGl_z62rtl_regzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6764,
		obj_t BgL_oz00_6765, obj_t BgL_vz00_6766)
	{
		{	/* SawMill/defs.sch 547 */
			return
				BGl_rtl_regzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6765),
				((BgL_typez00_bglt) BgL_vz00_6766));
		}

	}



/* make-rtl_fun */
	BGL_EXPORTED_DEF BgL_rtl_funz00_bglt BGl_makezd2rtl_funzd2zzsaw_defsz00(obj_t
		BgL_loc1507z00_32)
	{
		{	/* SawMill/defs.sch 550 */
			{	/* SawMill/defs.sch 550 */
				BgL_rtl_funz00_bglt BgL_new1352z00_8511;

				{	/* SawMill/defs.sch 550 */
					BgL_rtl_funz00_bglt BgL_new1351z00_8512;

					BgL_new1351z00_8512 =
						((BgL_rtl_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_funz00_bgl))));
					{	/* SawMill/defs.sch 550 */
						long BgL_arg1825z00_8513;

						BgL_arg1825z00_8513 = BGL_CLASS_NUM(BGl_rtl_funz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1351z00_8512), BgL_arg1825z00_8513);
					}
					BgL_new1352z00_8511 = BgL_new1351z00_8512;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(BgL_new1352z00_8511))->BgL_locz00) =
					((obj_t) BgL_loc1507z00_32), BUNSPEC);
				return BgL_new1352z00_8511;
			}
		}

	}



/* &make-rtl_fun */
	BgL_rtl_funz00_bglt BGl_z62makezd2rtl_funzb0zzsaw_defsz00(obj_t
		BgL_envz00_6767, obj_t BgL_loc1507z00_6768)
	{
		{	/* SawMill/defs.sch 550 */
			return BGl_makezd2rtl_funzd2zzsaw_defsz00(BgL_loc1507z00_6768);
		}

	}



/* rtl_fun? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_funzf3zf3zzsaw_defsz00(obj_t BgL_objz00_33)
	{
		{	/* SawMill/defs.sch 551 */
			{	/* SawMill/defs.sch 551 */
				obj_t BgL_classz00_8514;

				BgL_classz00_8514 = BGl_rtl_funz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_33))
					{	/* SawMill/defs.sch 551 */
						BgL_objectz00_bglt BgL_arg1801z00_8515;

						BgL_arg1801z00_8515 = (BgL_objectz00_bglt) (BgL_objz00_33);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 551 */
								long BgL_idxz00_8516;

								BgL_idxz00_8516 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8515);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8516 + 1L)) == BgL_classz00_8514);
							}
						else
							{	/* SawMill/defs.sch 551 */
								bool_t BgL_res3044z00_8519;

								{	/* SawMill/defs.sch 551 */
									obj_t BgL_oclassz00_8520;

									{	/* SawMill/defs.sch 551 */
										long BgL_arg1808z00_8521;

										{	/* SawMill/defs.sch 551 */
											long BgL_arg1809z00_8522;

											BgL_arg1809z00_8522 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8515);
											BgL_arg1808z00_8521 = (BgL_arg1809z00_8522 - OBJECT_TYPE);
										}
										BgL_oclassz00_8520 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8521);
									}
									{	/* SawMill/defs.sch 551 */
										bool_t BgL__ortest_1115z00_8523;

										BgL__ortest_1115z00_8523 =
											(BgL_classz00_8514 == BgL_oclassz00_8520);
										if (BgL__ortest_1115z00_8523)
											{	/* SawMill/defs.sch 551 */
												BgL_res3044z00_8519 = BgL__ortest_1115z00_8523;
											}
										else
											{	/* SawMill/defs.sch 551 */
												long BgL_odepthz00_8524;

												BgL_odepthz00_8524 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8520);
												if ((1L < BgL_odepthz00_8524))
													{	/* SawMill/defs.sch 551 */
														obj_t BgL_arg1797z00_8525;

														BgL_arg1797z00_8525 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8520, 1L);
														BgL_res3044z00_8519 =
															(BgL_arg1797z00_8525 == BgL_classz00_8514);
													}
												else
													{	/* SawMill/defs.sch 551 */
														BgL_res3044z00_8519 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3044z00_8519;
							}
					}
				else
					{	/* SawMill/defs.sch 551 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_fun? */
	obj_t BGl_z62rtl_funzf3z91zzsaw_defsz00(obj_t BgL_envz00_6769,
		obj_t BgL_objz00_6770)
	{
		{	/* SawMill/defs.sch 551 */
			return BBOOL(BGl_rtl_funzf3zf3zzsaw_defsz00(BgL_objz00_6770));
		}

	}



/* rtl_fun-nil */
	BGL_EXPORTED_DEF BgL_rtl_funz00_bglt BGl_rtl_funzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 552 */
			{	/* SawMill/defs.sch 552 */
				obj_t BgL_classz00_4205;

				BgL_classz00_4205 = BGl_rtl_funz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 552 */
					obj_t BgL__ortest_1117z00_4206;

					BgL__ortest_1117z00_4206 = BGL_CLASS_NIL(BgL_classz00_4205);
					if (CBOOL(BgL__ortest_1117z00_4206))
						{	/* SawMill/defs.sch 552 */
							return ((BgL_rtl_funz00_bglt) BgL__ortest_1117z00_4206);
						}
					else
						{	/* SawMill/defs.sch 552 */
							return
								((BgL_rtl_funz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4205));
						}
				}
			}
		}

	}



/* &rtl_fun-nil */
	BgL_rtl_funz00_bglt BGl_z62rtl_funzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6771)
	{
		{	/* SawMill/defs.sch 552 */
			return BGl_rtl_funzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_fun-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_funzd2loczd2zzsaw_defsz00(BgL_rtl_funz00_bglt
		BgL_oz00_34)
	{
		{	/* SawMill/defs.sch 553 */
			return (((BgL_rtl_funz00_bglt) COBJECT(BgL_oz00_34))->BgL_locz00);
		}

	}



/* &rtl_fun-loc */
	obj_t BGl_z62rtl_funzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6772,
		obj_t BgL_oz00_6773)
	{
		{	/* SawMill/defs.sch 553 */
			return
				BGl_rtl_funzd2loczd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt) BgL_oz00_6773));
		}

	}



/* rtl_fun-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_funzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_funz00_bglt BgL_oz00_35,
		obj_t BgL_vz00_36)
	{
		{	/* SawMill/defs.sch 554 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(BgL_oz00_35))->BgL_locz00) =
				((obj_t) BgL_vz00_36), BUNSPEC);
		}

	}



/* &rtl_fun-loc-set! */
	obj_t BGl_z62rtl_funzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6774,
		obj_t BgL_oz00_6775, obj_t BgL_vz00_6776)
	{
		{	/* SawMill/defs.sch 554 */
			return
				BGl_rtl_funzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_funz00_bglt) BgL_oz00_6775), BgL_vz00_6776);
		}

	}



/* make-rtl_last */
	BGL_EXPORTED_DEF BgL_rtl_lastz00_bglt
		BGl_makezd2rtl_lastzd2zzsaw_defsz00(obj_t BgL_loc1505z00_37)
	{
		{	/* SawMill/defs.sch 557 */
			{	/* SawMill/defs.sch 557 */
				BgL_rtl_lastz00_bglt BgL_new1354z00_8526;

				{	/* SawMill/defs.sch 557 */
					BgL_rtl_lastz00_bglt BgL_new1353z00_8527;

					BgL_new1353z00_8527 =
						((BgL_rtl_lastz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_lastz00_bgl))));
					{	/* SawMill/defs.sch 557 */
						long BgL_arg1826z00_8528;

						BgL_arg1826z00_8528 = BGL_CLASS_NUM(BGl_rtl_lastz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1353z00_8527), BgL_arg1826z00_8528);
					}
					BgL_new1354z00_8526 = BgL_new1353z00_8527;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1354z00_8526)))->BgL_locz00) =
					((obj_t) BgL_loc1505z00_37), BUNSPEC);
				return BgL_new1354z00_8526;
			}
		}

	}



/* &make-rtl_last */
	BgL_rtl_lastz00_bglt BGl_z62makezd2rtl_lastzb0zzsaw_defsz00(obj_t
		BgL_envz00_6777, obj_t BgL_loc1505z00_6778)
	{
		{	/* SawMill/defs.sch 557 */
			return BGl_makezd2rtl_lastzd2zzsaw_defsz00(BgL_loc1505z00_6778);
		}

	}



/* rtl_last? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_lastzf3zf3zzsaw_defsz00(obj_t BgL_objz00_38)
	{
		{	/* SawMill/defs.sch 558 */
			{	/* SawMill/defs.sch 558 */
				obj_t BgL_classz00_8529;

				BgL_classz00_8529 = BGl_rtl_lastz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_38))
					{	/* SawMill/defs.sch 558 */
						BgL_objectz00_bglt BgL_arg1801z00_8530;

						BgL_arg1801z00_8530 = (BgL_objectz00_bglt) (BgL_objz00_38);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 558 */
								long BgL_idxz00_8531;

								BgL_idxz00_8531 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8530);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8531 + 2L)) == BgL_classz00_8529);
							}
						else
							{	/* SawMill/defs.sch 558 */
								bool_t BgL_res3045z00_8534;

								{	/* SawMill/defs.sch 558 */
									obj_t BgL_oclassz00_8535;

									{	/* SawMill/defs.sch 558 */
										long BgL_arg1808z00_8536;

										{	/* SawMill/defs.sch 558 */
											long BgL_arg1809z00_8537;

											BgL_arg1809z00_8537 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8530);
											BgL_arg1808z00_8536 = (BgL_arg1809z00_8537 - OBJECT_TYPE);
										}
										BgL_oclassz00_8535 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8536);
									}
									{	/* SawMill/defs.sch 558 */
										bool_t BgL__ortest_1115z00_8538;

										BgL__ortest_1115z00_8538 =
											(BgL_classz00_8529 == BgL_oclassz00_8535);
										if (BgL__ortest_1115z00_8538)
											{	/* SawMill/defs.sch 558 */
												BgL_res3045z00_8534 = BgL__ortest_1115z00_8538;
											}
										else
											{	/* SawMill/defs.sch 558 */
												long BgL_odepthz00_8539;

												BgL_odepthz00_8539 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8535);
												if ((2L < BgL_odepthz00_8539))
													{	/* SawMill/defs.sch 558 */
														obj_t BgL_arg1797z00_8540;

														BgL_arg1797z00_8540 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8535, 2L);
														BgL_res3045z00_8534 =
															(BgL_arg1797z00_8540 == BgL_classz00_8529);
													}
												else
													{	/* SawMill/defs.sch 558 */
														BgL_res3045z00_8534 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3045z00_8534;
							}
					}
				else
					{	/* SawMill/defs.sch 558 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_last? */
	obj_t BGl_z62rtl_lastzf3z91zzsaw_defsz00(obj_t BgL_envz00_6779,
		obj_t BgL_objz00_6780)
	{
		{	/* SawMill/defs.sch 558 */
			return BBOOL(BGl_rtl_lastzf3zf3zzsaw_defsz00(BgL_objz00_6780));
		}

	}



/* rtl_last-nil */
	BGL_EXPORTED_DEF BgL_rtl_lastz00_bglt BGl_rtl_lastzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 559 */
			{	/* SawMill/defs.sch 559 */
				obj_t BgL_classz00_4244;

				BgL_classz00_4244 = BGl_rtl_lastz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 559 */
					obj_t BgL__ortest_1117z00_4245;

					BgL__ortest_1117z00_4245 = BGL_CLASS_NIL(BgL_classz00_4244);
					if (CBOOL(BgL__ortest_1117z00_4245))
						{	/* SawMill/defs.sch 559 */
							return ((BgL_rtl_lastz00_bglt) BgL__ortest_1117z00_4245);
						}
					else
						{	/* SawMill/defs.sch 559 */
							return
								((BgL_rtl_lastz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4244));
						}
				}
			}
		}

	}



/* &rtl_last-nil */
	BgL_rtl_lastz00_bglt BGl_z62rtl_lastzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6781)
	{
		{	/* SawMill/defs.sch 559 */
			return BGl_rtl_lastzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_last-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_lastzd2loczd2zzsaw_defsz00(BgL_rtl_lastz00_bglt
		BgL_oz00_39)
	{
		{	/* SawMill/defs.sch 560 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_39)))->BgL_locz00);
		}

	}



/* &rtl_last-loc */
	obj_t BGl_z62rtl_lastzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6782,
		obj_t BgL_oz00_6783)
	{
		{	/* SawMill/defs.sch 560 */
			return
				BGl_rtl_lastzd2loczd2zzsaw_defsz00(
				((BgL_rtl_lastz00_bglt) BgL_oz00_6783));
		}

	}



/* rtl_last-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lastzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_lastz00_bglt
		BgL_oz00_40, obj_t BgL_vz00_41)
	{
		{	/* SawMill/defs.sch 561 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_40)))->BgL_locz00) =
				((obj_t) BgL_vz00_41), BUNSPEC);
		}

	}



/* &rtl_last-loc-set! */
	obj_t BGl_z62rtl_lastzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6784,
		obj_t BgL_oz00_6785, obj_t BgL_vz00_6786)
	{
		{	/* SawMill/defs.sch 561 */
			return
				BGl_rtl_lastzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lastz00_bglt) BgL_oz00_6785), BgL_vz00_6786);
		}

	}



/* make-rtl_return */
	BGL_EXPORTED_DEF BgL_rtl_returnz00_bglt
		BGl_makezd2rtl_returnzd2zzsaw_defsz00(obj_t BgL_loc1502z00_42,
		BgL_typez00_bglt BgL_type1503z00_43)
	{
		{	/* SawMill/defs.sch 564 */
			{	/* SawMill/defs.sch 564 */
				BgL_rtl_returnz00_bglt BgL_new1356z00_8541;

				{	/* SawMill/defs.sch 564 */
					BgL_rtl_returnz00_bglt BgL_new1355z00_8542;

					BgL_new1355z00_8542 =
						((BgL_rtl_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_returnz00_bgl))));
					{	/* SawMill/defs.sch 564 */
						long BgL_arg1827z00_8543;

						BgL_arg1827z00_8543 = BGL_CLASS_NUM(BGl_rtl_returnz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1355z00_8542), BgL_arg1827z00_8543);
					}
					BgL_new1356z00_8541 = BgL_new1355z00_8542;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1356z00_8541)))->BgL_locz00) =
					((obj_t) BgL_loc1502z00_42), BUNSPEC);
				((((BgL_rtl_returnz00_bglt) COBJECT(BgL_new1356z00_8541))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1503z00_43), BUNSPEC);
				return BgL_new1356z00_8541;
			}
		}

	}



/* &make-rtl_return */
	BgL_rtl_returnz00_bglt BGl_z62makezd2rtl_returnzb0zzsaw_defsz00(obj_t
		BgL_envz00_6787, obj_t BgL_loc1502z00_6788, obj_t BgL_type1503z00_6789)
	{
		{	/* SawMill/defs.sch 564 */
			return
				BGl_makezd2rtl_returnzd2zzsaw_defsz00(BgL_loc1502z00_6788,
				((BgL_typez00_bglt) BgL_type1503z00_6789));
		}

	}



/* rtl_return? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_returnzf3zf3zzsaw_defsz00(obj_t BgL_objz00_44)
	{
		{	/* SawMill/defs.sch 565 */
			{	/* SawMill/defs.sch 565 */
				obj_t BgL_classz00_8544;

				BgL_classz00_8544 = BGl_rtl_returnz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_44))
					{	/* SawMill/defs.sch 565 */
						BgL_objectz00_bglt BgL_arg1801z00_8545;

						BgL_arg1801z00_8545 = (BgL_objectz00_bglt) (BgL_objz00_44);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 565 */
								long BgL_idxz00_8546;

								BgL_idxz00_8546 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8545);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8546 + 3L)) == BgL_classz00_8544);
							}
						else
							{	/* SawMill/defs.sch 565 */
								bool_t BgL_res3046z00_8549;

								{	/* SawMill/defs.sch 565 */
									obj_t BgL_oclassz00_8550;

									{	/* SawMill/defs.sch 565 */
										long BgL_arg1808z00_8551;

										{	/* SawMill/defs.sch 565 */
											long BgL_arg1809z00_8552;

											BgL_arg1809z00_8552 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8545);
											BgL_arg1808z00_8551 = (BgL_arg1809z00_8552 - OBJECT_TYPE);
										}
										BgL_oclassz00_8550 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8551);
									}
									{	/* SawMill/defs.sch 565 */
										bool_t BgL__ortest_1115z00_8553;

										BgL__ortest_1115z00_8553 =
											(BgL_classz00_8544 == BgL_oclassz00_8550);
										if (BgL__ortest_1115z00_8553)
											{	/* SawMill/defs.sch 565 */
												BgL_res3046z00_8549 = BgL__ortest_1115z00_8553;
											}
										else
											{	/* SawMill/defs.sch 565 */
												long BgL_odepthz00_8554;

												BgL_odepthz00_8554 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8550);
												if ((3L < BgL_odepthz00_8554))
													{	/* SawMill/defs.sch 565 */
														obj_t BgL_arg1797z00_8555;

														BgL_arg1797z00_8555 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8550, 3L);
														BgL_res3046z00_8549 =
															(BgL_arg1797z00_8555 == BgL_classz00_8544);
													}
												else
													{	/* SawMill/defs.sch 565 */
														BgL_res3046z00_8549 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3046z00_8549;
							}
					}
				else
					{	/* SawMill/defs.sch 565 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_return? */
	obj_t BGl_z62rtl_returnzf3z91zzsaw_defsz00(obj_t BgL_envz00_6790,
		obj_t BgL_objz00_6791)
	{
		{	/* SawMill/defs.sch 565 */
			return BBOOL(BGl_rtl_returnzf3zf3zzsaw_defsz00(BgL_objz00_6791));
		}

	}



/* rtl_return-nil */
	BGL_EXPORTED_DEF BgL_rtl_returnz00_bglt
		BGl_rtl_returnzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 566 */
			{	/* SawMill/defs.sch 566 */
				obj_t BgL_classz00_4283;

				BgL_classz00_4283 = BGl_rtl_returnz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 566 */
					obj_t BgL__ortest_1117z00_4284;

					BgL__ortest_1117z00_4284 = BGL_CLASS_NIL(BgL_classz00_4283);
					if (CBOOL(BgL__ortest_1117z00_4284))
						{	/* SawMill/defs.sch 566 */
							return ((BgL_rtl_returnz00_bglt) BgL__ortest_1117z00_4284);
						}
					else
						{	/* SawMill/defs.sch 566 */
							return
								((BgL_rtl_returnz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4283));
						}
				}
			}
		}

	}



/* &rtl_return-nil */
	BgL_rtl_returnz00_bglt BGl_z62rtl_returnzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6792)
	{
		{	/* SawMill/defs.sch 566 */
			return BGl_rtl_returnzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_return-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_returnzd2typezd2zzsaw_defsz00(BgL_rtl_returnz00_bglt BgL_oz00_45)
	{
		{	/* SawMill/defs.sch 567 */
			return (((BgL_rtl_returnz00_bglt) COBJECT(BgL_oz00_45))->BgL_typez00);
		}

	}



/* &rtl_return-type */
	BgL_typez00_bglt BGl_z62rtl_returnzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_6793, obj_t BgL_oz00_6794)
	{
		{	/* SawMill/defs.sch 567 */
			return
				BGl_rtl_returnzd2typezd2zzsaw_defsz00(
				((BgL_rtl_returnz00_bglt) BgL_oz00_6794));
		}

	}



/* rtl_return-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_returnzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_returnz00_bglt
		BgL_oz00_46, BgL_typez00_bglt BgL_vz00_47)
	{
		{	/* SawMill/defs.sch 568 */
			return
				((((BgL_rtl_returnz00_bglt) COBJECT(BgL_oz00_46))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_47), BUNSPEC);
		}

	}



/* &rtl_return-type-set! */
	obj_t BGl_z62rtl_returnzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6795,
		obj_t BgL_oz00_6796, obj_t BgL_vz00_6797)
	{
		{	/* SawMill/defs.sch 568 */
			return
				BGl_rtl_returnzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_returnz00_bglt) BgL_oz00_6796),
				((BgL_typez00_bglt) BgL_vz00_6797));
		}

	}



/* rtl_return-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_returnzd2loczd2zzsaw_defsz00(BgL_rtl_returnz00_bglt BgL_oz00_48)
	{
		{	/* SawMill/defs.sch 569 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_48)))->BgL_locz00);
		}

	}



/* &rtl_return-loc */
	obj_t BGl_z62rtl_returnzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6798,
		obj_t BgL_oz00_6799)
	{
		{	/* SawMill/defs.sch 569 */
			return
				BGl_rtl_returnzd2loczd2zzsaw_defsz00(
				((BgL_rtl_returnz00_bglt) BgL_oz00_6799));
		}

	}



/* rtl_return-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_returnzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_returnz00_bglt
		BgL_oz00_49, obj_t BgL_vz00_50)
	{
		{	/* SawMill/defs.sch 570 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_49)))->BgL_locz00) =
				((obj_t) BgL_vz00_50), BUNSPEC);
		}

	}



/* &rtl_return-loc-set! */
	obj_t BGl_z62rtl_returnzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6800,
		obj_t BgL_oz00_6801, obj_t BgL_vz00_6802)
	{
		{	/* SawMill/defs.sch 570 */
			return
				BGl_rtl_returnzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_returnz00_bglt) BgL_oz00_6801), BgL_vz00_6802);
		}

	}



/* make-rtl_jumpexit */
	BGL_EXPORTED_DEF BgL_rtl_jumpexitz00_bglt
		BGl_makezd2rtl_jumpexitzd2zzsaw_defsz00(obj_t BgL_loc1499z00_51)
	{
		{	/* SawMill/defs.sch 573 */
			{	/* SawMill/defs.sch 573 */
				BgL_rtl_jumpexitz00_bglt BgL_new1358z00_8556;

				{	/* SawMill/defs.sch 573 */
					BgL_rtl_jumpexitz00_bglt BgL_new1357z00_8557;

					BgL_new1357z00_8557 =
						((BgL_rtl_jumpexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_jumpexitz00_bgl))));
					{	/* SawMill/defs.sch 573 */
						long BgL_arg1828z00_8558;

						BgL_arg1828z00_8558 =
							BGL_CLASS_NUM(BGl_rtl_jumpexitz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1357z00_8557), BgL_arg1828z00_8558);
					}
					BgL_new1358z00_8556 = BgL_new1357z00_8557;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1358z00_8556)))->BgL_locz00) =
					((obj_t) BgL_loc1499z00_51), BUNSPEC);
				return BgL_new1358z00_8556;
			}
		}

	}



/* &make-rtl_jumpexit */
	BgL_rtl_jumpexitz00_bglt BGl_z62makezd2rtl_jumpexitzb0zzsaw_defsz00(obj_t
		BgL_envz00_6803, obj_t BgL_loc1499z00_6804)
	{
		{	/* SawMill/defs.sch 573 */
			return BGl_makezd2rtl_jumpexitzd2zzsaw_defsz00(BgL_loc1499z00_6804);
		}

	}



/* rtl_jumpexit? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_jumpexitzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_52)
	{
		{	/* SawMill/defs.sch 574 */
			{	/* SawMill/defs.sch 574 */
				obj_t BgL_classz00_8559;

				BgL_classz00_8559 = BGl_rtl_jumpexitz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_52))
					{	/* SawMill/defs.sch 574 */
						BgL_objectz00_bglt BgL_arg1801z00_8560;

						BgL_arg1801z00_8560 = (BgL_objectz00_bglt) (BgL_objz00_52);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 574 */
								long BgL_idxz00_8561;

								BgL_idxz00_8561 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8560);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8561 + 3L)) == BgL_classz00_8559);
							}
						else
							{	/* SawMill/defs.sch 574 */
								bool_t BgL_res3047z00_8564;

								{	/* SawMill/defs.sch 574 */
									obj_t BgL_oclassz00_8565;

									{	/* SawMill/defs.sch 574 */
										long BgL_arg1808z00_8566;

										{	/* SawMill/defs.sch 574 */
											long BgL_arg1809z00_8567;

											BgL_arg1809z00_8567 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8560);
											BgL_arg1808z00_8566 = (BgL_arg1809z00_8567 - OBJECT_TYPE);
										}
										BgL_oclassz00_8565 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8566);
									}
									{	/* SawMill/defs.sch 574 */
										bool_t BgL__ortest_1115z00_8568;

										BgL__ortest_1115z00_8568 =
											(BgL_classz00_8559 == BgL_oclassz00_8565);
										if (BgL__ortest_1115z00_8568)
											{	/* SawMill/defs.sch 574 */
												BgL_res3047z00_8564 = BgL__ortest_1115z00_8568;
											}
										else
											{	/* SawMill/defs.sch 574 */
												long BgL_odepthz00_8569;

												BgL_odepthz00_8569 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8565);
												if ((3L < BgL_odepthz00_8569))
													{	/* SawMill/defs.sch 574 */
														obj_t BgL_arg1797z00_8570;

														BgL_arg1797z00_8570 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8565, 3L);
														BgL_res3047z00_8564 =
															(BgL_arg1797z00_8570 == BgL_classz00_8559);
													}
												else
													{	/* SawMill/defs.sch 574 */
														BgL_res3047z00_8564 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3047z00_8564;
							}
					}
				else
					{	/* SawMill/defs.sch 574 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_jumpexit? */
	obj_t BGl_z62rtl_jumpexitzf3z91zzsaw_defsz00(obj_t BgL_envz00_6805,
		obj_t BgL_objz00_6806)
	{
		{	/* SawMill/defs.sch 574 */
			return BBOOL(BGl_rtl_jumpexitzf3zf3zzsaw_defsz00(BgL_objz00_6806));
		}

	}



/* rtl_jumpexit-nil */
	BGL_EXPORTED_DEF BgL_rtl_jumpexitz00_bglt
		BGl_rtl_jumpexitzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 575 */
			{	/* SawMill/defs.sch 575 */
				obj_t BgL_classz00_4322;

				BgL_classz00_4322 = BGl_rtl_jumpexitz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 575 */
					obj_t BgL__ortest_1117z00_4323;

					BgL__ortest_1117z00_4323 = BGL_CLASS_NIL(BgL_classz00_4322);
					if (CBOOL(BgL__ortest_1117z00_4323))
						{	/* SawMill/defs.sch 575 */
							return ((BgL_rtl_jumpexitz00_bglt) BgL__ortest_1117z00_4323);
						}
					else
						{	/* SawMill/defs.sch 575 */
							return
								((BgL_rtl_jumpexitz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4322));
						}
				}
			}
		}

	}



/* &rtl_jumpexit-nil */
	BgL_rtl_jumpexitz00_bglt BGl_z62rtl_jumpexitzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6807)
	{
		{	/* SawMill/defs.sch 575 */
			return BGl_rtl_jumpexitzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_jumpexit-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_jumpexitzd2loczd2zzsaw_defsz00(BgL_rtl_jumpexitz00_bglt BgL_oz00_53)
	{
		{	/* SawMill/defs.sch 576 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_53)))->BgL_locz00);
		}

	}



/* &rtl_jumpexit-loc */
	obj_t BGl_z62rtl_jumpexitzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6808,
		obj_t BgL_oz00_6809)
	{
		{	/* SawMill/defs.sch 576 */
			return
				BGl_rtl_jumpexitzd2loczd2zzsaw_defsz00(
				((BgL_rtl_jumpexitz00_bglt) BgL_oz00_6809));
		}

	}



/* rtl_jumpexit-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_jumpexitzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_jumpexitz00_bglt
		BgL_oz00_54, obj_t BgL_vz00_55)
	{
		{	/* SawMill/defs.sch 577 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_54)))->BgL_locz00) =
				((obj_t) BgL_vz00_55), BUNSPEC);
		}

	}



/* &rtl_jumpexit-loc-set! */
	obj_t BGl_z62rtl_jumpexitzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6810, obj_t BgL_oz00_6811, obj_t BgL_vz00_6812)
	{
		{	/* SawMill/defs.sch 577 */
			return
				BGl_rtl_jumpexitzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_jumpexitz00_bglt) BgL_oz00_6811), BgL_vz00_6812);
		}

	}



/* make-rtl_fail */
	BGL_EXPORTED_DEF BgL_rtl_failz00_bglt
		BGl_makezd2rtl_failzd2zzsaw_defsz00(obj_t BgL_loc1497z00_56)
	{
		{	/* SawMill/defs.sch 580 */
			{	/* SawMill/defs.sch 580 */
				BgL_rtl_failz00_bglt BgL_new1360z00_8571;

				{	/* SawMill/defs.sch 580 */
					BgL_rtl_failz00_bglt BgL_new1359z00_8572;

					BgL_new1359z00_8572 =
						((BgL_rtl_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_failz00_bgl))));
					{	/* SawMill/defs.sch 580 */
						long BgL_arg1829z00_8573;

						BgL_arg1829z00_8573 = BGL_CLASS_NUM(BGl_rtl_failz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1359z00_8572), BgL_arg1829z00_8573);
					}
					BgL_new1360z00_8571 = BgL_new1359z00_8572;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1360z00_8571)))->BgL_locz00) =
					((obj_t) BgL_loc1497z00_56), BUNSPEC);
				return BgL_new1360z00_8571;
			}
		}

	}



/* &make-rtl_fail */
	BgL_rtl_failz00_bglt BGl_z62makezd2rtl_failzb0zzsaw_defsz00(obj_t
		BgL_envz00_6813, obj_t BgL_loc1497z00_6814)
	{
		{	/* SawMill/defs.sch 580 */
			return BGl_makezd2rtl_failzd2zzsaw_defsz00(BgL_loc1497z00_6814);
		}

	}



/* rtl_fail? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_failzf3zf3zzsaw_defsz00(obj_t BgL_objz00_57)
	{
		{	/* SawMill/defs.sch 581 */
			{	/* SawMill/defs.sch 581 */
				obj_t BgL_classz00_8574;

				BgL_classz00_8574 = BGl_rtl_failz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_57))
					{	/* SawMill/defs.sch 581 */
						BgL_objectz00_bglt BgL_arg1801z00_8575;

						BgL_arg1801z00_8575 = (BgL_objectz00_bglt) (BgL_objz00_57);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 581 */
								long BgL_idxz00_8576;

								BgL_idxz00_8576 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8575);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8576 + 3L)) == BgL_classz00_8574);
							}
						else
							{	/* SawMill/defs.sch 581 */
								bool_t BgL_res3048z00_8579;

								{	/* SawMill/defs.sch 581 */
									obj_t BgL_oclassz00_8580;

									{	/* SawMill/defs.sch 581 */
										long BgL_arg1808z00_8581;

										{	/* SawMill/defs.sch 581 */
											long BgL_arg1809z00_8582;

											BgL_arg1809z00_8582 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8575);
											BgL_arg1808z00_8581 = (BgL_arg1809z00_8582 - OBJECT_TYPE);
										}
										BgL_oclassz00_8580 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8581);
									}
									{	/* SawMill/defs.sch 581 */
										bool_t BgL__ortest_1115z00_8583;

										BgL__ortest_1115z00_8583 =
											(BgL_classz00_8574 == BgL_oclassz00_8580);
										if (BgL__ortest_1115z00_8583)
											{	/* SawMill/defs.sch 581 */
												BgL_res3048z00_8579 = BgL__ortest_1115z00_8583;
											}
										else
											{	/* SawMill/defs.sch 581 */
												long BgL_odepthz00_8584;

												BgL_odepthz00_8584 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8580);
												if ((3L < BgL_odepthz00_8584))
													{	/* SawMill/defs.sch 581 */
														obj_t BgL_arg1797z00_8585;

														BgL_arg1797z00_8585 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8580, 3L);
														BgL_res3048z00_8579 =
															(BgL_arg1797z00_8585 == BgL_classz00_8574);
													}
												else
													{	/* SawMill/defs.sch 581 */
														BgL_res3048z00_8579 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3048z00_8579;
							}
					}
				else
					{	/* SawMill/defs.sch 581 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_fail? */
	obj_t BGl_z62rtl_failzf3z91zzsaw_defsz00(obj_t BgL_envz00_6815,
		obj_t BgL_objz00_6816)
	{
		{	/* SawMill/defs.sch 581 */
			return BBOOL(BGl_rtl_failzf3zf3zzsaw_defsz00(BgL_objz00_6816));
		}

	}



/* rtl_fail-nil */
	BGL_EXPORTED_DEF BgL_rtl_failz00_bglt BGl_rtl_failzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 582 */
			{	/* SawMill/defs.sch 582 */
				obj_t BgL_classz00_4361;

				BgL_classz00_4361 = BGl_rtl_failz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 582 */
					obj_t BgL__ortest_1117z00_4362;

					BgL__ortest_1117z00_4362 = BGL_CLASS_NIL(BgL_classz00_4361);
					if (CBOOL(BgL__ortest_1117z00_4362))
						{	/* SawMill/defs.sch 582 */
							return ((BgL_rtl_failz00_bglt) BgL__ortest_1117z00_4362);
						}
					else
						{	/* SawMill/defs.sch 582 */
							return
								((BgL_rtl_failz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4361));
						}
				}
			}
		}

	}



/* &rtl_fail-nil */
	BgL_rtl_failz00_bglt BGl_z62rtl_failzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6817)
	{
		{	/* SawMill/defs.sch 582 */
			return BGl_rtl_failzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_fail-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_failzd2loczd2zzsaw_defsz00(BgL_rtl_failz00_bglt
		BgL_oz00_58)
	{
		{	/* SawMill/defs.sch 583 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_58)))->BgL_locz00);
		}

	}



/* &rtl_fail-loc */
	obj_t BGl_z62rtl_failzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6818,
		obj_t BgL_oz00_6819)
	{
		{	/* SawMill/defs.sch 583 */
			return
				BGl_rtl_failzd2loczd2zzsaw_defsz00(
				((BgL_rtl_failz00_bglt) BgL_oz00_6819));
		}

	}



/* rtl_fail-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_failzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_failz00_bglt
		BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* SawMill/defs.sch 584 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_59)))->BgL_locz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &rtl_fail-loc-set! */
	obj_t BGl_z62rtl_failzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6820,
		obj_t BgL_oz00_6821, obj_t BgL_vz00_6822)
	{
		{	/* SawMill/defs.sch 584 */
			return
				BGl_rtl_failzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_failz00_bglt) BgL_oz00_6821), BgL_vz00_6822);
		}

	}



/* make-rtl_retblock */
	BGL_EXPORTED_DEF BgL_rtl_retblockz00_bglt
		BGl_makezd2rtl_retblockzd2zzsaw_defsz00(obj_t BgL_loc1495z00_61)
	{
		{	/* SawMill/defs.sch 587 */
			{	/* SawMill/defs.sch 587 */
				BgL_rtl_retblockz00_bglt BgL_new1362z00_8586;

				{	/* SawMill/defs.sch 587 */
					BgL_rtl_retblockz00_bglt BgL_new1361z00_8587;

					BgL_new1361z00_8587 =
						((BgL_rtl_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_retblockz00_bgl))));
					{	/* SawMill/defs.sch 587 */
						long BgL_arg1830z00_8588;

						BgL_arg1830z00_8588 =
							BGL_CLASS_NUM(BGl_rtl_retblockz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1361z00_8587), BgL_arg1830z00_8588);
					}
					BgL_new1362z00_8586 = BgL_new1361z00_8587;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1362z00_8586)))->BgL_locz00) =
					((obj_t) BgL_loc1495z00_61), BUNSPEC);
				return BgL_new1362z00_8586;
			}
		}

	}



/* &make-rtl_retblock */
	BgL_rtl_retblockz00_bglt BGl_z62makezd2rtl_retblockzb0zzsaw_defsz00(obj_t
		BgL_envz00_6823, obj_t BgL_loc1495z00_6824)
	{
		{	/* SawMill/defs.sch 587 */
			return BGl_makezd2rtl_retblockzd2zzsaw_defsz00(BgL_loc1495z00_6824);
		}

	}



/* rtl_retblock? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_retblockzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_62)
	{
		{	/* SawMill/defs.sch 588 */
			{	/* SawMill/defs.sch 588 */
				obj_t BgL_classz00_8589;

				BgL_classz00_8589 = BGl_rtl_retblockz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_62))
					{	/* SawMill/defs.sch 588 */
						BgL_objectz00_bglt BgL_arg1801z00_8590;

						BgL_arg1801z00_8590 = (BgL_objectz00_bglt) (BgL_objz00_62);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 588 */
								long BgL_idxz00_8591;

								BgL_idxz00_8591 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8590);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8591 + 2L)) == BgL_classz00_8589);
							}
						else
							{	/* SawMill/defs.sch 588 */
								bool_t BgL_res3049z00_8594;

								{	/* SawMill/defs.sch 588 */
									obj_t BgL_oclassz00_8595;

									{	/* SawMill/defs.sch 588 */
										long BgL_arg1808z00_8596;

										{	/* SawMill/defs.sch 588 */
											long BgL_arg1809z00_8597;

											BgL_arg1809z00_8597 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8590);
											BgL_arg1808z00_8596 = (BgL_arg1809z00_8597 - OBJECT_TYPE);
										}
										BgL_oclassz00_8595 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8596);
									}
									{	/* SawMill/defs.sch 588 */
										bool_t BgL__ortest_1115z00_8598;

										BgL__ortest_1115z00_8598 =
											(BgL_classz00_8589 == BgL_oclassz00_8595);
										if (BgL__ortest_1115z00_8598)
											{	/* SawMill/defs.sch 588 */
												BgL_res3049z00_8594 = BgL__ortest_1115z00_8598;
											}
										else
											{	/* SawMill/defs.sch 588 */
												long BgL_odepthz00_8599;

												BgL_odepthz00_8599 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8595);
												if ((2L < BgL_odepthz00_8599))
													{	/* SawMill/defs.sch 588 */
														obj_t BgL_arg1797z00_8600;

														BgL_arg1797z00_8600 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8595, 2L);
														BgL_res3049z00_8594 =
															(BgL_arg1797z00_8600 == BgL_classz00_8589);
													}
												else
													{	/* SawMill/defs.sch 588 */
														BgL_res3049z00_8594 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3049z00_8594;
							}
					}
				else
					{	/* SawMill/defs.sch 588 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_retblock? */
	obj_t BGl_z62rtl_retblockzf3z91zzsaw_defsz00(obj_t BgL_envz00_6825,
		obj_t BgL_objz00_6826)
	{
		{	/* SawMill/defs.sch 588 */
			return BBOOL(BGl_rtl_retblockzf3zf3zzsaw_defsz00(BgL_objz00_6826));
		}

	}



/* rtl_retblock-nil */
	BGL_EXPORTED_DEF BgL_rtl_retblockz00_bglt
		BGl_rtl_retblockzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 589 */
			{	/* SawMill/defs.sch 589 */
				obj_t BgL_classz00_4400;

				BgL_classz00_4400 = BGl_rtl_retblockz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 589 */
					obj_t BgL__ortest_1117z00_4401;

					BgL__ortest_1117z00_4401 = BGL_CLASS_NIL(BgL_classz00_4400);
					if (CBOOL(BgL__ortest_1117z00_4401))
						{	/* SawMill/defs.sch 589 */
							return ((BgL_rtl_retblockz00_bglt) BgL__ortest_1117z00_4401);
						}
					else
						{	/* SawMill/defs.sch 589 */
							return
								((BgL_rtl_retblockz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4400));
						}
				}
			}
		}

	}



/* &rtl_retblock-nil */
	BgL_rtl_retblockz00_bglt BGl_z62rtl_retblockzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6827)
	{
		{	/* SawMill/defs.sch 589 */
			return BGl_rtl_retblockzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_retblock-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_retblockzd2loczd2zzsaw_defsz00(BgL_rtl_retblockz00_bglt BgL_oz00_63)
	{
		{	/* SawMill/defs.sch 590 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_63)))->BgL_locz00);
		}

	}



/* &rtl_retblock-loc */
	obj_t BGl_z62rtl_retblockzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6828,
		obj_t BgL_oz00_6829)
	{
		{	/* SawMill/defs.sch 590 */
			return
				BGl_rtl_retblockzd2loczd2zzsaw_defsz00(
				((BgL_rtl_retblockz00_bglt) BgL_oz00_6829));
		}

	}



/* rtl_retblock-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_retblockzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_retblockz00_bglt
		BgL_oz00_64, obj_t BgL_vz00_65)
	{
		{	/* SawMill/defs.sch 591 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_64)))->BgL_locz00) =
				((obj_t) BgL_vz00_65), BUNSPEC);
		}

	}



/* &rtl_retblock-loc-set! */
	obj_t BGl_z62rtl_retblockzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6830, obj_t BgL_oz00_6831, obj_t BgL_vz00_6832)
	{
		{	/* SawMill/defs.sch 591 */
			return
				BGl_rtl_retblockzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_retblockz00_bglt) BgL_oz00_6831), BgL_vz00_6832);
		}

	}



/* make-rtl_ret */
	BGL_EXPORTED_DEF BgL_rtl_retz00_bglt BGl_makezd2rtl_retzd2zzsaw_defsz00(obj_t
		BgL_loc1491z00_66, BgL_blockz00_bglt BgL_to1492z00_67)
	{
		{	/* SawMill/defs.sch 594 */
			{	/* SawMill/defs.sch 594 */
				BgL_rtl_retz00_bglt BgL_new1364z00_8601;

				{	/* SawMill/defs.sch 594 */
					BgL_rtl_retz00_bglt BgL_new1363z00_8602;

					BgL_new1363z00_8602 =
						((BgL_rtl_retz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_retz00_bgl))));
					{	/* SawMill/defs.sch 594 */
						long BgL_arg1831z00_8603;

						BgL_arg1831z00_8603 = BGL_CLASS_NUM(BGl_rtl_retz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1363z00_8602), BgL_arg1831z00_8603);
					}
					BgL_new1364z00_8601 = BgL_new1363z00_8602;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1364z00_8601)))->BgL_locz00) =
					((obj_t) BgL_loc1491z00_66), BUNSPEC);
				((((BgL_rtl_retz00_bglt) COBJECT(BgL_new1364z00_8601))->BgL_toz00) =
					((BgL_blockz00_bglt) BgL_to1492z00_67), BUNSPEC);
				return BgL_new1364z00_8601;
			}
		}

	}



/* &make-rtl_ret */
	BgL_rtl_retz00_bglt BGl_z62makezd2rtl_retzb0zzsaw_defsz00(obj_t
		BgL_envz00_6833, obj_t BgL_loc1491z00_6834, obj_t BgL_to1492z00_6835)
	{
		{	/* SawMill/defs.sch 594 */
			return
				BGl_makezd2rtl_retzd2zzsaw_defsz00(BgL_loc1491z00_6834,
				((BgL_blockz00_bglt) BgL_to1492z00_6835));
		}

	}



/* rtl_ret? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_retzf3zf3zzsaw_defsz00(obj_t BgL_objz00_68)
	{
		{	/* SawMill/defs.sch 595 */
			{	/* SawMill/defs.sch 595 */
				obj_t BgL_classz00_8604;

				BgL_classz00_8604 = BGl_rtl_retz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_68))
					{	/* SawMill/defs.sch 595 */
						BgL_objectz00_bglt BgL_arg1801z00_8605;

						BgL_arg1801z00_8605 = (BgL_objectz00_bglt) (BgL_objz00_68);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 595 */
								long BgL_idxz00_8606;

								BgL_idxz00_8606 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8605);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8606 + 3L)) == BgL_classz00_8604);
							}
						else
							{	/* SawMill/defs.sch 595 */
								bool_t BgL_res3050z00_8609;

								{	/* SawMill/defs.sch 595 */
									obj_t BgL_oclassz00_8610;

									{	/* SawMill/defs.sch 595 */
										long BgL_arg1808z00_8611;

										{	/* SawMill/defs.sch 595 */
											long BgL_arg1809z00_8612;

											BgL_arg1809z00_8612 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8605);
											BgL_arg1808z00_8611 = (BgL_arg1809z00_8612 - OBJECT_TYPE);
										}
										BgL_oclassz00_8610 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8611);
									}
									{	/* SawMill/defs.sch 595 */
										bool_t BgL__ortest_1115z00_8613;

										BgL__ortest_1115z00_8613 =
											(BgL_classz00_8604 == BgL_oclassz00_8610);
										if (BgL__ortest_1115z00_8613)
											{	/* SawMill/defs.sch 595 */
												BgL_res3050z00_8609 = BgL__ortest_1115z00_8613;
											}
										else
											{	/* SawMill/defs.sch 595 */
												long BgL_odepthz00_8614;

												BgL_odepthz00_8614 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8610);
												if ((3L < BgL_odepthz00_8614))
													{	/* SawMill/defs.sch 595 */
														obj_t BgL_arg1797z00_8615;

														BgL_arg1797z00_8615 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8610, 3L);
														BgL_res3050z00_8609 =
															(BgL_arg1797z00_8615 == BgL_classz00_8604);
													}
												else
													{	/* SawMill/defs.sch 595 */
														BgL_res3050z00_8609 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3050z00_8609;
							}
					}
				else
					{	/* SawMill/defs.sch 595 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ret? */
	obj_t BGl_z62rtl_retzf3z91zzsaw_defsz00(obj_t BgL_envz00_6836,
		obj_t BgL_objz00_6837)
	{
		{	/* SawMill/defs.sch 595 */
			return BBOOL(BGl_rtl_retzf3zf3zzsaw_defsz00(BgL_objz00_6837));
		}

	}



/* rtl_ret-nil */
	BGL_EXPORTED_DEF BgL_rtl_retz00_bglt BGl_rtl_retzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 596 */
			{	/* SawMill/defs.sch 596 */
				obj_t BgL_classz00_4439;

				BgL_classz00_4439 = BGl_rtl_retz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 596 */
					obj_t BgL__ortest_1117z00_4440;

					BgL__ortest_1117z00_4440 = BGL_CLASS_NIL(BgL_classz00_4439);
					if (CBOOL(BgL__ortest_1117z00_4440))
						{	/* SawMill/defs.sch 596 */
							return ((BgL_rtl_retz00_bglt) BgL__ortest_1117z00_4440);
						}
					else
						{	/* SawMill/defs.sch 596 */
							return
								((BgL_rtl_retz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4439));
						}
				}
			}
		}

	}



/* &rtl_ret-nil */
	BgL_rtl_retz00_bglt BGl_z62rtl_retzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6838)
	{
		{	/* SawMill/defs.sch 596 */
			return BGl_rtl_retzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_ret-to */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_rtl_retzd2tozd2zzsaw_defsz00(BgL_rtl_retz00_bglt BgL_oz00_69)
	{
		{	/* SawMill/defs.sch 597 */
			return (((BgL_rtl_retz00_bglt) COBJECT(BgL_oz00_69))->BgL_toz00);
		}

	}



/* &rtl_ret-to */
	BgL_blockz00_bglt BGl_z62rtl_retzd2tozb0zzsaw_defsz00(obj_t BgL_envz00_6839,
		obj_t BgL_oz00_6840)
	{
		{	/* SawMill/defs.sch 597 */
			return
				BGl_rtl_retzd2tozd2zzsaw_defsz00(((BgL_rtl_retz00_bglt) BgL_oz00_6840));
		}

	}



/* rtl_ret-to-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_retzd2tozd2setz12z12zzsaw_defsz00(BgL_rtl_retz00_bglt BgL_oz00_70,
		BgL_blockz00_bglt BgL_vz00_71)
	{
		{	/* SawMill/defs.sch 598 */
			return
				((((BgL_rtl_retz00_bglt) COBJECT(BgL_oz00_70))->BgL_toz00) =
				((BgL_blockz00_bglt) BgL_vz00_71), BUNSPEC);
		}

	}



/* &rtl_ret-to-set! */
	obj_t BGl_z62rtl_retzd2tozd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6841,
		obj_t BgL_oz00_6842, obj_t BgL_vz00_6843)
	{
		{	/* SawMill/defs.sch 598 */
			return
				BGl_rtl_retzd2tozd2setz12z12zzsaw_defsz00(
				((BgL_rtl_retz00_bglt) BgL_oz00_6842),
				((BgL_blockz00_bglt) BgL_vz00_6843));
		}

	}



/* rtl_ret-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_retzd2loczd2zzsaw_defsz00(BgL_rtl_retz00_bglt
		BgL_oz00_72)
	{
		{	/* SawMill/defs.sch 599 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_72)))->BgL_locz00);
		}

	}



/* &rtl_ret-loc */
	obj_t BGl_z62rtl_retzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6844,
		obj_t BgL_oz00_6845)
	{
		{	/* SawMill/defs.sch 599 */
			return
				BGl_rtl_retzd2loczd2zzsaw_defsz00(
				((BgL_rtl_retz00_bglt) BgL_oz00_6845));
		}

	}



/* rtl_ret-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_retzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_retz00_bglt BgL_oz00_73,
		obj_t BgL_vz00_74)
	{
		{	/* SawMill/defs.sch 600 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_73)))->BgL_locz00) =
				((obj_t) BgL_vz00_74), BUNSPEC);
		}

	}



/* &rtl_ret-loc-set! */
	obj_t BGl_z62rtl_retzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6846,
		obj_t BgL_oz00_6847, obj_t BgL_vz00_6848)
	{
		{	/* SawMill/defs.sch 600 */
			return
				BGl_rtl_retzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_retz00_bglt) BgL_oz00_6847), BgL_vz00_6848);
		}

	}



/* make-rtl_notseq */
	BGL_EXPORTED_DEF BgL_rtl_notseqz00_bglt
		BGl_makezd2rtl_notseqzd2zzsaw_defsz00(obj_t BgL_loc1489z00_75)
	{
		{	/* SawMill/defs.sch 603 */
			{	/* SawMill/defs.sch 603 */
				BgL_rtl_notseqz00_bglt BgL_new1366z00_8616;

				{	/* SawMill/defs.sch 603 */
					BgL_rtl_notseqz00_bglt BgL_new1365z00_8617;

					BgL_new1365z00_8617 =
						((BgL_rtl_notseqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_notseqz00_bgl))));
					{	/* SawMill/defs.sch 603 */
						long BgL_arg1832z00_8618;

						BgL_arg1832z00_8618 = BGL_CLASS_NUM(BGl_rtl_notseqz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1365z00_8617), BgL_arg1832z00_8618);
					}
					BgL_new1366z00_8616 = BgL_new1365z00_8617;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1366z00_8616)))->BgL_locz00) =
					((obj_t) BgL_loc1489z00_75), BUNSPEC);
				return BgL_new1366z00_8616;
			}
		}

	}



/* &make-rtl_notseq */
	BgL_rtl_notseqz00_bglt BGl_z62makezd2rtl_notseqzb0zzsaw_defsz00(obj_t
		BgL_envz00_6849, obj_t BgL_loc1489z00_6850)
	{
		{	/* SawMill/defs.sch 603 */
			return BGl_makezd2rtl_notseqzd2zzsaw_defsz00(BgL_loc1489z00_6850);
		}

	}



/* rtl_notseq? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_notseqzf3zf3zzsaw_defsz00(obj_t BgL_objz00_76)
	{
		{	/* SawMill/defs.sch 604 */
			{	/* SawMill/defs.sch 604 */
				obj_t BgL_classz00_8619;

				BgL_classz00_8619 = BGl_rtl_notseqz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_76))
					{	/* SawMill/defs.sch 604 */
						BgL_objectz00_bglt BgL_arg1801z00_8620;

						BgL_arg1801z00_8620 = (BgL_objectz00_bglt) (BgL_objz00_76);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 604 */
								long BgL_idxz00_8621;

								BgL_idxz00_8621 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8620);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8621 + 2L)) == BgL_classz00_8619);
							}
						else
							{	/* SawMill/defs.sch 604 */
								bool_t BgL_res3051z00_8624;

								{	/* SawMill/defs.sch 604 */
									obj_t BgL_oclassz00_8625;

									{	/* SawMill/defs.sch 604 */
										long BgL_arg1808z00_8626;

										{	/* SawMill/defs.sch 604 */
											long BgL_arg1809z00_8627;

											BgL_arg1809z00_8627 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8620);
											BgL_arg1808z00_8626 = (BgL_arg1809z00_8627 - OBJECT_TYPE);
										}
										BgL_oclassz00_8625 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8626);
									}
									{	/* SawMill/defs.sch 604 */
										bool_t BgL__ortest_1115z00_8628;

										BgL__ortest_1115z00_8628 =
											(BgL_classz00_8619 == BgL_oclassz00_8625);
										if (BgL__ortest_1115z00_8628)
											{	/* SawMill/defs.sch 604 */
												BgL_res3051z00_8624 = BgL__ortest_1115z00_8628;
											}
										else
											{	/* SawMill/defs.sch 604 */
												long BgL_odepthz00_8629;

												BgL_odepthz00_8629 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8625);
												if ((2L < BgL_odepthz00_8629))
													{	/* SawMill/defs.sch 604 */
														obj_t BgL_arg1797z00_8630;

														BgL_arg1797z00_8630 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8625, 2L);
														BgL_res3051z00_8624 =
															(BgL_arg1797z00_8630 == BgL_classz00_8619);
													}
												else
													{	/* SawMill/defs.sch 604 */
														BgL_res3051z00_8624 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3051z00_8624;
							}
					}
				else
					{	/* SawMill/defs.sch 604 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_notseq? */
	obj_t BGl_z62rtl_notseqzf3z91zzsaw_defsz00(obj_t BgL_envz00_6851,
		obj_t BgL_objz00_6852)
	{
		{	/* SawMill/defs.sch 604 */
			return BBOOL(BGl_rtl_notseqzf3zf3zzsaw_defsz00(BgL_objz00_6852));
		}

	}



/* rtl_notseq-nil */
	BGL_EXPORTED_DEF BgL_rtl_notseqz00_bglt
		BGl_rtl_notseqzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 605 */
			{	/* SawMill/defs.sch 605 */
				obj_t BgL_classz00_4478;

				BgL_classz00_4478 = BGl_rtl_notseqz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 605 */
					obj_t BgL__ortest_1117z00_4479;

					BgL__ortest_1117z00_4479 = BGL_CLASS_NIL(BgL_classz00_4478);
					if (CBOOL(BgL__ortest_1117z00_4479))
						{	/* SawMill/defs.sch 605 */
							return ((BgL_rtl_notseqz00_bglt) BgL__ortest_1117z00_4479);
						}
					else
						{	/* SawMill/defs.sch 605 */
							return
								((BgL_rtl_notseqz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4478));
						}
				}
			}
		}

	}



/* &rtl_notseq-nil */
	BgL_rtl_notseqz00_bglt BGl_z62rtl_notseqzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6853)
	{
		{	/* SawMill/defs.sch 605 */
			return BGl_rtl_notseqzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_notseq-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_notseqzd2loczd2zzsaw_defsz00(BgL_rtl_notseqz00_bglt BgL_oz00_77)
	{
		{	/* SawMill/defs.sch 606 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_77)))->BgL_locz00);
		}

	}



/* &rtl_notseq-loc */
	obj_t BGl_z62rtl_notseqzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6854,
		obj_t BgL_oz00_6855)
	{
		{	/* SawMill/defs.sch 606 */
			return
				BGl_rtl_notseqzd2loczd2zzsaw_defsz00(
				((BgL_rtl_notseqz00_bglt) BgL_oz00_6855));
		}

	}



/* rtl_notseq-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_notseqzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_notseqz00_bglt
		BgL_oz00_78, obj_t BgL_vz00_79)
	{
		{	/* SawMill/defs.sch 607 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_78)))->BgL_locz00) =
				((obj_t) BgL_vz00_79), BUNSPEC);
		}

	}



/* &rtl_notseq-loc-set! */
	obj_t BGl_z62rtl_notseqzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6856,
		obj_t BgL_oz00_6857, obj_t BgL_vz00_6858)
	{
		{	/* SawMill/defs.sch 607 */
			return
				BGl_rtl_notseqzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_notseqz00_bglt) BgL_oz00_6857), BgL_vz00_6858);
		}

	}



/* make-rtl_if */
	BGL_EXPORTED_DEF BgL_rtl_ifz00_bglt BGl_makezd2rtl_ifzd2zzsaw_defsz00(obj_t
		BgL_loc1487z00_80)
	{
		{	/* SawMill/defs.sch 610 */
			{	/* SawMill/defs.sch 610 */
				BgL_rtl_ifz00_bglt BgL_new1368z00_8631;

				{	/* SawMill/defs.sch 610 */
					BgL_rtl_ifz00_bglt BgL_new1367z00_8632;

					BgL_new1367z00_8632 =
						((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifz00_bgl))));
					{	/* SawMill/defs.sch 610 */
						long BgL_arg1833z00_8633;

						BgL_arg1833z00_8633 = BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1367z00_8632), BgL_arg1833z00_8633);
					}
					BgL_new1368z00_8631 = BgL_new1367z00_8632;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1368z00_8631)))->BgL_locz00) =
					((obj_t) BgL_loc1487z00_80), BUNSPEC);
				return BgL_new1368z00_8631;
			}
		}

	}



/* &make-rtl_if */
	BgL_rtl_ifz00_bglt BGl_z62makezd2rtl_ifzb0zzsaw_defsz00(obj_t BgL_envz00_6859,
		obj_t BgL_loc1487z00_6860)
	{
		{	/* SawMill/defs.sch 610 */
			return BGl_makezd2rtl_ifzd2zzsaw_defsz00(BgL_loc1487z00_6860);
		}

	}



/* rtl_if? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_ifzf3zf3zzsaw_defsz00(obj_t BgL_objz00_81)
	{
		{	/* SawMill/defs.sch 611 */
			{	/* SawMill/defs.sch 611 */
				obj_t BgL_classz00_8634;

				BgL_classz00_8634 = BGl_rtl_ifz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_81))
					{	/* SawMill/defs.sch 611 */
						BgL_objectz00_bglt BgL_arg1801z00_8635;

						BgL_arg1801z00_8635 = (BgL_objectz00_bglt) (BgL_objz00_81);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 611 */
								long BgL_idxz00_8636;

								BgL_idxz00_8636 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8635);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8636 + 3L)) == BgL_classz00_8634);
							}
						else
							{	/* SawMill/defs.sch 611 */
								bool_t BgL_res3052z00_8639;

								{	/* SawMill/defs.sch 611 */
									obj_t BgL_oclassz00_8640;

									{	/* SawMill/defs.sch 611 */
										long BgL_arg1808z00_8641;

										{	/* SawMill/defs.sch 611 */
											long BgL_arg1809z00_8642;

											BgL_arg1809z00_8642 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8635);
											BgL_arg1808z00_8641 = (BgL_arg1809z00_8642 - OBJECT_TYPE);
										}
										BgL_oclassz00_8640 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8641);
									}
									{	/* SawMill/defs.sch 611 */
										bool_t BgL__ortest_1115z00_8643;

										BgL__ortest_1115z00_8643 =
											(BgL_classz00_8634 == BgL_oclassz00_8640);
										if (BgL__ortest_1115z00_8643)
											{	/* SawMill/defs.sch 611 */
												BgL_res3052z00_8639 = BgL__ortest_1115z00_8643;
											}
										else
											{	/* SawMill/defs.sch 611 */
												long BgL_odepthz00_8644;

												BgL_odepthz00_8644 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8640);
												if ((3L < BgL_odepthz00_8644))
													{	/* SawMill/defs.sch 611 */
														obj_t BgL_arg1797z00_8645;

														BgL_arg1797z00_8645 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8640, 3L);
														BgL_res3052z00_8639 =
															(BgL_arg1797z00_8645 == BgL_classz00_8634);
													}
												else
													{	/* SawMill/defs.sch 611 */
														BgL_res3052z00_8639 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3052z00_8639;
							}
					}
				else
					{	/* SawMill/defs.sch 611 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_if? */
	obj_t BGl_z62rtl_ifzf3z91zzsaw_defsz00(obj_t BgL_envz00_6861,
		obj_t BgL_objz00_6862)
	{
		{	/* SawMill/defs.sch 611 */
			return BBOOL(BGl_rtl_ifzf3zf3zzsaw_defsz00(BgL_objz00_6862));
		}

	}



/* rtl_if-nil */
	BGL_EXPORTED_DEF BgL_rtl_ifz00_bglt BGl_rtl_ifzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 612 */
			{	/* SawMill/defs.sch 612 */
				obj_t BgL_classz00_4517;

				BgL_classz00_4517 = BGl_rtl_ifz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 612 */
					obj_t BgL__ortest_1117z00_4518;

					BgL__ortest_1117z00_4518 = BGL_CLASS_NIL(BgL_classz00_4517);
					if (CBOOL(BgL__ortest_1117z00_4518))
						{	/* SawMill/defs.sch 612 */
							return ((BgL_rtl_ifz00_bglt) BgL__ortest_1117z00_4518);
						}
					else
						{	/* SawMill/defs.sch 612 */
							return
								((BgL_rtl_ifz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4517));
						}
				}
			}
		}

	}



/* &rtl_if-nil */
	BgL_rtl_ifz00_bglt BGl_z62rtl_ifzd2nilzb0zzsaw_defsz00(obj_t BgL_envz00_6863)
	{
		{	/* SawMill/defs.sch 612 */
			return BGl_rtl_ifzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_if-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifzd2loczd2zzsaw_defsz00(BgL_rtl_ifz00_bglt
		BgL_oz00_82)
	{
		{	/* SawMill/defs.sch 613 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_82)))->BgL_locz00);
		}

	}



/* &rtl_if-loc */
	obj_t BGl_z62rtl_ifzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6864,
		obj_t BgL_oz00_6865)
	{
		{	/* SawMill/defs.sch 613 */
			return
				BGl_rtl_ifzd2loczd2zzsaw_defsz00(((BgL_rtl_ifz00_bglt) BgL_oz00_6865));
		}

	}



/* rtl_if-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifz00_bglt BgL_oz00_83,
		obj_t BgL_vz00_84)
	{
		{	/* SawMill/defs.sch 614 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_83)))->BgL_locz00) =
				((obj_t) BgL_vz00_84), BUNSPEC);
		}

	}



/* &rtl_if-loc-set! */
	obj_t BGl_z62rtl_ifzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6866,
		obj_t BgL_oz00_6867, obj_t BgL_vz00_6868)
	{
		{	/* SawMill/defs.sch 614 */
			return
				BGl_rtl_ifzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifz00_bglt) BgL_oz00_6867), BgL_vz00_6868);
		}

	}



/* make-rtl_select */
	BGL_EXPORTED_DEF BgL_rtl_selectz00_bglt
		BGl_makezd2rtl_selectzd2zzsaw_defsz00(obj_t BgL_loc1482z00_85,
		BgL_typez00_bglt BgL_type1483z00_86, obj_t BgL_patterns1484z00_87)
	{
		{	/* SawMill/defs.sch 617 */
			{	/* SawMill/defs.sch 617 */
				BgL_rtl_selectz00_bglt BgL_new1370z00_8646;

				{	/* SawMill/defs.sch 617 */
					BgL_rtl_selectz00_bglt BgL_new1369z00_8647;

					BgL_new1369z00_8647 =
						((BgL_rtl_selectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_selectz00_bgl))));
					{	/* SawMill/defs.sch 617 */
						long BgL_arg1834z00_8648;

						BgL_arg1834z00_8648 = BGL_CLASS_NUM(BGl_rtl_selectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1369z00_8647), BgL_arg1834z00_8648);
					}
					BgL_new1370z00_8646 = BgL_new1369z00_8647;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1370z00_8646)))->BgL_locz00) =
					((obj_t) BgL_loc1482z00_85), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1370z00_8646))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1483z00_86), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1370z00_8646))->
						BgL_patternsz00) = ((obj_t) BgL_patterns1484z00_87), BUNSPEC);
				return BgL_new1370z00_8646;
			}
		}

	}



/* &make-rtl_select */
	BgL_rtl_selectz00_bglt BGl_z62makezd2rtl_selectzb0zzsaw_defsz00(obj_t
		BgL_envz00_6869, obj_t BgL_loc1482z00_6870, obj_t BgL_type1483z00_6871,
		obj_t BgL_patterns1484z00_6872)
	{
		{	/* SawMill/defs.sch 617 */
			return
				BGl_makezd2rtl_selectzd2zzsaw_defsz00(BgL_loc1482z00_6870,
				((BgL_typez00_bglt) BgL_type1483z00_6871), BgL_patterns1484z00_6872);
		}

	}



/* rtl_select? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_selectzf3zf3zzsaw_defsz00(obj_t BgL_objz00_88)
	{
		{	/* SawMill/defs.sch 618 */
			{	/* SawMill/defs.sch 618 */
				obj_t BgL_classz00_8649;

				BgL_classz00_8649 = BGl_rtl_selectz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_88))
					{	/* SawMill/defs.sch 618 */
						BgL_objectz00_bglt BgL_arg1801z00_8650;

						BgL_arg1801z00_8650 = (BgL_objectz00_bglt) (BgL_objz00_88);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 618 */
								long BgL_idxz00_8651;

								BgL_idxz00_8651 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8650);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8651 + 3L)) == BgL_classz00_8649);
							}
						else
							{	/* SawMill/defs.sch 618 */
								bool_t BgL_res3053z00_8654;

								{	/* SawMill/defs.sch 618 */
									obj_t BgL_oclassz00_8655;

									{	/* SawMill/defs.sch 618 */
										long BgL_arg1808z00_8656;

										{	/* SawMill/defs.sch 618 */
											long BgL_arg1809z00_8657;

											BgL_arg1809z00_8657 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8650);
											BgL_arg1808z00_8656 = (BgL_arg1809z00_8657 - OBJECT_TYPE);
										}
										BgL_oclassz00_8655 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8656);
									}
									{	/* SawMill/defs.sch 618 */
										bool_t BgL__ortest_1115z00_8658;

										BgL__ortest_1115z00_8658 =
											(BgL_classz00_8649 == BgL_oclassz00_8655);
										if (BgL__ortest_1115z00_8658)
											{	/* SawMill/defs.sch 618 */
												BgL_res3053z00_8654 = BgL__ortest_1115z00_8658;
											}
										else
											{	/* SawMill/defs.sch 618 */
												long BgL_odepthz00_8659;

												BgL_odepthz00_8659 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8655);
												if ((3L < BgL_odepthz00_8659))
													{	/* SawMill/defs.sch 618 */
														obj_t BgL_arg1797z00_8660;

														BgL_arg1797z00_8660 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8655, 3L);
														BgL_res3053z00_8654 =
															(BgL_arg1797z00_8660 == BgL_classz00_8649);
													}
												else
													{	/* SawMill/defs.sch 618 */
														BgL_res3053z00_8654 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3053z00_8654;
							}
					}
				else
					{	/* SawMill/defs.sch 618 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_select? */
	obj_t BGl_z62rtl_selectzf3z91zzsaw_defsz00(obj_t BgL_envz00_6873,
		obj_t BgL_objz00_6874)
	{
		{	/* SawMill/defs.sch 618 */
			return BBOOL(BGl_rtl_selectzf3zf3zzsaw_defsz00(BgL_objz00_6874));
		}

	}



/* rtl_select-nil */
	BGL_EXPORTED_DEF BgL_rtl_selectz00_bglt
		BGl_rtl_selectzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 619 */
			{	/* SawMill/defs.sch 619 */
				obj_t BgL_classz00_4556;

				BgL_classz00_4556 = BGl_rtl_selectz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 619 */
					obj_t BgL__ortest_1117z00_4557;

					BgL__ortest_1117z00_4557 = BGL_CLASS_NIL(BgL_classz00_4556);
					if (CBOOL(BgL__ortest_1117z00_4557))
						{	/* SawMill/defs.sch 619 */
							return ((BgL_rtl_selectz00_bglt) BgL__ortest_1117z00_4557);
						}
					else
						{	/* SawMill/defs.sch 619 */
							return
								((BgL_rtl_selectz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4556));
						}
				}
			}
		}

	}



/* &rtl_select-nil */
	BgL_rtl_selectz00_bglt BGl_z62rtl_selectzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6875)
	{
		{	/* SawMill/defs.sch 619 */
			return BGl_rtl_selectzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_select-patterns */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2patternszd2zzsaw_defsz00(BgL_rtl_selectz00_bglt
		BgL_oz00_89)
	{
		{	/* SawMill/defs.sch 620 */
			return (((BgL_rtl_selectz00_bglt) COBJECT(BgL_oz00_89))->BgL_patternsz00);
		}

	}



/* &rtl_select-patterns */
	obj_t BGl_z62rtl_selectzd2patternszb0zzsaw_defsz00(obj_t BgL_envz00_6876,
		obj_t BgL_oz00_6877)
	{
		{	/* SawMill/defs.sch 620 */
			return
				BGl_rtl_selectzd2patternszd2zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_6877));
		}

	}



/* rtl_select-patterns-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2patternszd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt
		BgL_oz00_90, obj_t BgL_vz00_91)
	{
		{	/* SawMill/defs.sch 621 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_oz00_90))->BgL_patternsz00) =
				((obj_t) BgL_vz00_91), BUNSPEC);
		}

	}



/* &rtl_select-patterns-set! */
	obj_t BGl_z62rtl_selectzd2patternszd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6878, obj_t BgL_oz00_6879, obj_t BgL_vz00_6880)
	{
		{	/* SawMill/defs.sch 621 */
			return
				BGl_rtl_selectzd2patternszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_6879), BgL_vz00_6880);
		}

	}



/* rtl_select-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_selectzd2typezd2zzsaw_defsz00(BgL_rtl_selectz00_bglt BgL_oz00_92)
	{
		{	/* SawMill/defs.sch 622 */
			return (((BgL_rtl_selectz00_bglt) COBJECT(BgL_oz00_92))->BgL_typez00);
		}

	}



/* &rtl_select-type */
	BgL_typez00_bglt BGl_z62rtl_selectzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_6881, obj_t BgL_oz00_6882)
	{
		{	/* SawMill/defs.sch 622 */
			return
				BGl_rtl_selectzd2typezd2zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_6882));
		}

	}



/* rtl_select-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt
		BgL_oz00_93, BgL_typez00_bglt BgL_vz00_94)
	{
		{	/* SawMill/defs.sch 623 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_oz00_93))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_94), BUNSPEC);
		}

	}



/* &rtl_select-type-set! */
	obj_t BGl_z62rtl_selectzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6883,
		obj_t BgL_oz00_6884, obj_t BgL_vz00_6885)
	{
		{	/* SawMill/defs.sch 623 */
			return
				BGl_rtl_selectzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_6884),
				((BgL_typez00_bglt) BgL_vz00_6885));
		}

	}



/* rtl_select-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2loczd2zzsaw_defsz00(BgL_rtl_selectz00_bglt BgL_oz00_95)
	{
		{	/* SawMill/defs.sch 624 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_95)))->BgL_locz00);
		}

	}



/* &rtl_select-loc */
	obj_t BGl_z62rtl_selectzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6886,
		obj_t BgL_oz00_6887)
	{
		{	/* SawMill/defs.sch 624 */
			return
				BGl_rtl_selectzd2loczd2zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_6887));
		}

	}



/* rtl_select-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt
		BgL_oz00_96, obj_t BgL_vz00_97)
	{
		{	/* SawMill/defs.sch 625 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_96)))->BgL_locz00) =
				((obj_t) BgL_vz00_97), BUNSPEC);
		}

	}



/* &rtl_select-loc-set! */
	obj_t BGl_z62rtl_selectzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6888,
		obj_t BgL_oz00_6889, obj_t BgL_vz00_6890)
	{
		{	/* SawMill/defs.sch 625 */
			return
				BGl_rtl_selectzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_6889), BgL_vz00_6890);
		}

	}



/* make-rtl_switch */
	BGL_EXPORTED_DEF BgL_rtl_switchz00_bglt
		BGl_makezd2rtl_switchzd2zzsaw_defsz00(obj_t BgL_loc1476z00_98,
		BgL_typez00_bglt BgL_type1477z00_99, obj_t BgL_patterns1478z00_100,
		obj_t BgL_labels1479z00_101)
	{
		{	/* SawMill/defs.sch 628 */
			{	/* SawMill/defs.sch 628 */
				BgL_rtl_switchz00_bglt BgL_new1372z00_8661;

				{	/* SawMill/defs.sch 628 */
					BgL_rtl_switchz00_bglt BgL_new1371z00_8662;

					BgL_new1371z00_8662 =
						((BgL_rtl_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_switchz00_bgl))));
					{	/* SawMill/defs.sch 628 */
						long BgL_arg1835z00_8663;

						BgL_arg1835z00_8663 = BGL_CLASS_NUM(BGl_rtl_switchz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1371z00_8662), BgL_arg1835z00_8663);
					}
					BgL_new1372z00_8661 = BgL_new1371z00_8662;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1372z00_8661)))->BgL_locz00) =
					((obj_t) BgL_loc1476z00_98), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(((BgL_rtl_selectz00_bglt)
									BgL_new1372z00_8661)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1477z00_99), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(((BgL_rtl_selectz00_bglt)
									BgL_new1372z00_8661)))->BgL_patternsz00) =
					((obj_t) BgL_patterns1478z00_100), BUNSPEC);
				((((BgL_rtl_switchz00_bglt) COBJECT(BgL_new1372z00_8661))->
						BgL_labelsz00) = ((obj_t) BgL_labels1479z00_101), BUNSPEC);
				return BgL_new1372z00_8661;
			}
		}

	}



/* &make-rtl_switch */
	BgL_rtl_switchz00_bglt BGl_z62makezd2rtl_switchzb0zzsaw_defsz00(obj_t
		BgL_envz00_6891, obj_t BgL_loc1476z00_6892, obj_t BgL_type1477z00_6893,
		obj_t BgL_patterns1478z00_6894, obj_t BgL_labels1479z00_6895)
	{
		{	/* SawMill/defs.sch 628 */
			return
				BGl_makezd2rtl_switchzd2zzsaw_defsz00(BgL_loc1476z00_6892,
				((BgL_typez00_bglt) BgL_type1477z00_6893), BgL_patterns1478z00_6894,
				BgL_labels1479z00_6895);
		}

	}



/* rtl_switch? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_switchzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_102)
	{
		{	/* SawMill/defs.sch 629 */
			{	/* SawMill/defs.sch 629 */
				obj_t BgL_classz00_8664;

				BgL_classz00_8664 = BGl_rtl_switchz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_102))
					{	/* SawMill/defs.sch 629 */
						BgL_objectz00_bglt BgL_arg1801z00_8665;

						BgL_arg1801z00_8665 = (BgL_objectz00_bglt) (BgL_objz00_102);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 629 */
								long BgL_idxz00_8666;

								BgL_idxz00_8666 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8665);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8666 + 4L)) == BgL_classz00_8664);
							}
						else
							{	/* SawMill/defs.sch 629 */
								bool_t BgL_res3054z00_8669;

								{	/* SawMill/defs.sch 629 */
									obj_t BgL_oclassz00_8670;

									{	/* SawMill/defs.sch 629 */
										long BgL_arg1808z00_8671;

										{	/* SawMill/defs.sch 629 */
											long BgL_arg1809z00_8672;

											BgL_arg1809z00_8672 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8665);
											BgL_arg1808z00_8671 = (BgL_arg1809z00_8672 - OBJECT_TYPE);
										}
										BgL_oclassz00_8670 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8671);
									}
									{	/* SawMill/defs.sch 629 */
										bool_t BgL__ortest_1115z00_8673;

										BgL__ortest_1115z00_8673 =
											(BgL_classz00_8664 == BgL_oclassz00_8670);
										if (BgL__ortest_1115z00_8673)
											{	/* SawMill/defs.sch 629 */
												BgL_res3054z00_8669 = BgL__ortest_1115z00_8673;
											}
										else
											{	/* SawMill/defs.sch 629 */
												long BgL_odepthz00_8674;

												BgL_odepthz00_8674 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8670);
												if ((4L < BgL_odepthz00_8674))
													{	/* SawMill/defs.sch 629 */
														obj_t BgL_arg1797z00_8675;

														BgL_arg1797z00_8675 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8670, 4L);
														BgL_res3054z00_8669 =
															(BgL_arg1797z00_8675 == BgL_classz00_8664);
													}
												else
													{	/* SawMill/defs.sch 629 */
														BgL_res3054z00_8669 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3054z00_8669;
							}
					}
				else
					{	/* SawMill/defs.sch 629 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_switch? */
	obj_t BGl_z62rtl_switchzf3z91zzsaw_defsz00(obj_t BgL_envz00_6896,
		obj_t BgL_objz00_6897)
	{
		{	/* SawMill/defs.sch 629 */
			return BBOOL(BGl_rtl_switchzf3zf3zzsaw_defsz00(BgL_objz00_6897));
		}

	}



/* rtl_switch-nil */
	BGL_EXPORTED_DEF BgL_rtl_switchz00_bglt
		BGl_rtl_switchzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 630 */
			{	/* SawMill/defs.sch 630 */
				obj_t BgL_classz00_4595;

				BgL_classz00_4595 = BGl_rtl_switchz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 630 */
					obj_t BgL__ortest_1117z00_4596;

					BgL__ortest_1117z00_4596 = BGL_CLASS_NIL(BgL_classz00_4595);
					if (CBOOL(BgL__ortest_1117z00_4596))
						{	/* SawMill/defs.sch 630 */
							return ((BgL_rtl_switchz00_bglt) BgL__ortest_1117z00_4596);
						}
					else
						{	/* SawMill/defs.sch 630 */
							return
								((BgL_rtl_switchz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4595));
						}
				}
			}
		}

	}



/* &rtl_switch-nil */
	BgL_rtl_switchz00_bglt BGl_z62rtl_switchzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6898)
	{
		{	/* SawMill/defs.sch 630 */
			return BGl_rtl_switchzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_switch-labels */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2labelszd2zzsaw_defsz00(BgL_rtl_switchz00_bglt BgL_oz00_103)
	{
		{	/* SawMill/defs.sch 631 */
			return (((BgL_rtl_switchz00_bglt) COBJECT(BgL_oz00_103))->BgL_labelsz00);
		}

	}



/* &rtl_switch-labels */
	obj_t BGl_z62rtl_switchzd2labelszb0zzsaw_defsz00(obj_t BgL_envz00_6899,
		obj_t BgL_oz00_6900)
	{
		{	/* SawMill/defs.sch 631 */
			return
				BGl_rtl_switchzd2labelszd2zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6900));
		}

	}



/* rtl_switch-labels-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2labelszd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_104, obj_t BgL_vz00_105)
	{
		{	/* SawMill/defs.sch 632 */
			return
				((((BgL_rtl_switchz00_bglt) COBJECT(BgL_oz00_104))->BgL_labelsz00) =
				((obj_t) BgL_vz00_105), BUNSPEC);
		}

	}



/* &rtl_switch-labels-set! */
	obj_t BGl_z62rtl_switchzd2labelszd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6901, obj_t BgL_oz00_6902, obj_t BgL_vz00_6903)
	{
		{	/* SawMill/defs.sch 632 */
			return
				BGl_rtl_switchzd2labelszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6902), BgL_vz00_6903);
		}

	}



/* rtl_switch-patterns */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2patternszd2zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_106)
	{
		{	/* SawMill/defs.sch 633 */
			return
				(((BgL_rtl_selectz00_bglt) COBJECT(
						((BgL_rtl_selectz00_bglt) BgL_oz00_106)))->BgL_patternsz00);
		}

	}



/* &rtl_switch-patterns */
	obj_t BGl_z62rtl_switchzd2patternszb0zzsaw_defsz00(obj_t BgL_envz00_6904,
		obj_t BgL_oz00_6905)
	{
		{	/* SawMill/defs.sch 633 */
			return
				BGl_rtl_switchzd2patternszd2zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6905));
		}

	}



/* rtl_switch-patterns-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2patternszd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_107, obj_t BgL_vz00_108)
	{
		{	/* SawMill/defs.sch 634 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(
							((BgL_rtl_selectz00_bglt) BgL_oz00_107)))->BgL_patternsz00) =
				((obj_t) BgL_vz00_108), BUNSPEC);
		}

	}



/* &rtl_switch-patterns-set! */
	obj_t BGl_z62rtl_switchzd2patternszd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6906, obj_t BgL_oz00_6907, obj_t BgL_vz00_6908)
	{
		{	/* SawMill/defs.sch 634 */
			return
				BGl_rtl_switchzd2patternszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6907), BgL_vz00_6908);
		}

	}



/* rtl_switch-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_switchzd2typezd2zzsaw_defsz00(BgL_rtl_switchz00_bglt BgL_oz00_109)
	{
		{	/* SawMill/defs.sch 635 */
			return
				(((BgL_rtl_selectz00_bglt) COBJECT(
						((BgL_rtl_selectz00_bglt) BgL_oz00_109)))->BgL_typez00);
		}

	}



/* &rtl_switch-type */
	BgL_typez00_bglt BGl_z62rtl_switchzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_6909, obj_t BgL_oz00_6910)
	{
		{	/* SawMill/defs.sch 635 */
			return
				BGl_rtl_switchzd2typezd2zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6910));
		}

	}



/* rtl_switch-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_110, BgL_typez00_bglt BgL_vz00_111)
	{
		{	/* SawMill/defs.sch 636 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(
							((BgL_rtl_selectz00_bglt) BgL_oz00_110)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_111), BUNSPEC);
		}

	}



/* &rtl_switch-type-set! */
	obj_t BGl_z62rtl_switchzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6911,
		obj_t BgL_oz00_6912, obj_t BgL_vz00_6913)
	{
		{	/* SawMill/defs.sch 636 */
			return
				BGl_rtl_switchzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6912),
				((BgL_typez00_bglt) BgL_vz00_6913));
		}

	}



/* rtl_switch-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2loczd2zzsaw_defsz00(BgL_rtl_switchz00_bglt BgL_oz00_112)
	{
		{	/* SawMill/defs.sch 637 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_112)))->BgL_locz00);
		}

	}



/* &rtl_switch-loc */
	obj_t BGl_z62rtl_switchzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6914,
		obj_t BgL_oz00_6915)
	{
		{	/* SawMill/defs.sch 637 */
			return
				BGl_rtl_switchzd2loczd2zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6915));
		}

	}



/* rtl_switch-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_113, obj_t BgL_vz00_114)
	{
		{	/* SawMill/defs.sch 638 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_113)))->BgL_locz00) =
				((obj_t) BgL_vz00_114), BUNSPEC);
		}

	}



/* &rtl_switch-loc-set! */
	obj_t BGl_z62rtl_switchzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6916,
		obj_t BgL_oz00_6917, obj_t BgL_vz00_6918)
	{
		{	/* SawMill/defs.sch 638 */
			return
				BGl_rtl_switchzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6917), BgL_vz00_6918);
		}

	}



/* make-rtl_ifeq */
	BGL_EXPORTED_DEF BgL_rtl_ifeqz00_bglt
		BGl_makezd2rtl_ifeqzd2zzsaw_defsz00(obj_t BgL_loc1473z00_115,
		BgL_blockz00_bglt BgL_then1474z00_116)
	{
		{	/* SawMill/defs.sch 641 */
			{	/* SawMill/defs.sch 641 */
				BgL_rtl_ifeqz00_bglt BgL_new1374z00_8676;

				{	/* SawMill/defs.sch 641 */
					BgL_rtl_ifeqz00_bglt BgL_new1373z00_8677;

					BgL_new1373z00_8677 =
						((BgL_rtl_ifeqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifeqz00_bgl))));
					{	/* SawMill/defs.sch 641 */
						long BgL_arg1836z00_8678;

						BgL_arg1836z00_8678 = BGL_CLASS_NUM(BGl_rtl_ifeqz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1373z00_8677), BgL_arg1836z00_8678);
					}
					BgL_new1374z00_8676 = BgL_new1373z00_8677;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1374z00_8676)))->BgL_locz00) =
					((obj_t) BgL_loc1473z00_115), BUNSPEC);
				((((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_new1374z00_8676))->BgL_thenz00) =
					((BgL_blockz00_bglt) BgL_then1474z00_116), BUNSPEC);
				return BgL_new1374z00_8676;
			}
		}

	}



/* &make-rtl_ifeq */
	BgL_rtl_ifeqz00_bglt BGl_z62makezd2rtl_ifeqzb0zzsaw_defsz00(obj_t
		BgL_envz00_6919, obj_t BgL_loc1473z00_6920, obj_t BgL_then1474z00_6921)
	{
		{	/* SawMill/defs.sch 641 */
			return
				BGl_makezd2rtl_ifeqzd2zzsaw_defsz00(BgL_loc1473z00_6920,
				((BgL_blockz00_bglt) BgL_then1474z00_6921));
		}

	}



/* rtl_ifeq? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_ifeqzf3zf3zzsaw_defsz00(obj_t BgL_objz00_117)
	{
		{	/* SawMill/defs.sch 642 */
			{	/* SawMill/defs.sch 642 */
				obj_t BgL_classz00_8679;

				BgL_classz00_8679 = BGl_rtl_ifeqz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_117))
					{	/* SawMill/defs.sch 642 */
						BgL_objectz00_bglt BgL_arg1801z00_8680;

						BgL_arg1801z00_8680 = (BgL_objectz00_bglt) (BgL_objz00_117);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 642 */
								long BgL_idxz00_8681;

								BgL_idxz00_8681 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8680);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8681 + 3L)) == BgL_classz00_8679);
							}
						else
							{	/* SawMill/defs.sch 642 */
								bool_t BgL_res3055z00_8684;

								{	/* SawMill/defs.sch 642 */
									obj_t BgL_oclassz00_8685;

									{	/* SawMill/defs.sch 642 */
										long BgL_arg1808z00_8686;

										{	/* SawMill/defs.sch 642 */
											long BgL_arg1809z00_8687;

											BgL_arg1809z00_8687 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8680);
											BgL_arg1808z00_8686 = (BgL_arg1809z00_8687 - OBJECT_TYPE);
										}
										BgL_oclassz00_8685 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8686);
									}
									{	/* SawMill/defs.sch 642 */
										bool_t BgL__ortest_1115z00_8688;

										BgL__ortest_1115z00_8688 =
											(BgL_classz00_8679 == BgL_oclassz00_8685);
										if (BgL__ortest_1115z00_8688)
											{	/* SawMill/defs.sch 642 */
												BgL_res3055z00_8684 = BgL__ortest_1115z00_8688;
											}
										else
											{	/* SawMill/defs.sch 642 */
												long BgL_odepthz00_8689;

												BgL_odepthz00_8689 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8685);
												if ((3L < BgL_odepthz00_8689))
													{	/* SawMill/defs.sch 642 */
														obj_t BgL_arg1797z00_8690;

														BgL_arg1797z00_8690 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8685, 3L);
														BgL_res3055z00_8684 =
															(BgL_arg1797z00_8690 == BgL_classz00_8679);
													}
												else
													{	/* SawMill/defs.sch 642 */
														BgL_res3055z00_8684 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3055z00_8684;
							}
					}
				else
					{	/* SawMill/defs.sch 642 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ifeq? */
	obj_t BGl_z62rtl_ifeqzf3z91zzsaw_defsz00(obj_t BgL_envz00_6922,
		obj_t BgL_objz00_6923)
	{
		{	/* SawMill/defs.sch 642 */
			return BBOOL(BGl_rtl_ifeqzf3zf3zzsaw_defsz00(BgL_objz00_6923));
		}

	}



/* rtl_ifeq-nil */
	BGL_EXPORTED_DEF BgL_rtl_ifeqz00_bglt BGl_rtl_ifeqzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 643 */
			{	/* SawMill/defs.sch 643 */
				obj_t BgL_classz00_4634;

				BgL_classz00_4634 = BGl_rtl_ifeqz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 643 */
					obj_t BgL__ortest_1117z00_4635;

					BgL__ortest_1117z00_4635 = BGL_CLASS_NIL(BgL_classz00_4634);
					if (CBOOL(BgL__ortest_1117z00_4635))
						{	/* SawMill/defs.sch 643 */
							return ((BgL_rtl_ifeqz00_bglt) BgL__ortest_1117z00_4635);
						}
					else
						{	/* SawMill/defs.sch 643 */
							return
								((BgL_rtl_ifeqz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4634));
						}
				}
			}
		}

	}



/* &rtl_ifeq-nil */
	BgL_rtl_ifeqz00_bglt BGl_z62rtl_ifeqzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6924)
	{
		{	/* SawMill/defs.sch 643 */
			return BGl_rtl_ifeqzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_ifeq-then */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_rtl_ifeqzd2thenzd2zzsaw_defsz00(BgL_rtl_ifeqz00_bglt BgL_oz00_118)
	{
		{	/* SawMill/defs.sch 644 */
			return (((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_oz00_118))->BgL_thenz00);
		}

	}



/* &rtl_ifeq-then */
	BgL_blockz00_bglt BGl_z62rtl_ifeqzd2thenzb0zzsaw_defsz00(obj_t
		BgL_envz00_6925, obj_t BgL_oz00_6926)
	{
		{	/* SawMill/defs.sch 644 */
			return
				BGl_rtl_ifeqzd2thenzd2zzsaw_defsz00(
				((BgL_rtl_ifeqz00_bglt) BgL_oz00_6926));
		}

	}



/* rtl_ifeq-then-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifeqzd2thenzd2setz12z12zzsaw_defsz00(BgL_rtl_ifeqz00_bglt
		BgL_oz00_119, BgL_blockz00_bglt BgL_vz00_120)
	{
		{	/* SawMill/defs.sch 645 */
			return
				((((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_oz00_119))->BgL_thenz00) =
				((BgL_blockz00_bglt) BgL_vz00_120), BUNSPEC);
		}

	}



/* &rtl_ifeq-then-set! */
	obj_t BGl_z62rtl_ifeqzd2thenzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6927,
		obj_t BgL_oz00_6928, obj_t BgL_vz00_6929)
	{
		{	/* SawMill/defs.sch 645 */
			return
				BGl_rtl_ifeqzd2thenzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifeqz00_bglt) BgL_oz00_6928),
				((BgL_blockz00_bglt) BgL_vz00_6929));
		}

	}



/* rtl_ifeq-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifeqzd2loczd2zzsaw_defsz00(BgL_rtl_ifeqz00_bglt
		BgL_oz00_121)
	{
		{	/* SawMill/defs.sch 646 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_121)))->BgL_locz00);
		}

	}



/* &rtl_ifeq-loc */
	obj_t BGl_z62rtl_ifeqzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6930,
		obj_t BgL_oz00_6931)
	{
		{	/* SawMill/defs.sch 646 */
			return
				BGl_rtl_ifeqzd2loczd2zzsaw_defsz00(
				((BgL_rtl_ifeqz00_bglt) BgL_oz00_6931));
		}

	}



/* rtl_ifeq-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifeqzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifeqz00_bglt
		BgL_oz00_122, obj_t BgL_vz00_123)
	{
		{	/* SawMill/defs.sch 647 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_122)))->BgL_locz00) =
				((obj_t) BgL_vz00_123), BUNSPEC);
		}

	}



/* &rtl_ifeq-loc-set! */
	obj_t BGl_z62rtl_ifeqzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6932,
		obj_t BgL_oz00_6933, obj_t BgL_vz00_6934)
	{
		{	/* SawMill/defs.sch 647 */
			return
				BGl_rtl_ifeqzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifeqz00_bglt) BgL_oz00_6933), BgL_vz00_6934);
		}

	}



/* make-rtl_ifne */
	BGL_EXPORTED_DEF BgL_rtl_ifnez00_bglt
		BGl_makezd2rtl_ifnezd2zzsaw_defsz00(obj_t BgL_loc1469z00_124,
		BgL_blockz00_bglt BgL_then1470z00_125)
	{
		{	/* SawMill/defs.sch 650 */
			{	/* SawMill/defs.sch 650 */
				BgL_rtl_ifnez00_bglt BgL_new1377z00_8691;

				{	/* SawMill/defs.sch 650 */
					BgL_rtl_ifnez00_bglt BgL_new1376z00_8692;

					BgL_new1376z00_8692 =
						((BgL_rtl_ifnez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifnez00_bgl))));
					{	/* SawMill/defs.sch 650 */
						long BgL_arg1837z00_8693;

						BgL_arg1837z00_8693 = BGL_CLASS_NUM(BGl_rtl_ifnez00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1376z00_8692), BgL_arg1837z00_8693);
					}
					BgL_new1377z00_8691 = BgL_new1376z00_8692;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1377z00_8691)))->BgL_locz00) =
					((obj_t) BgL_loc1469z00_124), BUNSPEC);
				((((BgL_rtl_ifnez00_bglt) COBJECT(BgL_new1377z00_8691))->BgL_thenz00) =
					((BgL_blockz00_bglt) BgL_then1470z00_125), BUNSPEC);
				return BgL_new1377z00_8691;
			}
		}

	}



/* &make-rtl_ifne */
	BgL_rtl_ifnez00_bglt BGl_z62makezd2rtl_ifnezb0zzsaw_defsz00(obj_t
		BgL_envz00_6935, obj_t BgL_loc1469z00_6936, obj_t BgL_then1470z00_6937)
	{
		{	/* SawMill/defs.sch 650 */
			return
				BGl_makezd2rtl_ifnezd2zzsaw_defsz00(BgL_loc1469z00_6936,
				((BgL_blockz00_bglt) BgL_then1470z00_6937));
		}

	}



/* rtl_ifne? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_ifnezf3zf3zzsaw_defsz00(obj_t BgL_objz00_126)
	{
		{	/* SawMill/defs.sch 651 */
			{	/* SawMill/defs.sch 651 */
				obj_t BgL_classz00_8694;

				BgL_classz00_8694 = BGl_rtl_ifnez00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_126))
					{	/* SawMill/defs.sch 651 */
						BgL_objectz00_bglt BgL_arg1801z00_8695;

						BgL_arg1801z00_8695 = (BgL_objectz00_bglt) (BgL_objz00_126);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 651 */
								long BgL_idxz00_8696;

								BgL_idxz00_8696 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8695);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8696 + 3L)) == BgL_classz00_8694);
							}
						else
							{	/* SawMill/defs.sch 651 */
								bool_t BgL_res3056z00_8699;

								{	/* SawMill/defs.sch 651 */
									obj_t BgL_oclassz00_8700;

									{	/* SawMill/defs.sch 651 */
										long BgL_arg1808z00_8701;

										{	/* SawMill/defs.sch 651 */
											long BgL_arg1809z00_8702;

											BgL_arg1809z00_8702 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8695);
											BgL_arg1808z00_8701 = (BgL_arg1809z00_8702 - OBJECT_TYPE);
										}
										BgL_oclassz00_8700 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8701);
									}
									{	/* SawMill/defs.sch 651 */
										bool_t BgL__ortest_1115z00_8703;

										BgL__ortest_1115z00_8703 =
											(BgL_classz00_8694 == BgL_oclassz00_8700);
										if (BgL__ortest_1115z00_8703)
											{	/* SawMill/defs.sch 651 */
												BgL_res3056z00_8699 = BgL__ortest_1115z00_8703;
											}
										else
											{	/* SawMill/defs.sch 651 */
												long BgL_odepthz00_8704;

												BgL_odepthz00_8704 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8700);
												if ((3L < BgL_odepthz00_8704))
													{	/* SawMill/defs.sch 651 */
														obj_t BgL_arg1797z00_8705;

														BgL_arg1797z00_8705 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8700, 3L);
														BgL_res3056z00_8699 =
															(BgL_arg1797z00_8705 == BgL_classz00_8694);
													}
												else
													{	/* SawMill/defs.sch 651 */
														BgL_res3056z00_8699 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3056z00_8699;
							}
					}
				else
					{	/* SawMill/defs.sch 651 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ifne? */
	obj_t BGl_z62rtl_ifnezf3z91zzsaw_defsz00(obj_t BgL_envz00_6938,
		obj_t BgL_objz00_6939)
	{
		{	/* SawMill/defs.sch 651 */
			return BBOOL(BGl_rtl_ifnezf3zf3zzsaw_defsz00(BgL_objz00_6939));
		}

	}



/* rtl_ifne-nil */
	BGL_EXPORTED_DEF BgL_rtl_ifnez00_bglt BGl_rtl_ifnezd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 652 */
			{	/* SawMill/defs.sch 652 */
				obj_t BgL_classz00_4673;

				BgL_classz00_4673 = BGl_rtl_ifnez00zzsaw_defsz00;
				{	/* SawMill/defs.sch 652 */
					obj_t BgL__ortest_1117z00_4674;

					BgL__ortest_1117z00_4674 = BGL_CLASS_NIL(BgL_classz00_4673);
					if (CBOOL(BgL__ortest_1117z00_4674))
						{	/* SawMill/defs.sch 652 */
							return ((BgL_rtl_ifnez00_bglt) BgL__ortest_1117z00_4674);
						}
					else
						{	/* SawMill/defs.sch 652 */
							return
								((BgL_rtl_ifnez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4673));
						}
				}
			}
		}

	}



/* &rtl_ifne-nil */
	BgL_rtl_ifnez00_bglt BGl_z62rtl_ifnezd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6940)
	{
		{	/* SawMill/defs.sch 652 */
			return BGl_rtl_ifnezd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_ifne-then */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_rtl_ifnezd2thenzd2zzsaw_defsz00(BgL_rtl_ifnez00_bglt BgL_oz00_127)
	{
		{	/* SawMill/defs.sch 653 */
			return (((BgL_rtl_ifnez00_bglt) COBJECT(BgL_oz00_127))->BgL_thenz00);
		}

	}



/* &rtl_ifne-then */
	BgL_blockz00_bglt BGl_z62rtl_ifnezd2thenzb0zzsaw_defsz00(obj_t
		BgL_envz00_6941, obj_t BgL_oz00_6942)
	{
		{	/* SawMill/defs.sch 653 */
			return
				BGl_rtl_ifnezd2thenzd2zzsaw_defsz00(
				((BgL_rtl_ifnez00_bglt) BgL_oz00_6942));
		}

	}



/* rtl_ifne-then-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifnezd2thenzd2setz12z12zzsaw_defsz00(BgL_rtl_ifnez00_bglt
		BgL_oz00_128, BgL_blockz00_bglt BgL_vz00_129)
	{
		{	/* SawMill/defs.sch 654 */
			return
				((((BgL_rtl_ifnez00_bglt) COBJECT(BgL_oz00_128))->BgL_thenz00) =
				((BgL_blockz00_bglt) BgL_vz00_129), BUNSPEC);
		}

	}



/* &rtl_ifne-then-set! */
	obj_t BGl_z62rtl_ifnezd2thenzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6943,
		obj_t BgL_oz00_6944, obj_t BgL_vz00_6945)
	{
		{	/* SawMill/defs.sch 654 */
			return
				BGl_rtl_ifnezd2thenzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifnez00_bglt) BgL_oz00_6944),
				((BgL_blockz00_bglt) BgL_vz00_6945));
		}

	}



/* rtl_ifne-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifnezd2loczd2zzsaw_defsz00(BgL_rtl_ifnez00_bglt
		BgL_oz00_130)
	{
		{	/* SawMill/defs.sch 655 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_130)))->BgL_locz00);
		}

	}



/* &rtl_ifne-loc */
	obj_t BGl_z62rtl_ifnezd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6946,
		obj_t BgL_oz00_6947)
	{
		{	/* SawMill/defs.sch 655 */
			return
				BGl_rtl_ifnezd2loczd2zzsaw_defsz00(
				((BgL_rtl_ifnez00_bglt) BgL_oz00_6947));
		}

	}



/* rtl_ifne-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifnezd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifnez00_bglt
		BgL_oz00_131, obj_t BgL_vz00_132)
	{
		{	/* SawMill/defs.sch 656 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_131)))->BgL_locz00) =
				((obj_t) BgL_vz00_132), BUNSPEC);
		}

	}



/* &rtl_ifne-loc-set! */
	obj_t BGl_z62rtl_ifnezd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6948,
		obj_t BgL_oz00_6949, obj_t BgL_vz00_6950)
	{
		{	/* SawMill/defs.sch 656 */
			return
				BGl_rtl_ifnezd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifnez00_bglt) BgL_oz00_6949), BgL_vz00_6950);
		}

	}



/* make-rtl_go */
	BGL_EXPORTED_DEF BgL_rtl_goz00_bglt BGl_makezd2rtl_gozd2zzsaw_defsz00(obj_t
		BgL_loc1466z00_133, BgL_blockz00_bglt BgL_to1467z00_134)
	{
		{	/* SawMill/defs.sch 659 */
			{	/* SawMill/defs.sch 659 */
				BgL_rtl_goz00_bglt BgL_new1379z00_8706;

				{	/* SawMill/defs.sch 659 */
					BgL_rtl_goz00_bglt BgL_new1378z00_8707;

					BgL_new1378z00_8707 =
						((BgL_rtl_goz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_goz00_bgl))));
					{	/* SawMill/defs.sch 659 */
						long BgL_arg1838z00_8708;

						BgL_arg1838z00_8708 = BGL_CLASS_NUM(BGl_rtl_goz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1378z00_8707), BgL_arg1838z00_8708);
					}
					BgL_new1379z00_8706 = BgL_new1378z00_8707;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1379z00_8706)))->BgL_locz00) =
					((obj_t) BgL_loc1466z00_133), BUNSPEC);
				((((BgL_rtl_goz00_bglt) COBJECT(BgL_new1379z00_8706))->BgL_toz00) =
					((BgL_blockz00_bglt) BgL_to1467z00_134), BUNSPEC);
				return BgL_new1379z00_8706;
			}
		}

	}



/* &make-rtl_go */
	BgL_rtl_goz00_bglt BGl_z62makezd2rtl_gozb0zzsaw_defsz00(obj_t BgL_envz00_6951,
		obj_t BgL_loc1466z00_6952, obj_t BgL_to1467z00_6953)
	{
		{	/* SawMill/defs.sch 659 */
			return
				BGl_makezd2rtl_gozd2zzsaw_defsz00(BgL_loc1466z00_6952,
				((BgL_blockz00_bglt) BgL_to1467z00_6953));
		}

	}



/* rtl_go? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_gozf3zf3zzsaw_defsz00(obj_t BgL_objz00_135)
	{
		{	/* SawMill/defs.sch 660 */
			{	/* SawMill/defs.sch 660 */
				obj_t BgL_classz00_8709;

				BgL_classz00_8709 = BGl_rtl_goz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_135))
					{	/* SawMill/defs.sch 660 */
						BgL_objectz00_bglt BgL_arg1801z00_8710;

						BgL_arg1801z00_8710 = (BgL_objectz00_bglt) (BgL_objz00_135);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 660 */
								long BgL_idxz00_8711;

								BgL_idxz00_8711 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8710);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8711 + 3L)) == BgL_classz00_8709);
							}
						else
							{	/* SawMill/defs.sch 660 */
								bool_t BgL_res3057z00_8714;

								{	/* SawMill/defs.sch 660 */
									obj_t BgL_oclassz00_8715;

									{	/* SawMill/defs.sch 660 */
										long BgL_arg1808z00_8716;

										{	/* SawMill/defs.sch 660 */
											long BgL_arg1809z00_8717;

											BgL_arg1809z00_8717 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8710);
											BgL_arg1808z00_8716 = (BgL_arg1809z00_8717 - OBJECT_TYPE);
										}
										BgL_oclassz00_8715 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8716);
									}
									{	/* SawMill/defs.sch 660 */
										bool_t BgL__ortest_1115z00_8718;

										BgL__ortest_1115z00_8718 =
											(BgL_classz00_8709 == BgL_oclassz00_8715);
										if (BgL__ortest_1115z00_8718)
											{	/* SawMill/defs.sch 660 */
												BgL_res3057z00_8714 = BgL__ortest_1115z00_8718;
											}
										else
											{	/* SawMill/defs.sch 660 */
												long BgL_odepthz00_8719;

												BgL_odepthz00_8719 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8715);
												if ((3L < BgL_odepthz00_8719))
													{	/* SawMill/defs.sch 660 */
														obj_t BgL_arg1797z00_8720;

														BgL_arg1797z00_8720 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8715, 3L);
														BgL_res3057z00_8714 =
															(BgL_arg1797z00_8720 == BgL_classz00_8709);
													}
												else
													{	/* SawMill/defs.sch 660 */
														BgL_res3057z00_8714 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3057z00_8714;
							}
					}
				else
					{	/* SawMill/defs.sch 660 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_go? */
	obj_t BGl_z62rtl_gozf3z91zzsaw_defsz00(obj_t BgL_envz00_6954,
		obj_t BgL_objz00_6955)
	{
		{	/* SawMill/defs.sch 660 */
			return BBOOL(BGl_rtl_gozf3zf3zzsaw_defsz00(BgL_objz00_6955));
		}

	}



/* rtl_go-nil */
	BGL_EXPORTED_DEF BgL_rtl_goz00_bglt BGl_rtl_gozd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 661 */
			{	/* SawMill/defs.sch 661 */
				obj_t BgL_classz00_4712;

				BgL_classz00_4712 = BGl_rtl_goz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 661 */
					obj_t BgL__ortest_1117z00_4713;

					BgL__ortest_1117z00_4713 = BGL_CLASS_NIL(BgL_classz00_4712);
					if (CBOOL(BgL__ortest_1117z00_4713))
						{	/* SawMill/defs.sch 661 */
							return ((BgL_rtl_goz00_bglt) BgL__ortest_1117z00_4713);
						}
					else
						{	/* SawMill/defs.sch 661 */
							return
								((BgL_rtl_goz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4712));
						}
				}
			}
		}

	}



/* &rtl_go-nil */
	BgL_rtl_goz00_bglt BGl_z62rtl_gozd2nilzb0zzsaw_defsz00(obj_t BgL_envz00_6956)
	{
		{	/* SawMill/defs.sch 661 */
			return BGl_rtl_gozd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_go-to */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_rtl_gozd2tozd2zzsaw_defsz00(BgL_rtl_goz00_bglt BgL_oz00_136)
	{
		{	/* SawMill/defs.sch 662 */
			return (((BgL_rtl_goz00_bglt) COBJECT(BgL_oz00_136))->BgL_toz00);
		}

	}



/* &rtl_go-to */
	BgL_blockz00_bglt BGl_z62rtl_gozd2tozb0zzsaw_defsz00(obj_t BgL_envz00_6957,
		obj_t BgL_oz00_6958)
	{
		{	/* SawMill/defs.sch 662 */
			return
				BGl_rtl_gozd2tozd2zzsaw_defsz00(((BgL_rtl_goz00_bglt) BgL_oz00_6958));
		}

	}



/* rtl_go-to-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_gozd2tozd2setz12z12zzsaw_defsz00(BgL_rtl_goz00_bglt BgL_oz00_137,
		BgL_blockz00_bglt BgL_vz00_138)
	{
		{	/* SawMill/defs.sch 663 */
			return
				((((BgL_rtl_goz00_bglt) COBJECT(BgL_oz00_137))->BgL_toz00) =
				((BgL_blockz00_bglt) BgL_vz00_138), BUNSPEC);
		}

	}



/* &rtl_go-to-set! */
	obj_t BGl_z62rtl_gozd2tozd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6959,
		obj_t BgL_oz00_6960, obj_t BgL_vz00_6961)
	{
		{	/* SawMill/defs.sch 663 */
			return
				BGl_rtl_gozd2tozd2setz12z12zzsaw_defsz00(
				((BgL_rtl_goz00_bglt) BgL_oz00_6960),
				((BgL_blockz00_bglt) BgL_vz00_6961));
		}

	}



/* rtl_go-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_gozd2loczd2zzsaw_defsz00(BgL_rtl_goz00_bglt
		BgL_oz00_139)
	{
		{	/* SawMill/defs.sch 664 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_139)))->BgL_locz00);
		}

	}



/* &rtl_go-loc */
	obj_t BGl_z62rtl_gozd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6962,
		obj_t BgL_oz00_6963)
	{
		{	/* SawMill/defs.sch 664 */
			return
				BGl_rtl_gozd2loczd2zzsaw_defsz00(((BgL_rtl_goz00_bglt) BgL_oz00_6963));
		}

	}



/* rtl_go-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_gozd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_goz00_bglt BgL_oz00_140,
		obj_t BgL_vz00_141)
	{
		{	/* SawMill/defs.sch 665 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_140)))->BgL_locz00) =
				((obj_t) BgL_vz00_141), BUNSPEC);
		}

	}



/* &rtl_go-loc-set! */
	obj_t BGl_z62rtl_gozd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6964,
		obj_t BgL_oz00_6965, obj_t BgL_vz00_6966)
	{
		{	/* SawMill/defs.sch 665 */
			return
				BGl_rtl_gozd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_goz00_bglt) BgL_oz00_6965), BgL_vz00_6966);
		}

	}



/* make-rtl_pure */
	BGL_EXPORTED_DEF BgL_rtl_purez00_bglt
		BGl_makezd2rtl_purezd2zzsaw_defsz00(obj_t BgL_loc1463z00_142)
	{
		{	/* SawMill/defs.sch 668 */
			{	/* SawMill/defs.sch 668 */
				BgL_rtl_purez00_bglt BgL_new1381z00_8721;

				{	/* SawMill/defs.sch 668 */
					BgL_rtl_purez00_bglt BgL_new1380z00_8722;

					BgL_new1380z00_8722 =
						((BgL_rtl_purez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_purez00_bgl))));
					{	/* SawMill/defs.sch 668 */
						long BgL_arg1839z00_8723;

						BgL_arg1839z00_8723 = BGL_CLASS_NUM(BGl_rtl_purez00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1380z00_8722), BgL_arg1839z00_8723);
					}
					BgL_new1381z00_8721 = BgL_new1380z00_8722;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1381z00_8721)))->BgL_locz00) =
					((obj_t) BgL_loc1463z00_142), BUNSPEC);
				return BgL_new1381z00_8721;
			}
		}

	}



/* &make-rtl_pure */
	BgL_rtl_purez00_bglt BGl_z62makezd2rtl_purezb0zzsaw_defsz00(obj_t
		BgL_envz00_6967, obj_t BgL_loc1463z00_6968)
	{
		{	/* SawMill/defs.sch 668 */
			return BGl_makezd2rtl_purezd2zzsaw_defsz00(BgL_loc1463z00_6968);
		}

	}



/* rtl_pure? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_purezf3zf3zzsaw_defsz00(obj_t BgL_objz00_143)
	{
		{	/* SawMill/defs.sch 669 */
			{	/* SawMill/defs.sch 669 */
				obj_t BgL_classz00_8724;

				BgL_classz00_8724 = BGl_rtl_purez00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_143))
					{	/* SawMill/defs.sch 669 */
						BgL_objectz00_bglt BgL_arg1801z00_8725;

						BgL_arg1801z00_8725 = (BgL_objectz00_bglt) (BgL_objz00_143);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 669 */
								long BgL_idxz00_8726;

								BgL_idxz00_8726 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8725);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8726 + 2L)) == BgL_classz00_8724);
							}
						else
							{	/* SawMill/defs.sch 669 */
								bool_t BgL_res3058z00_8729;

								{	/* SawMill/defs.sch 669 */
									obj_t BgL_oclassz00_8730;

									{	/* SawMill/defs.sch 669 */
										long BgL_arg1808z00_8731;

										{	/* SawMill/defs.sch 669 */
											long BgL_arg1809z00_8732;

											BgL_arg1809z00_8732 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8725);
											BgL_arg1808z00_8731 = (BgL_arg1809z00_8732 - OBJECT_TYPE);
										}
										BgL_oclassz00_8730 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8731);
									}
									{	/* SawMill/defs.sch 669 */
										bool_t BgL__ortest_1115z00_8733;

										BgL__ortest_1115z00_8733 =
											(BgL_classz00_8724 == BgL_oclassz00_8730);
										if (BgL__ortest_1115z00_8733)
											{	/* SawMill/defs.sch 669 */
												BgL_res3058z00_8729 = BgL__ortest_1115z00_8733;
											}
										else
											{	/* SawMill/defs.sch 669 */
												long BgL_odepthz00_8734;

												BgL_odepthz00_8734 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8730);
												if ((2L < BgL_odepthz00_8734))
													{	/* SawMill/defs.sch 669 */
														obj_t BgL_arg1797z00_8735;

														BgL_arg1797z00_8735 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8730, 2L);
														BgL_res3058z00_8729 =
															(BgL_arg1797z00_8735 == BgL_classz00_8724);
													}
												else
													{	/* SawMill/defs.sch 669 */
														BgL_res3058z00_8729 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3058z00_8729;
							}
					}
				else
					{	/* SawMill/defs.sch 669 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_pure? */
	obj_t BGl_z62rtl_purezf3z91zzsaw_defsz00(obj_t BgL_envz00_6969,
		obj_t BgL_objz00_6970)
	{
		{	/* SawMill/defs.sch 669 */
			return BBOOL(BGl_rtl_purezf3zf3zzsaw_defsz00(BgL_objz00_6970));
		}

	}



/* rtl_pure-nil */
	BGL_EXPORTED_DEF BgL_rtl_purez00_bglt BGl_rtl_purezd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 670 */
			{	/* SawMill/defs.sch 670 */
				obj_t BgL_classz00_4751;

				BgL_classz00_4751 = BGl_rtl_purez00zzsaw_defsz00;
				{	/* SawMill/defs.sch 670 */
					obj_t BgL__ortest_1117z00_4752;

					BgL__ortest_1117z00_4752 = BGL_CLASS_NIL(BgL_classz00_4751);
					if (CBOOL(BgL__ortest_1117z00_4752))
						{	/* SawMill/defs.sch 670 */
							return ((BgL_rtl_purez00_bglt) BgL__ortest_1117z00_4752);
						}
					else
						{	/* SawMill/defs.sch 670 */
							return
								((BgL_rtl_purez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4751));
						}
				}
			}
		}

	}



/* &rtl_pure-nil */
	BgL_rtl_purez00_bglt BGl_z62rtl_purezd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6971)
	{
		{	/* SawMill/defs.sch 670 */
			return BGl_rtl_purezd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_pure-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_purezd2loczd2zzsaw_defsz00(BgL_rtl_purez00_bglt
		BgL_oz00_144)
	{
		{	/* SawMill/defs.sch 671 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_144)))->BgL_locz00);
		}

	}



/* &rtl_pure-loc */
	obj_t BGl_z62rtl_purezd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6972,
		obj_t BgL_oz00_6973)
	{
		{	/* SawMill/defs.sch 671 */
			return
				BGl_rtl_purezd2loczd2zzsaw_defsz00(
				((BgL_rtl_purez00_bglt) BgL_oz00_6973));
		}

	}



/* rtl_pure-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_purezd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_purez00_bglt
		BgL_oz00_145, obj_t BgL_vz00_146)
	{
		{	/* SawMill/defs.sch 672 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_145)))->BgL_locz00) =
				((obj_t) BgL_vz00_146), BUNSPEC);
		}

	}



/* &rtl_pure-loc-set! */
	obj_t BGl_z62rtl_purezd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6974,
		obj_t BgL_oz00_6975, obj_t BgL_vz00_6976)
	{
		{	/* SawMill/defs.sch 672 */
			return
				BGl_rtl_purezd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_purez00_bglt) BgL_oz00_6975), BgL_vz00_6976);
		}

	}



/* make-rtl_nop */
	BGL_EXPORTED_DEF BgL_rtl_nopz00_bglt BGl_makezd2rtl_nopzd2zzsaw_defsz00(obj_t
		BgL_loc1460z00_147)
	{
		{	/* SawMill/defs.sch 675 */
			{	/* SawMill/defs.sch 675 */
				BgL_rtl_nopz00_bglt BgL_new1383z00_8736;

				{	/* SawMill/defs.sch 675 */
					BgL_rtl_nopz00_bglt BgL_new1382z00_8737;

					BgL_new1382z00_8737 =
						((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_nopz00_bgl))));
					{	/* SawMill/defs.sch 675 */
						long BgL_arg1840z00_8738;

						BgL_arg1840z00_8738 = BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1382z00_8737), BgL_arg1840z00_8738);
					}
					BgL_new1383z00_8736 = BgL_new1382z00_8737;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1383z00_8736)))->BgL_locz00) =
					((obj_t) BgL_loc1460z00_147), BUNSPEC);
				return BgL_new1383z00_8736;
			}
		}

	}



/* &make-rtl_nop */
	BgL_rtl_nopz00_bglt BGl_z62makezd2rtl_nopzb0zzsaw_defsz00(obj_t
		BgL_envz00_6977, obj_t BgL_loc1460z00_6978)
	{
		{	/* SawMill/defs.sch 675 */
			return BGl_makezd2rtl_nopzd2zzsaw_defsz00(BgL_loc1460z00_6978);
		}

	}



/* rtl_nop? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_nopzf3zf3zzsaw_defsz00(obj_t BgL_objz00_148)
	{
		{	/* SawMill/defs.sch 676 */
			{	/* SawMill/defs.sch 676 */
				obj_t BgL_classz00_8739;

				BgL_classz00_8739 = BGl_rtl_nopz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_148))
					{	/* SawMill/defs.sch 676 */
						BgL_objectz00_bglt BgL_arg1801z00_8740;

						BgL_arg1801z00_8740 = (BgL_objectz00_bglt) (BgL_objz00_148);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 676 */
								long BgL_idxz00_8741;

								BgL_idxz00_8741 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8740);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8741 + 3L)) == BgL_classz00_8739);
							}
						else
							{	/* SawMill/defs.sch 676 */
								bool_t BgL_res3059z00_8744;

								{	/* SawMill/defs.sch 676 */
									obj_t BgL_oclassz00_8745;

									{	/* SawMill/defs.sch 676 */
										long BgL_arg1808z00_8746;

										{	/* SawMill/defs.sch 676 */
											long BgL_arg1809z00_8747;

											BgL_arg1809z00_8747 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8740);
											BgL_arg1808z00_8746 = (BgL_arg1809z00_8747 - OBJECT_TYPE);
										}
										BgL_oclassz00_8745 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8746);
									}
									{	/* SawMill/defs.sch 676 */
										bool_t BgL__ortest_1115z00_8748;

										BgL__ortest_1115z00_8748 =
											(BgL_classz00_8739 == BgL_oclassz00_8745);
										if (BgL__ortest_1115z00_8748)
											{	/* SawMill/defs.sch 676 */
												BgL_res3059z00_8744 = BgL__ortest_1115z00_8748;
											}
										else
											{	/* SawMill/defs.sch 676 */
												long BgL_odepthz00_8749;

												BgL_odepthz00_8749 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8745);
												if ((3L < BgL_odepthz00_8749))
													{	/* SawMill/defs.sch 676 */
														obj_t BgL_arg1797z00_8750;

														BgL_arg1797z00_8750 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8745, 3L);
														BgL_res3059z00_8744 =
															(BgL_arg1797z00_8750 == BgL_classz00_8739);
													}
												else
													{	/* SawMill/defs.sch 676 */
														BgL_res3059z00_8744 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3059z00_8744;
							}
					}
				else
					{	/* SawMill/defs.sch 676 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_nop? */
	obj_t BGl_z62rtl_nopzf3z91zzsaw_defsz00(obj_t BgL_envz00_6979,
		obj_t BgL_objz00_6980)
	{
		{	/* SawMill/defs.sch 676 */
			return BBOOL(BGl_rtl_nopzf3zf3zzsaw_defsz00(BgL_objz00_6980));
		}

	}



/* rtl_nop-nil */
	BGL_EXPORTED_DEF BgL_rtl_nopz00_bglt BGl_rtl_nopzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 677 */
			{	/* SawMill/defs.sch 677 */
				obj_t BgL_classz00_4790;

				BgL_classz00_4790 = BGl_rtl_nopz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 677 */
					obj_t BgL__ortest_1117z00_4791;

					BgL__ortest_1117z00_4791 = BGL_CLASS_NIL(BgL_classz00_4790);
					if (CBOOL(BgL__ortest_1117z00_4791))
						{	/* SawMill/defs.sch 677 */
							return ((BgL_rtl_nopz00_bglt) BgL__ortest_1117z00_4791);
						}
					else
						{	/* SawMill/defs.sch 677 */
							return
								((BgL_rtl_nopz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4790));
						}
				}
			}
		}

	}



/* &rtl_nop-nil */
	BgL_rtl_nopz00_bglt BGl_z62rtl_nopzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6981)
	{
		{	/* SawMill/defs.sch 677 */
			return BGl_rtl_nopzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_nop-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_nopzd2loczd2zzsaw_defsz00(BgL_rtl_nopz00_bglt
		BgL_oz00_149)
	{
		{	/* SawMill/defs.sch 678 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_149)))->BgL_locz00);
		}

	}



/* &rtl_nop-loc */
	obj_t BGl_z62rtl_nopzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6982,
		obj_t BgL_oz00_6983)
	{
		{	/* SawMill/defs.sch 678 */
			return
				BGl_rtl_nopzd2loczd2zzsaw_defsz00(
				((BgL_rtl_nopz00_bglt) BgL_oz00_6983));
		}

	}



/* rtl_nop-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_nopzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_nopz00_bglt BgL_oz00_150,
		obj_t BgL_vz00_151)
	{
		{	/* SawMill/defs.sch 679 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_150)))->BgL_locz00) =
				((obj_t) BgL_vz00_151), BUNSPEC);
		}

	}



/* &rtl_nop-loc-set! */
	obj_t BGl_z62rtl_nopzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6984,
		obj_t BgL_oz00_6985, obj_t BgL_vz00_6986)
	{
		{	/* SawMill/defs.sch 679 */
			return
				BGl_rtl_nopzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_nopz00_bglt) BgL_oz00_6985), BgL_vz00_6986);
		}

	}



/* make-rtl_mov */
	BGL_EXPORTED_DEF BgL_rtl_movz00_bglt BGl_makezd2rtl_movzd2zzsaw_defsz00(obj_t
		BgL_loc1458z00_152)
	{
		{	/* SawMill/defs.sch 682 */
			{	/* SawMill/defs.sch 682 */
				BgL_rtl_movz00_bglt BgL_new1385z00_8751;

				{	/* SawMill/defs.sch 682 */
					BgL_rtl_movz00_bglt BgL_new1384z00_8752;

					BgL_new1384z00_8752 =
						((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_movz00_bgl))));
					{	/* SawMill/defs.sch 682 */
						long BgL_arg1841z00_8753;

						BgL_arg1841z00_8753 = BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1384z00_8752), BgL_arg1841z00_8753);
					}
					BgL_new1385z00_8751 = BgL_new1384z00_8752;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1385z00_8751)))->BgL_locz00) =
					((obj_t) BgL_loc1458z00_152), BUNSPEC);
				return BgL_new1385z00_8751;
			}
		}

	}



/* &make-rtl_mov */
	BgL_rtl_movz00_bglt BGl_z62makezd2rtl_movzb0zzsaw_defsz00(obj_t
		BgL_envz00_6987, obj_t BgL_loc1458z00_6988)
	{
		{	/* SawMill/defs.sch 682 */
			return BGl_makezd2rtl_movzd2zzsaw_defsz00(BgL_loc1458z00_6988);
		}

	}



/* rtl_mov? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_movzf3zf3zzsaw_defsz00(obj_t BgL_objz00_153)
	{
		{	/* SawMill/defs.sch 683 */
			{	/* SawMill/defs.sch 683 */
				obj_t BgL_classz00_8754;

				BgL_classz00_8754 = BGl_rtl_movz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_153))
					{	/* SawMill/defs.sch 683 */
						BgL_objectz00_bglt BgL_arg1801z00_8755;

						BgL_arg1801z00_8755 = (BgL_objectz00_bglt) (BgL_objz00_153);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 683 */
								long BgL_idxz00_8756;

								BgL_idxz00_8756 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8755);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8756 + 3L)) == BgL_classz00_8754);
							}
						else
							{	/* SawMill/defs.sch 683 */
								bool_t BgL_res3060z00_8759;

								{	/* SawMill/defs.sch 683 */
									obj_t BgL_oclassz00_8760;

									{	/* SawMill/defs.sch 683 */
										long BgL_arg1808z00_8761;

										{	/* SawMill/defs.sch 683 */
											long BgL_arg1809z00_8762;

											BgL_arg1809z00_8762 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8755);
											BgL_arg1808z00_8761 = (BgL_arg1809z00_8762 - OBJECT_TYPE);
										}
										BgL_oclassz00_8760 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8761);
									}
									{	/* SawMill/defs.sch 683 */
										bool_t BgL__ortest_1115z00_8763;

										BgL__ortest_1115z00_8763 =
											(BgL_classz00_8754 == BgL_oclassz00_8760);
										if (BgL__ortest_1115z00_8763)
											{	/* SawMill/defs.sch 683 */
												BgL_res3060z00_8759 = BgL__ortest_1115z00_8763;
											}
										else
											{	/* SawMill/defs.sch 683 */
												long BgL_odepthz00_8764;

												BgL_odepthz00_8764 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8760);
												if ((3L < BgL_odepthz00_8764))
													{	/* SawMill/defs.sch 683 */
														obj_t BgL_arg1797z00_8765;

														BgL_arg1797z00_8765 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8760, 3L);
														BgL_res3060z00_8759 =
															(BgL_arg1797z00_8765 == BgL_classz00_8754);
													}
												else
													{	/* SawMill/defs.sch 683 */
														BgL_res3060z00_8759 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3060z00_8759;
							}
					}
				else
					{	/* SawMill/defs.sch 683 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_mov? */
	obj_t BGl_z62rtl_movzf3z91zzsaw_defsz00(obj_t BgL_envz00_6989,
		obj_t BgL_objz00_6990)
	{
		{	/* SawMill/defs.sch 683 */
			return BBOOL(BGl_rtl_movzf3zf3zzsaw_defsz00(BgL_objz00_6990));
		}

	}



/* rtl_mov-nil */
	BGL_EXPORTED_DEF BgL_rtl_movz00_bglt BGl_rtl_movzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 684 */
			{	/* SawMill/defs.sch 684 */
				obj_t BgL_classz00_4829;

				BgL_classz00_4829 = BGl_rtl_movz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 684 */
					obj_t BgL__ortest_1117z00_4830;

					BgL__ortest_1117z00_4830 = BGL_CLASS_NIL(BgL_classz00_4829);
					if (CBOOL(BgL__ortest_1117z00_4830))
						{	/* SawMill/defs.sch 684 */
							return ((BgL_rtl_movz00_bglt) BgL__ortest_1117z00_4830);
						}
					else
						{	/* SawMill/defs.sch 684 */
							return
								((BgL_rtl_movz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4829));
						}
				}
			}
		}

	}



/* &rtl_mov-nil */
	BgL_rtl_movz00_bglt BGl_z62rtl_movzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6991)
	{
		{	/* SawMill/defs.sch 684 */
			return BGl_rtl_movzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_mov-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_movzd2loczd2zzsaw_defsz00(BgL_rtl_movz00_bglt
		BgL_oz00_154)
	{
		{	/* SawMill/defs.sch 685 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_154)))->BgL_locz00);
		}

	}



/* &rtl_mov-loc */
	obj_t BGl_z62rtl_movzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6992,
		obj_t BgL_oz00_6993)
	{
		{	/* SawMill/defs.sch 685 */
			return
				BGl_rtl_movzd2loczd2zzsaw_defsz00(
				((BgL_rtl_movz00_bglt) BgL_oz00_6993));
		}

	}



/* rtl_mov-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_movzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_movz00_bglt BgL_oz00_155,
		obj_t BgL_vz00_156)
	{
		{	/* SawMill/defs.sch 686 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_155)))->BgL_locz00) =
				((obj_t) BgL_vz00_156), BUNSPEC);
		}

	}



/* &rtl_mov-loc-set! */
	obj_t BGl_z62rtl_movzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6994,
		obj_t BgL_oz00_6995, obj_t BgL_vz00_6996)
	{
		{	/* SawMill/defs.sch 686 */
			return
				BGl_rtl_movzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_movz00_bglt) BgL_oz00_6995), BgL_vz00_6996);
		}

	}



/* make-rtl_loadi */
	BGL_EXPORTED_DEF BgL_rtl_loadiz00_bglt
		BGl_makezd2rtl_loadizd2zzsaw_defsz00(obj_t BgL_loc1455z00_157,
		BgL_atomz00_bglt BgL_constant1456z00_158)
	{
		{	/* SawMill/defs.sch 689 */
			{	/* SawMill/defs.sch 689 */
				BgL_rtl_loadiz00_bglt BgL_new1387z00_8766;

				{	/* SawMill/defs.sch 689 */
					BgL_rtl_loadiz00_bglt BgL_new1386z00_8767;

					BgL_new1386z00_8767 =
						((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadiz00_bgl))));
					{	/* SawMill/defs.sch 689 */
						long BgL_arg1842z00_8768;

						BgL_arg1842z00_8768 = BGL_CLASS_NUM(BGl_rtl_loadiz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1386z00_8767), BgL_arg1842z00_8768);
					}
					BgL_new1387z00_8766 = BgL_new1386z00_8767;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1387z00_8766)))->BgL_locz00) =
					((obj_t) BgL_loc1455z00_157), BUNSPEC);
				((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_new1387z00_8766))->
						BgL_constantz00) =
					((BgL_atomz00_bglt) BgL_constant1456z00_158), BUNSPEC);
				return BgL_new1387z00_8766;
			}
		}

	}



/* &make-rtl_loadi */
	BgL_rtl_loadiz00_bglt BGl_z62makezd2rtl_loadizb0zzsaw_defsz00(obj_t
		BgL_envz00_6997, obj_t BgL_loc1455z00_6998, obj_t BgL_constant1456z00_6999)
	{
		{	/* SawMill/defs.sch 689 */
			return
				BGl_makezd2rtl_loadizd2zzsaw_defsz00(BgL_loc1455z00_6998,
				((BgL_atomz00_bglt) BgL_constant1456z00_6999));
		}

	}



/* rtl_loadi? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_loadizf3zf3zzsaw_defsz00(obj_t BgL_objz00_159)
	{
		{	/* SawMill/defs.sch 690 */
			{	/* SawMill/defs.sch 690 */
				obj_t BgL_classz00_8769;

				BgL_classz00_8769 = BGl_rtl_loadiz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_159))
					{	/* SawMill/defs.sch 690 */
						BgL_objectz00_bglt BgL_arg1801z00_8770;

						BgL_arg1801z00_8770 = (BgL_objectz00_bglt) (BgL_objz00_159);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 690 */
								long BgL_idxz00_8771;

								BgL_idxz00_8771 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8770);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8771 + 3L)) == BgL_classz00_8769);
							}
						else
							{	/* SawMill/defs.sch 690 */
								bool_t BgL_res3061z00_8774;

								{	/* SawMill/defs.sch 690 */
									obj_t BgL_oclassz00_8775;

									{	/* SawMill/defs.sch 690 */
										long BgL_arg1808z00_8776;

										{	/* SawMill/defs.sch 690 */
											long BgL_arg1809z00_8777;

											BgL_arg1809z00_8777 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8770);
											BgL_arg1808z00_8776 = (BgL_arg1809z00_8777 - OBJECT_TYPE);
										}
										BgL_oclassz00_8775 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8776);
									}
									{	/* SawMill/defs.sch 690 */
										bool_t BgL__ortest_1115z00_8778;

										BgL__ortest_1115z00_8778 =
											(BgL_classz00_8769 == BgL_oclassz00_8775);
										if (BgL__ortest_1115z00_8778)
											{	/* SawMill/defs.sch 690 */
												BgL_res3061z00_8774 = BgL__ortest_1115z00_8778;
											}
										else
											{	/* SawMill/defs.sch 690 */
												long BgL_odepthz00_8779;

												BgL_odepthz00_8779 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8775);
												if ((3L < BgL_odepthz00_8779))
													{	/* SawMill/defs.sch 690 */
														obj_t BgL_arg1797z00_8780;

														BgL_arg1797z00_8780 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8775, 3L);
														BgL_res3061z00_8774 =
															(BgL_arg1797z00_8780 == BgL_classz00_8769);
													}
												else
													{	/* SawMill/defs.sch 690 */
														BgL_res3061z00_8774 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3061z00_8774;
							}
					}
				else
					{	/* SawMill/defs.sch 690 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_loadi? */
	obj_t BGl_z62rtl_loadizf3z91zzsaw_defsz00(obj_t BgL_envz00_7000,
		obj_t BgL_objz00_7001)
	{
		{	/* SawMill/defs.sch 690 */
			return BBOOL(BGl_rtl_loadizf3zf3zzsaw_defsz00(BgL_objz00_7001));
		}

	}



/* rtl_loadi-nil */
	BGL_EXPORTED_DEF BgL_rtl_loadiz00_bglt
		BGl_rtl_loadizd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 691 */
			{	/* SawMill/defs.sch 691 */
				obj_t BgL_classz00_4868;

				BgL_classz00_4868 = BGl_rtl_loadiz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 691 */
					obj_t BgL__ortest_1117z00_4869;

					BgL__ortest_1117z00_4869 = BGL_CLASS_NIL(BgL_classz00_4868);
					if (CBOOL(BgL__ortest_1117z00_4869))
						{	/* SawMill/defs.sch 691 */
							return ((BgL_rtl_loadiz00_bglt) BgL__ortest_1117z00_4869);
						}
					else
						{	/* SawMill/defs.sch 691 */
							return
								((BgL_rtl_loadiz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4868));
						}
				}
			}
		}

	}



/* &rtl_loadi-nil */
	BgL_rtl_loadiz00_bglt BGl_z62rtl_loadizd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7002)
	{
		{	/* SawMill/defs.sch 691 */
			return BGl_rtl_loadizd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_loadi-constant */
	BGL_EXPORTED_DEF BgL_atomz00_bglt
		BGl_rtl_loadizd2constantzd2zzsaw_defsz00(BgL_rtl_loadiz00_bglt BgL_oz00_160)
	{
		{	/* SawMill/defs.sch 692 */
			return (((BgL_rtl_loadiz00_bglt) COBJECT(BgL_oz00_160))->BgL_constantz00);
		}

	}



/* &rtl_loadi-constant */
	BgL_atomz00_bglt BGl_z62rtl_loadizd2constantzb0zzsaw_defsz00(obj_t
		BgL_envz00_7003, obj_t BgL_oz00_7004)
	{
		{	/* SawMill/defs.sch 692 */
			return
				BGl_rtl_loadizd2constantzd2zzsaw_defsz00(
				((BgL_rtl_loadiz00_bglt) BgL_oz00_7004));
		}

	}



/* rtl_loadi-constant-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadizd2constantzd2setz12z12zzsaw_defsz00(BgL_rtl_loadiz00_bglt
		BgL_oz00_161, BgL_atomz00_bglt BgL_vz00_162)
	{
		{	/* SawMill/defs.sch 693 */
			return
				((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_oz00_161))->BgL_constantz00) =
				((BgL_atomz00_bglt) BgL_vz00_162), BUNSPEC);
		}

	}



/* &rtl_loadi-constant-set! */
	obj_t BGl_z62rtl_loadizd2constantzd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7005, obj_t BgL_oz00_7006, obj_t BgL_vz00_7007)
	{
		{	/* SawMill/defs.sch 693 */
			return
				BGl_rtl_loadizd2constantzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadiz00_bglt) BgL_oz00_7006),
				((BgL_atomz00_bglt) BgL_vz00_7007));
		}

	}



/* rtl_loadi-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadizd2loczd2zzsaw_defsz00(BgL_rtl_loadiz00_bglt BgL_oz00_163)
	{
		{	/* SawMill/defs.sch 694 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_163)))->BgL_locz00);
		}

	}



/* &rtl_loadi-loc */
	obj_t BGl_z62rtl_loadizd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7008,
		obj_t BgL_oz00_7009)
	{
		{	/* SawMill/defs.sch 694 */
			return
				BGl_rtl_loadizd2loczd2zzsaw_defsz00(
				((BgL_rtl_loadiz00_bglt) BgL_oz00_7009));
		}

	}



/* rtl_loadi-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadizd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadiz00_bglt
		BgL_oz00_164, obj_t BgL_vz00_165)
	{
		{	/* SawMill/defs.sch 695 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_164)))->BgL_locz00) =
				((obj_t) BgL_vz00_165), BUNSPEC);
		}

	}



/* &rtl_loadi-loc-set! */
	obj_t BGl_z62rtl_loadizd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7010,
		obj_t BgL_oz00_7011, obj_t BgL_vz00_7012)
	{
		{	/* SawMill/defs.sch 695 */
			return
				BGl_rtl_loadizd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadiz00_bglt) BgL_oz00_7011), BgL_vz00_7012);
		}

	}



/* make-rtl_loadg */
	BGL_EXPORTED_DEF BgL_rtl_loadgz00_bglt
		BGl_makezd2rtl_loadgzd2zzsaw_defsz00(obj_t BgL_loc1451z00_166,
		BgL_globalz00_bglt BgL_var1453z00_167)
	{
		{	/* SawMill/defs.sch 698 */
			{	/* SawMill/defs.sch 698 */
				BgL_rtl_loadgz00_bglt BgL_new1389z00_8781;

				{	/* SawMill/defs.sch 698 */
					BgL_rtl_loadgz00_bglt BgL_new1388z00_8782;

					BgL_new1388z00_8782 =
						((BgL_rtl_loadgz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadgz00_bgl))));
					{	/* SawMill/defs.sch 698 */
						long BgL_arg1843z00_8783;

						BgL_arg1843z00_8783 = BGL_CLASS_NUM(BGl_rtl_loadgz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1388z00_8782), BgL_arg1843z00_8783);
					}
					BgL_new1389z00_8781 = BgL_new1388z00_8782;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1389z00_8781)))->BgL_locz00) =
					((obj_t) BgL_loc1451z00_166), BUNSPEC);
				((((BgL_rtl_loadgz00_bglt) COBJECT(BgL_new1389z00_8781))->BgL_varz00) =
					((BgL_globalz00_bglt) BgL_var1453z00_167), BUNSPEC);
				return BgL_new1389z00_8781;
			}
		}

	}



/* &make-rtl_loadg */
	BgL_rtl_loadgz00_bglt BGl_z62makezd2rtl_loadgzb0zzsaw_defsz00(obj_t
		BgL_envz00_7013, obj_t BgL_loc1451z00_7014, obj_t BgL_var1453z00_7015)
	{
		{	/* SawMill/defs.sch 698 */
			return
				BGl_makezd2rtl_loadgzd2zzsaw_defsz00(BgL_loc1451z00_7014,
				((BgL_globalz00_bglt) BgL_var1453z00_7015));
		}

	}



/* rtl_loadg? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_loadgzf3zf3zzsaw_defsz00(obj_t BgL_objz00_168)
	{
		{	/* SawMill/defs.sch 699 */
			{	/* SawMill/defs.sch 699 */
				obj_t BgL_classz00_8784;

				BgL_classz00_8784 = BGl_rtl_loadgz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_168))
					{	/* SawMill/defs.sch 699 */
						BgL_objectz00_bglt BgL_arg1801z00_8785;

						BgL_arg1801z00_8785 = (BgL_objectz00_bglt) (BgL_objz00_168);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 699 */
								long BgL_idxz00_8786;

								BgL_idxz00_8786 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8785);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8786 + 3L)) == BgL_classz00_8784);
							}
						else
							{	/* SawMill/defs.sch 699 */
								bool_t BgL_res3062z00_8789;

								{	/* SawMill/defs.sch 699 */
									obj_t BgL_oclassz00_8790;

									{	/* SawMill/defs.sch 699 */
										long BgL_arg1808z00_8791;

										{	/* SawMill/defs.sch 699 */
											long BgL_arg1809z00_8792;

											BgL_arg1809z00_8792 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8785);
											BgL_arg1808z00_8791 = (BgL_arg1809z00_8792 - OBJECT_TYPE);
										}
										BgL_oclassz00_8790 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8791);
									}
									{	/* SawMill/defs.sch 699 */
										bool_t BgL__ortest_1115z00_8793;

										BgL__ortest_1115z00_8793 =
											(BgL_classz00_8784 == BgL_oclassz00_8790);
										if (BgL__ortest_1115z00_8793)
											{	/* SawMill/defs.sch 699 */
												BgL_res3062z00_8789 = BgL__ortest_1115z00_8793;
											}
										else
											{	/* SawMill/defs.sch 699 */
												long BgL_odepthz00_8794;

												BgL_odepthz00_8794 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8790);
												if ((3L < BgL_odepthz00_8794))
													{	/* SawMill/defs.sch 699 */
														obj_t BgL_arg1797z00_8795;

														BgL_arg1797z00_8795 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8790, 3L);
														BgL_res3062z00_8789 =
															(BgL_arg1797z00_8795 == BgL_classz00_8784);
													}
												else
													{	/* SawMill/defs.sch 699 */
														BgL_res3062z00_8789 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3062z00_8789;
							}
					}
				else
					{	/* SawMill/defs.sch 699 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_loadg? */
	obj_t BGl_z62rtl_loadgzf3z91zzsaw_defsz00(obj_t BgL_envz00_7016,
		obj_t BgL_objz00_7017)
	{
		{	/* SawMill/defs.sch 699 */
			return BBOOL(BGl_rtl_loadgzf3zf3zzsaw_defsz00(BgL_objz00_7017));
		}

	}



/* rtl_loadg-nil */
	BGL_EXPORTED_DEF BgL_rtl_loadgz00_bglt
		BGl_rtl_loadgzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 700 */
			{	/* SawMill/defs.sch 700 */
				obj_t BgL_classz00_4907;

				BgL_classz00_4907 = BGl_rtl_loadgz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 700 */
					obj_t BgL__ortest_1117z00_4908;

					BgL__ortest_1117z00_4908 = BGL_CLASS_NIL(BgL_classz00_4907);
					if (CBOOL(BgL__ortest_1117z00_4908))
						{	/* SawMill/defs.sch 700 */
							return ((BgL_rtl_loadgz00_bglt) BgL__ortest_1117z00_4908);
						}
					else
						{	/* SawMill/defs.sch 700 */
							return
								((BgL_rtl_loadgz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4907));
						}
				}
			}
		}

	}



/* &rtl_loadg-nil */
	BgL_rtl_loadgz00_bglt BGl_z62rtl_loadgzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7018)
	{
		{	/* SawMill/defs.sch 700 */
			return BGl_rtl_loadgzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_loadg-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_loadgzd2varzd2zzsaw_defsz00(BgL_rtl_loadgz00_bglt BgL_oz00_169)
	{
		{	/* SawMill/defs.sch 701 */
			return (((BgL_rtl_loadgz00_bglt) COBJECT(BgL_oz00_169))->BgL_varz00);
		}

	}



/* &rtl_loadg-var */
	BgL_globalz00_bglt BGl_z62rtl_loadgzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_7019, obj_t BgL_oz00_7020)
	{
		{	/* SawMill/defs.sch 701 */
			return
				BGl_rtl_loadgzd2varzd2zzsaw_defsz00(
				((BgL_rtl_loadgz00_bglt) BgL_oz00_7020));
		}

	}



/* rtl_loadg-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadgzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_loadgz00_bglt
		BgL_oz00_170, BgL_globalz00_bglt BgL_vz00_171)
	{
		{	/* SawMill/defs.sch 702 */
			return
				((((BgL_rtl_loadgz00_bglt) COBJECT(BgL_oz00_170))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_171), BUNSPEC);
		}

	}



/* &rtl_loadg-var-set! */
	obj_t BGl_z62rtl_loadgzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7021,
		obj_t BgL_oz00_7022, obj_t BgL_vz00_7023)
	{
		{	/* SawMill/defs.sch 702 */
			return
				BGl_rtl_loadgzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadgz00_bglt) BgL_oz00_7022),
				((BgL_globalz00_bglt) BgL_vz00_7023));
		}

	}



/* rtl_loadg-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadgzd2loczd2zzsaw_defsz00(BgL_rtl_loadgz00_bglt BgL_oz00_172)
	{
		{	/* SawMill/defs.sch 703 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_172)))->BgL_locz00);
		}

	}



/* &rtl_loadg-loc */
	obj_t BGl_z62rtl_loadgzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7024,
		obj_t BgL_oz00_7025)
	{
		{	/* SawMill/defs.sch 703 */
			return
				BGl_rtl_loadgzd2loczd2zzsaw_defsz00(
				((BgL_rtl_loadgz00_bglt) BgL_oz00_7025));
		}

	}



/* rtl_loadg-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadgzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadgz00_bglt
		BgL_oz00_173, obj_t BgL_vz00_174)
	{
		{	/* SawMill/defs.sch 704 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_173)))->BgL_locz00) =
				((obj_t) BgL_vz00_174), BUNSPEC);
		}

	}



/* &rtl_loadg-loc-set! */
	obj_t BGl_z62rtl_loadgzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7026,
		obj_t BgL_oz00_7027, obj_t BgL_vz00_7028)
	{
		{	/* SawMill/defs.sch 704 */
			return
				BGl_rtl_loadgzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadgz00_bglt) BgL_oz00_7027), BgL_vz00_7028);
		}

	}



/* make-rtl_loadfun */
	BGL_EXPORTED_DEF BgL_rtl_loadfunz00_bglt
		BGl_makezd2rtl_loadfunzd2zzsaw_defsz00(obj_t BgL_loc1447z00_175,
		BgL_globalz00_bglt BgL_var1448z00_176)
	{
		{	/* SawMill/defs.sch 707 */
			{	/* SawMill/defs.sch 707 */
				BgL_rtl_loadfunz00_bglt BgL_new1391z00_8796;

				{	/* SawMill/defs.sch 707 */
					BgL_rtl_loadfunz00_bglt BgL_new1390z00_8797;

					BgL_new1390z00_8797 =
						((BgL_rtl_loadfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadfunz00_bgl))));
					{	/* SawMill/defs.sch 707 */
						long BgL_arg1844z00_8798;

						BgL_arg1844z00_8798 =
							BGL_CLASS_NUM(BGl_rtl_loadfunz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1390z00_8797), BgL_arg1844z00_8798);
					}
					BgL_new1391z00_8796 = BgL_new1390z00_8797;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1391z00_8796)))->BgL_locz00) =
					((obj_t) BgL_loc1447z00_175), BUNSPEC);
				((((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_new1391z00_8796))->
						BgL_varz00) = ((BgL_globalz00_bglt) BgL_var1448z00_176), BUNSPEC);
				return BgL_new1391z00_8796;
			}
		}

	}



/* &make-rtl_loadfun */
	BgL_rtl_loadfunz00_bglt BGl_z62makezd2rtl_loadfunzb0zzsaw_defsz00(obj_t
		BgL_envz00_7029, obj_t BgL_loc1447z00_7030, obj_t BgL_var1448z00_7031)
	{
		{	/* SawMill/defs.sch 707 */
			return
				BGl_makezd2rtl_loadfunzd2zzsaw_defsz00(BgL_loc1447z00_7030,
				((BgL_globalz00_bglt) BgL_var1448z00_7031));
		}

	}



/* rtl_loadfun? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_loadfunzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_177)
	{
		{	/* SawMill/defs.sch 708 */
			{	/* SawMill/defs.sch 708 */
				obj_t BgL_classz00_8799;

				BgL_classz00_8799 = BGl_rtl_loadfunz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_177))
					{	/* SawMill/defs.sch 708 */
						BgL_objectz00_bglt BgL_arg1801z00_8800;

						BgL_arg1801z00_8800 = (BgL_objectz00_bglt) (BgL_objz00_177);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 708 */
								long BgL_idxz00_8801;

								BgL_idxz00_8801 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8800);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8801 + 3L)) == BgL_classz00_8799);
							}
						else
							{	/* SawMill/defs.sch 708 */
								bool_t BgL_res3063z00_8804;

								{	/* SawMill/defs.sch 708 */
									obj_t BgL_oclassz00_8805;

									{	/* SawMill/defs.sch 708 */
										long BgL_arg1808z00_8806;

										{	/* SawMill/defs.sch 708 */
											long BgL_arg1809z00_8807;

											BgL_arg1809z00_8807 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8800);
											BgL_arg1808z00_8806 = (BgL_arg1809z00_8807 - OBJECT_TYPE);
										}
										BgL_oclassz00_8805 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8806);
									}
									{	/* SawMill/defs.sch 708 */
										bool_t BgL__ortest_1115z00_8808;

										BgL__ortest_1115z00_8808 =
											(BgL_classz00_8799 == BgL_oclassz00_8805);
										if (BgL__ortest_1115z00_8808)
											{	/* SawMill/defs.sch 708 */
												BgL_res3063z00_8804 = BgL__ortest_1115z00_8808;
											}
										else
											{	/* SawMill/defs.sch 708 */
												long BgL_odepthz00_8809;

												BgL_odepthz00_8809 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8805);
												if ((3L < BgL_odepthz00_8809))
													{	/* SawMill/defs.sch 708 */
														obj_t BgL_arg1797z00_8810;

														BgL_arg1797z00_8810 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8805, 3L);
														BgL_res3063z00_8804 =
															(BgL_arg1797z00_8810 == BgL_classz00_8799);
													}
												else
													{	/* SawMill/defs.sch 708 */
														BgL_res3063z00_8804 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3063z00_8804;
							}
					}
				else
					{	/* SawMill/defs.sch 708 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_loadfun? */
	obj_t BGl_z62rtl_loadfunzf3z91zzsaw_defsz00(obj_t BgL_envz00_7032,
		obj_t BgL_objz00_7033)
	{
		{	/* SawMill/defs.sch 708 */
			return BBOOL(BGl_rtl_loadfunzf3zf3zzsaw_defsz00(BgL_objz00_7033));
		}

	}



/* rtl_loadfun-nil */
	BGL_EXPORTED_DEF BgL_rtl_loadfunz00_bglt
		BGl_rtl_loadfunzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 709 */
			{	/* SawMill/defs.sch 709 */
				obj_t BgL_classz00_4946;

				BgL_classz00_4946 = BGl_rtl_loadfunz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 709 */
					obj_t BgL__ortest_1117z00_4947;

					BgL__ortest_1117z00_4947 = BGL_CLASS_NIL(BgL_classz00_4946);
					if (CBOOL(BgL__ortest_1117z00_4947))
						{	/* SawMill/defs.sch 709 */
							return ((BgL_rtl_loadfunz00_bglt) BgL__ortest_1117z00_4947);
						}
					else
						{	/* SawMill/defs.sch 709 */
							return
								((BgL_rtl_loadfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4946));
						}
				}
			}
		}

	}



/* &rtl_loadfun-nil */
	BgL_rtl_loadfunz00_bglt BGl_z62rtl_loadfunzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7034)
	{
		{	/* SawMill/defs.sch 709 */
			return BGl_rtl_loadfunzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_loadfun-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_loadfunzd2varzd2zzsaw_defsz00(BgL_rtl_loadfunz00_bglt BgL_oz00_178)
	{
		{	/* SawMill/defs.sch 710 */
			return (((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_oz00_178))->BgL_varz00);
		}

	}



/* &rtl_loadfun-var */
	BgL_globalz00_bglt BGl_z62rtl_loadfunzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_7035, obj_t BgL_oz00_7036)
	{
		{	/* SawMill/defs.sch 710 */
			return
				BGl_rtl_loadfunzd2varzd2zzsaw_defsz00(
				((BgL_rtl_loadfunz00_bglt) BgL_oz00_7036));
		}

	}



/* rtl_loadfun-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadfunzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_loadfunz00_bglt
		BgL_oz00_179, BgL_globalz00_bglt BgL_vz00_180)
	{
		{	/* SawMill/defs.sch 711 */
			return
				((((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_oz00_179))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_180), BUNSPEC);
		}

	}



/* &rtl_loadfun-var-set! */
	obj_t BGl_z62rtl_loadfunzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7037,
		obj_t BgL_oz00_7038, obj_t BgL_vz00_7039)
	{
		{	/* SawMill/defs.sch 711 */
			return
				BGl_rtl_loadfunzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadfunz00_bglt) BgL_oz00_7038),
				((BgL_globalz00_bglt) BgL_vz00_7039));
		}

	}



/* rtl_loadfun-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadfunzd2loczd2zzsaw_defsz00(BgL_rtl_loadfunz00_bglt BgL_oz00_181)
	{
		{	/* SawMill/defs.sch 712 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_181)))->BgL_locz00);
		}

	}



/* &rtl_loadfun-loc */
	obj_t BGl_z62rtl_loadfunzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7040,
		obj_t BgL_oz00_7041)
	{
		{	/* SawMill/defs.sch 712 */
			return
				BGl_rtl_loadfunzd2loczd2zzsaw_defsz00(
				((BgL_rtl_loadfunz00_bglt) BgL_oz00_7041));
		}

	}



/* rtl_loadfun-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadfunzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadfunz00_bglt
		BgL_oz00_182, obj_t BgL_vz00_183)
	{
		{	/* SawMill/defs.sch 713 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_182)))->BgL_locz00) =
				((obj_t) BgL_vz00_183), BUNSPEC);
		}

	}



/* &rtl_loadfun-loc-set! */
	obj_t BGl_z62rtl_loadfunzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7042,
		obj_t BgL_oz00_7043, obj_t BgL_vz00_7044)
	{
		{	/* SawMill/defs.sch 713 */
			return
				BGl_rtl_loadfunzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadfunz00_bglt) BgL_oz00_7043), BgL_vz00_7044);
		}

	}



/* make-rtl_globalref */
	BGL_EXPORTED_DEF BgL_rtl_globalrefz00_bglt
		BGl_makezd2rtl_globalrefzd2zzsaw_defsz00(obj_t BgL_loc1443z00_184,
		BgL_globalz00_bglt BgL_var1445z00_185)
	{
		{	/* SawMill/defs.sch 716 */
			{	/* SawMill/defs.sch 716 */
				BgL_rtl_globalrefz00_bglt BgL_new1393z00_8811;

				{	/* SawMill/defs.sch 716 */
					BgL_rtl_globalrefz00_bglt BgL_new1392z00_8812;

					BgL_new1392z00_8812 =
						((BgL_rtl_globalrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_globalrefz00_bgl))));
					{	/* SawMill/defs.sch 716 */
						long BgL_arg1845z00_8813;

						BgL_arg1845z00_8813 =
							BGL_CLASS_NUM(BGl_rtl_globalrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1392z00_8812), BgL_arg1845z00_8813);
					}
					BgL_new1393z00_8811 = BgL_new1392z00_8812;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1393z00_8811)))->BgL_locz00) =
					((obj_t) BgL_loc1443z00_184), BUNSPEC);
				((((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_new1393z00_8811))->
						BgL_varz00) = ((BgL_globalz00_bglt) BgL_var1445z00_185), BUNSPEC);
				return BgL_new1393z00_8811;
			}
		}

	}



/* &make-rtl_globalref */
	BgL_rtl_globalrefz00_bglt BGl_z62makezd2rtl_globalrefzb0zzsaw_defsz00(obj_t
		BgL_envz00_7045, obj_t BgL_loc1443z00_7046, obj_t BgL_var1445z00_7047)
	{
		{	/* SawMill/defs.sch 716 */
			return
				BGl_makezd2rtl_globalrefzd2zzsaw_defsz00(BgL_loc1443z00_7046,
				((BgL_globalz00_bglt) BgL_var1445z00_7047));
		}

	}



/* rtl_globalref? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_globalrefzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_186)
	{
		{	/* SawMill/defs.sch 717 */
			{	/* SawMill/defs.sch 717 */
				obj_t BgL_classz00_8814;

				BgL_classz00_8814 = BGl_rtl_globalrefz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_186))
					{	/* SawMill/defs.sch 717 */
						BgL_objectz00_bglt BgL_arg1801z00_8815;

						BgL_arg1801z00_8815 = (BgL_objectz00_bglt) (BgL_objz00_186);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 717 */
								long BgL_idxz00_8816;

								BgL_idxz00_8816 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8815);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8816 + 3L)) == BgL_classz00_8814);
							}
						else
							{	/* SawMill/defs.sch 717 */
								bool_t BgL_res3064z00_8819;

								{	/* SawMill/defs.sch 717 */
									obj_t BgL_oclassz00_8820;

									{	/* SawMill/defs.sch 717 */
										long BgL_arg1808z00_8821;

										{	/* SawMill/defs.sch 717 */
											long BgL_arg1809z00_8822;

											BgL_arg1809z00_8822 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8815);
											BgL_arg1808z00_8821 = (BgL_arg1809z00_8822 - OBJECT_TYPE);
										}
										BgL_oclassz00_8820 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8821);
									}
									{	/* SawMill/defs.sch 717 */
										bool_t BgL__ortest_1115z00_8823;

										BgL__ortest_1115z00_8823 =
											(BgL_classz00_8814 == BgL_oclassz00_8820);
										if (BgL__ortest_1115z00_8823)
											{	/* SawMill/defs.sch 717 */
												BgL_res3064z00_8819 = BgL__ortest_1115z00_8823;
											}
										else
											{	/* SawMill/defs.sch 717 */
												long BgL_odepthz00_8824;

												BgL_odepthz00_8824 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8820);
												if ((3L < BgL_odepthz00_8824))
													{	/* SawMill/defs.sch 717 */
														obj_t BgL_arg1797z00_8825;

														BgL_arg1797z00_8825 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8820, 3L);
														BgL_res3064z00_8819 =
															(BgL_arg1797z00_8825 == BgL_classz00_8814);
													}
												else
													{	/* SawMill/defs.sch 717 */
														BgL_res3064z00_8819 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3064z00_8819;
							}
					}
				else
					{	/* SawMill/defs.sch 717 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_globalref? */
	obj_t BGl_z62rtl_globalrefzf3z91zzsaw_defsz00(obj_t BgL_envz00_7048,
		obj_t BgL_objz00_7049)
	{
		{	/* SawMill/defs.sch 717 */
			return BBOOL(BGl_rtl_globalrefzf3zf3zzsaw_defsz00(BgL_objz00_7049));
		}

	}



/* rtl_globalref-nil */
	BGL_EXPORTED_DEF BgL_rtl_globalrefz00_bglt
		BGl_rtl_globalrefzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 718 */
			{	/* SawMill/defs.sch 718 */
				obj_t BgL_classz00_4985;

				BgL_classz00_4985 = BGl_rtl_globalrefz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 718 */
					obj_t BgL__ortest_1117z00_4986;

					BgL__ortest_1117z00_4986 = BGL_CLASS_NIL(BgL_classz00_4985);
					if (CBOOL(BgL__ortest_1117z00_4986))
						{	/* SawMill/defs.sch 718 */
							return ((BgL_rtl_globalrefz00_bglt) BgL__ortest_1117z00_4986);
						}
					else
						{	/* SawMill/defs.sch 718 */
							return
								((BgL_rtl_globalrefz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4985));
						}
				}
			}
		}

	}



/* &rtl_globalref-nil */
	BgL_rtl_globalrefz00_bglt BGl_z62rtl_globalrefzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7050)
	{
		{	/* SawMill/defs.sch 718 */
			return BGl_rtl_globalrefzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_globalref-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_globalrefzd2varzd2zzsaw_defsz00(BgL_rtl_globalrefz00_bglt
		BgL_oz00_187)
	{
		{	/* SawMill/defs.sch 719 */
			return (((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_oz00_187))->BgL_varz00);
		}

	}



/* &rtl_globalref-var */
	BgL_globalz00_bglt BGl_z62rtl_globalrefzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_7051, obj_t BgL_oz00_7052)
	{
		{	/* SawMill/defs.sch 719 */
			return
				BGl_rtl_globalrefzd2varzd2zzsaw_defsz00(
				((BgL_rtl_globalrefz00_bglt) BgL_oz00_7052));
		}

	}



/* rtl_globalref-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_globalrefzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_globalrefz00_bglt
		BgL_oz00_188, BgL_globalz00_bglt BgL_vz00_189)
	{
		{	/* SawMill/defs.sch 720 */
			return
				((((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_oz00_188))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_189), BUNSPEC);
		}

	}



/* &rtl_globalref-var-set! */
	obj_t BGl_z62rtl_globalrefzd2varzd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7053, obj_t BgL_oz00_7054, obj_t BgL_vz00_7055)
	{
		{	/* SawMill/defs.sch 720 */
			return
				BGl_rtl_globalrefzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_globalrefz00_bglt) BgL_oz00_7054),
				((BgL_globalz00_bglt) BgL_vz00_7055));
		}

	}



/* rtl_globalref-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_globalrefzd2loczd2zzsaw_defsz00(BgL_rtl_globalrefz00_bglt
		BgL_oz00_190)
	{
		{	/* SawMill/defs.sch 721 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_190)))->BgL_locz00);
		}

	}



/* &rtl_globalref-loc */
	obj_t BGl_z62rtl_globalrefzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7056,
		obj_t BgL_oz00_7057)
	{
		{	/* SawMill/defs.sch 721 */
			return
				BGl_rtl_globalrefzd2loczd2zzsaw_defsz00(
				((BgL_rtl_globalrefz00_bglt) BgL_oz00_7057));
		}

	}



/* rtl_globalref-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_globalrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_globalrefz00_bglt
		BgL_oz00_191, obj_t BgL_vz00_192)
	{
		{	/* SawMill/defs.sch 722 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_191)))->BgL_locz00) =
				((obj_t) BgL_vz00_192), BUNSPEC);
		}

	}



/* &rtl_globalref-loc-set! */
	obj_t BGl_z62rtl_globalrefzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7058, obj_t BgL_oz00_7059, obj_t BgL_vz00_7060)
	{
		{	/* SawMill/defs.sch 722 */
			return
				BGl_rtl_globalrefzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_globalrefz00_bglt) BgL_oz00_7059), BgL_vz00_7060);
		}

	}



/* make-rtl_getfield */
	BGL_EXPORTED_DEF BgL_rtl_getfieldz00_bglt
		BGl_makezd2rtl_getfieldzd2zzsaw_defsz00(obj_t BgL_loc1438z00_193,
		obj_t BgL_name1439z00_194, BgL_typez00_bglt BgL_objtype1440z00_195,
		BgL_typez00_bglt BgL_type1441z00_196)
	{
		{	/* SawMill/defs.sch 725 */
			{	/* SawMill/defs.sch 725 */
				BgL_rtl_getfieldz00_bglt BgL_new1395z00_8826;

				{	/* SawMill/defs.sch 725 */
					BgL_rtl_getfieldz00_bglt BgL_new1394z00_8827;

					BgL_new1394z00_8827 =
						((BgL_rtl_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_getfieldz00_bgl))));
					{	/* SawMill/defs.sch 725 */
						long BgL_arg1846z00_8828;

						BgL_arg1846z00_8828 =
							BGL_CLASS_NUM(BGl_rtl_getfieldz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1394z00_8827), BgL_arg1846z00_8828);
					}
					BgL_new1395z00_8826 = BgL_new1394z00_8827;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1395z00_8826)))->BgL_locz00) =
					((obj_t) BgL_loc1438z00_193), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1395z00_8826))->
						BgL_namez00) = ((obj_t) BgL_name1439z00_194), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1395z00_8826))->
						BgL_objtypez00) =
					((BgL_typez00_bglt) BgL_objtype1440z00_195), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1395z00_8826))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1441z00_196), BUNSPEC);
				return BgL_new1395z00_8826;
			}
		}

	}



/* &make-rtl_getfield */
	BgL_rtl_getfieldz00_bglt BGl_z62makezd2rtl_getfieldzb0zzsaw_defsz00(obj_t
		BgL_envz00_7061, obj_t BgL_loc1438z00_7062, obj_t BgL_name1439z00_7063,
		obj_t BgL_objtype1440z00_7064, obj_t BgL_type1441z00_7065)
	{
		{	/* SawMill/defs.sch 725 */
			return
				BGl_makezd2rtl_getfieldzd2zzsaw_defsz00(BgL_loc1438z00_7062,
				BgL_name1439z00_7063, ((BgL_typez00_bglt) BgL_objtype1440z00_7064),
				((BgL_typez00_bglt) BgL_type1441z00_7065));
		}

	}



/* rtl_getfield? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_getfieldzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_197)
	{
		{	/* SawMill/defs.sch 726 */
			{	/* SawMill/defs.sch 726 */
				obj_t BgL_classz00_8829;

				BgL_classz00_8829 = BGl_rtl_getfieldz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_197))
					{	/* SawMill/defs.sch 726 */
						BgL_objectz00_bglt BgL_arg1801z00_8830;

						BgL_arg1801z00_8830 = (BgL_objectz00_bglt) (BgL_objz00_197);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 726 */
								long BgL_idxz00_8831;

								BgL_idxz00_8831 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8830);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8831 + 3L)) == BgL_classz00_8829);
							}
						else
							{	/* SawMill/defs.sch 726 */
								bool_t BgL_res3065z00_8834;

								{	/* SawMill/defs.sch 726 */
									obj_t BgL_oclassz00_8835;

									{	/* SawMill/defs.sch 726 */
										long BgL_arg1808z00_8836;

										{	/* SawMill/defs.sch 726 */
											long BgL_arg1809z00_8837;

											BgL_arg1809z00_8837 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8830);
											BgL_arg1808z00_8836 = (BgL_arg1809z00_8837 - OBJECT_TYPE);
										}
										BgL_oclassz00_8835 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8836);
									}
									{	/* SawMill/defs.sch 726 */
										bool_t BgL__ortest_1115z00_8838;

										BgL__ortest_1115z00_8838 =
											(BgL_classz00_8829 == BgL_oclassz00_8835);
										if (BgL__ortest_1115z00_8838)
											{	/* SawMill/defs.sch 726 */
												BgL_res3065z00_8834 = BgL__ortest_1115z00_8838;
											}
										else
											{	/* SawMill/defs.sch 726 */
												long BgL_odepthz00_8839;

												BgL_odepthz00_8839 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8835);
												if ((3L < BgL_odepthz00_8839))
													{	/* SawMill/defs.sch 726 */
														obj_t BgL_arg1797z00_8840;

														BgL_arg1797z00_8840 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8835, 3L);
														BgL_res3065z00_8834 =
															(BgL_arg1797z00_8840 == BgL_classz00_8829);
													}
												else
													{	/* SawMill/defs.sch 726 */
														BgL_res3065z00_8834 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3065z00_8834;
							}
					}
				else
					{	/* SawMill/defs.sch 726 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_getfield? */
	obj_t BGl_z62rtl_getfieldzf3z91zzsaw_defsz00(obj_t BgL_envz00_7066,
		obj_t BgL_objz00_7067)
	{
		{	/* SawMill/defs.sch 726 */
			return BBOOL(BGl_rtl_getfieldzf3zf3zzsaw_defsz00(BgL_objz00_7067));
		}

	}



/* rtl_getfield-nil */
	BGL_EXPORTED_DEF BgL_rtl_getfieldz00_bglt
		BGl_rtl_getfieldzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 727 */
			{	/* SawMill/defs.sch 727 */
				obj_t BgL_classz00_5024;

				BgL_classz00_5024 = BGl_rtl_getfieldz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 727 */
					obj_t BgL__ortest_1117z00_5025;

					BgL__ortest_1117z00_5025 = BGL_CLASS_NIL(BgL_classz00_5024);
					if (CBOOL(BgL__ortest_1117z00_5025))
						{	/* SawMill/defs.sch 727 */
							return ((BgL_rtl_getfieldz00_bglt) BgL__ortest_1117z00_5025);
						}
					else
						{	/* SawMill/defs.sch 727 */
							return
								((BgL_rtl_getfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5024));
						}
				}
			}
		}

	}



/* &rtl_getfield-nil */
	BgL_rtl_getfieldz00_bglt BGl_z62rtl_getfieldzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7068)
	{
		{	/* SawMill/defs.sch 727 */
			return BGl_rtl_getfieldzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_getfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_getfieldzd2typezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_198)
	{
		{	/* SawMill/defs.sch 728 */
			return (((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_198))->BgL_typez00);
		}

	}



/* &rtl_getfield-type */
	BgL_typez00_bglt BGl_z62rtl_getfieldzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7069, obj_t BgL_oz00_7070)
	{
		{	/* SawMill/defs.sch 728 */
			return
				BGl_rtl_getfieldzd2typezd2zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7070));
		}

	}



/* rtl_getfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_199, BgL_typez00_bglt BgL_vz00_200)
	{
		{	/* SawMill/defs.sch 729 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_199))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_200), BUNSPEC);
		}

	}



/* &rtl_getfield-type-set! */
	obj_t BGl_z62rtl_getfieldzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7071, obj_t BgL_oz00_7072, obj_t BgL_vz00_7073)
	{
		{	/* SawMill/defs.sch 729 */
			return
				BGl_rtl_getfieldzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7072),
				((BgL_typez00_bglt) BgL_vz00_7073));
		}

	}



/* rtl_getfield-objtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_getfieldzd2objtypezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_201)
	{
		{	/* SawMill/defs.sch 730 */
			return
				(((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_201))->BgL_objtypez00);
		}

	}



/* &rtl_getfield-objtype */
	BgL_typez00_bglt BGl_z62rtl_getfieldzd2objtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7074, obj_t BgL_oz00_7075)
	{
		{	/* SawMill/defs.sch 730 */
			return
				BGl_rtl_getfieldzd2objtypezd2zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7075));
		}

	}



/* rtl_getfield-objtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2objtypezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_202, BgL_typez00_bglt BgL_vz00_203)
	{
		{	/* SawMill/defs.sch 731 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_202))->BgL_objtypez00) =
				((BgL_typez00_bglt) BgL_vz00_203), BUNSPEC);
		}

	}



/* &rtl_getfield-objtype-set! */
	obj_t BGl_z62rtl_getfieldzd2objtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7076, obj_t BgL_oz00_7077, obj_t BgL_vz00_7078)
	{
		{	/* SawMill/defs.sch 731 */
			return
				BGl_rtl_getfieldzd2objtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7077),
				((BgL_typez00_bglt) BgL_vz00_7078));
		}

	}



/* rtl_getfield-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2namezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_204)
	{
		{	/* SawMill/defs.sch 732 */
			return (((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_204))->BgL_namez00);
		}

	}



/* &rtl_getfield-name */
	obj_t BGl_z62rtl_getfieldzd2namezb0zzsaw_defsz00(obj_t BgL_envz00_7079,
		obj_t BgL_oz00_7080)
	{
		{	/* SawMill/defs.sch 732 */
			return
				BGl_rtl_getfieldzd2namezd2zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7080));
		}

	}



/* rtl_getfield-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2namezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_205, obj_t BgL_vz00_206)
	{
		{	/* SawMill/defs.sch 733 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_205))->BgL_namez00) =
				((obj_t) BgL_vz00_206), BUNSPEC);
		}

	}



/* &rtl_getfield-name-set! */
	obj_t BGl_z62rtl_getfieldzd2namezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7081, obj_t BgL_oz00_7082, obj_t BgL_vz00_7083)
	{
		{	/* SawMill/defs.sch 733 */
			return
				BGl_rtl_getfieldzd2namezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7082), BgL_vz00_7083);
		}

	}



/* rtl_getfield-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2loczd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_207)
	{
		{	/* SawMill/defs.sch 734 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_207)))->BgL_locz00);
		}

	}



/* &rtl_getfield-loc */
	obj_t BGl_z62rtl_getfieldzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7084,
		obj_t BgL_oz00_7085)
	{
		{	/* SawMill/defs.sch 734 */
			return
				BGl_rtl_getfieldzd2loczd2zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7085));
		}

	}



/* rtl_getfield-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_208, obj_t BgL_vz00_209)
	{
		{	/* SawMill/defs.sch 735 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_208)))->BgL_locz00) =
				((obj_t) BgL_vz00_209), BUNSPEC);
		}

	}



/* &rtl_getfield-loc-set! */
	obj_t BGl_z62rtl_getfieldzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7086, obj_t BgL_oz00_7087, obj_t BgL_vz00_7088)
	{
		{	/* SawMill/defs.sch 735 */
			return
				BGl_rtl_getfieldzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7087), BgL_vz00_7088);
		}

	}



/* make-rtl_valloc */
	BGL_EXPORTED_DEF BgL_rtl_vallocz00_bglt
		BGl_makezd2rtl_valloczd2zzsaw_defsz00(obj_t BgL_loc1432z00_210,
		BgL_typez00_bglt BgL_type1433z00_211, BgL_typez00_bglt BgL_vtype1434z00_212)
	{
		{	/* SawMill/defs.sch 738 */
			{	/* SawMill/defs.sch 738 */
				BgL_rtl_vallocz00_bglt BgL_new1397z00_8841;

				{	/* SawMill/defs.sch 738 */
					BgL_rtl_vallocz00_bglt BgL_new1396z00_8842;

					BgL_new1396z00_8842 =
						((BgL_rtl_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vallocz00_bgl))));
					{	/* SawMill/defs.sch 738 */
						long BgL_arg1848z00_8843;

						BgL_arg1848z00_8843 = BGL_CLASS_NUM(BGl_rtl_vallocz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1396z00_8842), BgL_arg1848z00_8843);
					}
					BgL_new1397z00_8841 = BgL_new1396z00_8842;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1397z00_8841)))->BgL_locz00) =
					((obj_t) BgL_loc1432z00_210), BUNSPEC);
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1397z00_8841))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1433z00_211), BUNSPEC);
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1397z00_8841))->
						BgL_vtypez00) = ((BgL_typez00_bglt) BgL_vtype1434z00_212), BUNSPEC);
				return BgL_new1397z00_8841;
			}
		}

	}



/* &make-rtl_valloc */
	BgL_rtl_vallocz00_bglt BGl_z62makezd2rtl_valloczb0zzsaw_defsz00(obj_t
		BgL_envz00_7089, obj_t BgL_loc1432z00_7090, obj_t BgL_type1433z00_7091,
		obj_t BgL_vtype1434z00_7092)
	{
		{	/* SawMill/defs.sch 738 */
			return
				BGl_makezd2rtl_valloczd2zzsaw_defsz00(BgL_loc1432z00_7090,
				((BgL_typez00_bglt) BgL_type1433z00_7091),
				((BgL_typez00_bglt) BgL_vtype1434z00_7092));
		}

	}



/* rtl_valloc? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_valloczf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_213)
	{
		{	/* SawMill/defs.sch 739 */
			{	/* SawMill/defs.sch 739 */
				obj_t BgL_classz00_8844;

				BgL_classz00_8844 = BGl_rtl_vallocz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_213))
					{	/* SawMill/defs.sch 739 */
						BgL_objectz00_bglt BgL_arg1801z00_8845;

						BgL_arg1801z00_8845 = (BgL_objectz00_bglt) (BgL_objz00_213);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 739 */
								long BgL_idxz00_8846;

								BgL_idxz00_8846 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8845);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8846 + 3L)) == BgL_classz00_8844);
							}
						else
							{	/* SawMill/defs.sch 739 */
								bool_t BgL_res3066z00_8849;

								{	/* SawMill/defs.sch 739 */
									obj_t BgL_oclassz00_8850;

									{	/* SawMill/defs.sch 739 */
										long BgL_arg1808z00_8851;

										{	/* SawMill/defs.sch 739 */
											long BgL_arg1809z00_8852;

											BgL_arg1809z00_8852 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8845);
											BgL_arg1808z00_8851 = (BgL_arg1809z00_8852 - OBJECT_TYPE);
										}
										BgL_oclassz00_8850 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8851);
									}
									{	/* SawMill/defs.sch 739 */
										bool_t BgL__ortest_1115z00_8853;

										BgL__ortest_1115z00_8853 =
											(BgL_classz00_8844 == BgL_oclassz00_8850);
										if (BgL__ortest_1115z00_8853)
											{	/* SawMill/defs.sch 739 */
												BgL_res3066z00_8849 = BgL__ortest_1115z00_8853;
											}
										else
											{	/* SawMill/defs.sch 739 */
												long BgL_odepthz00_8854;

												BgL_odepthz00_8854 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8850);
												if ((3L < BgL_odepthz00_8854))
													{	/* SawMill/defs.sch 739 */
														obj_t BgL_arg1797z00_8855;

														BgL_arg1797z00_8855 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8850, 3L);
														BgL_res3066z00_8849 =
															(BgL_arg1797z00_8855 == BgL_classz00_8844);
													}
												else
													{	/* SawMill/defs.sch 739 */
														BgL_res3066z00_8849 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3066z00_8849;
							}
					}
				else
					{	/* SawMill/defs.sch 739 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_valloc? */
	obj_t BGl_z62rtl_valloczf3z91zzsaw_defsz00(obj_t BgL_envz00_7093,
		obj_t BgL_objz00_7094)
	{
		{	/* SawMill/defs.sch 739 */
			return BBOOL(BGl_rtl_valloczf3zf3zzsaw_defsz00(BgL_objz00_7094));
		}

	}



/* rtl_valloc-nil */
	BGL_EXPORTED_DEF BgL_rtl_vallocz00_bglt
		BGl_rtl_valloczd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 740 */
			{	/* SawMill/defs.sch 740 */
				obj_t BgL_classz00_5063;

				BgL_classz00_5063 = BGl_rtl_vallocz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 740 */
					obj_t BgL__ortest_1117z00_5064;

					BgL__ortest_1117z00_5064 = BGL_CLASS_NIL(BgL_classz00_5063);
					if (CBOOL(BgL__ortest_1117z00_5064))
						{	/* SawMill/defs.sch 740 */
							return ((BgL_rtl_vallocz00_bglt) BgL__ortest_1117z00_5064);
						}
					else
						{	/* SawMill/defs.sch 740 */
							return
								((BgL_rtl_vallocz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5063));
						}
				}
			}
		}

	}



/* &rtl_valloc-nil */
	BgL_rtl_vallocz00_bglt BGl_z62rtl_valloczd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7095)
	{
		{	/* SawMill/defs.sch 740 */
			return BGl_rtl_valloczd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_valloc-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_valloczd2vtypezd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt BgL_oz00_214)
	{
		{	/* SawMill/defs.sch 741 */
			return (((BgL_rtl_vallocz00_bglt) COBJECT(BgL_oz00_214))->BgL_vtypez00);
		}

	}



/* &rtl_valloc-vtype */
	BgL_typez00_bglt BGl_z62rtl_valloczd2vtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7096, obj_t BgL_oz00_7097)
	{
		{	/* SawMill/defs.sch 741 */
			return
				BGl_rtl_valloczd2vtypezd2zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_7097));
		}

	}



/* rtl_valloc-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_valloczd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt
		BgL_oz00_215, BgL_typez00_bglt BgL_vz00_216)
	{
		{	/* SawMill/defs.sch 742 */
			return
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_oz00_215))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_216), BUNSPEC);
		}

	}



/* &rtl_valloc-vtype-set! */
	obj_t BGl_z62rtl_valloczd2vtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7098, obj_t BgL_oz00_7099, obj_t BgL_vz00_7100)
	{
		{	/* SawMill/defs.sch 742 */
			return
				BGl_rtl_valloczd2vtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_7099),
				((BgL_typez00_bglt) BgL_vz00_7100));
		}

	}



/* rtl_valloc-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_valloczd2typezd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt BgL_oz00_217)
	{
		{	/* SawMill/defs.sch 743 */
			return (((BgL_rtl_vallocz00_bglt) COBJECT(BgL_oz00_217))->BgL_typez00);
		}

	}



/* &rtl_valloc-type */
	BgL_typez00_bglt BGl_z62rtl_valloczd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7101, obj_t BgL_oz00_7102)
	{
		{	/* SawMill/defs.sch 743 */
			return
				BGl_rtl_valloczd2typezd2zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_7102));
		}

	}



/* rtl_valloc-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_valloczd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt
		BgL_oz00_218, BgL_typez00_bglt BgL_vz00_219)
	{
		{	/* SawMill/defs.sch 744 */
			return
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_oz00_218))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_219), BUNSPEC);
		}

	}



/* &rtl_valloc-type-set! */
	obj_t BGl_z62rtl_valloczd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7103,
		obj_t BgL_oz00_7104, obj_t BgL_vz00_7105)
	{
		{	/* SawMill/defs.sch 744 */
			return
				BGl_rtl_valloczd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_7104),
				((BgL_typez00_bglt) BgL_vz00_7105));
		}

	}



/* rtl_valloc-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_valloczd2loczd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt BgL_oz00_220)
	{
		{	/* SawMill/defs.sch 745 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_220)))->BgL_locz00);
		}

	}



/* &rtl_valloc-loc */
	obj_t BGl_z62rtl_valloczd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7106,
		obj_t BgL_oz00_7107)
	{
		{	/* SawMill/defs.sch 745 */
			return
				BGl_rtl_valloczd2loczd2zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_7107));
		}

	}



/* rtl_valloc-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_valloczd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt
		BgL_oz00_221, obj_t BgL_vz00_222)
	{
		{	/* SawMill/defs.sch 746 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_221)))->BgL_locz00) =
				((obj_t) BgL_vz00_222), BUNSPEC);
		}

	}



/* &rtl_valloc-loc-set! */
	obj_t BGl_z62rtl_valloczd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7108,
		obj_t BgL_oz00_7109, obj_t BgL_vz00_7110)
	{
		{	/* SawMill/defs.sch 746 */
			return
				BGl_rtl_valloczd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_7109), BgL_vz00_7110);
		}

	}



/* make-rtl_vref */
	BGL_EXPORTED_DEF BgL_rtl_vrefz00_bglt
		BGl_makezd2rtl_vrefzd2zzsaw_defsz00(obj_t BgL_loc1428z00_223,
		BgL_typez00_bglt BgL_type1429z00_224, BgL_typez00_bglt BgL_vtype1430z00_225)
	{
		{	/* SawMill/defs.sch 749 */
			{	/* SawMill/defs.sch 749 */
				BgL_rtl_vrefz00_bglt BgL_new1399z00_8856;

				{	/* SawMill/defs.sch 749 */
					BgL_rtl_vrefz00_bglt BgL_new1398z00_8857;

					BgL_new1398z00_8857 =
						((BgL_rtl_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vrefz00_bgl))));
					{	/* SawMill/defs.sch 749 */
						long BgL_arg1850z00_8858;

						BgL_arg1850z00_8858 = BGL_CLASS_NUM(BGl_rtl_vrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1398z00_8857), BgL_arg1850z00_8858);
					}
					BgL_new1399z00_8856 = BgL_new1398z00_8857;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1399z00_8856)))->BgL_locz00) =
					((obj_t) BgL_loc1428z00_223), BUNSPEC);
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1399z00_8856))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1429z00_224), BUNSPEC);
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1399z00_8856))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1430z00_225), BUNSPEC);
				return BgL_new1399z00_8856;
			}
		}

	}



/* &make-rtl_vref */
	BgL_rtl_vrefz00_bglt BGl_z62makezd2rtl_vrefzb0zzsaw_defsz00(obj_t
		BgL_envz00_7111, obj_t BgL_loc1428z00_7112, obj_t BgL_type1429z00_7113,
		obj_t BgL_vtype1430z00_7114)
	{
		{	/* SawMill/defs.sch 749 */
			return
				BGl_makezd2rtl_vrefzd2zzsaw_defsz00(BgL_loc1428z00_7112,
				((BgL_typez00_bglt) BgL_type1429z00_7113),
				((BgL_typez00_bglt) BgL_vtype1430z00_7114));
		}

	}



/* rtl_vref? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_vrefzf3zf3zzsaw_defsz00(obj_t BgL_objz00_226)
	{
		{	/* SawMill/defs.sch 750 */
			{	/* SawMill/defs.sch 750 */
				obj_t BgL_classz00_8859;

				BgL_classz00_8859 = BGl_rtl_vrefz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_226))
					{	/* SawMill/defs.sch 750 */
						BgL_objectz00_bglt BgL_arg1801z00_8860;

						BgL_arg1801z00_8860 = (BgL_objectz00_bglt) (BgL_objz00_226);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 750 */
								long BgL_idxz00_8861;

								BgL_idxz00_8861 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8860);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8861 + 3L)) == BgL_classz00_8859);
							}
						else
							{	/* SawMill/defs.sch 750 */
								bool_t BgL_res3067z00_8864;

								{	/* SawMill/defs.sch 750 */
									obj_t BgL_oclassz00_8865;

									{	/* SawMill/defs.sch 750 */
										long BgL_arg1808z00_8866;

										{	/* SawMill/defs.sch 750 */
											long BgL_arg1809z00_8867;

											BgL_arg1809z00_8867 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8860);
											BgL_arg1808z00_8866 = (BgL_arg1809z00_8867 - OBJECT_TYPE);
										}
										BgL_oclassz00_8865 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8866);
									}
									{	/* SawMill/defs.sch 750 */
										bool_t BgL__ortest_1115z00_8868;

										BgL__ortest_1115z00_8868 =
											(BgL_classz00_8859 == BgL_oclassz00_8865);
										if (BgL__ortest_1115z00_8868)
											{	/* SawMill/defs.sch 750 */
												BgL_res3067z00_8864 = BgL__ortest_1115z00_8868;
											}
										else
											{	/* SawMill/defs.sch 750 */
												long BgL_odepthz00_8869;

												BgL_odepthz00_8869 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8865);
												if ((3L < BgL_odepthz00_8869))
													{	/* SawMill/defs.sch 750 */
														obj_t BgL_arg1797z00_8870;

														BgL_arg1797z00_8870 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8865, 3L);
														BgL_res3067z00_8864 =
															(BgL_arg1797z00_8870 == BgL_classz00_8859);
													}
												else
													{	/* SawMill/defs.sch 750 */
														BgL_res3067z00_8864 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3067z00_8864;
							}
					}
				else
					{	/* SawMill/defs.sch 750 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_vref? */
	obj_t BGl_z62rtl_vrefzf3z91zzsaw_defsz00(obj_t BgL_envz00_7115,
		obj_t BgL_objz00_7116)
	{
		{	/* SawMill/defs.sch 750 */
			return BBOOL(BGl_rtl_vrefzf3zf3zzsaw_defsz00(BgL_objz00_7116));
		}

	}



/* rtl_vref-nil */
	BGL_EXPORTED_DEF BgL_rtl_vrefz00_bglt BGl_rtl_vrefzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 751 */
			{	/* SawMill/defs.sch 751 */
				obj_t BgL_classz00_5102;

				BgL_classz00_5102 = BGl_rtl_vrefz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 751 */
					obj_t BgL__ortest_1117z00_5103;

					BgL__ortest_1117z00_5103 = BGL_CLASS_NIL(BgL_classz00_5102);
					if (CBOOL(BgL__ortest_1117z00_5103))
						{	/* SawMill/defs.sch 751 */
							return ((BgL_rtl_vrefz00_bglt) BgL__ortest_1117z00_5103);
						}
					else
						{	/* SawMill/defs.sch 751 */
							return
								((BgL_rtl_vrefz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5102));
						}
				}
			}
		}

	}



/* &rtl_vref-nil */
	BgL_rtl_vrefz00_bglt BGl_z62rtl_vrefzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7117)
	{
		{	/* SawMill/defs.sch 751 */
			return BGl_rtl_vrefzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_vref-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vrefzd2vtypezd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt BgL_oz00_227)
	{
		{	/* SawMill/defs.sch 752 */
			return (((BgL_rtl_vrefz00_bglt) COBJECT(BgL_oz00_227))->BgL_vtypez00);
		}

	}



/* &rtl_vref-vtype */
	BgL_typez00_bglt BGl_z62rtl_vrefzd2vtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7118, obj_t BgL_oz00_7119)
	{
		{	/* SawMill/defs.sch 752 */
			return
				BGl_rtl_vrefzd2vtypezd2zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_7119));
		}

	}



/* rtl_vref-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vrefzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt
		BgL_oz00_228, BgL_typez00_bglt BgL_vz00_229)
	{
		{	/* SawMill/defs.sch 753 */
			return
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_oz00_228))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_229), BUNSPEC);
		}

	}



/* &rtl_vref-vtype-set! */
	obj_t BGl_z62rtl_vrefzd2vtypezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7120,
		obj_t BgL_oz00_7121, obj_t BgL_vz00_7122)
	{
		{	/* SawMill/defs.sch 753 */
			return
				BGl_rtl_vrefzd2vtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_7121),
				((BgL_typez00_bglt) BgL_vz00_7122));
		}

	}



/* rtl_vref-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vrefzd2typezd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt BgL_oz00_230)
	{
		{	/* SawMill/defs.sch 754 */
			return (((BgL_rtl_vrefz00_bglt) COBJECT(BgL_oz00_230))->BgL_typez00);
		}

	}



/* &rtl_vref-type */
	BgL_typez00_bglt BGl_z62rtl_vrefzd2typezb0zzsaw_defsz00(obj_t BgL_envz00_7123,
		obj_t BgL_oz00_7124)
	{
		{	/* SawMill/defs.sch 754 */
			return
				BGl_rtl_vrefzd2typezd2zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_7124));
		}

	}



/* rtl_vref-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vrefzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt
		BgL_oz00_231, BgL_typez00_bglt BgL_vz00_232)
	{
		{	/* SawMill/defs.sch 755 */
			return
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_oz00_231))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_232), BUNSPEC);
		}

	}



/* &rtl_vref-type-set! */
	obj_t BGl_z62rtl_vrefzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7125,
		obj_t BgL_oz00_7126, obj_t BgL_vz00_7127)
	{
		{	/* SawMill/defs.sch 755 */
			return
				BGl_rtl_vrefzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_7126),
				((BgL_typez00_bglt) BgL_vz00_7127));
		}

	}



/* rtl_vref-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_vrefzd2loczd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt
		BgL_oz00_233)
	{
		{	/* SawMill/defs.sch 756 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_233)))->BgL_locz00);
		}

	}



/* &rtl_vref-loc */
	obj_t BGl_z62rtl_vrefzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7128,
		obj_t BgL_oz00_7129)
	{
		{	/* SawMill/defs.sch 756 */
			return
				BGl_rtl_vrefzd2loczd2zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_7129));
		}

	}



/* rtl_vref-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt
		BgL_oz00_234, obj_t BgL_vz00_235)
	{
		{	/* SawMill/defs.sch 757 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_234)))->BgL_locz00) =
				((obj_t) BgL_vz00_235), BUNSPEC);
		}

	}



/* &rtl_vref-loc-set! */
	obj_t BGl_z62rtl_vrefzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7130,
		obj_t BgL_oz00_7131, obj_t BgL_vz00_7132)
	{
		{	/* SawMill/defs.sch 757 */
			return
				BGl_rtl_vrefzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_7131), BgL_vz00_7132);
		}

	}



/* make-rtl_vlength */
	BGL_EXPORTED_DEF BgL_rtl_vlengthz00_bglt
		BGl_makezd2rtl_vlengthzd2zzsaw_defsz00(obj_t BgL_loc1424z00_236,
		BgL_typez00_bglt BgL_type1425z00_237, BgL_typez00_bglt BgL_vtype1426z00_238)
	{
		{	/* SawMill/defs.sch 760 */
			{	/* SawMill/defs.sch 760 */
				BgL_rtl_vlengthz00_bglt BgL_new1401z00_8871;

				{	/* SawMill/defs.sch 760 */
					BgL_rtl_vlengthz00_bglt BgL_new1400z00_8872;

					BgL_new1400z00_8872 =
						((BgL_rtl_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vlengthz00_bgl))));
					{	/* SawMill/defs.sch 760 */
						long BgL_arg1851z00_8873;

						BgL_arg1851z00_8873 =
							BGL_CLASS_NUM(BGl_rtl_vlengthz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1400z00_8872), BgL_arg1851z00_8873);
					}
					BgL_new1401z00_8871 = BgL_new1400z00_8872;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1401z00_8871)))->BgL_locz00) =
					((obj_t) BgL_loc1424z00_236), BUNSPEC);
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1401z00_8871))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1425z00_237), BUNSPEC);
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1401z00_8871))->
						BgL_vtypez00) = ((BgL_typez00_bglt) BgL_vtype1426z00_238), BUNSPEC);
				return BgL_new1401z00_8871;
			}
		}

	}



/* &make-rtl_vlength */
	BgL_rtl_vlengthz00_bglt BGl_z62makezd2rtl_vlengthzb0zzsaw_defsz00(obj_t
		BgL_envz00_7133, obj_t BgL_loc1424z00_7134, obj_t BgL_type1425z00_7135,
		obj_t BgL_vtype1426z00_7136)
	{
		{	/* SawMill/defs.sch 760 */
			return
				BGl_makezd2rtl_vlengthzd2zzsaw_defsz00(BgL_loc1424z00_7134,
				((BgL_typez00_bglt) BgL_type1425z00_7135),
				((BgL_typez00_bglt) BgL_vtype1426z00_7136));
		}

	}



/* rtl_vlength? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_vlengthzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_239)
	{
		{	/* SawMill/defs.sch 761 */
			{	/* SawMill/defs.sch 761 */
				obj_t BgL_classz00_8874;

				BgL_classz00_8874 = BGl_rtl_vlengthz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_239))
					{	/* SawMill/defs.sch 761 */
						BgL_objectz00_bglt BgL_arg1801z00_8875;

						BgL_arg1801z00_8875 = (BgL_objectz00_bglt) (BgL_objz00_239);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 761 */
								long BgL_idxz00_8876;

								BgL_idxz00_8876 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8875);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8876 + 3L)) == BgL_classz00_8874);
							}
						else
							{	/* SawMill/defs.sch 761 */
								bool_t BgL_res3068z00_8879;

								{	/* SawMill/defs.sch 761 */
									obj_t BgL_oclassz00_8880;

									{	/* SawMill/defs.sch 761 */
										long BgL_arg1808z00_8881;

										{	/* SawMill/defs.sch 761 */
											long BgL_arg1809z00_8882;

											BgL_arg1809z00_8882 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8875);
											BgL_arg1808z00_8881 = (BgL_arg1809z00_8882 - OBJECT_TYPE);
										}
										BgL_oclassz00_8880 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8881);
									}
									{	/* SawMill/defs.sch 761 */
										bool_t BgL__ortest_1115z00_8883;

										BgL__ortest_1115z00_8883 =
											(BgL_classz00_8874 == BgL_oclassz00_8880);
										if (BgL__ortest_1115z00_8883)
											{	/* SawMill/defs.sch 761 */
												BgL_res3068z00_8879 = BgL__ortest_1115z00_8883;
											}
										else
											{	/* SawMill/defs.sch 761 */
												long BgL_odepthz00_8884;

												BgL_odepthz00_8884 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8880);
												if ((3L < BgL_odepthz00_8884))
													{	/* SawMill/defs.sch 761 */
														obj_t BgL_arg1797z00_8885;

														BgL_arg1797z00_8885 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8880, 3L);
														BgL_res3068z00_8879 =
															(BgL_arg1797z00_8885 == BgL_classz00_8874);
													}
												else
													{	/* SawMill/defs.sch 761 */
														BgL_res3068z00_8879 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3068z00_8879;
							}
					}
				else
					{	/* SawMill/defs.sch 761 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_vlength? */
	obj_t BGl_z62rtl_vlengthzf3z91zzsaw_defsz00(obj_t BgL_envz00_7137,
		obj_t BgL_objz00_7138)
	{
		{	/* SawMill/defs.sch 761 */
			return BBOOL(BGl_rtl_vlengthzf3zf3zzsaw_defsz00(BgL_objz00_7138));
		}

	}



/* rtl_vlength-nil */
	BGL_EXPORTED_DEF BgL_rtl_vlengthz00_bglt
		BGl_rtl_vlengthzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 762 */
			{	/* SawMill/defs.sch 762 */
				obj_t BgL_classz00_5141;

				BgL_classz00_5141 = BGl_rtl_vlengthz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 762 */
					obj_t BgL__ortest_1117z00_5142;

					BgL__ortest_1117z00_5142 = BGL_CLASS_NIL(BgL_classz00_5141);
					if (CBOOL(BgL__ortest_1117z00_5142))
						{	/* SawMill/defs.sch 762 */
							return ((BgL_rtl_vlengthz00_bglt) BgL__ortest_1117z00_5142);
						}
					else
						{	/* SawMill/defs.sch 762 */
							return
								((BgL_rtl_vlengthz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5141));
						}
				}
			}
		}

	}



/* &rtl_vlength-nil */
	BgL_rtl_vlengthz00_bglt BGl_z62rtl_vlengthzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7139)
	{
		{	/* SawMill/defs.sch 762 */
			return BGl_rtl_vlengthzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_vlength-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vlengthzd2vtypezd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt
		BgL_oz00_240)
	{
		{	/* SawMill/defs.sch 763 */
			return (((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_oz00_240))->BgL_vtypez00);
		}

	}



/* &rtl_vlength-vtype */
	BgL_typez00_bglt BGl_z62rtl_vlengthzd2vtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7140, obj_t BgL_oz00_7141)
	{
		{	/* SawMill/defs.sch 763 */
			return
				BGl_rtl_vlengthzd2vtypezd2zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_7141));
		}

	}



/* rtl_vlength-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vlengthzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt
		BgL_oz00_241, BgL_typez00_bglt BgL_vz00_242)
	{
		{	/* SawMill/defs.sch 764 */
			return
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_oz00_241))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_242), BUNSPEC);
		}

	}



/* &rtl_vlength-vtype-set! */
	obj_t BGl_z62rtl_vlengthzd2vtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7142, obj_t BgL_oz00_7143, obj_t BgL_vz00_7144)
	{
		{	/* SawMill/defs.sch 764 */
			return
				BGl_rtl_vlengthzd2vtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_7143),
				((BgL_typez00_bglt) BgL_vz00_7144));
		}

	}



/* rtl_vlength-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vlengthzd2typezd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt BgL_oz00_243)
	{
		{	/* SawMill/defs.sch 765 */
			return (((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_oz00_243))->BgL_typez00);
		}

	}



/* &rtl_vlength-type */
	BgL_typez00_bglt BGl_z62rtl_vlengthzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7145, obj_t BgL_oz00_7146)
	{
		{	/* SawMill/defs.sch 765 */
			return
				BGl_rtl_vlengthzd2typezd2zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_7146));
		}

	}



/* rtl_vlength-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vlengthzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt
		BgL_oz00_244, BgL_typez00_bglt BgL_vz00_245)
	{
		{	/* SawMill/defs.sch 766 */
			return
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_oz00_244))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_245), BUNSPEC);
		}

	}



/* &rtl_vlength-type-set! */
	obj_t BGl_z62rtl_vlengthzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7147, obj_t BgL_oz00_7148, obj_t BgL_vz00_7149)
	{
		{	/* SawMill/defs.sch 766 */
			return
				BGl_rtl_vlengthzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_7148),
				((BgL_typez00_bglt) BgL_vz00_7149));
		}

	}



/* rtl_vlength-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vlengthzd2loczd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt BgL_oz00_246)
	{
		{	/* SawMill/defs.sch 767 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_246)))->BgL_locz00);
		}

	}



/* &rtl_vlength-loc */
	obj_t BGl_z62rtl_vlengthzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7150,
		obj_t BgL_oz00_7151)
	{
		{	/* SawMill/defs.sch 767 */
			return
				BGl_rtl_vlengthzd2loczd2zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_7151));
		}

	}



/* rtl_vlength-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vlengthzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt
		BgL_oz00_247, obj_t BgL_vz00_248)
	{
		{	/* SawMill/defs.sch 768 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_247)))->BgL_locz00) =
				((obj_t) BgL_vz00_248), BUNSPEC);
		}

	}



/* &rtl_vlength-loc-set! */
	obj_t BGl_z62rtl_vlengthzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7152,
		obj_t BgL_oz00_7153, obj_t BgL_vz00_7154)
	{
		{	/* SawMill/defs.sch 768 */
			return
				BGl_rtl_vlengthzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_7153), BgL_vz00_7154);
		}

	}



/* make-rtl_instanceof */
	BGL_EXPORTED_DEF BgL_rtl_instanceofz00_bglt
		BGl_makezd2rtl_instanceofzd2zzsaw_defsz00(obj_t BgL_loc1421z00_249,
		BgL_typez00_bglt BgL_type1422z00_250)
	{
		{	/* SawMill/defs.sch 771 */
			{	/* SawMill/defs.sch 771 */
				BgL_rtl_instanceofz00_bglt BgL_new1403z00_8886;

				{	/* SawMill/defs.sch 771 */
					BgL_rtl_instanceofz00_bglt BgL_new1402z00_8887;

					BgL_new1402z00_8887 =
						((BgL_rtl_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_instanceofz00_bgl))));
					{	/* SawMill/defs.sch 771 */
						long BgL_arg1852z00_8888;

						BgL_arg1852z00_8888 =
							BGL_CLASS_NUM(BGl_rtl_instanceofz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1402z00_8887), BgL_arg1852z00_8888);
					}
					BgL_new1403z00_8886 = BgL_new1402z00_8887;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1403z00_8886)))->BgL_locz00) =
					((obj_t) BgL_loc1421z00_249), BUNSPEC);
				((((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_new1403z00_8886))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1422z00_250), BUNSPEC);
				return BgL_new1403z00_8886;
			}
		}

	}



/* &make-rtl_instanceof */
	BgL_rtl_instanceofz00_bglt BGl_z62makezd2rtl_instanceofzb0zzsaw_defsz00(obj_t
		BgL_envz00_7155, obj_t BgL_loc1421z00_7156, obj_t BgL_type1422z00_7157)
	{
		{	/* SawMill/defs.sch 771 */
			return
				BGl_makezd2rtl_instanceofzd2zzsaw_defsz00(BgL_loc1421z00_7156,
				((BgL_typez00_bglt) BgL_type1422z00_7157));
		}

	}



/* rtl_instanceof? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_instanceofzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_251)
	{
		{	/* SawMill/defs.sch 772 */
			{	/* SawMill/defs.sch 772 */
				obj_t BgL_classz00_8889;

				BgL_classz00_8889 = BGl_rtl_instanceofz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_251))
					{	/* SawMill/defs.sch 772 */
						BgL_objectz00_bglt BgL_arg1801z00_8890;

						BgL_arg1801z00_8890 = (BgL_objectz00_bglt) (BgL_objz00_251);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 772 */
								long BgL_idxz00_8891;

								BgL_idxz00_8891 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8890);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8891 + 3L)) == BgL_classz00_8889);
							}
						else
							{	/* SawMill/defs.sch 772 */
								bool_t BgL_res3069z00_8894;

								{	/* SawMill/defs.sch 772 */
									obj_t BgL_oclassz00_8895;

									{	/* SawMill/defs.sch 772 */
										long BgL_arg1808z00_8896;

										{	/* SawMill/defs.sch 772 */
											long BgL_arg1809z00_8897;

											BgL_arg1809z00_8897 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8890);
											BgL_arg1808z00_8896 = (BgL_arg1809z00_8897 - OBJECT_TYPE);
										}
										BgL_oclassz00_8895 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8896);
									}
									{	/* SawMill/defs.sch 772 */
										bool_t BgL__ortest_1115z00_8898;

										BgL__ortest_1115z00_8898 =
											(BgL_classz00_8889 == BgL_oclassz00_8895);
										if (BgL__ortest_1115z00_8898)
											{	/* SawMill/defs.sch 772 */
												BgL_res3069z00_8894 = BgL__ortest_1115z00_8898;
											}
										else
											{	/* SawMill/defs.sch 772 */
												long BgL_odepthz00_8899;

												BgL_odepthz00_8899 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8895);
												if ((3L < BgL_odepthz00_8899))
													{	/* SawMill/defs.sch 772 */
														obj_t BgL_arg1797z00_8900;

														BgL_arg1797z00_8900 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8895, 3L);
														BgL_res3069z00_8894 =
															(BgL_arg1797z00_8900 == BgL_classz00_8889);
													}
												else
													{	/* SawMill/defs.sch 772 */
														BgL_res3069z00_8894 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3069z00_8894;
							}
					}
				else
					{	/* SawMill/defs.sch 772 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_instanceof? */
	obj_t BGl_z62rtl_instanceofzf3z91zzsaw_defsz00(obj_t BgL_envz00_7158,
		obj_t BgL_objz00_7159)
	{
		{	/* SawMill/defs.sch 772 */
			return BBOOL(BGl_rtl_instanceofzf3zf3zzsaw_defsz00(BgL_objz00_7159));
		}

	}



/* rtl_instanceof-nil */
	BGL_EXPORTED_DEF BgL_rtl_instanceofz00_bglt
		BGl_rtl_instanceofzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 773 */
			{	/* SawMill/defs.sch 773 */
				obj_t BgL_classz00_5180;

				BgL_classz00_5180 = BGl_rtl_instanceofz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 773 */
					obj_t BgL__ortest_1117z00_5181;

					BgL__ortest_1117z00_5181 = BGL_CLASS_NIL(BgL_classz00_5180);
					if (CBOOL(BgL__ortest_1117z00_5181))
						{	/* SawMill/defs.sch 773 */
							return ((BgL_rtl_instanceofz00_bglt) BgL__ortest_1117z00_5181);
						}
					else
						{	/* SawMill/defs.sch 773 */
							return
								((BgL_rtl_instanceofz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5180));
						}
				}
			}
		}

	}



/* &rtl_instanceof-nil */
	BgL_rtl_instanceofz00_bglt BGl_z62rtl_instanceofzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7160)
	{
		{	/* SawMill/defs.sch 773 */
			return BGl_rtl_instanceofzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_instanceof-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_instanceofzd2typezd2zzsaw_defsz00(BgL_rtl_instanceofz00_bglt
		BgL_oz00_252)
	{
		{	/* SawMill/defs.sch 774 */
			return
				(((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_oz00_252))->BgL_typez00);
		}

	}



/* &rtl_instanceof-type */
	BgL_typez00_bglt BGl_z62rtl_instanceofzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7161, obj_t BgL_oz00_7162)
	{
		{	/* SawMill/defs.sch 774 */
			return
				BGl_rtl_instanceofzd2typezd2zzsaw_defsz00(
				((BgL_rtl_instanceofz00_bglt) BgL_oz00_7162));
		}

	}



/* rtl_instanceof-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_instanceofzd2typezd2setz12z12zzsaw_defsz00
		(BgL_rtl_instanceofz00_bglt BgL_oz00_253, BgL_typez00_bglt BgL_vz00_254)
	{
		{	/* SawMill/defs.sch 775 */
			return
				((((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_oz00_253))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_254), BUNSPEC);
		}

	}



/* &rtl_instanceof-type-set! */
	obj_t BGl_z62rtl_instanceofzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7163, obj_t BgL_oz00_7164, obj_t BgL_vz00_7165)
	{
		{	/* SawMill/defs.sch 775 */
			return
				BGl_rtl_instanceofzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_instanceofz00_bglt) BgL_oz00_7164),
				((BgL_typez00_bglt) BgL_vz00_7165));
		}

	}



/* rtl_instanceof-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_instanceofzd2loczd2zzsaw_defsz00(BgL_rtl_instanceofz00_bglt
		BgL_oz00_255)
	{
		{	/* SawMill/defs.sch 776 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_255)))->BgL_locz00);
		}

	}



/* &rtl_instanceof-loc */
	obj_t BGl_z62rtl_instanceofzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7166,
		obj_t BgL_oz00_7167)
	{
		{	/* SawMill/defs.sch 776 */
			return
				BGl_rtl_instanceofzd2loczd2zzsaw_defsz00(
				((BgL_rtl_instanceofz00_bglt) BgL_oz00_7167));
		}

	}



/* rtl_instanceof-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_instanceofzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_instanceofz00_bglt
		BgL_oz00_256, obj_t BgL_vz00_257)
	{
		{	/* SawMill/defs.sch 777 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_256)))->BgL_locz00) =
				((obj_t) BgL_vz00_257), BUNSPEC);
		}

	}



/* &rtl_instanceof-loc-set! */
	obj_t BGl_z62rtl_instanceofzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7168, obj_t BgL_oz00_7169, obj_t BgL_vz00_7170)
	{
		{	/* SawMill/defs.sch 777 */
			return
				BGl_rtl_instanceofzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_instanceofz00_bglt) BgL_oz00_7169), BgL_vz00_7170);
		}

	}



/* make-rtl_makebox */
	BGL_EXPORTED_DEF BgL_rtl_makeboxz00_bglt
		BGl_makezd2rtl_makeboxzd2zzsaw_defsz00(obj_t BgL_loc1419z00_258)
	{
		{	/* SawMill/defs.sch 780 */
			{	/* SawMill/defs.sch 780 */
				BgL_rtl_makeboxz00_bglt BgL_new1405z00_8901;

				{	/* SawMill/defs.sch 780 */
					BgL_rtl_makeboxz00_bglt BgL_new1404z00_8902;

					BgL_new1404z00_8902 =
						((BgL_rtl_makeboxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_makeboxz00_bgl))));
					{	/* SawMill/defs.sch 780 */
						long BgL_arg1853z00_8903;

						BgL_arg1853z00_8903 =
							BGL_CLASS_NUM(BGl_rtl_makeboxz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1404z00_8902), BgL_arg1853z00_8903);
					}
					BgL_new1405z00_8901 = BgL_new1404z00_8902;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1405z00_8901)))->BgL_locz00) =
					((obj_t) BgL_loc1419z00_258), BUNSPEC);
				return BgL_new1405z00_8901;
			}
		}

	}



/* &make-rtl_makebox */
	BgL_rtl_makeboxz00_bglt BGl_z62makezd2rtl_makeboxzb0zzsaw_defsz00(obj_t
		BgL_envz00_7171, obj_t BgL_loc1419z00_7172)
	{
		{	/* SawMill/defs.sch 780 */
			return BGl_makezd2rtl_makeboxzd2zzsaw_defsz00(BgL_loc1419z00_7172);
		}

	}



/* rtl_makebox? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_makeboxzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_259)
	{
		{	/* SawMill/defs.sch 781 */
			{	/* SawMill/defs.sch 781 */
				obj_t BgL_classz00_8904;

				BgL_classz00_8904 = BGl_rtl_makeboxz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_259))
					{	/* SawMill/defs.sch 781 */
						BgL_objectz00_bglt BgL_arg1801z00_8905;

						BgL_arg1801z00_8905 = (BgL_objectz00_bglt) (BgL_objz00_259);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 781 */
								long BgL_idxz00_8906;

								BgL_idxz00_8906 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8905);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8906 + 3L)) == BgL_classz00_8904);
							}
						else
							{	/* SawMill/defs.sch 781 */
								bool_t BgL_res3070z00_8909;

								{	/* SawMill/defs.sch 781 */
									obj_t BgL_oclassz00_8910;

									{	/* SawMill/defs.sch 781 */
										long BgL_arg1808z00_8911;

										{	/* SawMill/defs.sch 781 */
											long BgL_arg1809z00_8912;

											BgL_arg1809z00_8912 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8905);
											BgL_arg1808z00_8911 = (BgL_arg1809z00_8912 - OBJECT_TYPE);
										}
										BgL_oclassz00_8910 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8911);
									}
									{	/* SawMill/defs.sch 781 */
										bool_t BgL__ortest_1115z00_8913;

										BgL__ortest_1115z00_8913 =
											(BgL_classz00_8904 == BgL_oclassz00_8910);
										if (BgL__ortest_1115z00_8913)
											{	/* SawMill/defs.sch 781 */
												BgL_res3070z00_8909 = BgL__ortest_1115z00_8913;
											}
										else
											{	/* SawMill/defs.sch 781 */
												long BgL_odepthz00_8914;

												BgL_odepthz00_8914 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8910);
												if ((3L < BgL_odepthz00_8914))
													{	/* SawMill/defs.sch 781 */
														obj_t BgL_arg1797z00_8915;

														BgL_arg1797z00_8915 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8910, 3L);
														BgL_res3070z00_8909 =
															(BgL_arg1797z00_8915 == BgL_classz00_8904);
													}
												else
													{	/* SawMill/defs.sch 781 */
														BgL_res3070z00_8909 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3070z00_8909;
							}
					}
				else
					{	/* SawMill/defs.sch 781 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_makebox? */
	obj_t BGl_z62rtl_makeboxzf3z91zzsaw_defsz00(obj_t BgL_envz00_7173,
		obj_t BgL_objz00_7174)
	{
		{	/* SawMill/defs.sch 781 */
			return BBOOL(BGl_rtl_makeboxzf3zf3zzsaw_defsz00(BgL_objz00_7174));
		}

	}



/* rtl_makebox-nil */
	BGL_EXPORTED_DEF BgL_rtl_makeboxz00_bglt
		BGl_rtl_makeboxzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 782 */
			{	/* SawMill/defs.sch 782 */
				obj_t BgL_classz00_5219;

				BgL_classz00_5219 = BGl_rtl_makeboxz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 782 */
					obj_t BgL__ortest_1117z00_5220;

					BgL__ortest_1117z00_5220 = BGL_CLASS_NIL(BgL_classz00_5219);
					if (CBOOL(BgL__ortest_1117z00_5220))
						{	/* SawMill/defs.sch 782 */
							return ((BgL_rtl_makeboxz00_bglt) BgL__ortest_1117z00_5220);
						}
					else
						{	/* SawMill/defs.sch 782 */
							return
								((BgL_rtl_makeboxz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5219));
						}
				}
			}
		}

	}



/* &rtl_makebox-nil */
	BgL_rtl_makeboxz00_bglt BGl_z62rtl_makeboxzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7175)
	{
		{	/* SawMill/defs.sch 782 */
			return BGl_rtl_makeboxzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_makebox-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_makeboxzd2loczd2zzsaw_defsz00(BgL_rtl_makeboxz00_bglt BgL_oz00_260)
	{
		{	/* SawMill/defs.sch 783 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_260)))->BgL_locz00);
		}

	}



/* &rtl_makebox-loc */
	obj_t BGl_z62rtl_makeboxzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7176,
		obj_t BgL_oz00_7177)
	{
		{	/* SawMill/defs.sch 783 */
			return
				BGl_rtl_makeboxzd2loczd2zzsaw_defsz00(
				((BgL_rtl_makeboxz00_bglt) BgL_oz00_7177));
		}

	}



/* rtl_makebox-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_makeboxzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_makeboxz00_bglt
		BgL_oz00_261, obj_t BgL_vz00_262)
	{
		{	/* SawMill/defs.sch 784 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_261)))->BgL_locz00) =
				((obj_t) BgL_vz00_262), BUNSPEC);
		}

	}



/* &rtl_makebox-loc-set! */
	obj_t BGl_z62rtl_makeboxzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7178,
		obj_t BgL_oz00_7179, obj_t BgL_vz00_7180)
	{
		{	/* SawMill/defs.sch 784 */
			return
				BGl_rtl_makeboxzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_makeboxz00_bglt) BgL_oz00_7179), BgL_vz00_7180);
		}

	}



/* make-rtl_boxref */
	BGL_EXPORTED_DEF BgL_rtl_boxrefz00_bglt
		BGl_makezd2rtl_boxrefzd2zzsaw_defsz00(obj_t BgL_loc1416z00_263)
	{
		{	/* SawMill/defs.sch 787 */
			{	/* SawMill/defs.sch 787 */
				BgL_rtl_boxrefz00_bglt BgL_new1407z00_8916;

				{	/* SawMill/defs.sch 787 */
					BgL_rtl_boxrefz00_bglt BgL_new1406z00_8917;

					BgL_new1406z00_8917 =
						((BgL_rtl_boxrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_boxrefz00_bgl))));
					{	/* SawMill/defs.sch 787 */
						long BgL_arg1854z00_8918;

						BgL_arg1854z00_8918 = BGL_CLASS_NUM(BGl_rtl_boxrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1406z00_8917), BgL_arg1854z00_8918);
					}
					BgL_new1407z00_8916 = BgL_new1406z00_8917;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1407z00_8916)))->BgL_locz00) =
					((obj_t) BgL_loc1416z00_263), BUNSPEC);
				return BgL_new1407z00_8916;
			}
		}

	}



/* &make-rtl_boxref */
	BgL_rtl_boxrefz00_bglt BGl_z62makezd2rtl_boxrefzb0zzsaw_defsz00(obj_t
		BgL_envz00_7181, obj_t BgL_loc1416z00_7182)
	{
		{	/* SawMill/defs.sch 787 */
			return BGl_makezd2rtl_boxrefzd2zzsaw_defsz00(BgL_loc1416z00_7182);
		}

	}



/* rtl_boxref? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_boxrefzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_264)
	{
		{	/* SawMill/defs.sch 788 */
			{	/* SawMill/defs.sch 788 */
				obj_t BgL_classz00_8919;

				BgL_classz00_8919 = BGl_rtl_boxrefz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_264))
					{	/* SawMill/defs.sch 788 */
						BgL_objectz00_bglt BgL_arg1801z00_8920;

						BgL_arg1801z00_8920 = (BgL_objectz00_bglt) (BgL_objz00_264);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 788 */
								long BgL_idxz00_8921;

								BgL_idxz00_8921 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8920);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8921 + 3L)) == BgL_classz00_8919);
							}
						else
							{	/* SawMill/defs.sch 788 */
								bool_t BgL_res3071z00_8924;

								{	/* SawMill/defs.sch 788 */
									obj_t BgL_oclassz00_8925;

									{	/* SawMill/defs.sch 788 */
										long BgL_arg1808z00_8926;

										{	/* SawMill/defs.sch 788 */
											long BgL_arg1809z00_8927;

											BgL_arg1809z00_8927 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8920);
											BgL_arg1808z00_8926 = (BgL_arg1809z00_8927 - OBJECT_TYPE);
										}
										BgL_oclassz00_8925 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8926);
									}
									{	/* SawMill/defs.sch 788 */
										bool_t BgL__ortest_1115z00_8928;

										BgL__ortest_1115z00_8928 =
											(BgL_classz00_8919 == BgL_oclassz00_8925);
										if (BgL__ortest_1115z00_8928)
											{	/* SawMill/defs.sch 788 */
												BgL_res3071z00_8924 = BgL__ortest_1115z00_8928;
											}
										else
											{	/* SawMill/defs.sch 788 */
												long BgL_odepthz00_8929;

												BgL_odepthz00_8929 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8925);
												if ((3L < BgL_odepthz00_8929))
													{	/* SawMill/defs.sch 788 */
														obj_t BgL_arg1797z00_8930;

														BgL_arg1797z00_8930 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8925, 3L);
														BgL_res3071z00_8924 =
															(BgL_arg1797z00_8930 == BgL_classz00_8919);
													}
												else
													{	/* SawMill/defs.sch 788 */
														BgL_res3071z00_8924 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3071z00_8924;
							}
					}
				else
					{	/* SawMill/defs.sch 788 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_boxref? */
	obj_t BGl_z62rtl_boxrefzf3z91zzsaw_defsz00(obj_t BgL_envz00_7183,
		obj_t BgL_objz00_7184)
	{
		{	/* SawMill/defs.sch 788 */
			return BBOOL(BGl_rtl_boxrefzf3zf3zzsaw_defsz00(BgL_objz00_7184));
		}

	}



/* rtl_boxref-nil */
	BGL_EXPORTED_DEF BgL_rtl_boxrefz00_bglt
		BGl_rtl_boxrefzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 789 */
			{	/* SawMill/defs.sch 789 */
				obj_t BgL_classz00_5258;

				BgL_classz00_5258 = BGl_rtl_boxrefz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 789 */
					obj_t BgL__ortest_1117z00_5259;

					BgL__ortest_1117z00_5259 = BGL_CLASS_NIL(BgL_classz00_5258);
					if (CBOOL(BgL__ortest_1117z00_5259))
						{	/* SawMill/defs.sch 789 */
							return ((BgL_rtl_boxrefz00_bglt) BgL__ortest_1117z00_5259);
						}
					else
						{	/* SawMill/defs.sch 789 */
							return
								((BgL_rtl_boxrefz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5258));
						}
				}
			}
		}

	}



/* &rtl_boxref-nil */
	BgL_rtl_boxrefz00_bglt BGl_z62rtl_boxrefzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7185)
	{
		{	/* SawMill/defs.sch 789 */
			return BGl_rtl_boxrefzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_boxref-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_boxrefzd2loczd2zzsaw_defsz00(BgL_rtl_boxrefz00_bglt BgL_oz00_265)
	{
		{	/* SawMill/defs.sch 790 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_265)))->BgL_locz00);
		}

	}



/* &rtl_boxref-loc */
	obj_t BGl_z62rtl_boxrefzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7186,
		obj_t BgL_oz00_7187)
	{
		{	/* SawMill/defs.sch 790 */
			return
				BGl_rtl_boxrefzd2loczd2zzsaw_defsz00(
				((BgL_rtl_boxrefz00_bglt) BgL_oz00_7187));
		}

	}



/* rtl_boxref-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_boxrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_boxrefz00_bglt
		BgL_oz00_266, obj_t BgL_vz00_267)
	{
		{	/* SawMill/defs.sch 791 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_266)))->BgL_locz00) =
				((obj_t) BgL_vz00_267), BUNSPEC);
		}

	}



/* &rtl_boxref-loc-set! */
	obj_t BGl_z62rtl_boxrefzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7188,
		obj_t BgL_oz00_7189, obj_t BgL_vz00_7190)
	{
		{	/* SawMill/defs.sch 791 */
			return
				BGl_rtl_boxrefzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_boxrefz00_bglt) BgL_oz00_7189), BgL_vz00_7190);
		}

	}



/* make-rtl_effect */
	BGL_EXPORTED_DEF BgL_rtl_effectz00_bglt
		BGl_makezd2rtl_effectzd2zzsaw_defsz00(obj_t BgL_loc1414z00_268)
	{
		{	/* SawMill/defs.sch 794 */
			{	/* SawMill/defs.sch 794 */
				BgL_rtl_effectz00_bglt BgL_new1409z00_8931;

				{	/* SawMill/defs.sch 794 */
					BgL_rtl_effectz00_bglt BgL_new1408z00_8932;

					BgL_new1408z00_8932 =
						((BgL_rtl_effectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_effectz00_bgl))));
					{	/* SawMill/defs.sch 794 */
						long BgL_arg1855z00_8933;

						BgL_arg1855z00_8933 = BGL_CLASS_NUM(BGl_rtl_effectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1408z00_8932), BgL_arg1855z00_8933);
					}
					BgL_new1409z00_8931 = BgL_new1408z00_8932;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1409z00_8931)))->BgL_locz00) =
					((obj_t) BgL_loc1414z00_268), BUNSPEC);
				return BgL_new1409z00_8931;
			}
		}

	}



/* &make-rtl_effect */
	BgL_rtl_effectz00_bglt BGl_z62makezd2rtl_effectzb0zzsaw_defsz00(obj_t
		BgL_envz00_7191, obj_t BgL_loc1414z00_7192)
	{
		{	/* SawMill/defs.sch 794 */
			return BGl_makezd2rtl_effectzd2zzsaw_defsz00(BgL_loc1414z00_7192);
		}

	}



/* rtl_effect? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_effectzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_269)
	{
		{	/* SawMill/defs.sch 795 */
			{	/* SawMill/defs.sch 795 */
				obj_t BgL_classz00_8934;

				BgL_classz00_8934 = BGl_rtl_effectz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_269))
					{	/* SawMill/defs.sch 795 */
						BgL_objectz00_bglt BgL_arg1801z00_8935;

						BgL_arg1801z00_8935 = (BgL_objectz00_bglt) (BgL_objz00_269);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 795 */
								long BgL_idxz00_8936;

								BgL_idxz00_8936 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8935);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8936 + 2L)) == BgL_classz00_8934);
							}
						else
							{	/* SawMill/defs.sch 795 */
								bool_t BgL_res3072z00_8939;

								{	/* SawMill/defs.sch 795 */
									obj_t BgL_oclassz00_8940;

									{	/* SawMill/defs.sch 795 */
										long BgL_arg1808z00_8941;

										{	/* SawMill/defs.sch 795 */
											long BgL_arg1809z00_8942;

											BgL_arg1809z00_8942 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8935);
											BgL_arg1808z00_8941 = (BgL_arg1809z00_8942 - OBJECT_TYPE);
										}
										BgL_oclassz00_8940 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8941);
									}
									{	/* SawMill/defs.sch 795 */
										bool_t BgL__ortest_1115z00_8943;

										BgL__ortest_1115z00_8943 =
											(BgL_classz00_8934 == BgL_oclassz00_8940);
										if (BgL__ortest_1115z00_8943)
											{	/* SawMill/defs.sch 795 */
												BgL_res3072z00_8939 = BgL__ortest_1115z00_8943;
											}
										else
											{	/* SawMill/defs.sch 795 */
												long BgL_odepthz00_8944;

												BgL_odepthz00_8944 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8940);
												if ((2L < BgL_odepthz00_8944))
													{	/* SawMill/defs.sch 795 */
														obj_t BgL_arg1797z00_8945;

														BgL_arg1797z00_8945 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8940, 2L);
														BgL_res3072z00_8939 =
															(BgL_arg1797z00_8945 == BgL_classz00_8934);
													}
												else
													{	/* SawMill/defs.sch 795 */
														BgL_res3072z00_8939 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3072z00_8939;
							}
					}
				else
					{	/* SawMill/defs.sch 795 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_effect? */
	obj_t BGl_z62rtl_effectzf3z91zzsaw_defsz00(obj_t BgL_envz00_7193,
		obj_t BgL_objz00_7194)
	{
		{	/* SawMill/defs.sch 795 */
			return BBOOL(BGl_rtl_effectzf3zf3zzsaw_defsz00(BgL_objz00_7194));
		}

	}



/* rtl_effect-nil */
	BGL_EXPORTED_DEF BgL_rtl_effectz00_bglt
		BGl_rtl_effectzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 796 */
			{	/* SawMill/defs.sch 796 */
				obj_t BgL_classz00_5297;

				BgL_classz00_5297 = BGl_rtl_effectz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 796 */
					obj_t BgL__ortest_1117z00_5298;

					BgL__ortest_1117z00_5298 = BGL_CLASS_NIL(BgL_classz00_5297);
					if (CBOOL(BgL__ortest_1117z00_5298))
						{	/* SawMill/defs.sch 796 */
							return ((BgL_rtl_effectz00_bglt) BgL__ortest_1117z00_5298);
						}
					else
						{	/* SawMill/defs.sch 796 */
							return
								((BgL_rtl_effectz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5297));
						}
				}
			}
		}

	}



/* &rtl_effect-nil */
	BgL_rtl_effectz00_bglt BGl_z62rtl_effectzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7195)
	{
		{	/* SawMill/defs.sch 796 */
			return BGl_rtl_effectzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_effect-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_effectzd2loczd2zzsaw_defsz00(BgL_rtl_effectz00_bglt BgL_oz00_270)
	{
		{	/* SawMill/defs.sch 797 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_270)))->BgL_locz00);
		}

	}



/* &rtl_effect-loc */
	obj_t BGl_z62rtl_effectzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7196,
		obj_t BgL_oz00_7197)
	{
		{	/* SawMill/defs.sch 797 */
			return
				BGl_rtl_effectzd2loczd2zzsaw_defsz00(
				((BgL_rtl_effectz00_bglt) BgL_oz00_7197));
		}

	}



/* rtl_effect-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_effectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_effectz00_bglt
		BgL_oz00_271, obj_t BgL_vz00_272)
	{
		{	/* SawMill/defs.sch 798 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_271)))->BgL_locz00) =
				((obj_t) BgL_vz00_272), BUNSPEC);
		}

	}



/* &rtl_effect-loc-set! */
	obj_t BGl_z62rtl_effectzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7198,
		obj_t BgL_oz00_7199, obj_t BgL_vz00_7200)
	{
		{	/* SawMill/defs.sch 798 */
			return
				BGl_rtl_effectzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_effectz00_bglt) BgL_oz00_7199), BgL_vz00_7200);
		}

	}



/* make-rtl_storeg */
	BGL_EXPORTED_DEF BgL_rtl_storegz00_bglt
		BGl_makezd2rtl_storegzd2zzsaw_defsz00(obj_t BgL_loc1411z00_273,
		BgL_globalz00_bglt BgL_var1412z00_274)
	{
		{	/* SawMill/defs.sch 801 */
			{	/* SawMill/defs.sch 801 */
				BgL_rtl_storegz00_bglt BgL_new1411z00_8946;

				{	/* SawMill/defs.sch 801 */
					BgL_rtl_storegz00_bglt BgL_new1410z00_8947;

					BgL_new1410z00_8947 =
						((BgL_rtl_storegz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_storegz00_bgl))));
					{	/* SawMill/defs.sch 801 */
						long BgL_arg1856z00_8948;

						BgL_arg1856z00_8948 = BGL_CLASS_NUM(BGl_rtl_storegz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1410z00_8947), BgL_arg1856z00_8948);
					}
					BgL_new1411z00_8946 = BgL_new1410z00_8947;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1411z00_8946)))->BgL_locz00) =
					((obj_t) BgL_loc1411z00_273), BUNSPEC);
				((((BgL_rtl_storegz00_bglt) COBJECT(BgL_new1411z00_8946))->BgL_varz00) =
					((BgL_globalz00_bglt) BgL_var1412z00_274), BUNSPEC);
				return BgL_new1411z00_8946;
			}
		}

	}



/* &make-rtl_storeg */
	BgL_rtl_storegz00_bglt BGl_z62makezd2rtl_storegzb0zzsaw_defsz00(obj_t
		BgL_envz00_7201, obj_t BgL_loc1411z00_7202, obj_t BgL_var1412z00_7203)
	{
		{	/* SawMill/defs.sch 801 */
			return
				BGl_makezd2rtl_storegzd2zzsaw_defsz00(BgL_loc1411z00_7202,
				((BgL_globalz00_bglt) BgL_var1412z00_7203));
		}

	}



/* rtl_storeg? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_storegzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_275)
	{
		{	/* SawMill/defs.sch 802 */
			{	/* SawMill/defs.sch 802 */
				obj_t BgL_classz00_8949;

				BgL_classz00_8949 = BGl_rtl_storegz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_275))
					{	/* SawMill/defs.sch 802 */
						BgL_objectz00_bglt BgL_arg1801z00_8950;

						BgL_arg1801z00_8950 = (BgL_objectz00_bglt) (BgL_objz00_275);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 802 */
								long BgL_idxz00_8951;

								BgL_idxz00_8951 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8950);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8951 + 3L)) == BgL_classz00_8949);
							}
						else
							{	/* SawMill/defs.sch 802 */
								bool_t BgL_res3073z00_8954;

								{	/* SawMill/defs.sch 802 */
									obj_t BgL_oclassz00_8955;

									{	/* SawMill/defs.sch 802 */
										long BgL_arg1808z00_8956;

										{	/* SawMill/defs.sch 802 */
											long BgL_arg1809z00_8957;

											BgL_arg1809z00_8957 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8950);
											BgL_arg1808z00_8956 = (BgL_arg1809z00_8957 - OBJECT_TYPE);
										}
										BgL_oclassz00_8955 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8956);
									}
									{	/* SawMill/defs.sch 802 */
										bool_t BgL__ortest_1115z00_8958;

										BgL__ortest_1115z00_8958 =
											(BgL_classz00_8949 == BgL_oclassz00_8955);
										if (BgL__ortest_1115z00_8958)
											{	/* SawMill/defs.sch 802 */
												BgL_res3073z00_8954 = BgL__ortest_1115z00_8958;
											}
										else
											{	/* SawMill/defs.sch 802 */
												long BgL_odepthz00_8959;

												BgL_odepthz00_8959 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8955);
												if ((3L < BgL_odepthz00_8959))
													{	/* SawMill/defs.sch 802 */
														obj_t BgL_arg1797z00_8960;

														BgL_arg1797z00_8960 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8955, 3L);
														BgL_res3073z00_8954 =
															(BgL_arg1797z00_8960 == BgL_classz00_8949);
													}
												else
													{	/* SawMill/defs.sch 802 */
														BgL_res3073z00_8954 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3073z00_8954;
							}
					}
				else
					{	/* SawMill/defs.sch 802 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_storeg? */
	obj_t BGl_z62rtl_storegzf3z91zzsaw_defsz00(obj_t BgL_envz00_7204,
		obj_t BgL_objz00_7205)
	{
		{	/* SawMill/defs.sch 802 */
			return BBOOL(BGl_rtl_storegzf3zf3zzsaw_defsz00(BgL_objz00_7205));
		}

	}



/* rtl_storeg-nil */
	BGL_EXPORTED_DEF BgL_rtl_storegz00_bglt
		BGl_rtl_storegzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 803 */
			{	/* SawMill/defs.sch 803 */
				obj_t BgL_classz00_5336;

				BgL_classz00_5336 = BGl_rtl_storegz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 803 */
					obj_t BgL__ortest_1117z00_5337;

					BgL__ortest_1117z00_5337 = BGL_CLASS_NIL(BgL_classz00_5336);
					if (CBOOL(BgL__ortest_1117z00_5337))
						{	/* SawMill/defs.sch 803 */
							return ((BgL_rtl_storegz00_bglt) BgL__ortest_1117z00_5337);
						}
					else
						{	/* SawMill/defs.sch 803 */
							return
								((BgL_rtl_storegz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5336));
						}
				}
			}
		}

	}



/* &rtl_storeg-nil */
	BgL_rtl_storegz00_bglt BGl_z62rtl_storegzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7206)
	{
		{	/* SawMill/defs.sch 803 */
			return BGl_rtl_storegzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_storeg-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_storegzd2varzd2zzsaw_defsz00(BgL_rtl_storegz00_bglt BgL_oz00_276)
	{
		{	/* SawMill/defs.sch 804 */
			return (((BgL_rtl_storegz00_bglt) COBJECT(BgL_oz00_276))->BgL_varz00);
		}

	}



/* &rtl_storeg-var */
	BgL_globalz00_bglt BGl_z62rtl_storegzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_7207, obj_t BgL_oz00_7208)
	{
		{	/* SawMill/defs.sch 804 */
			return
				BGl_rtl_storegzd2varzd2zzsaw_defsz00(
				((BgL_rtl_storegz00_bglt) BgL_oz00_7208));
		}

	}



/* rtl_storeg-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_storegzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_storegz00_bglt
		BgL_oz00_277, BgL_globalz00_bglt BgL_vz00_278)
	{
		{	/* SawMill/defs.sch 805 */
			return
				((((BgL_rtl_storegz00_bglt) COBJECT(BgL_oz00_277))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_278), BUNSPEC);
		}

	}



/* &rtl_storeg-var-set! */
	obj_t BGl_z62rtl_storegzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7209,
		obj_t BgL_oz00_7210, obj_t BgL_vz00_7211)
	{
		{	/* SawMill/defs.sch 805 */
			return
				BGl_rtl_storegzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_storegz00_bglt) BgL_oz00_7210),
				((BgL_globalz00_bglt) BgL_vz00_7211));
		}

	}



/* rtl_storeg-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_storegzd2loczd2zzsaw_defsz00(BgL_rtl_storegz00_bglt BgL_oz00_279)
	{
		{	/* SawMill/defs.sch 806 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_279)))->BgL_locz00);
		}

	}



/* &rtl_storeg-loc */
	obj_t BGl_z62rtl_storegzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7212,
		obj_t BgL_oz00_7213)
	{
		{	/* SawMill/defs.sch 806 */
			return
				BGl_rtl_storegzd2loczd2zzsaw_defsz00(
				((BgL_rtl_storegz00_bglt) BgL_oz00_7213));
		}

	}



/* rtl_storeg-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_storegzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_storegz00_bglt
		BgL_oz00_280, obj_t BgL_vz00_281)
	{
		{	/* SawMill/defs.sch 807 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_280)))->BgL_locz00) =
				((obj_t) BgL_vz00_281), BUNSPEC);
		}

	}



/* &rtl_storeg-loc-set! */
	obj_t BGl_z62rtl_storegzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7214,
		obj_t BgL_oz00_7215, obj_t BgL_vz00_7216)
	{
		{	/* SawMill/defs.sch 807 */
			return
				BGl_rtl_storegzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_storegz00_bglt) BgL_oz00_7215), BgL_vz00_7216);
		}

	}



/* make-rtl_setfield */
	BGL_EXPORTED_DEF BgL_rtl_setfieldz00_bglt
		BGl_makezd2rtl_setfieldzd2zzsaw_defsz00(obj_t BgL_loc1405z00_282,
		obj_t BgL_name1406z00_283, BgL_typez00_bglt BgL_objtype1407z00_284,
		BgL_typez00_bglt BgL_type1408z00_285)
	{
		{	/* SawMill/defs.sch 810 */
			{	/* SawMill/defs.sch 810 */
				BgL_rtl_setfieldz00_bglt BgL_new1413z00_8961;

				{	/* SawMill/defs.sch 810 */
					BgL_rtl_setfieldz00_bglt BgL_new1412z00_8962;

					BgL_new1412z00_8962 =
						((BgL_rtl_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_setfieldz00_bgl))));
					{	/* SawMill/defs.sch 810 */
						long BgL_arg1857z00_8963;

						BgL_arg1857z00_8963 =
							BGL_CLASS_NUM(BGl_rtl_setfieldz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1412z00_8962), BgL_arg1857z00_8963);
					}
					BgL_new1413z00_8961 = BgL_new1412z00_8962;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1413z00_8961)))->BgL_locz00) =
					((obj_t) BgL_loc1405z00_282), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1413z00_8961))->
						BgL_namez00) = ((obj_t) BgL_name1406z00_283), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1413z00_8961))->
						BgL_objtypez00) =
					((BgL_typez00_bglt) BgL_objtype1407z00_284), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1413z00_8961))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1408z00_285), BUNSPEC);
				return BgL_new1413z00_8961;
			}
		}

	}



/* &make-rtl_setfield */
	BgL_rtl_setfieldz00_bglt BGl_z62makezd2rtl_setfieldzb0zzsaw_defsz00(obj_t
		BgL_envz00_7217, obj_t BgL_loc1405z00_7218, obj_t BgL_name1406z00_7219,
		obj_t BgL_objtype1407z00_7220, obj_t BgL_type1408z00_7221)
	{
		{	/* SawMill/defs.sch 810 */
			return
				BGl_makezd2rtl_setfieldzd2zzsaw_defsz00(BgL_loc1405z00_7218,
				BgL_name1406z00_7219, ((BgL_typez00_bglt) BgL_objtype1407z00_7220),
				((BgL_typez00_bglt) BgL_type1408z00_7221));
		}

	}



/* rtl_setfield? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_setfieldzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_286)
	{
		{	/* SawMill/defs.sch 811 */
			{	/* SawMill/defs.sch 811 */
				obj_t BgL_classz00_8964;

				BgL_classz00_8964 = BGl_rtl_setfieldz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_286))
					{	/* SawMill/defs.sch 811 */
						BgL_objectz00_bglt BgL_arg1801z00_8965;

						BgL_arg1801z00_8965 = (BgL_objectz00_bglt) (BgL_objz00_286);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 811 */
								long BgL_idxz00_8966;

								BgL_idxz00_8966 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8965);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8966 + 3L)) == BgL_classz00_8964);
							}
						else
							{	/* SawMill/defs.sch 811 */
								bool_t BgL_res3074z00_8969;

								{	/* SawMill/defs.sch 811 */
									obj_t BgL_oclassz00_8970;

									{	/* SawMill/defs.sch 811 */
										long BgL_arg1808z00_8971;

										{	/* SawMill/defs.sch 811 */
											long BgL_arg1809z00_8972;

											BgL_arg1809z00_8972 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8965);
											BgL_arg1808z00_8971 = (BgL_arg1809z00_8972 - OBJECT_TYPE);
										}
										BgL_oclassz00_8970 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8971);
									}
									{	/* SawMill/defs.sch 811 */
										bool_t BgL__ortest_1115z00_8973;

										BgL__ortest_1115z00_8973 =
											(BgL_classz00_8964 == BgL_oclassz00_8970);
										if (BgL__ortest_1115z00_8973)
											{	/* SawMill/defs.sch 811 */
												BgL_res3074z00_8969 = BgL__ortest_1115z00_8973;
											}
										else
											{	/* SawMill/defs.sch 811 */
												long BgL_odepthz00_8974;

												BgL_odepthz00_8974 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8970);
												if ((3L < BgL_odepthz00_8974))
													{	/* SawMill/defs.sch 811 */
														obj_t BgL_arg1797z00_8975;

														BgL_arg1797z00_8975 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8970, 3L);
														BgL_res3074z00_8969 =
															(BgL_arg1797z00_8975 == BgL_classz00_8964);
													}
												else
													{	/* SawMill/defs.sch 811 */
														BgL_res3074z00_8969 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3074z00_8969;
							}
					}
				else
					{	/* SawMill/defs.sch 811 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_setfield? */
	obj_t BGl_z62rtl_setfieldzf3z91zzsaw_defsz00(obj_t BgL_envz00_7222,
		obj_t BgL_objz00_7223)
	{
		{	/* SawMill/defs.sch 811 */
			return BBOOL(BGl_rtl_setfieldzf3zf3zzsaw_defsz00(BgL_objz00_7223));
		}

	}



/* rtl_setfield-nil */
	BGL_EXPORTED_DEF BgL_rtl_setfieldz00_bglt
		BGl_rtl_setfieldzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 812 */
			{	/* SawMill/defs.sch 812 */
				obj_t BgL_classz00_5375;

				BgL_classz00_5375 = BGl_rtl_setfieldz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 812 */
					obj_t BgL__ortest_1117z00_5376;

					BgL__ortest_1117z00_5376 = BGL_CLASS_NIL(BgL_classz00_5375);
					if (CBOOL(BgL__ortest_1117z00_5376))
						{	/* SawMill/defs.sch 812 */
							return ((BgL_rtl_setfieldz00_bglt) BgL__ortest_1117z00_5376);
						}
					else
						{	/* SawMill/defs.sch 812 */
							return
								((BgL_rtl_setfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5375));
						}
				}
			}
		}

	}



/* &rtl_setfield-nil */
	BgL_rtl_setfieldz00_bglt BGl_z62rtl_setfieldzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7224)
	{
		{	/* SawMill/defs.sch 812 */
			return BGl_rtl_setfieldzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_setfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_setfieldzd2typezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_287)
	{
		{	/* SawMill/defs.sch 813 */
			return (((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_287))->BgL_typez00);
		}

	}



/* &rtl_setfield-type */
	BgL_typez00_bglt BGl_z62rtl_setfieldzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7225, obj_t BgL_oz00_7226)
	{
		{	/* SawMill/defs.sch 813 */
			return
				BGl_rtl_setfieldzd2typezd2zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7226));
		}

	}



/* rtl_setfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_288, BgL_typez00_bglt BgL_vz00_289)
	{
		{	/* SawMill/defs.sch 814 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_288))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_289), BUNSPEC);
		}

	}



/* &rtl_setfield-type-set! */
	obj_t BGl_z62rtl_setfieldzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7227, obj_t BgL_oz00_7228, obj_t BgL_vz00_7229)
	{
		{	/* SawMill/defs.sch 814 */
			return
				BGl_rtl_setfieldzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7228),
				((BgL_typez00_bglt) BgL_vz00_7229));
		}

	}



/* rtl_setfield-objtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_setfieldzd2objtypezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_290)
	{
		{	/* SawMill/defs.sch 815 */
			return
				(((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_290))->BgL_objtypez00);
		}

	}



/* &rtl_setfield-objtype */
	BgL_typez00_bglt BGl_z62rtl_setfieldzd2objtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7230, obj_t BgL_oz00_7231)
	{
		{	/* SawMill/defs.sch 815 */
			return
				BGl_rtl_setfieldzd2objtypezd2zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7231));
		}

	}



/* rtl_setfield-objtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2objtypezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_291, BgL_typez00_bglt BgL_vz00_292)
	{
		{	/* SawMill/defs.sch 816 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_291))->BgL_objtypez00) =
				((BgL_typez00_bglt) BgL_vz00_292), BUNSPEC);
		}

	}



/* &rtl_setfield-objtype-set! */
	obj_t BGl_z62rtl_setfieldzd2objtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7232, obj_t BgL_oz00_7233, obj_t BgL_vz00_7234)
	{
		{	/* SawMill/defs.sch 816 */
			return
				BGl_rtl_setfieldzd2objtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7233),
				((BgL_typez00_bglt) BgL_vz00_7234));
		}

	}



/* rtl_setfield-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2namezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_293)
	{
		{	/* SawMill/defs.sch 817 */
			return (((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_293))->BgL_namez00);
		}

	}



/* &rtl_setfield-name */
	obj_t BGl_z62rtl_setfieldzd2namezb0zzsaw_defsz00(obj_t BgL_envz00_7235,
		obj_t BgL_oz00_7236)
	{
		{	/* SawMill/defs.sch 817 */
			return
				BGl_rtl_setfieldzd2namezd2zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7236));
		}

	}



/* rtl_setfield-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2namezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_294, obj_t BgL_vz00_295)
	{
		{	/* SawMill/defs.sch 818 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_294))->BgL_namez00) =
				((obj_t) BgL_vz00_295), BUNSPEC);
		}

	}



/* &rtl_setfield-name-set! */
	obj_t BGl_z62rtl_setfieldzd2namezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7237, obj_t BgL_oz00_7238, obj_t BgL_vz00_7239)
	{
		{	/* SawMill/defs.sch 818 */
			return
				BGl_rtl_setfieldzd2namezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7238), BgL_vz00_7239);
		}

	}



/* rtl_setfield-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2loczd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_296)
	{
		{	/* SawMill/defs.sch 819 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_296)))->BgL_locz00);
		}

	}



/* &rtl_setfield-loc */
	obj_t BGl_z62rtl_setfieldzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7240,
		obj_t BgL_oz00_7241)
	{
		{	/* SawMill/defs.sch 819 */
			return
				BGl_rtl_setfieldzd2loczd2zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7241));
		}

	}



/* rtl_setfield-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_297, obj_t BgL_vz00_298)
	{
		{	/* SawMill/defs.sch 820 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_297)))->BgL_locz00) =
				((obj_t) BgL_vz00_298), BUNSPEC);
		}

	}



/* &rtl_setfield-loc-set! */
	obj_t BGl_z62rtl_setfieldzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7242, obj_t BgL_oz00_7243, obj_t BgL_vz00_7244)
	{
		{	/* SawMill/defs.sch 820 */
			return
				BGl_rtl_setfieldzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7243), BgL_vz00_7244);
		}

	}



/* make-rtl_vset */
	BGL_EXPORTED_DEF BgL_rtl_vsetz00_bglt
		BGl_makezd2rtl_vsetzd2zzsaw_defsz00(obj_t BgL_loc1400z00_299,
		BgL_typez00_bglt BgL_type1401z00_300, BgL_typez00_bglt BgL_vtype1402z00_301)
	{
		{	/* SawMill/defs.sch 823 */
			{	/* SawMill/defs.sch 823 */
				BgL_rtl_vsetz00_bglt BgL_new1415z00_8976;

				{	/* SawMill/defs.sch 823 */
					BgL_rtl_vsetz00_bglt BgL_new1414z00_8977;

					BgL_new1414z00_8977 =
						((BgL_rtl_vsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vsetz00_bgl))));
					{	/* SawMill/defs.sch 823 */
						long BgL_arg1860z00_8978;

						BgL_arg1860z00_8978 = BGL_CLASS_NUM(BGl_rtl_vsetz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1414z00_8977), BgL_arg1860z00_8978);
					}
					BgL_new1415z00_8976 = BgL_new1414z00_8977;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1415z00_8976)))->BgL_locz00) =
					((obj_t) BgL_loc1400z00_299), BUNSPEC);
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1415z00_8976))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1401z00_300), BUNSPEC);
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1415z00_8976))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1402z00_301), BUNSPEC);
				return BgL_new1415z00_8976;
			}
		}

	}



/* &make-rtl_vset */
	BgL_rtl_vsetz00_bglt BGl_z62makezd2rtl_vsetzb0zzsaw_defsz00(obj_t
		BgL_envz00_7245, obj_t BgL_loc1400z00_7246, obj_t BgL_type1401z00_7247,
		obj_t BgL_vtype1402z00_7248)
	{
		{	/* SawMill/defs.sch 823 */
			return
				BGl_makezd2rtl_vsetzd2zzsaw_defsz00(BgL_loc1400z00_7246,
				((BgL_typez00_bglt) BgL_type1401z00_7247),
				((BgL_typez00_bglt) BgL_vtype1402z00_7248));
		}

	}



/* rtl_vset? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_vsetzf3zf3zzsaw_defsz00(obj_t BgL_objz00_302)
	{
		{	/* SawMill/defs.sch 824 */
			{	/* SawMill/defs.sch 824 */
				obj_t BgL_classz00_8979;

				BgL_classz00_8979 = BGl_rtl_vsetz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_302))
					{	/* SawMill/defs.sch 824 */
						BgL_objectz00_bglt BgL_arg1801z00_8980;

						BgL_arg1801z00_8980 = (BgL_objectz00_bglt) (BgL_objz00_302);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 824 */
								long BgL_idxz00_8981;

								BgL_idxz00_8981 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8980);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8981 + 3L)) == BgL_classz00_8979);
							}
						else
							{	/* SawMill/defs.sch 824 */
								bool_t BgL_res3075z00_8984;

								{	/* SawMill/defs.sch 824 */
									obj_t BgL_oclassz00_8985;

									{	/* SawMill/defs.sch 824 */
										long BgL_arg1808z00_8986;

										{	/* SawMill/defs.sch 824 */
											long BgL_arg1809z00_8987;

											BgL_arg1809z00_8987 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8980);
											BgL_arg1808z00_8986 = (BgL_arg1809z00_8987 - OBJECT_TYPE);
										}
										BgL_oclassz00_8985 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_8986);
									}
									{	/* SawMill/defs.sch 824 */
										bool_t BgL__ortest_1115z00_8988;

										BgL__ortest_1115z00_8988 =
											(BgL_classz00_8979 == BgL_oclassz00_8985);
										if (BgL__ortest_1115z00_8988)
											{	/* SawMill/defs.sch 824 */
												BgL_res3075z00_8984 = BgL__ortest_1115z00_8988;
											}
										else
											{	/* SawMill/defs.sch 824 */
												long BgL_odepthz00_8989;

												BgL_odepthz00_8989 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8985);
												if ((3L < BgL_odepthz00_8989))
													{	/* SawMill/defs.sch 824 */
														obj_t BgL_arg1797z00_8990;

														BgL_arg1797z00_8990 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8985, 3L);
														BgL_res3075z00_8984 =
															(BgL_arg1797z00_8990 == BgL_classz00_8979);
													}
												else
													{	/* SawMill/defs.sch 824 */
														BgL_res3075z00_8984 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3075z00_8984;
							}
					}
				else
					{	/* SawMill/defs.sch 824 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_vset? */
	obj_t BGl_z62rtl_vsetzf3z91zzsaw_defsz00(obj_t BgL_envz00_7249,
		obj_t BgL_objz00_7250)
	{
		{	/* SawMill/defs.sch 824 */
			return BBOOL(BGl_rtl_vsetzf3zf3zzsaw_defsz00(BgL_objz00_7250));
		}

	}



/* rtl_vset-nil */
	BGL_EXPORTED_DEF BgL_rtl_vsetz00_bglt BGl_rtl_vsetzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 825 */
			{	/* SawMill/defs.sch 825 */
				obj_t BgL_classz00_5414;

				BgL_classz00_5414 = BGl_rtl_vsetz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 825 */
					obj_t BgL__ortest_1117z00_5415;

					BgL__ortest_1117z00_5415 = BGL_CLASS_NIL(BgL_classz00_5414);
					if (CBOOL(BgL__ortest_1117z00_5415))
						{	/* SawMill/defs.sch 825 */
							return ((BgL_rtl_vsetz00_bglt) BgL__ortest_1117z00_5415);
						}
					else
						{	/* SawMill/defs.sch 825 */
							return
								((BgL_rtl_vsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5414));
						}
				}
			}
		}

	}



/* &rtl_vset-nil */
	BgL_rtl_vsetz00_bglt BGl_z62rtl_vsetzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7251)
	{
		{	/* SawMill/defs.sch 825 */
			return BGl_rtl_vsetzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_vset-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vsetzd2vtypezd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt BgL_oz00_303)
	{
		{	/* SawMill/defs.sch 826 */
			return (((BgL_rtl_vsetz00_bglt) COBJECT(BgL_oz00_303))->BgL_vtypez00);
		}

	}



/* &rtl_vset-vtype */
	BgL_typez00_bglt BGl_z62rtl_vsetzd2vtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7252, obj_t BgL_oz00_7253)
	{
		{	/* SawMill/defs.sch 826 */
			return
				BGl_rtl_vsetzd2vtypezd2zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7253));
		}

	}



/* rtl_vset-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vsetzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt
		BgL_oz00_304, BgL_typez00_bglt BgL_vz00_305)
	{
		{	/* SawMill/defs.sch 827 */
			return
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_oz00_304))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_305), BUNSPEC);
		}

	}



/* &rtl_vset-vtype-set! */
	obj_t BGl_z62rtl_vsetzd2vtypezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7254,
		obj_t BgL_oz00_7255, obj_t BgL_vz00_7256)
	{
		{	/* SawMill/defs.sch 827 */
			return
				BGl_rtl_vsetzd2vtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7255),
				((BgL_typez00_bglt) BgL_vz00_7256));
		}

	}



/* rtl_vset-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vsetzd2typezd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt BgL_oz00_306)
	{
		{	/* SawMill/defs.sch 828 */
			return (((BgL_rtl_vsetz00_bglt) COBJECT(BgL_oz00_306))->BgL_typez00);
		}

	}



/* &rtl_vset-type */
	BgL_typez00_bglt BGl_z62rtl_vsetzd2typezb0zzsaw_defsz00(obj_t BgL_envz00_7257,
		obj_t BgL_oz00_7258)
	{
		{	/* SawMill/defs.sch 828 */
			return
				BGl_rtl_vsetzd2typezd2zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7258));
		}

	}



/* rtl_vset-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vsetzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt
		BgL_oz00_307, BgL_typez00_bglt BgL_vz00_308)
	{
		{	/* SawMill/defs.sch 829 */
			return
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_oz00_307))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_308), BUNSPEC);
		}

	}



/* &rtl_vset-type-set! */
	obj_t BGl_z62rtl_vsetzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7259,
		obj_t BgL_oz00_7260, obj_t BgL_vz00_7261)
	{
		{	/* SawMill/defs.sch 829 */
			return
				BGl_rtl_vsetzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7260),
				((BgL_typez00_bglt) BgL_vz00_7261));
		}

	}



/* rtl_vset-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_vsetzd2loczd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt
		BgL_oz00_309)
	{
		{	/* SawMill/defs.sch 830 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_309)))->BgL_locz00);
		}

	}



/* &rtl_vset-loc */
	obj_t BGl_z62rtl_vsetzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7262,
		obj_t BgL_oz00_7263)
	{
		{	/* SawMill/defs.sch 830 */
			return
				BGl_rtl_vsetzd2loczd2zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7263));
		}

	}



/* rtl_vset-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vsetzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt
		BgL_oz00_310, obj_t BgL_vz00_311)
	{
		{	/* SawMill/defs.sch 831 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_310)))->BgL_locz00) =
				((obj_t) BgL_vz00_311), BUNSPEC);
		}

	}



/* &rtl_vset-loc-set! */
	obj_t BGl_z62rtl_vsetzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7264,
		obj_t BgL_oz00_7265, obj_t BgL_vz00_7266)
	{
		{	/* SawMill/defs.sch 831 */
			return
				BGl_rtl_vsetzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7265), BgL_vz00_7266);
		}

	}



/* make-rtl_boxset */
	BGL_EXPORTED_DEF BgL_rtl_boxsetz00_bglt
		BGl_makezd2rtl_boxsetzd2zzsaw_defsz00(obj_t BgL_loc1397z00_312)
	{
		{	/* SawMill/defs.sch 834 */
			{	/* SawMill/defs.sch 834 */
				BgL_rtl_boxsetz00_bglt BgL_new1417z00_8991;

				{	/* SawMill/defs.sch 834 */
					BgL_rtl_boxsetz00_bglt BgL_new1416z00_8992;

					BgL_new1416z00_8992 =
						((BgL_rtl_boxsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_boxsetz00_bgl))));
					{	/* SawMill/defs.sch 834 */
						long BgL_arg1861z00_8993;

						BgL_arg1861z00_8993 = BGL_CLASS_NUM(BGl_rtl_boxsetz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1416z00_8992), BgL_arg1861z00_8993);
					}
					BgL_new1417z00_8991 = BgL_new1416z00_8992;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1417z00_8991)))->BgL_locz00) =
					((obj_t) BgL_loc1397z00_312), BUNSPEC);
				return BgL_new1417z00_8991;
			}
		}

	}



/* &make-rtl_boxset */
	BgL_rtl_boxsetz00_bglt BGl_z62makezd2rtl_boxsetzb0zzsaw_defsz00(obj_t
		BgL_envz00_7267, obj_t BgL_loc1397z00_7268)
	{
		{	/* SawMill/defs.sch 834 */
			return BGl_makezd2rtl_boxsetzd2zzsaw_defsz00(BgL_loc1397z00_7268);
		}

	}



/* rtl_boxset? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_boxsetzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_313)
	{
		{	/* SawMill/defs.sch 835 */
			{	/* SawMill/defs.sch 835 */
				obj_t BgL_classz00_8994;

				BgL_classz00_8994 = BGl_rtl_boxsetz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_313))
					{	/* SawMill/defs.sch 835 */
						BgL_objectz00_bglt BgL_arg1801z00_8995;

						BgL_arg1801z00_8995 = (BgL_objectz00_bglt) (BgL_objz00_313);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 835 */
								long BgL_idxz00_8996;

								BgL_idxz00_8996 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_8995);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8996 + 3L)) == BgL_classz00_8994);
							}
						else
							{	/* SawMill/defs.sch 835 */
								bool_t BgL_res3076z00_8999;

								{	/* SawMill/defs.sch 835 */
									obj_t BgL_oclassz00_9000;

									{	/* SawMill/defs.sch 835 */
										long BgL_arg1808z00_9001;

										{	/* SawMill/defs.sch 835 */
											long BgL_arg1809z00_9002;

											BgL_arg1809z00_9002 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_8995);
											BgL_arg1808z00_9001 = (BgL_arg1809z00_9002 - OBJECT_TYPE);
										}
										BgL_oclassz00_9000 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_9001);
									}
									{	/* SawMill/defs.sch 835 */
										bool_t BgL__ortest_1115z00_9003;

										BgL__ortest_1115z00_9003 =
											(BgL_classz00_8994 == BgL_oclassz00_9000);
										if (BgL__ortest_1115z00_9003)
											{	/* SawMill/defs.sch 835 */
												BgL_res3076z00_8999 = BgL__ortest_1115z00_9003;
											}
										else
											{	/* SawMill/defs.sch 835 */
												long BgL_odepthz00_9004;

												BgL_odepthz00_9004 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9000);
												if ((3L < BgL_odepthz00_9004))
													{	/* SawMill/defs.sch 835 */
														obj_t BgL_arg1797z00_9005;

														BgL_arg1797z00_9005 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9000, 3L);
														BgL_res3076z00_8999 =
															(BgL_arg1797z00_9005 == BgL_classz00_8994);
													}
												else
													{	/* SawMill/defs.sch 835 */
														BgL_res3076z00_8999 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3076z00_8999;
							}
					}
				else
					{	/* SawMill/defs.sch 835 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_boxset? */
	obj_t BGl_z62rtl_boxsetzf3z91zzsaw_defsz00(obj_t BgL_envz00_7269,
		obj_t BgL_objz00_7270)
	{
		{	/* SawMill/defs.sch 835 */
			return BBOOL(BGl_rtl_boxsetzf3zf3zzsaw_defsz00(BgL_objz00_7270));
		}

	}



/* rtl_boxset-nil */
	BGL_EXPORTED_DEF BgL_rtl_boxsetz00_bglt
		BGl_rtl_boxsetzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 836 */
			{	/* SawMill/defs.sch 836 */
				obj_t BgL_classz00_5453;

				BgL_classz00_5453 = BGl_rtl_boxsetz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 836 */
					obj_t BgL__ortest_1117z00_5454;

					BgL__ortest_1117z00_5454 = BGL_CLASS_NIL(BgL_classz00_5453);
					if (CBOOL(BgL__ortest_1117z00_5454))
						{	/* SawMill/defs.sch 836 */
							return ((BgL_rtl_boxsetz00_bglt) BgL__ortest_1117z00_5454);
						}
					else
						{	/* SawMill/defs.sch 836 */
							return
								((BgL_rtl_boxsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5453));
						}
				}
			}
		}

	}



/* &rtl_boxset-nil */
	BgL_rtl_boxsetz00_bglt BGl_z62rtl_boxsetzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7271)
	{
		{	/* SawMill/defs.sch 836 */
			return BGl_rtl_boxsetzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_boxset-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_boxsetzd2loczd2zzsaw_defsz00(BgL_rtl_boxsetz00_bglt BgL_oz00_314)
	{
		{	/* SawMill/defs.sch 837 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_314)))->BgL_locz00);
		}

	}



/* &rtl_boxset-loc */
	obj_t BGl_z62rtl_boxsetzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7272,
		obj_t BgL_oz00_7273)
	{
		{	/* SawMill/defs.sch 837 */
			return
				BGl_rtl_boxsetzd2loczd2zzsaw_defsz00(
				((BgL_rtl_boxsetz00_bglt) BgL_oz00_7273));
		}

	}



/* rtl_boxset-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_boxsetzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_boxsetz00_bglt
		BgL_oz00_315, obj_t BgL_vz00_316)
	{
		{	/* SawMill/defs.sch 838 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_315)))->BgL_locz00) =
				((obj_t) BgL_vz00_316), BUNSPEC);
		}

	}



/* &rtl_boxset-loc-set! */
	obj_t BGl_z62rtl_boxsetzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7274,
		obj_t BgL_oz00_7275, obj_t BgL_vz00_7276)
	{
		{	/* SawMill/defs.sch 838 */
			return
				BGl_rtl_boxsetzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_boxsetz00_bglt) BgL_oz00_7275), BgL_vz00_7276);
		}

	}



/* make-rtl_new */
	BGL_EXPORTED_DEF BgL_rtl_newz00_bglt BGl_makezd2rtl_newzd2zzsaw_defsz00(obj_t
		BgL_loc1393z00_317, BgL_typez00_bglt BgL_type1394z00_318,
		obj_t BgL_constr1395z00_319)
	{
		{	/* SawMill/defs.sch 841 */
			{	/* SawMill/defs.sch 841 */
				BgL_rtl_newz00_bglt BgL_new1419z00_9006;

				{	/* SawMill/defs.sch 841 */
					BgL_rtl_newz00_bglt BgL_new1418z00_9007;

					BgL_new1418z00_9007 =
						((BgL_rtl_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_newz00_bgl))));
					{	/* SawMill/defs.sch 841 */
						long BgL_arg1864z00_9008;

						BgL_arg1864z00_9008 = BGL_CLASS_NUM(BGl_rtl_newz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1418z00_9007), BgL_arg1864z00_9008);
					}
					BgL_new1419z00_9006 = BgL_new1418z00_9007;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1419z00_9006)))->BgL_locz00) =
					((obj_t) BgL_loc1393z00_317), BUNSPEC);
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1419z00_9006))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1394z00_318), BUNSPEC);
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1419z00_9006))->BgL_constrz00) =
					((obj_t) BgL_constr1395z00_319), BUNSPEC);
				return BgL_new1419z00_9006;
			}
		}

	}



/* &make-rtl_new */
	BgL_rtl_newz00_bglt BGl_z62makezd2rtl_newzb0zzsaw_defsz00(obj_t
		BgL_envz00_7277, obj_t BgL_loc1393z00_7278, obj_t BgL_type1394z00_7279,
		obj_t BgL_constr1395z00_7280)
	{
		{	/* SawMill/defs.sch 841 */
			return
				BGl_makezd2rtl_newzd2zzsaw_defsz00(BgL_loc1393z00_7278,
				((BgL_typez00_bglt) BgL_type1394z00_7279), BgL_constr1395z00_7280);
		}

	}



/* rtl_new? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_newzf3zf3zzsaw_defsz00(obj_t BgL_objz00_320)
	{
		{	/* SawMill/defs.sch 842 */
			{	/* SawMill/defs.sch 842 */
				obj_t BgL_classz00_9009;

				BgL_classz00_9009 = BGl_rtl_newz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_320))
					{	/* SawMill/defs.sch 842 */
						BgL_objectz00_bglt BgL_arg1801z00_9010;

						BgL_arg1801z00_9010 = (BgL_objectz00_bglt) (BgL_objz00_320);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 842 */
								long BgL_idxz00_9011;

								BgL_idxz00_9011 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_9010);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9011 + 2L)) == BgL_classz00_9009);
							}
						else
							{	/* SawMill/defs.sch 842 */
								bool_t BgL_res3077z00_9014;

								{	/* SawMill/defs.sch 842 */
									obj_t BgL_oclassz00_9015;

									{	/* SawMill/defs.sch 842 */
										long BgL_arg1808z00_9016;

										{	/* SawMill/defs.sch 842 */
											long BgL_arg1809z00_9017;

											BgL_arg1809z00_9017 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_9010);
											BgL_arg1808z00_9016 = (BgL_arg1809z00_9017 - OBJECT_TYPE);
										}
										BgL_oclassz00_9015 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_9016);
									}
									{	/* SawMill/defs.sch 842 */
										bool_t BgL__ortest_1115z00_9018;

										BgL__ortest_1115z00_9018 =
											(BgL_classz00_9009 == BgL_oclassz00_9015);
										if (BgL__ortest_1115z00_9018)
											{	/* SawMill/defs.sch 842 */
												BgL_res3077z00_9014 = BgL__ortest_1115z00_9018;
											}
										else
											{	/* SawMill/defs.sch 842 */
												long BgL_odepthz00_9019;

												BgL_odepthz00_9019 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9015);
												if ((2L < BgL_odepthz00_9019))
													{	/* SawMill/defs.sch 842 */
														obj_t BgL_arg1797z00_9020;

														BgL_arg1797z00_9020 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9015, 2L);
														BgL_res3077z00_9014 =
															(BgL_arg1797z00_9020 == BgL_classz00_9009);
													}
												else
													{	/* SawMill/defs.sch 842 */
														BgL_res3077z00_9014 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3077z00_9014;
							}
					}
				else
					{	/* SawMill/defs.sch 842 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_new? */
	obj_t BGl_z62rtl_newzf3z91zzsaw_defsz00(obj_t BgL_envz00_7281,
		obj_t BgL_objz00_7282)
	{
		{	/* SawMill/defs.sch 842 */
			return BBOOL(BGl_rtl_newzf3zf3zzsaw_defsz00(BgL_objz00_7282));
		}

	}



/* rtl_new-nil */
	BGL_EXPORTED_DEF BgL_rtl_newz00_bglt BGl_rtl_newzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 843 */
			{	/* SawMill/defs.sch 843 */
				obj_t BgL_classz00_5492;

				BgL_classz00_5492 = BGl_rtl_newz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 843 */
					obj_t BgL__ortest_1117z00_5493;

					BgL__ortest_1117z00_5493 = BGL_CLASS_NIL(BgL_classz00_5492);
					if (CBOOL(BgL__ortest_1117z00_5493))
						{	/* SawMill/defs.sch 843 */
							return ((BgL_rtl_newz00_bglt) BgL__ortest_1117z00_5493);
						}
					else
						{	/* SawMill/defs.sch 843 */
							return
								((BgL_rtl_newz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5492));
						}
				}
			}
		}

	}



/* &rtl_new-nil */
	BgL_rtl_newz00_bglt BGl_z62rtl_newzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7283)
	{
		{	/* SawMill/defs.sch 843 */
			return BGl_rtl_newzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_new-constr */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_newzd2constrzd2zzsaw_defsz00(BgL_rtl_newz00_bglt BgL_oz00_321)
	{
		{	/* SawMill/defs.sch 844 */
			return (((BgL_rtl_newz00_bglt) COBJECT(BgL_oz00_321))->BgL_constrz00);
		}

	}



/* &rtl_new-constr */
	obj_t BGl_z62rtl_newzd2constrzb0zzsaw_defsz00(obj_t BgL_envz00_7284,
		obj_t BgL_oz00_7285)
	{
		{	/* SawMill/defs.sch 844 */
			return
				BGl_rtl_newzd2constrzd2zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7285));
		}

	}



/* rtl_new-constr-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_newzd2constrzd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt
		BgL_oz00_322, obj_t BgL_vz00_323)
	{
		{	/* SawMill/defs.sch 845 */
			return
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_oz00_322))->BgL_constrz00) =
				((obj_t) BgL_vz00_323), BUNSPEC);
		}

	}



/* &rtl_new-constr-set! */
	obj_t BGl_z62rtl_newzd2constrzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7286,
		obj_t BgL_oz00_7287, obj_t BgL_vz00_7288)
	{
		{	/* SawMill/defs.sch 845 */
			return
				BGl_rtl_newzd2constrzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7287), BgL_vz00_7288);
		}

	}



/* rtl_new-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_newzd2typezd2zzsaw_defsz00(BgL_rtl_newz00_bglt BgL_oz00_324)
	{
		{	/* SawMill/defs.sch 846 */
			return (((BgL_rtl_newz00_bglt) COBJECT(BgL_oz00_324))->BgL_typez00);
		}

	}



/* &rtl_new-type */
	BgL_typez00_bglt BGl_z62rtl_newzd2typezb0zzsaw_defsz00(obj_t BgL_envz00_7289,
		obj_t BgL_oz00_7290)
	{
		{	/* SawMill/defs.sch 846 */
			return
				BGl_rtl_newzd2typezd2zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7290));
		}

	}



/* rtl_new-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_newzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt
		BgL_oz00_325, BgL_typez00_bglt BgL_vz00_326)
	{
		{	/* SawMill/defs.sch 847 */
			return
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_oz00_325))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_326), BUNSPEC);
		}

	}



/* &rtl_new-type-set! */
	obj_t BGl_z62rtl_newzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7291,
		obj_t BgL_oz00_7292, obj_t BgL_vz00_7293)
	{
		{	/* SawMill/defs.sch 847 */
			return
				BGl_rtl_newzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7292),
				((BgL_typez00_bglt) BgL_vz00_7293));
		}

	}



/* rtl_new-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_newzd2loczd2zzsaw_defsz00(BgL_rtl_newz00_bglt
		BgL_oz00_327)
	{
		{	/* SawMill/defs.sch 848 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_327)))->BgL_locz00);
		}

	}



/* &rtl_new-loc */
	obj_t BGl_z62rtl_newzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7294,
		obj_t BgL_oz00_7295)
	{
		{	/* SawMill/defs.sch 848 */
			return
				BGl_rtl_newzd2loczd2zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7295));
		}

	}



/* rtl_new-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_newzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt BgL_oz00_328,
		obj_t BgL_vz00_329)
	{
		{	/* SawMill/defs.sch 849 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_328)))->BgL_locz00) =
				((obj_t) BgL_vz00_329), BUNSPEC);
		}

	}



/* &rtl_new-loc-set! */
	obj_t BGl_z62rtl_newzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7296,
		obj_t BgL_oz00_7297, obj_t BgL_vz00_7298)
	{
		{	/* SawMill/defs.sch 849 */
			return
				BGl_rtl_newzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7297), BgL_vz00_7298);
		}

	}



/* make-rtl_call */
	BGL_EXPORTED_DEF BgL_rtl_callz00_bglt
		BGl_makezd2rtl_callzd2zzsaw_defsz00(obj_t BgL_loc1389z00_330,
		BgL_globalz00_bglt BgL_var1390z00_331)
	{
		{	/* SawMill/defs.sch 852 */
			{	/* SawMill/defs.sch 852 */
				BgL_rtl_callz00_bglt BgL_new1421z00_9021;

				{	/* SawMill/defs.sch 852 */
					BgL_rtl_callz00_bglt BgL_new1420z00_9022;

					BgL_new1420z00_9022 =
						((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_callz00_bgl))));
					{	/* SawMill/defs.sch 852 */
						long BgL_arg1866z00_9023;

						BgL_arg1866z00_9023 = BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1420z00_9022), BgL_arg1866z00_9023);
					}
					BgL_new1421z00_9021 = BgL_new1420z00_9022;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1421z00_9021)))->BgL_locz00) =
					((obj_t) BgL_loc1389z00_330), BUNSPEC);
				((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1421z00_9021))->BgL_varz00) =
					((BgL_globalz00_bglt) BgL_var1390z00_331), BUNSPEC);
				return BgL_new1421z00_9021;
			}
		}

	}



/* &make-rtl_call */
	BgL_rtl_callz00_bglt BGl_z62makezd2rtl_callzb0zzsaw_defsz00(obj_t
		BgL_envz00_7299, obj_t BgL_loc1389z00_7300, obj_t BgL_var1390z00_7301)
	{
		{	/* SawMill/defs.sch 852 */
			return
				BGl_makezd2rtl_callzd2zzsaw_defsz00(BgL_loc1389z00_7300,
				((BgL_globalz00_bglt) BgL_var1390z00_7301));
		}

	}



/* rtl_call? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_callzf3zf3zzsaw_defsz00(obj_t BgL_objz00_332)
	{
		{	/* SawMill/defs.sch 853 */
			{	/* SawMill/defs.sch 853 */
				obj_t BgL_classz00_9024;

				BgL_classz00_9024 = BGl_rtl_callz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_332))
					{	/* SawMill/defs.sch 853 */
						BgL_objectz00_bglt BgL_arg1801z00_9025;

						BgL_arg1801z00_9025 = (BgL_objectz00_bglt) (BgL_objz00_332);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 853 */
								long BgL_idxz00_9026;

								BgL_idxz00_9026 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_9025);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9026 + 2L)) == BgL_classz00_9024);
							}
						else
							{	/* SawMill/defs.sch 853 */
								bool_t BgL_res3078z00_9029;

								{	/* SawMill/defs.sch 853 */
									obj_t BgL_oclassz00_9030;

									{	/* SawMill/defs.sch 853 */
										long BgL_arg1808z00_9031;

										{	/* SawMill/defs.sch 853 */
											long BgL_arg1809z00_9032;

											BgL_arg1809z00_9032 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_9025);
											BgL_arg1808z00_9031 = (BgL_arg1809z00_9032 - OBJECT_TYPE);
										}
										BgL_oclassz00_9030 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_9031);
									}
									{	/* SawMill/defs.sch 853 */
										bool_t BgL__ortest_1115z00_9033;

										BgL__ortest_1115z00_9033 =
											(BgL_classz00_9024 == BgL_oclassz00_9030);
										if (BgL__ortest_1115z00_9033)
											{	/* SawMill/defs.sch 853 */
												BgL_res3078z00_9029 = BgL__ortest_1115z00_9033;
											}
										else
											{	/* SawMill/defs.sch 853 */
												long BgL_odepthz00_9034;

												BgL_odepthz00_9034 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9030);
												if ((2L < BgL_odepthz00_9034))
													{	/* SawMill/defs.sch 853 */
														obj_t BgL_arg1797z00_9035;

														BgL_arg1797z00_9035 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9030, 2L);
														BgL_res3078z00_9029 =
															(BgL_arg1797z00_9035 == BgL_classz00_9024);
													}
												else
													{	/* SawMill/defs.sch 853 */
														BgL_res3078z00_9029 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3078z00_9029;
							}
					}
				else
					{	/* SawMill/defs.sch 853 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_call? */
	obj_t BGl_z62rtl_callzf3z91zzsaw_defsz00(obj_t BgL_envz00_7302,
		obj_t BgL_objz00_7303)
	{
		{	/* SawMill/defs.sch 853 */
			return BBOOL(BGl_rtl_callzf3zf3zzsaw_defsz00(BgL_objz00_7303));
		}

	}



/* rtl_call-nil */
	BGL_EXPORTED_DEF BgL_rtl_callz00_bglt BGl_rtl_callzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 854 */
			{	/* SawMill/defs.sch 854 */
				obj_t BgL_classz00_5531;

				BgL_classz00_5531 = BGl_rtl_callz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 854 */
					obj_t BgL__ortest_1117z00_5532;

					BgL__ortest_1117z00_5532 = BGL_CLASS_NIL(BgL_classz00_5531);
					if (CBOOL(BgL__ortest_1117z00_5532))
						{	/* SawMill/defs.sch 854 */
							return ((BgL_rtl_callz00_bglt) BgL__ortest_1117z00_5532);
						}
					else
						{	/* SawMill/defs.sch 854 */
							return
								((BgL_rtl_callz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5531));
						}
				}
			}
		}

	}



/* &rtl_call-nil */
	BgL_rtl_callz00_bglt BGl_z62rtl_callzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7304)
	{
		{	/* SawMill/defs.sch 854 */
			return BGl_rtl_callzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_call-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_callzd2varzd2zzsaw_defsz00(BgL_rtl_callz00_bglt BgL_oz00_333)
	{
		{	/* SawMill/defs.sch 855 */
			return (((BgL_rtl_callz00_bglt) COBJECT(BgL_oz00_333))->BgL_varz00);
		}

	}



/* &rtl_call-var */
	BgL_globalz00_bglt BGl_z62rtl_callzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_7305, obj_t BgL_oz00_7306)
	{
		{	/* SawMill/defs.sch 855 */
			return
				BGl_rtl_callzd2varzd2zzsaw_defsz00(
				((BgL_rtl_callz00_bglt) BgL_oz00_7306));
		}

	}



/* rtl_call-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_callzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_callz00_bglt
		BgL_oz00_334, BgL_globalz00_bglt BgL_vz00_335)
	{
		{	/* SawMill/defs.sch 856 */
			return
				((((BgL_rtl_callz00_bglt) COBJECT(BgL_oz00_334))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_335), BUNSPEC);
		}

	}



/* &rtl_call-var-set! */
	obj_t BGl_z62rtl_callzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7307,
		obj_t BgL_oz00_7308, obj_t BgL_vz00_7309)
	{
		{	/* SawMill/defs.sch 856 */
			return
				BGl_rtl_callzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_callz00_bglt) BgL_oz00_7308),
				((BgL_globalz00_bglt) BgL_vz00_7309));
		}

	}



/* rtl_call-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_callzd2loczd2zzsaw_defsz00(BgL_rtl_callz00_bglt
		BgL_oz00_336)
	{
		{	/* SawMill/defs.sch 857 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_336)))->BgL_locz00);
		}

	}



/* &rtl_call-loc */
	obj_t BGl_z62rtl_callzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7310,
		obj_t BgL_oz00_7311)
	{
		{	/* SawMill/defs.sch 857 */
			return
				BGl_rtl_callzd2loczd2zzsaw_defsz00(
				((BgL_rtl_callz00_bglt) BgL_oz00_7311));
		}

	}



/* rtl_call-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_callzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_callz00_bglt
		BgL_oz00_337, obj_t BgL_vz00_338)
	{
		{	/* SawMill/defs.sch 858 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_337)))->BgL_locz00) =
				((obj_t) BgL_vz00_338), BUNSPEC);
		}

	}



/* &rtl_call-loc-set! */
	obj_t BGl_z62rtl_callzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7312,
		obj_t BgL_oz00_7313, obj_t BgL_vz00_7314)
	{
		{	/* SawMill/defs.sch 858 */
			return
				BGl_rtl_callzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_callz00_bglt) BgL_oz00_7313), BgL_vz00_7314);
		}

	}



/* make-rtl_apply */
	BGL_EXPORTED_DEF BgL_rtl_applyz00_bglt
		BGl_makezd2rtl_applyzd2zzsaw_defsz00(obj_t BgL_loc1386z00_339)
	{
		{	/* SawMill/defs.sch 861 */
			{	/* SawMill/defs.sch 861 */
				BgL_rtl_applyz00_bglt BgL_new1424z00_9036;

				{	/* SawMill/defs.sch 861 */
					BgL_rtl_applyz00_bglt BgL_new1422z00_9037;

					BgL_new1422z00_9037 =
						((BgL_rtl_applyz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_applyz00_bgl))));
					{	/* SawMill/defs.sch 861 */
						long BgL_arg1867z00_9038;

						BgL_arg1867z00_9038 = BGL_CLASS_NUM(BGl_rtl_applyz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1422z00_9037), BgL_arg1867z00_9038);
					}
					BgL_new1424z00_9036 = BgL_new1422z00_9037;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1424z00_9036)))->BgL_locz00) =
					((obj_t) BgL_loc1386z00_339), BUNSPEC);
				return BgL_new1424z00_9036;
			}
		}

	}



/* &make-rtl_apply */
	BgL_rtl_applyz00_bglt BGl_z62makezd2rtl_applyzb0zzsaw_defsz00(obj_t
		BgL_envz00_7315, obj_t BgL_loc1386z00_7316)
	{
		{	/* SawMill/defs.sch 861 */
			return BGl_makezd2rtl_applyzd2zzsaw_defsz00(BgL_loc1386z00_7316);
		}

	}



/* rtl_apply? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_applyzf3zf3zzsaw_defsz00(obj_t BgL_objz00_340)
	{
		{	/* SawMill/defs.sch 862 */
			{	/* SawMill/defs.sch 862 */
				obj_t BgL_classz00_9039;

				BgL_classz00_9039 = BGl_rtl_applyz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_340))
					{	/* SawMill/defs.sch 862 */
						BgL_objectz00_bglt BgL_arg1801z00_9040;

						BgL_arg1801z00_9040 = (BgL_objectz00_bglt) (BgL_objz00_340);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 862 */
								long BgL_idxz00_9041;

								BgL_idxz00_9041 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_9040);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9041 + 2L)) == BgL_classz00_9039);
							}
						else
							{	/* SawMill/defs.sch 862 */
								bool_t BgL_res3079z00_9044;

								{	/* SawMill/defs.sch 862 */
									obj_t BgL_oclassz00_9045;

									{	/* SawMill/defs.sch 862 */
										long BgL_arg1808z00_9046;

										{	/* SawMill/defs.sch 862 */
											long BgL_arg1809z00_9047;

											BgL_arg1809z00_9047 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_9040);
											BgL_arg1808z00_9046 = (BgL_arg1809z00_9047 - OBJECT_TYPE);
										}
										BgL_oclassz00_9045 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_9046);
									}
									{	/* SawMill/defs.sch 862 */
										bool_t BgL__ortest_1115z00_9048;

										BgL__ortest_1115z00_9048 =
											(BgL_classz00_9039 == BgL_oclassz00_9045);
										if (BgL__ortest_1115z00_9048)
											{	/* SawMill/defs.sch 862 */
												BgL_res3079z00_9044 = BgL__ortest_1115z00_9048;
											}
										else
											{	/* SawMill/defs.sch 862 */
												long BgL_odepthz00_9049;

												BgL_odepthz00_9049 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9045);
												if ((2L < BgL_odepthz00_9049))
													{	/* SawMill/defs.sch 862 */
														obj_t BgL_arg1797z00_9050;

														BgL_arg1797z00_9050 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9045, 2L);
														BgL_res3079z00_9044 =
															(BgL_arg1797z00_9050 == BgL_classz00_9039);
													}
												else
													{	/* SawMill/defs.sch 862 */
														BgL_res3079z00_9044 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3079z00_9044;
							}
					}
				else
					{	/* SawMill/defs.sch 862 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_apply? */
	obj_t BGl_z62rtl_applyzf3z91zzsaw_defsz00(obj_t BgL_envz00_7317,
		obj_t BgL_objz00_7318)
	{
		{	/* SawMill/defs.sch 862 */
			return BBOOL(BGl_rtl_applyzf3zf3zzsaw_defsz00(BgL_objz00_7318));
		}

	}



/* rtl_apply-nil */
	BGL_EXPORTED_DEF BgL_rtl_applyz00_bglt
		BGl_rtl_applyzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 863 */
			{	/* SawMill/defs.sch 863 */
				obj_t BgL_classz00_5570;

				BgL_classz00_5570 = BGl_rtl_applyz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 863 */
					obj_t BgL__ortest_1117z00_5571;

					BgL__ortest_1117z00_5571 = BGL_CLASS_NIL(BgL_classz00_5570);
					if (CBOOL(BgL__ortest_1117z00_5571))
						{	/* SawMill/defs.sch 863 */
							return ((BgL_rtl_applyz00_bglt) BgL__ortest_1117z00_5571);
						}
					else
						{	/* SawMill/defs.sch 863 */
							return
								((BgL_rtl_applyz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5570));
						}
				}
			}
		}

	}



/* &rtl_apply-nil */
	BgL_rtl_applyz00_bglt BGl_z62rtl_applyzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7319)
	{
		{	/* SawMill/defs.sch 863 */
			return BGl_rtl_applyzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_apply-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_applyzd2loczd2zzsaw_defsz00(BgL_rtl_applyz00_bglt BgL_oz00_341)
	{
		{	/* SawMill/defs.sch 864 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_341)))->BgL_locz00);
		}

	}



/* &rtl_apply-loc */
	obj_t BGl_z62rtl_applyzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7320,
		obj_t BgL_oz00_7321)
	{
		{	/* SawMill/defs.sch 864 */
			return
				BGl_rtl_applyzd2loczd2zzsaw_defsz00(
				((BgL_rtl_applyz00_bglt) BgL_oz00_7321));
		}

	}



/* rtl_apply-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_applyzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_applyz00_bglt
		BgL_oz00_342, obj_t BgL_vz00_343)
	{
		{	/* SawMill/defs.sch 865 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_342)))->BgL_locz00) =
				((obj_t) BgL_vz00_343), BUNSPEC);
		}

	}



/* &rtl_apply-loc-set! */
	obj_t BGl_z62rtl_applyzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7322,
		obj_t BgL_oz00_7323, obj_t BgL_vz00_7324)
	{
		{	/* SawMill/defs.sch 865 */
			return
				BGl_rtl_applyzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_applyz00_bglt) BgL_oz00_7323), BgL_vz00_7324);
		}

	}



/* make-rtl_lightfuncall */
	BGL_EXPORTED_DEF BgL_rtl_lightfuncallz00_bglt
		BGl_makezd2rtl_lightfuncallzd2zzsaw_defsz00(obj_t BgL_loc1381z00_344,
		obj_t BgL_name1382z00_345, obj_t BgL_funs1383z00_346,
		obj_t BgL_rettype1384z00_347)
	{
		{	/* SawMill/defs.sch 868 */
			{	/* SawMill/defs.sch 868 */
				BgL_rtl_lightfuncallz00_bglt BgL_new1426z00_9051;

				{	/* SawMill/defs.sch 868 */
					BgL_rtl_lightfuncallz00_bglt BgL_new1425z00_9052;

					BgL_new1425z00_9052 =
						((BgL_rtl_lightfuncallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_lightfuncallz00_bgl))));
					{	/* SawMill/defs.sch 868 */
						long BgL_arg1868z00_9053;

						BgL_arg1868z00_9053 =
							BGL_CLASS_NUM(BGl_rtl_lightfuncallz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1425z00_9052), BgL_arg1868z00_9053);
					}
					BgL_new1426z00_9051 = BgL_new1425z00_9052;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1426z00_9051)))->BgL_locz00) =
					((obj_t) BgL_loc1381z00_344), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1426z00_9051))->
						BgL_namez00) = ((obj_t) BgL_name1382z00_345), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1426z00_9051))->
						BgL_funsz00) = ((obj_t) BgL_funs1383z00_346), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1426z00_9051))->
						BgL_rettypez00) = ((obj_t) BgL_rettype1384z00_347), BUNSPEC);
				return BgL_new1426z00_9051;
			}
		}

	}



/* &make-rtl_lightfuncall */
	BgL_rtl_lightfuncallz00_bglt
		BGl_z62makezd2rtl_lightfuncallzb0zzsaw_defsz00(obj_t BgL_envz00_7325,
		obj_t BgL_loc1381z00_7326, obj_t BgL_name1382z00_7327,
		obj_t BgL_funs1383z00_7328, obj_t BgL_rettype1384z00_7329)
	{
		{	/* SawMill/defs.sch 868 */
			return
				BGl_makezd2rtl_lightfuncallzd2zzsaw_defsz00(BgL_loc1381z00_7326,
				BgL_name1382z00_7327, BgL_funs1383z00_7328, BgL_rettype1384z00_7329);
		}

	}



/* rtl_lightfuncall? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_lightfuncallzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_348)
	{
		{	/* SawMill/defs.sch 869 */
			{	/* SawMill/defs.sch 869 */
				obj_t BgL_classz00_9054;

				BgL_classz00_9054 = BGl_rtl_lightfuncallz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_348))
					{	/* SawMill/defs.sch 869 */
						BgL_objectz00_bglt BgL_arg1801z00_9055;

						BgL_arg1801z00_9055 = (BgL_objectz00_bglt) (BgL_objz00_348);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 869 */
								long BgL_idxz00_9056;

								BgL_idxz00_9056 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_9055);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9056 + 2L)) == BgL_classz00_9054);
							}
						else
							{	/* SawMill/defs.sch 869 */
								bool_t BgL_res3080z00_9059;

								{	/* SawMill/defs.sch 869 */
									obj_t BgL_oclassz00_9060;

									{	/* SawMill/defs.sch 869 */
										long BgL_arg1808z00_9061;

										{	/* SawMill/defs.sch 869 */
											long BgL_arg1809z00_9062;

											BgL_arg1809z00_9062 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_9055);
											BgL_arg1808z00_9061 = (BgL_arg1809z00_9062 - OBJECT_TYPE);
										}
										BgL_oclassz00_9060 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_9061);
									}
									{	/* SawMill/defs.sch 869 */
										bool_t BgL__ortest_1115z00_9063;

										BgL__ortest_1115z00_9063 =
											(BgL_classz00_9054 == BgL_oclassz00_9060);
										if (BgL__ortest_1115z00_9063)
											{	/* SawMill/defs.sch 869 */
												BgL_res3080z00_9059 = BgL__ortest_1115z00_9063;
											}
										else
											{	/* SawMill/defs.sch 869 */
												long BgL_odepthz00_9064;

												BgL_odepthz00_9064 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9060);
												if ((2L < BgL_odepthz00_9064))
													{	/* SawMill/defs.sch 869 */
														obj_t BgL_arg1797z00_9065;

														BgL_arg1797z00_9065 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9060, 2L);
														BgL_res3080z00_9059 =
															(BgL_arg1797z00_9065 == BgL_classz00_9054);
													}
												else
													{	/* SawMill/defs.sch 869 */
														BgL_res3080z00_9059 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3080z00_9059;
							}
					}
				else
					{	/* SawMill/defs.sch 869 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_lightfuncall? */
	obj_t BGl_z62rtl_lightfuncallzf3z91zzsaw_defsz00(obj_t BgL_envz00_7330,
		obj_t BgL_objz00_7331)
	{
		{	/* SawMill/defs.sch 869 */
			return BBOOL(BGl_rtl_lightfuncallzf3zf3zzsaw_defsz00(BgL_objz00_7331));
		}

	}



/* rtl_lightfuncall-nil */
	BGL_EXPORTED_DEF BgL_rtl_lightfuncallz00_bglt
		BGl_rtl_lightfuncallzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 870 */
			{	/* SawMill/defs.sch 870 */
				obj_t BgL_classz00_5609;

				BgL_classz00_5609 = BGl_rtl_lightfuncallz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 870 */
					obj_t BgL__ortest_1117z00_5610;

					BgL__ortest_1117z00_5610 = BGL_CLASS_NIL(BgL_classz00_5609);
					if (CBOOL(BgL__ortest_1117z00_5610))
						{	/* SawMill/defs.sch 870 */
							return ((BgL_rtl_lightfuncallz00_bglt) BgL__ortest_1117z00_5610);
						}
					else
						{	/* SawMill/defs.sch 870 */
							return
								((BgL_rtl_lightfuncallz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5609));
						}
				}
			}
		}

	}



/* &rtl_lightfuncall-nil */
	BgL_rtl_lightfuncallz00_bglt
		BGl_z62rtl_lightfuncallzd2nilzb0zzsaw_defsz00(obj_t BgL_envz00_7332)
	{
		{	/* SawMill/defs.sch 870 */
			return BGl_rtl_lightfuncallzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_lightfuncall-rettype */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2rettypezd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt
		BgL_oz00_349)
	{
		{	/* SawMill/defs.sch 871 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_349))->
				BgL_rettypez00);
		}

	}



/* &rtl_lightfuncall-rettype */
	obj_t BGl_z62rtl_lightfuncallzd2rettypezb0zzsaw_defsz00(obj_t BgL_envz00_7333,
		obj_t BgL_oz00_7334)
	{
		{	/* SawMill/defs.sch 871 */
			return
				BGl_rtl_lightfuncallzd2rettypezd2zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7334));
		}

	}



/* rtl_lightfuncall-rettype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2rettypezd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt BgL_oz00_350, obj_t BgL_vz00_351)
	{
		{	/* SawMill/defs.sch 872 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_350))->
					BgL_rettypez00) = ((obj_t) BgL_vz00_351), BUNSPEC);
		}

	}



/* &rtl_lightfuncall-rettype-set! */
	obj_t BGl_z62rtl_lightfuncallzd2rettypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7335, obj_t BgL_oz00_7336, obj_t BgL_vz00_7337)
	{
		{	/* SawMill/defs.sch 872 */
			return
				BGl_rtl_lightfuncallzd2rettypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7336), BgL_vz00_7337);
		}

	}



/* rtl_lightfuncall-funs */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2funszd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt
		BgL_oz00_352)
	{
		{	/* SawMill/defs.sch 873 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_352))->BgL_funsz00);
		}

	}



/* &rtl_lightfuncall-funs */
	obj_t BGl_z62rtl_lightfuncallzd2funszb0zzsaw_defsz00(obj_t BgL_envz00_7338,
		obj_t BgL_oz00_7339)
	{
		{	/* SawMill/defs.sch 873 */
			return
				BGl_rtl_lightfuncallzd2funszd2zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7339));
		}

	}



/* rtl_lightfuncall-funs-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2funszd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt BgL_oz00_353, obj_t BgL_vz00_354)
	{
		{	/* SawMill/defs.sch 874 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_353))->BgL_funsz00) =
				((obj_t) BgL_vz00_354), BUNSPEC);
		}

	}



/* &rtl_lightfuncall-funs-set! */
	obj_t BGl_z62rtl_lightfuncallzd2funszd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7340, obj_t BgL_oz00_7341, obj_t BgL_vz00_7342)
	{
		{	/* SawMill/defs.sch 874 */
			return
				BGl_rtl_lightfuncallzd2funszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7341), BgL_vz00_7342);
		}

	}



/* rtl_lightfuncall-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2namezd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt
		BgL_oz00_355)
	{
		{	/* SawMill/defs.sch 875 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_355))->BgL_namez00);
		}

	}



/* &rtl_lightfuncall-name */
	obj_t BGl_z62rtl_lightfuncallzd2namezb0zzsaw_defsz00(obj_t BgL_envz00_7343,
		obj_t BgL_oz00_7344)
	{
		{	/* SawMill/defs.sch 875 */
			return
				BGl_rtl_lightfuncallzd2namezd2zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7344));
		}

	}



/* rtl_lightfuncall-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2namezd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt BgL_oz00_356, obj_t BgL_vz00_357)
	{
		{	/* SawMill/defs.sch 876 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_356))->BgL_namez00) =
				((obj_t) BgL_vz00_357), BUNSPEC);
		}

	}



/* &rtl_lightfuncall-name-set! */
	obj_t BGl_z62rtl_lightfuncallzd2namezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7345, obj_t BgL_oz00_7346, obj_t BgL_vz00_7347)
	{
		{	/* SawMill/defs.sch 876 */
			return
				BGl_rtl_lightfuncallzd2namezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7346), BgL_vz00_7347);
		}

	}



/* rtl_lightfuncall-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2loczd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt
		BgL_oz00_358)
	{
		{	/* SawMill/defs.sch 877 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_358)))->BgL_locz00);
		}

	}



/* &rtl_lightfuncall-loc */
	obj_t BGl_z62rtl_lightfuncallzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7348,
		obj_t BgL_oz00_7349)
	{
		{	/* SawMill/defs.sch 877 */
			return
				BGl_rtl_lightfuncallzd2loczd2zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7349));
		}

	}



/* rtl_lightfuncall-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2loczd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt BgL_oz00_359, obj_t BgL_vz00_360)
	{
		{	/* SawMill/defs.sch 878 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_359)))->BgL_locz00) =
				((obj_t) BgL_vz00_360), BUNSPEC);
		}

	}



/* &rtl_lightfuncall-loc-set! */
	obj_t BGl_z62rtl_lightfuncallzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7350, obj_t BgL_oz00_7351, obj_t BgL_vz00_7352)
	{
		{	/* SawMill/defs.sch 878 */
			return
				BGl_rtl_lightfuncallzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7351), BgL_vz00_7352);
		}

	}



/* make-rtl_funcall */
	BGL_EXPORTED_DEF BgL_rtl_funcallz00_bglt
		BGl_makezd2rtl_funcallzd2zzsaw_defsz00(obj_t BgL_loc1379z00_361)
	{
		{	/* SawMill/defs.sch 881 */
			{	/* SawMill/defs.sch 881 */
				BgL_rtl_funcallz00_bglt BgL_new1428z00_9066;

				{	/* SawMill/defs.sch 881 */
					BgL_rtl_funcallz00_bglt BgL_new1427z00_9067;

					BgL_new1427z00_9067 =
						((BgL_rtl_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_funcallz00_bgl))));
					{	/* SawMill/defs.sch 881 */
						long BgL_arg1870z00_9068;

						BgL_arg1870z00_9068 =
							BGL_CLASS_NUM(BGl_rtl_funcallz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1427z00_9067), BgL_arg1870z00_9068);
					}
					BgL_new1428z00_9066 = BgL_new1427z00_9067;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1428z00_9066)))->BgL_locz00) =
					((obj_t) BgL_loc1379z00_361), BUNSPEC);
				return BgL_new1428z00_9066;
			}
		}

	}



/* &make-rtl_funcall */
	BgL_rtl_funcallz00_bglt BGl_z62makezd2rtl_funcallzb0zzsaw_defsz00(obj_t
		BgL_envz00_7353, obj_t BgL_loc1379z00_7354)
	{
		{	/* SawMill/defs.sch 881 */
			return BGl_makezd2rtl_funcallzd2zzsaw_defsz00(BgL_loc1379z00_7354);
		}

	}



/* rtl_funcall? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_funcallzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_362)
	{
		{	/* SawMill/defs.sch 882 */
			{	/* SawMill/defs.sch 882 */
				obj_t BgL_classz00_9069;

				BgL_classz00_9069 = BGl_rtl_funcallz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_362))
					{	/* SawMill/defs.sch 882 */
						BgL_objectz00_bglt BgL_arg1801z00_9070;

						BgL_arg1801z00_9070 = (BgL_objectz00_bglt) (BgL_objz00_362);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 882 */
								long BgL_idxz00_9071;

								BgL_idxz00_9071 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_9070);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9071 + 2L)) == BgL_classz00_9069);
							}
						else
							{	/* SawMill/defs.sch 882 */
								bool_t BgL_res3081z00_9074;

								{	/* SawMill/defs.sch 882 */
									obj_t BgL_oclassz00_9075;

									{	/* SawMill/defs.sch 882 */
										long BgL_arg1808z00_9076;

										{	/* SawMill/defs.sch 882 */
											long BgL_arg1809z00_9077;

											BgL_arg1809z00_9077 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_9070);
											BgL_arg1808z00_9076 = (BgL_arg1809z00_9077 - OBJECT_TYPE);
										}
										BgL_oclassz00_9075 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_9076);
									}
									{	/* SawMill/defs.sch 882 */
										bool_t BgL__ortest_1115z00_9078;

										BgL__ortest_1115z00_9078 =
											(BgL_classz00_9069 == BgL_oclassz00_9075);
										if (BgL__ortest_1115z00_9078)
											{	/* SawMill/defs.sch 882 */
												BgL_res3081z00_9074 = BgL__ortest_1115z00_9078;
											}
										else
											{	/* SawMill/defs.sch 882 */
												long BgL_odepthz00_9079;

												BgL_odepthz00_9079 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9075);
												if ((2L < BgL_odepthz00_9079))
													{	/* SawMill/defs.sch 882 */
														obj_t BgL_arg1797z00_9080;

														BgL_arg1797z00_9080 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9075, 2L);
														BgL_res3081z00_9074 =
															(BgL_arg1797z00_9080 == BgL_classz00_9069);
													}
												else
													{	/* SawMill/defs.sch 882 */
														BgL_res3081z00_9074 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3081z00_9074;
							}
					}
				else
					{	/* SawMill/defs.sch 882 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_funcall? */
	obj_t BGl_z62rtl_funcallzf3z91zzsaw_defsz00(obj_t BgL_envz00_7355,
		obj_t BgL_objz00_7356)
	{
		{	/* SawMill/defs.sch 882 */
			return BBOOL(BGl_rtl_funcallzf3zf3zzsaw_defsz00(BgL_objz00_7356));
		}

	}



/* rtl_funcall-nil */
	BGL_EXPORTED_DEF BgL_rtl_funcallz00_bglt
		BGl_rtl_funcallzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 883 */
			{	/* SawMill/defs.sch 883 */
				obj_t BgL_classz00_5648;

				BgL_classz00_5648 = BGl_rtl_funcallz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 883 */
					obj_t BgL__ortest_1117z00_5649;

					BgL__ortest_1117z00_5649 = BGL_CLASS_NIL(BgL_classz00_5648);
					if (CBOOL(BgL__ortest_1117z00_5649))
						{	/* SawMill/defs.sch 883 */
							return ((BgL_rtl_funcallz00_bglt) BgL__ortest_1117z00_5649);
						}
					else
						{	/* SawMill/defs.sch 883 */
							return
								((BgL_rtl_funcallz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5648));
						}
				}
			}
		}

	}



/* &rtl_funcall-nil */
	BgL_rtl_funcallz00_bglt BGl_z62rtl_funcallzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7357)
	{
		{	/* SawMill/defs.sch 883 */
			return BGl_rtl_funcallzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_funcall-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_funcallzd2loczd2zzsaw_defsz00(BgL_rtl_funcallz00_bglt BgL_oz00_363)
	{
		{	/* SawMill/defs.sch 884 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_363)))->BgL_locz00);
		}

	}



/* &rtl_funcall-loc */
	obj_t BGl_z62rtl_funcallzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7358,
		obj_t BgL_oz00_7359)
	{
		{	/* SawMill/defs.sch 884 */
			return
				BGl_rtl_funcallzd2loczd2zzsaw_defsz00(
				((BgL_rtl_funcallz00_bglt) BgL_oz00_7359));
		}

	}



/* rtl_funcall-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_funcallzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_funcallz00_bglt
		BgL_oz00_364, obj_t BgL_vz00_365)
	{
		{	/* SawMill/defs.sch 885 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_364)))->BgL_locz00) =
				((obj_t) BgL_vz00_365), BUNSPEC);
		}

	}



/* &rtl_funcall-loc-set! */
	obj_t BGl_z62rtl_funcallzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7360,
		obj_t BgL_oz00_7361, obj_t BgL_vz00_7362)
	{
		{	/* SawMill/defs.sch 885 */
			return
				BGl_rtl_funcallzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_funcallz00_bglt) BgL_oz00_7361), BgL_vz00_7362);
		}

	}



/* make-rtl_pragma */
	BGL_EXPORTED_DEF BgL_rtl_pragmaz00_bglt
		BGl_makezd2rtl_pragmazd2zzsaw_defsz00(obj_t BgL_loc1376z00_366,
		obj_t BgL_format1377z00_367)
	{
		{	/* SawMill/defs.sch 888 */
			{	/* SawMill/defs.sch 888 */
				BgL_rtl_pragmaz00_bglt BgL_new1430z00_9081;

				{	/* SawMill/defs.sch 888 */
					BgL_rtl_pragmaz00_bglt BgL_new1429z00_9082;

					BgL_new1429z00_9082 =
						((BgL_rtl_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_pragmaz00_bgl))));
					{	/* SawMill/defs.sch 888 */
						long BgL_arg1872z00_9083;

						BgL_arg1872z00_9083 = BGL_CLASS_NUM(BGl_rtl_pragmaz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1429z00_9082), BgL_arg1872z00_9083);
					}
					BgL_new1430z00_9081 = BgL_new1429z00_9082;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1430z00_9081)))->BgL_locz00) =
					((obj_t) BgL_loc1376z00_366), BUNSPEC);
				((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_new1430z00_9081))->
						BgL_formatz00) = ((obj_t) BgL_format1377z00_367), BUNSPEC);
				return BgL_new1430z00_9081;
			}
		}

	}



/* &make-rtl_pragma */
	BgL_rtl_pragmaz00_bglt BGl_z62makezd2rtl_pragmazb0zzsaw_defsz00(obj_t
		BgL_envz00_7363, obj_t BgL_loc1376z00_7364, obj_t BgL_format1377z00_7365)
	{
		{	/* SawMill/defs.sch 888 */
			return
				BGl_makezd2rtl_pragmazd2zzsaw_defsz00(BgL_loc1376z00_7364,
				BgL_format1377z00_7365);
		}

	}



/* rtl_pragma? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_pragmazf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_368)
	{
		{	/* SawMill/defs.sch 889 */
			{	/* SawMill/defs.sch 889 */
				obj_t BgL_classz00_9084;

				BgL_classz00_9084 = BGl_rtl_pragmaz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_368))
					{	/* SawMill/defs.sch 889 */
						BgL_objectz00_bglt BgL_arg1801z00_9085;

						BgL_arg1801z00_9085 = (BgL_objectz00_bglt) (BgL_objz00_368);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 889 */
								long BgL_idxz00_9086;

								BgL_idxz00_9086 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_9085);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9086 + 2L)) == BgL_classz00_9084);
							}
						else
							{	/* SawMill/defs.sch 889 */
								bool_t BgL_res3082z00_9089;

								{	/* SawMill/defs.sch 889 */
									obj_t BgL_oclassz00_9090;

									{	/* SawMill/defs.sch 889 */
										long BgL_arg1808z00_9091;

										{	/* SawMill/defs.sch 889 */
											long BgL_arg1809z00_9092;

											BgL_arg1809z00_9092 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_9085);
											BgL_arg1808z00_9091 = (BgL_arg1809z00_9092 - OBJECT_TYPE);
										}
										BgL_oclassz00_9090 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_9091);
									}
									{	/* SawMill/defs.sch 889 */
										bool_t BgL__ortest_1115z00_9093;

										BgL__ortest_1115z00_9093 =
											(BgL_classz00_9084 == BgL_oclassz00_9090);
										if (BgL__ortest_1115z00_9093)
											{	/* SawMill/defs.sch 889 */
												BgL_res3082z00_9089 = BgL__ortest_1115z00_9093;
											}
										else
											{	/* SawMill/defs.sch 889 */
												long BgL_odepthz00_9094;

												BgL_odepthz00_9094 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9090);
												if ((2L < BgL_odepthz00_9094))
													{	/* SawMill/defs.sch 889 */
														obj_t BgL_arg1797z00_9095;

														BgL_arg1797z00_9095 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9090, 2L);
														BgL_res3082z00_9089 =
															(BgL_arg1797z00_9095 == BgL_classz00_9084);
													}
												else
													{	/* SawMill/defs.sch 889 */
														BgL_res3082z00_9089 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3082z00_9089;
							}
					}
				else
					{	/* SawMill/defs.sch 889 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_pragma? */
	obj_t BGl_z62rtl_pragmazf3z91zzsaw_defsz00(obj_t BgL_envz00_7366,
		obj_t BgL_objz00_7367)
	{
		{	/* SawMill/defs.sch 889 */
			return BBOOL(BGl_rtl_pragmazf3zf3zzsaw_defsz00(BgL_objz00_7367));
		}

	}



/* rtl_pragma-nil */
	BGL_EXPORTED_DEF BgL_rtl_pragmaz00_bglt
		BGl_rtl_pragmazd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 890 */
			{	/* SawMill/defs.sch 890 */
				obj_t BgL_classz00_5687;

				BgL_classz00_5687 = BGl_rtl_pragmaz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 890 */
					obj_t BgL__ortest_1117z00_5688;

					BgL__ortest_1117z00_5688 = BGL_CLASS_NIL(BgL_classz00_5687);
					if (CBOOL(BgL__ortest_1117z00_5688))
						{	/* SawMill/defs.sch 890 */
							return ((BgL_rtl_pragmaz00_bglt) BgL__ortest_1117z00_5688);
						}
					else
						{	/* SawMill/defs.sch 890 */
							return
								((BgL_rtl_pragmaz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5687));
						}
				}
			}
		}

	}



/* &rtl_pragma-nil */
	BgL_rtl_pragmaz00_bglt BGl_z62rtl_pragmazd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7368)
	{
		{	/* SawMill/defs.sch 890 */
			return BGl_rtl_pragmazd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_pragma-format */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_pragmazd2formatzd2zzsaw_defsz00(BgL_rtl_pragmaz00_bglt BgL_oz00_369)
	{
		{	/* SawMill/defs.sch 891 */
			return (((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_oz00_369))->BgL_formatz00);
		}

	}



/* &rtl_pragma-format */
	obj_t BGl_z62rtl_pragmazd2formatzb0zzsaw_defsz00(obj_t BgL_envz00_7369,
		obj_t BgL_oz00_7370)
	{
		{	/* SawMill/defs.sch 891 */
			return
				BGl_rtl_pragmazd2formatzd2zzsaw_defsz00(
				((BgL_rtl_pragmaz00_bglt) BgL_oz00_7370));
		}

	}



/* rtl_pragma-format-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_pragmazd2formatzd2setz12z12zzsaw_defsz00(BgL_rtl_pragmaz00_bglt
		BgL_oz00_370, obj_t BgL_vz00_371)
	{
		{	/* SawMill/defs.sch 892 */
			return
				((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_oz00_370))->BgL_formatz00) =
				((obj_t) BgL_vz00_371), BUNSPEC);
		}

	}



/* &rtl_pragma-format-set! */
	obj_t BGl_z62rtl_pragmazd2formatzd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7371, obj_t BgL_oz00_7372, obj_t BgL_vz00_7373)
	{
		{	/* SawMill/defs.sch 892 */
			return
				BGl_rtl_pragmazd2formatzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_pragmaz00_bglt) BgL_oz00_7372), BgL_vz00_7373);
		}

	}



/* rtl_pragma-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_pragmazd2loczd2zzsaw_defsz00(BgL_rtl_pragmaz00_bglt BgL_oz00_372)
	{
		{	/* SawMill/defs.sch 893 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_372)))->BgL_locz00);
		}

	}



/* &rtl_pragma-loc */
	obj_t BGl_z62rtl_pragmazd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7374,
		obj_t BgL_oz00_7375)
	{
		{	/* SawMill/defs.sch 893 */
			return
				BGl_rtl_pragmazd2loczd2zzsaw_defsz00(
				((BgL_rtl_pragmaz00_bglt) BgL_oz00_7375));
		}

	}



/* rtl_pragma-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_pragmazd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_pragmaz00_bglt
		BgL_oz00_373, obj_t BgL_vz00_374)
	{
		{	/* SawMill/defs.sch 894 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_373)))->BgL_locz00) =
				((obj_t) BgL_vz00_374), BUNSPEC);
		}

	}



/* &rtl_pragma-loc-set! */
	obj_t BGl_z62rtl_pragmazd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7376,
		obj_t BgL_oz00_7377, obj_t BgL_vz00_7378)
	{
		{	/* SawMill/defs.sch 894 */
			return
				BGl_rtl_pragmazd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_pragmaz00_bglt) BgL_oz00_7377), BgL_vz00_7378);
		}

	}



/* make-rtl_cast */
	BGL_EXPORTED_DEF BgL_rtl_castz00_bglt
		BGl_makezd2rtl_castzd2zzsaw_defsz00(obj_t BgL_loc1372z00_375,
		BgL_typez00_bglt BgL_totype1373z00_376,
		BgL_typez00_bglt BgL_fromtype1374z00_377)
	{
		{	/* SawMill/defs.sch 897 */
			{	/* SawMill/defs.sch 897 */
				BgL_rtl_castz00_bglt BgL_new1432z00_9096;

				{	/* SawMill/defs.sch 897 */
					BgL_rtl_castz00_bglt BgL_new1431z00_9097;

					BgL_new1431z00_9097 =
						((BgL_rtl_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_castz00_bgl))));
					{	/* SawMill/defs.sch 897 */
						long BgL_arg1873z00_9098;

						BgL_arg1873z00_9098 = BGL_CLASS_NUM(BGl_rtl_castz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1431z00_9097), BgL_arg1873z00_9098);
					}
					BgL_new1432z00_9096 = BgL_new1431z00_9097;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1432z00_9096)))->BgL_locz00) =
					((obj_t) BgL_loc1372z00_375), BUNSPEC);
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1432z00_9096))->
						BgL_totypez00) =
					((BgL_typez00_bglt) BgL_totype1373z00_376), BUNSPEC);
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1432z00_9096))->
						BgL_fromtypez00) =
					((BgL_typez00_bglt) BgL_fromtype1374z00_377), BUNSPEC);
				return BgL_new1432z00_9096;
			}
		}

	}



/* &make-rtl_cast */
	BgL_rtl_castz00_bglt BGl_z62makezd2rtl_castzb0zzsaw_defsz00(obj_t
		BgL_envz00_7379, obj_t BgL_loc1372z00_7380, obj_t BgL_totype1373z00_7381,
		obj_t BgL_fromtype1374z00_7382)
	{
		{	/* SawMill/defs.sch 897 */
			return
				BGl_makezd2rtl_castzd2zzsaw_defsz00(BgL_loc1372z00_7380,
				((BgL_typez00_bglt) BgL_totype1373z00_7381),
				((BgL_typez00_bglt) BgL_fromtype1374z00_7382));
		}

	}



/* rtl_cast? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_castzf3zf3zzsaw_defsz00(obj_t BgL_objz00_378)
	{
		{	/* SawMill/defs.sch 898 */
			{	/* SawMill/defs.sch 898 */
				obj_t BgL_classz00_9099;

				BgL_classz00_9099 = BGl_rtl_castz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_378))
					{	/* SawMill/defs.sch 898 */
						BgL_objectz00_bglt BgL_arg1801z00_9100;

						BgL_arg1801z00_9100 = (BgL_objectz00_bglt) (BgL_objz00_378);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 898 */
								long BgL_idxz00_9101;

								BgL_idxz00_9101 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_9100);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9101 + 2L)) == BgL_classz00_9099);
							}
						else
							{	/* SawMill/defs.sch 898 */
								bool_t BgL_res3083z00_9104;

								{	/* SawMill/defs.sch 898 */
									obj_t BgL_oclassz00_9105;

									{	/* SawMill/defs.sch 898 */
										long BgL_arg1808z00_9106;

										{	/* SawMill/defs.sch 898 */
											long BgL_arg1809z00_9107;

											BgL_arg1809z00_9107 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_9100);
											BgL_arg1808z00_9106 = (BgL_arg1809z00_9107 - OBJECT_TYPE);
										}
										BgL_oclassz00_9105 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_9106);
									}
									{	/* SawMill/defs.sch 898 */
										bool_t BgL__ortest_1115z00_9108;

										BgL__ortest_1115z00_9108 =
											(BgL_classz00_9099 == BgL_oclassz00_9105);
										if (BgL__ortest_1115z00_9108)
											{	/* SawMill/defs.sch 898 */
												BgL_res3083z00_9104 = BgL__ortest_1115z00_9108;
											}
										else
											{	/* SawMill/defs.sch 898 */
												long BgL_odepthz00_9109;

												BgL_odepthz00_9109 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9105);
												if ((2L < BgL_odepthz00_9109))
													{	/* SawMill/defs.sch 898 */
														obj_t BgL_arg1797z00_9110;

														BgL_arg1797z00_9110 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9105, 2L);
														BgL_res3083z00_9104 =
															(BgL_arg1797z00_9110 == BgL_classz00_9099);
													}
												else
													{	/* SawMill/defs.sch 898 */
														BgL_res3083z00_9104 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3083z00_9104;
							}
					}
				else
					{	/* SawMill/defs.sch 898 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_cast? */
	obj_t BGl_z62rtl_castzf3z91zzsaw_defsz00(obj_t BgL_envz00_7383,
		obj_t BgL_objz00_7384)
	{
		{	/* SawMill/defs.sch 898 */
			return BBOOL(BGl_rtl_castzf3zf3zzsaw_defsz00(BgL_objz00_7384));
		}

	}



/* rtl_cast-nil */
	BGL_EXPORTED_DEF BgL_rtl_castz00_bglt BGl_rtl_castzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 899 */
			{	/* SawMill/defs.sch 899 */
				obj_t BgL_classz00_5726;

				BgL_classz00_5726 = BGl_rtl_castz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 899 */
					obj_t BgL__ortest_1117z00_5727;

					BgL__ortest_1117z00_5727 = BGL_CLASS_NIL(BgL_classz00_5726);
					if (CBOOL(BgL__ortest_1117z00_5727))
						{	/* SawMill/defs.sch 899 */
							return ((BgL_rtl_castz00_bglt) BgL__ortest_1117z00_5727);
						}
					else
						{	/* SawMill/defs.sch 899 */
							return
								((BgL_rtl_castz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5726));
						}
				}
			}
		}

	}



/* &rtl_cast-nil */
	BgL_rtl_castz00_bglt BGl_z62rtl_castzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7385)
	{
		{	/* SawMill/defs.sch 899 */
			return BGl_rtl_castzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_cast-fromtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_castzd2fromtypezd2zzsaw_defsz00(BgL_rtl_castz00_bglt BgL_oz00_379)
	{
		{	/* SawMill/defs.sch 900 */
			return (((BgL_rtl_castz00_bglt) COBJECT(BgL_oz00_379))->BgL_fromtypez00);
		}

	}



/* &rtl_cast-fromtype */
	BgL_typez00_bglt BGl_z62rtl_castzd2fromtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7386, obj_t BgL_oz00_7387)
	{
		{	/* SawMill/defs.sch 900 */
			return
				BGl_rtl_castzd2fromtypezd2zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7387));
		}

	}



/* rtl_cast-fromtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_castzd2fromtypezd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt
		BgL_oz00_380, BgL_typez00_bglt BgL_vz00_381)
	{
		{	/* SawMill/defs.sch 901 */
			return
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_oz00_380))->BgL_fromtypez00) =
				((BgL_typez00_bglt) BgL_vz00_381), BUNSPEC);
		}

	}



/* &rtl_cast-fromtype-set! */
	obj_t BGl_z62rtl_castzd2fromtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7388, obj_t BgL_oz00_7389, obj_t BgL_vz00_7390)
	{
		{	/* SawMill/defs.sch 901 */
			return
				BGl_rtl_castzd2fromtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7389),
				((BgL_typez00_bglt) BgL_vz00_7390));
		}

	}



/* rtl_cast-totype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_castzd2totypezd2zzsaw_defsz00(BgL_rtl_castz00_bglt BgL_oz00_382)
	{
		{	/* SawMill/defs.sch 902 */
			return (((BgL_rtl_castz00_bglt) COBJECT(BgL_oz00_382))->BgL_totypez00);
		}

	}



/* &rtl_cast-totype */
	BgL_typez00_bglt BGl_z62rtl_castzd2totypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7391, obj_t BgL_oz00_7392)
	{
		{	/* SawMill/defs.sch 902 */
			return
				BGl_rtl_castzd2totypezd2zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7392));
		}

	}



/* rtl_cast-totype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_castzd2totypezd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt
		BgL_oz00_383, BgL_typez00_bglt BgL_vz00_384)
	{
		{	/* SawMill/defs.sch 903 */
			return
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_oz00_383))->BgL_totypez00) =
				((BgL_typez00_bglt) BgL_vz00_384), BUNSPEC);
		}

	}



/* &rtl_cast-totype-set! */
	obj_t BGl_z62rtl_castzd2totypezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7393,
		obj_t BgL_oz00_7394, obj_t BgL_vz00_7395)
	{
		{	/* SawMill/defs.sch 903 */
			return
				BGl_rtl_castzd2totypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7394),
				((BgL_typez00_bglt) BgL_vz00_7395));
		}

	}



/* rtl_cast-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_castzd2loczd2zzsaw_defsz00(BgL_rtl_castz00_bglt
		BgL_oz00_385)
	{
		{	/* SawMill/defs.sch 904 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_385)))->BgL_locz00);
		}

	}



/* &rtl_cast-loc */
	obj_t BGl_z62rtl_castzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7396,
		obj_t BgL_oz00_7397)
	{
		{	/* SawMill/defs.sch 904 */
			return
				BGl_rtl_castzd2loczd2zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7397));
		}

	}



/* rtl_cast-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_castzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt
		BgL_oz00_386, obj_t BgL_vz00_387)
	{
		{	/* SawMill/defs.sch 905 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_386)))->BgL_locz00) =
				((obj_t) BgL_vz00_387), BUNSPEC);
		}

	}



/* &rtl_cast-loc-set! */
	obj_t BGl_z62rtl_castzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7398,
		obj_t BgL_oz00_7399, obj_t BgL_vz00_7400)
	{
		{	/* SawMill/defs.sch 905 */
			return
				BGl_rtl_castzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7399), BgL_vz00_7400);
		}

	}



/* make-rtl_cast_null */
	BGL_EXPORTED_DEF BgL_rtl_cast_nullz00_bglt
		BGl_makezd2rtl_cast_nullzd2zzsaw_defsz00(obj_t BgL_loc1368z00_388,
		BgL_typez00_bglt BgL_type1369z00_389)
	{
		{	/* SawMill/defs.sch 908 */
			{	/* SawMill/defs.sch 908 */
				BgL_rtl_cast_nullz00_bglt BgL_new1434z00_9111;

				{	/* SawMill/defs.sch 908 */
					BgL_rtl_cast_nullz00_bglt BgL_new1433z00_9112;

					BgL_new1433z00_9112 =
						((BgL_rtl_cast_nullz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_cast_nullz00_bgl))));
					{	/* SawMill/defs.sch 908 */
						long BgL_arg1875z00_9113;

						BgL_arg1875z00_9113 =
							BGL_CLASS_NUM(BGl_rtl_cast_nullz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1433z00_9112), BgL_arg1875z00_9113);
					}
					BgL_new1434z00_9111 = BgL_new1433z00_9112;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1434z00_9111)))->BgL_locz00) =
					((obj_t) BgL_loc1368z00_388), BUNSPEC);
				((((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_new1434z00_9111))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1369z00_389), BUNSPEC);
				return BgL_new1434z00_9111;
			}
		}

	}



/* &make-rtl_cast_null */
	BgL_rtl_cast_nullz00_bglt BGl_z62makezd2rtl_cast_nullzb0zzsaw_defsz00(obj_t
		BgL_envz00_7401, obj_t BgL_loc1368z00_7402, obj_t BgL_type1369z00_7403)
	{
		{	/* SawMill/defs.sch 908 */
			return
				BGl_makezd2rtl_cast_nullzd2zzsaw_defsz00(BgL_loc1368z00_7402,
				((BgL_typez00_bglt) BgL_type1369z00_7403));
		}

	}



/* rtl_cast_null? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_cast_nullzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_390)
	{
		{	/* SawMill/defs.sch 909 */
			{	/* SawMill/defs.sch 909 */
				obj_t BgL_classz00_9114;

				BgL_classz00_9114 = BGl_rtl_cast_nullz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_390))
					{	/* SawMill/defs.sch 909 */
						BgL_objectz00_bglt BgL_arg1801z00_9115;

						BgL_arg1801z00_9115 = (BgL_objectz00_bglt) (BgL_objz00_390);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 909 */
								long BgL_idxz00_9116;

								BgL_idxz00_9116 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_9115);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9116 + 2L)) == BgL_classz00_9114);
							}
						else
							{	/* SawMill/defs.sch 909 */
								bool_t BgL_res3084z00_9119;

								{	/* SawMill/defs.sch 909 */
									obj_t BgL_oclassz00_9120;

									{	/* SawMill/defs.sch 909 */
										long BgL_arg1808z00_9121;

										{	/* SawMill/defs.sch 909 */
											long BgL_arg1809z00_9122;

											BgL_arg1809z00_9122 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_9115);
											BgL_arg1808z00_9121 = (BgL_arg1809z00_9122 - OBJECT_TYPE);
										}
										BgL_oclassz00_9120 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_9121);
									}
									{	/* SawMill/defs.sch 909 */
										bool_t BgL__ortest_1115z00_9123;

										BgL__ortest_1115z00_9123 =
											(BgL_classz00_9114 == BgL_oclassz00_9120);
										if (BgL__ortest_1115z00_9123)
											{	/* SawMill/defs.sch 909 */
												BgL_res3084z00_9119 = BgL__ortest_1115z00_9123;
											}
										else
											{	/* SawMill/defs.sch 909 */
												long BgL_odepthz00_9124;

												BgL_odepthz00_9124 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9120);
												if ((2L < BgL_odepthz00_9124))
													{	/* SawMill/defs.sch 909 */
														obj_t BgL_arg1797z00_9125;

														BgL_arg1797z00_9125 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9120, 2L);
														BgL_res3084z00_9119 =
															(BgL_arg1797z00_9125 == BgL_classz00_9114);
													}
												else
													{	/* SawMill/defs.sch 909 */
														BgL_res3084z00_9119 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3084z00_9119;
							}
					}
				else
					{	/* SawMill/defs.sch 909 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_cast_null? */
	obj_t BGl_z62rtl_cast_nullzf3z91zzsaw_defsz00(obj_t BgL_envz00_7404,
		obj_t BgL_objz00_7405)
	{
		{	/* SawMill/defs.sch 909 */
			return BBOOL(BGl_rtl_cast_nullzf3zf3zzsaw_defsz00(BgL_objz00_7405));
		}

	}



/* rtl_cast_null-nil */
	BGL_EXPORTED_DEF BgL_rtl_cast_nullz00_bglt
		BGl_rtl_cast_nullzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 910 */
			{	/* SawMill/defs.sch 910 */
				obj_t BgL_classz00_5765;

				BgL_classz00_5765 = BGl_rtl_cast_nullz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 910 */
					obj_t BgL__ortest_1117z00_5766;

					BgL__ortest_1117z00_5766 = BGL_CLASS_NIL(BgL_classz00_5765);
					if (CBOOL(BgL__ortest_1117z00_5766))
						{	/* SawMill/defs.sch 910 */
							return ((BgL_rtl_cast_nullz00_bglt) BgL__ortest_1117z00_5766);
						}
					else
						{	/* SawMill/defs.sch 910 */
							return
								((BgL_rtl_cast_nullz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5765));
						}
				}
			}
		}

	}



/* &rtl_cast_null-nil */
	BgL_rtl_cast_nullz00_bglt BGl_z62rtl_cast_nullzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7406)
	{
		{	/* SawMill/defs.sch 910 */
			return BGl_rtl_cast_nullzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_cast_null-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_cast_nullzd2typezd2zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt
		BgL_oz00_391)
	{
		{	/* SawMill/defs.sch 911 */
			return (((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_oz00_391))->BgL_typez00);
		}

	}



/* &rtl_cast_null-type */
	BgL_typez00_bglt BGl_z62rtl_cast_nullzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7407, obj_t BgL_oz00_7408)
	{
		{	/* SawMill/defs.sch 911 */
			return
				BGl_rtl_cast_nullzd2typezd2zzsaw_defsz00(
				((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7408));
		}

	}



/* rtl_cast_null-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_cast_nullzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt
		BgL_oz00_392, BgL_typez00_bglt BgL_vz00_393)
	{
		{	/* SawMill/defs.sch 912 */
			return
				((((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_oz00_392))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_393), BUNSPEC);
		}

	}



/* &rtl_cast_null-type-set! */
	obj_t BGl_z62rtl_cast_nullzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7409, obj_t BgL_oz00_7410, obj_t BgL_vz00_7411)
	{
		{	/* SawMill/defs.sch 912 */
			return
				BGl_rtl_cast_nullzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7410),
				((BgL_typez00_bglt) BgL_vz00_7411));
		}

	}



/* rtl_cast_null-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_cast_nullzd2loczd2zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt
		BgL_oz00_394)
	{
		{	/* SawMill/defs.sch 913 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_394)))->BgL_locz00);
		}

	}



/* &rtl_cast_null-loc */
	obj_t BGl_z62rtl_cast_nullzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7412,
		obj_t BgL_oz00_7413)
	{
		{	/* SawMill/defs.sch 913 */
			return
				BGl_rtl_cast_nullzd2loczd2zzsaw_defsz00(
				((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7413));
		}

	}



/* rtl_cast_null-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_cast_nullzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt
		BgL_oz00_395, obj_t BgL_vz00_396)
	{
		{	/* SawMill/defs.sch 914 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_395)))->BgL_locz00) =
				((obj_t) BgL_vz00_396), BUNSPEC);
		}

	}



/* &rtl_cast_null-loc-set! */
	obj_t BGl_z62rtl_cast_nullzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7414, obj_t BgL_oz00_7415, obj_t BgL_vz00_7416)
	{
		{	/* SawMill/defs.sch 914 */
			return
				BGl_rtl_cast_nullzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7415), BgL_vz00_7416);
		}

	}



/* make-rtl_protect */
	BGL_EXPORTED_DEF BgL_rtl_protectz00_bglt
		BGl_makezd2rtl_protectzd2zzsaw_defsz00(obj_t BgL_loc1365z00_397)
	{
		{	/* SawMill/defs.sch 917 */
			{	/* SawMill/defs.sch 917 */
				BgL_rtl_protectz00_bglt BgL_new1436z00_9126;

				{	/* SawMill/defs.sch 917 */
					BgL_rtl_protectz00_bglt BgL_new1435z00_9127;

					BgL_new1435z00_9127 =
						((BgL_rtl_protectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_protectz00_bgl))));
					{	/* SawMill/defs.sch 917 */
						long BgL_arg1876z00_9128;

						BgL_arg1876z00_9128 =
							BGL_CLASS_NUM(BGl_rtl_protectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1435z00_9127), BgL_arg1876z00_9128);
					}
					BgL_new1436z00_9126 = BgL_new1435z00_9127;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1436z00_9126)))->BgL_locz00) =
					((obj_t) BgL_loc1365z00_397), BUNSPEC);
				return BgL_new1436z00_9126;
			}
		}

	}



/* &make-rtl_protect */
	BgL_rtl_protectz00_bglt BGl_z62makezd2rtl_protectzb0zzsaw_defsz00(obj_t
		BgL_envz00_7417, obj_t BgL_loc1365z00_7418)
	{
		{	/* SawMill/defs.sch 917 */
			return BGl_makezd2rtl_protectzd2zzsaw_defsz00(BgL_loc1365z00_7418);
		}

	}



/* rtl_protect? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_protectzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_398)
	{
		{	/* SawMill/defs.sch 918 */
			{	/* SawMill/defs.sch 918 */
				obj_t BgL_classz00_9129;

				BgL_classz00_9129 = BGl_rtl_protectz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_398))
					{	/* SawMill/defs.sch 918 */
						BgL_objectz00_bglt BgL_arg1801z00_9130;

						BgL_arg1801z00_9130 = (BgL_objectz00_bglt) (BgL_objz00_398);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 918 */
								long BgL_idxz00_9131;

								BgL_idxz00_9131 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_9130);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9131 + 2L)) == BgL_classz00_9129);
							}
						else
							{	/* SawMill/defs.sch 918 */
								bool_t BgL_res3085z00_9134;

								{	/* SawMill/defs.sch 918 */
									obj_t BgL_oclassz00_9135;

									{	/* SawMill/defs.sch 918 */
										long BgL_arg1808z00_9136;

										{	/* SawMill/defs.sch 918 */
											long BgL_arg1809z00_9137;

											BgL_arg1809z00_9137 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_9130);
											BgL_arg1808z00_9136 = (BgL_arg1809z00_9137 - OBJECT_TYPE);
										}
										BgL_oclassz00_9135 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_9136);
									}
									{	/* SawMill/defs.sch 918 */
										bool_t BgL__ortest_1115z00_9138;

										BgL__ortest_1115z00_9138 =
											(BgL_classz00_9129 == BgL_oclassz00_9135);
										if (BgL__ortest_1115z00_9138)
											{	/* SawMill/defs.sch 918 */
												BgL_res3085z00_9134 = BgL__ortest_1115z00_9138;
											}
										else
											{	/* SawMill/defs.sch 918 */
												long BgL_odepthz00_9139;

												BgL_odepthz00_9139 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9135);
												if ((2L < BgL_odepthz00_9139))
													{	/* SawMill/defs.sch 918 */
														obj_t BgL_arg1797z00_9140;

														BgL_arg1797z00_9140 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9135, 2L);
														BgL_res3085z00_9134 =
															(BgL_arg1797z00_9140 == BgL_classz00_9129);
													}
												else
													{	/* SawMill/defs.sch 918 */
														BgL_res3085z00_9134 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3085z00_9134;
							}
					}
				else
					{	/* SawMill/defs.sch 918 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_protect? */
	obj_t BGl_z62rtl_protectzf3z91zzsaw_defsz00(obj_t BgL_envz00_7419,
		obj_t BgL_objz00_7420)
	{
		{	/* SawMill/defs.sch 918 */
			return BBOOL(BGl_rtl_protectzf3zf3zzsaw_defsz00(BgL_objz00_7420));
		}

	}



/* rtl_protect-nil */
	BGL_EXPORTED_DEF BgL_rtl_protectz00_bglt
		BGl_rtl_protectzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 919 */
			{	/* SawMill/defs.sch 919 */
				obj_t BgL_classz00_5804;

				BgL_classz00_5804 = BGl_rtl_protectz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 919 */
					obj_t BgL__ortest_1117z00_5805;

					BgL__ortest_1117z00_5805 = BGL_CLASS_NIL(BgL_classz00_5804);
					if (CBOOL(BgL__ortest_1117z00_5805))
						{	/* SawMill/defs.sch 919 */
							return ((BgL_rtl_protectz00_bglt) BgL__ortest_1117z00_5805);
						}
					else
						{	/* SawMill/defs.sch 919 */
							return
								((BgL_rtl_protectz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5804));
						}
				}
			}
		}

	}



/* &rtl_protect-nil */
	BgL_rtl_protectz00_bglt BGl_z62rtl_protectzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7421)
	{
		{	/* SawMill/defs.sch 919 */
			return BGl_rtl_protectzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_protect-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_protectzd2loczd2zzsaw_defsz00(BgL_rtl_protectz00_bglt BgL_oz00_399)
	{
		{	/* SawMill/defs.sch 920 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_399)))->BgL_locz00);
		}

	}



/* &rtl_protect-loc */
	obj_t BGl_z62rtl_protectzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7422,
		obj_t BgL_oz00_7423)
	{
		{	/* SawMill/defs.sch 920 */
			return
				BGl_rtl_protectzd2loczd2zzsaw_defsz00(
				((BgL_rtl_protectz00_bglt) BgL_oz00_7423));
		}

	}



/* rtl_protect-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_protectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_protectz00_bglt
		BgL_oz00_400, obj_t BgL_vz00_401)
	{
		{	/* SawMill/defs.sch 921 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_400)))->BgL_locz00) =
				((obj_t) BgL_vz00_401), BUNSPEC);
		}

	}



/* &rtl_protect-loc-set! */
	obj_t BGl_z62rtl_protectzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7424,
		obj_t BgL_oz00_7425, obj_t BgL_vz00_7426)
	{
		{	/* SawMill/defs.sch 921 */
			return
				BGl_rtl_protectzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_protectz00_bglt) BgL_oz00_7425), BgL_vz00_7426);
		}

	}



/* make-rtl_protected */
	BGL_EXPORTED_DEF BgL_rtl_protectedz00_bglt
		BGl_makezd2rtl_protectedzd2zzsaw_defsz00(obj_t BgL_loc1362z00_402)
	{
		{	/* SawMill/defs.sch 924 */
			{	/* SawMill/defs.sch 924 */
				BgL_rtl_protectedz00_bglt BgL_new1438z00_9141;

				{	/* SawMill/defs.sch 924 */
					BgL_rtl_protectedz00_bglt BgL_new1437z00_9142;

					BgL_new1437z00_9142 =
						((BgL_rtl_protectedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_protectedz00_bgl))));
					{	/* SawMill/defs.sch 924 */
						long BgL_arg1877z00_9143;

						BgL_arg1877z00_9143 =
							BGL_CLASS_NUM(BGl_rtl_protectedz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1437z00_9142), BgL_arg1877z00_9143);
					}
					BgL_new1438z00_9141 = BgL_new1437z00_9142;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1438z00_9141)))->BgL_locz00) =
					((obj_t) BgL_loc1362z00_402), BUNSPEC);
				return BgL_new1438z00_9141;
			}
		}

	}



/* &make-rtl_protected */
	BgL_rtl_protectedz00_bglt BGl_z62makezd2rtl_protectedzb0zzsaw_defsz00(obj_t
		BgL_envz00_7427, obj_t BgL_loc1362z00_7428)
	{
		{	/* SawMill/defs.sch 924 */
			return BGl_makezd2rtl_protectedzd2zzsaw_defsz00(BgL_loc1362z00_7428);
		}

	}



/* rtl_protected? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_protectedzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_403)
	{
		{	/* SawMill/defs.sch 925 */
			{	/* SawMill/defs.sch 925 */
				obj_t BgL_classz00_9144;

				BgL_classz00_9144 = BGl_rtl_protectedz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_403))
					{	/* SawMill/defs.sch 925 */
						BgL_objectz00_bglt BgL_arg1801z00_9145;

						BgL_arg1801z00_9145 = (BgL_objectz00_bglt) (BgL_objz00_403);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 925 */
								long BgL_idxz00_9146;

								BgL_idxz00_9146 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_9145);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9146 + 2L)) == BgL_classz00_9144);
							}
						else
							{	/* SawMill/defs.sch 925 */
								bool_t BgL_res3086z00_9149;

								{	/* SawMill/defs.sch 925 */
									obj_t BgL_oclassz00_9150;

									{	/* SawMill/defs.sch 925 */
										long BgL_arg1808z00_9151;

										{	/* SawMill/defs.sch 925 */
											long BgL_arg1809z00_9152;

											BgL_arg1809z00_9152 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_9145);
											BgL_arg1808z00_9151 = (BgL_arg1809z00_9152 - OBJECT_TYPE);
										}
										BgL_oclassz00_9150 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_9151);
									}
									{	/* SawMill/defs.sch 925 */
										bool_t BgL__ortest_1115z00_9153;

										BgL__ortest_1115z00_9153 =
											(BgL_classz00_9144 == BgL_oclassz00_9150);
										if (BgL__ortest_1115z00_9153)
											{	/* SawMill/defs.sch 925 */
												BgL_res3086z00_9149 = BgL__ortest_1115z00_9153;
											}
										else
											{	/* SawMill/defs.sch 925 */
												long BgL_odepthz00_9154;

												BgL_odepthz00_9154 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9150);
												if ((2L < BgL_odepthz00_9154))
													{	/* SawMill/defs.sch 925 */
														obj_t BgL_arg1797z00_9155;

														BgL_arg1797z00_9155 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9150, 2L);
														BgL_res3086z00_9149 =
															(BgL_arg1797z00_9155 == BgL_classz00_9144);
													}
												else
													{	/* SawMill/defs.sch 925 */
														BgL_res3086z00_9149 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3086z00_9149;
							}
					}
				else
					{	/* SawMill/defs.sch 925 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_protected? */
	obj_t BGl_z62rtl_protectedzf3z91zzsaw_defsz00(obj_t BgL_envz00_7429,
		obj_t BgL_objz00_7430)
	{
		{	/* SawMill/defs.sch 925 */
			return BBOOL(BGl_rtl_protectedzf3zf3zzsaw_defsz00(BgL_objz00_7430));
		}

	}



/* rtl_protected-nil */
	BGL_EXPORTED_DEF BgL_rtl_protectedz00_bglt
		BGl_rtl_protectedzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 926 */
			{	/* SawMill/defs.sch 926 */
				obj_t BgL_classz00_5843;

				BgL_classz00_5843 = BGl_rtl_protectedz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 926 */
					obj_t BgL__ortest_1117z00_5844;

					BgL__ortest_1117z00_5844 = BGL_CLASS_NIL(BgL_classz00_5843);
					if (CBOOL(BgL__ortest_1117z00_5844))
						{	/* SawMill/defs.sch 926 */
							return ((BgL_rtl_protectedz00_bglt) BgL__ortest_1117z00_5844);
						}
					else
						{	/* SawMill/defs.sch 926 */
							return
								((BgL_rtl_protectedz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5843));
						}
				}
			}
		}

	}



/* &rtl_protected-nil */
	BgL_rtl_protectedz00_bglt BGl_z62rtl_protectedzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7431)
	{
		{	/* SawMill/defs.sch 926 */
			return BGl_rtl_protectedzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_protected-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_protectedzd2loczd2zzsaw_defsz00(BgL_rtl_protectedz00_bglt
		BgL_oz00_404)
	{
		{	/* SawMill/defs.sch 927 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_404)))->BgL_locz00);
		}

	}



/* &rtl_protected-loc */
	obj_t BGl_z62rtl_protectedzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7432,
		obj_t BgL_oz00_7433)
	{
		{	/* SawMill/defs.sch 927 */
			return
				BGl_rtl_protectedzd2loczd2zzsaw_defsz00(
				((BgL_rtl_protectedz00_bglt) BgL_oz00_7433));
		}

	}



/* rtl_protected-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_protectedzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_protectedz00_bglt
		BgL_oz00_405, obj_t BgL_vz00_406)
	{
		{	/* SawMill/defs.sch 928 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_405)))->BgL_locz00) =
				((obj_t) BgL_vz00_406), BUNSPEC);
		}

	}



/* &rtl_protected-loc-set! */
	obj_t BGl_z62rtl_protectedzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7434, obj_t BgL_oz00_7435, obj_t BgL_vz00_7436)
	{
		{	/* SawMill/defs.sch 928 */
			return
				BGl_rtl_protectedzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_protectedz00_bglt) BgL_oz00_7435), BgL_vz00_7436);
		}

	}



/* make-rtl_ins */
	BGL_EXPORTED_DEF BgL_rtl_insz00_bglt BGl_makezd2rtl_inszd2zzsaw_defsz00(obj_t
		BgL_loc1356z00_407, obj_t BgL_z52spill1357z52_408,
		obj_t BgL_dest1358z00_409, BgL_rtl_funz00_bglt BgL_fun1359z00_410,
		obj_t BgL_args1360z00_411)
	{
		{	/* SawMill/defs.sch 931 */
			{	/* SawMill/defs.sch 931 */
				BgL_rtl_insz00_bglt BgL_new1440z00_9156;

				{	/* SawMill/defs.sch 931 */
					BgL_rtl_insz00_bglt BgL_new1439z00_9157;

					BgL_new1439z00_9157 =
						((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_insz00_bgl))));
					{	/* SawMill/defs.sch 931 */
						long BgL_arg1879z00_9158;

						BgL_arg1879z00_9158 = BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1439z00_9157), BgL_arg1879z00_9158);
					}
					{	/* SawMill/defs.sch 931 */
						BgL_objectz00_bglt BgL_tmpz00_12145;

						BgL_tmpz00_12145 = ((BgL_objectz00_bglt) BgL_new1439z00_9157);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12145, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1439z00_9157);
					BgL_new1440z00_9156 = BgL_new1439z00_9157;
				}
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1440z00_9156))->BgL_locz00) =
					((obj_t) BgL_loc1356z00_407), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1440z00_9156))->
						BgL_z52spillz52) = ((obj_t) BgL_z52spill1357z52_408), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1440z00_9156))->BgL_destz00) =
					((obj_t) BgL_dest1358z00_409), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1440z00_9156))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) BgL_fun1359z00_410), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1440z00_9156))->BgL_argsz00) =
					((obj_t) BgL_args1360z00_411), BUNSPEC);
				return BgL_new1440z00_9156;
			}
		}

	}



/* &make-rtl_ins */
	BgL_rtl_insz00_bglt BGl_z62makezd2rtl_inszb0zzsaw_defsz00(obj_t
		BgL_envz00_7437, obj_t BgL_loc1356z00_7438, obj_t BgL_z52spill1357z52_7439,
		obj_t BgL_dest1358z00_7440, obj_t BgL_fun1359z00_7441,
		obj_t BgL_args1360z00_7442)
	{
		{	/* SawMill/defs.sch 931 */
			return
				BGl_makezd2rtl_inszd2zzsaw_defsz00(BgL_loc1356z00_7438,
				BgL_z52spill1357z52_7439, BgL_dest1358z00_7440,
				((BgL_rtl_funz00_bglt) BgL_fun1359z00_7441), BgL_args1360z00_7442);
		}

	}



/* rtl_ins? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_inszf3zf3zzsaw_defsz00(obj_t BgL_objz00_412)
	{
		{	/* SawMill/defs.sch 932 */
			{	/* SawMill/defs.sch 932 */
				obj_t BgL_classz00_9159;

				BgL_classz00_9159 = BGl_rtl_insz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_412))
					{	/* SawMill/defs.sch 932 */
						BgL_objectz00_bglt BgL_arg1801z00_9160;

						BgL_arg1801z00_9160 = (BgL_objectz00_bglt) (BgL_objz00_412);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 932 */
								long BgL_idxz00_9161;

								BgL_idxz00_9161 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_9160);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9161 + 1L)) == BgL_classz00_9159);
							}
						else
							{	/* SawMill/defs.sch 932 */
								bool_t BgL_res3087z00_9164;

								{	/* SawMill/defs.sch 932 */
									obj_t BgL_oclassz00_9165;

									{	/* SawMill/defs.sch 932 */
										long BgL_arg1808z00_9166;

										{	/* SawMill/defs.sch 932 */
											long BgL_arg1809z00_9167;

											BgL_arg1809z00_9167 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_9160);
											BgL_arg1808z00_9166 = (BgL_arg1809z00_9167 - OBJECT_TYPE);
										}
										BgL_oclassz00_9165 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_9166);
									}
									{	/* SawMill/defs.sch 932 */
										bool_t BgL__ortest_1115z00_9168;

										BgL__ortest_1115z00_9168 =
											(BgL_classz00_9159 == BgL_oclassz00_9165);
										if (BgL__ortest_1115z00_9168)
											{	/* SawMill/defs.sch 932 */
												BgL_res3087z00_9164 = BgL__ortest_1115z00_9168;
											}
										else
											{	/* SawMill/defs.sch 932 */
												long BgL_odepthz00_9169;

												BgL_odepthz00_9169 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9165);
												if ((1L < BgL_odepthz00_9169))
													{	/* SawMill/defs.sch 932 */
														obj_t BgL_arg1797z00_9170;

														BgL_arg1797z00_9170 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9165, 1L);
														BgL_res3087z00_9164 =
															(BgL_arg1797z00_9170 == BgL_classz00_9159);
													}
												else
													{	/* SawMill/defs.sch 932 */
														BgL_res3087z00_9164 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3087z00_9164;
							}
					}
				else
					{	/* SawMill/defs.sch 932 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ins? */
	obj_t BGl_z62rtl_inszf3z91zzsaw_defsz00(obj_t BgL_envz00_7443,
		obj_t BgL_objz00_7444)
	{
		{	/* SawMill/defs.sch 932 */
			return BBOOL(BGl_rtl_inszf3zf3zzsaw_defsz00(BgL_objz00_7444));
		}

	}



/* rtl_ins-nil */
	BGL_EXPORTED_DEF BgL_rtl_insz00_bglt BGl_rtl_inszd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 933 */
			{	/* SawMill/defs.sch 933 */
				obj_t BgL_classz00_5883;

				BgL_classz00_5883 = BGl_rtl_insz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 933 */
					obj_t BgL__ortest_1117z00_5884;

					BgL__ortest_1117z00_5884 = BGL_CLASS_NIL(BgL_classz00_5883);
					if (CBOOL(BgL__ortest_1117z00_5884))
						{	/* SawMill/defs.sch 933 */
							return ((BgL_rtl_insz00_bglt) BgL__ortest_1117z00_5884);
						}
					else
						{	/* SawMill/defs.sch 933 */
							return
								((BgL_rtl_insz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5883));
						}
				}
			}
		}

	}



/* &rtl_ins-nil */
	BgL_rtl_insz00_bglt BGl_z62rtl_inszd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7445)
	{
		{	/* SawMill/defs.sch 933 */
			return BGl_rtl_inszd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_ins-args */
	BGL_EXPORTED_DEF obj_t BGl_rtl_inszd2argszd2zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_413)
	{
		{	/* SawMill/defs.sch 934 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_413))->BgL_argsz00);
		}

	}



/* &rtl_ins-args */
	obj_t BGl_z62rtl_inszd2argszb0zzsaw_defsz00(obj_t BgL_envz00_7446,
		obj_t BgL_oz00_7447)
	{
		{	/* SawMill/defs.sch 934 */
			return
				BGl_rtl_inszd2argszd2zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7447));
		}

	}



/* rtl_ins-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2argszd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_414, obj_t BgL_vz00_415)
	{
		{	/* SawMill/defs.sch 935 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_414))->BgL_argsz00) =
				((obj_t) BgL_vz00_415), BUNSPEC);
		}

	}



/* &rtl_ins-args-set! */
	obj_t BGl_z62rtl_inszd2argszd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7448,
		obj_t BgL_oz00_7449, obj_t BgL_vz00_7450)
	{
		{	/* SawMill/defs.sch 935 */
			return
				BGl_rtl_inszd2argszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7449), BgL_vz00_7450);
		}

	}



/* rtl_ins-fun */
	BGL_EXPORTED_DEF BgL_rtl_funz00_bglt
		BGl_rtl_inszd2funzd2zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_416)
	{
		{	/* SawMill/defs.sch 936 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_416))->BgL_funz00);
		}

	}



/* &rtl_ins-fun */
	BgL_rtl_funz00_bglt BGl_z62rtl_inszd2funzb0zzsaw_defsz00(obj_t
		BgL_envz00_7451, obj_t BgL_oz00_7452)
	{
		{	/* SawMill/defs.sch 936 */
			return
				BGl_rtl_inszd2funzd2zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7452));
		}

	}



/* rtl_ins-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2funzd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_417,
		BgL_rtl_funz00_bglt BgL_vz00_418)
	{
		{	/* SawMill/defs.sch 937 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_417))->BgL_funz00) =
				((BgL_rtl_funz00_bglt) BgL_vz00_418), BUNSPEC);
		}

	}



/* &rtl_ins-fun-set! */
	obj_t BGl_z62rtl_inszd2funzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7453,
		obj_t BgL_oz00_7454, obj_t BgL_vz00_7455)
	{
		{	/* SawMill/defs.sch 937 */
			return
				BGl_rtl_inszd2funzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7454),
				((BgL_rtl_funz00_bglt) BgL_vz00_7455));
		}

	}



/* rtl_ins-dest */
	BGL_EXPORTED_DEF obj_t BGl_rtl_inszd2destzd2zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_419)
	{
		{	/* SawMill/defs.sch 938 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_419))->BgL_destz00);
		}

	}



/* &rtl_ins-dest */
	obj_t BGl_z62rtl_inszd2destzb0zzsaw_defsz00(obj_t BgL_envz00_7456,
		obj_t BgL_oz00_7457)
	{
		{	/* SawMill/defs.sch 938 */
			return
				BGl_rtl_inszd2destzd2zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7457));
		}

	}



/* rtl_ins-dest-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2destzd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_420, obj_t BgL_vz00_421)
	{
		{	/* SawMill/defs.sch 939 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_420))->BgL_destz00) =
				((obj_t) BgL_vz00_421), BUNSPEC);
		}

	}



/* &rtl_ins-dest-set! */
	obj_t BGl_z62rtl_inszd2destzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7458,
		obj_t BgL_oz00_7459, obj_t BgL_vz00_7460)
	{
		{	/* SawMill/defs.sch 939 */
			return
				BGl_rtl_inszd2destzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7459), BgL_vz00_7460);
		}

	}



/* rtl_ins-%spill */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2z52spillz80zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_422)
	{
		{	/* SawMill/defs.sch 940 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_422))->BgL_z52spillz52);
		}

	}



/* &rtl_ins-%spill */
	obj_t BGl_z62rtl_inszd2z52spillze2zzsaw_defsz00(obj_t BgL_envz00_7461,
		obj_t BgL_oz00_7462)
	{
		{	/* SawMill/defs.sch 940 */
			return
				BGl_rtl_inszd2z52spillz80zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7462));
		}

	}



/* rtl_ins-%spill-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2z52spillzd2setz12z40zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_423, obj_t BgL_vz00_424)
	{
		{	/* SawMill/defs.sch 941 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_423))->BgL_z52spillz52) =
				((obj_t) BgL_vz00_424), BUNSPEC);
		}

	}



/* &rtl_ins-%spill-set! */
	obj_t BGl_z62rtl_inszd2z52spillzd2setz12z22zzsaw_defsz00(obj_t
		BgL_envz00_7463, obj_t BgL_oz00_7464, obj_t BgL_vz00_7465)
	{
		{	/* SawMill/defs.sch 941 */
			return
				BGl_rtl_inszd2z52spillzd2setz12z40zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7464), BgL_vz00_7465);
		}

	}



/* rtl_ins-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_inszd2loczd2zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_425)
	{
		{	/* SawMill/defs.sch 942 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_425))->BgL_locz00);
		}

	}



/* &rtl_ins-loc */
	obj_t BGl_z62rtl_inszd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7466,
		obj_t BgL_oz00_7467)
	{
		{	/* SawMill/defs.sch 942 */
			return
				BGl_rtl_inszd2loczd2zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7467));
		}

	}



/* rtl_ins-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_426,
		obj_t BgL_vz00_427)
	{
		{	/* SawMill/defs.sch 943 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_426))->BgL_locz00) =
				((obj_t) BgL_vz00_427), BUNSPEC);
		}

	}



/* &rtl_ins-loc-set! */
	obj_t BGl_z62rtl_inszd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7468,
		obj_t BgL_oz00_7469, obj_t BgL_vz00_7470)
	{
		{	/* SawMill/defs.sch 943 */
			return
				BGl_rtl_inszd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7469), BgL_vz00_7470);
		}

	}



/* make-block */
	BGL_EXPORTED_DEF BgL_blockz00_bglt BGl_makezd2blockzd2zzsaw_defsz00(int
		BgL_label1351z00_428, obj_t BgL_preds1352z00_429,
		obj_t BgL_succs1353z00_430, obj_t BgL_first1354z00_431)
	{
		{	/* SawMill/defs.sch 946 */
			{	/* SawMill/defs.sch 946 */
				BgL_blockz00_bglt BgL_new1442z00_9171;

				{	/* SawMill/defs.sch 946 */
					BgL_blockz00_bglt BgL_new1441z00_9172;

					BgL_new1441z00_9172 =
						((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_blockz00_bgl))));
					{	/* SawMill/defs.sch 946 */
						long BgL_arg1880z00_9173;

						BgL_arg1880z00_9173 = BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1441z00_9172), BgL_arg1880z00_9173);
					}
					{	/* SawMill/defs.sch 946 */
						BgL_objectz00_bglt BgL_tmpz00_12219;

						BgL_tmpz00_12219 = ((BgL_objectz00_bglt) BgL_new1441z00_9172);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12219, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1441z00_9172);
					BgL_new1442z00_9171 = BgL_new1441z00_9172;
				}
				((((BgL_blockz00_bglt) COBJECT(BgL_new1442z00_9171))->BgL_labelz00) =
					((int) BgL_label1351z00_428), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(BgL_new1442z00_9171))->BgL_predsz00) =
					((obj_t) BgL_preds1352z00_429), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(BgL_new1442z00_9171))->BgL_succsz00) =
					((obj_t) BgL_succs1353z00_430), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(BgL_new1442z00_9171))->BgL_firstz00) =
					((obj_t) BgL_first1354z00_431), BUNSPEC);
				return BgL_new1442z00_9171;
			}
		}

	}



/* &make-block */
	BgL_blockz00_bglt BGl_z62makezd2blockzb0zzsaw_defsz00(obj_t BgL_envz00_7471,
		obj_t BgL_label1351z00_7472, obj_t BgL_preds1352z00_7473,
		obj_t BgL_succs1353z00_7474, obj_t BgL_first1354z00_7475)
	{
		{	/* SawMill/defs.sch 946 */
			return
				BGl_makezd2blockzd2zzsaw_defsz00(CINT(BgL_label1351z00_7472),
				BgL_preds1352z00_7473, BgL_succs1353z00_7474, BgL_first1354z00_7475);
		}

	}



/* block? */
	BGL_EXPORTED_DEF bool_t BGl_blockzf3zf3zzsaw_defsz00(obj_t BgL_objz00_432)
	{
		{	/* SawMill/defs.sch 947 */
			{	/* SawMill/defs.sch 947 */
				obj_t BgL_classz00_9174;

				BgL_classz00_9174 = BGl_blockz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_432))
					{	/* SawMill/defs.sch 947 */
						BgL_objectz00_bglt BgL_arg1801z00_9175;

						BgL_arg1801z00_9175 = (BgL_objectz00_bglt) (BgL_objz00_432);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 947 */
								long BgL_idxz00_9176;

								BgL_idxz00_9176 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_9175);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9176 + 1L)) == BgL_classz00_9174);
							}
						else
							{	/* SawMill/defs.sch 947 */
								bool_t BgL_res3088z00_9179;

								{	/* SawMill/defs.sch 947 */
									obj_t BgL_oclassz00_9180;

									{	/* SawMill/defs.sch 947 */
										long BgL_arg1808z00_9181;

										{	/* SawMill/defs.sch 947 */
											long BgL_arg1809z00_9182;

											BgL_arg1809z00_9182 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_9175);
											BgL_arg1808z00_9181 = (BgL_arg1809z00_9182 - OBJECT_TYPE);
										}
										BgL_oclassz00_9180 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_9181);
									}
									{	/* SawMill/defs.sch 947 */
										bool_t BgL__ortest_1115z00_9183;

										BgL__ortest_1115z00_9183 =
											(BgL_classz00_9174 == BgL_oclassz00_9180);
										if (BgL__ortest_1115z00_9183)
											{	/* SawMill/defs.sch 947 */
												BgL_res3088z00_9179 = BgL__ortest_1115z00_9183;
											}
										else
											{	/* SawMill/defs.sch 947 */
												long BgL_odepthz00_9184;

												BgL_odepthz00_9184 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9180);
												if ((1L < BgL_odepthz00_9184))
													{	/* SawMill/defs.sch 947 */
														obj_t BgL_arg1797z00_9185;

														BgL_arg1797z00_9185 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9180, 1L);
														BgL_res3088z00_9179 =
															(BgL_arg1797z00_9185 == BgL_classz00_9174);
													}
												else
													{	/* SawMill/defs.sch 947 */
														BgL_res3088z00_9179 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3088z00_9179;
							}
					}
				else
					{	/* SawMill/defs.sch 947 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &block? */
	obj_t BGl_z62blockzf3z91zzsaw_defsz00(obj_t BgL_envz00_7476,
		obj_t BgL_objz00_7477)
	{
		{	/* SawMill/defs.sch 947 */
			return BBOOL(BGl_blockzf3zf3zzsaw_defsz00(BgL_objz00_7477));
		}

	}



/* block-nil */
	BGL_EXPORTED_DEF BgL_blockz00_bglt BGl_blockzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 948 */
			{	/* SawMill/defs.sch 948 */
				obj_t BgL_classz00_5923;

				BgL_classz00_5923 = BGl_blockz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 948 */
					obj_t BgL__ortest_1117z00_5924;

					BgL__ortest_1117z00_5924 = BGL_CLASS_NIL(BgL_classz00_5923);
					if (CBOOL(BgL__ortest_1117z00_5924))
						{	/* SawMill/defs.sch 948 */
							return ((BgL_blockz00_bglt) BgL__ortest_1117z00_5924);
						}
					else
						{	/* SawMill/defs.sch 948 */
							return
								((BgL_blockz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5923));
						}
				}
			}
		}

	}



/* &block-nil */
	BgL_blockz00_bglt BGl_z62blockzd2nilzb0zzsaw_defsz00(obj_t BgL_envz00_7478)
	{
		{	/* SawMill/defs.sch 948 */
			return BGl_blockzd2nilzd2zzsaw_defsz00();
		}

	}



/* block-first */
	BGL_EXPORTED_DEF obj_t BGl_blockzd2firstzd2zzsaw_defsz00(BgL_blockz00_bglt
		BgL_oz00_433)
	{
		{	/* SawMill/defs.sch 949 */
			return (((BgL_blockz00_bglt) COBJECT(BgL_oz00_433))->BgL_firstz00);
		}

	}



/* &block-first */
	obj_t BGl_z62blockzd2firstzb0zzsaw_defsz00(obj_t BgL_envz00_7479,
		obj_t BgL_oz00_7480)
	{
		{	/* SawMill/defs.sch 949 */
			return
				BGl_blockzd2firstzd2zzsaw_defsz00(((BgL_blockz00_bglt) BgL_oz00_7480));
		}

	}



/* block-first-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2firstzd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt BgL_oz00_434,
		obj_t BgL_vz00_435)
	{
		{	/* SawMill/defs.sch 950 */
			return
				((((BgL_blockz00_bglt) COBJECT(BgL_oz00_434))->BgL_firstz00) =
				((obj_t) BgL_vz00_435), BUNSPEC);
		}

	}



/* &block-first-set! */
	obj_t BGl_z62blockzd2firstzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7481,
		obj_t BgL_oz00_7482, obj_t BgL_vz00_7483)
	{
		{	/* SawMill/defs.sch 950 */
			return
				BGl_blockzd2firstzd2setz12z12zzsaw_defsz00(
				((BgL_blockz00_bglt) BgL_oz00_7482), BgL_vz00_7483);
		}

	}



/* block-succs */
	BGL_EXPORTED_DEF obj_t BGl_blockzd2succszd2zzsaw_defsz00(BgL_blockz00_bglt
		BgL_oz00_436)
	{
		{	/* SawMill/defs.sch 951 */
			return (((BgL_blockz00_bglt) COBJECT(BgL_oz00_436))->BgL_succsz00);
		}

	}



/* &block-succs */
	obj_t BGl_z62blockzd2succszb0zzsaw_defsz00(obj_t BgL_envz00_7484,
		obj_t BgL_oz00_7485)
	{
		{	/* SawMill/defs.sch 951 */
			return
				BGl_blockzd2succszd2zzsaw_defsz00(((BgL_blockz00_bglt) BgL_oz00_7485));
		}

	}



/* block-succs-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2succszd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt BgL_oz00_437,
		obj_t BgL_vz00_438)
	{
		{	/* SawMill/defs.sch 952 */
			return
				((((BgL_blockz00_bglt) COBJECT(BgL_oz00_437))->BgL_succsz00) =
				((obj_t) BgL_vz00_438), BUNSPEC);
		}

	}



/* &block-succs-set! */
	obj_t BGl_z62blockzd2succszd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7486,
		obj_t BgL_oz00_7487, obj_t BgL_vz00_7488)
	{
		{	/* SawMill/defs.sch 952 */
			return
				BGl_blockzd2succszd2setz12z12zzsaw_defsz00(
				((BgL_blockz00_bglt) BgL_oz00_7487), BgL_vz00_7488);
		}

	}



/* block-preds */
	BGL_EXPORTED_DEF obj_t BGl_blockzd2predszd2zzsaw_defsz00(BgL_blockz00_bglt
		BgL_oz00_439)
	{
		{	/* SawMill/defs.sch 953 */
			return (((BgL_blockz00_bglt) COBJECT(BgL_oz00_439))->BgL_predsz00);
		}

	}



/* &block-preds */
	obj_t BGl_z62blockzd2predszb0zzsaw_defsz00(obj_t BgL_envz00_7489,
		obj_t BgL_oz00_7490)
	{
		{	/* SawMill/defs.sch 953 */
			return
				BGl_blockzd2predszd2zzsaw_defsz00(((BgL_blockz00_bglt) BgL_oz00_7490));
		}

	}



/* block-preds-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2predszd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt BgL_oz00_440,
		obj_t BgL_vz00_441)
	{
		{	/* SawMill/defs.sch 954 */
			return
				((((BgL_blockz00_bglt) COBJECT(BgL_oz00_440))->BgL_predsz00) =
				((obj_t) BgL_vz00_441), BUNSPEC);
		}

	}



/* &block-preds-set! */
	obj_t BGl_z62blockzd2predszd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7491,
		obj_t BgL_oz00_7492, obj_t BgL_vz00_7493)
	{
		{	/* SawMill/defs.sch 954 */
			return
				BGl_blockzd2predszd2setz12z12zzsaw_defsz00(
				((BgL_blockz00_bglt) BgL_oz00_7492), BgL_vz00_7493);
		}

	}



/* block-label */
	BGL_EXPORTED_DEF int BGl_blockzd2labelzd2zzsaw_defsz00(BgL_blockz00_bglt
		BgL_oz00_442)
	{
		{	/* SawMill/defs.sch 955 */
			return (((BgL_blockz00_bglt) COBJECT(BgL_oz00_442))->BgL_labelz00);
		}

	}



/* &block-label */
	obj_t BGl_z62blockzd2labelzb0zzsaw_defsz00(obj_t BgL_envz00_7494,
		obj_t BgL_oz00_7495)
	{
		{	/* SawMill/defs.sch 955 */
			return
				BINT(BGl_blockzd2labelzd2zzsaw_defsz00(
					((BgL_blockz00_bglt) BgL_oz00_7495)));
		}

	}



/* block-label-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2labelzd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt BgL_oz00_443,
		int BgL_vz00_444)
	{
		{	/* SawMill/defs.sch 956 */
			return
				((((BgL_blockz00_bglt) COBJECT(BgL_oz00_443))->BgL_labelz00) =
				((int) BgL_vz00_444), BUNSPEC);
		}

	}



/* &block-label-set! */
	obj_t BGl_z62blockzd2labelzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7496,
		obj_t BgL_oz00_7497, obj_t BgL_vz00_7498)
	{
		{	/* SawMill/defs.sch 956 */
			return
				BGl_blockzd2labelzd2setz12z12zzsaw_defsz00(
				((BgL_blockz00_bglt) BgL_oz00_7497), CINT(BgL_vz00_7498));
		}

	}



/* rtl_ins-args* */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_insz00_445)
	{
		{	/* SawMill/defs.scm 107 */
			{	/* SawMill/defs.scm 108 */
				obj_t BgL_g1443z00_2036;

				BgL_g1443z00_2036 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_445))->BgL_argsz00);
				{
					obj_t BgL_argsz00_2039;
					obj_t BgL_resz00_2040;

					BgL_argsz00_2039 = BgL_g1443z00_2036;
					BgL_resz00_2040 = BNIL;
				BgL_zc3z04anonymousza31881ze3z87_2041:
					if (NULLP(BgL_argsz00_2039))
						{	/* SawMill/defs.scm 111 */
							return BgL_resz00_2040;
						}
					else
						{	/* SawMill/defs.scm 113 */
							bool_t BgL_test4303z00_12286;

							{	/* SawMill/defs.scm 113 */
								obj_t BgL_arg1898z00_2056;

								BgL_arg1898z00_2056 = CAR(((obj_t) BgL_argsz00_2039));
								{	/* SawMill/defs.scm 113 */
									obj_t BgL_classz00_5927;

									BgL_classz00_5927 = BGl_rtl_regz00zzsaw_defsz00;
									if (BGL_OBJECTP(BgL_arg1898z00_2056))
										{	/* SawMill/defs.scm 113 */
											BgL_objectz00_bglt BgL_arg1801z00_5929;

											BgL_arg1801z00_5929 =
												(BgL_objectz00_bglt) (BgL_arg1898z00_2056);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawMill/defs.scm 113 */
													long BgL_idxz00_5935;

													BgL_idxz00_5935 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_5929);
													BgL_test4303z00_12286 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_5935 + 1L)) == BgL_classz00_5927);
												}
											else
												{	/* SawMill/defs.scm 113 */
													bool_t BgL_res3089z00_5957;

													{	/* SawMill/defs.scm 113 */
														obj_t BgL_oclassz00_5943;

														{	/* SawMill/defs.scm 113 */
															long BgL_arg1808z00_5949;

															{	/* SawMill/defs.scm 113 */
																long BgL_arg1809z00_5950;

																BgL_arg1809z00_5950 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_5929);
																BgL_arg1808z00_5949 =
																	(BgL_arg1809z00_5950 - OBJECT_TYPE);
															}
															BgL_oclassz00_5943 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1808z00_5949);
														}
														{	/* SawMill/defs.scm 113 */
															bool_t BgL__ortest_1115z00_5944;

															BgL__ortest_1115z00_5944 =
																(BgL_classz00_5927 == BgL_oclassz00_5943);
															if (BgL__ortest_1115z00_5944)
																{	/* SawMill/defs.scm 113 */
																	BgL_res3089z00_5957 =
																		BgL__ortest_1115z00_5944;
																}
															else
																{	/* SawMill/defs.scm 113 */
																	long BgL_odepthz00_5945;

																	BgL_odepthz00_5945 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_5943);
																	if ((1L < BgL_odepthz00_5945))
																		{	/* SawMill/defs.scm 113 */
																			obj_t BgL_arg1797z00_5947;

																			BgL_arg1797z00_5947 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_5943, 1L);
																			BgL_res3089z00_5957 =
																				(BgL_arg1797z00_5947 ==
																				BgL_classz00_5927);
																		}
																	else
																		{	/* SawMill/defs.scm 113 */
																			BgL_res3089z00_5957 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test4303z00_12286 = BgL_res3089z00_5957;
												}
										}
									else
										{	/* SawMill/defs.scm 113 */
											BgL_test4303z00_12286 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test4303z00_12286)
								{	/* SawMill/defs.scm 114 */
									obj_t BgL_arg1885z00_2045;
									obj_t BgL_arg1886z00_2046;

									BgL_arg1885z00_2045 = CDR(((obj_t) BgL_argsz00_2039));
									{	/* SawMill/defs.scm 114 */
										obj_t BgL_arg1888z00_2047;

										BgL_arg1888z00_2047 = CAR(((obj_t) BgL_argsz00_2039));
										BgL_arg1886z00_2046 =
											MAKE_YOUNG_PAIR(BgL_arg1888z00_2047, BgL_resz00_2040);
									}
									{
										obj_t BgL_resz00_12314;
										obj_t BgL_argsz00_12313;

										BgL_argsz00_12313 = BgL_arg1885z00_2045;
										BgL_resz00_12314 = BgL_arg1886z00_2046;
										BgL_resz00_2040 = BgL_resz00_12314;
										BgL_argsz00_2039 = BgL_argsz00_12313;
										goto BgL_zc3z04anonymousza31881ze3z87_2041;
									}
								}
							else
								{	/* SawMill/defs.scm 115 */
									bool_t BgL_test4308z00_12315;

									{	/* SawMill/defs.scm 115 */
										obj_t BgL_arg1897z00_2055;

										BgL_arg1897z00_2055 = CAR(((obj_t) BgL_argsz00_2039));
										{	/* SawMill/defs.scm 115 */
											obj_t BgL_classz00_5961;

											BgL_classz00_5961 = BGl_rtl_insz00zzsaw_defsz00;
											if (BGL_OBJECTP(BgL_arg1897z00_2055))
												{	/* SawMill/defs.scm 115 */
													BgL_objectz00_bglt BgL_arg1801z00_5963;

													BgL_arg1801z00_5963 =
														(BgL_objectz00_bglt) (BgL_arg1897z00_2055);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawMill/defs.scm 115 */
															long BgL_idxz00_5969;

															BgL_idxz00_5969 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_5963);
															BgL_test4308z00_12315 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_5969 + 1L)) == BgL_classz00_5961);
														}
													else
														{	/* SawMill/defs.scm 115 */
															bool_t BgL_res3090z00_5991;

															{	/* SawMill/defs.scm 115 */
																obj_t BgL_oclassz00_5977;

																{	/* SawMill/defs.scm 115 */
																	long BgL_arg1808z00_5983;

																	{	/* SawMill/defs.scm 115 */
																		long BgL_arg1809z00_5984;

																		BgL_arg1809z00_5984 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_5963);
																		BgL_arg1808z00_5983 =
																			(BgL_arg1809z00_5984 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_5977 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1808z00_5983);
																}
																{	/* SawMill/defs.scm 115 */
																	bool_t BgL__ortest_1115z00_5978;

																	BgL__ortest_1115z00_5978 =
																		(BgL_classz00_5961 == BgL_oclassz00_5977);
																	if (BgL__ortest_1115z00_5978)
																		{	/* SawMill/defs.scm 115 */
																			BgL_res3090z00_5991 =
																				BgL__ortest_1115z00_5978;
																		}
																	else
																		{	/* SawMill/defs.scm 115 */
																			long BgL_odepthz00_5979;

																			BgL_odepthz00_5979 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_5977);
																			if ((1L < BgL_odepthz00_5979))
																				{	/* SawMill/defs.scm 115 */
																					obj_t BgL_arg1797z00_5981;

																					BgL_arg1797z00_5981 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_5977, 1L);
																					BgL_res3090z00_5991 =
																						(BgL_arg1797z00_5981 ==
																						BgL_classz00_5961);
																				}
																			else
																				{	/* SawMill/defs.scm 115 */
																					BgL_res3090z00_5991 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test4308z00_12315 = BgL_res3090z00_5991;
														}
												}
											else
												{	/* SawMill/defs.scm 115 */
													BgL_test4308z00_12315 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test4308z00_12315)
										{	/* SawMill/defs.scm 116 */
											obj_t BgL_arg1892z00_2050;
											obj_t BgL_arg1893z00_2051;

											BgL_arg1892z00_2050 = CDR(((obj_t) BgL_argsz00_2039));
											{	/* SawMill/defs.scm 116 */
												obj_t BgL_arg1894z00_2052;

												{	/* SawMill/defs.scm 116 */
													obj_t BgL_arg1895z00_2053;

													BgL_arg1895z00_2053 = CAR(((obj_t) BgL_argsz00_2039));
													BgL_arg1894z00_2052 =
														BGl_rtl_inszd2argsza2z70zzsaw_defsz00(
														((BgL_rtl_insz00_bglt) BgL_arg1895z00_2053));
												}
												BgL_arg1893z00_2051 =
													BGl_appendzd221011zd2zzsaw_defsz00
													(BgL_arg1894z00_2052, BgL_resz00_2040);
											}
											{
												obj_t BgL_resz00_12345;
												obj_t BgL_argsz00_12344;

												BgL_argsz00_12344 = BgL_arg1892z00_2050;
												BgL_resz00_12345 = BgL_arg1893z00_2051;
												BgL_resz00_2040 = BgL_resz00_12345;
												BgL_argsz00_2039 = BgL_argsz00_12344;
												goto BgL_zc3z04anonymousza31881ze3z87_2041;
											}
										}
									else
										{	/* SawMill/defs.scm 118 */
											obj_t BgL_arg1896z00_2054;

											BgL_arg1896z00_2054 = CDR(((obj_t) BgL_argsz00_2039));
											{
												obj_t BgL_argsz00_12348;

												BgL_argsz00_12348 = BgL_arg1896z00_2054;
												BgL_argsz00_2039 = BgL_argsz00_12348;
												goto BgL_zc3z04anonymousza31881ze3z87_2041;
											}
										}
								}
						}
				}
			}
		}

	}



/* &rtl_ins-args* */
	obj_t BGl_z62rtl_inszd2argsza2z12zzsaw_defsz00(obj_t BgL_envz00_7499,
		obj_t BgL_insz00_7500)
	{
		{	/* SawMill/defs.scm 107 */
			return
				BGl_rtl_inszd2argsza2z70zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_insz00_7500));
		}

	}



/* dump-basic-blocks */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2basiczd2blocksz00zzsaw_defsz00(obj_t
		BgL_idz00_448, obj_t BgL_vz00_449, obj_t BgL_paramsz00_450,
		obj_t BgL_lz00_451)
	{
		{	/* SawMill/defs.scm 157 */
			{	/* SawMill/defs.scm 158 */
				obj_t BgL_port1653z00_2058;

				BgL_port1653z00_2058 = BGl_za2tracezd2portza2zd2zztools_tracez00;
				{	/* SawMill/defs.scm 158 */
					obj_t BgL_tmpz00_12351;

					BgL_tmpz00_12351 = ((obj_t) BgL_port1653z00_2058);
					bgl_display_string(BGl_string3107z00zzsaw_defsz00, BgL_tmpz00_12351);
				}
				bgl_display_obj(BgL_idz00_448, BgL_port1653z00_2058);
				{	/* SawMill/defs.scm 158 */
					obj_t BgL_tmpz00_12355;

					BgL_tmpz00_12355 = ((obj_t) BgL_port1653z00_2058);
					bgl_display_string(BGl_string3108z00zzsaw_defsz00, BgL_tmpz00_12355);
				}
				bgl_display_obj(BGl_shapez00zztools_shapez00(BgL_vz00_449),
					BgL_port1653z00_2058);
				{	/* SawMill/defs.scm 158 */
					obj_t BgL_tmpz00_12360;

					BgL_tmpz00_12360 = ((obj_t) BgL_port1653z00_2058);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_12360);
			}}
			bgl_display_string(BGl_string3109z00zzsaw_defsz00,
				BGl_za2tracezd2portza2zd2zztools_tracez00);
			if (NULLP(BgL_paramsz00_450))
				{	/* SawMill/defs.scm 160 */
					BNIL;
				}
			else
				{	/* SawMill/defs.scm 160 */
					obj_t BgL_head1656z00_2062;

					BgL_head1656z00_2062 = MAKE_YOUNG_PAIR(BNIL, BNIL);
					{
						obj_t BgL_l1654z00_2064;
						obj_t BgL_tail1657z00_2065;

						BgL_l1654z00_2064 = BgL_paramsz00_450;
						BgL_tail1657z00_2065 = BgL_head1656z00_2062;
					BgL_zc3z04anonymousza31901ze3z87_2066:
						if (NULLP(BgL_l1654z00_2064))
							{	/* SawMill/defs.scm 160 */
								CDR(BgL_head1656z00_2062);
							}
						else
							{	/* SawMill/defs.scm 160 */
								obj_t BgL_newtail1658z00_2068;

								{	/* SawMill/defs.scm 160 */
									obj_t BgL_arg1908z00_2070;

									{	/* SawMill/defs.scm 160 */
										obj_t BgL_az00_2071;

										BgL_az00_2071 = CAR(((obj_t) BgL_l1654z00_2064));
										bgl_display_string(BGl_string3108z00zzsaw_defsz00,
											BGl_za2tracezd2portza2zd2zztools_tracez00);
										BgL_arg1908z00_2070 =
											BGl_dumpz00zzsaw_defsz00(BgL_az00_2071,
											BGl_za2tracezd2portza2zd2zztools_tracez00, (int) (0L));
									}
									BgL_newtail1658z00_2068 =
										MAKE_YOUNG_PAIR(BgL_arg1908z00_2070, BNIL);
								}
								SET_CDR(BgL_tail1657z00_2065, BgL_newtail1658z00_2068);
								{	/* SawMill/defs.scm 160 */
									obj_t BgL_arg1905z00_2069;

									BgL_arg1905z00_2069 = CDR(((obj_t) BgL_l1654z00_2064));
									{
										obj_t BgL_tail1657z00_12380;
										obj_t BgL_l1654z00_12379;

										BgL_l1654z00_12379 = BgL_arg1905z00_2069;
										BgL_tail1657z00_12380 = BgL_newtail1658z00_2068;
										BgL_tail1657z00_2065 = BgL_tail1657z00_12380;
										BgL_l1654z00_2064 = BgL_l1654z00_12379;
										goto BgL_zc3z04anonymousza31901ze3z87_2066;
									}
								}
							}
					}
				}
			bgl_display_char(((unsigned char) 10),
				BGl_za2tracezd2portza2zd2zztools_tracez00);
			{	/* SawMill/defs.scm 165 */
				obj_t BgL_port1659z00_2073;

				BgL_port1659z00_2073 = BGl_za2tracezd2portza2zd2zztools_tracez00;
				{	/* SawMill/defs.scm 165 */
					obj_t BgL_tmpz00_12382;

					BgL_tmpz00_12382 = ((obj_t) BgL_port1659z00_2073);
					bgl_display_string(BGl_string3110z00zzsaw_defsz00, BgL_tmpz00_12382);
				}
				{	/* SawMill/defs.scm 165 */
					obj_t BgL_tmpz00_12385;

					BgL_tmpz00_12385 = ((obj_t) BgL_port1659z00_2073);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_12385);
			}}
			{
				obj_t BgL_l1660z00_2075;

				{	/* SawMill/defs.scm 166 */
					bool_t BgL_tmpz00_12388;

					BgL_l1660z00_2075 = BgL_lz00_451;
				BgL_zc3z04anonymousza31909ze3z87_2076:
					if (PAIRP(BgL_l1660z00_2075))
						{	/* SawMill/defs.scm 166 */
							{	/* SawMill/defs.scm 167 */
								obj_t BgL_bz00_2078;

								BgL_bz00_2078 = CAR(BgL_l1660z00_2075);
								{	/* SawMill/defs.scm 167 */
									obj_t BgL_portz00_6013;

									BgL_portz00_6013 = BGl_za2tracezd2portza2zd2zztools_tracez00;
									BGl_dumpz00zzsaw_defsz00(BgL_bz00_2078, BgL_portz00_6013,
										(int) (0L));
									bgl_display_char(((unsigned char) 10), BgL_portz00_6013);
								}
								bgl_display_char(((unsigned char) 10),
									BGl_za2tracezd2portza2zd2zztools_tracez00);
							}
							{
								obj_t BgL_l1660z00_12396;

								BgL_l1660z00_12396 = CDR(BgL_l1660z00_2075);
								BgL_l1660z00_2075 = BgL_l1660z00_12396;
								goto BgL_zc3z04anonymousza31909ze3z87_2076;
							}
						}
					else
						{	/* SawMill/defs.scm 166 */
							BgL_tmpz00_12388 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_12388);
				}
			}
		}

	}



/* &dump-basic-blocks */
	obj_t BGl_z62dumpzd2basiczd2blocksz62zzsaw_defsz00(obj_t BgL_envz00_7501,
		obj_t BgL_idz00_7502, obj_t BgL_vz00_7503, obj_t BgL_paramsz00_7504,
		obj_t BgL_lz00_7505)
	{
		{	/* SawMill/defs.scm 157 */
			return
				BGl_dumpzd2basiczd2blocksz00zzsaw_defsz00(BgL_idz00_7502, BgL_vz00_7503,
				BgL_paramsz00_7504, BgL_lz00_7505);
		}

	}



/* rtl-dump */
	BGL_EXPORTED_DEF obj_t BGl_rtlzd2dumpzd2zzsaw_defsz00(obj_t BgL_objz00_452,
		obj_t BgL_portz00_453)
	{
		{	/* SawMill/defs.scm 174 */
			BGl_dumpz00zzsaw_defsz00(BgL_objz00_452, BgL_portz00_453, (int) (0L));
			return bgl_display_char(((unsigned char) 10), BgL_portz00_453);
		}

	}



/* &rtl-dump */
	obj_t BGl_z62rtlzd2dumpzb0zzsaw_defsz00(obj_t BgL_envz00_7506,
		obj_t BgL_objz00_7507, obj_t BgL_portz00_7508)
	{
		{	/* SawMill/defs.scm 174 */
			return BGl_rtlzd2dumpzd2zzsaw_defsz00(BgL_objz00_7507, BgL_portz00_7508);
		}

	}



/* dump-margin */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2marginzd2zzsaw_defsz00(obj_t BgL_pz00_454,
		int BgL_mz00_455)
	{
		{	/* SawMill/defs.scm 181 */
			{	/* SawMill/defs.scm 182 */
				obj_t BgL_mgsz00_2081;

				BgL_mgsz00_2081 = CNST_TABLE_REF(0L);
				if (((long) (BgL_mz00_455) < VECTOR_LENGTH(BgL_mgsz00_2081)))
					{	/* SawMill/defs.scm 183 */
						return
							bgl_display_obj(VECTOR_REF(BgL_mgsz00_2081,
								(long) (BgL_mz00_455)), BgL_pz00_454);
					}
				else
					{	/* SawMill/defs.scm 183 */
						return
							bgl_display_obj(make_string(
								(long) (BgL_mz00_455), ((unsigned char) ' ')), BgL_pz00_454);
		}}}

	}



/* &dump-margin */
	obj_t BGl_z62dumpzd2marginzb0zzsaw_defsz00(obj_t BgL_envz00_7509,
		obj_t BgL_pz00_7510, obj_t BgL_mz00_7511)
	{
		{	/* SawMill/defs.scm 181 */
			return
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_7510, CINT(BgL_mz00_7511));
		}

	}



/* dump* */
	BGL_EXPORTED_DEF obj_t BGl_dumpza2za2zzsaw_defsz00(obj_t BgL_oz00_459,
		obj_t BgL_pz00_460, int BgL_mz00_461)
	{
		{	/* SawMill/defs.scm 208 */
			if (NULLP(BgL_oz00_459))
				{	/* SawMill/defs.scm 210 */
					return BUNSPEC;
				}
			else
				{	/* SawMill/defs.scm 210 */
					if (NULLP(CDR(((obj_t) BgL_oz00_459))))
						{	/* SawMill/defs.scm 213 */
							obj_t BgL_arg1922z00_2090;

							BgL_arg1922z00_2090 = CAR(((obj_t) BgL_oz00_459));
							BGL_TAIL return
								BGl_dumpz00zzsaw_defsz00(BgL_arg1922z00_2090, BgL_pz00_460,
								BgL_mz00_461);
						}
					else
						{
							obj_t BgL_oz00_2092;

							{	/* SawMill/defs.scm 215 */
								bool_t BgL_tmpz00_12426;

								BgL_oz00_2092 = BgL_oz00_459;
							BgL_zc3z04anonymousza31923ze3z87_2093:
								{	/* SawMill/defs.scm 216 */
									obj_t BgL_arg1924z00_2094;

									BgL_arg1924z00_2094 = CAR(((obj_t) BgL_oz00_2092));
									BGl_dumpz00zzsaw_defsz00(BgL_arg1924z00_2094, BgL_pz00_460,
										BgL_mz00_461);
								}
								{	/* SawMill/defs.scm 217 */
									bool_t BgL_test4319z00_12430;

									{	/* SawMill/defs.scm 217 */
										obj_t BgL_tmpz00_12431;

										BgL_tmpz00_12431 = CDR(((obj_t) BgL_oz00_2092));
										BgL_test4319z00_12430 = PAIRP(BgL_tmpz00_12431);
									}
									if (BgL_test4319z00_12430)
										{	/* SawMill/defs.scm 217 */
											bgl_display_char(((unsigned char) 10), BgL_pz00_460);
											BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_460,
												BgL_mz00_461);
											{	/* SawMill/defs.scm 220 */
												obj_t BgL_arg1927z00_2097;

												BgL_arg1927z00_2097 = CDR(((obj_t) BgL_oz00_2092));
												{
													obj_t BgL_oz00_12439;

													BgL_oz00_12439 = BgL_arg1927z00_2097;
													BgL_oz00_2092 = BgL_oz00_12439;
													goto BgL_zc3z04anonymousza31923ze3z87_2093;
												}
											}
										}
									else
										{	/* SawMill/defs.scm 217 */
											BgL_tmpz00_12426 = ((bool_t) 0);
										}
								}
								return BBOOL(BgL_tmpz00_12426);
							}
						}
				}
		}

	}



/* &dump* */
	obj_t BGl_z62dumpza2zc0zzsaw_defsz00(obj_t BgL_envz00_7512,
		obj_t BgL_oz00_7513, obj_t BgL_pz00_7514, obj_t BgL_mz00_7515)
	{
		{	/* SawMill/defs.scm 208 */
			return
				BGl_dumpza2za2zzsaw_defsz00(BgL_oz00_7513, BgL_pz00_7514,
				CINT(BgL_mz00_7515));
		}

	}



/* dump-args */
	bool_t BGl_dumpzd2argszd2zzsaw_defsz00(obj_t BgL_argsz00_462,
		obj_t BgL_pz00_463)
	{
		{	/* SawMill/defs.scm 225 */
			{
				obj_t BgL_argsz00_2102;

				BgL_argsz00_2102 = BgL_argsz00_462;
			BgL_zc3z04anonymousza31930ze3z87_2103:
				if (PAIRP(BgL_argsz00_2102))
					{	/* SawMill/defs.scm 228 */
						obj_t BgL_az00_2105;

						BgL_az00_2105 = CAR(BgL_argsz00_2102);
						{	/* SawMill/defs.scm 230 */
							bool_t BgL_test4321z00_12446;

							{	/* SawMill/defs.scm 230 */
								obj_t BgL_classz00_6031;

								BgL_classz00_6031 = BGl_rtl_regz00zzsaw_defsz00;
								if (BGL_OBJECTP(BgL_az00_2105))
									{	/* SawMill/defs.scm 230 */
										BgL_objectz00_bglt BgL_arg1801z00_6033;

										BgL_arg1801z00_6033 = (BgL_objectz00_bglt) (BgL_az00_2105);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawMill/defs.scm 230 */
												long BgL_idxz00_6039;

												BgL_idxz00_6039 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_6033);
												BgL_test4321z00_12446 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_6039 + 1L)) == BgL_classz00_6031);
											}
										else
											{	/* SawMill/defs.scm 230 */
												bool_t BgL_res3091z00_6061;

												{	/* SawMill/defs.scm 230 */
													obj_t BgL_oclassz00_6047;

													{	/* SawMill/defs.scm 230 */
														long BgL_arg1808z00_6053;

														{	/* SawMill/defs.scm 230 */
															long BgL_arg1809z00_6054;

															BgL_arg1809z00_6054 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_6033);
															BgL_arg1808z00_6053 =
																(BgL_arg1809z00_6054 - OBJECT_TYPE);
														}
														BgL_oclassz00_6047 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1808z00_6053);
													}
													{	/* SawMill/defs.scm 230 */
														bool_t BgL__ortest_1115z00_6048;

														BgL__ortest_1115z00_6048 =
															(BgL_classz00_6031 == BgL_oclassz00_6047);
														if (BgL__ortest_1115z00_6048)
															{	/* SawMill/defs.scm 230 */
																BgL_res3091z00_6061 = BgL__ortest_1115z00_6048;
															}
														else
															{	/* SawMill/defs.scm 230 */
																long BgL_odepthz00_6049;

																BgL_odepthz00_6049 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_6047);
																if ((1L < BgL_odepthz00_6049))
																	{	/* SawMill/defs.scm 230 */
																		obj_t BgL_arg1797z00_6051;

																		BgL_arg1797z00_6051 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_6047, 1L);
																		BgL_res3091z00_6061 =
																			(BgL_arg1797z00_6051 ==
																			BgL_classz00_6031);
																	}
																else
																	{	/* SawMill/defs.scm 230 */
																		BgL_res3091z00_6061 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test4321z00_12446 = BgL_res3091z00_6061;
											}
									}
								else
									{	/* SawMill/defs.scm 230 */
										BgL_test4321z00_12446 = ((bool_t) 0);
									}
							}
							if (BgL_test4321z00_12446)
								{	/* SawMill/defs.scm 230 */
									{	/* SawMill/defs.scm 231 */
										obj_t BgL_tmpz00_12466;

										BgL_tmpz00_12466 = ((obj_t) BgL_pz00_463);
										bgl_display_string(BGl_string3108z00zzsaw_defsz00,
											BgL_tmpz00_12466);
									}
									BGl_dumpz00zzsaw_defsz00(BgL_az00_2105, BgL_pz00_463,
										(int) (0L));
								}
							else
								{	/* SawMill/defs.scm 233 */
									bool_t BgL_test4326z00_12471;

									{	/* SawMill/defs.scm 233 */
										obj_t BgL_classz00_6064;

										BgL_classz00_6064 = BGl_rtl_insz00zzsaw_defsz00;
										if (BGL_OBJECTP(BgL_az00_2105))
											{	/* SawMill/defs.scm 233 */
												BgL_objectz00_bglt BgL_arg1801z00_6066;

												BgL_arg1801z00_6066 =
													(BgL_objectz00_bglt) (BgL_az00_2105);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* SawMill/defs.scm 233 */
														long BgL_idxz00_6072;

														BgL_idxz00_6072 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_6066);
														BgL_test4326z00_12471 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_6072 + 1L)) == BgL_classz00_6064);
													}
												else
													{	/* SawMill/defs.scm 233 */
														bool_t BgL_res3092z00_6094;

														{	/* SawMill/defs.scm 233 */
															obj_t BgL_oclassz00_6080;

															{	/* SawMill/defs.scm 233 */
																long BgL_arg1808z00_6086;

																{	/* SawMill/defs.scm 233 */
																	long BgL_arg1809z00_6087;

																	BgL_arg1809z00_6087 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_6066);
																	BgL_arg1808z00_6086 =
																		(BgL_arg1809z00_6087 - OBJECT_TYPE);
																}
																BgL_oclassz00_6080 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1808z00_6086);
															}
															{	/* SawMill/defs.scm 233 */
																bool_t BgL__ortest_1115z00_6081;

																BgL__ortest_1115z00_6081 =
																	(BgL_classz00_6064 == BgL_oclassz00_6080);
																if (BgL__ortest_1115z00_6081)
																	{	/* SawMill/defs.scm 233 */
																		BgL_res3092z00_6094 =
																			BgL__ortest_1115z00_6081;
																	}
																else
																	{	/* SawMill/defs.scm 233 */
																		long BgL_odepthz00_6082;

																		BgL_odepthz00_6082 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_6080);
																		if ((1L < BgL_odepthz00_6082))
																			{	/* SawMill/defs.scm 233 */
																				obj_t BgL_arg1797z00_6084;

																				BgL_arg1797z00_6084 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_6080, 1L);
																				BgL_res3092z00_6094 =
																					(BgL_arg1797z00_6084 ==
																					BgL_classz00_6064);
																			}
																		else
																			{	/* SawMill/defs.scm 233 */
																				BgL_res3092z00_6094 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test4326z00_12471 = BgL_res3092z00_6094;
													}
											}
										else
											{	/* SawMill/defs.scm 233 */
												BgL_test4326z00_12471 = ((bool_t) 0);
											}
									}
									if (BgL_test4326z00_12471)
										{	/* SawMill/defs.scm 233 */
											{	/* SawMill/defs.scm 234 */
												obj_t BgL_tmpz00_12491;

												BgL_tmpz00_12491 = ((obj_t) BgL_pz00_463);
												bgl_display_string(BGl_string3108z00zzsaw_defsz00,
													BgL_tmpz00_12491);
											}
											{	/* SawMill/defs.scm 284 */
												obj_t BgL_tmpz00_12494;

												BgL_tmpz00_12494 = ((obj_t) BgL_pz00_463);
												bgl_display_string(BGl_string3111z00zzsaw_defsz00,
													BgL_tmpz00_12494);
											}
											{	/* SawMill/defs.scm 285 */
												BgL_rtl_funz00_bglt BgL_arg1935z00_6099;
												obj_t BgL_arg1936z00_6100;
												obj_t BgL_arg1937z00_6101;

												BgL_arg1935z00_6099 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_az00_2105)))->
													BgL_funz00);
												BgL_arg1936z00_6100 =
													(((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_az00_2105)))->BgL_destz00);
												BgL_arg1937z00_6101 =
													(((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_az00_2105)))->BgL_argsz00);
												BGl_dumpzd2funzd2zzsaw_defsz00(BgL_arg1935z00_6099,
													BgL_arg1936z00_6100, BgL_arg1937z00_6101,
													BgL_pz00_463, BINT(0L));
											}
											{	/* SawMill/defs.scm 286 */
												obj_t BgL_tmpz00_12505;

												BgL_tmpz00_12505 = ((obj_t) BgL_pz00_463);
												bgl_display_string(BGl_string3112z00zzsaw_defsz00,
													BgL_tmpz00_12505);
											}
										}
									else
										{	/* SawMill/defs.scm 233 */
											{	/* SawMill/defs.scm 237 */
												obj_t BgL_tmpz00_12508;

												BgL_tmpz00_12508 = ((obj_t) BgL_pz00_463);
												bgl_display_string(BGl_string3108z00zzsaw_defsz00,
													BgL_tmpz00_12508);
											}
											bgl_display_obj(BgL_az00_2105, BgL_pz00_463);
										}
								}
						}
						{
							obj_t BgL_argsz00_12512;

							BgL_argsz00_12512 = CDR(BgL_argsz00_2102);
							BgL_argsz00_2102 = BgL_argsz00_12512;
							goto BgL_zc3z04anonymousza31930ze3z87_2103;
						}
					}
				else
					{	/* SawMill/defs.scm 227 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* dump-ins-rhs */
	BGL_EXPORTED_DEF obj_t
		BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_470,
		obj_t BgL_pz00_471, obj_t BgL_mz00_472)
	{
		{	/* SawMill/defs.scm 282 */
			{	/* SawMill/defs.scm 284 */
				obj_t BgL_tmpz00_12514;

				BgL_tmpz00_12514 = ((obj_t) BgL_pz00_471);
				bgl_display_string(BGl_string3111z00zzsaw_defsz00, BgL_tmpz00_12514);
			}
			BGl_dumpzd2funzd2zzsaw_defsz00(
				(((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_470))->BgL_funz00),
				(((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_470))->BgL_destz00),
				(((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_470))->BgL_argsz00),
				BgL_pz00_471, BgL_mz00_472);
			{	/* SawMill/defs.scm 286 */
				obj_t BgL_tmpz00_12521;

				BgL_tmpz00_12521 = ((obj_t) BgL_pz00_471);
				return
					bgl_display_string(BGl_string3112z00zzsaw_defsz00, BgL_tmpz00_12521);
			}
		}

	}



/* &dump-ins-rhs */
	obj_t BGl_z62dumpzd2inszd2rhsz62zzsaw_defsz00(obj_t BgL_envz00_7516,
		obj_t BgL_oz00_7517, obj_t BgL_pz00_7518, obj_t BgL_mz00_7519)
	{
		{	/* SawMill/defs.scm 282 */
			return
				BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7517), BgL_pz00_7518, BgL_mz00_7519);
		}

	}



/* show-fun */
	obj_t BGl_showzd2funzd2zzsaw_defsz00(BgL_rtl_funz00_bglt BgL_oz00_476,
		obj_t BgL_destz00_477, obj_t BgL_pz00_478)
	{
		{	/* SawMill/defs.scm 300 */
			{	/* SawMill/defs.scm 301 */
				obj_t BgL_cz00_2114;

				{	/* SawMill/defs.scm 301 */
					obj_t BgL_arg1941z00_2118;

					{	/* SawMill/defs.scm 301 */
						obj_t BgL_arg1942z00_2119;

						{	/* SawMill/defs.scm 301 */
							long BgL_arg1808z00_6114;

							{	/* SawMill/defs.scm 301 */
								long BgL_arg1809z00_6115;

								BgL_arg1809z00_6115 =
									BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_476));
								BgL_arg1808z00_6114 = (BgL_arg1809z00_6115 - OBJECT_TYPE);
							}
							BgL_arg1942z00_2119 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1808z00_6114);
						}
						BgL_arg1941z00_2118 =
							BGl_classzd2namezd2zz__objectz00(BgL_arg1942z00_2119);
					}
					{	/* SawMill/defs.scm 301 */
						obj_t BgL_arg1454z00_6122;

						BgL_arg1454z00_6122 = SYMBOL_TO_STRING(BgL_arg1941z00_2118);
						BgL_cz00_2114 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1454z00_6122);
				}}
				bgl_display_obj(c_substring(BgL_cz00_2114, 4L,
						STRING_LENGTH(BgL_cz00_2114)), BgL_pz00_478);
				{	/* SawMill/defs.scm 303 */
					bool_t BgL_test4331z00_12536;

					if (CBOOL(BgL_destz00_477))
						{	/* SawMill/defs.scm 303 */
							BgL_test4331z00_12536 = CBOOL(BGl_debugzd2sawzd2zzsaw_defsz00);
						}
					else
						{	/* SawMill/defs.scm 303 */
							BgL_test4331z00_12536 = ((bool_t) 0);
						}
					if (BgL_test4331z00_12536)
						{	/* SawMill/defs.scm 303 */
							{	/* SawMill/defs.scm 304 */
								obj_t BgL_tmpz00_12540;

								BgL_tmpz00_12540 = ((obj_t) BgL_pz00_478);
								bgl_display_string(BGl_string3113z00zzsaw_defsz00,
									BgL_tmpz00_12540);
							}
							BGl_dumpz00zzsaw_defsz00(BgL_destz00_477, BgL_pz00_478,
								(int) (0L));
							{	/* SawMill/defs.scm 306 */
								obj_t BgL_tmpz00_12545;

								BgL_tmpz00_12545 = ((obj_t) BgL_pz00_478);
								return
									bgl_display_string(BGl_string3112z00zzsaw_defsz00,
									BgL_tmpz00_12545);
							}
						}
					else
						{	/* SawMill/defs.scm 303 */
							return BFALSE;
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			{	/* SawMill/defs.scm 12 */
				obj_t BgL_arg1946z00_2123;
				obj_t BgL_arg1947z00_2124;

				{	/* SawMill/defs.scm 12 */
					obj_t BgL_v1688z00_2141;

					BgL_v1688z00_2141 = create_vector(7L);
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1953z00_2142;

						BgL_arg1953z00_2142 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(1L),
							BGl_proc3115z00zzsaw_defsz00, BGl_proc3114z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1688z00_2141, 0L, BgL_arg1953z00_2142);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1958z00_2152;

						BgL_arg1958z00_2152 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(2L),
							BGl_proc3117z00zzsaw_defsz00, BGl_proc3116z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE, CNST_TABLE_REF(3L));
						VECTOR_SET(BgL_v1688z00_2141, 1L, BgL_arg1958z00_2152);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1963z00_2162;

						BgL_arg1963z00_2162 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(4L),
							BGl_proc3120z00zzsaw_defsz00, BGl_proc3119z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BGl_proc3118z00zzsaw_defsz00,
							CNST_TABLE_REF(3L));
						VECTOR_SET(BgL_v1688z00_2141, 2L, BgL_arg1963z00_2162);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1970z00_2175;

						BgL_arg1970z00_2175 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(5L),
							BGl_proc3123z00zzsaw_defsz00, BGl_proc3122z00zzsaw_defsz00,
							((bool_t) 1), ((bool_t) 0), BFALSE, BGl_proc3121z00zzsaw_defsz00,
							CNST_TABLE_REF(3L));
						VECTOR_SET(BgL_v1688z00_2141, 3L, BgL_arg1970z00_2175);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1977z00_2189;

						BgL_arg1977z00_2189 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(6L),
							BGl_proc3126z00zzsaw_defsz00, BGl_proc3125z00zzsaw_defsz00,
							((bool_t) 1), ((bool_t) 0), BFALSE, BGl_proc3124z00zzsaw_defsz00,
							CNST_TABLE_REF(3L));
						VECTOR_SET(BgL_v1688z00_2141, 4L, BgL_arg1977z00_2189);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1984z00_2203;

						BgL_arg1984z00_2203 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(7L),
							BGl_proc3129z00zzsaw_defsz00, BGl_proc3128z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BGl_proc3127z00zzsaw_defsz00,
							CNST_TABLE_REF(3L));
						VECTOR_SET(BgL_v1688z00_2141, 5L, BgL_arg1984z00_2203);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1991z00_2216;

						BgL_arg1991z00_2216 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(8L),
							BGl_proc3132z00zzsaw_defsz00, BGl_proc3131z00zzsaw_defsz00,
							((bool_t) 1), ((bool_t) 0), BFALSE, BGl_proc3130z00zzsaw_defsz00,
							CNST_TABLE_REF(3L));
						VECTOR_SET(BgL_v1688z00_2141, 6L, BgL_arg1991z00_2216);
					}
					BgL_arg1946z00_2123 = BgL_v1688z00_2141;
				}
				{	/* SawMill/defs.scm 12 */
					obj_t BgL_v1689z00_2229;

					BgL_v1689z00_2229 = create_vector(0L);
					BgL_arg1947z00_2124 = BgL_v1689z00_2229;
				}
				BGl_rtl_regz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(9L),
					CNST_TABLE_REF(10L), BGl_objectz00zz__objectz00, 23530L,
					BGl_proc3135z00zzsaw_defsz00, BGl_proc3134z00zzsaw_defsz00, BFALSE,
					BGl_proc3133z00zzsaw_defsz00, BFALSE, BgL_arg1946z00_2123,
					BgL_arg1947z00_2124);
			}
			{	/* SawMill/defs.scm 21 */
				obj_t BgL_arg2001z00_2236;
				obj_t BgL_arg2002z00_2237;

				{	/* SawMill/defs.scm 21 */
					obj_t BgL_v1690z00_2248;

					BgL_v1690z00_2248 = create_vector(1L);
					{	/* SawMill/defs.scm 21 */
						obj_t BgL_arg2008z00_2249;

						BgL_arg2008z00_2249 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(11L),
							BGl_proc3138z00zzsaw_defsz00, BGl_proc3137z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BGl_proc3136z00zzsaw_defsz00,
							CNST_TABLE_REF(3L));
						VECTOR_SET(BgL_v1690z00_2248, 0L, BgL_arg2008z00_2249);
					}
					BgL_arg2001z00_2236 = BgL_v1690z00_2248;
				}
				{	/* SawMill/defs.scm 21 */
					obj_t BgL_v1691z00_2262;

					BgL_v1691z00_2262 = create_vector(0L);
					BgL_arg2002z00_2237 = BgL_v1691z00_2262;
				}
				BGl_rtl_funz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(12L),
					CNST_TABLE_REF(10L), BGl_objectz00zz__objectz00, 50121L,
					BGl_proc3141z00zzsaw_defsz00, BGl_proc3140z00zzsaw_defsz00, BFALSE,
					BGl_proc3139z00zzsaw_defsz00, BFALSE, BgL_arg2001z00_2236,
					BgL_arg2002z00_2237);
			}
			{	/* SawMill/defs.scm 23 */
				obj_t BgL_arg2019z00_2269;
				obj_t BgL_arg2020z00_2270;

				{	/* SawMill/defs.scm 23 */
					obj_t BgL_v1692z00_2281;

					BgL_v1692z00_2281 = create_vector(0L);
					BgL_arg2019z00_2269 = BgL_v1692z00_2281;
				}
				{	/* SawMill/defs.scm 23 */
					obj_t BgL_v1693z00_2282;

					BgL_v1693z00_2282 = create_vector(0L);
					BgL_arg2020z00_2270 = BgL_v1693z00_2282;
				}
				BGl_rtl_lastz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(13L),
					CNST_TABLE_REF(10L), BGl_rtl_funz00zzsaw_defsz00, 46348L,
					BGl_proc3144z00zzsaw_defsz00, BGl_proc3143z00zzsaw_defsz00, BFALSE,
					BGl_proc3142z00zzsaw_defsz00, BFALSE, BgL_arg2019z00_2269,
					BgL_arg2020z00_2270);
			}
			{	/* SawMill/defs.scm 24 */
				obj_t BgL_arg2032z00_2289;
				obj_t BgL_arg2033z00_2290;

				{	/* SawMill/defs.scm 24 */
					obj_t BgL_v1694z00_2302;

					BgL_v1694z00_2302 = create_vector(1L);
					{	/* SawMill/defs.scm 24 */
						obj_t BgL_arg2040z00_2303;

						BgL_arg2040z00_2303 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(1L),
							BGl_proc3146z00zzsaw_defsz00, BGl_proc3145z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1694z00_2302, 0L, BgL_arg2040z00_2303);
					}
					BgL_arg2032z00_2289 = BgL_v1694z00_2302;
				}
				{	/* SawMill/defs.scm 24 */
					obj_t BgL_v1695z00_2313;

					BgL_v1695z00_2313 = create_vector(0L);
					BgL_arg2033z00_2290 = BgL_v1695z00_2313;
				}
				BGl_rtl_returnz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(14L),
					CNST_TABLE_REF(10L), BGl_rtl_lastz00zzsaw_defsz00, 2933L,
					BGl_proc3149z00zzsaw_defsz00, BGl_proc3148z00zzsaw_defsz00, BFALSE,
					BGl_proc3147z00zzsaw_defsz00, BFALSE, BgL_arg2032z00_2289,
					BgL_arg2033z00_2290);
			}
			{	/* SawMill/defs.scm 25 */
				obj_t BgL_arg2049z00_2320;
				obj_t BgL_arg2050z00_2321;

				{	/* SawMill/defs.scm 25 */
					obj_t BgL_v1696z00_2332;

					BgL_v1696z00_2332 = create_vector(0L);
					BgL_arg2049z00_2320 = BgL_v1696z00_2332;
				}
				{	/* SawMill/defs.scm 25 */
					obj_t BgL_v1697z00_2333;

					BgL_v1697z00_2333 = create_vector(0L);
					BgL_arg2050z00_2321 = BgL_v1697z00_2333;
				}
				BGl_rtl_jumpexitz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(15L),
					CNST_TABLE_REF(10L), BGl_rtl_lastz00zzsaw_defsz00, 2291L,
					BGl_proc3152z00zzsaw_defsz00, BGl_proc3151z00zzsaw_defsz00, BFALSE,
					BGl_proc3150z00zzsaw_defsz00, BFALSE, BgL_arg2049z00_2320,
					BgL_arg2050z00_2321);
			}
			{	/* SawMill/defs.scm 26 */
				obj_t BgL_arg2060z00_2340;
				obj_t BgL_arg2061z00_2341;

				{	/* SawMill/defs.scm 26 */
					obj_t BgL_v1698z00_2352;

					BgL_v1698z00_2352 = create_vector(0L);
					BgL_arg2060z00_2340 = BgL_v1698z00_2352;
				}
				{	/* SawMill/defs.scm 26 */
					obj_t BgL_v1699z00_2353;

					BgL_v1699z00_2353 = create_vector(0L);
					BgL_arg2061z00_2341 = BgL_v1699z00_2353;
				}
				BGl_rtl_failz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(16L),
					CNST_TABLE_REF(10L), BGl_rtl_lastz00zzsaw_defsz00, 45401L,
					BGl_proc3155z00zzsaw_defsz00, BGl_proc3154z00zzsaw_defsz00, BFALSE,
					BGl_proc3153z00zzsaw_defsz00, BFALSE, BgL_arg2060z00_2340,
					BgL_arg2061z00_2341);
			}
			{	/* SawMill/defs.scm 27 */
				obj_t BgL_arg2072z00_2360;
				obj_t BgL_arg2073z00_2361;

				{	/* SawMill/defs.scm 27 */
					obj_t BgL_v1700z00_2372;

					BgL_v1700z00_2372 = create_vector(0L);
					BgL_arg2072z00_2360 = BgL_v1700z00_2372;
				}
				{	/* SawMill/defs.scm 27 */
					obj_t BgL_v1701z00_2373;

					BgL_v1701z00_2373 = create_vector(0L);
					BgL_arg2073z00_2361 = BgL_v1701z00_2373;
				}
				BGl_rtl_retblockz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(17L),
					CNST_TABLE_REF(10L), BGl_rtl_funz00zzsaw_defsz00, 32430L,
					BGl_proc3158z00zzsaw_defsz00, BGl_proc3157z00zzsaw_defsz00, BFALSE,
					BGl_proc3156z00zzsaw_defsz00, BFALSE, BgL_arg2072z00_2360,
					BgL_arg2073z00_2361);
			}
			{	/* SawMill/defs.scm 28 */
				obj_t BgL_arg2083z00_2380;
				obj_t BgL_arg2085z00_2381;

				{	/* SawMill/defs.scm 28 */
					obj_t BgL_v1702z00_2393;

					BgL_v1702z00_2393 = create_vector(1L);
					{	/* SawMill/defs.scm 28 */
						obj_t BgL_arg2091z00_2394;

						BgL_arg2091z00_2394 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(18L),
							BGl_proc3160z00zzsaw_defsz00, BGl_proc3159z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1702z00_2393, 0L, BgL_arg2091z00_2394);
					}
					BgL_arg2083z00_2380 = BgL_v1702z00_2393;
				}
				{	/* SawMill/defs.scm 28 */
					obj_t BgL_v1703z00_2404;

					BgL_v1703z00_2404 = create_vector(0L);
					BgL_arg2085z00_2381 = BgL_v1703z00_2404;
				}
				BGl_rtl_retz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(19L),
					CNST_TABLE_REF(10L), BGl_rtl_lastz00zzsaw_defsz00, 55560L,
					BGl_proc3163z00zzsaw_defsz00, BGl_proc3162z00zzsaw_defsz00, BFALSE,
					BGl_proc3161z00zzsaw_defsz00, BFALSE, BgL_arg2083z00_2380,
					BgL_arg2085z00_2381);
			}
			{	/* SawMill/defs.scm 30 */
				obj_t BgL_arg2100z00_2411;
				obj_t BgL_arg2101z00_2412;

				{	/* SawMill/defs.scm 30 */
					obj_t BgL_v1704z00_2423;

					BgL_v1704z00_2423 = create_vector(0L);
					BgL_arg2100z00_2411 = BgL_v1704z00_2423;
				}
				{	/* SawMill/defs.scm 30 */
					obj_t BgL_v1705z00_2424;

					BgL_v1705z00_2424 = create_vector(0L);
					BgL_arg2101z00_2412 = BgL_v1705z00_2424;
				}
				BGl_rtl_notseqz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(20L),
					CNST_TABLE_REF(10L), BGl_rtl_funz00zzsaw_defsz00, 57578L,
					BGl_proc3166z00zzsaw_defsz00, BGl_proc3165z00zzsaw_defsz00, BFALSE,
					BGl_proc3164z00zzsaw_defsz00, BFALSE, BgL_arg2100z00_2411,
					BgL_arg2101z00_2412);
			}
			{	/* SawMill/defs.scm 31 */
				obj_t BgL_arg2110z00_2431;
				obj_t BgL_arg2111z00_2432;

				{	/* SawMill/defs.scm 31 */
					obj_t BgL_v1706z00_2443;

					BgL_v1706z00_2443 = create_vector(0L);
					BgL_arg2110z00_2431 = BgL_v1706z00_2443;
				}
				{	/* SawMill/defs.scm 31 */
					obj_t BgL_v1707z00_2444;

					BgL_v1707z00_2444 = create_vector(0L);
					BgL_arg2111z00_2432 = BgL_v1707z00_2444;
				}
				BGl_rtl_ifz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(21L),
					CNST_TABLE_REF(10L), BGl_rtl_notseqz00zzsaw_defsz00, 31216L,
					BGl_proc3169z00zzsaw_defsz00, BGl_proc3168z00zzsaw_defsz00, BFALSE,
					BGl_proc3167z00zzsaw_defsz00, BFALSE, BgL_arg2110z00_2431,
					BgL_arg2111z00_2432);
			}
			{	/* SawMill/defs.scm 32 */
				obj_t BgL_arg2120z00_2451;
				obj_t BgL_arg2122z00_2452;

				{	/* SawMill/defs.scm 32 */
					obj_t BgL_v1708z00_2465;

					BgL_v1708z00_2465 = create_vector(2L);
					{	/* SawMill/defs.scm 32 */
						obj_t BgL_arg2128z00_2466;

						BgL_arg2128z00_2466 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(1L),
							BGl_proc3171z00zzsaw_defsz00, BGl_proc3170z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1708z00_2465, 0L, BgL_arg2128z00_2466);
					}
					{	/* SawMill/defs.scm 32 */
						obj_t BgL_arg2134z00_2476;

						BgL_arg2134z00_2476 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(22L),
							BGl_proc3173z00zzsaw_defsz00, BGl_proc3172z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE, CNST_TABLE_REF(3L));
						VECTOR_SET(BgL_v1708z00_2465, 1L, BgL_arg2134z00_2476);
					}
					BgL_arg2120z00_2451 = BgL_v1708z00_2465;
				}
				{	/* SawMill/defs.scm 32 */
					obj_t BgL_v1709z00_2486;

					BgL_v1709z00_2486 = create_vector(0L);
					BgL_arg2122z00_2452 = BgL_v1709z00_2486;
				}
				BGl_rtl_selectz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(23L),
					CNST_TABLE_REF(10L), BGl_rtl_notseqz00zzsaw_defsz00, 6346L,
					BGl_proc3176z00zzsaw_defsz00, BGl_proc3175z00zzsaw_defsz00, BFALSE,
					BGl_proc3174z00zzsaw_defsz00, BFALSE, BgL_arg2120z00_2451,
					BgL_arg2122z00_2452);
			}
			{	/* SawMill/defs.scm 33 */
				obj_t BgL_arg2142z00_2493;
				obj_t BgL_arg2143z00_2494;

				{	/* SawMill/defs.scm 33 */
					obj_t BgL_v1710z00_2508;

					BgL_v1710z00_2508 = create_vector(1L);
					{	/* SawMill/defs.scm 33 */
						obj_t BgL_arg2150z00_2509;

						BgL_arg2150z00_2509 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(24L),
							BGl_proc3178z00zzsaw_defsz00, BGl_proc3177z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE, CNST_TABLE_REF(3L));
						VECTOR_SET(BgL_v1710z00_2508, 0L, BgL_arg2150z00_2509);
					}
					BgL_arg2142z00_2493 = BgL_v1710z00_2508;
				}
				{	/* SawMill/defs.scm 33 */
					obj_t BgL_v1711z00_2519;

					BgL_v1711z00_2519 = create_vector(0L);
					BgL_arg2143z00_2494 = BgL_v1711z00_2519;
				}
				BGl_rtl_switchz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(25L),
					CNST_TABLE_REF(10L), BGl_rtl_selectz00zzsaw_defsz00, 61548L,
					BGl_proc3181z00zzsaw_defsz00, BGl_proc3180z00zzsaw_defsz00, BFALSE,
					BGl_proc3179z00zzsaw_defsz00, BFALSE, BgL_arg2142z00_2493,
					BgL_arg2143z00_2494);
			}
			{	/* SawMill/defs.scm 34 */
				obj_t BgL_arg2158z00_2526;
				obj_t BgL_arg2159z00_2527;

				{	/* SawMill/defs.scm 34 */
					obj_t BgL_v1712z00_2539;

					BgL_v1712z00_2539 = create_vector(1L);
					{	/* SawMill/defs.scm 34 */
						obj_t BgL_arg2165z00_2540;

						BgL_arg2165z00_2540 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(26L),
							BGl_proc3183z00zzsaw_defsz00, BGl_proc3182z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1712z00_2539, 0L, BgL_arg2165z00_2540);
					}
					BgL_arg2158z00_2526 = BgL_v1712z00_2539;
				}
				{	/* SawMill/defs.scm 34 */
					obj_t BgL_v1713z00_2550;

					BgL_v1713z00_2550 = create_vector(0L);
					BgL_arg2159z00_2527 = BgL_v1713z00_2550;
				}
				BGl_rtl_ifeqz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(27L),
					CNST_TABLE_REF(10L), BGl_rtl_notseqz00zzsaw_defsz00, 50772L,
					BGl_proc3186z00zzsaw_defsz00, BGl_proc3185z00zzsaw_defsz00, BFALSE,
					BGl_proc3184z00zzsaw_defsz00, BFALSE, BgL_arg2158z00_2526,
					BgL_arg2159z00_2527);
			}
			{	/* SawMill/defs.scm 35 */
				obj_t BgL_arg2173z00_2557;
				obj_t BgL_arg2174z00_2558;

				{	/* SawMill/defs.scm 35 */
					obj_t BgL_v1714z00_2570;

					BgL_v1714z00_2570 = create_vector(1L);
					{	/* SawMill/defs.scm 35 */
						obj_t BgL_arg2180z00_2571;

						BgL_arg2180z00_2571 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(26L),
							BGl_proc3188z00zzsaw_defsz00, BGl_proc3187z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1714z00_2570, 0L, BgL_arg2180z00_2571);
					}
					BgL_arg2173z00_2557 = BgL_v1714z00_2570;
				}
				{	/* SawMill/defs.scm 35 */
					obj_t BgL_v1715z00_2581;

					BgL_v1715z00_2581 = create_vector(0L);
					BgL_arg2174z00_2558 = BgL_v1715z00_2581;
				}
				BGl_rtl_ifnez00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(28L),
					CNST_TABLE_REF(10L), BGl_rtl_notseqz00zzsaw_defsz00, 43703L,
					BGl_proc3191z00zzsaw_defsz00, BGl_proc3190z00zzsaw_defsz00, BFALSE,
					BGl_proc3189z00zzsaw_defsz00, BFALSE, BgL_arg2173z00_2557,
					BgL_arg2174z00_2558);
			}
			{	/* SawMill/defs.scm 36 */
				obj_t BgL_arg2188z00_2588;
				obj_t BgL_arg2189z00_2589;

				{	/* SawMill/defs.scm 36 */
					obj_t BgL_v1716z00_2601;

					BgL_v1716z00_2601 = create_vector(1L);
					{	/* SawMill/defs.scm 36 */
						obj_t BgL_arg2195z00_2602;

						BgL_arg2195z00_2602 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(18L),
							BGl_proc3193z00zzsaw_defsz00, BGl_proc3192z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1716z00_2601, 0L, BgL_arg2195z00_2602);
					}
					BgL_arg2188z00_2588 = BgL_v1716z00_2601;
				}
				{	/* SawMill/defs.scm 36 */
					obj_t BgL_v1717z00_2612;

					BgL_v1717z00_2612 = create_vector(0L);
					BgL_arg2189z00_2589 = BgL_v1717z00_2612;
				}
				BGl_rtl_goz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(29L),
					CNST_TABLE_REF(10L), BGl_rtl_notseqz00zzsaw_defsz00, 55455L,
					BGl_proc3196z00zzsaw_defsz00, BGl_proc3195z00zzsaw_defsz00, BFALSE,
					BGl_proc3194z00zzsaw_defsz00, BFALSE, BgL_arg2188z00_2588,
					BgL_arg2189z00_2589);
			}
			{	/* SawMill/defs.scm 38 */
				obj_t BgL_arg2204z00_2619;
				obj_t BgL_arg2205z00_2620;

				{	/* SawMill/defs.scm 38 */
					obj_t BgL_v1718z00_2631;

					BgL_v1718z00_2631 = create_vector(0L);
					BgL_arg2204z00_2619 = BgL_v1718z00_2631;
				}
				{	/* SawMill/defs.scm 38 */
					obj_t BgL_v1719z00_2632;

					BgL_v1719z00_2632 = create_vector(0L);
					BgL_arg2205z00_2620 = BgL_v1719z00_2632;
				}
				BGl_rtl_purez00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(30L),
					CNST_TABLE_REF(10L), BGl_rtl_funz00zzsaw_defsz00, 28820L,
					BGl_proc3199z00zzsaw_defsz00, BGl_proc3198z00zzsaw_defsz00, BFALSE,
					BGl_proc3197z00zzsaw_defsz00, BFALSE, BgL_arg2204z00_2619,
					BgL_arg2205z00_2620);
			}
			{	/* SawMill/defs.scm 39 */
				obj_t BgL_arg2214z00_2639;
				obj_t BgL_arg2215z00_2640;

				{	/* SawMill/defs.scm 39 */
					obj_t BgL_v1720z00_2651;

					BgL_v1720z00_2651 = create_vector(0L);
					BgL_arg2214z00_2639 = BgL_v1720z00_2651;
				}
				{	/* SawMill/defs.scm 39 */
					obj_t BgL_v1721z00_2652;

					BgL_v1721z00_2652 = create_vector(0L);
					BgL_arg2215z00_2640 = BgL_v1721z00_2652;
				}
				BGl_rtl_nopz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(31L),
					CNST_TABLE_REF(10L), BGl_rtl_purez00zzsaw_defsz00, 27632L,
					BGl_proc3202z00zzsaw_defsz00, BGl_proc3201z00zzsaw_defsz00, BFALSE,
					BGl_proc3200z00zzsaw_defsz00, BFALSE, BgL_arg2214z00_2639,
					BgL_arg2215z00_2640);
			}
			{	/* SawMill/defs.scm 40 */
				obj_t BgL_arg2224z00_2659;
				obj_t BgL_arg2225z00_2660;

				{	/* SawMill/defs.scm 40 */
					obj_t BgL_v1722z00_2671;

					BgL_v1722z00_2671 = create_vector(0L);
					BgL_arg2224z00_2659 = BgL_v1722z00_2671;
				}
				{	/* SawMill/defs.scm 40 */
					obj_t BgL_v1723z00_2672;

					BgL_v1723z00_2672 = create_vector(0L);
					BgL_arg2225z00_2660 = BgL_v1723z00_2672;
				}
				BGl_rtl_movz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(32L),
					CNST_TABLE_REF(10L), BGl_rtl_purez00zzsaw_defsz00, 12799L,
					BGl_proc3205z00zzsaw_defsz00, BGl_proc3204z00zzsaw_defsz00, BFALSE,
					BGl_proc3203z00zzsaw_defsz00, BFALSE, BgL_arg2224z00_2659,
					BgL_arg2225z00_2660);
			}
			{	/* SawMill/defs.scm 41 */
				obj_t BgL_arg2234z00_2679;
				obj_t BgL_arg2235z00_2680;

				{	/* SawMill/defs.scm 41 */
					obj_t BgL_v1724z00_2692;

					BgL_v1724z00_2692 = create_vector(1L);
					{	/* SawMill/defs.scm 41 */
						obj_t BgL_arg2241z00_2693;

						BgL_arg2241z00_2693 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(33L),
							BGl_proc3207z00zzsaw_defsz00, BGl_proc3206z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_atomz00zzast_nodez00);
						VECTOR_SET(BgL_v1724z00_2692, 0L, BgL_arg2241z00_2693);
					}
					BgL_arg2234z00_2679 = BgL_v1724z00_2692;
				}
				{	/* SawMill/defs.scm 41 */
					obj_t BgL_v1725z00_2703;

					BgL_v1725z00_2703 = create_vector(0L);
					BgL_arg2235z00_2680 = BgL_v1725z00_2703;
				}
				BGl_rtl_loadiz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(34L),
					CNST_TABLE_REF(10L), BGl_rtl_purez00zzsaw_defsz00, 16623L,
					BGl_proc3210z00zzsaw_defsz00, BGl_proc3209z00zzsaw_defsz00, BFALSE,
					BGl_proc3208z00zzsaw_defsz00, BFALSE, BgL_arg2234z00_2679,
					BgL_arg2235z00_2680);
			}
			{	/* SawMill/defs.scm 42 */
				obj_t BgL_arg2249z00_2710;
				obj_t BgL_arg2250z00_2711;

				{	/* SawMill/defs.scm 42 */
					obj_t BgL_v1726z00_2723;

					BgL_v1726z00_2723 = create_vector(1L);
					{	/* SawMill/defs.scm 42 */
						obj_t BgL_arg2256z00_2724;

						BgL_arg2256z00_2724 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(2L),
							BGl_proc3212z00zzsaw_defsz00, BGl_proc3211z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1726z00_2723, 0L, BgL_arg2256z00_2724);
					}
					BgL_arg2249z00_2710 = BgL_v1726z00_2723;
				}
				{	/* SawMill/defs.scm 42 */
					obj_t BgL_v1727z00_2734;

					BgL_v1727z00_2734 = create_vector(0L);
					BgL_arg2250z00_2711 = BgL_v1727z00_2734;
				}
				BGl_rtl_loadgz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(35L),
					CNST_TABLE_REF(10L), BGl_rtl_purez00zzsaw_defsz00, 34672L,
					BGl_proc3215z00zzsaw_defsz00, BGl_proc3214z00zzsaw_defsz00, BFALSE,
					BGl_proc3213z00zzsaw_defsz00, BFALSE, BgL_arg2249z00_2710,
					BgL_arg2250z00_2711);
			}
			{	/* SawMill/defs.scm 43 */
				obj_t BgL_arg2264z00_2741;
				obj_t BgL_arg2265z00_2742;

				{	/* SawMill/defs.scm 43 */
					obj_t BgL_v1728z00_2754;

					BgL_v1728z00_2754 = create_vector(1L);
					{	/* SawMill/defs.scm 43 */
						obj_t BgL_arg2271z00_2755;

						BgL_arg2271z00_2755 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(2L),
							BGl_proc3217z00zzsaw_defsz00, BGl_proc3216z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1728z00_2754, 0L, BgL_arg2271z00_2755);
					}
					BgL_arg2264z00_2741 = BgL_v1728z00_2754;
				}
				{	/* SawMill/defs.scm 43 */
					obj_t BgL_v1729z00_2765;

					BgL_v1729z00_2765 = create_vector(0L);
					BgL_arg2265z00_2742 = BgL_v1729z00_2765;
				}
				BGl_rtl_loadfunz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(36L),
					CNST_TABLE_REF(10L), BGl_rtl_purez00zzsaw_defsz00, 13326L,
					BGl_proc3220z00zzsaw_defsz00, BGl_proc3219z00zzsaw_defsz00, BFALSE,
					BGl_proc3218z00zzsaw_defsz00, BFALSE, BgL_arg2264z00_2741,
					BgL_arg2265z00_2742);
			}
			{	/* SawMill/defs.scm 44 */
				obj_t BgL_arg2280z00_2772;
				obj_t BgL_arg2281z00_2773;

				{	/* SawMill/defs.scm 44 */
					obj_t BgL_v1730z00_2785;

					BgL_v1730z00_2785 = create_vector(1L);
					{	/* SawMill/defs.scm 44 */
						obj_t BgL_arg2287z00_2786;

						BgL_arg2287z00_2786 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(2L),
							BGl_proc3222z00zzsaw_defsz00, BGl_proc3221z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1730z00_2785, 0L, BgL_arg2287z00_2786);
					}
					BgL_arg2280z00_2772 = BgL_v1730z00_2785;
				}
				{	/* SawMill/defs.scm 44 */
					obj_t BgL_v1731z00_2796;

					BgL_v1731z00_2796 = create_vector(0L);
					BgL_arg2281z00_2773 = BgL_v1731z00_2796;
				}
				BGl_rtl_globalrefz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(37L),
					CNST_TABLE_REF(10L), BGl_rtl_purez00zzsaw_defsz00, 23593L,
					BGl_proc3225z00zzsaw_defsz00, BGl_proc3224z00zzsaw_defsz00, BFALSE,
					BGl_proc3223z00zzsaw_defsz00, BFALSE, BgL_arg2280z00_2772,
					BgL_arg2281z00_2773);
			}
			{	/* SawMill/defs.scm 45 */
				obj_t BgL_arg2295z00_2803;
				obj_t BgL_arg2296z00_2804;

				{	/* SawMill/defs.scm 45 */
					obj_t BgL_v1732z00_2818;

					BgL_v1732z00_2818 = create_vector(3L);
					{	/* SawMill/defs.scm 45 */
						obj_t BgL_arg2302z00_2819;

						BgL_arg2302z00_2819 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(5L),
							BGl_proc3227z00zzsaw_defsz00, BGl_proc3226z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE, CNST_TABLE_REF(38L));
						VECTOR_SET(BgL_v1732z00_2818, 0L, BgL_arg2302z00_2819);
					}
					{	/* SawMill/defs.scm 45 */
						obj_t BgL_arg2308z00_2829;

						BgL_arg2308z00_2829 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(39L),
							BGl_proc3229z00zzsaw_defsz00, BGl_proc3228z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1732z00_2818, 1L, BgL_arg2308z00_2829);
					}
					{	/* SawMill/defs.scm 45 */
						obj_t BgL_arg2313z00_2839;

						BgL_arg2313z00_2839 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(1L),
							BGl_proc3231z00zzsaw_defsz00, BGl_proc3230z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1732z00_2818, 2L, BgL_arg2313z00_2839);
					}
					BgL_arg2295z00_2803 = BgL_v1732z00_2818;
				}
				{	/* SawMill/defs.scm 45 */
					obj_t BgL_v1733z00_2849;

					BgL_v1733z00_2849 = create_vector(0L);
					BgL_arg2296z00_2804 = BgL_v1733z00_2849;
				}
				BGl_rtl_getfieldz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(40L),
					CNST_TABLE_REF(10L), BGl_rtl_purez00zzsaw_defsz00, 51124L,
					BGl_proc3234z00zzsaw_defsz00, BGl_proc3233z00zzsaw_defsz00, BFALSE,
					BGl_proc3232z00zzsaw_defsz00, BFALSE, BgL_arg2295z00_2803,
					BgL_arg2296z00_2804);
			}
			{	/* SawMill/defs.scm 46 */
				obj_t BgL_arg2324z00_2856;
				obj_t BgL_arg2325z00_2857;

				{	/* SawMill/defs.scm 46 */
					obj_t BgL_v1734z00_2870;

					BgL_v1734z00_2870 = create_vector(2L);
					{	/* SawMill/defs.scm 46 */
						obj_t BgL_arg2331z00_2871;

						BgL_arg2331z00_2871 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(1L),
							BGl_proc3236z00zzsaw_defsz00, BGl_proc3235z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1734z00_2870, 0L, BgL_arg2331z00_2871);
					}
					{	/* SawMill/defs.scm 46 */
						obj_t BgL_arg2336z00_2881;

						BgL_arg2336z00_2881 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(41L),
							BGl_proc3238z00zzsaw_defsz00, BGl_proc3237z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1734z00_2870, 1L, BgL_arg2336z00_2881);
					}
					BgL_arg2324z00_2856 = BgL_v1734z00_2870;
				}
				{	/* SawMill/defs.scm 46 */
					obj_t BgL_v1735z00_2891;

					BgL_v1735z00_2891 = create_vector(0L);
					BgL_arg2325z00_2857 = BgL_v1735z00_2891;
				}
				BGl_rtl_vallocz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(42L),
					CNST_TABLE_REF(10L), BGl_rtl_purez00zzsaw_defsz00, 58150L,
					BGl_proc3241z00zzsaw_defsz00, BGl_proc3240z00zzsaw_defsz00, BFALSE,
					BGl_proc3239z00zzsaw_defsz00, BFALSE, BgL_arg2324z00_2856,
					BgL_arg2325z00_2857);
			}
			{	/* SawMill/defs.scm 47 */
				obj_t BgL_arg2345z00_2898;
				obj_t BgL_arg2346z00_2899;

				{	/* SawMill/defs.scm 47 */
					obj_t BgL_v1736z00_2912;

					BgL_v1736z00_2912 = create_vector(2L);
					{	/* SawMill/defs.scm 47 */
						obj_t BgL_arg2353z00_2913;

						BgL_arg2353z00_2913 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(1L),
							BGl_proc3243z00zzsaw_defsz00, BGl_proc3242z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1736z00_2912, 0L, BgL_arg2353z00_2913);
					}
					{	/* SawMill/defs.scm 47 */
						obj_t BgL_arg2358z00_2923;

						BgL_arg2358z00_2923 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(41L),
							BGl_proc3245z00zzsaw_defsz00, BGl_proc3244z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1736z00_2912, 1L, BgL_arg2358z00_2923);
					}
					BgL_arg2345z00_2898 = BgL_v1736z00_2912;
				}
				{	/* SawMill/defs.scm 47 */
					obj_t BgL_v1737z00_2933;

					BgL_v1737z00_2933 = create_vector(0L);
					BgL_arg2346z00_2899 = BgL_v1737z00_2933;
				}
				BGl_rtl_vrefz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(43L),
					CNST_TABLE_REF(10L), BGl_rtl_purez00zzsaw_defsz00, 12596L,
					BGl_proc3248z00zzsaw_defsz00, BGl_proc3247z00zzsaw_defsz00, BFALSE,
					BGl_proc3246z00zzsaw_defsz00, BFALSE, BgL_arg2345z00_2898,
					BgL_arg2346z00_2899);
			}
			{	/* SawMill/defs.scm 48 */
				obj_t BgL_arg2366z00_2940;
				obj_t BgL_arg2367z00_2941;

				{	/* SawMill/defs.scm 48 */
					obj_t BgL_v1738z00_2954;

					BgL_v1738z00_2954 = create_vector(2L);
					{	/* SawMill/defs.scm 48 */
						obj_t BgL_arg2373z00_2955;

						BgL_arg2373z00_2955 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(1L),
							BGl_proc3250z00zzsaw_defsz00, BGl_proc3249z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1738z00_2954, 0L, BgL_arg2373z00_2955);
					}
					{	/* SawMill/defs.scm 48 */
						obj_t BgL_arg2378z00_2965;

						BgL_arg2378z00_2965 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(41L),
							BGl_proc3252z00zzsaw_defsz00, BGl_proc3251z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1738z00_2954, 1L, BgL_arg2378z00_2965);
					}
					BgL_arg2366z00_2940 = BgL_v1738z00_2954;
				}
				{	/* SawMill/defs.scm 48 */
					obj_t BgL_v1739z00_2975;

					BgL_v1739z00_2975 = create_vector(0L);
					BgL_arg2367z00_2941 = BgL_v1739z00_2975;
				}
				BGl_rtl_vlengthz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(44L),
					CNST_TABLE_REF(10L), BGl_rtl_purez00zzsaw_defsz00, 48015L,
					BGl_proc3255z00zzsaw_defsz00, BGl_proc3254z00zzsaw_defsz00, BFALSE,
					BGl_proc3253z00zzsaw_defsz00, BFALSE, BgL_arg2366z00_2940,
					BgL_arg2367z00_2941);
			}
			{	/* SawMill/defs.scm 49 */
				obj_t BgL_arg2388z00_2982;
				obj_t BgL_arg2389z00_2983;

				{	/* SawMill/defs.scm 49 */
					obj_t BgL_v1740z00_2995;

					BgL_v1740z00_2995 = create_vector(1L);
					{	/* SawMill/defs.scm 49 */
						obj_t BgL_arg2395z00_2996;

						BgL_arg2395z00_2996 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(1L),
							BGl_proc3257z00zzsaw_defsz00, BGl_proc3256z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1740z00_2995, 0L, BgL_arg2395z00_2996);
					}
					BgL_arg2388z00_2982 = BgL_v1740z00_2995;
				}
				{	/* SawMill/defs.scm 49 */
					obj_t BgL_v1741z00_3006;

					BgL_v1741z00_3006 = create_vector(0L);
					BgL_arg2389z00_2983 = BgL_v1741z00_3006;
				}
				BGl_rtl_instanceofz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(45L),
					CNST_TABLE_REF(10L), BGl_rtl_purez00zzsaw_defsz00, 47751L,
					BGl_proc3260z00zzsaw_defsz00, BGl_proc3259z00zzsaw_defsz00, BFALSE,
					BGl_proc3258z00zzsaw_defsz00, BFALSE, BgL_arg2388z00_2982,
					BgL_arg2389z00_2983);
			}
			{	/* SawMill/defs.scm 50 */
				obj_t BgL_arg2404z00_3013;
				obj_t BgL_arg2405z00_3014;

				{	/* SawMill/defs.scm 50 */
					obj_t BgL_v1742z00_3025;

					BgL_v1742z00_3025 = create_vector(0L);
					BgL_arg2404z00_3013 = BgL_v1742z00_3025;
				}
				{	/* SawMill/defs.scm 50 */
					obj_t BgL_v1743z00_3026;

					BgL_v1743z00_3026 = create_vector(0L);
					BgL_arg2405z00_3014 = BgL_v1743z00_3026;
				}
				BGl_rtl_makeboxz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(46L),
					CNST_TABLE_REF(10L), BGl_rtl_purez00zzsaw_defsz00, 40746L,
					BGl_proc3263z00zzsaw_defsz00, BGl_proc3262z00zzsaw_defsz00, BFALSE,
					BGl_proc3261z00zzsaw_defsz00, BFALSE, BgL_arg2404z00_3013,
					BgL_arg2405z00_3014);
			}
			{	/* SawMill/defs.scm 51 */
				obj_t BgL_arg2415z00_3033;
				obj_t BgL_arg2416z00_3034;

				{	/* SawMill/defs.scm 51 */
					obj_t BgL_v1744z00_3045;

					BgL_v1744z00_3045 = create_vector(0L);
					BgL_arg2415z00_3033 = BgL_v1744z00_3045;
				}
				{	/* SawMill/defs.scm 51 */
					obj_t BgL_v1745z00_3046;

					BgL_v1745z00_3046 = create_vector(0L);
					BgL_arg2416z00_3034 = BgL_v1745z00_3046;
				}
				BGl_rtl_boxrefz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(47L),
					CNST_TABLE_REF(10L), BGl_rtl_purez00zzsaw_defsz00, 52683L,
					BGl_proc3266z00zzsaw_defsz00, BGl_proc3265z00zzsaw_defsz00, BFALSE,
					BGl_proc3264z00zzsaw_defsz00, BFALSE, BgL_arg2415z00_3033,
					BgL_arg2416z00_3034);
			}
			{	/* SawMill/defs.scm 53 */
				obj_t BgL_arg2426z00_3053;
				obj_t BgL_arg2427z00_3054;

				{	/* SawMill/defs.scm 53 */
					obj_t BgL_v1746z00_3065;

					BgL_v1746z00_3065 = create_vector(0L);
					BgL_arg2426z00_3053 = BgL_v1746z00_3065;
				}
				{	/* SawMill/defs.scm 53 */
					obj_t BgL_v1747z00_3066;

					BgL_v1747z00_3066 = create_vector(0L);
					BgL_arg2427z00_3054 = BgL_v1747z00_3066;
				}
				BGl_rtl_effectz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(48L),
					CNST_TABLE_REF(10L), BGl_rtl_funz00zzsaw_defsz00, 9927L,
					BGl_proc3269z00zzsaw_defsz00, BGl_proc3268z00zzsaw_defsz00, BFALSE,
					BGl_proc3267z00zzsaw_defsz00, BFALSE, BgL_arg2426z00_3053,
					BgL_arg2427z00_3054);
			}
			{	/* SawMill/defs.scm 54 */
				obj_t BgL_arg2437z00_3073;
				obj_t BgL_arg2438z00_3074;

				{	/* SawMill/defs.scm 54 */
					obj_t BgL_v1748z00_3086;

					BgL_v1748z00_3086 = create_vector(1L);
					{	/* SawMill/defs.scm 54 */
						obj_t BgL_arg2445z00_3087;

						BgL_arg2445z00_3087 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(2L),
							BGl_proc3271z00zzsaw_defsz00, BGl_proc3270z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1748z00_3086, 0L, BgL_arg2445z00_3087);
					}
					BgL_arg2437z00_3073 = BgL_v1748z00_3086;
				}
				{	/* SawMill/defs.scm 54 */
					obj_t BgL_v1749z00_3097;

					BgL_v1749z00_3097 = create_vector(0L);
					BgL_arg2438z00_3074 = BgL_v1749z00_3097;
				}
				BGl_rtl_storegz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(49L),
					CNST_TABLE_REF(10L), BGl_rtl_effectz00zzsaw_defsz00, 10162L,
					BGl_proc3274z00zzsaw_defsz00, BGl_proc3273z00zzsaw_defsz00, BFALSE,
					BGl_proc3272z00zzsaw_defsz00, BFALSE, BgL_arg2437z00_3073,
					BgL_arg2438z00_3074);
			}
			{	/* SawMill/defs.scm 55 */
				obj_t BgL_arg2456z00_3104;
				obj_t BgL_arg2457z00_3105;

				{	/* SawMill/defs.scm 55 */
					obj_t BgL_v1750z00_3119;

					BgL_v1750z00_3119 = create_vector(3L);
					{	/* SawMill/defs.scm 55 */
						obj_t BgL_arg2465z00_3120;

						BgL_arg2465z00_3120 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(5L),
							BGl_proc3276z00zzsaw_defsz00, BGl_proc3275z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE, CNST_TABLE_REF(38L));
						VECTOR_SET(BgL_v1750z00_3119, 0L, BgL_arg2465z00_3120);
					}
					{	/* SawMill/defs.scm 55 */
						obj_t BgL_arg2471z00_3130;

						BgL_arg2471z00_3130 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(39L),
							BGl_proc3278z00zzsaw_defsz00, BGl_proc3277z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1750z00_3119, 1L, BgL_arg2471z00_3130);
					}
					{	/* SawMill/defs.scm 55 */
						obj_t BgL_arg2477z00_3140;

						BgL_arg2477z00_3140 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(1L),
							BGl_proc3280z00zzsaw_defsz00, BGl_proc3279z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1750z00_3119, 2L, BgL_arg2477z00_3140);
					}
					BgL_arg2456z00_3104 = BgL_v1750z00_3119;
				}
				{	/* SawMill/defs.scm 55 */
					obj_t BgL_v1751z00_3150;

					BgL_v1751z00_3150 = create_vector(0L);
					BgL_arg2457z00_3105 = BgL_v1751z00_3150;
				}
				BGl_rtl_setfieldz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(50L),
					CNST_TABLE_REF(10L), BGl_rtl_effectz00zzsaw_defsz00, 44593L,
					BGl_proc3283z00zzsaw_defsz00, BGl_proc3282z00zzsaw_defsz00, BFALSE,
					BGl_proc3281z00zzsaw_defsz00, BFALSE, BgL_arg2456z00_3104,
					BgL_arg2457z00_3105);
			}
			{	/* SawMill/defs.scm 56 */
				obj_t BgL_arg2488z00_3157;
				obj_t BgL_arg2489z00_3158;

				{	/* SawMill/defs.scm 56 */
					obj_t BgL_v1752z00_3171;

					BgL_v1752z00_3171 = create_vector(2L);
					{	/* SawMill/defs.scm 56 */
						obj_t BgL_arg2496z00_3172;

						BgL_arg2496z00_3172 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(1L),
							BGl_proc3285z00zzsaw_defsz00, BGl_proc3284z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1752z00_3171, 0L, BgL_arg2496z00_3172);
					}
					{	/* SawMill/defs.scm 56 */
						obj_t BgL_arg2501z00_3182;

						BgL_arg2501z00_3182 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(41L),
							BGl_proc3287z00zzsaw_defsz00, BGl_proc3286z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1752z00_3171, 1L, BgL_arg2501z00_3182);
					}
					BgL_arg2488z00_3157 = BgL_v1752z00_3171;
				}
				{	/* SawMill/defs.scm 56 */
					obj_t BgL_v1753z00_3192;

					BgL_v1753z00_3192 = create_vector(0L);
					BgL_arg2489z00_3158 = BgL_v1753z00_3192;
				}
				BGl_rtl_vsetz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(51L),
					CNST_TABLE_REF(10L), BGl_rtl_effectz00zzsaw_defsz00, 41652L,
					BGl_proc3290z00zzsaw_defsz00, BGl_proc3289z00zzsaw_defsz00, BFALSE,
					BGl_proc3288z00zzsaw_defsz00, BFALSE, BgL_arg2488z00_3157,
					BgL_arg2489z00_3158);
			}
			{	/* SawMill/defs.scm 57 */
				obj_t BgL_arg2512z00_3199;
				obj_t BgL_arg2514z00_3200;

				{	/* SawMill/defs.scm 57 */
					obj_t BgL_v1754z00_3211;

					BgL_v1754z00_3211 = create_vector(0L);
					BgL_arg2512z00_3199 = BgL_v1754z00_3211;
				}
				{	/* SawMill/defs.scm 57 */
					obj_t BgL_v1755z00_3212;

					BgL_v1755z00_3212 = create_vector(0L);
					BgL_arg2514z00_3200 = BgL_v1755z00_3212;
				}
				BGl_rtl_boxsetz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(52L),
					CNST_TABLE_REF(10L), BGl_rtl_effectz00zzsaw_defsz00, 28043L,
					BGl_proc3293z00zzsaw_defsz00, BGl_proc3292z00zzsaw_defsz00, BFALSE,
					BGl_proc3291z00zzsaw_defsz00, BFALSE, BgL_arg2512z00_3199,
					BgL_arg2514z00_3200);
			}
			{	/* SawMill/defs.scm 59 */
				obj_t BgL_arg2528z00_3219;
				obj_t BgL_arg2531z00_3220;

				{	/* SawMill/defs.scm 59 */
					obj_t BgL_v1756z00_3233;

					BgL_v1756z00_3233 = create_vector(2L);
					{	/* SawMill/defs.scm 59 */
						obj_t BgL_arg2539z00_3234;

						BgL_arg2539z00_3234 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(1L),
							BGl_proc3295z00zzsaw_defsz00, BGl_proc3294z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1756z00_3233, 0L, BgL_arg2539z00_3234);
					}
					{	/* SawMill/defs.scm 59 */
						obj_t BgL_arg2545z00_3244;

						BgL_arg2545z00_3244 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(53L),
							BGl_proc3297z00zzsaw_defsz00, BGl_proc3296z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE, CNST_TABLE_REF(54L));
						VECTOR_SET(BgL_v1756z00_3233, 1L, BgL_arg2545z00_3244);
					}
					BgL_arg2528z00_3219 = BgL_v1756z00_3233;
				}
				{	/* SawMill/defs.scm 59 */
					obj_t BgL_v1757z00_3254;

					BgL_v1757z00_3254 = create_vector(0L);
					BgL_arg2531z00_3220 = BgL_v1757z00_3254;
				}
				BGl_rtl_newz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(55L),
					CNST_TABLE_REF(10L), BGl_rtl_funz00zzsaw_defsz00, 55659L,
					BGl_proc3300z00zzsaw_defsz00, BGl_proc3299z00zzsaw_defsz00, BFALSE,
					BGl_proc3298z00zzsaw_defsz00, BFALSE, BgL_arg2528z00_3219,
					BgL_arg2531z00_3220);
			}
			{	/* SawMill/defs.scm 60 */
				obj_t BgL_arg2557z00_3261;
				obj_t BgL_arg2558z00_3262;

				{	/* SawMill/defs.scm 60 */
					obj_t BgL_v1758z00_3274;

					BgL_v1758z00_3274 = create_vector(1L);
					{	/* SawMill/defs.scm 60 */
						obj_t BgL_arg2570z00_3275;

						BgL_arg2570z00_3275 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(2L),
							BGl_proc3302z00zzsaw_defsz00, BGl_proc3301z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1758z00_3274, 0L, BgL_arg2570z00_3275);
					}
					BgL_arg2557z00_3261 = BgL_v1758z00_3274;
				}
				{	/* SawMill/defs.scm 60 */
					obj_t BgL_v1759z00_3285;

					BgL_v1759z00_3285 = create_vector(0L);
					BgL_arg2558z00_3262 = BgL_v1759z00_3285;
				}
				BGl_rtl_callz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(56L),
					CNST_TABLE_REF(10L), BGl_rtl_funz00zzsaw_defsz00, 39022L,
					BGl_proc3305z00zzsaw_defsz00, BGl_proc3304z00zzsaw_defsz00, BFALSE,
					BGl_proc3303z00zzsaw_defsz00, BFALSE, BgL_arg2557z00_3261,
					BgL_arg2558z00_3262);
			}
			{	/* SawMill/defs.scm 61 */
				obj_t BgL_arg2579z00_3292;
				obj_t BgL_arg2580z00_3293;

				{	/* SawMill/defs.scm 61 */
					obj_t BgL_v1760z00_3304;

					BgL_v1760z00_3304 = create_vector(0L);
					BgL_arg2579z00_3292 = BgL_v1760z00_3304;
				}
				{	/* SawMill/defs.scm 61 */
					obj_t BgL_v1761z00_3305;

					BgL_v1761z00_3305 = create_vector(0L);
					BgL_arg2580z00_3293 = BgL_v1761z00_3305;
				}
				BGl_rtl_applyz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(57L),
					CNST_TABLE_REF(10L), BGl_rtl_funz00zzsaw_defsz00, 20926L,
					BGl_proc3308z00zzsaw_defsz00, BGl_proc3307z00zzsaw_defsz00, BFALSE,
					BGl_proc3306z00zzsaw_defsz00, BFALSE, BgL_arg2579z00_3292,
					BgL_arg2580z00_3293);
			}
			{	/* SawMill/defs.scm 62 */
				obj_t BgL_arg2590z00_3312;
				obj_t BgL_arg2591z00_3313;

				{	/* SawMill/defs.scm 62 */
					obj_t BgL_v1762z00_3327;

					BgL_v1762z00_3327 = create_vector(3L);
					{	/* SawMill/defs.scm 62 */
						obj_t BgL_arg2597z00_3328;

						BgL_arg2597z00_3328 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(5L),
							BGl_proc3310z00zzsaw_defsz00, BGl_proc3309z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE, CNST_TABLE_REF(58L));
						VECTOR_SET(BgL_v1762z00_3327, 0L, BgL_arg2597z00_3328);
					}
					{	/* SawMill/defs.scm 62 */
						obj_t BgL_arg2606z00_3338;

						BgL_arg2606z00_3338 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(59L),
							BGl_proc3312z00zzsaw_defsz00, BGl_proc3311z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE, CNST_TABLE_REF(54L));
						VECTOR_SET(BgL_v1762z00_3327, 1L, BgL_arg2606z00_3338);
					}
					{	/* SawMill/defs.scm 62 */
						obj_t BgL_arg2612z00_3348;

						BgL_arg2612z00_3348 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(60L),
							BGl_proc3314z00zzsaw_defsz00, BGl_proc3313z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE, CNST_TABLE_REF(3L));
						VECTOR_SET(BgL_v1762z00_3327, 2L, BgL_arg2612z00_3348);
					}
					BgL_arg2590z00_3312 = BgL_v1762z00_3327;
				}
				{	/* SawMill/defs.scm 62 */
					obj_t BgL_v1763z00_3358;

					BgL_v1763z00_3358 = create_vector(0L);
					BgL_arg2591z00_3313 = BgL_v1763z00_3358;
				}
				BGl_rtl_lightfuncallz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(61L),
					CNST_TABLE_REF(10L), BGl_rtl_funz00zzsaw_defsz00, 38185L,
					BGl_proc3317z00zzsaw_defsz00, BGl_proc3316z00zzsaw_defsz00, BFALSE,
					BGl_proc3315z00zzsaw_defsz00, BFALSE, BgL_arg2590z00_3312,
					BgL_arg2591z00_3313);
			}
			{	/* SawMill/defs.scm 63 */
				obj_t BgL_arg2621z00_3365;
				obj_t BgL_arg2622z00_3366;

				{	/* SawMill/defs.scm 63 */
					obj_t BgL_v1764z00_3377;

					BgL_v1764z00_3377 = create_vector(0L);
					BgL_arg2621z00_3365 = BgL_v1764z00_3377;
				}
				{	/* SawMill/defs.scm 63 */
					obj_t BgL_v1765z00_3378;

					BgL_v1765z00_3378 = create_vector(0L);
					BgL_arg2622z00_3366 = BgL_v1765z00_3378;
				}
				BGl_rtl_funcallz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(62L),
					CNST_TABLE_REF(10L), BGl_rtl_funz00zzsaw_defsz00, 41503L,
					BGl_proc3320z00zzsaw_defsz00, BGl_proc3319z00zzsaw_defsz00, BFALSE,
					BGl_proc3318z00zzsaw_defsz00, BFALSE, BgL_arg2621z00_3365,
					BgL_arg2622z00_3366);
			}
			{	/* SawMill/defs.scm 64 */
				obj_t BgL_arg2632z00_3385;
				obj_t BgL_arg2633z00_3386;

				{	/* SawMill/defs.scm 64 */
					obj_t BgL_v1766z00_3398;

					BgL_v1766z00_3398 = create_vector(1L);
					{	/* SawMill/defs.scm 64 */
						obj_t BgL_arg2641z00_3399;

						BgL_arg2641z00_3399 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(63L),
							BGl_proc3322z00zzsaw_defsz00, BGl_proc3321z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE, CNST_TABLE_REF(38L));
						VECTOR_SET(BgL_v1766z00_3398, 0L, BgL_arg2641z00_3399);
					}
					BgL_arg2632z00_3385 = BgL_v1766z00_3398;
				}
				{	/* SawMill/defs.scm 64 */
					obj_t BgL_v1767z00_3409;

					BgL_v1767z00_3409 = create_vector(0L);
					BgL_arg2633z00_3386 = BgL_v1767z00_3409;
				}
				BGl_rtl_pragmaz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(64L),
					CNST_TABLE_REF(10L), BGl_rtl_funz00zzsaw_defsz00, 34490L,
					BGl_proc3325z00zzsaw_defsz00, BGl_proc3324z00zzsaw_defsz00, BFALSE,
					BGl_proc3323z00zzsaw_defsz00, BFALSE, BgL_arg2632z00_3385,
					BgL_arg2633z00_3386);
			}
			{	/* SawMill/defs.scm 65 */
				obj_t BgL_arg2650z00_3416;
				obj_t BgL_arg2652z00_3417;

				{	/* SawMill/defs.scm 65 */
					obj_t BgL_v1768z00_3430;

					BgL_v1768z00_3430 = create_vector(2L);
					{	/* SawMill/defs.scm 65 */
						obj_t BgL_arg2658z00_3431;

						BgL_arg2658z00_3431 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(65L),
							BGl_proc3327z00zzsaw_defsz00, BGl_proc3326z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1768z00_3430, 0L, BgL_arg2658z00_3431);
					}
					{	/* SawMill/defs.scm 65 */
						obj_t BgL_arg2666z00_3441;

						BgL_arg2666z00_3441 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(66L),
							BGl_proc3329z00zzsaw_defsz00, BGl_proc3328z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1768z00_3430, 1L, BgL_arg2666z00_3441);
					}
					BgL_arg2650z00_3416 = BgL_v1768z00_3430;
				}
				{	/* SawMill/defs.scm 65 */
					obj_t BgL_v1769z00_3451;

					BgL_v1769z00_3451 = create_vector(0L);
					BgL_arg2652z00_3417 = BgL_v1769z00_3451;
				}
				BGl_rtl_castz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(67L),
					CNST_TABLE_REF(10L), BGl_rtl_funz00zzsaw_defsz00, 9526L,
					BGl_proc3332z00zzsaw_defsz00, BGl_proc3331z00zzsaw_defsz00, BFALSE,
					BGl_proc3330z00zzsaw_defsz00, BFALSE, BgL_arg2650z00_3416,
					BgL_arg2652z00_3417);
			}
			{	/* SawMill/defs.scm 66 */
				obj_t BgL_arg2675z00_3458;
				obj_t BgL_arg2676z00_3459;

				{	/* SawMill/defs.scm 66 */
					obj_t BgL_v1770z00_3471;

					BgL_v1770z00_3471 = create_vector(1L);
					{	/* SawMill/defs.scm 66 */
						obj_t BgL_arg2682z00_3472;

						BgL_arg2682z00_3472 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(1L),
							BGl_proc3334z00zzsaw_defsz00, BGl_proc3333z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1770z00_3471, 0L, BgL_arg2682z00_3472);
					}
					BgL_arg2675z00_3458 = BgL_v1770z00_3471;
				}
				{	/* SawMill/defs.scm 66 */
					obj_t BgL_v1771z00_3482;

					BgL_v1771z00_3482 = create_vector(0L);
					BgL_arg2676z00_3459 = BgL_v1771z00_3482;
				}
				BGl_rtl_cast_nullz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(68L),
					CNST_TABLE_REF(10L), BGl_rtl_funz00zzsaw_defsz00, 56783L,
					BGl_proc3337z00zzsaw_defsz00, BGl_proc3336z00zzsaw_defsz00, BFALSE,
					BGl_proc3335z00zzsaw_defsz00, BFALSE, BgL_arg2675z00_3458,
					BgL_arg2676z00_3459);
			}
			{	/* SawMill/defs.scm 67 */
				obj_t BgL_arg2691z00_3489;
				obj_t BgL_arg2692z00_3490;

				{	/* SawMill/defs.scm 67 */
					obj_t BgL_v1772z00_3501;

					BgL_v1772z00_3501 = create_vector(0L);
					BgL_arg2691z00_3489 = BgL_v1772z00_3501;
				}
				{	/* SawMill/defs.scm 67 */
					obj_t BgL_v1773z00_3502;

					BgL_v1773z00_3502 = create_vector(0L);
					BgL_arg2692z00_3490 = BgL_v1773z00_3502;
				}
				BGl_rtl_protectz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(69L),
					CNST_TABLE_REF(10L), BGl_rtl_funz00zzsaw_defsz00, 65043L,
					BGl_proc3340z00zzsaw_defsz00, BGl_proc3339z00zzsaw_defsz00, BFALSE,
					BGl_proc3338z00zzsaw_defsz00, BFALSE, BgL_arg2691z00_3489,
					BgL_arg2692z00_3490);
			}
			{	/* SawMill/defs.scm 68 */
				obj_t BgL_arg2703z00_3509;
				obj_t BgL_arg2704z00_3510;

				{	/* SawMill/defs.scm 68 */
					obj_t BgL_v1774z00_3521;

					BgL_v1774z00_3521 = create_vector(0L);
					BgL_arg2703z00_3509 = BgL_v1774z00_3521;
				}
				{	/* SawMill/defs.scm 68 */
					obj_t BgL_v1775z00_3522;

					BgL_v1775z00_3522 = create_vector(0L);
					BgL_arg2704z00_3510 = BgL_v1775z00_3522;
				}
				BGl_rtl_protectedz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(70L),
					CNST_TABLE_REF(10L), BGl_rtl_funz00zzsaw_defsz00, 3034L,
					BGl_proc3343z00zzsaw_defsz00, BGl_proc3342z00zzsaw_defsz00, BFALSE,
					BGl_proc3341z00zzsaw_defsz00, BFALSE, BgL_arg2703z00_3509,
					BgL_arg2704z00_3510);
			}
			{	/* SawMill/defs.scm 71 */
				obj_t BgL_arg2714z00_3529;
				obj_t BgL_arg2715z00_3530;

				{	/* SawMill/defs.scm 71 */
					obj_t BgL_v1776z00_3545;

					BgL_v1776z00_3545 = create_vector(5L);
					{	/* SawMill/defs.scm 71 */
						obj_t BgL_arg2722z00_3546;

						BgL_arg2722z00_3546 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(11L),
							BGl_proc3346z00zzsaw_defsz00, BGl_proc3345z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BGl_proc3344z00zzsaw_defsz00,
							CNST_TABLE_REF(3L));
						VECTOR_SET(BgL_v1776z00_3545, 0L, BgL_arg2722z00_3546);
					}
					{	/* SawMill/defs.scm 71 */
						obj_t BgL_arg2729z00_3559;

						BgL_arg2729z00_3559 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(71L),
							BGl_proc3349z00zzsaw_defsz00, BGl_proc3348z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BGl_proc3347z00zzsaw_defsz00,
							CNST_TABLE_REF(54L));
						VECTOR_SET(BgL_v1776z00_3545, 1L, BgL_arg2729z00_3559);
					}
					{	/* SawMill/defs.scm 71 */
						obj_t BgL_arg2739z00_3572;

						BgL_arg2739z00_3572 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(72L),
							BGl_proc3352z00zzsaw_defsz00, BGl_proc3351z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BGl_proc3350z00zzsaw_defsz00,
							CNST_TABLE_REF(3L));
						VECTOR_SET(BgL_v1776z00_3545, 2L, BgL_arg2739z00_3572);
					}
					{	/* SawMill/defs.scm 71 */
						obj_t BgL_arg2747z00_3585;

						BgL_arg2747z00_3585 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(73L),
							BGl_proc3354z00zzsaw_defsz00, BGl_proc3353z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE,
							BGl_rtl_funz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1776z00_3545, 3L, BgL_arg2747z00_3585);
					}
					{	/* SawMill/defs.scm 71 */
						obj_t BgL_arg2753z00_3595;

						BgL_arg2753z00_3595 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(74L),
							BGl_proc3356z00zzsaw_defsz00, BGl_proc3355z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BFALSE, CNST_TABLE_REF(54L));
						VECTOR_SET(BgL_v1776z00_3545, 4L, BgL_arg2753z00_3595);
					}
					BgL_arg2714z00_3529 = BgL_v1776z00_3545;
				}
				{	/* SawMill/defs.scm 71 */
					obj_t BgL_v1777z00_3605;

					BgL_v1777z00_3605 = create_vector(0L);
					BgL_arg2715z00_3530 = BgL_v1777z00_3605;
				}
				BGl_rtl_insz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(75L),
					CNST_TABLE_REF(10L), BGl_objectz00zz__objectz00, 17433L,
					BGl_proc3359z00zzsaw_defsz00, BGl_proc3358z00zzsaw_defsz00, BFALSE,
					BGl_proc3357z00zzsaw_defsz00, BFALSE, BgL_arg2714z00_3529,
					BgL_arg2715z00_3530);
			}
			{	/* SawMill/defs.scm 79 */
				obj_t BgL_arg2767z00_3612;
				obj_t BgL_arg2773z00_3613;

				{	/* SawMill/defs.scm 79 */
					obj_t BgL_v1778z00_3627;

					BgL_v1778z00_3627 = create_vector(4L);
					{	/* SawMill/defs.scm 79 */
						obj_t BgL_arg2781z00_3628;

						BgL_arg2781z00_3628 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(76L),
							BGl_proc3362z00zzsaw_defsz00, BGl_proc3361z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BGl_proc3360z00zzsaw_defsz00,
							CNST_TABLE_REF(77L));
						VECTOR_SET(BgL_v1778z00_3627, 0L, BgL_arg2781z00_3628);
					}
					{	/* SawMill/defs.scm 79 */
						obj_t BgL_arg2790z00_3641;

						BgL_arg2790z00_3641 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(78L),
							BGl_proc3365z00zzsaw_defsz00, BGl_proc3364z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BGl_proc3363z00zzsaw_defsz00,
							CNST_TABLE_REF(54L));
						VECTOR_SET(BgL_v1778z00_3627, 1L, BgL_arg2790z00_3641);
					}
					{	/* SawMill/defs.scm 79 */
						obj_t BgL_arg2797z00_3654;

						BgL_arg2797z00_3654 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(79L),
							BGl_proc3368z00zzsaw_defsz00, BGl_proc3367z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BGl_proc3366z00zzsaw_defsz00,
							CNST_TABLE_REF(54L));
						VECTOR_SET(BgL_v1778z00_3627, 2L, BgL_arg2797z00_3654);
					}
					{	/* SawMill/defs.scm 79 */
						obj_t BgL_arg2805z00_3667;

						BgL_arg2805z00_3667 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(80L),
							BGl_proc3371z00zzsaw_defsz00, BGl_proc3370z00zzsaw_defsz00,
							((bool_t) 0), ((bool_t) 0), BFALSE, BGl_proc3369z00zzsaw_defsz00,
							CNST_TABLE_REF(54L));
						VECTOR_SET(BgL_v1778z00_3627, 3L, BgL_arg2805z00_3667);
					}
					BgL_arg2767z00_3612 = BgL_v1778z00_3627;
				}
				{	/* SawMill/defs.scm 79 */
					obj_t BgL_v1779z00_3680;

					BgL_v1779z00_3680 = create_vector(0L);
					BgL_arg2773z00_3613 = BgL_v1779z00_3680;
				}
				return (BGl_blockz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(81L),
						CNST_TABLE_REF(10L), BGl_objectz00zz__objectz00, 60935L,
						BGl_proc3374z00zzsaw_defsz00, BGl_proc3373z00zzsaw_defsz00, BFALSE,
						BGl_proc3372z00zzsaw_defsz00, BFALSE, BgL_arg2767z00_3612,
						BgL_arg2773z00_3613), BUNSPEC);
			}
		}

	}



/* &<@anonymous:2780> */
	obj_t BGl_z62zc3z04anonymousza32780ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7781,
		obj_t BgL_new1348z00_7782)
	{
		{	/* SawMill/defs.scm 79 */
			{
				BgL_blockz00_bglt BgL_auxz00_12967;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_new1348z00_7782)))->BgL_labelz00) =
					((int) (int) (0L)), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1348z00_7782)))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1348z00_7782)))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1348z00_7782)))->BgL_firstz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_12967 = ((BgL_blockz00_bglt) BgL_new1348z00_7782);
				return ((obj_t) BgL_auxz00_12967);
			}
		}

	}



/* &lambda2778 */
	BgL_blockz00_bglt BGl_z62lambda2778z62zzsaw_defsz00(obj_t BgL_envz00_7783)
	{
		{	/* SawMill/defs.scm 79 */
			{	/* SawMill/defs.scm 79 */
				BgL_blockz00_bglt BgL_new1347z00_9187;

				BgL_new1347z00_9187 =
					((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_blockz00_bgl))));
				{	/* SawMill/defs.scm 79 */
					long BgL_arg2779z00_9188;

					BgL_arg2779z00_9188 = BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1347z00_9187), BgL_arg2779z00_9188);
				}
				{	/* SawMill/defs.scm 79 */
					BgL_objectz00_bglt BgL_tmpz00_12983;

					BgL_tmpz00_12983 = ((BgL_objectz00_bglt) BgL_new1347z00_9187);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12983, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1347z00_9187);
				return BgL_new1347z00_9187;
			}
		}

	}



/* &lambda2774 */
	BgL_blockz00_bglt BGl_z62lambda2774z62zzsaw_defsz00(obj_t BgL_envz00_7784,
		obj_t BgL_label1343z00_7785, obj_t BgL_preds1344z00_7786,
		obj_t BgL_succs1345z00_7787, obj_t BgL_first1346z00_7788)
	{
		{	/* SawMill/defs.scm 79 */
			{	/* SawMill/defs.scm 79 */
				int BgL_label1343z00_9189;

				BgL_label1343z00_9189 = CINT(BgL_label1343z00_7785);
				{	/* SawMill/defs.scm 79 */
					BgL_blockz00_bglt BgL_new1546z00_9193;

					{	/* SawMill/defs.scm 79 */
						BgL_blockz00_bglt BgL_new1545z00_9194;

						BgL_new1545z00_9194 =
							((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_blockz00_bgl))));
						{	/* SawMill/defs.scm 79 */
							long BgL_arg2777z00_9195;

							BgL_arg2777z00_9195 = BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1545z00_9194),
								BgL_arg2777z00_9195);
						}
						{	/* SawMill/defs.scm 79 */
							BgL_objectz00_bglt BgL_tmpz00_12992;

							BgL_tmpz00_12992 = ((BgL_objectz00_bglt) BgL_new1545z00_9194);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12992, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1545z00_9194);
						BgL_new1546z00_9193 = BgL_new1545z00_9194;
					}
					((((BgL_blockz00_bglt) COBJECT(BgL_new1546z00_9193))->BgL_labelz00) =
						((int) BgL_label1343z00_9189), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(BgL_new1546z00_9193))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1344z00_7786)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(BgL_new1546z00_9193))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1345z00_7787)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(BgL_new1546z00_9193))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1346z00_7788)), BUNSPEC);
					return BgL_new1546z00_9193;
				}
			}
		}

	}



/* &<@anonymous:2819> */
	obj_t BGl_z62zc3z04anonymousza32819ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7789)
	{
		{	/* SawMill/defs.scm 79 */
			return BNIL;
		}

	}



/* &lambda2818 */
	obj_t BGl_z62lambda2818z62zzsaw_defsz00(obj_t BgL_envz00_7790,
		obj_t BgL_oz00_7791, obj_t BgL_vz00_7792)
	{
		{	/* SawMill/defs.scm 79 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_7791)))->BgL_firstz00) = ((obj_t)
					((obj_t) BgL_vz00_7792)), BUNSPEC);
		}

	}



/* &lambda2817 */
	obj_t BGl_z62lambda2817z62zzsaw_defsz00(obj_t BgL_envz00_7793,
		obj_t BgL_oz00_7794)
	{
		{	/* SawMill/defs.scm 79 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_7794)))->BgL_firstz00);
		}

	}



/* &<@anonymous:2804> */
	obj_t BGl_z62zc3z04anonymousza32804ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7795)
	{
		{	/* SawMill/defs.scm 79 */
			return BNIL;
		}

	}



/* &lambda2803 */
	obj_t BGl_z62lambda2803z62zzsaw_defsz00(obj_t BgL_envz00_7796,
		obj_t BgL_oz00_7797, obj_t BgL_vz00_7798)
	{
		{	/* SawMill/defs.scm 79 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_7797)))->BgL_succsz00) = ((obj_t)
					((obj_t) BgL_vz00_7798)), BUNSPEC);
		}

	}



/* &lambda2802 */
	obj_t BGl_z62lambda2802z62zzsaw_defsz00(obj_t BgL_envz00_7799,
		obj_t BgL_oz00_7800)
	{
		{	/* SawMill/defs.scm 79 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_7800)))->BgL_succsz00);
		}

	}



/* &<@anonymous:2796> */
	obj_t BGl_z62zc3z04anonymousza32796ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7801)
	{
		{	/* SawMill/defs.scm 79 */
			return BNIL;
		}

	}



/* &lambda2795 */
	obj_t BGl_z62lambda2795z62zzsaw_defsz00(obj_t BgL_envz00_7802,
		obj_t BgL_oz00_7803, obj_t BgL_vz00_7804)
	{
		{	/* SawMill/defs.scm 79 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_7803)))->BgL_predsz00) = ((obj_t)
					((obj_t) BgL_vz00_7804)), BUNSPEC);
		}

	}



/* &lambda2794 */
	obj_t BGl_z62lambda2794z62zzsaw_defsz00(obj_t BgL_envz00_7805,
		obj_t BgL_oz00_7806)
	{
		{	/* SawMill/defs.scm 79 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_7806)))->BgL_predsz00);
		}

	}



/* &<@anonymous:2788> */
	obj_t BGl_z62zc3z04anonymousza32788ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7807)
	{
		{	/* SawMill/defs.scm 79 */
			return BINT(0L);
		}

	}



/* &lambda2787 */
	obj_t BGl_z62lambda2787z62zzsaw_defsz00(obj_t BgL_envz00_7808,
		obj_t BgL_oz00_7809, obj_t BgL_vz00_7810)
	{
		{	/* SawMill/defs.scm 79 */
			{	/* SawMill/defs.scm 79 */
				int BgL_vz00_9206;

				BgL_vz00_9206 = CINT(BgL_vz00_7810);
				return
					((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oz00_7809)))->BgL_labelz00) =
					((int) BgL_vz00_9206), BUNSPEC);
		}}

	}



/* &lambda2786 */
	obj_t BGl_z62lambda2786z62zzsaw_defsz00(obj_t BgL_envz00_7811,
		obj_t BgL_oz00_7812)
	{
		{	/* SawMill/defs.scm 79 */
			return
				BINT(
				(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_7812)))->BgL_labelz00));
		}

	}



/* &<@anonymous:2721> */
	obj_t BGl_z62zc3z04anonymousza32721ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7813,
		obj_t BgL_new1341z00_7814)
	{
		{	/* SawMill/defs.scm 71 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_13025;

				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1341z00_7814)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1341z00_7814)))->BgL_z52spillz52) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1341z00_7814)))->BgL_destz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_rtl_funz00_bglt BgL_auxz00_13032;

					{	/* SawMill/defs.scm 71 */
						obj_t BgL_classz00_9209;

						BgL_classz00_9209 = BGl_rtl_funz00zzsaw_defsz00;
						{	/* SawMill/defs.scm 71 */
							obj_t BgL__ortest_1117z00_9210;

							BgL__ortest_1117z00_9210 = BGL_CLASS_NIL(BgL_classz00_9209);
							if (CBOOL(BgL__ortest_1117z00_9210))
								{	/* SawMill/defs.scm 71 */
									BgL_auxz00_13032 =
										((BgL_rtl_funz00_bglt) BgL__ortest_1117z00_9210);
								}
							else
								{	/* SawMill/defs.scm 71 */
									BgL_auxz00_13032 =
										((BgL_rtl_funz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9209));
								}
						}
					}
					((((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_new1341z00_7814)))->BgL_funz00) =
						((BgL_rtl_funz00_bglt) BgL_auxz00_13032), BUNSPEC);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1341z00_7814)))->BgL_argsz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_13025 = ((BgL_rtl_insz00_bglt) BgL_new1341z00_7814);
				return ((obj_t) BgL_auxz00_13025);
			}
		}

	}



/* &lambda2718 */
	BgL_rtl_insz00_bglt BGl_z62lambda2718z62zzsaw_defsz00(obj_t BgL_envz00_7815)
	{
		{	/* SawMill/defs.scm 71 */
			{	/* SawMill/defs.scm 71 */
				BgL_rtl_insz00_bglt BgL_new1340z00_9211;

				BgL_new1340z00_9211 =
					((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_insz00_bgl))));
				{	/* SawMill/defs.scm 71 */
					long BgL_arg2720z00_9212;

					BgL_arg2720z00_9212 = BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1340z00_9211), BgL_arg2720z00_9212);
				}
				{	/* SawMill/defs.scm 71 */
					BgL_objectz00_bglt BgL_tmpz00_13049;

					BgL_tmpz00_13049 = ((BgL_objectz00_bglt) BgL_new1340z00_9211);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13049, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1340z00_9211);
				return BgL_new1340z00_9211;
			}
		}

	}



/* &lambda2716 */
	BgL_rtl_insz00_bglt BGl_z62lambda2716z62zzsaw_defsz00(obj_t BgL_envz00_7816,
		obj_t BgL_loc1335z00_7817, obj_t BgL_z52spill1336z52_7818,
		obj_t BgL_dest1337z00_7819, obj_t BgL_fun1338z00_7820,
		obj_t BgL_args1339z00_7821)
	{
		{	/* SawMill/defs.scm 71 */
			{	/* SawMill/defs.scm 71 */
				BgL_rtl_insz00_bglt BgL_new1544z00_9216;

				{	/* SawMill/defs.scm 71 */
					BgL_rtl_insz00_bglt BgL_new1543z00_9217;

					BgL_new1543z00_9217 =
						((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_insz00_bgl))));
					{	/* SawMill/defs.scm 71 */
						long BgL_arg2717z00_9218;

						BgL_arg2717z00_9218 = BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1543z00_9217), BgL_arg2717z00_9218);
					}
					{	/* SawMill/defs.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_13057;

						BgL_tmpz00_13057 = ((BgL_objectz00_bglt) BgL_new1543z00_9217);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13057, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1543z00_9217);
					BgL_new1544z00_9216 = BgL_new1543z00_9217;
				}
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1544z00_9216))->BgL_locz00) =
					((obj_t) BgL_loc1335z00_7817), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1544z00_9216))->
						BgL_z52spillz52) =
					((obj_t) ((obj_t) BgL_z52spill1336z52_7818)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1544z00_9216))->BgL_destz00) =
					((obj_t) BgL_dest1337z00_7819), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1544z00_9216))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt) BgL_fun1338z00_7820)),
					BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1544z00_9216))->BgL_argsz00) =
					((obj_t) ((obj_t) BgL_args1339z00_7821)), BUNSPEC);
				return BgL_new1544z00_9216;
			}
		}

	}



/* &lambda2758 */
	obj_t BGl_z62lambda2758z62zzsaw_defsz00(obj_t BgL_envz00_7822,
		obj_t BgL_oz00_7823, obj_t BgL_vz00_7824)
	{
		{	/* SawMill/defs.scm 71 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_7823)))->BgL_argsz00) = ((obj_t)
					((obj_t) BgL_vz00_7824)), BUNSPEC);
		}

	}



/* &lambda2757 */
	obj_t BGl_z62lambda2757z62zzsaw_defsz00(obj_t BgL_envz00_7825,
		obj_t BgL_oz00_7826)
	{
		{	/* SawMill/defs.scm 71 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_7826)))->BgL_argsz00);
		}

	}



/* &lambda2752 */
	obj_t BGl_z62lambda2752z62zzsaw_defsz00(obj_t BgL_envz00_7827,
		obj_t BgL_oz00_7828, obj_t BgL_vz00_7829)
	{
		{	/* SawMill/defs.scm 71 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_7828)))->BgL_funz00) =
				((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt) BgL_vz00_7829)), BUNSPEC);
		}

	}



/* &lambda2751 */
	BgL_rtl_funz00_bglt BGl_z62lambda2751z62zzsaw_defsz00(obj_t BgL_envz00_7830,
		obj_t BgL_oz00_7831)
	{
		{	/* SawMill/defs.scm 71 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_7831)))->BgL_funz00);
		}

	}



/* &<@anonymous:2746> */
	obj_t BGl_z62zc3z04anonymousza32746ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7832)
	{
		{	/* SawMill/defs.scm 71 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2745 */
	obj_t BGl_z62lambda2745z62zzsaw_defsz00(obj_t BgL_envz00_7833,
		obj_t BgL_oz00_7834, obj_t BgL_vz00_7835)
	{
		{	/* SawMill/defs.scm 71 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_7834)))->BgL_destz00) =
				((obj_t) BgL_vz00_7835), BUNSPEC);
		}

	}



/* &lambda2744 */
	obj_t BGl_z62lambda2744z62zzsaw_defsz00(obj_t BgL_envz00_7836,
		obj_t BgL_oz00_7837)
	{
		{	/* SawMill/defs.scm 71 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_7837)))->BgL_destz00);
		}

	}



/* &<@anonymous:2735> */
	obj_t BGl_z62zc3z04anonymousza32735ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7838)
	{
		{	/* SawMill/defs.scm 71 */
			return BNIL;
		}

	}



/* &lambda2734 */
	obj_t BGl_z62lambda2734z62zzsaw_defsz00(obj_t BgL_envz00_7839,
		obj_t BgL_oz00_7840, obj_t BgL_vz00_7841)
	{
		{	/* SawMill/defs.scm 71 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_7840)))->BgL_z52spillz52) =
				((obj_t) ((obj_t) BgL_vz00_7841)), BUNSPEC);
		}

	}



/* &lambda2733 */
	obj_t BGl_z62lambda2733z62zzsaw_defsz00(obj_t BgL_envz00_7842,
		obj_t BgL_oz00_7843)
	{
		{	/* SawMill/defs.scm 71 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_7843)))->BgL_z52spillz52);
		}

	}



/* &<@anonymous:2728> */
	obj_t BGl_z62zc3z04anonymousza32728ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7844)
	{
		{	/* SawMill/defs.scm 71 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2727 */
	obj_t BGl_z62lambda2727z62zzsaw_defsz00(obj_t BgL_envz00_7845,
		obj_t BgL_oz00_7846, obj_t BgL_vz00_7847)
	{
		{	/* SawMill/defs.scm 71 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_7846)))->BgL_locz00) =
				((obj_t) BgL_vz00_7847), BUNSPEC);
		}

	}



/* &lambda2726 */
	obj_t BGl_z62lambda2726z62zzsaw_defsz00(obj_t BgL_envz00_7848,
		obj_t BgL_oz00_7849)
	{
		{	/* SawMill/defs.scm 71 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_7849)))->BgL_locz00);
		}

	}



/* &<@anonymous:2709> */
	obj_t BGl_z62zc3z04anonymousza32709ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7850,
		obj_t BgL_new1333z00_7851)
	{
		{	/* SawMill/defs.scm 68 */
			{
				BgL_rtl_protectedz00_bglt BgL_auxz00_13094;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_protectedz00_bglt) BgL_new1333z00_7851))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13094 = ((BgL_rtl_protectedz00_bglt) BgL_new1333z00_7851);
				return ((obj_t) BgL_auxz00_13094);
			}
		}

	}



/* &lambda2707 */
	BgL_rtl_protectedz00_bglt BGl_z62lambda2707z62zzsaw_defsz00(obj_t
		BgL_envz00_7852)
	{
		{	/* SawMill/defs.scm 68 */
			{	/* SawMill/defs.scm 68 */
				BgL_rtl_protectedz00_bglt BgL_new1332z00_9233;

				BgL_new1332z00_9233 =
					((BgL_rtl_protectedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_protectedz00_bgl))));
				{	/* SawMill/defs.scm 68 */
					long BgL_arg2708z00_9234;

					BgL_arg2708z00_9234 =
						BGL_CLASS_NUM(BGl_rtl_protectedz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1332z00_9233), BgL_arg2708z00_9234);
				}
				return BgL_new1332z00_9233;
			}
		}

	}



/* &lambda2705 */
	BgL_rtl_protectedz00_bglt BGl_z62lambda2705z62zzsaw_defsz00(obj_t
		BgL_envz00_7853, obj_t BgL_loc1331z00_7854)
	{
		{	/* SawMill/defs.scm 68 */
			{	/* SawMill/defs.scm 68 */
				BgL_rtl_protectedz00_bglt BgL_new1542z00_9235;

				{	/* SawMill/defs.scm 68 */
					BgL_rtl_protectedz00_bglt BgL_new1541z00_9236;

					BgL_new1541z00_9236 =
						((BgL_rtl_protectedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_protectedz00_bgl))));
					{	/* SawMill/defs.scm 68 */
						long BgL_arg2706z00_9237;

						BgL_arg2706z00_9237 =
							BGL_CLASS_NUM(BGl_rtl_protectedz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1541z00_9236), BgL_arg2706z00_9237);
					}
					BgL_new1542z00_9235 = BgL_new1541z00_9236;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1542z00_9235)))->BgL_locz00) =
					((obj_t) BgL_loc1331z00_7854), BUNSPEC);
				return BgL_new1542z00_9235;
			}
		}

	}



/* &<@anonymous:2698> */
	obj_t BGl_z62zc3z04anonymousza32698ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7855,
		obj_t BgL_new1329z00_7856)
	{
		{	/* SawMill/defs.scm 67 */
			{
				BgL_rtl_protectz00_bglt BgL_auxz00_13110;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_protectz00_bglt) BgL_new1329z00_7856))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13110 = ((BgL_rtl_protectz00_bglt) BgL_new1329z00_7856);
				return ((obj_t) BgL_auxz00_13110);
			}
		}

	}



/* &lambda2695 */
	BgL_rtl_protectz00_bglt BGl_z62lambda2695z62zzsaw_defsz00(obj_t
		BgL_envz00_7857)
	{
		{	/* SawMill/defs.scm 67 */
			{	/* SawMill/defs.scm 67 */
				BgL_rtl_protectz00_bglt BgL_new1328z00_9239;

				BgL_new1328z00_9239 =
					((BgL_rtl_protectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_protectz00_bgl))));
				{	/* SawMill/defs.scm 67 */
					long BgL_arg2697z00_9240;

					BgL_arg2697z00_9240 = BGL_CLASS_NUM(BGl_rtl_protectz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1328z00_9239), BgL_arg2697z00_9240);
				}
				return BgL_new1328z00_9239;
			}
		}

	}



/* &lambda2693 */
	BgL_rtl_protectz00_bglt BGl_z62lambda2693z62zzsaw_defsz00(obj_t
		BgL_envz00_7858, obj_t BgL_loc1327z00_7859)
	{
		{	/* SawMill/defs.scm 67 */
			{	/* SawMill/defs.scm 67 */
				BgL_rtl_protectz00_bglt BgL_new1540z00_9241;

				{	/* SawMill/defs.scm 67 */
					BgL_rtl_protectz00_bglt BgL_new1539z00_9242;

					BgL_new1539z00_9242 =
						((BgL_rtl_protectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_protectz00_bgl))));
					{	/* SawMill/defs.scm 67 */
						long BgL_arg2694z00_9243;

						BgL_arg2694z00_9243 =
							BGL_CLASS_NUM(BGl_rtl_protectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1539z00_9242), BgL_arg2694z00_9243);
					}
					BgL_new1540z00_9241 = BgL_new1539z00_9242;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1540z00_9241)))->BgL_locz00) =
					((obj_t) BgL_loc1327z00_7859), BUNSPEC);
				return BgL_new1540z00_9241;
			}
		}

	}



/* &<@anonymous:2681> */
	obj_t BGl_z62zc3z04anonymousza32681ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7860,
		obj_t BgL_new1325z00_7861)
	{
		{	/* SawMill/defs.scm 66 */
			{
				BgL_rtl_cast_nullz00_bglt BgL_auxz00_13126;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_cast_nullz00_bglt) BgL_new1325z00_7861))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13130;

					{	/* SawMill/defs.scm 66 */
						obj_t BgL_classz00_9245;

						BgL_classz00_9245 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 66 */
							obj_t BgL__ortest_1117z00_9246;

							BgL__ortest_1117z00_9246 = BGL_CLASS_NIL(BgL_classz00_9245);
							if (CBOOL(BgL__ortest_1117z00_9246))
								{	/* SawMill/defs.scm 66 */
									BgL_auxz00_13130 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9246);
								}
							else
								{	/* SawMill/defs.scm 66 */
									BgL_auxz00_13130 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9245));
								}
						}
					}
					((((BgL_rtl_cast_nullz00_bglt) COBJECT(
									((BgL_rtl_cast_nullz00_bglt) BgL_new1325z00_7861)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13130), BUNSPEC);
				}
				BgL_auxz00_13126 = ((BgL_rtl_cast_nullz00_bglt) BgL_new1325z00_7861);
				return ((obj_t) BgL_auxz00_13126);
			}
		}

	}



/* &lambda2679 */
	BgL_rtl_cast_nullz00_bglt BGl_z62lambda2679z62zzsaw_defsz00(obj_t
		BgL_envz00_7862)
	{
		{	/* SawMill/defs.scm 66 */
			{	/* SawMill/defs.scm 66 */
				BgL_rtl_cast_nullz00_bglt BgL_new1324z00_9247;

				BgL_new1324z00_9247 =
					((BgL_rtl_cast_nullz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_cast_nullz00_bgl))));
				{	/* SawMill/defs.scm 66 */
					long BgL_arg2680z00_9248;

					BgL_arg2680z00_9248 =
						BGL_CLASS_NUM(BGl_rtl_cast_nullz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1324z00_9247), BgL_arg2680z00_9248);
				}
				return BgL_new1324z00_9247;
			}
		}

	}



/* &lambda2677 */
	BgL_rtl_cast_nullz00_bglt BGl_z62lambda2677z62zzsaw_defsz00(obj_t
		BgL_envz00_7863, obj_t BgL_loc1322z00_7864, obj_t BgL_type1323z00_7865)
	{
		{	/* SawMill/defs.scm 66 */
			{	/* SawMill/defs.scm 66 */
				BgL_rtl_cast_nullz00_bglt BgL_new1538z00_9250;

				{	/* SawMill/defs.scm 66 */
					BgL_rtl_cast_nullz00_bglt BgL_new1537z00_9251;

					BgL_new1537z00_9251 =
						((BgL_rtl_cast_nullz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_cast_nullz00_bgl))));
					{	/* SawMill/defs.scm 66 */
						long BgL_arg2678z00_9252;

						BgL_arg2678z00_9252 =
							BGL_CLASS_NUM(BGl_rtl_cast_nullz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1537z00_9251), BgL_arg2678z00_9252);
					}
					BgL_new1538z00_9250 = BgL_new1537z00_9251;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1538z00_9250)))->BgL_locz00) =
					((obj_t) BgL_loc1322z00_7864), BUNSPEC);
				((((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_new1538z00_9250))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1323z00_7865)),
					BUNSPEC);
				return BgL_new1538z00_9250;
			}
		}

	}



/* &lambda2686 */
	obj_t BGl_z62lambda2686z62zzsaw_defsz00(obj_t BgL_envz00_7866,
		obj_t BgL_oz00_7867, obj_t BgL_vz00_7868)
	{
		{	/* SawMill/defs.scm 66 */
			return
				((((BgL_rtl_cast_nullz00_bglt) COBJECT(
							((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7867)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7868)), BUNSPEC);
		}

	}



/* &lambda2685 */
	BgL_typez00_bglt BGl_z62lambda2685z62zzsaw_defsz00(obj_t BgL_envz00_7869,
		obj_t BgL_oz00_7870)
	{
		{	/* SawMill/defs.scm 66 */
			return
				(((BgL_rtl_cast_nullz00_bglt) COBJECT(
						((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7870)))->BgL_typez00);
		}

	}



/* &<@anonymous:2657> */
	obj_t BGl_z62zc3z04anonymousza32657ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7871,
		obj_t BgL_new1320z00_7872)
	{
		{	/* SawMill/defs.scm 65 */
			{
				BgL_rtl_castz00_bglt BgL_auxz00_13158;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_castz00_bglt) BgL_new1320z00_7872))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13162;

					{	/* SawMill/defs.scm 65 */
						obj_t BgL_classz00_9257;

						BgL_classz00_9257 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 65 */
							obj_t BgL__ortest_1117z00_9258;

							BgL__ortest_1117z00_9258 = BGL_CLASS_NIL(BgL_classz00_9257);
							if (CBOOL(BgL__ortest_1117z00_9258))
								{	/* SawMill/defs.scm 65 */
									BgL_auxz00_13162 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9258);
								}
							else
								{	/* SawMill/defs.scm 65 */
									BgL_auxz00_13162 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9257));
								}
						}
					}
					((((BgL_rtl_castz00_bglt) COBJECT(
									((BgL_rtl_castz00_bglt) BgL_new1320z00_7872)))->
							BgL_totypez00) = ((BgL_typez00_bglt) BgL_auxz00_13162), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13171;

					{	/* SawMill/defs.scm 65 */
						obj_t BgL_classz00_9259;

						BgL_classz00_9259 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 65 */
							obj_t BgL__ortest_1117z00_9260;

							BgL__ortest_1117z00_9260 = BGL_CLASS_NIL(BgL_classz00_9259);
							if (CBOOL(BgL__ortest_1117z00_9260))
								{	/* SawMill/defs.scm 65 */
									BgL_auxz00_13171 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9260);
								}
							else
								{	/* SawMill/defs.scm 65 */
									BgL_auxz00_13171 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9259));
								}
						}
					}
					((((BgL_rtl_castz00_bglt) COBJECT(
									((BgL_rtl_castz00_bglt) BgL_new1320z00_7872)))->
							BgL_fromtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_13171), BUNSPEC);
				}
				BgL_auxz00_13158 = ((BgL_rtl_castz00_bglt) BgL_new1320z00_7872);
				return ((obj_t) BgL_auxz00_13158);
			}
		}

	}



/* &lambda2655 */
	BgL_rtl_castz00_bglt BGl_z62lambda2655z62zzsaw_defsz00(obj_t BgL_envz00_7873)
	{
		{	/* SawMill/defs.scm 65 */
			{	/* SawMill/defs.scm 65 */
				BgL_rtl_castz00_bglt BgL_new1319z00_9261;

				BgL_new1319z00_9261 =
					((BgL_rtl_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_castz00_bgl))));
				{	/* SawMill/defs.scm 65 */
					long BgL_arg2656z00_9262;

					BgL_arg2656z00_9262 = BGL_CLASS_NUM(BGl_rtl_castz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1319z00_9261), BgL_arg2656z00_9262);
				}
				return BgL_new1319z00_9261;
			}
		}

	}



/* &lambda2653 */
	BgL_rtl_castz00_bglt BGl_z62lambda2653z62zzsaw_defsz00(obj_t BgL_envz00_7874,
		obj_t BgL_loc1316z00_7875, obj_t BgL_totype1317z00_7876,
		obj_t BgL_fromtype1318z00_7877)
	{
		{	/* SawMill/defs.scm 65 */
			{	/* SawMill/defs.scm 65 */
				BgL_rtl_castz00_bglt BgL_new1536z00_9265;

				{	/* SawMill/defs.scm 65 */
					BgL_rtl_castz00_bglt BgL_new1535z00_9266;

					BgL_new1535z00_9266 =
						((BgL_rtl_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_castz00_bgl))));
					{	/* SawMill/defs.scm 65 */
						long BgL_arg2654z00_9267;

						BgL_arg2654z00_9267 = BGL_CLASS_NUM(BGl_rtl_castz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1535z00_9266), BgL_arg2654z00_9267);
					}
					BgL_new1536z00_9265 = BgL_new1535z00_9266;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1536z00_9265)))->BgL_locz00) =
					((obj_t) BgL_loc1316z00_7875), BUNSPEC);
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1536z00_9265))->
						BgL_totypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_totype1317z00_7876)),
					BUNSPEC);
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1536z00_9265))->
						BgL_fromtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_fromtype1318z00_7877)),
					BUNSPEC);
				return BgL_new1536z00_9265;
			}
		}

	}



/* &lambda2671 */
	obj_t BGl_z62lambda2671z62zzsaw_defsz00(obj_t BgL_envz00_7878,
		obj_t BgL_oz00_7879, obj_t BgL_vz00_7880)
	{
		{	/* SawMill/defs.scm 65 */
			return
				((((BgL_rtl_castz00_bglt) COBJECT(
							((BgL_rtl_castz00_bglt) BgL_oz00_7879)))->BgL_fromtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7880)), BUNSPEC);
		}

	}



/* &lambda2670 */
	BgL_typez00_bglt BGl_z62lambda2670z62zzsaw_defsz00(obj_t BgL_envz00_7881,
		obj_t BgL_oz00_7882)
	{
		{	/* SawMill/defs.scm 65 */
			return
				(((BgL_rtl_castz00_bglt) COBJECT(
						((BgL_rtl_castz00_bglt) BgL_oz00_7882)))->BgL_fromtypez00);
		}

	}



/* &lambda2665 */
	obj_t BGl_z62lambda2665z62zzsaw_defsz00(obj_t BgL_envz00_7883,
		obj_t BgL_oz00_7884, obj_t BgL_vz00_7885)
	{
		{	/* SawMill/defs.scm 65 */
			return
				((((BgL_rtl_castz00_bglt) COBJECT(
							((BgL_rtl_castz00_bglt) BgL_oz00_7884)))->BgL_totypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7885)), BUNSPEC);
		}

	}



/* &lambda2664 */
	BgL_typez00_bglt BGl_z62lambda2664z62zzsaw_defsz00(obj_t BgL_envz00_7886,
		obj_t BgL_oz00_7887)
	{
		{	/* SawMill/defs.scm 65 */
			return
				(((BgL_rtl_castz00_bglt) COBJECT(
						((BgL_rtl_castz00_bglt) BgL_oz00_7887)))->BgL_totypez00);
		}

	}



/* &<@anonymous:2640> */
	obj_t BGl_z62zc3z04anonymousza32640ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7888,
		obj_t BgL_new1314z00_7889)
	{
		{	/* SawMill/defs.scm 64 */
			{
				BgL_rtl_pragmaz00_bglt BgL_auxz00_13206;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_pragmaz00_bglt) BgL_new1314z00_7889))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_pragmaz00_bglt) COBJECT(((BgL_rtl_pragmaz00_bglt)
									BgL_new1314z00_7889)))->BgL_formatz00) =
					((obj_t) BGl_string3375z00zzsaw_defsz00), BUNSPEC);
				BgL_auxz00_13206 = ((BgL_rtl_pragmaz00_bglt) BgL_new1314z00_7889);
				return ((obj_t) BgL_auxz00_13206);
			}
		}

	}



/* &lambda2638 */
	BgL_rtl_pragmaz00_bglt BGl_z62lambda2638z62zzsaw_defsz00(obj_t
		BgL_envz00_7890)
	{
		{	/* SawMill/defs.scm 64 */
			{	/* SawMill/defs.scm 64 */
				BgL_rtl_pragmaz00_bglt BgL_new1313z00_9275;

				BgL_new1313z00_9275 =
					((BgL_rtl_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_pragmaz00_bgl))));
				{	/* SawMill/defs.scm 64 */
					long BgL_arg2639z00_9276;

					BgL_arg2639z00_9276 = BGL_CLASS_NUM(BGl_rtl_pragmaz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1313z00_9275), BgL_arg2639z00_9276);
				}
				return BgL_new1313z00_9275;
			}
		}

	}



/* &lambda2634 */
	BgL_rtl_pragmaz00_bglt BGl_z62lambda2634z62zzsaw_defsz00(obj_t
		BgL_envz00_7891, obj_t BgL_loc1310z00_7892, obj_t BgL_format1311z00_7893)
	{
		{	/* SawMill/defs.scm 64 */
			{	/* SawMill/defs.scm 64 */
				BgL_rtl_pragmaz00_bglt BgL_new1534z00_9278;

				{	/* SawMill/defs.scm 64 */
					BgL_rtl_pragmaz00_bglt BgL_new1533z00_9279;

					BgL_new1533z00_9279 =
						((BgL_rtl_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_pragmaz00_bgl))));
					{	/* SawMill/defs.scm 64 */
						long BgL_arg2637z00_9280;

						BgL_arg2637z00_9280 = BGL_CLASS_NUM(BGl_rtl_pragmaz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1533z00_9279), BgL_arg2637z00_9280);
					}
					BgL_new1534z00_9278 = BgL_new1533z00_9279;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1534z00_9278)))->BgL_locz00) =
					((obj_t) BgL_loc1310z00_7892), BUNSPEC);
				((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_new1534z00_9278))->
						BgL_formatz00) =
					((obj_t) ((obj_t) BgL_format1311z00_7893)), BUNSPEC);
				return BgL_new1534z00_9278;
			}
		}

	}



/* &lambda2646 */
	obj_t BGl_z62lambda2646z62zzsaw_defsz00(obj_t BgL_envz00_7894,
		obj_t BgL_oz00_7895, obj_t BgL_vz00_7896)
	{
		{	/* SawMill/defs.scm 64 */
			return
				((((BgL_rtl_pragmaz00_bglt) COBJECT(
							((BgL_rtl_pragmaz00_bglt) BgL_oz00_7895)))->BgL_formatz00) =
				((obj_t) ((obj_t) BgL_vz00_7896)), BUNSPEC);
		}

	}



/* &lambda2645 */
	obj_t BGl_z62lambda2645z62zzsaw_defsz00(obj_t BgL_envz00_7897,
		obj_t BgL_oz00_7898)
	{
		{	/* SawMill/defs.scm 64 */
			return
				(((BgL_rtl_pragmaz00_bglt) COBJECT(
						((BgL_rtl_pragmaz00_bglt) BgL_oz00_7898)))->BgL_formatz00);
		}

	}



/* &<@anonymous:2627> */
	obj_t BGl_z62zc3z04anonymousza32627ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7899,
		obj_t BgL_new1308z00_7900)
	{
		{	/* SawMill/defs.scm 63 */
			{
				BgL_rtl_funcallz00_bglt BgL_auxz00_13231;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_funcallz00_bglt) BgL_new1308z00_7900))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13231 = ((BgL_rtl_funcallz00_bglt) BgL_new1308z00_7900);
				return ((obj_t) BgL_auxz00_13231);
			}
		}

	}



/* &lambda2625 */
	BgL_rtl_funcallz00_bglt BGl_z62lambda2625z62zzsaw_defsz00(obj_t
		BgL_envz00_7901)
	{
		{	/* SawMill/defs.scm 63 */
			{	/* SawMill/defs.scm 63 */
				BgL_rtl_funcallz00_bglt BgL_new1306z00_9285;

				BgL_new1306z00_9285 =
					((BgL_rtl_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_funcallz00_bgl))));
				{	/* SawMill/defs.scm 63 */
					long BgL_arg2626z00_9286;

					BgL_arg2626z00_9286 = BGL_CLASS_NUM(BGl_rtl_funcallz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1306z00_9285), BgL_arg2626z00_9286);
				}
				return BgL_new1306z00_9285;
			}
		}

	}



/* &lambda2623 */
	BgL_rtl_funcallz00_bglt BGl_z62lambda2623z62zzsaw_defsz00(obj_t
		BgL_envz00_7902, obj_t BgL_loc1305z00_7903)
	{
		{	/* SawMill/defs.scm 63 */
			{	/* SawMill/defs.scm 63 */
				BgL_rtl_funcallz00_bglt BgL_new1532z00_9287;

				{	/* SawMill/defs.scm 63 */
					BgL_rtl_funcallz00_bglt BgL_new1531z00_9288;

					BgL_new1531z00_9288 =
						((BgL_rtl_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_funcallz00_bgl))));
					{	/* SawMill/defs.scm 63 */
						long BgL_arg2624z00_9289;

						BgL_arg2624z00_9289 =
							BGL_CLASS_NUM(BGl_rtl_funcallz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1531z00_9288), BgL_arg2624z00_9289);
					}
					BgL_new1532z00_9287 = BgL_new1531z00_9288;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1532z00_9287)))->BgL_locz00) =
					((obj_t) BgL_loc1305z00_7903), BUNSPEC);
				return BgL_new1532z00_9287;
			}
		}

	}



/* &<@anonymous:2596> */
	obj_t BGl_z62zc3z04anonymousza32596ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7904,
		obj_t BgL_new1303z00_7905)
	{
		{	/* SawMill/defs.scm 62 */
			{
				BgL_rtl_lightfuncallz00_bglt BgL_auxz00_13247;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_lightfuncallz00_bglt) BgL_new1303z00_7905))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt)
							COBJECT(((BgL_rtl_lightfuncallz00_bglt) BgL_new1303z00_7905)))->
						BgL_namez00) = ((obj_t) CNST_TABLE_REF(82L)), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt)
							COBJECT(((BgL_rtl_lightfuncallz00_bglt) BgL_new1303z00_7905)))->
						BgL_funsz00) = ((obj_t) BNIL), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt)
							COBJECT(((BgL_rtl_lightfuncallz00_bglt) BgL_new1303z00_7905)))->
						BgL_rettypez00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13247 = ((BgL_rtl_lightfuncallz00_bglt) BgL_new1303z00_7905);
				return ((obj_t) BgL_auxz00_13247);
			}
		}

	}



/* &lambda2594 */
	BgL_rtl_lightfuncallz00_bglt BGl_z62lambda2594z62zzsaw_defsz00(obj_t
		BgL_envz00_7906)
	{
		{	/* SawMill/defs.scm 62 */
			{	/* SawMill/defs.scm 62 */
				BgL_rtl_lightfuncallz00_bglt BgL_new1302z00_9291;

				BgL_new1302z00_9291 =
					((BgL_rtl_lightfuncallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_lightfuncallz00_bgl))));
				{	/* SawMill/defs.scm 62 */
					long BgL_arg2595z00_9292;

					BgL_arg2595z00_9292 =
						BGL_CLASS_NUM(BGl_rtl_lightfuncallz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1302z00_9291), BgL_arg2595z00_9292);
				}
				return BgL_new1302z00_9291;
			}
		}

	}



/* &lambda2592 */
	BgL_rtl_lightfuncallz00_bglt BGl_z62lambda2592z62zzsaw_defsz00(obj_t
		BgL_envz00_7907, obj_t BgL_loc1298z00_7908, obj_t BgL_name1299z00_7909,
		obj_t BgL_funs1300z00_7910, obj_t BgL_rettype1301z00_7911)
	{
		{	/* SawMill/defs.scm 62 */
			{	/* SawMill/defs.scm 62 */
				BgL_rtl_lightfuncallz00_bglt BgL_new1530z00_9295;

				{	/* SawMill/defs.scm 62 */
					BgL_rtl_lightfuncallz00_bglt BgL_new1529z00_9296;

					BgL_new1529z00_9296 =
						((BgL_rtl_lightfuncallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_lightfuncallz00_bgl))));
					{	/* SawMill/defs.scm 62 */
						long BgL_arg2593z00_9297;

						BgL_arg2593z00_9297 =
							BGL_CLASS_NUM(BGl_rtl_lightfuncallz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1529z00_9296), BgL_arg2593z00_9297);
					}
					BgL_new1530z00_9295 = BgL_new1529z00_9296;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1530z00_9295)))->BgL_locz00) =
					((obj_t) BgL_loc1298z00_7908), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1530z00_9295))->
						BgL_namez00) = ((obj_t) ((obj_t) BgL_name1299z00_7909)), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1530z00_9295))->
						BgL_funsz00) = ((obj_t) ((obj_t) BgL_funs1300z00_7910)), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1530z00_9295))->
						BgL_rettypez00) = ((obj_t) BgL_rettype1301z00_7911), BUNSPEC);
				return BgL_new1530z00_9295;
			}
		}

	}



/* &lambda2616 */
	obj_t BGl_z62lambda2616z62zzsaw_defsz00(obj_t BgL_envz00_7912,
		obj_t BgL_oz00_7913, obj_t BgL_vz00_7914)
	{
		{	/* SawMill/defs.scm 62 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(
							((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7913)))->
					BgL_rettypez00) = ((obj_t) BgL_vz00_7914), BUNSPEC);
		}

	}



/* &lambda2615 */
	obj_t BGl_z62lambda2615z62zzsaw_defsz00(obj_t BgL_envz00_7915,
		obj_t BgL_oz00_7916)
	{
		{	/* SawMill/defs.scm 62 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
						((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7916)))->BgL_rettypez00);
		}

	}



/* &lambda2610 */
	obj_t BGl_z62lambda2610z62zzsaw_defsz00(obj_t BgL_envz00_7917,
		obj_t BgL_oz00_7918, obj_t BgL_vz00_7919)
	{
		{	/* SawMill/defs.scm 62 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(
							((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7918)))->BgL_funsz00) =
				((obj_t) ((obj_t) BgL_vz00_7919)), BUNSPEC);
		}

	}



/* &lambda2609 */
	obj_t BGl_z62lambda2609z62zzsaw_defsz00(obj_t BgL_envz00_7920,
		obj_t BgL_oz00_7921)
	{
		{	/* SawMill/defs.scm 62 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
						((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7921)))->BgL_funsz00);
		}

	}



/* &lambda2605 */
	obj_t BGl_z62lambda2605z62zzsaw_defsz00(obj_t BgL_envz00_7922,
		obj_t BgL_oz00_7923, obj_t BgL_vz00_7924)
	{
		{	/* SawMill/defs.scm 62 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(
							((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7923)))->BgL_namez00) =
				((obj_t) ((obj_t) BgL_vz00_7924)), BUNSPEC);
		}

	}



/* &lambda2604 */
	obj_t BGl_z62lambda2604z62zzsaw_defsz00(obj_t BgL_envz00_7925,
		obj_t BgL_oz00_7926)
	{
		{	/* SawMill/defs.scm 62 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
						((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7926)))->BgL_namez00);
		}

	}



/* &<@anonymous:2586> */
	obj_t BGl_z62zc3z04anonymousza32586ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7927,
		obj_t BgL_new1296z00_7928)
	{
		{	/* SawMill/defs.scm 61 */
			{
				BgL_rtl_applyz00_bglt BgL_auxz00_13289;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_applyz00_bglt) BgL_new1296z00_7928))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13289 = ((BgL_rtl_applyz00_bglt) BgL_new1296z00_7928);
				return ((obj_t) BgL_auxz00_13289);
			}
		}

	}



/* &lambda2583 */
	BgL_rtl_applyz00_bglt BGl_z62lambda2583z62zzsaw_defsz00(obj_t BgL_envz00_7929)
	{
		{	/* SawMill/defs.scm 61 */
			{	/* SawMill/defs.scm 61 */
				BgL_rtl_applyz00_bglt BgL_new1295z00_9307;

				BgL_new1295z00_9307 =
					((BgL_rtl_applyz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_applyz00_bgl))));
				{	/* SawMill/defs.scm 61 */
					long BgL_arg2585z00_9308;

					BgL_arg2585z00_9308 = BGL_CLASS_NUM(BGl_rtl_applyz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1295z00_9307), BgL_arg2585z00_9308);
				}
				return BgL_new1295z00_9307;
			}
		}

	}



/* &lambda2581 */
	BgL_rtl_applyz00_bglt BGl_z62lambda2581z62zzsaw_defsz00(obj_t BgL_envz00_7930,
		obj_t BgL_loc1294z00_7931)
	{
		{	/* SawMill/defs.scm 61 */
			{	/* SawMill/defs.scm 61 */
				BgL_rtl_applyz00_bglt BgL_new1528z00_9309;

				{	/* SawMill/defs.scm 61 */
					BgL_rtl_applyz00_bglt BgL_new1527z00_9310;

					BgL_new1527z00_9310 =
						((BgL_rtl_applyz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_applyz00_bgl))));
					{	/* SawMill/defs.scm 61 */
						long BgL_arg2582z00_9311;

						BgL_arg2582z00_9311 = BGL_CLASS_NUM(BGl_rtl_applyz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1527z00_9310), BgL_arg2582z00_9311);
					}
					BgL_new1528z00_9309 = BgL_new1527z00_9310;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1528z00_9309)))->BgL_locz00) =
					((obj_t) BgL_loc1294z00_7931), BUNSPEC);
				return BgL_new1528z00_9309;
			}
		}

	}



/* &<@anonymous:2568> */
	obj_t BGl_z62zc3z04anonymousza32568ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7932,
		obj_t BgL_new1292z00_7933)
	{
		{	/* SawMill/defs.scm 60 */
			{
				BgL_rtl_callz00_bglt BgL_auxz00_13305;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_callz00_bglt) BgL_new1292z00_7933))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_13309;

					{	/* SawMill/defs.scm 60 */
						obj_t BgL_classz00_9313;

						BgL_classz00_9313 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 60 */
							obj_t BgL__ortest_1117z00_9314;

							BgL__ortest_1117z00_9314 = BGL_CLASS_NIL(BgL_classz00_9313);
							if (CBOOL(BgL__ortest_1117z00_9314))
								{	/* SawMill/defs.scm 60 */
									BgL_auxz00_13309 =
										((BgL_globalz00_bglt) BgL__ortest_1117z00_9314);
								}
							else
								{	/* SawMill/defs.scm 60 */
									BgL_auxz00_13309 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9313));
								}
						}
					}
					((((BgL_rtl_callz00_bglt) COBJECT(
									((BgL_rtl_callz00_bglt) BgL_new1292z00_7933)))->BgL_varz00) =
						((BgL_globalz00_bglt) BgL_auxz00_13309), BUNSPEC);
				}
				BgL_auxz00_13305 = ((BgL_rtl_callz00_bglt) BgL_new1292z00_7933);
				return ((obj_t) BgL_auxz00_13305);
			}
		}

	}



/* &lambda2566 */
	BgL_rtl_callz00_bglt BGl_z62lambda2566z62zzsaw_defsz00(obj_t BgL_envz00_7934)
	{
		{	/* SawMill/defs.scm 60 */
			{	/* SawMill/defs.scm 60 */
				BgL_rtl_callz00_bglt BgL_new1290z00_9315;

				BgL_new1290z00_9315 =
					((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_callz00_bgl))));
				{	/* SawMill/defs.scm 60 */
					long BgL_arg2567z00_9316;

					BgL_arg2567z00_9316 = BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1290z00_9315), BgL_arg2567z00_9316);
				}
				return BgL_new1290z00_9315;
			}
		}

	}



/* &lambda2559 */
	BgL_rtl_callz00_bglt BGl_z62lambda2559z62zzsaw_defsz00(obj_t BgL_envz00_7935,
		obj_t BgL_loc1288z00_7936, obj_t BgL_var1289z00_7937)
	{
		{	/* SawMill/defs.scm 60 */
			{	/* SawMill/defs.scm 60 */
				BgL_rtl_callz00_bglt BgL_new1526z00_9318;

				{	/* SawMill/defs.scm 60 */
					BgL_rtl_callz00_bglt BgL_new1525z00_9319;

					BgL_new1525z00_9319 =
						((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_callz00_bgl))));
					{	/* SawMill/defs.scm 60 */
						long BgL_arg2565z00_9320;

						BgL_arg2565z00_9320 = BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1525z00_9319), BgL_arg2565z00_9320);
					}
					BgL_new1526z00_9318 = BgL_new1525z00_9319;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1526z00_9318)))->BgL_locz00) =
					((obj_t) BgL_loc1288z00_7936), BUNSPEC);
				((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1526z00_9318))->BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1289z00_7937)),
					BUNSPEC);
				return BgL_new1526z00_9318;
			}
		}

	}



/* &lambda2574 */
	obj_t BGl_z62lambda2574z62zzsaw_defsz00(obj_t BgL_envz00_7938,
		obj_t BgL_oz00_7939, obj_t BgL_vz00_7940)
	{
		{	/* SawMill/defs.scm 60 */
			return
				((((BgL_rtl_callz00_bglt) COBJECT(
							((BgL_rtl_callz00_bglt) BgL_oz00_7939)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_7940)), BUNSPEC);
		}

	}



/* &lambda2573 */
	BgL_globalz00_bglt BGl_z62lambda2573z62zzsaw_defsz00(obj_t BgL_envz00_7941,
		obj_t BgL_oz00_7942)
	{
		{	/* SawMill/defs.scm 60 */
			return
				(((BgL_rtl_callz00_bglt) COBJECT(
						((BgL_rtl_callz00_bglt) BgL_oz00_7942)))->BgL_varz00);
		}

	}



/* &<@anonymous:2538> */
	obj_t BGl_z62zc3z04anonymousza32538ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7943,
		obj_t BgL_new1286z00_7944)
	{
		{	/* SawMill/defs.scm 59 */
			{
				BgL_rtl_newz00_bglt BgL_auxz00_13337;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_newz00_bglt) BgL_new1286z00_7944))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13341;

					{	/* SawMill/defs.scm 59 */
						obj_t BgL_classz00_9325;

						BgL_classz00_9325 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 59 */
							obj_t BgL__ortest_1117z00_9326;

							BgL__ortest_1117z00_9326 = BGL_CLASS_NIL(BgL_classz00_9325);
							if (CBOOL(BgL__ortest_1117z00_9326))
								{	/* SawMill/defs.scm 59 */
									BgL_auxz00_13341 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9326);
								}
							else
								{	/* SawMill/defs.scm 59 */
									BgL_auxz00_13341 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9325));
								}
						}
					}
					((((BgL_rtl_newz00_bglt) COBJECT(
									((BgL_rtl_newz00_bglt) BgL_new1286z00_7944)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13341), BUNSPEC);
				}
				((((BgL_rtl_newz00_bglt) COBJECT(
								((BgL_rtl_newz00_bglt) BgL_new1286z00_7944)))->BgL_constrz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_13337 = ((BgL_rtl_newz00_bglt) BgL_new1286z00_7944);
				return ((obj_t) BgL_auxz00_13337);
			}
		}

	}



/* &lambda2536 */
	BgL_rtl_newz00_bglt BGl_z62lambda2536z62zzsaw_defsz00(obj_t BgL_envz00_7945)
	{
		{	/* SawMill/defs.scm 59 */
			{	/* SawMill/defs.scm 59 */
				BgL_rtl_newz00_bglt BgL_new1285z00_9327;

				BgL_new1285z00_9327 =
					((BgL_rtl_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_newz00_bgl))));
				{	/* SawMill/defs.scm 59 */
					long BgL_arg2537z00_9328;

					BgL_arg2537z00_9328 = BGL_CLASS_NUM(BGl_rtl_newz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1285z00_9327), BgL_arg2537z00_9328);
				}
				return BgL_new1285z00_9327;
			}
		}

	}



/* &lambda2532 */
	BgL_rtl_newz00_bglt BGl_z62lambda2532z62zzsaw_defsz00(obj_t BgL_envz00_7946,
		obj_t BgL_loc1282z00_7947, obj_t BgL_type1283z00_7948,
		obj_t BgL_constr1284z00_7949)
	{
		{	/* SawMill/defs.scm 59 */
			{	/* SawMill/defs.scm 59 */
				BgL_rtl_newz00_bglt BgL_new1524z00_9331;

				{	/* SawMill/defs.scm 59 */
					BgL_rtl_newz00_bglt BgL_new1523z00_9332;

					BgL_new1523z00_9332 =
						((BgL_rtl_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_newz00_bgl))));
					{	/* SawMill/defs.scm 59 */
						long BgL_arg2535z00_9333;

						BgL_arg2535z00_9333 = BGL_CLASS_NUM(BGl_rtl_newz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1523z00_9332), BgL_arg2535z00_9333);
					}
					BgL_new1524z00_9331 = BgL_new1523z00_9332;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1524z00_9331)))->BgL_locz00) =
					((obj_t) BgL_loc1282z00_7947), BUNSPEC);
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1524z00_9331))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1283z00_7948)),
					BUNSPEC);
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1524z00_9331))->BgL_constrz00) =
					((obj_t) ((obj_t) BgL_constr1284z00_7949)), BUNSPEC);
				return BgL_new1524z00_9331;
			}
		}

	}



/* &lambda2549 */
	obj_t BGl_z62lambda2549z62zzsaw_defsz00(obj_t BgL_envz00_7950,
		obj_t BgL_oz00_7951, obj_t BgL_vz00_7952)
	{
		{	/* SawMill/defs.scm 59 */
			return
				((((BgL_rtl_newz00_bglt) COBJECT(
							((BgL_rtl_newz00_bglt) BgL_oz00_7951)))->BgL_constrz00) = ((obj_t)
					((obj_t) BgL_vz00_7952)), BUNSPEC);
		}

	}



/* &lambda2548 */
	obj_t BGl_z62lambda2548z62zzsaw_defsz00(obj_t BgL_envz00_7953,
		obj_t BgL_oz00_7954)
	{
		{	/* SawMill/defs.scm 59 */
			return
				(((BgL_rtl_newz00_bglt) COBJECT(
						((BgL_rtl_newz00_bglt) BgL_oz00_7954)))->BgL_constrz00);
		}

	}



/* &lambda2543 */
	obj_t BGl_z62lambda2543z62zzsaw_defsz00(obj_t BgL_envz00_7955,
		obj_t BgL_oz00_7956, obj_t BgL_vz00_7957)
	{
		{	/* SawMill/defs.scm 59 */
			return
				((((BgL_rtl_newz00_bglt) COBJECT(
							((BgL_rtl_newz00_bglt) BgL_oz00_7956)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7957)), BUNSPEC);
		}

	}



/* &lambda2542 */
	BgL_typez00_bglt BGl_z62lambda2542z62zzsaw_defsz00(obj_t BgL_envz00_7958,
		obj_t BgL_oz00_7959)
	{
		{	/* SawMill/defs.scm 59 */
			return
				(((BgL_rtl_newz00_bglt) COBJECT(
						((BgL_rtl_newz00_bglt) BgL_oz00_7959)))->BgL_typez00);
		}

	}



/* &<@anonymous:2519> */
	obj_t BGl_z62zc3z04anonymousza32519ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7960,
		obj_t BgL_new1280z00_7961)
	{
		{	/* SawMill/defs.scm 57 */
			{
				BgL_rtl_boxsetz00_bglt BgL_auxz00_13378;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_boxsetz00_bglt) BgL_new1280z00_7961))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13378 = ((BgL_rtl_boxsetz00_bglt) BgL_new1280z00_7961);
				return ((obj_t) BgL_auxz00_13378);
			}
		}

	}



/* &lambda2517 */
	BgL_rtl_boxsetz00_bglt BGl_z62lambda2517z62zzsaw_defsz00(obj_t
		BgL_envz00_7962)
	{
		{	/* SawMill/defs.scm 57 */
			{	/* SawMill/defs.scm 57 */
				BgL_rtl_boxsetz00_bglt BgL_new1279z00_9341;

				BgL_new1279z00_9341 =
					((BgL_rtl_boxsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_boxsetz00_bgl))));
				{	/* SawMill/defs.scm 57 */
					long BgL_arg2518z00_9342;

					BgL_arg2518z00_9342 = BGL_CLASS_NUM(BGl_rtl_boxsetz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1279z00_9341), BgL_arg2518z00_9342);
				}
				return BgL_new1279z00_9341;
			}
		}

	}



/* &lambda2515 */
	BgL_rtl_boxsetz00_bglt BGl_z62lambda2515z62zzsaw_defsz00(obj_t
		BgL_envz00_7963, obj_t BgL_loc1278z00_7964)
	{
		{	/* SawMill/defs.scm 57 */
			{	/* SawMill/defs.scm 57 */
				BgL_rtl_boxsetz00_bglt BgL_new1522z00_9343;

				{	/* SawMill/defs.scm 57 */
					BgL_rtl_boxsetz00_bglt BgL_new1521z00_9344;

					BgL_new1521z00_9344 =
						((BgL_rtl_boxsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_boxsetz00_bgl))));
					{	/* SawMill/defs.scm 57 */
						long BgL_arg2516z00_9345;

						BgL_arg2516z00_9345 = BGL_CLASS_NUM(BGl_rtl_boxsetz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1521z00_9344), BgL_arg2516z00_9345);
					}
					BgL_new1522z00_9343 = BgL_new1521z00_9344;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1522z00_9343)))->BgL_locz00) =
					((obj_t) BgL_loc1278z00_7964), BUNSPEC);
				return BgL_new1522z00_9343;
			}
		}

	}



/* &<@anonymous:2495> */
	obj_t BGl_z62zc3z04anonymousza32495ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7965,
		obj_t BgL_new1276z00_7966)
	{
		{	/* SawMill/defs.scm 56 */
			{
				BgL_rtl_vsetz00_bglt BgL_auxz00_13394;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_vsetz00_bglt) BgL_new1276z00_7966))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13398;

					{	/* SawMill/defs.scm 56 */
						obj_t BgL_classz00_9347;

						BgL_classz00_9347 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 56 */
							obj_t BgL__ortest_1117z00_9348;

							BgL__ortest_1117z00_9348 = BGL_CLASS_NIL(BgL_classz00_9347);
							if (CBOOL(BgL__ortest_1117z00_9348))
								{	/* SawMill/defs.scm 56 */
									BgL_auxz00_13398 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9348);
								}
							else
								{	/* SawMill/defs.scm 56 */
									BgL_auxz00_13398 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9347));
								}
						}
					}
					((((BgL_rtl_vsetz00_bglt) COBJECT(
									((BgL_rtl_vsetz00_bglt) BgL_new1276z00_7966)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13398), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13407;

					{	/* SawMill/defs.scm 56 */
						obj_t BgL_classz00_9349;

						BgL_classz00_9349 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 56 */
							obj_t BgL__ortest_1117z00_9350;

							BgL__ortest_1117z00_9350 = BGL_CLASS_NIL(BgL_classz00_9349);
							if (CBOOL(BgL__ortest_1117z00_9350))
								{	/* SawMill/defs.scm 56 */
									BgL_auxz00_13407 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9350);
								}
							else
								{	/* SawMill/defs.scm 56 */
									BgL_auxz00_13407 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9349));
								}
						}
					}
					((((BgL_rtl_vsetz00_bglt) COBJECT(
									((BgL_rtl_vsetz00_bglt) BgL_new1276z00_7966)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_13407), BUNSPEC);
				}
				BgL_auxz00_13394 = ((BgL_rtl_vsetz00_bglt) BgL_new1276z00_7966);
				return ((obj_t) BgL_auxz00_13394);
			}
		}

	}



/* &lambda2493 */
	BgL_rtl_vsetz00_bglt BGl_z62lambda2493z62zzsaw_defsz00(obj_t BgL_envz00_7967)
	{
		{	/* SawMill/defs.scm 56 */
			{	/* SawMill/defs.scm 56 */
				BgL_rtl_vsetz00_bglt BgL_new1275z00_9351;

				BgL_new1275z00_9351 =
					((BgL_rtl_vsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_vsetz00_bgl))));
				{	/* SawMill/defs.scm 56 */
					long BgL_arg2494z00_9352;

					BgL_arg2494z00_9352 = BGL_CLASS_NUM(BGl_rtl_vsetz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1275z00_9351), BgL_arg2494z00_9352);
				}
				return BgL_new1275z00_9351;
			}
		}

	}



/* &lambda2490 */
	BgL_rtl_vsetz00_bglt BGl_z62lambda2490z62zzsaw_defsz00(obj_t BgL_envz00_7968,
		obj_t BgL_loc1272z00_7969, obj_t BgL_type1273z00_7970,
		obj_t BgL_vtype1274z00_7971)
	{
		{	/* SawMill/defs.scm 56 */
			{	/* SawMill/defs.scm 56 */
				BgL_rtl_vsetz00_bglt BgL_new1520z00_9355;

				{	/* SawMill/defs.scm 56 */
					BgL_rtl_vsetz00_bglt BgL_new1519z00_9356;

					BgL_new1519z00_9356 =
						((BgL_rtl_vsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vsetz00_bgl))));
					{	/* SawMill/defs.scm 56 */
						long BgL_arg2492z00_9357;

						BgL_arg2492z00_9357 = BGL_CLASS_NUM(BGl_rtl_vsetz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1519z00_9356), BgL_arg2492z00_9357);
					}
					BgL_new1520z00_9355 = BgL_new1519z00_9356;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1520z00_9355)))->BgL_locz00) =
					((obj_t) BgL_loc1272z00_7969), BUNSPEC);
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1520z00_9355))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1273z00_7970)),
					BUNSPEC);
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1520z00_9355))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1274z00_7971)),
					BUNSPEC);
				return BgL_new1520z00_9355;
			}
		}

	}



/* &lambda2505 */
	obj_t BGl_z62lambda2505z62zzsaw_defsz00(obj_t BgL_envz00_7972,
		obj_t BgL_oz00_7973, obj_t BgL_vz00_7974)
	{
		{	/* SawMill/defs.scm 56 */
			return
				((((BgL_rtl_vsetz00_bglt) COBJECT(
							((BgL_rtl_vsetz00_bglt) BgL_oz00_7973)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7974)), BUNSPEC);
		}

	}



/* &lambda2504 */
	BgL_typez00_bglt BGl_z62lambda2504z62zzsaw_defsz00(obj_t BgL_envz00_7975,
		obj_t BgL_oz00_7976)
	{
		{	/* SawMill/defs.scm 56 */
			return
				(((BgL_rtl_vsetz00_bglt) COBJECT(
						((BgL_rtl_vsetz00_bglt) BgL_oz00_7976)))->BgL_vtypez00);
		}

	}



/* &lambda2500 */
	obj_t BGl_z62lambda2500z62zzsaw_defsz00(obj_t BgL_envz00_7977,
		obj_t BgL_oz00_7978, obj_t BgL_vz00_7979)
	{
		{	/* SawMill/defs.scm 56 */
			return
				((((BgL_rtl_vsetz00_bglt) COBJECT(
							((BgL_rtl_vsetz00_bglt) BgL_oz00_7978)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7979)), BUNSPEC);
		}

	}



/* &lambda2499 */
	BgL_typez00_bglt BGl_z62lambda2499z62zzsaw_defsz00(obj_t BgL_envz00_7980,
		obj_t BgL_oz00_7981)
	{
		{	/* SawMill/defs.scm 56 */
			return
				(((BgL_rtl_vsetz00_bglt) COBJECT(
						((BgL_rtl_vsetz00_bglt) BgL_oz00_7981)))->BgL_typez00);
		}

	}



/* &<@anonymous:2464> */
	obj_t BGl_z62zc3z04anonymousza32464ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7982,
		obj_t BgL_new1270z00_7983)
	{
		{	/* SawMill/defs.scm 55 */
			{
				BgL_rtl_setfieldz00_bglt BgL_auxz00_13442;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_setfieldz00_bglt) BgL_new1270z00_7983))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(((BgL_rtl_setfieldz00_bglt)
									BgL_new1270z00_7983)))->BgL_namez00) =
					((obj_t) BGl_string3375z00zzsaw_defsz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13448;

					{	/* SawMill/defs.scm 55 */
						obj_t BgL_classz00_9365;

						BgL_classz00_9365 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 55 */
							obj_t BgL__ortest_1117z00_9366;

							BgL__ortest_1117z00_9366 = BGL_CLASS_NIL(BgL_classz00_9365);
							if (CBOOL(BgL__ortest_1117z00_9366))
								{	/* SawMill/defs.scm 55 */
									BgL_auxz00_13448 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9366);
								}
							else
								{	/* SawMill/defs.scm 55 */
									BgL_auxz00_13448 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9365));
								}
						}
					}
					((((BgL_rtl_setfieldz00_bglt) COBJECT(
									((BgL_rtl_setfieldz00_bglt) BgL_new1270z00_7983)))->
							BgL_objtypez00) = ((BgL_typez00_bglt) BgL_auxz00_13448), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13457;

					{	/* SawMill/defs.scm 55 */
						obj_t BgL_classz00_9367;

						BgL_classz00_9367 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 55 */
							obj_t BgL__ortest_1117z00_9368;

							BgL__ortest_1117z00_9368 = BGL_CLASS_NIL(BgL_classz00_9367);
							if (CBOOL(BgL__ortest_1117z00_9368))
								{	/* SawMill/defs.scm 55 */
									BgL_auxz00_13457 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9368);
								}
							else
								{	/* SawMill/defs.scm 55 */
									BgL_auxz00_13457 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9367));
								}
						}
					}
					((((BgL_rtl_setfieldz00_bglt) COBJECT(
									((BgL_rtl_setfieldz00_bglt) BgL_new1270z00_7983)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13457), BUNSPEC);
				}
				BgL_auxz00_13442 = ((BgL_rtl_setfieldz00_bglt) BgL_new1270z00_7983);
				return ((obj_t) BgL_auxz00_13442);
			}
		}

	}



/* &lambda2461 */
	BgL_rtl_setfieldz00_bglt BGl_z62lambda2461z62zzsaw_defsz00(obj_t
		BgL_envz00_7984)
	{
		{	/* SawMill/defs.scm 55 */
			{	/* SawMill/defs.scm 55 */
				BgL_rtl_setfieldz00_bglt BgL_new1269z00_9369;

				BgL_new1269z00_9369 =
					((BgL_rtl_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_setfieldz00_bgl))));
				{	/* SawMill/defs.scm 55 */
					long BgL_arg2463z00_9370;

					BgL_arg2463z00_9370 = BGL_CLASS_NUM(BGl_rtl_setfieldz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1269z00_9369), BgL_arg2463z00_9370);
				}
				return BgL_new1269z00_9369;
			}
		}

	}



/* &lambda2458 */
	BgL_rtl_setfieldz00_bglt BGl_z62lambda2458z62zzsaw_defsz00(obj_t
		BgL_envz00_7985, obj_t BgL_loc1265z00_7986, obj_t BgL_name1266z00_7987,
		obj_t BgL_objtype1267z00_7988, obj_t BgL_type1268z00_7989)
	{
		{	/* SawMill/defs.scm 55 */
			{	/* SawMill/defs.scm 55 */
				BgL_rtl_setfieldz00_bglt BgL_new1518z00_9374;

				{	/* SawMill/defs.scm 55 */
					BgL_rtl_setfieldz00_bglt BgL_new1517z00_9375;

					BgL_new1517z00_9375 =
						((BgL_rtl_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_setfieldz00_bgl))));
					{	/* SawMill/defs.scm 55 */
						long BgL_arg2460z00_9376;

						BgL_arg2460z00_9376 =
							BGL_CLASS_NUM(BGl_rtl_setfieldz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1517z00_9375), BgL_arg2460z00_9376);
					}
					BgL_new1518z00_9374 = BgL_new1517z00_9375;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1518z00_9374)))->BgL_locz00) =
					((obj_t) BgL_loc1265z00_7986), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1518z00_9374))->
						BgL_namez00) = ((obj_t) ((obj_t) BgL_name1266z00_7987)), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1518z00_9374))->
						BgL_objtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_objtype1267z00_7988)),
					BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1518z00_9374))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1268z00_7989)),
					BUNSPEC);
				return BgL_new1518z00_9374;
			}
		}

	}



/* &lambda2482 */
	obj_t BGl_z62lambda2482z62zzsaw_defsz00(obj_t BgL_envz00_7990,
		obj_t BgL_oz00_7991, obj_t BgL_vz00_7992)
	{
		{	/* SawMill/defs.scm 55 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_oz00_7991)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7992)), BUNSPEC);
		}

	}



/* &lambda2481 */
	BgL_typez00_bglt BGl_z62lambda2481z62zzsaw_defsz00(obj_t BgL_envz00_7993,
		obj_t BgL_oz00_7994)
	{
		{	/* SawMill/defs.scm 55 */
			return
				(((BgL_rtl_setfieldz00_bglt) COBJECT(
						((BgL_rtl_setfieldz00_bglt) BgL_oz00_7994)))->BgL_typez00);
		}

	}



/* &lambda2475 */
	obj_t BGl_z62lambda2475z62zzsaw_defsz00(obj_t BgL_envz00_7995,
		obj_t BgL_oz00_7996, obj_t BgL_vz00_7997)
	{
		{	/* SawMill/defs.scm 55 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_oz00_7996)))->BgL_objtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7997)), BUNSPEC);
		}

	}



/* &lambda2474 */
	BgL_typez00_bglt BGl_z62lambda2474z62zzsaw_defsz00(obj_t BgL_envz00_7998,
		obj_t BgL_oz00_7999)
	{
		{	/* SawMill/defs.scm 55 */
			return
				(((BgL_rtl_setfieldz00_bglt) COBJECT(
						((BgL_rtl_setfieldz00_bglt) BgL_oz00_7999)))->BgL_objtypez00);
		}

	}



/* &lambda2469 */
	obj_t BGl_z62lambda2469z62zzsaw_defsz00(obj_t BgL_envz00_8000,
		obj_t BgL_oz00_8001, obj_t BgL_vz00_8002)
	{
		{	/* SawMill/defs.scm 55 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_oz00_8001)))->BgL_namez00) =
				((obj_t) ((obj_t) BgL_vz00_8002)), BUNSPEC);
		}

	}



/* &lambda2468 */
	obj_t BGl_z62lambda2468z62zzsaw_defsz00(obj_t BgL_envz00_8003,
		obj_t BgL_oz00_8004)
	{
		{	/* SawMill/defs.scm 55 */
			return
				(((BgL_rtl_setfieldz00_bglt) COBJECT(
						((BgL_rtl_setfieldz00_bglt) BgL_oz00_8004)))->BgL_namez00);
		}

	}



/* &<@anonymous:2444> */
	obj_t BGl_z62zc3z04anonymousza32444ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8005,
		obj_t BgL_new1263z00_8006)
	{
		{	/* SawMill/defs.scm 54 */
			{
				BgL_rtl_storegz00_bglt BgL_auxz00_13499;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_storegz00_bglt) BgL_new1263z00_8006))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_13503;

					{	/* SawMill/defs.scm 54 */
						obj_t BgL_classz00_9387;

						BgL_classz00_9387 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 54 */
							obj_t BgL__ortest_1117z00_9388;

							BgL__ortest_1117z00_9388 = BGL_CLASS_NIL(BgL_classz00_9387);
							if (CBOOL(BgL__ortest_1117z00_9388))
								{	/* SawMill/defs.scm 54 */
									BgL_auxz00_13503 =
										((BgL_globalz00_bglt) BgL__ortest_1117z00_9388);
								}
							else
								{	/* SawMill/defs.scm 54 */
									BgL_auxz00_13503 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9387));
								}
						}
					}
					((((BgL_rtl_storegz00_bglt) COBJECT(
									((BgL_rtl_storegz00_bglt) BgL_new1263z00_8006)))->
							BgL_varz00) = ((BgL_globalz00_bglt) BgL_auxz00_13503), BUNSPEC);
				}
				BgL_auxz00_13499 = ((BgL_rtl_storegz00_bglt) BgL_new1263z00_8006);
				return ((obj_t) BgL_auxz00_13499);
			}
		}

	}



/* &lambda2441 */
	BgL_rtl_storegz00_bglt BGl_z62lambda2441z62zzsaw_defsz00(obj_t
		BgL_envz00_8007)
	{
		{	/* SawMill/defs.scm 54 */
			{	/* SawMill/defs.scm 54 */
				BgL_rtl_storegz00_bglt BgL_new1262z00_9389;

				BgL_new1262z00_9389 =
					((BgL_rtl_storegz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_storegz00_bgl))));
				{	/* SawMill/defs.scm 54 */
					long BgL_arg2443z00_9390;

					BgL_arg2443z00_9390 = BGL_CLASS_NUM(BGl_rtl_storegz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1262z00_9389), BgL_arg2443z00_9390);
				}
				return BgL_new1262z00_9389;
			}
		}

	}



/* &lambda2439 */
	BgL_rtl_storegz00_bglt BGl_z62lambda2439z62zzsaw_defsz00(obj_t
		BgL_envz00_8008, obj_t BgL_loc1260z00_8009, obj_t BgL_var1261z00_8010)
	{
		{	/* SawMill/defs.scm 54 */
			{	/* SawMill/defs.scm 54 */
				BgL_rtl_storegz00_bglt BgL_new1516z00_9392;

				{	/* SawMill/defs.scm 54 */
					BgL_rtl_storegz00_bglt BgL_new1515z00_9393;

					BgL_new1515z00_9393 =
						((BgL_rtl_storegz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_storegz00_bgl))));
					{	/* SawMill/defs.scm 54 */
						long BgL_arg2440z00_9394;

						BgL_arg2440z00_9394 = BGL_CLASS_NUM(BGl_rtl_storegz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1515z00_9393), BgL_arg2440z00_9394);
					}
					BgL_new1516z00_9392 = BgL_new1515z00_9393;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1516z00_9392)))->BgL_locz00) =
					((obj_t) BgL_loc1260z00_8009), BUNSPEC);
				((((BgL_rtl_storegz00_bglt) COBJECT(BgL_new1516z00_9392))->BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1261z00_8010)),
					BUNSPEC);
				return BgL_new1516z00_9392;
			}
		}

	}



/* &lambda2450 */
	obj_t BGl_z62lambda2450z62zzsaw_defsz00(obj_t BgL_envz00_8011,
		obj_t BgL_oz00_8012, obj_t BgL_vz00_8013)
	{
		{	/* SawMill/defs.scm 54 */
			return
				((((BgL_rtl_storegz00_bglt) COBJECT(
							((BgL_rtl_storegz00_bglt) BgL_oz00_8012)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_8013)), BUNSPEC);
		}

	}



/* &lambda2449 */
	BgL_globalz00_bglt BGl_z62lambda2449z62zzsaw_defsz00(obj_t BgL_envz00_8014,
		obj_t BgL_oz00_8015)
	{
		{	/* SawMill/defs.scm 54 */
			return
				(((BgL_rtl_storegz00_bglt) COBJECT(
						((BgL_rtl_storegz00_bglt) BgL_oz00_8015)))->BgL_varz00);
		}

	}



/* &<@anonymous:2433> */
	obj_t BGl_z62zc3z04anonymousza32433ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8016,
		obj_t BgL_new1258z00_8017)
	{
		{	/* SawMill/defs.scm 53 */
			{
				BgL_rtl_effectz00_bglt BgL_auxz00_13531;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_effectz00_bglt) BgL_new1258z00_8017))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13531 = ((BgL_rtl_effectz00_bglt) BgL_new1258z00_8017);
				return ((obj_t) BgL_auxz00_13531);
			}
		}

	}



/* &lambda2430 */
	BgL_rtl_effectz00_bglt BGl_z62lambda2430z62zzsaw_defsz00(obj_t
		BgL_envz00_8018)
	{
		{	/* SawMill/defs.scm 53 */
			{	/* SawMill/defs.scm 53 */
				BgL_rtl_effectz00_bglt BgL_new1257z00_9399;

				BgL_new1257z00_9399 =
					((BgL_rtl_effectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_effectz00_bgl))));
				{	/* SawMill/defs.scm 53 */
					long BgL_arg2432z00_9400;

					BgL_arg2432z00_9400 = BGL_CLASS_NUM(BGl_rtl_effectz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1257z00_9399), BgL_arg2432z00_9400);
				}
				return BgL_new1257z00_9399;
			}
		}

	}



/* &lambda2428 */
	BgL_rtl_effectz00_bglt BGl_z62lambda2428z62zzsaw_defsz00(obj_t
		BgL_envz00_8019, obj_t BgL_loc1256z00_8020)
	{
		{	/* SawMill/defs.scm 53 */
			{	/* SawMill/defs.scm 53 */
				BgL_rtl_effectz00_bglt BgL_new1514z00_9401;

				{	/* SawMill/defs.scm 53 */
					BgL_rtl_effectz00_bglt BgL_new1513z00_9402;

					BgL_new1513z00_9402 =
						((BgL_rtl_effectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_effectz00_bgl))));
					{	/* SawMill/defs.scm 53 */
						long BgL_arg2429z00_9403;

						BgL_arg2429z00_9403 = BGL_CLASS_NUM(BGl_rtl_effectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1513z00_9402), BgL_arg2429z00_9403);
					}
					BgL_new1514z00_9401 = BgL_new1513z00_9402;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1514z00_9401)))->BgL_locz00) =
					((obj_t) BgL_loc1256z00_8020), BUNSPEC);
				return BgL_new1514z00_9401;
			}
		}

	}



/* &<@anonymous:2421> */
	obj_t BGl_z62zc3z04anonymousza32421ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8021,
		obj_t BgL_new1254z00_8022)
	{
		{	/* SawMill/defs.scm 51 */
			{
				BgL_rtl_boxrefz00_bglt BgL_auxz00_13547;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_boxrefz00_bglt) BgL_new1254z00_8022))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13547 = ((BgL_rtl_boxrefz00_bglt) BgL_new1254z00_8022);
				return ((obj_t) BgL_auxz00_13547);
			}
		}

	}



/* &lambda2419 */
	BgL_rtl_boxrefz00_bglt BGl_z62lambda2419z62zzsaw_defsz00(obj_t
		BgL_envz00_8023)
	{
		{	/* SawMill/defs.scm 51 */
			{	/* SawMill/defs.scm 51 */
				BgL_rtl_boxrefz00_bglt BgL_new1253z00_9405;

				BgL_new1253z00_9405 =
					((BgL_rtl_boxrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_boxrefz00_bgl))));
				{	/* SawMill/defs.scm 51 */
					long BgL_arg2420z00_9406;

					BgL_arg2420z00_9406 = BGL_CLASS_NUM(BGl_rtl_boxrefz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1253z00_9405), BgL_arg2420z00_9406);
				}
				return BgL_new1253z00_9405;
			}
		}

	}



/* &lambda2417 */
	BgL_rtl_boxrefz00_bglt BGl_z62lambda2417z62zzsaw_defsz00(obj_t
		BgL_envz00_8024, obj_t BgL_loc1252z00_8025)
	{
		{	/* SawMill/defs.scm 51 */
			{	/* SawMill/defs.scm 51 */
				BgL_rtl_boxrefz00_bglt BgL_new1512z00_9407;

				{	/* SawMill/defs.scm 51 */
					BgL_rtl_boxrefz00_bglt BgL_new1511z00_9408;

					BgL_new1511z00_9408 =
						((BgL_rtl_boxrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_boxrefz00_bgl))));
					{	/* SawMill/defs.scm 51 */
						long BgL_arg2418z00_9409;

						BgL_arg2418z00_9409 = BGL_CLASS_NUM(BGl_rtl_boxrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1511z00_9408), BgL_arg2418z00_9409);
					}
					BgL_new1512z00_9407 = BgL_new1511z00_9408;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1512z00_9407)))->BgL_locz00) =
					((obj_t) BgL_loc1252z00_8025), BUNSPEC);
				return BgL_new1512z00_9407;
			}
		}

	}



/* &<@anonymous:2410> */
	obj_t BGl_z62zc3z04anonymousza32410ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8026,
		obj_t BgL_new1250z00_8027)
	{
		{	/* SawMill/defs.scm 50 */
			{
				BgL_rtl_makeboxz00_bglt BgL_auxz00_13563;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_makeboxz00_bglt) BgL_new1250z00_8027))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13563 = ((BgL_rtl_makeboxz00_bglt) BgL_new1250z00_8027);
				return ((obj_t) BgL_auxz00_13563);
			}
		}

	}



/* &lambda2408 */
	BgL_rtl_makeboxz00_bglt BGl_z62lambda2408z62zzsaw_defsz00(obj_t
		BgL_envz00_8028)
	{
		{	/* SawMill/defs.scm 50 */
			{	/* SawMill/defs.scm 50 */
				BgL_rtl_makeboxz00_bglt BgL_new1249z00_9411;

				BgL_new1249z00_9411 =
					((BgL_rtl_makeboxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_makeboxz00_bgl))));
				{	/* SawMill/defs.scm 50 */
					long BgL_arg2409z00_9412;

					BgL_arg2409z00_9412 = BGL_CLASS_NUM(BGl_rtl_makeboxz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1249z00_9411), BgL_arg2409z00_9412);
				}
				return BgL_new1249z00_9411;
			}
		}

	}



/* &lambda2406 */
	BgL_rtl_makeboxz00_bglt BGl_z62lambda2406z62zzsaw_defsz00(obj_t
		BgL_envz00_8029, obj_t BgL_loc1248z00_8030)
	{
		{	/* SawMill/defs.scm 50 */
			{	/* SawMill/defs.scm 50 */
				BgL_rtl_makeboxz00_bglt BgL_new1510z00_9413;

				{	/* SawMill/defs.scm 50 */
					BgL_rtl_makeboxz00_bglt BgL_new1509z00_9414;

					BgL_new1509z00_9414 =
						((BgL_rtl_makeboxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_makeboxz00_bgl))));
					{	/* SawMill/defs.scm 50 */
						long BgL_arg2407z00_9415;

						BgL_arg2407z00_9415 =
							BGL_CLASS_NUM(BGl_rtl_makeboxz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1509z00_9414), BgL_arg2407z00_9415);
					}
					BgL_new1510z00_9413 = BgL_new1509z00_9414;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1510z00_9413)))->BgL_locz00) =
					((obj_t) BgL_loc1248z00_8030), BUNSPEC);
				return BgL_new1510z00_9413;
			}
		}

	}



/* &<@anonymous:2394> */
	obj_t BGl_z62zc3z04anonymousza32394ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8031,
		obj_t BgL_new1246z00_8032)
	{
		{	/* SawMill/defs.scm 49 */
			{
				BgL_rtl_instanceofz00_bglt BgL_auxz00_13579;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_instanceofz00_bglt) BgL_new1246z00_8032))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13583;

					{	/* SawMill/defs.scm 49 */
						obj_t BgL_classz00_9417;

						BgL_classz00_9417 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 49 */
							obj_t BgL__ortest_1117z00_9418;

							BgL__ortest_1117z00_9418 = BGL_CLASS_NIL(BgL_classz00_9417);
							if (CBOOL(BgL__ortest_1117z00_9418))
								{	/* SawMill/defs.scm 49 */
									BgL_auxz00_13583 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9418);
								}
							else
								{	/* SawMill/defs.scm 49 */
									BgL_auxz00_13583 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9417));
								}
						}
					}
					((((BgL_rtl_instanceofz00_bglt) COBJECT(
									((BgL_rtl_instanceofz00_bglt) BgL_new1246z00_8032)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13583), BUNSPEC);
				}
				BgL_auxz00_13579 = ((BgL_rtl_instanceofz00_bglt) BgL_new1246z00_8032);
				return ((obj_t) BgL_auxz00_13579);
			}
		}

	}



/* &lambda2392 */
	BgL_rtl_instanceofz00_bglt BGl_z62lambda2392z62zzsaw_defsz00(obj_t
		BgL_envz00_8033)
	{
		{	/* SawMill/defs.scm 49 */
			{	/* SawMill/defs.scm 49 */
				BgL_rtl_instanceofz00_bglt BgL_new1244z00_9419;

				BgL_new1244z00_9419 =
					((BgL_rtl_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_instanceofz00_bgl))));
				{	/* SawMill/defs.scm 49 */
					long BgL_arg2393z00_9420;

					BgL_arg2393z00_9420 =
						BGL_CLASS_NUM(BGl_rtl_instanceofz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1244z00_9419), BgL_arg2393z00_9420);
				}
				return BgL_new1244z00_9419;
			}
		}

	}



/* &lambda2390 */
	BgL_rtl_instanceofz00_bglt BGl_z62lambda2390z62zzsaw_defsz00(obj_t
		BgL_envz00_8034, obj_t BgL_loc1242z00_8035, obj_t BgL_type1243z00_8036)
	{
		{	/* SawMill/defs.scm 49 */
			{	/* SawMill/defs.scm 49 */
				BgL_rtl_instanceofz00_bglt BgL_new1508z00_9422;

				{	/* SawMill/defs.scm 49 */
					BgL_rtl_instanceofz00_bglt BgL_new1507z00_9423;

					BgL_new1507z00_9423 =
						((BgL_rtl_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_instanceofz00_bgl))));
					{	/* SawMill/defs.scm 49 */
						long BgL_arg2391z00_9424;

						BgL_arg2391z00_9424 =
							BGL_CLASS_NUM(BGl_rtl_instanceofz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1507z00_9423), BgL_arg2391z00_9424);
					}
					BgL_new1508z00_9422 = BgL_new1507z00_9423;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1508z00_9422)))->BgL_locz00) =
					((obj_t) BgL_loc1242z00_8035), BUNSPEC);
				((((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_new1508z00_9422))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1243z00_8036)),
					BUNSPEC);
				return BgL_new1508z00_9422;
			}
		}

	}



/* &lambda2399 */
	obj_t BGl_z62lambda2399z62zzsaw_defsz00(obj_t BgL_envz00_8037,
		obj_t BgL_oz00_8038, obj_t BgL_vz00_8039)
	{
		{	/* SawMill/defs.scm 49 */
			return
				((((BgL_rtl_instanceofz00_bglt) COBJECT(
							((BgL_rtl_instanceofz00_bglt) BgL_oz00_8038)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8039)), BUNSPEC);
		}

	}



/* &lambda2398 */
	BgL_typez00_bglt BGl_z62lambda2398z62zzsaw_defsz00(obj_t BgL_envz00_8040,
		obj_t BgL_oz00_8041)
	{
		{	/* SawMill/defs.scm 49 */
			return
				(((BgL_rtl_instanceofz00_bglt) COBJECT(
						((BgL_rtl_instanceofz00_bglt) BgL_oz00_8041)))->BgL_typez00);
		}

	}



/* &<@anonymous:2372> */
	obj_t BGl_z62zc3z04anonymousza32372ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8042,
		obj_t BgL_new1240z00_8043)
	{
		{	/* SawMill/defs.scm 48 */
			{
				BgL_rtl_vlengthz00_bglt BgL_auxz00_13611;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_vlengthz00_bglt) BgL_new1240z00_8043))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13615;

					{	/* SawMill/defs.scm 48 */
						obj_t BgL_classz00_9429;

						BgL_classz00_9429 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 48 */
							obj_t BgL__ortest_1117z00_9430;

							BgL__ortest_1117z00_9430 = BGL_CLASS_NIL(BgL_classz00_9429);
							if (CBOOL(BgL__ortest_1117z00_9430))
								{	/* SawMill/defs.scm 48 */
									BgL_auxz00_13615 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9430);
								}
							else
								{	/* SawMill/defs.scm 48 */
									BgL_auxz00_13615 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9429));
								}
						}
					}
					((((BgL_rtl_vlengthz00_bglt) COBJECT(
									((BgL_rtl_vlengthz00_bglt) BgL_new1240z00_8043)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13615), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13624;

					{	/* SawMill/defs.scm 48 */
						obj_t BgL_classz00_9431;

						BgL_classz00_9431 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 48 */
							obj_t BgL__ortest_1117z00_9432;

							BgL__ortest_1117z00_9432 = BGL_CLASS_NIL(BgL_classz00_9431);
							if (CBOOL(BgL__ortest_1117z00_9432))
								{	/* SawMill/defs.scm 48 */
									BgL_auxz00_13624 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9432);
								}
							else
								{	/* SawMill/defs.scm 48 */
									BgL_auxz00_13624 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9431));
								}
						}
					}
					((((BgL_rtl_vlengthz00_bglt) COBJECT(
									((BgL_rtl_vlengthz00_bglt) BgL_new1240z00_8043)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_13624), BUNSPEC);
				}
				BgL_auxz00_13611 = ((BgL_rtl_vlengthz00_bglt) BgL_new1240z00_8043);
				return ((obj_t) BgL_auxz00_13611);
			}
		}

	}



/* &lambda2370 */
	BgL_rtl_vlengthz00_bglt BGl_z62lambda2370z62zzsaw_defsz00(obj_t
		BgL_envz00_8044)
	{
		{	/* SawMill/defs.scm 48 */
			{	/* SawMill/defs.scm 48 */
				BgL_rtl_vlengthz00_bglt BgL_new1239z00_9433;

				BgL_new1239z00_9433 =
					((BgL_rtl_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_vlengthz00_bgl))));
				{	/* SawMill/defs.scm 48 */
					long BgL_arg2371z00_9434;

					BgL_arg2371z00_9434 = BGL_CLASS_NUM(BGl_rtl_vlengthz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1239z00_9433), BgL_arg2371z00_9434);
				}
				return BgL_new1239z00_9433;
			}
		}

	}



/* &lambda2368 */
	BgL_rtl_vlengthz00_bglt BGl_z62lambda2368z62zzsaw_defsz00(obj_t
		BgL_envz00_8045, obj_t BgL_loc1236z00_8046, obj_t BgL_type1237z00_8047,
		obj_t BgL_vtype1238z00_8048)
	{
		{	/* SawMill/defs.scm 48 */
			{	/* SawMill/defs.scm 48 */
				BgL_rtl_vlengthz00_bglt BgL_new1506z00_9437;

				{	/* SawMill/defs.scm 48 */
					BgL_rtl_vlengthz00_bglt BgL_new1505z00_9438;

					BgL_new1505z00_9438 =
						((BgL_rtl_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vlengthz00_bgl))));
					{	/* SawMill/defs.scm 48 */
						long BgL_arg2369z00_9439;

						BgL_arg2369z00_9439 =
							BGL_CLASS_NUM(BGl_rtl_vlengthz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1505z00_9438), BgL_arg2369z00_9439);
					}
					BgL_new1506z00_9437 = BgL_new1505z00_9438;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1506z00_9437)))->BgL_locz00) =
					((obj_t) BgL_loc1236z00_8046), BUNSPEC);
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1506z00_9437))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1237z00_8047)),
					BUNSPEC);
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1506z00_9437))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1238z00_8048)),
					BUNSPEC);
				return BgL_new1506z00_9437;
			}
		}

	}



/* &lambda2383 */
	obj_t BGl_z62lambda2383z62zzsaw_defsz00(obj_t BgL_envz00_8049,
		obj_t BgL_oz00_8050, obj_t BgL_vz00_8051)
	{
		{	/* SawMill/defs.scm 48 */
			return
				((((BgL_rtl_vlengthz00_bglt) COBJECT(
							((BgL_rtl_vlengthz00_bglt) BgL_oz00_8050)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8051)), BUNSPEC);
		}

	}



/* &lambda2382 */
	BgL_typez00_bglt BGl_z62lambda2382z62zzsaw_defsz00(obj_t BgL_envz00_8052,
		obj_t BgL_oz00_8053)
	{
		{	/* SawMill/defs.scm 48 */
			return
				(((BgL_rtl_vlengthz00_bglt) COBJECT(
						((BgL_rtl_vlengthz00_bglt) BgL_oz00_8053)))->BgL_vtypez00);
		}

	}



/* &lambda2377 */
	obj_t BGl_z62lambda2377z62zzsaw_defsz00(obj_t BgL_envz00_8054,
		obj_t BgL_oz00_8055, obj_t BgL_vz00_8056)
	{
		{	/* SawMill/defs.scm 48 */
			return
				((((BgL_rtl_vlengthz00_bglt) COBJECT(
							((BgL_rtl_vlengthz00_bglt) BgL_oz00_8055)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8056)), BUNSPEC);
		}

	}



/* &lambda2376 */
	BgL_typez00_bglt BGl_z62lambda2376z62zzsaw_defsz00(obj_t BgL_envz00_8057,
		obj_t BgL_oz00_8058)
	{
		{	/* SawMill/defs.scm 48 */
			return
				(((BgL_rtl_vlengthz00_bglt) COBJECT(
						((BgL_rtl_vlengthz00_bglt) BgL_oz00_8058)))->BgL_typez00);
		}

	}



/* &<@anonymous:2352> */
	obj_t BGl_z62zc3z04anonymousza32352ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8059,
		obj_t BgL_new1234z00_8060)
	{
		{	/* SawMill/defs.scm 47 */
			{
				BgL_rtl_vrefz00_bglt BgL_auxz00_13659;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_vrefz00_bglt) BgL_new1234z00_8060))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13663;

					{	/* SawMill/defs.scm 47 */
						obj_t BgL_classz00_9447;

						BgL_classz00_9447 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 47 */
							obj_t BgL__ortest_1117z00_9448;

							BgL__ortest_1117z00_9448 = BGL_CLASS_NIL(BgL_classz00_9447);
							if (CBOOL(BgL__ortest_1117z00_9448))
								{	/* SawMill/defs.scm 47 */
									BgL_auxz00_13663 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9448);
								}
							else
								{	/* SawMill/defs.scm 47 */
									BgL_auxz00_13663 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9447));
								}
						}
					}
					((((BgL_rtl_vrefz00_bglt) COBJECT(
									((BgL_rtl_vrefz00_bglt) BgL_new1234z00_8060)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13663), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13672;

					{	/* SawMill/defs.scm 47 */
						obj_t BgL_classz00_9449;

						BgL_classz00_9449 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 47 */
							obj_t BgL__ortest_1117z00_9450;

							BgL__ortest_1117z00_9450 = BGL_CLASS_NIL(BgL_classz00_9449);
							if (CBOOL(BgL__ortest_1117z00_9450))
								{	/* SawMill/defs.scm 47 */
									BgL_auxz00_13672 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9450);
								}
							else
								{	/* SawMill/defs.scm 47 */
									BgL_auxz00_13672 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9449));
								}
						}
					}
					((((BgL_rtl_vrefz00_bglt) COBJECT(
									((BgL_rtl_vrefz00_bglt) BgL_new1234z00_8060)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_13672), BUNSPEC);
				}
				BgL_auxz00_13659 = ((BgL_rtl_vrefz00_bglt) BgL_new1234z00_8060);
				return ((obj_t) BgL_auxz00_13659);
			}
		}

	}



/* &lambda2349 */
	BgL_rtl_vrefz00_bglt BGl_z62lambda2349z62zzsaw_defsz00(obj_t BgL_envz00_8061)
	{
		{	/* SawMill/defs.scm 47 */
			{	/* SawMill/defs.scm 47 */
				BgL_rtl_vrefz00_bglt BgL_new1233z00_9451;

				BgL_new1233z00_9451 =
					((BgL_rtl_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_vrefz00_bgl))));
				{	/* SawMill/defs.scm 47 */
					long BgL_arg2351z00_9452;

					BgL_arg2351z00_9452 = BGL_CLASS_NUM(BGl_rtl_vrefz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1233z00_9451), BgL_arg2351z00_9452);
				}
				return BgL_new1233z00_9451;
			}
		}

	}



/* &lambda2347 */
	BgL_rtl_vrefz00_bglt BGl_z62lambda2347z62zzsaw_defsz00(obj_t BgL_envz00_8062,
		obj_t BgL_loc1229z00_8063, obj_t BgL_type1230z00_8064,
		obj_t BgL_vtype1231z00_8065)
	{
		{	/* SawMill/defs.scm 47 */
			{	/* SawMill/defs.scm 47 */
				BgL_rtl_vrefz00_bglt BgL_new1504z00_9455;

				{	/* SawMill/defs.scm 47 */
					BgL_rtl_vrefz00_bglt BgL_new1503z00_9456;

					BgL_new1503z00_9456 =
						((BgL_rtl_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vrefz00_bgl))));
					{	/* SawMill/defs.scm 47 */
						long BgL_arg2348z00_9457;

						BgL_arg2348z00_9457 = BGL_CLASS_NUM(BGl_rtl_vrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1503z00_9456), BgL_arg2348z00_9457);
					}
					BgL_new1504z00_9455 = BgL_new1503z00_9456;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1504z00_9455)))->BgL_locz00) =
					((obj_t) BgL_loc1229z00_8063), BUNSPEC);
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1504z00_9455))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1230z00_8064)),
					BUNSPEC);
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1504z00_9455))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1231z00_8065)),
					BUNSPEC);
				return BgL_new1504z00_9455;
			}
		}

	}



/* &lambda2362 */
	obj_t BGl_z62lambda2362z62zzsaw_defsz00(obj_t BgL_envz00_8066,
		obj_t BgL_oz00_8067, obj_t BgL_vz00_8068)
	{
		{	/* SawMill/defs.scm 47 */
			return
				((((BgL_rtl_vrefz00_bglt) COBJECT(
							((BgL_rtl_vrefz00_bglt) BgL_oz00_8067)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8068)), BUNSPEC);
		}

	}



/* &lambda2361 */
	BgL_typez00_bglt BGl_z62lambda2361z62zzsaw_defsz00(obj_t BgL_envz00_8069,
		obj_t BgL_oz00_8070)
	{
		{	/* SawMill/defs.scm 47 */
			return
				(((BgL_rtl_vrefz00_bglt) COBJECT(
						((BgL_rtl_vrefz00_bglt) BgL_oz00_8070)))->BgL_vtypez00);
		}

	}



/* &lambda2357 */
	obj_t BGl_z62lambda2357z62zzsaw_defsz00(obj_t BgL_envz00_8071,
		obj_t BgL_oz00_8072, obj_t BgL_vz00_8073)
	{
		{	/* SawMill/defs.scm 47 */
			return
				((((BgL_rtl_vrefz00_bglt) COBJECT(
							((BgL_rtl_vrefz00_bglt) BgL_oz00_8072)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8073)), BUNSPEC);
		}

	}



/* &lambda2356 */
	BgL_typez00_bglt BGl_z62lambda2356z62zzsaw_defsz00(obj_t BgL_envz00_8074,
		obj_t BgL_oz00_8075)
	{
		{	/* SawMill/defs.scm 47 */
			return
				(((BgL_rtl_vrefz00_bglt) COBJECT(
						((BgL_rtl_vrefz00_bglt) BgL_oz00_8075)))->BgL_typez00);
		}

	}



/* &<@anonymous:2330> */
	obj_t BGl_z62zc3z04anonymousza32330ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8076,
		obj_t BgL_new1227z00_8077)
	{
		{	/* SawMill/defs.scm 46 */
			{
				BgL_rtl_vallocz00_bglt BgL_auxz00_13707;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_vallocz00_bglt) BgL_new1227z00_8077))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13711;

					{	/* SawMill/defs.scm 46 */
						obj_t BgL_classz00_9465;

						BgL_classz00_9465 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 46 */
							obj_t BgL__ortest_1117z00_9466;

							BgL__ortest_1117z00_9466 = BGL_CLASS_NIL(BgL_classz00_9465);
							if (CBOOL(BgL__ortest_1117z00_9466))
								{	/* SawMill/defs.scm 46 */
									BgL_auxz00_13711 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9466);
								}
							else
								{	/* SawMill/defs.scm 46 */
									BgL_auxz00_13711 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9465));
								}
						}
					}
					((((BgL_rtl_vallocz00_bglt) COBJECT(
									((BgL_rtl_vallocz00_bglt) BgL_new1227z00_8077)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13711), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13720;

					{	/* SawMill/defs.scm 46 */
						obj_t BgL_classz00_9467;

						BgL_classz00_9467 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 46 */
							obj_t BgL__ortest_1117z00_9468;

							BgL__ortest_1117z00_9468 = BGL_CLASS_NIL(BgL_classz00_9467);
							if (CBOOL(BgL__ortest_1117z00_9468))
								{	/* SawMill/defs.scm 46 */
									BgL_auxz00_13720 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9468);
								}
							else
								{	/* SawMill/defs.scm 46 */
									BgL_auxz00_13720 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9467));
								}
						}
					}
					((((BgL_rtl_vallocz00_bglt) COBJECT(
									((BgL_rtl_vallocz00_bglt) BgL_new1227z00_8077)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_13720), BUNSPEC);
				}
				BgL_auxz00_13707 = ((BgL_rtl_vallocz00_bglt) BgL_new1227z00_8077);
				return ((obj_t) BgL_auxz00_13707);
			}
		}

	}



/* &lambda2328 */
	BgL_rtl_vallocz00_bglt BGl_z62lambda2328z62zzsaw_defsz00(obj_t
		BgL_envz00_8078)
	{
		{	/* SawMill/defs.scm 46 */
			{	/* SawMill/defs.scm 46 */
				BgL_rtl_vallocz00_bglt BgL_new1226z00_9469;

				BgL_new1226z00_9469 =
					((BgL_rtl_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_vallocz00_bgl))));
				{	/* SawMill/defs.scm 46 */
					long BgL_arg2329z00_9470;

					BgL_arg2329z00_9470 = BGL_CLASS_NUM(BGl_rtl_vallocz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1226z00_9469), BgL_arg2329z00_9470);
				}
				return BgL_new1226z00_9469;
			}
		}

	}



/* &lambda2326 */
	BgL_rtl_vallocz00_bglt BGl_z62lambda2326z62zzsaw_defsz00(obj_t
		BgL_envz00_8079, obj_t BgL_loc1223z00_8080, obj_t BgL_type1224z00_8081,
		obj_t BgL_vtype1225z00_8082)
	{
		{	/* SawMill/defs.scm 46 */
			{	/* SawMill/defs.scm 46 */
				BgL_rtl_vallocz00_bglt BgL_new1502z00_9473;

				{	/* SawMill/defs.scm 46 */
					BgL_rtl_vallocz00_bglt BgL_new1501z00_9474;

					BgL_new1501z00_9474 =
						((BgL_rtl_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vallocz00_bgl))));
					{	/* SawMill/defs.scm 46 */
						long BgL_arg2327z00_9475;

						BgL_arg2327z00_9475 = BGL_CLASS_NUM(BGl_rtl_vallocz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1501z00_9474), BgL_arg2327z00_9475);
					}
					BgL_new1502z00_9473 = BgL_new1501z00_9474;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1502z00_9473)))->BgL_locz00) =
					((obj_t) BgL_loc1223z00_8080), BUNSPEC);
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1502z00_9473))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1224z00_8081)),
					BUNSPEC);
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1502z00_9473))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1225z00_8082)),
					BUNSPEC);
				return BgL_new1502z00_9473;
			}
		}

	}



/* &lambda2340 */
	obj_t BGl_z62lambda2340z62zzsaw_defsz00(obj_t BgL_envz00_8083,
		obj_t BgL_oz00_8084, obj_t BgL_vz00_8085)
	{
		{	/* SawMill/defs.scm 46 */
			return
				((((BgL_rtl_vallocz00_bglt) COBJECT(
							((BgL_rtl_vallocz00_bglt) BgL_oz00_8084)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8085)), BUNSPEC);
		}

	}



/* &lambda2339 */
	BgL_typez00_bglt BGl_z62lambda2339z62zzsaw_defsz00(obj_t BgL_envz00_8086,
		obj_t BgL_oz00_8087)
	{
		{	/* SawMill/defs.scm 46 */
			return
				(((BgL_rtl_vallocz00_bglt) COBJECT(
						((BgL_rtl_vallocz00_bglt) BgL_oz00_8087)))->BgL_vtypez00);
		}

	}



/* &lambda2335 */
	obj_t BGl_z62lambda2335z62zzsaw_defsz00(obj_t BgL_envz00_8088,
		obj_t BgL_oz00_8089, obj_t BgL_vz00_8090)
	{
		{	/* SawMill/defs.scm 46 */
			return
				((((BgL_rtl_vallocz00_bglt) COBJECT(
							((BgL_rtl_vallocz00_bglt) BgL_oz00_8089)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8090)), BUNSPEC);
		}

	}



/* &lambda2334 */
	BgL_typez00_bglt BGl_z62lambda2334z62zzsaw_defsz00(obj_t BgL_envz00_8091,
		obj_t BgL_oz00_8092)
	{
		{	/* SawMill/defs.scm 46 */
			return
				(((BgL_rtl_vallocz00_bglt) COBJECT(
						((BgL_rtl_vallocz00_bglt) BgL_oz00_8092)))->BgL_typez00);
		}

	}



/* &<@anonymous:2301> */
	obj_t BGl_z62zc3z04anonymousza32301ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8093,
		obj_t BgL_new1221z00_8094)
	{
		{	/* SawMill/defs.scm 45 */
			{
				BgL_rtl_getfieldz00_bglt BgL_auxz00_13755;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_getfieldz00_bglt) BgL_new1221z00_8094))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(((BgL_rtl_getfieldz00_bglt)
									BgL_new1221z00_8094)))->BgL_namez00) =
					((obj_t) BGl_string3375z00zzsaw_defsz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13761;

					{	/* SawMill/defs.scm 45 */
						obj_t BgL_classz00_9483;

						BgL_classz00_9483 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 45 */
							obj_t BgL__ortest_1117z00_9484;

							BgL__ortest_1117z00_9484 = BGL_CLASS_NIL(BgL_classz00_9483);
							if (CBOOL(BgL__ortest_1117z00_9484))
								{	/* SawMill/defs.scm 45 */
									BgL_auxz00_13761 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9484);
								}
							else
								{	/* SawMill/defs.scm 45 */
									BgL_auxz00_13761 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9483));
								}
						}
					}
					((((BgL_rtl_getfieldz00_bglt) COBJECT(
									((BgL_rtl_getfieldz00_bglt) BgL_new1221z00_8094)))->
							BgL_objtypez00) = ((BgL_typez00_bglt) BgL_auxz00_13761), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13770;

					{	/* SawMill/defs.scm 45 */
						obj_t BgL_classz00_9485;

						BgL_classz00_9485 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 45 */
							obj_t BgL__ortest_1117z00_9486;

							BgL__ortest_1117z00_9486 = BGL_CLASS_NIL(BgL_classz00_9485);
							if (CBOOL(BgL__ortest_1117z00_9486))
								{	/* SawMill/defs.scm 45 */
									BgL_auxz00_13770 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9486);
								}
							else
								{	/* SawMill/defs.scm 45 */
									BgL_auxz00_13770 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9485));
								}
						}
					}
					((((BgL_rtl_getfieldz00_bglt) COBJECT(
									((BgL_rtl_getfieldz00_bglt) BgL_new1221z00_8094)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13770), BUNSPEC);
				}
				BgL_auxz00_13755 = ((BgL_rtl_getfieldz00_bglt) BgL_new1221z00_8094);
				return ((obj_t) BgL_auxz00_13755);
			}
		}

	}



/* &lambda2299 */
	BgL_rtl_getfieldz00_bglt BGl_z62lambda2299z62zzsaw_defsz00(obj_t
		BgL_envz00_8095)
	{
		{	/* SawMill/defs.scm 45 */
			{	/* SawMill/defs.scm 45 */
				BgL_rtl_getfieldz00_bglt BgL_new1220z00_9487;

				BgL_new1220z00_9487 =
					((BgL_rtl_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_getfieldz00_bgl))));
				{	/* SawMill/defs.scm 45 */
					long BgL_arg2300z00_9488;

					BgL_arg2300z00_9488 = BGL_CLASS_NUM(BGl_rtl_getfieldz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1220z00_9487), BgL_arg2300z00_9488);
				}
				return BgL_new1220z00_9487;
			}
		}

	}



/* &lambda2297 */
	BgL_rtl_getfieldz00_bglt BGl_z62lambda2297z62zzsaw_defsz00(obj_t
		BgL_envz00_8096, obj_t BgL_loc1216z00_8097, obj_t BgL_name1217z00_8098,
		obj_t BgL_objtype1218z00_8099, obj_t BgL_type1219z00_8100)
	{
		{	/* SawMill/defs.scm 45 */
			{	/* SawMill/defs.scm 45 */
				BgL_rtl_getfieldz00_bglt BgL_new1500z00_9492;

				{	/* SawMill/defs.scm 45 */
					BgL_rtl_getfieldz00_bglt BgL_new1499z00_9493;

					BgL_new1499z00_9493 =
						((BgL_rtl_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_getfieldz00_bgl))));
					{	/* SawMill/defs.scm 45 */
						long BgL_arg2298z00_9494;

						BgL_arg2298z00_9494 =
							BGL_CLASS_NUM(BGl_rtl_getfieldz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1499z00_9493), BgL_arg2298z00_9494);
					}
					BgL_new1500z00_9492 = BgL_new1499z00_9493;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1500z00_9492)))->BgL_locz00) =
					((obj_t) BgL_loc1216z00_8097), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1500z00_9492))->
						BgL_namez00) = ((obj_t) ((obj_t) BgL_name1217z00_8098)), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1500z00_9492))->
						BgL_objtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_objtype1218z00_8099)),
					BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1500z00_9492))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1219z00_8100)),
					BUNSPEC);
				return BgL_new1500z00_9492;
			}
		}

	}



/* &lambda2317 */
	obj_t BGl_z62lambda2317z62zzsaw_defsz00(obj_t BgL_envz00_8101,
		obj_t BgL_oz00_8102, obj_t BgL_vz00_8103)
	{
		{	/* SawMill/defs.scm 45 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_oz00_8102)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8103)), BUNSPEC);
		}

	}



/* &lambda2316 */
	BgL_typez00_bglt BGl_z62lambda2316z62zzsaw_defsz00(obj_t BgL_envz00_8104,
		obj_t BgL_oz00_8105)
	{
		{	/* SawMill/defs.scm 45 */
			return
				(((BgL_rtl_getfieldz00_bglt) COBJECT(
						((BgL_rtl_getfieldz00_bglt) BgL_oz00_8105)))->BgL_typez00);
		}

	}



/* &lambda2312 */
	obj_t BGl_z62lambda2312z62zzsaw_defsz00(obj_t BgL_envz00_8106,
		obj_t BgL_oz00_8107, obj_t BgL_vz00_8108)
	{
		{	/* SawMill/defs.scm 45 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_oz00_8107)))->BgL_objtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8108)), BUNSPEC);
		}

	}



/* &lambda2311 */
	BgL_typez00_bglt BGl_z62lambda2311z62zzsaw_defsz00(obj_t BgL_envz00_8109,
		obj_t BgL_oz00_8110)
	{
		{	/* SawMill/defs.scm 45 */
			return
				(((BgL_rtl_getfieldz00_bglt) COBJECT(
						((BgL_rtl_getfieldz00_bglt) BgL_oz00_8110)))->BgL_objtypez00);
		}

	}



/* &lambda2307 */
	obj_t BGl_z62lambda2307z62zzsaw_defsz00(obj_t BgL_envz00_8111,
		obj_t BgL_oz00_8112, obj_t BgL_vz00_8113)
	{
		{	/* SawMill/defs.scm 45 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_oz00_8112)))->BgL_namez00) =
				((obj_t) ((obj_t) BgL_vz00_8113)), BUNSPEC);
		}

	}



/* &lambda2306 */
	obj_t BGl_z62lambda2306z62zzsaw_defsz00(obj_t BgL_envz00_8114,
		obj_t BgL_oz00_8115)
	{
		{	/* SawMill/defs.scm 45 */
			return
				(((BgL_rtl_getfieldz00_bglt) COBJECT(
						((BgL_rtl_getfieldz00_bglt) BgL_oz00_8115)))->BgL_namez00);
		}

	}



/* &<@anonymous:2286> */
	obj_t BGl_z62zc3z04anonymousza32286ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8116,
		obj_t BgL_new1214z00_8117)
	{
		{	/* SawMill/defs.scm 44 */
			{
				BgL_rtl_globalrefz00_bglt BgL_auxz00_13812;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_globalrefz00_bglt) BgL_new1214z00_8117))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_13816;

					{	/* SawMill/defs.scm 44 */
						obj_t BgL_classz00_9505;

						BgL_classz00_9505 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 44 */
							obj_t BgL__ortest_1117z00_9506;

							BgL__ortest_1117z00_9506 = BGL_CLASS_NIL(BgL_classz00_9505);
							if (CBOOL(BgL__ortest_1117z00_9506))
								{	/* SawMill/defs.scm 44 */
									BgL_auxz00_13816 =
										((BgL_globalz00_bglt) BgL__ortest_1117z00_9506);
								}
							else
								{	/* SawMill/defs.scm 44 */
									BgL_auxz00_13816 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9505));
								}
						}
					}
					((((BgL_rtl_globalrefz00_bglt) COBJECT(
									((BgL_rtl_globalrefz00_bglt) BgL_new1214z00_8117)))->
							BgL_varz00) = ((BgL_globalz00_bglt) BgL_auxz00_13816), BUNSPEC);
				}
				BgL_auxz00_13812 = ((BgL_rtl_globalrefz00_bglt) BgL_new1214z00_8117);
				return ((obj_t) BgL_auxz00_13812);
			}
		}

	}



/* &lambda2284 */
	BgL_rtl_globalrefz00_bglt BGl_z62lambda2284z62zzsaw_defsz00(obj_t
		BgL_envz00_8118)
	{
		{	/* SawMill/defs.scm 44 */
			{	/* SawMill/defs.scm 44 */
				BgL_rtl_globalrefz00_bglt BgL_new1213z00_9507;

				BgL_new1213z00_9507 =
					((BgL_rtl_globalrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_globalrefz00_bgl))));
				{	/* SawMill/defs.scm 44 */
					long BgL_arg2285z00_9508;

					BgL_arg2285z00_9508 =
						BGL_CLASS_NUM(BGl_rtl_globalrefz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1213z00_9507), BgL_arg2285z00_9508);
				}
				return BgL_new1213z00_9507;
			}
		}

	}



/* &lambda2282 */
	BgL_rtl_globalrefz00_bglt BGl_z62lambda2282z62zzsaw_defsz00(obj_t
		BgL_envz00_8119, obj_t BgL_loc1211z00_8120, obj_t BgL_var1212z00_8121)
	{
		{	/* SawMill/defs.scm 44 */
			{	/* SawMill/defs.scm 44 */
				BgL_rtl_globalrefz00_bglt BgL_new1498z00_9510;

				{	/* SawMill/defs.scm 44 */
					BgL_rtl_globalrefz00_bglt BgL_new1497z00_9511;

					BgL_new1497z00_9511 =
						((BgL_rtl_globalrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_globalrefz00_bgl))));
					{	/* SawMill/defs.scm 44 */
						long BgL_arg2283z00_9512;

						BgL_arg2283z00_9512 =
							BGL_CLASS_NUM(BGl_rtl_globalrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1497z00_9511), BgL_arg2283z00_9512);
					}
					BgL_new1498z00_9510 = BgL_new1497z00_9511;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1498z00_9510)))->BgL_locz00) =
					((obj_t) BgL_loc1211z00_8120), BUNSPEC);
				((((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_new1498z00_9510))->
						BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1212z00_8121)),
					BUNSPEC);
				return BgL_new1498z00_9510;
			}
		}

	}



/* &lambda2291 */
	obj_t BGl_z62lambda2291z62zzsaw_defsz00(obj_t BgL_envz00_8122,
		obj_t BgL_oz00_8123, obj_t BgL_vz00_8124)
	{
		{	/* SawMill/defs.scm 44 */
			return
				((((BgL_rtl_globalrefz00_bglt) COBJECT(
							((BgL_rtl_globalrefz00_bglt) BgL_oz00_8123)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_8124)), BUNSPEC);
		}

	}



/* &lambda2290 */
	BgL_globalz00_bglt BGl_z62lambda2290z62zzsaw_defsz00(obj_t BgL_envz00_8125,
		obj_t BgL_oz00_8126)
	{
		{	/* SawMill/defs.scm 44 */
			return
				(((BgL_rtl_globalrefz00_bglt) COBJECT(
						((BgL_rtl_globalrefz00_bglt) BgL_oz00_8126)))->BgL_varz00);
		}

	}



/* &<@anonymous:2270> */
	obj_t BGl_z62zc3z04anonymousza32270ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8127,
		obj_t BgL_new1209z00_8128)
	{
		{	/* SawMill/defs.scm 43 */
			{
				BgL_rtl_loadfunz00_bglt BgL_auxz00_13844;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_loadfunz00_bglt) BgL_new1209z00_8128))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_13848;

					{	/* SawMill/defs.scm 43 */
						obj_t BgL_classz00_9517;

						BgL_classz00_9517 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 43 */
							obj_t BgL__ortest_1117z00_9518;

							BgL__ortest_1117z00_9518 = BGL_CLASS_NIL(BgL_classz00_9517);
							if (CBOOL(BgL__ortest_1117z00_9518))
								{	/* SawMill/defs.scm 43 */
									BgL_auxz00_13848 =
										((BgL_globalz00_bglt) BgL__ortest_1117z00_9518);
								}
							else
								{	/* SawMill/defs.scm 43 */
									BgL_auxz00_13848 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9517));
								}
						}
					}
					((((BgL_rtl_loadfunz00_bglt) COBJECT(
									((BgL_rtl_loadfunz00_bglt) BgL_new1209z00_8128)))->
							BgL_varz00) = ((BgL_globalz00_bglt) BgL_auxz00_13848), BUNSPEC);
				}
				BgL_auxz00_13844 = ((BgL_rtl_loadfunz00_bglt) BgL_new1209z00_8128);
				return ((obj_t) BgL_auxz00_13844);
			}
		}

	}



/* &lambda2268 */
	BgL_rtl_loadfunz00_bglt BGl_z62lambda2268z62zzsaw_defsz00(obj_t
		BgL_envz00_8129)
	{
		{	/* SawMill/defs.scm 43 */
			{	/* SawMill/defs.scm 43 */
				BgL_rtl_loadfunz00_bglt BgL_new1208z00_9519;

				BgL_new1208z00_9519 =
					((BgL_rtl_loadfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_loadfunz00_bgl))));
				{	/* SawMill/defs.scm 43 */
					long BgL_arg2269z00_9520;

					BgL_arg2269z00_9520 = BGL_CLASS_NUM(BGl_rtl_loadfunz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1208z00_9519), BgL_arg2269z00_9520);
				}
				return BgL_new1208z00_9519;
			}
		}

	}



/* &lambda2266 */
	BgL_rtl_loadfunz00_bglt BGl_z62lambda2266z62zzsaw_defsz00(obj_t
		BgL_envz00_8130, obj_t BgL_loc1206z00_8131, obj_t BgL_var1207z00_8132)
	{
		{	/* SawMill/defs.scm 43 */
			{	/* SawMill/defs.scm 43 */
				BgL_rtl_loadfunz00_bglt BgL_new1496z00_9522;

				{	/* SawMill/defs.scm 43 */
					BgL_rtl_loadfunz00_bglt BgL_new1495z00_9523;

					BgL_new1495z00_9523 =
						((BgL_rtl_loadfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadfunz00_bgl))));
					{	/* SawMill/defs.scm 43 */
						long BgL_arg2267z00_9524;

						BgL_arg2267z00_9524 =
							BGL_CLASS_NUM(BGl_rtl_loadfunz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1495z00_9523), BgL_arg2267z00_9524);
					}
					BgL_new1496z00_9522 = BgL_new1495z00_9523;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1496z00_9522)))->BgL_locz00) =
					((obj_t) BgL_loc1206z00_8131), BUNSPEC);
				((((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_new1496z00_9522))->
						BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1207z00_8132)),
					BUNSPEC);
				return BgL_new1496z00_9522;
			}
		}

	}



/* &lambda2275 */
	obj_t BGl_z62lambda2275z62zzsaw_defsz00(obj_t BgL_envz00_8133,
		obj_t BgL_oz00_8134, obj_t BgL_vz00_8135)
	{
		{	/* SawMill/defs.scm 43 */
			return
				((((BgL_rtl_loadfunz00_bglt) COBJECT(
							((BgL_rtl_loadfunz00_bglt) BgL_oz00_8134)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_8135)), BUNSPEC);
		}

	}



/* &lambda2274 */
	BgL_globalz00_bglt BGl_z62lambda2274z62zzsaw_defsz00(obj_t BgL_envz00_8136,
		obj_t BgL_oz00_8137)
	{
		{	/* SawMill/defs.scm 43 */
			return
				(((BgL_rtl_loadfunz00_bglt) COBJECT(
						((BgL_rtl_loadfunz00_bglt) BgL_oz00_8137)))->BgL_varz00);
		}

	}



/* &<@anonymous:2255> */
	obj_t BGl_z62zc3z04anonymousza32255ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8138,
		obj_t BgL_new1204z00_8139)
	{
		{	/* SawMill/defs.scm 42 */
			{
				BgL_rtl_loadgz00_bglt BgL_auxz00_13876;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_loadgz00_bglt) BgL_new1204z00_8139))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_13880;

					{	/* SawMill/defs.scm 42 */
						obj_t BgL_classz00_9529;

						BgL_classz00_9529 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 42 */
							obj_t BgL__ortest_1117z00_9530;

							BgL__ortest_1117z00_9530 = BGL_CLASS_NIL(BgL_classz00_9529);
							if (CBOOL(BgL__ortest_1117z00_9530))
								{	/* SawMill/defs.scm 42 */
									BgL_auxz00_13880 =
										((BgL_globalz00_bglt) BgL__ortest_1117z00_9530);
								}
							else
								{	/* SawMill/defs.scm 42 */
									BgL_auxz00_13880 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9529));
								}
						}
					}
					((((BgL_rtl_loadgz00_bglt) COBJECT(
									((BgL_rtl_loadgz00_bglt) BgL_new1204z00_8139)))->BgL_varz00) =
						((BgL_globalz00_bglt) BgL_auxz00_13880), BUNSPEC);
				}
				BgL_auxz00_13876 = ((BgL_rtl_loadgz00_bglt) BgL_new1204z00_8139);
				return ((obj_t) BgL_auxz00_13876);
			}
		}

	}



/* &lambda2253 */
	BgL_rtl_loadgz00_bglt BGl_z62lambda2253z62zzsaw_defsz00(obj_t BgL_envz00_8140)
	{
		{	/* SawMill/defs.scm 42 */
			{	/* SawMill/defs.scm 42 */
				BgL_rtl_loadgz00_bglt BgL_new1203z00_9531;

				BgL_new1203z00_9531 =
					((BgL_rtl_loadgz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_loadgz00_bgl))));
				{	/* SawMill/defs.scm 42 */
					long BgL_arg2254z00_9532;

					BgL_arg2254z00_9532 = BGL_CLASS_NUM(BGl_rtl_loadgz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1203z00_9531), BgL_arg2254z00_9532);
				}
				return BgL_new1203z00_9531;
			}
		}

	}



/* &lambda2251 */
	BgL_rtl_loadgz00_bglt BGl_z62lambda2251z62zzsaw_defsz00(obj_t BgL_envz00_8141,
		obj_t BgL_loc1201z00_8142, obj_t BgL_var1202z00_8143)
	{
		{	/* SawMill/defs.scm 42 */
			{	/* SawMill/defs.scm 42 */
				BgL_rtl_loadgz00_bglt BgL_new1494z00_9534;

				{	/* SawMill/defs.scm 42 */
					BgL_rtl_loadgz00_bglt BgL_new1493z00_9535;

					BgL_new1493z00_9535 =
						((BgL_rtl_loadgz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadgz00_bgl))));
					{	/* SawMill/defs.scm 42 */
						long BgL_arg2252z00_9536;

						BgL_arg2252z00_9536 = BGL_CLASS_NUM(BGl_rtl_loadgz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1493z00_9535), BgL_arg2252z00_9536);
					}
					BgL_new1494z00_9534 = BgL_new1493z00_9535;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1494z00_9534)))->BgL_locz00) =
					((obj_t) BgL_loc1201z00_8142), BUNSPEC);
				((((BgL_rtl_loadgz00_bglt) COBJECT(BgL_new1494z00_9534))->BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1202z00_8143)),
					BUNSPEC);
				return BgL_new1494z00_9534;
			}
		}

	}



/* &lambda2260 */
	obj_t BGl_z62lambda2260z62zzsaw_defsz00(obj_t BgL_envz00_8144,
		obj_t BgL_oz00_8145, obj_t BgL_vz00_8146)
	{
		{	/* SawMill/defs.scm 42 */
			return
				((((BgL_rtl_loadgz00_bglt) COBJECT(
							((BgL_rtl_loadgz00_bglt) BgL_oz00_8145)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_8146)), BUNSPEC);
		}

	}



/* &lambda2259 */
	BgL_globalz00_bglt BGl_z62lambda2259z62zzsaw_defsz00(obj_t BgL_envz00_8147,
		obj_t BgL_oz00_8148)
	{
		{	/* SawMill/defs.scm 42 */
			return
				(((BgL_rtl_loadgz00_bglt) COBJECT(
						((BgL_rtl_loadgz00_bglt) BgL_oz00_8148)))->BgL_varz00);
		}

	}



/* &<@anonymous:2240> */
	obj_t BGl_z62zc3z04anonymousza32240ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8149,
		obj_t BgL_new1199z00_8150)
	{
		{	/* SawMill/defs.scm 41 */
			{
				BgL_rtl_loadiz00_bglt BgL_auxz00_13908;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_loadiz00_bglt) BgL_new1199z00_8150))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_atomz00_bglt BgL_auxz00_13912;

					{	/* SawMill/defs.scm 41 */
						obj_t BgL_classz00_9541;

						BgL_classz00_9541 = BGl_atomz00zzast_nodez00;
						{	/* SawMill/defs.scm 41 */
							obj_t BgL__ortest_1117z00_9542;

							BgL__ortest_1117z00_9542 = BGL_CLASS_NIL(BgL_classz00_9541);
							if (CBOOL(BgL__ortest_1117z00_9542))
								{	/* SawMill/defs.scm 41 */
									BgL_auxz00_13912 =
										((BgL_atomz00_bglt) BgL__ortest_1117z00_9542);
								}
							else
								{	/* SawMill/defs.scm 41 */
									BgL_auxz00_13912 =
										((BgL_atomz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9541));
								}
						}
					}
					((((BgL_rtl_loadiz00_bglt) COBJECT(
									((BgL_rtl_loadiz00_bglt) BgL_new1199z00_8150)))->
							BgL_constantz00) =
						((BgL_atomz00_bglt) BgL_auxz00_13912), BUNSPEC);
				}
				BgL_auxz00_13908 = ((BgL_rtl_loadiz00_bglt) BgL_new1199z00_8150);
				return ((obj_t) BgL_auxz00_13908);
			}
		}

	}



/* &lambda2238 */
	BgL_rtl_loadiz00_bglt BGl_z62lambda2238z62zzsaw_defsz00(obj_t BgL_envz00_8151)
	{
		{	/* SawMill/defs.scm 41 */
			{	/* SawMill/defs.scm 41 */
				BgL_rtl_loadiz00_bglt BgL_new1198z00_9543;

				BgL_new1198z00_9543 =
					((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_loadiz00_bgl))));
				{	/* SawMill/defs.scm 41 */
					long BgL_arg2239z00_9544;

					BgL_arg2239z00_9544 = BGL_CLASS_NUM(BGl_rtl_loadiz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1198z00_9543), BgL_arg2239z00_9544);
				}
				return BgL_new1198z00_9543;
			}
		}

	}



/* &lambda2236 */
	BgL_rtl_loadiz00_bglt BGl_z62lambda2236z62zzsaw_defsz00(obj_t BgL_envz00_8152,
		obj_t BgL_loc1196z00_8153, obj_t BgL_constant1197z00_8154)
	{
		{	/* SawMill/defs.scm 41 */
			{	/* SawMill/defs.scm 41 */
				BgL_rtl_loadiz00_bglt BgL_new1492z00_9546;

				{	/* SawMill/defs.scm 41 */
					BgL_rtl_loadiz00_bglt BgL_new1491z00_9547;

					BgL_new1491z00_9547 =
						((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadiz00_bgl))));
					{	/* SawMill/defs.scm 41 */
						long BgL_arg2237z00_9548;

						BgL_arg2237z00_9548 = BGL_CLASS_NUM(BGl_rtl_loadiz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1491z00_9547), BgL_arg2237z00_9548);
					}
					BgL_new1492z00_9546 = BgL_new1491z00_9547;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1492z00_9546)))->BgL_locz00) =
					((obj_t) BgL_loc1196z00_8153), BUNSPEC);
				((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_new1492z00_9546))->
						BgL_constantz00) =
					((BgL_atomz00_bglt) ((BgL_atomz00_bglt) BgL_constant1197z00_8154)),
					BUNSPEC);
				return BgL_new1492z00_9546;
			}
		}

	}



/* &lambda2245 */
	obj_t BGl_z62lambda2245z62zzsaw_defsz00(obj_t BgL_envz00_8155,
		obj_t BgL_oz00_8156, obj_t BgL_vz00_8157)
	{
		{	/* SawMill/defs.scm 41 */
			return
				((((BgL_rtl_loadiz00_bglt) COBJECT(
							((BgL_rtl_loadiz00_bglt) BgL_oz00_8156)))->BgL_constantz00) =
				((BgL_atomz00_bglt) ((BgL_atomz00_bglt) BgL_vz00_8157)), BUNSPEC);
		}

	}



/* &lambda2244 */
	BgL_atomz00_bglt BGl_z62lambda2244z62zzsaw_defsz00(obj_t BgL_envz00_8158,
		obj_t BgL_oz00_8159)
	{
		{	/* SawMill/defs.scm 41 */
			return
				(((BgL_rtl_loadiz00_bglt) COBJECT(
						((BgL_rtl_loadiz00_bglt) BgL_oz00_8159)))->BgL_constantz00);
		}

	}



/* &<@anonymous:2230> */
	obj_t BGl_z62zc3z04anonymousza32230ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8160,
		obj_t BgL_new1193z00_8161)
	{
		{	/* SawMill/defs.scm 40 */
			{
				BgL_rtl_movz00_bglt BgL_auxz00_13940;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_movz00_bglt) BgL_new1193z00_8161))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13940 = ((BgL_rtl_movz00_bglt) BgL_new1193z00_8161);
				return ((obj_t) BgL_auxz00_13940);
			}
		}

	}



/* &lambda2228 */
	BgL_rtl_movz00_bglt BGl_z62lambda2228z62zzsaw_defsz00(obj_t BgL_envz00_8162)
	{
		{	/* SawMill/defs.scm 40 */
			{	/* SawMill/defs.scm 40 */
				BgL_rtl_movz00_bglt BgL_new1192z00_9553;

				BgL_new1192z00_9553 =
					((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_movz00_bgl))));
				{	/* SawMill/defs.scm 40 */
					long BgL_arg2229z00_9554;

					BgL_arg2229z00_9554 = BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1192z00_9553), BgL_arg2229z00_9554);
				}
				return BgL_new1192z00_9553;
			}
		}

	}



/* &lambda2226 */
	BgL_rtl_movz00_bglt BGl_z62lambda2226z62zzsaw_defsz00(obj_t BgL_envz00_8163,
		obj_t BgL_loc1191z00_8164)
	{
		{	/* SawMill/defs.scm 40 */
			{	/* SawMill/defs.scm 40 */
				BgL_rtl_movz00_bglt BgL_new1490z00_9555;

				{	/* SawMill/defs.scm 40 */
					BgL_rtl_movz00_bglt BgL_new1489z00_9556;

					BgL_new1489z00_9556 =
						((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_movz00_bgl))));
					{	/* SawMill/defs.scm 40 */
						long BgL_arg2227z00_9557;

						BgL_arg2227z00_9557 = BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1489z00_9556), BgL_arg2227z00_9557);
					}
					BgL_new1490z00_9555 = BgL_new1489z00_9556;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1490z00_9555)))->BgL_locz00) =
					((obj_t) BgL_loc1191z00_8164), BUNSPEC);
				return BgL_new1490z00_9555;
			}
		}

	}



/* &<@anonymous:2220> */
	obj_t BGl_z62zc3z04anonymousza32220ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8165,
		obj_t BgL_new1189z00_8166)
	{
		{	/* SawMill/defs.scm 39 */
			{
				BgL_rtl_nopz00_bglt BgL_auxz00_13956;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_nopz00_bglt) BgL_new1189z00_8166))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13956 = ((BgL_rtl_nopz00_bglt) BgL_new1189z00_8166);
				return ((obj_t) BgL_auxz00_13956);
			}
		}

	}



/* &lambda2218 */
	BgL_rtl_nopz00_bglt BGl_z62lambda2218z62zzsaw_defsz00(obj_t BgL_envz00_8167)
	{
		{	/* SawMill/defs.scm 39 */
			{	/* SawMill/defs.scm 39 */
				BgL_rtl_nopz00_bglt BgL_new1188z00_9559;

				BgL_new1188z00_9559 =
					((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_nopz00_bgl))));
				{	/* SawMill/defs.scm 39 */
					long BgL_arg2219z00_9560;

					BgL_arg2219z00_9560 = BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1188z00_9559), BgL_arg2219z00_9560);
				}
				return BgL_new1188z00_9559;
			}
		}

	}



/* &lambda2216 */
	BgL_rtl_nopz00_bglt BGl_z62lambda2216z62zzsaw_defsz00(obj_t BgL_envz00_8168,
		obj_t BgL_loc1187z00_8169)
	{
		{	/* SawMill/defs.scm 39 */
			{	/* SawMill/defs.scm 39 */
				BgL_rtl_nopz00_bglt BgL_new1488z00_9561;

				{	/* SawMill/defs.scm 39 */
					BgL_rtl_nopz00_bglt BgL_new1487z00_9562;

					BgL_new1487z00_9562 =
						((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_nopz00_bgl))));
					{	/* SawMill/defs.scm 39 */
						long BgL_arg2217z00_9563;

						BgL_arg2217z00_9563 = BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1487z00_9562), BgL_arg2217z00_9563);
					}
					BgL_new1488z00_9561 = BgL_new1487z00_9562;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1488z00_9561)))->BgL_locz00) =
					((obj_t) BgL_loc1187z00_8169), BUNSPEC);
				return BgL_new1488z00_9561;
			}
		}

	}



/* &<@anonymous:2210> */
	obj_t BGl_z62zc3z04anonymousza32210ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8170,
		obj_t BgL_new1185z00_8171)
	{
		{	/* SawMill/defs.scm 38 */
			{
				BgL_rtl_purez00_bglt BgL_auxz00_13972;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_purez00_bglt) BgL_new1185z00_8171))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13972 = ((BgL_rtl_purez00_bglt) BgL_new1185z00_8171);
				return ((obj_t) BgL_auxz00_13972);
			}
		}

	}



/* &lambda2208 */
	BgL_rtl_purez00_bglt BGl_z62lambda2208z62zzsaw_defsz00(obj_t BgL_envz00_8172)
	{
		{	/* SawMill/defs.scm 38 */
			{	/* SawMill/defs.scm 38 */
				BgL_rtl_purez00_bglt BgL_new1184z00_9565;

				BgL_new1184z00_9565 =
					((BgL_rtl_purez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_purez00_bgl))));
				{	/* SawMill/defs.scm 38 */
					long BgL_arg2209z00_9566;

					BgL_arg2209z00_9566 = BGL_CLASS_NUM(BGl_rtl_purez00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1184z00_9565), BgL_arg2209z00_9566);
				}
				return BgL_new1184z00_9565;
			}
		}

	}



/* &lambda2206 */
	BgL_rtl_purez00_bglt BGl_z62lambda2206z62zzsaw_defsz00(obj_t BgL_envz00_8173,
		obj_t BgL_loc1183z00_8174)
	{
		{	/* SawMill/defs.scm 38 */
			{	/* SawMill/defs.scm 38 */
				BgL_rtl_purez00_bglt BgL_new1486z00_9567;

				{	/* SawMill/defs.scm 38 */
					BgL_rtl_purez00_bglt BgL_new1485z00_9568;

					BgL_new1485z00_9568 =
						((BgL_rtl_purez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_purez00_bgl))));
					{	/* SawMill/defs.scm 38 */
						long BgL_arg2207z00_9569;

						BgL_arg2207z00_9569 = BGL_CLASS_NUM(BGl_rtl_purez00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1485z00_9568), BgL_arg2207z00_9569);
					}
					BgL_new1486z00_9567 = BgL_new1485z00_9568;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1486z00_9567)))->BgL_locz00) =
					((obj_t) BgL_loc1183z00_8174), BUNSPEC);
				return BgL_new1486z00_9567;
			}
		}

	}



/* &<@anonymous:2194> */
	obj_t BGl_z62zc3z04anonymousza32194ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8175,
		obj_t BgL_new1181z00_8176)
	{
		{	/* SawMill/defs.scm 36 */
			{
				BgL_rtl_goz00_bglt BgL_auxz00_13988;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_goz00_bglt) BgL_new1181z00_8176))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_blockz00_bglt BgL_auxz00_13992;

					{	/* SawMill/defs.scm 36 */
						obj_t BgL_classz00_9571;

						BgL_classz00_9571 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/defs.scm 36 */
							obj_t BgL__ortest_1117z00_9572;

							BgL__ortest_1117z00_9572 = BGL_CLASS_NIL(BgL_classz00_9571);
							if (CBOOL(BgL__ortest_1117z00_9572))
								{	/* SawMill/defs.scm 36 */
									BgL_auxz00_13992 =
										((BgL_blockz00_bglt) BgL__ortest_1117z00_9572);
								}
							else
								{	/* SawMill/defs.scm 36 */
									BgL_auxz00_13992 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9571));
								}
						}
					}
					((((BgL_rtl_goz00_bglt) COBJECT(
									((BgL_rtl_goz00_bglt) BgL_new1181z00_8176)))->BgL_toz00) =
						((BgL_blockz00_bglt) BgL_auxz00_13992), BUNSPEC);
				}
				BgL_auxz00_13988 = ((BgL_rtl_goz00_bglt) BgL_new1181z00_8176);
				return ((obj_t) BgL_auxz00_13988);
			}
		}

	}



/* &lambda2192 */
	BgL_rtl_goz00_bglt BGl_z62lambda2192z62zzsaw_defsz00(obj_t BgL_envz00_8177)
	{
		{	/* SawMill/defs.scm 36 */
			{	/* SawMill/defs.scm 36 */
				BgL_rtl_goz00_bglt BgL_new1180z00_9573;

				BgL_new1180z00_9573 =
					((BgL_rtl_goz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_goz00_bgl))));
				{	/* SawMill/defs.scm 36 */
					long BgL_arg2193z00_9574;

					BgL_arg2193z00_9574 = BGL_CLASS_NUM(BGl_rtl_goz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1180z00_9573), BgL_arg2193z00_9574);
				}
				return BgL_new1180z00_9573;
			}
		}

	}



/* &lambda2190 */
	BgL_rtl_goz00_bglt BGl_z62lambda2190z62zzsaw_defsz00(obj_t BgL_envz00_8178,
		obj_t BgL_loc1178z00_8179, obj_t BgL_to1179z00_8180)
	{
		{	/* SawMill/defs.scm 36 */
			{	/* SawMill/defs.scm 36 */
				BgL_rtl_goz00_bglt BgL_new1484z00_9576;

				{	/* SawMill/defs.scm 36 */
					BgL_rtl_goz00_bglt BgL_new1483z00_9577;

					BgL_new1483z00_9577 =
						((BgL_rtl_goz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_goz00_bgl))));
					{	/* SawMill/defs.scm 36 */
						long BgL_arg2191z00_9578;

						BgL_arg2191z00_9578 = BGL_CLASS_NUM(BGl_rtl_goz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1483z00_9577), BgL_arg2191z00_9578);
					}
					BgL_new1484z00_9576 = BgL_new1483z00_9577;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1484z00_9576)))->BgL_locz00) =
					((obj_t) BgL_loc1178z00_8179), BUNSPEC);
				((((BgL_rtl_goz00_bglt) COBJECT(BgL_new1484z00_9576))->BgL_toz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_to1179z00_8180)),
					BUNSPEC);
				return BgL_new1484z00_9576;
			}
		}

	}



/* &lambda2199 */
	obj_t BGl_z62lambda2199z62zzsaw_defsz00(obj_t BgL_envz00_8181,
		obj_t BgL_oz00_8182, obj_t BgL_vz00_8183)
	{
		{	/* SawMill/defs.scm 36 */
			return
				((((BgL_rtl_goz00_bglt) COBJECT(
							((BgL_rtl_goz00_bglt) BgL_oz00_8182)))->BgL_toz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_8183)), BUNSPEC);
		}

	}



/* &lambda2198 */
	BgL_blockz00_bglt BGl_z62lambda2198z62zzsaw_defsz00(obj_t BgL_envz00_8184,
		obj_t BgL_oz00_8185)
	{
		{	/* SawMill/defs.scm 36 */
			return
				(((BgL_rtl_goz00_bglt) COBJECT(
						((BgL_rtl_goz00_bglt) BgL_oz00_8185)))->BgL_toz00);
		}

	}



/* &<@anonymous:2179> */
	obj_t BGl_z62zc3z04anonymousza32179ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8186,
		obj_t BgL_new1176z00_8187)
	{
		{	/* SawMill/defs.scm 35 */
			{
				BgL_rtl_ifnez00_bglt BgL_auxz00_14020;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_ifnez00_bglt) BgL_new1176z00_8187))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_blockz00_bglt BgL_auxz00_14024;

					{	/* SawMill/defs.scm 35 */
						obj_t BgL_classz00_9583;

						BgL_classz00_9583 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/defs.scm 35 */
							obj_t BgL__ortest_1117z00_9584;

							BgL__ortest_1117z00_9584 = BGL_CLASS_NIL(BgL_classz00_9583);
							if (CBOOL(BgL__ortest_1117z00_9584))
								{	/* SawMill/defs.scm 35 */
									BgL_auxz00_14024 =
										((BgL_blockz00_bglt) BgL__ortest_1117z00_9584);
								}
							else
								{	/* SawMill/defs.scm 35 */
									BgL_auxz00_14024 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9583));
								}
						}
					}
					((((BgL_rtl_ifnez00_bglt) COBJECT(
									((BgL_rtl_ifnez00_bglt) BgL_new1176z00_8187)))->BgL_thenz00) =
						((BgL_blockz00_bglt) BgL_auxz00_14024), BUNSPEC);
				}
				BgL_auxz00_14020 = ((BgL_rtl_ifnez00_bglt) BgL_new1176z00_8187);
				return ((obj_t) BgL_auxz00_14020);
			}
		}

	}



/* &lambda2177 */
	BgL_rtl_ifnez00_bglt BGl_z62lambda2177z62zzsaw_defsz00(obj_t BgL_envz00_8188)
	{
		{	/* SawMill/defs.scm 35 */
			{	/* SawMill/defs.scm 35 */
				BgL_rtl_ifnez00_bglt BgL_new1175z00_9585;

				BgL_new1175z00_9585 =
					((BgL_rtl_ifnez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_ifnez00_bgl))));
				{	/* SawMill/defs.scm 35 */
					long BgL_arg2178z00_9586;

					BgL_arg2178z00_9586 = BGL_CLASS_NUM(BGl_rtl_ifnez00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1175z00_9585), BgL_arg2178z00_9586);
				}
				return BgL_new1175z00_9585;
			}
		}

	}



/* &lambda2175 */
	BgL_rtl_ifnez00_bglt BGl_z62lambda2175z62zzsaw_defsz00(obj_t BgL_envz00_8189,
		obj_t BgL_loc1173z00_8190, obj_t BgL_then1174z00_8191)
	{
		{	/* SawMill/defs.scm 35 */
			{	/* SawMill/defs.scm 35 */
				BgL_rtl_ifnez00_bglt BgL_new1482z00_9588;

				{	/* SawMill/defs.scm 35 */
					BgL_rtl_ifnez00_bglt BgL_new1481z00_9589;

					BgL_new1481z00_9589 =
						((BgL_rtl_ifnez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifnez00_bgl))));
					{	/* SawMill/defs.scm 35 */
						long BgL_arg2176z00_9590;

						BgL_arg2176z00_9590 = BGL_CLASS_NUM(BGl_rtl_ifnez00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1481z00_9589), BgL_arg2176z00_9590);
					}
					BgL_new1482z00_9588 = BgL_new1481z00_9589;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1482z00_9588)))->BgL_locz00) =
					((obj_t) BgL_loc1173z00_8190), BUNSPEC);
				((((BgL_rtl_ifnez00_bglt) COBJECT(BgL_new1482z00_9588))->BgL_thenz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_then1174z00_8191)),
					BUNSPEC);
				return BgL_new1482z00_9588;
			}
		}

	}



/* &lambda2184 */
	obj_t BGl_z62lambda2184z62zzsaw_defsz00(obj_t BgL_envz00_8192,
		obj_t BgL_oz00_8193, obj_t BgL_vz00_8194)
	{
		{	/* SawMill/defs.scm 35 */
			return
				((((BgL_rtl_ifnez00_bglt) COBJECT(
							((BgL_rtl_ifnez00_bglt) BgL_oz00_8193)))->BgL_thenz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_8194)), BUNSPEC);
		}

	}



/* &lambda2183 */
	BgL_blockz00_bglt BGl_z62lambda2183z62zzsaw_defsz00(obj_t BgL_envz00_8195,
		obj_t BgL_oz00_8196)
	{
		{	/* SawMill/defs.scm 35 */
			return
				(((BgL_rtl_ifnez00_bglt) COBJECT(
						((BgL_rtl_ifnez00_bglt) BgL_oz00_8196)))->BgL_thenz00);
		}

	}



/* &<@anonymous:2164> */
	obj_t BGl_z62zc3z04anonymousza32164ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8197,
		obj_t BgL_new1171z00_8198)
	{
		{	/* SawMill/defs.scm 34 */
			{
				BgL_rtl_ifeqz00_bglt BgL_auxz00_14052;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_ifeqz00_bglt) BgL_new1171z00_8198))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_blockz00_bglt BgL_auxz00_14056;

					{	/* SawMill/defs.scm 34 */
						obj_t BgL_classz00_9595;

						BgL_classz00_9595 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/defs.scm 34 */
							obj_t BgL__ortest_1117z00_9596;

							BgL__ortest_1117z00_9596 = BGL_CLASS_NIL(BgL_classz00_9595);
							if (CBOOL(BgL__ortest_1117z00_9596))
								{	/* SawMill/defs.scm 34 */
									BgL_auxz00_14056 =
										((BgL_blockz00_bglt) BgL__ortest_1117z00_9596);
								}
							else
								{	/* SawMill/defs.scm 34 */
									BgL_auxz00_14056 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9595));
								}
						}
					}
					((((BgL_rtl_ifeqz00_bglt) COBJECT(
									((BgL_rtl_ifeqz00_bglt) BgL_new1171z00_8198)))->BgL_thenz00) =
						((BgL_blockz00_bglt) BgL_auxz00_14056), BUNSPEC);
				}
				BgL_auxz00_14052 = ((BgL_rtl_ifeqz00_bglt) BgL_new1171z00_8198);
				return ((obj_t) BgL_auxz00_14052);
			}
		}

	}



/* &lambda2162 */
	BgL_rtl_ifeqz00_bglt BGl_z62lambda2162z62zzsaw_defsz00(obj_t BgL_envz00_8199)
	{
		{	/* SawMill/defs.scm 34 */
			{	/* SawMill/defs.scm 34 */
				BgL_rtl_ifeqz00_bglt BgL_new1170z00_9597;

				BgL_new1170z00_9597 =
					((BgL_rtl_ifeqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_ifeqz00_bgl))));
				{	/* SawMill/defs.scm 34 */
					long BgL_arg2163z00_9598;

					BgL_arg2163z00_9598 = BGL_CLASS_NUM(BGl_rtl_ifeqz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1170z00_9597), BgL_arg2163z00_9598);
				}
				return BgL_new1170z00_9597;
			}
		}

	}



/* &lambda2160 */
	BgL_rtl_ifeqz00_bglt BGl_z62lambda2160z62zzsaw_defsz00(obj_t BgL_envz00_8200,
		obj_t BgL_loc1168z00_8201, obj_t BgL_then1169z00_8202)
	{
		{	/* SawMill/defs.scm 34 */
			{	/* SawMill/defs.scm 34 */
				BgL_rtl_ifeqz00_bglt BgL_new1480z00_9600;

				{	/* SawMill/defs.scm 34 */
					BgL_rtl_ifeqz00_bglt BgL_new1479z00_9601;

					BgL_new1479z00_9601 =
						((BgL_rtl_ifeqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifeqz00_bgl))));
					{	/* SawMill/defs.scm 34 */
						long BgL_arg2161z00_9602;

						BgL_arg2161z00_9602 = BGL_CLASS_NUM(BGl_rtl_ifeqz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1479z00_9601), BgL_arg2161z00_9602);
					}
					BgL_new1480z00_9600 = BgL_new1479z00_9601;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1480z00_9600)))->BgL_locz00) =
					((obj_t) BgL_loc1168z00_8201), BUNSPEC);
				((((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_new1480z00_9600))->BgL_thenz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_then1169z00_8202)),
					BUNSPEC);
				return BgL_new1480z00_9600;
			}
		}

	}



/* &lambda2169 */
	obj_t BGl_z62lambda2169z62zzsaw_defsz00(obj_t BgL_envz00_8203,
		obj_t BgL_oz00_8204, obj_t BgL_vz00_8205)
	{
		{	/* SawMill/defs.scm 34 */
			return
				((((BgL_rtl_ifeqz00_bglt) COBJECT(
							((BgL_rtl_ifeqz00_bglt) BgL_oz00_8204)))->BgL_thenz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_8205)), BUNSPEC);
		}

	}



/* &lambda2168 */
	BgL_blockz00_bglt BGl_z62lambda2168z62zzsaw_defsz00(obj_t BgL_envz00_8206,
		obj_t BgL_oz00_8207)
	{
		{	/* SawMill/defs.scm 34 */
			return
				(((BgL_rtl_ifeqz00_bglt) COBJECT(
						((BgL_rtl_ifeqz00_bglt) BgL_oz00_8207)))->BgL_thenz00);
		}

	}



/* &<@anonymous:2149> */
	obj_t BGl_z62zc3z04anonymousza32149ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8208,
		obj_t BgL_new1166z00_8209)
	{
		{	/* SawMill/defs.scm 33 */
			{
				BgL_rtl_switchz00_bglt BgL_auxz00_14084;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_switchz00_bglt) BgL_new1166z00_8209))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14088;

					{	/* SawMill/defs.scm 33 */
						obj_t BgL_classz00_9607;

						BgL_classz00_9607 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 33 */
							obj_t BgL__ortest_1117z00_9608;

							BgL__ortest_1117z00_9608 = BGL_CLASS_NIL(BgL_classz00_9607);
							if (CBOOL(BgL__ortest_1117z00_9608))
								{	/* SawMill/defs.scm 33 */
									BgL_auxz00_14088 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9608);
								}
							else
								{	/* SawMill/defs.scm 33 */
									BgL_auxz00_14088 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9607));
								}
						}
					}
					((((BgL_rtl_selectz00_bglt) COBJECT(
									((BgL_rtl_selectz00_bglt)
										((BgL_rtl_switchz00_bglt) BgL_new1166z00_8209))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14088), BUNSPEC);
				}
				((((BgL_rtl_selectz00_bglt) COBJECT(
								((BgL_rtl_selectz00_bglt)
									((BgL_rtl_switchz00_bglt) BgL_new1166z00_8209))))->
						BgL_patternsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_switchz00_bglt) COBJECT(((BgL_rtl_switchz00_bglt)
									BgL_new1166z00_8209)))->BgL_labelsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14084 = ((BgL_rtl_switchz00_bglt) BgL_new1166z00_8209);
				return ((obj_t) BgL_auxz00_14084);
			}
		}

	}



/* &lambda2146 */
	BgL_rtl_switchz00_bglt BGl_z62lambda2146z62zzsaw_defsz00(obj_t
		BgL_envz00_8210)
	{
		{	/* SawMill/defs.scm 33 */
			{	/* SawMill/defs.scm 33 */
				BgL_rtl_switchz00_bglt BgL_new1165z00_9609;

				BgL_new1165z00_9609 =
					((BgL_rtl_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_switchz00_bgl))));
				{	/* SawMill/defs.scm 33 */
					long BgL_arg2148z00_9610;

					BgL_arg2148z00_9610 = BGL_CLASS_NUM(BGl_rtl_switchz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1165z00_9609), BgL_arg2148z00_9610);
				}
				return BgL_new1165z00_9609;
			}
		}

	}



/* &lambda2144 */
	BgL_rtl_switchz00_bglt BGl_z62lambda2144z62zzsaw_defsz00(obj_t
		BgL_envz00_8211, obj_t BgL_loc1161z00_8212, obj_t BgL_type1162z00_8213,
		obj_t BgL_patterns1163z00_8214, obj_t BgL_labels1164z00_8215)
	{
		{	/* SawMill/defs.scm 33 */
			{	/* SawMill/defs.scm 33 */
				BgL_rtl_switchz00_bglt BgL_new1478z00_9612;

				{	/* SawMill/defs.scm 33 */
					BgL_rtl_switchz00_bglt BgL_new1477z00_9613;

					BgL_new1477z00_9613 =
						((BgL_rtl_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_switchz00_bgl))));
					{	/* SawMill/defs.scm 33 */
						long BgL_arg2145z00_9614;

						BgL_arg2145z00_9614 = BGL_CLASS_NUM(BGl_rtl_switchz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1477z00_9613), BgL_arg2145z00_9614);
					}
					BgL_new1478z00_9612 = BgL_new1477z00_9613;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1478z00_9612)))->BgL_locz00) =
					((obj_t) BgL_loc1161z00_8212), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(((BgL_rtl_selectz00_bglt)
									BgL_new1478z00_9612)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1162z00_8213)),
					BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(((BgL_rtl_selectz00_bglt)
									BgL_new1478z00_9612)))->BgL_patternsz00) =
					((obj_t) BgL_patterns1163z00_8214), BUNSPEC);
				((((BgL_rtl_switchz00_bglt) COBJECT(BgL_new1478z00_9612))->
						BgL_labelsz00) = ((obj_t) BgL_labels1164z00_8215), BUNSPEC);
				return BgL_new1478z00_9612;
			}
		}

	}



/* &lambda2154 */
	obj_t BGl_z62lambda2154z62zzsaw_defsz00(obj_t BgL_envz00_8216,
		obj_t BgL_oz00_8217, obj_t BgL_vz00_8218)
	{
		{	/* SawMill/defs.scm 33 */
			return
				((((BgL_rtl_switchz00_bglt) COBJECT(
							((BgL_rtl_switchz00_bglt) BgL_oz00_8217)))->BgL_labelsz00) =
				((obj_t) BgL_vz00_8218), BUNSPEC);
		}

	}



/* &lambda2153 */
	obj_t BGl_z62lambda2153z62zzsaw_defsz00(obj_t BgL_envz00_8219,
		obj_t BgL_oz00_8220)
	{
		{	/* SawMill/defs.scm 33 */
			return
				(((BgL_rtl_switchz00_bglt) COBJECT(
						((BgL_rtl_switchz00_bglt) BgL_oz00_8220)))->BgL_labelsz00);
		}

	}



/* &<@anonymous:2127> */
	obj_t BGl_z62zc3z04anonymousza32127ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8221,
		obj_t BgL_new1159z00_8222)
	{
		{	/* SawMill/defs.scm 32 */
			{
				BgL_rtl_selectz00_bglt BgL_auxz00_14125;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_selectz00_bglt) BgL_new1159z00_8222))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14129;

					{	/* SawMill/defs.scm 32 */
						obj_t BgL_classz00_9618;

						BgL_classz00_9618 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 32 */
							obj_t BgL__ortest_1117z00_9619;

							BgL__ortest_1117z00_9619 = BGL_CLASS_NIL(BgL_classz00_9618);
							if (CBOOL(BgL__ortest_1117z00_9619))
								{	/* SawMill/defs.scm 32 */
									BgL_auxz00_14129 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9619);
								}
							else
								{	/* SawMill/defs.scm 32 */
									BgL_auxz00_14129 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9618));
								}
						}
					}
					((((BgL_rtl_selectz00_bglt) COBJECT(
									((BgL_rtl_selectz00_bglt) BgL_new1159z00_8222)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14129), BUNSPEC);
				}
				((((BgL_rtl_selectz00_bglt) COBJECT(
								((BgL_rtl_selectz00_bglt) BgL_new1159z00_8222)))->
						BgL_patternsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14125 = ((BgL_rtl_selectz00_bglt) BgL_new1159z00_8222);
				return ((obj_t) BgL_auxz00_14125);
			}
		}

	}



/* &lambda2125 */
	BgL_rtl_selectz00_bglt BGl_z62lambda2125z62zzsaw_defsz00(obj_t
		BgL_envz00_8223)
	{
		{	/* SawMill/defs.scm 32 */
			{	/* SawMill/defs.scm 32 */
				BgL_rtl_selectz00_bglt BgL_new1158z00_9620;

				BgL_new1158z00_9620 =
					((BgL_rtl_selectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_selectz00_bgl))));
				{	/* SawMill/defs.scm 32 */
					long BgL_arg2126z00_9621;

					BgL_arg2126z00_9621 = BGL_CLASS_NUM(BGl_rtl_selectz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1158z00_9620), BgL_arg2126z00_9621);
				}
				return BgL_new1158z00_9620;
			}
		}

	}



/* &lambda2123 */
	BgL_rtl_selectz00_bglt BGl_z62lambda2123z62zzsaw_defsz00(obj_t
		BgL_envz00_8224, obj_t BgL_loc1155z00_8225, obj_t BgL_type1156z00_8226,
		obj_t BgL_patterns1157z00_8227)
	{
		{	/* SawMill/defs.scm 32 */
			{	/* SawMill/defs.scm 32 */
				BgL_rtl_selectz00_bglt BgL_new1476z00_9623;

				{	/* SawMill/defs.scm 32 */
					BgL_rtl_selectz00_bglt BgL_new1475z00_9624;

					BgL_new1475z00_9624 =
						((BgL_rtl_selectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_selectz00_bgl))));
					{	/* SawMill/defs.scm 32 */
						long BgL_arg2124z00_9625;

						BgL_arg2124z00_9625 = BGL_CLASS_NUM(BGl_rtl_selectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1475z00_9624), BgL_arg2124z00_9625);
					}
					BgL_new1476z00_9623 = BgL_new1475z00_9624;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1476z00_9623)))->BgL_locz00) =
					((obj_t) BgL_loc1155z00_8225), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1476z00_9623))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1156z00_8226)),
					BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1476z00_9623))->
						BgL_patternsz00) = ((obj_t) BgL_patterns1157z00_8227), BUNSPEC);
				return BgL_new1476z00_9623;
			}
		}

	}



/* &lambda2138 */
	obj_t BGl_z62lambda2138z62zzsaw_defsz00(obj_t BgL_envz00_8228,
		obj_t BgL_oz00_8229, obj_t BgL_vz00_8230)
	{
		{	/* SawMill/defs.scm 32 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(
							((BgL_rtl_selectz00_bglt) BgL_oz00_8229)))->BgL_patternsz00) =
				((obj_t) BgL_vz00_8230), BUNSPEC);
		}

	}



/* &lambda2137 */
	obj_t BGl_z62lambda2137z62zzsaw_defsz00(obj_t BgL_envz00_8231,
		obj_t BgL_oz00_8232)
	{
		{	/* SawMill/defs.scm 32 */
			return
				(((BgL_rtl_selectz00_bglt) COBJECT(
						((BgL_rtl_selectz00_bglt) BgL_oz00_8232)))->BgL_patternsz00);
		}

	}



/* &lambda2132 */
	obj_t BGl_z62lambda2132z62zzsaw_defsz00(obj_t BgL_envz00_8233,
		obj_t BgL_oz00_8234, obj_t BgL_vz00_8235)
	{
		{	/* SawMill/defs.scm 32 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(
							((BgL_rtl_selectz00_bglt) BgL_oz00_8234)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8235)), BUNSPEC);
		}

	}



/* &lambda2131 */
	BgL_typez00_bglt BGl_z62lambda2131z62zzsaw_defsz00(obj_t BgL_envz00_8236,
		obj_t BgL_oz00_8237)
	{
		{	/* SawMill/defs.scm 32 */
			return
				(((BgL_rtl_selectz00_bglt) COBJECT(
						((BgL_rtl_selectz00_bglt) BgL_oz00_8237)))->BgL_typez00);
		}

	}



/* &<@anonymous:2116> */
	obj_t BGl_z62zc3z04anonymousza32116ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8238,
		obj_t BgL_new1153z00_8239)
	{
		{	/* SawMill/defs.scm 31 */
			{
				BgL_rtl_ifz00_bglt BgL_auxz00_14164;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_ifz00_bglt) BgL_new1153z00_8239))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14164 = ((BgL_rtl_ifz00_bglt) BgL_new1153z00_8239);
				return ((obj_t) BgL_auxz00_14164);
			}
		}

	}



/* &lambda2114 */
	BgL_rtl_ifz00_bglt BGl_z62lambda2114z62zzsaw_defsz00(obj_t BgL_envz00_8240)
	{
		{	/* SawMill/defs.scm 31 */
			{	/* SawMill/defs.scm 31 */
				BgL_rtl_ifz00_bglt BgL_new1152z00_9632;

				BgL_new1152z00_9632 =
					((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_ifz00_bgl))));
				{	/* SawMill/defs.scm 31 */
					long BgL_arg2115z00_9633;

					BgL_arg2115z00_9633 = BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1152z00_9632), BgL_arg2115z00_9633);
				}
				return BgL_new1152z00_9632;
			}
		}

	}



/* &lambda2112 */
	BgL_rtl_ifz00_bglt BGl_z62lambda2112z62zzsaw_defsz00(obj_t BgL_envz00_8241,
		obj_t BgL_loc1151z00_8242)
	{
		{	/* SawMill/defs.scm 31 */
			{	/* SawMill/defs.scm 31 */
				BgL_rtl_ifz00_bglt BgL_new1474z00_9634;

				{	/* SawMill/defs.scm 31 */
					BgL_rtl_ifz00_bglt BgL_new1473z00_9635;

					BgL_new1473z00_9635 =
						((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifz00_bgl))));
					{	/* SawMill/defs.scm 31 */
						long BgL_arg2113z00_9636;

						BgL_arg2113z00_9636 = BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1473z00_9635), BgL_arg2113z00_9636);
					}
					BgL_new1474z00_9634 = BgL_new1473z00_9635;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1474z00_9634)))->BgL_locz00) =
					((obj_t) BgL_loc1151z00_8242), BUNSPEC);
				return BgL_new1474z00_9634;
			}
		}

	}



/* &<@anonymous:2106> */
	obj_t BGl_z62zc3z04anonymousza32106ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8243,
		obj_t BgL_new1149z00_8244)
	{
		{	/* SawMill/defs.scm 30 */
			{
				BgL_rtl_notseqz00_bglt BgL_auxz00_14180;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_notseqz00_bglt) BgL_new1149z00_8244))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14180 = ((BgL_rtl_notseqz00_bglt) BgL_new1149z00_8244);
				return ((obj_t) BgL_auxz00_14180);
			}
		}

	}



/* &lambda2104 */
	BgL_rtl_notseqz00_bglt BGl_z62lambda2104z62zzsaw_defsz00(obj_t
		BgL_envz00_8245)
	{
		{	/* SawMill/defs.scm 30 */
			{	/* SawMill/defs.scm 30 */
				BgL_rtl_notseqz00_bglt BgL_new1148z00_9638;

				BgL_new1148z00_9638 =
					((BgL_rtl_notseqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_notseqz00_bgl))));
				{	/* SawMill/defs.scm 30 */
					long BgL_arg2105z00_9639;

					BgL_arg2105z00_9639 = BGL_CLASS_NUM(BGl_rtl_notseqz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1148z00_9638), BgL_arg2105z00_9639);
				}
				return BgL_new1148z00_9638;
			}
		}

	}



/* &lambda2102 */
	BgL_rtl_notseqz00_bglt BGl_z62lambda2102z62zzsaw_defsz00(obj_t
		BgL_envz00_8246, obj_t BgL_loc1147z00_8247)
	{
		{	/* SawMill/defs.scm 30 */
			{	/* SawMill/defs.scm 30 */
				BgL_rtl_notseqz00_bglt BgL_new1472z00_9640;

				{	/* SawMill/defs.scm 30 */
					BgL_rtl_notseqz00_bglt BgL_new1471z00_9641;

					BgL_new1471z00_9641 =
						((BgL_rtl_notseqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_notseqz00_bgl))));
					{	/* SawMill/defs.scm 30 */
						long BgL_arg2103z00_9642;

						BgL_arg2103z00_9642 = BGL_CLASS_NUM(BGl_rtl_notseqz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1471z00_9641), BgL_arg2103z00_9642);
					}
					BgL_new1472z00_9640 = BgL_new1471z00_9641;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1472z00_9640)))->BgL_locz00) =
					((obj_t) BgL_loc1147z00_8247), BUNSPEC);
				return BgL_new1472z00_9640;
			}
		}

	}



/* &<@anonymous:2090> */
	obj_t BGl_z62zc3z04anonymousza32090ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8248,
		obj_t BgL_new1145z00_8249)
	{
		{	/* SawMill/defs.scm 28 */
			{
				BgL_rtl_retz00_bglt BgL_auxz00_14196;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_retz00_bglt) BgL_new1145z00_8249))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_blockz00_bglt BgL_auxz00_14200;

					{	/* SawMill/defs.scm 28 */
						obj_t BgL_classz00_9644;

						BgL_classz00_9644 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/defs.scm 28 */
							obj_t BgL__ortest_1117z00_9645;

							BgL__ortest_1117z00_9645 = BGL_CLASS_NIL(BgL_classz00_9644);
							if (CBOOL(BgL__ortest_1117z00_9645))
								{	/* SawMill/defs.scm 28 */
									BgL_auxz00_14200 =
										((BgL_blockz00_bglt) BgL__ortest_1117z00_9645);
								}
							else
								{	/* SawMill/defs.scm 28 */
									BgL_auxz00_14200 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9644));
								}
						}
					}
					((((BgL_rtl_retz00_bglt) COBJECT(
									((BgL_rtl_retz00_bglt) BgL_new1145z00_8249)))->BgL_toz00) =
						((BgL_blockz00_bglt) BgL_auxz00_14200), BUNSPEC);
				}
				BgL_auxz00_14196 = ((BgL_rtl_retz00_bglt) BgL_new1145z00_8249);
				return ((obj_t) BgL_auxz00_14196);
			}
		}

	}



/* &lambda2088 */
	BgL_rtl_retz00_bglt BGl_z62lambda2088z62zzsaw_defsz00(obj_t BgL_envz00_8250)
	{
		{	/* SawMill/defs.scm 28 */
			{	/* SawMill/defs.scm 28 */
				BgL_rtl_retz00_bglt BgL_new1144z00_9646;

				BgL_new1144z00_9646 =
					((BgL_rtl_retz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_retz00_bgl))));
				{	/* SawMill/defs.scm 28 */
					long BgL_arg2089z00_9647;

					BgL_arg2089z00_9647 = BGL_CLASS_NUM(BGl_rtl_retz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1144z00_9646), BgL_arg2089z00_9647);
				}
				return BgL_new1144z00_9646;
			}
		}

	}



/* &lambda2086 */
	BgL_rtl_retz00_bglt BGl_z62lambda2086z62zzsaw_defsz00(obj_t BgL_envz00_8251,
		obj_t BgL_loc1142z00_8252, obj_t BgL_to1143z00_8253)
	{
		{	/* SawMill/defs.scm 28 */
			{	/* SawMill/defs.scm 28 */
				BgL_rtl_retz00_bglt BgL_new1470z00_9649;

				{	/* SawMill/defs.scm 28 */
					BgL_rtl_retz00_bglt BgL_new1469z00_9650;

					BgL_new1469z00_9650 =
						((BgL_rtl_retz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_retz00_bgl))));
					{	/* SawMill/defs.scm 28 */
						long BgL_arg2087z00_9651;

						BgL_arg2087z00_9651 = BGL_CLASS_NUM(BGl_rtl_retz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1469z00_9650), BgL_arg2087z00_9651);
					}
					BgL_new1470z00_9649 = BgL_new1469z00_9650;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1470z00_9649)))->BgL_locz00) =
					((obj_t) BgL_loc1142z00_8252), BUNSPEC);
				((((BgL_rtl_retz00_bglt) COBJECT(BgL_new1470z00_9649))->BgL_toz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_to1143z00_8253)),
					BUNSPEC);
				return BgL_new1470z00_9649;
			}
		}

	}



/* &lambda2096 */
	obj_t BGl_z62lambda2096z62zzsaw_defsz00(obj_t BgL_envz00_8254,
		obj_t BgL_oz00_8255, obj_t BgL_vz00_8256)
	{
		{	/* SawMill/defs.scm 28 */
			return
				((((BgL_rtl_retz00_bglt) COBJECT(
							((BgL_rtl_retz00_bglt) BgL_oz00_8255)))->BgL_toz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_8256)), BUNSPEC);
		}

	}



/* &lambda2095 */
	BgL_blockz00_bglt BGl_z62lambda2095z62zzsaw_defsz00(obj_t BgL_envz00_8257,
		obj_t BgL_oz00_8258)
	{
		{	/* SawMill/defs.scm 28 */
			return
				(((BgL_rtl_retz00_bglt) COBJECT(
						((BgL_rtl_retz00_bglt) BgL_oz00_8258)))->BgL_toz00);
		}

	}



/* &<@anonymous:2079> */
	obj_t BGl_z62zc3z04anonymousza32079ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8259,
		obj_t BgL_new1140z00_8260)
	{
		{	/* SawMill/defs.scm 27 */
			{
				BgL_rtl_retblockz00_bglt BgL_auxz00_14228;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_retblockz00_bglt) BgL_new1140z00_8260))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14228 = ((BgL_rtl_retblockz00_bglt) BgL_new1140z00_8260);
				return ((obj_t) BgL_auxz00_14228);
			}
		}

	}



/* &lambda2077 */
	BgL_rtl_retblockz00_bglt BGl_z62lambda2077z62zzsaw_defsz00(obj_t
		BgL_envz00_8261)
	{
		{	/* SawMill/defs.scm 27 */
			{	/* SawMill/defs.scm 27 */
				BgL_rtl_retblockz00_bglt BgL_new1139z00_9656;

				BgL_new1139z00_9656 =
					((BgL_rtl_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_retblockz00_bgl))));
				{	/* SawMill/defs.scm 27 */
					long BgL_arg2078z00_9657;

					BgL_arg2078z00_9657 = BGL_CLASS_NUM(BGl_rtl_retblockz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1139z00_9656), BgL_arg2078z00_9657);
				}
				return BgL_new1139z00_9656;
			}
		}

	}



/* &lambda2074 */
	BgL_rtl_retblockz00_bglt BGl_z62lambda2074z62zzsaw_defsz00(obj_t
		BgL_envz00_8262, obj_t BgL_loc1138z00_8263)
	{
		{	/* SawMill/defs.scm 27 */
			{	/* SawMill/defs.scm 27 */
				BgL_rtl_retblockz00_bglt BgL_new1468z00_9658;

				{	/* SawMill/defs.scm 27 */
					BgL_rtl_retblockz00_bglt BgL_new1467z00_9659;

					BgL_new1467z00_9659 =
						((BgL_rtl_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_retblockz00_bgl))));
					{	/* SawMill/defs.scm 27 */
						long BgL_arg2076z00_9660;

						BgL_arg2076z00_9660 =
							BGL_CLASS_NUM(BGl_rtl_retblockz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1467z00_9659), BgL_arg2076z00_9660);
					}
					BgL_new1468z00_9658 = BgL_new1467z00_9659;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1468z00_9658)))->BgL_locz00) =
					((obj_t) BgL_loc1138z00_8263), BUNSPEC);
				return BgL_new1468z00_9658;
			}
		}

	}



/* &<@anonymous:2067> */
	obj_t BGl_z62zc3z04anonymousza32067ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8264,
		obj_t BgL_new1136z00_8265)
	{
		{	/* SawMill/defs.scm 26 */
			{
				BgL_rtl_failz00_bglt BgL_auxz00_14244;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_failz00_bglt) BgL_new1136z00_8265))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14244 = ((BgL_rtl_failz00_bglt) BgL_new1136z00_8265);
				return ((obj_t) BgL_auxz00_14244);
			}
		}

	}



/* &lambda2064 */
	BgL_rtl_failz00_bglt BGl_z62lambda2064z62zzsaw_defsz00(obj_t BgL_envz00_8266)
	{
		{	/* SawMill/defs.scm 26 */
			{	/* SawMill/defs.scm 26 */
				BgL_rtl_failz00_bglt BgL_new1135z00_9662;

				BgL_new1135z00_9662 =
					((BgL_rtl_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_failz00_bgl))));
				{	/* SawMill/defs.scm 26 */
					long BgL_arg2066z00_9663;

					BgL_arg2066z00_9663 = BGL_CLASS_NUM(BGl_rtl_failz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1135z00_9662), BgL_arg2066z00_9663);
				}
				return BgL_new1135z00_9662;
			}
		}

	}



/* &lambda2062 */
	BgL_rtl_failz00_bglt BGl_z62lambda2062z62zzsaw_defsz00(obj_t BgL_envz00_8267,
		obj_t BgL_loc1134z00_8268)
	{
		{	/* SawMill/defs.scm 26 */
			{	/* SawMill/defs.scm 26 */
				BgL_rtl_failz00_bglt BgL_new1466z00_9664;

				{	/* SawMill/defs.scm 26 */
					BgL_rtl_failz00_bglt BgL_new1465z00_9665;

					BgL_new1465z00_9665 =
						((BgL_rtl_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_failz00_bgl))));
					{	/* SawMill/defs.scm 26 */
						long BgL_arg2063z00_9666;

						BgL_arg2063z00_9666 = BGL_CLASS_NUM(BGl_rtl_failz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1465z00_9665), BgL_arg2063z00_9666);
					}
					BgL_new1466z00_9664 = BgL_new1465z00_9665;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1466z00_9664)))->BgL_locz00) =
					((obj_t) BgL_loc1134z00_8268), BUNSPEC);
				return BgL_new1466z00_9664;
			}
		}

	}



/* &<@anonymous:2056> */
	obj_t BGl_z62zc3z04anonymousza32056ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8269,
		obj_t BgL_new1132z00_8270)
	{
		{	/* SawMill/defs.scm 25 */
			{
				BgL_rtl_jumpexitz00_bglt BgL_auxz00_14260;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_jumpexitz00_bglt) BgL_new1132z00_8270))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14260 = ((BgL_rtl_jumpexitz00_bglt) BgL_new1132z00_8270);
				return ((obj_t) BgL_auxz00_14260);
			}
		}

	}



/* &lambda2054 */
	BgL_rtl_jumpexitz00_bglt BGl_z62lambda2054z62zzsaw_defsz00(obj_t
		BgL_envz00_8271)
	{
		{	/* SawMill/defs.scm 25 */
			{	/* SawMill/defs.scm 25 */
				BgL_rtl_jumpexitz00_bglt BgL_new1131z00_9668;

				BgL_new1131z00_9668 =
					((BgL_rtl_jumpexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_jumpexitz00_bgl))));
				{	/* SawMill/defs.scm 25 */
					long BgL_arg2055z00_9669;

					BgL_arg2055z00_9669 = BGL_CLASS_NUM(BGl_rtl_jumpexitz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1131z00_9668), BgL_arg2055z00_9669);
				}
				return BgL_new1131z00_9668;
			}
		}

	}



/* &lambda2051 */
	BgL_rtl_jumpexitz00_bglt BGl_z62lambda2051z62zzsaw_defsz00(obj_t
		BgL_envz00_8272, obj_t BgL_loc1130z00_8273)
	{
		{	/* SawMill/defs.scm 25 */
			{	/* SawMill/defs.scm 25 */
				BgL_rtl_jumpexitz00_bglt BgL_new1464z00_9670;

				{	/* SawMill/defs.scm 25 */
					BgL_rtl_jumpexitz00_bglt BgL_new1463z00_9671;

					BgL_new1463z00_9671 =
						((BgL_rtl_jumpexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_jumpexitz00_bgl))));
					{	/* SawMill/defs.scm 25 */
						long BgL_arg2053z00_9672;

						BgL_arg2053z00_9672 =
							BGL_CLASS_NUM(BGl_rtl_jumpexitz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1463z00_9671), BgL_arg2053z00_9672);
					}
					BgL_new1464z00_9670 = BgL_new1463z00_9671;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1464z00_9670)))->BgL_locz00) =
					((obj_t) BgL_loc1130z00_8273), BUNSPEC);
				return BgL_new1464z00_9670;
			}
		}

	}



/* &<@anonymous:2039> */
	obj_t BGl_z62zc3z04anonymousza32039ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8274,
		obj_t BgL_new1128z00_8275)
	{
		{	/* SawMill/defs.scm 24 */
			{
				BgL_rtl_returnz00_bglt BgL_auxz00_14276;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_returnz00_bglt) BgL_new1128z00_8275))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14280;

					{	/* SawMill/defs.scm 24 */
						obj_t BgL_classz00_9674;

						BgL_classz00_9674 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 24 */
							obj_t BgL__ortest_1117z00_9675;

							BgL__ortest_1117z00_9675 = BGL_CLASS_NIL(BgL_classz00_9674);
							if (CBOOL(BgL__ortest_1117z00_9675))
								{	/* SawMill/defs.scm 24 */
									BgL_auxz00_14280 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9675);
								}
							else
								{	/* SawMill/defs.scm 24 */
									BgL_auxz00_14280 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9674));
								}
						}
					}
					((((BgL_rtl_returnz00_bglt) COBJECT(
									((BgL_rtl_returnz00_bglt) BgL_new1128z00_8275)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14280), BUNSPEC);
				}
				BgL_auxz00_14276 = ((BgL_rtl_returnz00_bglt) BgL_new1128z00_8275);
				return ((obj_t) BgL_auxz00_14276);
			}
		}

	}



/* &lambda2037 */
	BgL_rtl_returnz00_bglt BGl_z62lambda2037z62zzsaw_defsz00(obj_t
		BgL_envz00_8276)
	{
		{	/* SawMill/defs.scm 24 */
			{	/* SawMill/defs.scm 24 */
				BgL_rtl_returnz00_bglt BgL_new1127z00_9676;

				BgL_new1127z00_9676 =
					((BgL_rtl_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_returnz00_bgl))));
				{	/* SawMill/defs.scm 24 */
					long BgL_arg2038z00_9677;

					BgL_arg2038z00_9677 = BGL_CLASS_NUM(BGl_rtl_returnz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1127z00_9676), BgL_arg2038z00_9677);
				}
				return BgL_new1127z00_9676;
			}
		}

	}



/* &lambda2034 */
	BgL_rtl_returnz00_bglt BGl_z62lambda2034z62zzsaw_defsz00(obj_t
		BgL_envz00_8277, obj_t BgL_loc1124z00_8278, obj_t BgL_type1125z00_8279)
	{
		{	/* SawMill/defs.scm 24 */
			{	/* SawMill/defs.scm 24 */
				BgL_rtl_returnz00_bglt BgL_new1462z00_9679;

				{	/* SawMill/defs.scm 24 */
					BgL_rtl_returnz00_bglt BgL_new1461z00_9680;

					BgL_new1461z00_9680 =
						((BgL_rtl_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_returnz00_bgl))));
					{	/* SawMill/defs.scm 24 */
						long BgL_arg2036z00_9681;

						BgL_arg2036z00_9681 = BGL_CLASS_NUM(BGl_rtl_returnz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1461z00_9680), BgL_arg2036z00_9681);
					}
					BgL_new1462z00_9679 = BgL_new1461z00_9680;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1462z00_9679)))->BgL_locz00) =
					((obj_t) BgL_loc1124z00_8278), BUNSPEC);
				((((BgL_rtl_returnz00_bglt) COBJECT(BgL_new1462z00_9679))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1125z00_8279)),
					BUNSPEC);
				return BgL_new1462z00_9679;
			}
		}

	}



/* &lambda2044 */
	obj_t BGl_z62lambda2044z62zzsaw_defsz00(obj_t BgL_envz00_8280,
		obj_t BgL_oz00_8281, obj_t BgL_vz00_8282)
	{
		{	/* SawMill/defs.scm 24 */
			return
				((((BgL_rtl_returnz00_bglt) COBJECT(
							((BgL_rtl_returnz00_bglt) BgL_oz00_8281)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8282)), BUNSPEC);
		}

	}



/* &lambda2043 */
	BgL_typez00_bglt BGl_z62lambda2043z62zzsaw_defsz00(obj_t BgL_envz00_8283,
		obj_t BgL_oz00_8284)
	{
		{	/* SawMill/defs.scm 24 */
			return
				(((BgL_rtl_returnz00_bglt) COBJECT(
						((BgL_rtl_returnz00_bglt) BgL_oz00_8284)))->BgL_typez00);
		}

	}



/* &<@anonymous:2026> */
	obj_t BGl_z62zc3z04anonymousza32026ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8285,
		obj_t BgL_new1122z00_8286)
	{
		{	/* SawMill/defs.scm 23 */
			{
				BgL_rtl_lastz00_bglt BgL_auxz00_14308;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_lastz00_bglt) BgL_new1122z00_8286))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14308 = ((BgL_rtl_lastz00_bglt) BgL_new1122z00_8286);
				return ((obj_t) BgL_auxz00_14308);
			}
		}

	}



/* &lambda2024 */
	BgL_rtl_lastz00_bglt BGl_z62lambda2024z62zzsaw_defsz00(obj_t BgL_envz00_8287)
	{
		{	/* SawMill/defs.scm 23 */
			{	/* SawMill/defs.scm 23 */
				BgL_rtl_lastz00_bglt BgL_new1120z00_9686;

				BgL_new1120z00_9686 =
					((BgL_rtl_lastz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_lastz00_bgl))));
				{	/* SawMill/defs.scm 23 */
					long BgL_arg2025z00_9687;

					BgL_arg2025z00_9687 = BGL_CLASS_NUM(BGl_rtl_lastz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1120z00_9686), BgL_arg2025z00_9687);
				}
				return BgL_new1120z00_9686;
			}
		}

	}



/* &lambda2021 */
	BgL_rtl_lastz00_bglt BGl_z62lambda2021z62zzsaw_defsz00(obj_t BgL_envz00_8288,
		obj_t BgL_loc1119z00_8289)
	{
		{	/* SawMill/defs.scm 23 */
			{	/* SawMill/defs.scm 23 */
				BgL_rtl_lastz00_bglt BgL_new1460z00_9688;

				{	/* SawMill/defs.scm 23 */
					BgL_rtl_lastz00_bglt BgL_new1459z00_9689;

					BgL_new1459z00_9689 =
						((BgL_rtl_lastz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_lastz00_bgl))));
					{	/* SawMill/defs.scm 23 */
						long BgL_arg2023z00_9690;

						BgL_arg2023z00_9690 = BGL_CLASS_NUM(BGl_rtl_lastz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1459z00_9689), BgL_arg2023z00_9690);
					}
					BgL_new1460z00_9688 = BgL_new1459z00_9689;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1460z00_9688)))->BgL_locz00) =
					((obj_t) BgL_loc1119z00_8289), BUNSPEC);
				return BgL_new1460z00_9688;
			}
		}

	}



/* &<@anonymous:2007> */
	obj_t BGl_z62zc3z04anonymousza32007ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8290,
		obj_t BgL_new1117z00_8291)
	{
		{	/* SawMill/defs.scm 21 */
			{
				BgL_rtl_funz00_bglt BgL_auxz00_14324;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1117z00_8291)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14324 = ((BgL_rtl_funz00_bglt) BgL_new1117z00_8291);
				return ((obj_t) BgL_auxz00_14324);
			}
		}

	}



/* &lambda2005 */
	BgL_rtl_funz00_bglt BGl_z62lambda2005z62zzsaw_defsz00(obj_t BgL_envz00_8292)
	{
		{	/* SawMill/defs.scm 21 */
			{	/* SawMill/defs.scm 21 */
				BgL_rtl_funz00_bglt BgL_new1116z00_9692;

				BgL_new1116z00_9692 =
					((BgL_rtl_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_funz00_bgl))));
				{	/* SawMill/defs.scm 21 */
					long BgL_arg2006z00_9693;

					BgL_arg2006z00_9693 = BGL_CLASS_NUM(BGl_rtl_funz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1116z00_9692), BgL_arg2006z00_9693);
				}
				return BgL_new1116z00_9692;
			}
		}

	}



/* &lambda2003 */
	BgL_rtl_funz00_bglt BGl_z62lambda2003z62zzsaw_defsz00(obj_t BgL_envz00_8293,
		obj_t BgL_loc1113z00_8294)
	{
		{	/* SawMill/defs.scm 21 */
			{	/* SawMill/defs.scm 21 */
				BgL_rtl_funz00_bglt BgL_new1458z00_9694;

				{	/* SawMill/defs.scm 21 */
					BgL_rtl_funz00_bglt BgL_new1457z00_9695;

					BgL_new1457z00_9695 =
						((BgL_rtl_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_funz00_bgl))));
					{	/* SawMill/defs.scm 21 */
						long BgL_arg2004z00_9696;

						BgL_arg2004z00_9696 = BGL_CLASS_NUM(BGl_rtl_funz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1457z00_9695), BgL_arg2004z00_9696);
					}
					BgL_new1458z00_9694 = BgL_new1457z00_9695;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(BgL_new1458z00_9694))->BgL_locz00) =
					((obj_t) BgL_loc1113z00_8294), BUNSPEC);
				return BgL_new1458z00_9694;
			}
		}

	}



/* &<@anonymous:2014> */
	obj_t BGl_z62zc3z04anonymousza32014ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8295)
	{
		{	/* SawMill/defs.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2013 */
	obj_t BGl_z62lambda2013z62zzsaw_defsz00(obj_t BgL_envz00_8296,
		obj_t BgL_oz00_8297, obj_t BgL_vz00_8298)
	{
		{	/* SawMill/defs.scm 21 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_8297)))->BgL_locz00) =
				((obj_t) BgL_vz00_8298), BUNSPEC);
		}

	}



/* &lambda2012 */
	obj_t BGl_z62lambda2012z62zzsaw_defsz00(obj_t BgL_envz00_8299,
		obj_t BgL_oz00_8300)
	{
		{	/* SawMill/defs.scm 21 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_8300)))->BgL_locz00);
		}

	}



/* &<@anonymous:1952> */
	obj_t BGl_z62zc3z04anonymousza31952ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8301,
		obj_t BgL_new1111z00_8302)
	{
		{	/* SawMill/defs.scm 12 */
			{
				BgL_rtl_regz00_bglt BgL_auxz00_14343;

				{
					BgL_typez00_bglt BgL_auxz00_14344;

					{	/* SawMill/defs.scm 12 */
						obj_t BgL_classz00_9700;

						BgL_classz00_9700 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 12 */
							obj_t BgL__ortest_1117z00_9701;

							BgL__ortest_1117z00_9701 = BGL_CLASS_NIL(BgL_classz00_9700);
							if (CBOOL(BgL__ortest_1117z00_9701))
								{	/* SawMill/defs.scm 12 */
									BgL_auxz00_14344 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9701);
								}
							else
								{	/* SawMill/defs.scm 12 */
									BgL_auxz00_14344 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9700));
								}
						}
					}
					((((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_new1111z00_8302)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14344), BUNSPEC);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1111z00_8302)))->BgL_varz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1111z00_8302)))->BgL_onexprzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1111z00_8302)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1111z00_8302)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1111z00_8302)))->BgL_debugnamez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1111z00_8302)))->BgL_hardwarez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14343 = ((BgL_rtl_regz00_bglt) BgL_new1111z00_8302);
				return ((obj_t) BgL_auxz00_14343);
			}
		}

	}



/* &lambda1950 */
	BgL_rtl_regz00_bglt BGl_z62lambda1950z62zzsaw_defsz00(obj_t BgL_envz00_8303)
	{
		{	/* SawMill/defs.scm 12 */
			{	/* SawMill/defs.scm 12 */
				BgL_rtl_regz00_bglt BgL_new1110z00_9702;

				BgL_new1110z00_9702 =
					((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_regz00_bgl))));
				{	/* SawMill/defs.scm 12 */
					long BgL_arg1951z00_9703;

					BgL_arg1951z00_9703 = BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1110z00_9702), BgL_arg1951z00_9703);
				}
				{	/* SawMill/defs.scm 12 */
					BgL_objectz00_bglt BgL_tmpz00_14371;

					BgL_tmpz00_14371 = ((BgL_objectz00_bglt) BgL_new1110z00_9702);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14371, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1110z00_9702);
				return BgL_new1110z00_9702;
			}
		}

	}



/* &lambda1948 */
	BgL_rtl_regz00_bglt BGl_z62lambda1948z62zzsaw_defsz00(obj_t BgL_envz00_8304,
		obj_t BgL_type1103z00_8305, obj_t BgL_var1104z00_8306,
		obj_t BgL_onexprzf31105zf3_8307, obj_t BgL_name1106z00_8308,
		obj_t BgL_key1107z00_8309, obj_t BgL_debugname1108z00_8310,
		obj_t BgL_hardware1109z00_8311)
	{
		{	/* SawMill/defs.scm 12 */
			{	/* SawMill/defs.scm 12 */
				BgL_rtl_regz00_bglt BgL_new1456z00_9705;

				{	/* SawMill/defs.scm 12 */
					BgL_rtl_regz00_bglt BgL_new1455z00_9706;

					BgL_new1455z00_9706 =
						((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regz00_bgl))));
					{	/* SawMill/defs.scm 12 */
						long BgL_arg1949z00_9707;

						BgL_arg1949z00_9707 = BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1455z00_9706), BgL_arg1949z00_9707);
					}
					{	/* SawMill/defs.scm 12 */
						BgL_objectz00_bglt BgL_tmpz00_14379;

						BgL_tmpz00_14379 = ((BgL_objectz00_bglt) BgL_new1455z00_9706);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14379, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1455z00_9706);
					BgL_new1456z00_9705 = BgL_new1455z00_9706;
				}
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1456z00_9705))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1103z00_8305)),
					BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1456z00_9705))->BgL_varz00) =
					((obj_t) BgL_var1104z00_8306), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1456z00_9705))->
						BgL_onexprzf3zf3) = ((obj_t) BgL_onexprzf31105zf3_8307), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1456z00_9705))->BgL_namez00) =
					((obj_t) BgL_name1106z00_8308), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1456z00_9705))->BgL_keyz00) =
					((obj_t) BgL_key1107z00_8309), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1456z00_9705))->
						BgL_debugnamez00) = ((obj_t) BgL_debugname1108z00_8310), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1456z00_9705))->
						BgL_hardwarez00) = ((obj_t) BgL_hardware1109z00_8311), BUNSPEC);
				return BgL_new1456z00_9705;
			}
		}

	}



/* &<@anonymous:1997> */
	obj_t BGl_z62zc3z04anonymousza31997ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8312)
	{
		{	/* SawMill/defs.scm 12 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1996 */
	obj_t BGl_z62lambda1996z62zzsaw_defsz00(obj_t BgL_envz00_8313,
		obj_t BgL_oz00_8314, obj_t BgL_vz00_8315)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8314)))->BgL_hardwarez00) =
				((obj_t) BgL_vz00_8315), BUNSPEC);
		}

	}



/* &lambda1995 */
	obj_t BGl_z62lambda1995z62zzsaw_defsz00(obj_t BgL_envz00_8316,
		obj_t BgL_oz00_8317)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8317)))->BgL_hardwarez00);
		}

	}



/* &<@anonymous:1990> */
	obj_t BGl_z62zc3z04anonymousza31990ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8318)
	{
		{	/* SawMill/defs.scm 12 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1989 */
	obj_t BGl_z62lambda1989z62zzsaw_defsz00(obj_t BgL_envz00_8319,
		obj_t BgL_oz00_8320, obj_t BgL_vz00_8321)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8320)))->BgL_debugnamez00) =
				((obj_t) BgL_vz00_8321), BUNSPEC);
		}

	}



/* &lambda1988 */
	obj_t BGl_z62lambda1988z62zzsaw_defsz00(obj_t BgL_envz00_8322,
		obj_t BgL_oz00_8323)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8323)))->BgL_debugnamez00);
		}

	}



/* &<@anonymous:1983> */
	obj_t BGl_z62zc3z04anonymousza31983ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8324)
	{
		{	/* SawMill/defs.scm 12 */
			{	/* SawMill/defs.scm 17 */

				{	/* SawMill/defs.scm 17 */

					return BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
				}
			}
		}

	}



/* &lambda1982 */
	obj_t BGl_z62lambda1982z62zzsaw_defsz00(obj_t BgL_envz00_8325,
		obj_t BgL_oz00_8326, obj_t BgL_vz00_8327)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8326)))->BgL_keyz00) =
				((obj_t) BgL_vz00_8327), BUNSPEC);
		}

	}



/* &lambda1981 */
	obj_t BGl_z62lambda1981z62zzsaw_defsz00(obj_t BgL_envz00_8328,
		obj_t BgL_oz00_8329)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8329)))->BgL_keyz00);
		}

	}



/* &<@anonymous:1976> */
	obj_t BGl_z62zc3z04anonymousza31976ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8330)
	{
		{	/* SawMill/defs.scm 12 */
			{	/* SawMill/defs.scm 16 */

				{	/* SawMill/defs.scm 16 */

					return BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
				}
			}
		}

	}



/* &lambda1975 */
	obj_t BGl_z62lambda1975z62zzsaw_defsz00(obj_t BgL_envz00_8331,
		obj_t BgL_oz00_8332, obj_t BgL_vz00_8333)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8332)))->BgL_namez00) =
				((obj_t) BgL_vz00_8333), BUNSPEC);
		}

	}



/* &lambda1974 */
	obj_t BGl_z62lambda1974z62zzsaw_defsz00(obj_t BgL_envz00_8334,
		obj_t BgL_oz00_8335)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8335)))->BgL_namez00);
		}

	}



/* &<@anonymous:1969> */
	obj_t BGl_z62zc3z04anonymousza31969ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8336)
	{
		{	/* SawMill/defs.scm 12 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1968 */
	obj_t BGl_z62lambda1968z62zzsaw_defsz00(obj_t BgL_envz00_8337,
		obj_t BgL_oz00_8338, obj_t BgL_vz00_8339)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8338)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_8339), BUNSPEC);
		}

	}



/* &lambda1967 */
	obj_t BGl_z62lambda1967z62zzsaw_defsz00(obj_t BgL_envz00_8340,
		obj_t BgL_oz00_8341)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8341)))->BgL_onexprzf3zf3);
		}

	}



/* &lambda1962 */
	obj_t BGl_z62lambda1962z62zzsaw_defsz00(obj_t BgL_envz00_8342,
		obj_t BgL_oz00_8343, obj_t BgL_vz00_8344)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8343)))->BgL_varz00) =
				((obj_t) BgL_vz00_8344), BUNSPEC);
		}

	}



/* &lambda1961 */
	obj_t BGl_z62lambda1961z62zzsaw_defsz00(obj_t BgL_envz00_8345,
		obj_t BgL_oz00_8346)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8346)))->BgL_varz00);
		}

	}



/* &lambda1957 */
	obj_t BGl_z62lambda1957z62zzsaw_defsz00(obj_t BgL_envz00_8347,
		obj_t BgL_oz00_8348, obj_t BgL_vz00_8349)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8348)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8349)), BUNSPEC);
		}

	}



/* &lambda1956 */
	BgL_typez00_bglt BGl_z62lambda1956z62zzsaw_defsz00(obj_t BgL_envz00_8350,
		obj_t BgL_oz00_8351)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8351)))->BgL_typez00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_dumpzd2envzd2zzsaw_defsz00,
				BGl_proc3376z00zzsaw_defsz00, BFALSE, BGl_string3377z00zzsaw_defsz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_proc3378z00zzsaw_defsz00,
				BGl_rtl_funz00zzsaw_defsz00, BGl_string3379z00zzsaw_defsz00);
		}

	}



/* &dump-fun1792 */
	obj_t BGl_z62dumpzd2fun1792zb0zzsaw_defsz00(obj_t BgL_envz00_8354,
		obj_t BgL_oz00_8355, obj_t BgL_destz00_8356, obj_t BgL_argsz00_8357,
		obj_t BgL_pz00_8358, obj_t BgL_mz00_8359)
	{
		{	/* SawMill/defs.scm 311 */
			return BUNSPEC;
		}

	}



/* &dump1784 */
	obj_t BGl_z62dump1784z62zzsaw_defsz00(obj_t BgL_envz00_8360,
		obj_t BgL_oz00_8361, obj_t BgL_pz00_8362, obj_t BgL_mz00_8363)
	{
		{	/* SawMill/defs.scm 190 */
			{	/* SawMill/defs.scm 192 */
				int BgL_mz00_9725;

				BgL_mz00_9725 = CINT(BgL_mz00_8363);
				{	/* SawMill/defs.scm 192 */
					bool_t BgL_test4365z00_14428;

					if (STRINGP(BgL_oz00_8361))
						{	/* SawMill/defs.scm 192 */
							BgL_test4365z00_14428 = ((bool_t) 1);
						}
					else
						{	/* SawMill/defs.scm 192 */
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_oz00_8361))
								{	/* SawMill/defs.scm 192 */
									BgL_test4365z00_14428 = ((bool_t) 1);
								}
							else
								{	/* SawMill/defs.scm 192 */
									BgL_test4365z00_14428 = SYMBOLP(BgL_oz00_8361);
								}
						}
					if (BgL_test4365z00_14428)
						{	/* SawMill/defs.scm 192 */
							return bgl_display_obj(BgL_oz00_8361, ((obj_t) BgL_pz00_8362));
						}
					else
						{	/* SawMill/defs.scm 192 */
							if (PAIRP(BgL_oz00_8361))
								{
									obj_t BgL_l1662z00_9727;

									{	/* SawMill/defs.scm 195 */
										bool_t BgL_tmpz00_14438;

										BgL_l1662z00_9727 = BgL_oz00_8361;
									BgL_zc3z04anonymousza32832ze3z87_9726:
										if (PAIRP(BgL_l1662z00_9727))
											{	/* SawMill/defs.scm 195 */
												{	/* SawMill/defs.scm 196 */
													obj_t BgL_oz00_9728;

													BgL_oz00_9728 = CAR(BgL_l1662z00_9727);
													BGl_dumpz00zzsaw_defsz00(BgL_oz00_9728,
														((obj_t) BgL_pz00_8362), BgL_mz00_9725);
													{	/* SawMill/defs.scm 197 */
														obj_t BgL_tmpz00_14444;

														BgL_tmpz00_14444 = ((obj_t) BgL_pz00_8362);
														bgl_display_char(((unsigned char) 10),
															BgL_tmpz00_14444);
													}
													if (((long) (BgL_mz00_9725) > 0L))
														{	/* SawMill/defs.scm 198 */
															BGl_dumpzd2marginzd2zzsaw_defsz00(
																((obj_t) BgL_pz00_8362), BgL_mz00_9725);
														}
													else
														{	/* SawMill/defs.scm 200 */
															obj_t BgL_tmpz00_14452;

															BgL_tmpz00_14452 = ((obj_t) BgL_pz00_8362);
															bgl_display_char(((unsigned char) 10),
																BgL_tmpz00_14452);
												}}
												{
													obj_t BgL_l1662z00_14455;

													BgL_l1662z00_14455 = CDR(BgL_l1662z00_9727);
													BgL_l1662z00_9727 = BgL_l1662z00_14455;
													goto BgL_zc3z04anonymousza32832ze3z87_9726;
												}
											}
										else
											{	/* SawMill/defs.scm 195 */
												BgL_tmpz00_14438 = ((bool_t) 1);
											}
										return BBOOL(BgL_tmpz00_14438);
									}
								}
							else
								{	/* SawMill/defs.scm 203 */
									obj_t BgL_list2836z00_9729;

									BgL_list2836z00_9729 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_pz00_8362), BNIL);
									return
										BGl_writez00zz__r4_output_6_10_3z00(BgL_oz00_8361,
										BgL_list2836z00_9729);
								}
						}
				}
			}
		}

	}



/* dump */
	BGL_EXPORTED_DEF obj_t BGl_dumpz00zzsaw_defsz00(obj_t BgL_oz00_456,
		obj_t BgL_pz00_457, int BgL_mz00_458)
	{
		{	/* SawMill/defs.scm 190 */
			if (BGL_OBJECTP(BgL_oz00_456))
				{	/* SawMill/defs.scm 190 */
					obj_t BgL_method1785z00_3714;

					{	/* SawMill/defs.scm 190 */
						obj_t BgL_res3097z00_6568;

						{	/* SawMill/defs.scm 190 */
							long BgL_objzd2classzd2numz00_6539;

							BgL_objzd2classzd2numz00_6539 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_456));
							{	/* SawMill/defs.scm 190 */
								obj_t BgL_arg1805z00_6540;

								BgL_arg1805z00_6540 =
									PROCEDURE_REF(BGl_dumpzd2envzd2zzsaw_defsz00, (int) (1L));
								{	/* SawMill/defs.scm 190 */
									int BgL_offsetz00_6543;

									BgL_offsetz00_6543 = (int) (BgL_objzd2classzd2numz00_6539);
									{	/* SawMill/defs.scm 190 */
										long BgL_offsetz00_6544;

										BgL_offsetz00_6544 =
											((long) (BgL_offsetz00_6543) - OBJECT_TYPE);
										{	/* SawMill/defs.scm 190 */
											long BgL_modz00_6545;

											BgL_modz00_6545 =
												(BgL_offsetz00_6544 >> (int) ((long) ((int) (4L))));
											{	/* SawMill/defs.scm 190 */
												long BgL_restz00_6547;

												BgL_restz00_6547 =
													(BgL_offsetz00_6544 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(1L <<
																			(int) ((long) ((int) (4L)))))) - 1L))));
												{	/* SawMill/defs.scm 190 */

													{	/* SawMill/defs.scm 190 */
														obj_t BgL_bucketz00_6549;

														BgL_bucketz00_6549 =
															VECTOR_REF(
															((obj_t) BgL_arg1805z00_6540), BgL_modz00_6545);
														BgL_res3097z00_6568 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_6549), BgL_restz00_6547);
						}}}}}}}}
						BgL_method1785z00_3714 = BgL_res3097z00_6568;
					}
					return
						(VA_PROCEDUREP(BgL_method1785z00_3714) ? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_method1785z00_3714)) (BgL_method1785z00_3714,
							BgL_oz00_456, BgL_pz00_457, BINT(BgL_mz00_458),
							BEOA) : ((obj_t(*)(obj_t, obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_method1785z00_3714)) (BgL_method1785z00_3714,
							BgL_oz00_456, BgL_pz00_457, BINT(BgL_mz00_458)));
				}
			else
				{	/* SawMill/defs.scm 190 */
					obj_t BgL_fun2839z00_3715;

					BgL_fun2839z00_3715 =
						PROCEDURE_REF(BGl_dumpzd2envzd2zzsaw_defsz00, (int) (0L));
					return
						(VA_PROCEDUREP(BgL_fun2839z00_3715) ? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_fun2839z00_3715)) (BgL_fun2839z00_3715,
							BgL_oz00_456, BgL_pz00_457, BINT(BgL_mz00_458),
							BEOA) : ((obj_t(*)(obj_t, obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_fun2839z00_3715)) (BgL_fun2839z00_3715,
							BgL_oz00_456, BgL_pz00_457, BINT(BgL_mz00_458)));
				}
		}

	}



/* &dump */
	obj_t BGl_z62dumpz62zzsaw_defsz00(obj_t BgL_envz00_8364, obj_t BgL_oz00_8365,
		obj_t BgL_pz00_8366, obj_t BgL_mz00_8367)
	{
		{	/* SawMill/defs.scm 190 */
			return
				BGl_dumpz00zzsaw_defsz00(BgL_oz00_8365, BgL_pz00_8366,
				CINT(BgL_mz00_8367));
		}

	}



/* dump-fun */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2funzd2zzsaw_defsz00(BgL_rtl_funz00_bglt
		BgL_oz00_479, obj_t BgL_destz00_480, obj_t BgL_argsz00_481,
		obj_t BgL_pz00_482, obj_t BgL_mz00_483)
	{
		{	/* SawMill/defs.scm 311 */
			{	/* SawMill/defs.scm 311 */
				obj_t BgL_method1793z00_3716;

				{	/* SawMill/defs.scm 311 */
					obj_t BgL_res3103z00_6600;

					{	/* SawMill/defs.scm 311 */
						long BgL_objzd2classzd2numz00_6571;

						BgL_objzd2classzd2numz00_6571 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_479));
						{	/* SawMill/defs.scm 311 */
							obj_t BgL_arg1805z00_6572;

							BgL_arg1805z00_6572 =
								PROCEDURE_REF(BGl_dumpzd2funzd2envz00zzsaw_defsz00, (int) (1L));
							{	/* SawMill/defs.scm 311 */
								int BgL_offsetz00_6575;

								BgL_offsetz00_6575 = (int) (BgL_objzd2classzd2numz00_6571);
								{	/* SawMill/defs.scm 311 */
									long BgL_offsetz00_6576;

									BgL_offsetz00_6576 =
										((long) (BgL_offsetz00_6575) - OBJECT_TYPE);
									{	/* SawMill/defs.scm 311 */
										long BgL_modz00_6577;

										BgL_modz00_6577 =
											(BgL_offsetz00_6576 >> (int) ((long) ((int) (4L))));
										{	/* SawMill/defs.scm 311 */
											long BgL_restz00_6579;

											BgL_restz00_6579 =
												(BgL_offsetz00_6576 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawMill/defs.scm 311 */

												{	/* SawMill/defs.scm 311 */
													obj_t BgL_bucketz00_6581;

													BgL_bucketz00_6581 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_6572), BgL_modz00_6577);
													BgL_res3103z00_6600 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6581), BgL_restz00_6579);
					}}}}}}}}
					BgL_method1793z00_3716 = BgL_res3103z00_6600;
				}
				return
					(VA_PROCEDUREP(BgL_method1793z00_3716) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_method1793z00_3716)) (BgL_method1793z00_3716,
						((obj_t) BgL_oz00_479), BgL_destz00_480, BgL_argsz00_481,
						BgL_pz00_482, BgL_mz00_483, BEOA) : ((obj_t(*)(obj_t, obj_t, obj_t,
								obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1793z00_3716)) (BgL_method1793z00_3716,
						((obj_t) BgL_oz00_479), BgL_destz00_480, BgL_argsz00_481,
						BgL_pz00_482, BgL_mz00_483));
			}
		}

	}



/* &dump-fun */
	obj_t BGl_z62dumpzd2funzb0zzsaw_defsz00(obj_t BgL_envz00_8368,
		obj_t BgL_oz00_8369, obj_t BgL_destz00_8370, obj_t BgL_argsz00_8371,
		obj_t BgL_pz00_8372, obj_t BgL_mz00_8373)
	{
		{	/* SawMill/defs.scm 311 */
			return
				BGl_dumpzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt) BgL_oz00_8369), BgL_destz00_8370,
				BgL_argsz00_8371, BgL_pz00_8372, BgL_mz00_8373);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_rtl_insz00zzsaw_defsz00,
				BGl_proc3380z00zzsaw_defsz00, BGl_string3381z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_rtl_regz00zzsaw_defsz00,
				BGl_proc3382z00zzsaw_defsz00, BGl_string3381z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00, BGl_blockz00zzsaw_defsz00,
				BGl_proc3383z00zzsaw_defsz00, BGl_string3384z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00, BGl_rtl_insz00zzsaw_defsz00,
				BGl_proc3385z00zzsaw_defsz00, BGl_string3384z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00, BGl_rtl_regz00zzsaw_defsz00,
				BGl_proc3386z00zzsaw_defsz00, BGl_string3384z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_proc3387z00zzsaw_defsz00, BGl_string3388z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_loadiz00zzsaw_defsz00,
				BGl_proc3389z00zzsaw_defsz00, BGl_string3388z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_movz00zzsaw_defsz00,
				BGl_proc3390z00zzsaw_defsz00, BGl_string3388z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_loadgz00zzsaw_defsz00,
				BGl_proc3391z00zzsaw_defsz00, BGl_string3388z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_loadfunz00zzsaw_defsz00,
				BGl_proc3392z00zzsaw_defsz00, BGl_string3388z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00,
				BGl_rtl_globalrefz00zzsaw_defsz00, BGl_proc3393z00zzsaw_defsz00,
				BGl_string3388z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_switchz00zzsaw_defsz00,
				BGl_proc3394z00zzsaw_defsz00, BGl_string3388z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_ifeqz00zzsaw_defsz00,
				BGl_proc3395z00zzsaw_defsz00, BGl_string3388z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_ifnez00zzsaw_defsz00,
				BGl_proc3396z00zzsaw_defsz00, BGl_string3388z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_goz00zzsaw_defsz00,
				BGl_proc3397z00zzsaw_defsz00, BGl_string3388z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_callz00zzsaw_defsz00,
				BGl_proc3398z00zzsaw_defsz00, BGl_string3388z00zzsaw_defsz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_pragmaz00zzsaw_defsz00,
				BGl_proc3399z00zzsaw_defsz00, BGl_string3388z00zzsaw_defsz00);
		}

	}



/* &dump-fun-rtl_pragma1817 */
	obj_t BGl_z62dumpzd2funzd2rtl_pragma1817z62zzsaw_defsz00(obj_t
		BgL_envz00_8392, obj_t BgL_oz00_8393, obj_t BgL_destz00_8394,
		obj_t BgL_argsz00_8395, obj_t BgL_pz00_8396, obj_t BgL_mz00_8397)
	{
		{	/* SawMill/defs.scm 429 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_pragmaz00_bglt) BgL_oz00_8393)), BgL_destz00_8394,
				BgL_pz00_8396);
			{	/* SawMill/defs.scm 431 */
				obj_t BgL_tmpz00_14562;

				BgL_tmpz00_14562 = ((obj_t) BgL_pz00_8396);
				bgl_display_string(BGl_string3108z00zzsaw_defsz00, BgL_tmpz00_14562);
			}
			bgl_display_obj(
				(((BgL_rtl_pragmaz00_bglt) COBJECT(
							((BgL_rtl_pragmaz00_bglt) BgL_oz00_8393)))->BgL_formatz00),
				BgL_pz00_8396);
			{	/* SawMill/defs.scm 433 */
				obj_t BgL_tmpz00_14568;

				BgL_tmpz00_14568 = ((obj_t) BgL_pz00_8396);
				bgl_display_string(BGl_string3108z00zzsaw_defsz00, BgL_tmpz00_14568);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8395, BgL_pz00_8396));
		}

	}



/* &dump-fun-rtl_call1815 */
	obj_t BGl_z62dumpzd2funzd2rtl_call1815z62zzsaw_defsz00(obj_t BgL_envz00_8398,
		obj_t BgL_oz00_8399, obj_t BgL_destz00_8400, obj_t BgL_argsz00_8401,
		obj_t BgL_pz00_8402, obj_t BgL_mz00_8403)
	{
		{	/* SawMill/defs.scm 409 */
			{	/* SawMill/defs.scm 411 */
				obj_t BgL_arg2951z00_9732;

				{	/* SawMill/defs.scm 411 */
					obj_t BgL_ouz00_9733;
					obj_t BgL_oaz00_9734;

					BgL_ouz00_9733 = BGl_za2userzd2shapezf3za2z21zzengine_paramz00;
					BgL_oaz00_9734 = BGl_za2accesszd2shapezf3za2z21zzengine_paramz00;
					BGl_za2userzd2shapezf3za2z21zzengine_paramz00 = BFALSE;
					BGl_za2accesszd2shapezf3za2z21zzengine_paramz00 = BFALSE;
					{	/* SawMill/defs.scm 415 */
						obj_t BgL_rz00_9735;

						{	/* SawMill/defs.scm 415 */
							BgL_globalz00_bglt BgL_arg2952z00_9736;

							BgL_arg2952z00_9736 =
								(((BgL_rtl_callz00_bglt) COBJECT(
										((BgL_rtl_callz00_bglt) BgL_oz00_8399)))->BgL_varz00);
							BgL_rz00_9735 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2952z00_9736));
						}
						BGl_za2userzd2shapezf3za2z21zzengine_paramz00 = BgL_ouz00_9733;
						BGl_za2accesszd2shapezf3za2z21zzengine_paramz00 = BgL_oaz00_9734;
						BgL_arg2951z00_9732 = BgL_rz00_9735;
					}
				}
				bgl_display_obj(BgL_arg2951z00_9732, BgL_pz00_8402);
			}
			{	/* SawMill/defs.scm 420 */
				bool_t BgL_test4372z00_14578;

				if (CBOOL(BgL_destz00_8400))
					{	/* SawMill/defs.scm 420 */
						BgL_test4372z00_14578 = CBOOL(BGl_debugzd2sawzd2zzsaw_defsz00);
					}
				else
					{	/* SawMill/defs.scm 420 */
						BgL_test4372z00_14578 = ((bool_t) 0);
					}
				if (BgL_test4372z00_14578)
					{	/* SawMill/defs.scm 420 */
						{	/* SawMill/defs.scm 421 */
							obj_t BgL_tmpz00_14582;

							BgL_tmpz00_14582 = ((obj_t) BgL_pz00_8402);
							bgl_display_string(BGl_string3113z00zzsaw_defsz00,
								BgL_tmpz00_14582);
						}
						BGl_dumpz00zzsaw_defsz00(BgL_destz00_8400, BgL_pz00_8402,
							(int) (0L));
						{	/* SawMill/defs.scm 423 */
							obj_t BgL_tmpz00_14587;

							BgL_tmpz00_14587 = ((obj_t) BgL_pz00_8402);
							bgl_display_string(BGl_string3112z00zzsaw_defsz00,
								BgL_tmpz00_14587);
					}}
				else
					{	/* SawMill/defs.scm 420 */
						BFALSE;
					}
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8401, BgL_pz00_8402));
		}

	}



/* &dump-fun-rtl_go1813 */
	obj_t BGl_z62dumpzd2funzd2rtl_go1813z62zzsaw_defsz00(obj_t BgL_envz00_8404,
		obj_t BgL_oz00_8405, obj_t BgL_destz00_8406, obj_t BgL_argsz00_8407,
		obj_t BgL_pz00_8408, obj_t BgL_mz00_8409)
	{
		{	/* SawMill/defs.scm 399 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_goz00_bglt) BgL_oz00_8405)), BgL_destz00_8406,
				BgL_pz00_8408);
			{	/* SawMill/defs.scm 402 */
				obj_t BgL_tmpz00_14595;

				BgL_tmpz00_14595 = ((obj_t) BgL_pz00_8408);
				bgl_display_string(BGl_string3108z00zzsaw_defsz00, BgL_tmpz00_14595);
			}
			{	/* SawMill/defs.scm 403 */
				int BgL_arg2949z00_9738;

				BgL_arg2949z00_9738 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_goz00_bglt) COBJECT(
										((BgL_rtl_goz00_bglt) BgL_oz00_8405)))->BgL_toz00)))->
					BgL_labelz00);
				bgl_display_obj(BINT(BgL_arg2949z00_9738), BgL_pz00_8408);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8407, BgL_pz00_8408));
		}

	}



/* &dump-fun-rtl_ifne1811 */
	obj_t BGl_z62dumpzd2funzd2rtl_ifne1811z62zzsaw_defsz00(obj_t BgL_envz00_8410,
		obj_t BgL_oz00_8411, obj_t BgL_destz00_8412, obj_t BgL_argsz00_8413,
		obj_t BgL_pz00_8414, obj_t BgL_mz00_8415)
	{
		{	/* SawMill/defs.scm 388 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_ifnez00_bglt) BgL_oz00_8411)), BgL_destz00_8412,
				BgL_pz00_8414);
			BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8413, BgL_pz00_8414);
			{	/* SawMill/defs.scm 392 */
				obj_t BgL_tmpz00_14609;

				BgL_tmpz00_14609 = ((obj_t) BgL_pz00_8414);
				bgl_display_string(BGl_string3400z00zzsaw_defsz00, BgL_tmpz00_14609);
			}
			{	/* SawMill/defs.scm 393 */
				int BgL_arg2945z00_9740;

				BgL_arg2945z00_9740 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_ifnez00_bglt) COBJECT(
										((BgL_rtl_ifnez00_bglt) BgL_oz00_8411)))->BgL_thenz00)))->
					BgL_labelz00);
				bgl_display_obj(BINT(BgL_arg2945z00_9740), BgL_pz00_8414);
			}
			{	/* SawMill/defs.scm 394 */
				obj_t BgL_tmpz00_14617;

				BgL_tmpz00_14617 = ((obj_t) BgL_pz00_8414);
				return
					bgl_display_string(BGl_string3112z00zzsaw_defsz00, BgL_tmpz00_14617);
			}
		}

	}



/* &dump-fun-rtl_ifeq1809 */
	obj_t BGl_z62dumpzd2funzd2rtl_ifeq1809z62zzsaw_defsz00(obj_t BgL_envz00_8416,
		obj_t BgL_oz00_8417, obj_t BgL_destz00_8418, obj_t BgL_argsz00_8419,
		obj_t BgL_pz00_8420, obj_t BgL_mz00_8421)
	{
		{	/* SawMill/defs.scm 377 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_ifeqz00_bglt) BgL_oz00_8417)), BgL_destz00_8418,
				BgL_pz00_8420);
			BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8419, BgL_pz00_8420);
			{	/* SawMill/defs.scm 381 */
				obj_t BgL_tmpz00_14624;

				BgL_tmpz00_14624 = ((obj_t) BgL_pz00_8420);
				bgl_display_string(BGl_string3400z00zzsaw_defsz00, BgL_tmpz00_14624);
			}
			{	/* SawMill/defs.scm 382 */
				int BgL_arg2943z00_9742;

				BgL_arg2943z00_9742 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_ifeqz00_bglt) COBJECT(
										((BgL_rtl_ifeqz00_bglt) BgL_oz00_8417)))->BgL_thenz00)))->
					BgL_labelz00);
				bgl_display_obj(BINT(BgL_arg2943z00_9742), BgL_pz00_8420);
			}
			{	/* SawMill/defs.scm 383 */
				obj_t BgL_tmpz00_14632;

				BgL_tmpz00_14632 = ((obj_t) BgL_pz00_8420);
				return
					bgl_display_string(BGl_string3112z00zzsaw_defsz00, BgL_tmpz00_14632);
			}
		}

	}



/* &dump-fun-rtl_switch1807 */
	obj_t BGl_z62dumpzd2funzd2rtl_switch1807z62zzsaw_defsz00(obj_t
		BgL_envz00_8422, obj_t BgL_oz00_8423, obj_t BgL_destz00_8424,
		obj_t BgL_argsz00_8425, obj_t BgL_pz00_8426, obj_t BgL_mz00_8427)
	{
		{	/* SawMill/defs.scm 367 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_switchz00_bglt) BgL_oz00_8423)), BgL_destz00_8424,
				BgL_pz00_8426);
			BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8425, BgL_pz00_8426);
			{	/* SawMill/defs.scm 371 */
				obj_t BgL_tmpz00_14639;

				BgL_tmpz00_14639 = ((obj_t) BgL_pz00_8426);
				bgl_display_string(BGl_string3108z00zzsaw_defsz00, BgL_tmpz00_14639);
			}
			{	/* SawMill/defs.scm 372 */
				obj_t BgL_arg2933z00_9744;

				{	/* SawMill/defs.scm 372 */
					obj_t BgL_l1682z00_9745;

					BgL_l1682z00_9745 =
						(((BgL_rtl_switchz00_bglt) COBJECT(
								((BgL_rtl_switchz00_bglt) BgL_oz00_8423)))->BgL_labelsz00);
					if (NULLP(BgL_l1682z00_9745))
						{	/* SawMill/defs.scm 372 */
							BgL_arg2933z00_9744 = BNIL;
						}
					else
						{	/* SawMill/defs.scm 372 */
							obj_t BgL_head1684z00_9746;

							{	/* SawMill/defs.scm 372 */
								int BgL_arg2940z00_9747;

								BgL_arg2940z00_9747 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt)
												CAR(((obj_t) BgL_l1682z00_9745)))))->BgL_labelz00);
								BgL_head1684z00_9746 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg2940z00_9747), BNIL);
							}
							{	/* SawMill/defs.scm 372 */
								obj_t BgL_g1687z00_9748;

								BgL_g1687z00_9748 = CDR(((obj_t) BgL_l1682z00_9745));
								{
									obj_t BgL_l1682z00_9750;
									obj_t BgL_tail1685z00_9751;

									BgL_l1682z00_9750 = BgL_g1687z00_9748;
									BgL_tail1685z00_9751 = BgL_head1684z00_9746;
								BgL_zc3z04anonymousza32935ze3z87_9749:
									if (NULLP(BgL_l1682z00_9750))
										{	/* SawMill/defs.scm 372 */
											BgL_arg2933z00_9744 = BgL_head1684z00_9746;
										}
									else
										{	/* SawMill/defs.scm 372 */
											obj_t BgL_newtail1686z00_9752;

											{	/* SawMill/defs.scm 372 */
												int BgL_arg2938z00_9753;

												BgL_arg2938z00_9753 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																CAR(
																	((obj_t) BgL_l1682z00_9750)))))->
													BgL_labelz00);
												BgL_newtail1686z00_9752 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg2938z00_9753), BNIL);
											}
											SET_CDR(BgL_tail1685z00_9751, BgL_newtail1686z00_9752);
											{	/* SawMill/defs.scm 372 */
												obj_t BgL_arg2937z00_9754;

												BgL_arg2937z00_9754 = CDR(((obj_t) BgL_l1682z00_9750));
												{
													obj_t BgL_tail1685z00_14666;
													obj_t BgL_l1682z00_14665;

													BgL_l1682z00_14665 = BgL_arg2937z00_9754;
													BgL_tail1685z00_14666 = BgL_newtail1686z00_9752;
													BgL_tail1685z00_9751 = BgL_tail1685z00_14666;
													BgL_l1682z00_9750 = BgL_l1682z00_14665;
													goto BgL_zc3z04anonymousza32935ze3z87_9749;
												}
											}
										}
								}
							}
						}
				}
				return bgl_display_obj(BgL_arg2933z00_9744, BgL_pz00_8426);
			}
		}

	}



/* &dump-fun-rtl_globalr1805 */
	obj_t BGl_z62dumpzd2funzd2rtl_globalr1805z62zzsaw_defsz00(obj_t
		BgL_envz00_8428, obj_t BgL_oz00_8429, obj_t BgL_destz00_8430,
		obj_t BgL_argsz00_8431, obj_t BgL_pz00_8432, obj_t BgL_mz00_8433)
	{
		{	/* SawMill/defs.scm 358 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_globalrefz00_bglt) BgL_oz00_8429)), BgL_destz00_8430,
				BgL_pz00_8432);
			{	/* SawMill/defs.scm 360 */
				obj_t BgL_tmpz00_14671;

				BgL_tmpz00_14671 = ((obj_t) BgL_pz00_8432);
				bgl_display_string(BGl_string3108z00zzsaw_defsz00, BgL_tmpz00_14671);
			}
			{	/* SawMill/defs.scm 361 */
				obj_t BgL_arg2931z00_9756;

				{	/* SawMill/defs.scm 361 */
					BgL_globalz00_bglt BgL_arg2932z00_9757;

					BgL_arg2932z00_9757 =
						(((BgL_rtl_globalrefz00_bglt) COBJECT(
								((BgL_rtl_globalrefz00_bglt) BgL_oz00_8429)))->BgL_varz00);
					BgL_arg2931z00_9756 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2932z00_9757));
				}
				bgl_display_obj(BgL_arg2931z00_9756, BgL_pz00_8432);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8431, BgL_pz00_8432));
		}

	}



/* &dump-fun-rtl_loadfun1803 */
	obj_t BGl_z62dumpzd2funzd2rtl_loadfun1803z62zzsaw_defsz00(obj_t
		BgL_envz00_8434, obj_t BgL_oz00_8435, obj_t BgL_destz00_8436,
		obj_t BgL_argsz00_8437, obj_t BgL_pz00_8438, obj_t BgL_mz00_8439)
	{
		{	/* SawMill/defs.scm 349 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_loadfunz00_bglt) BgL_oz00_8435)), BgL_destz00_8436,
				BgL_pz00_8438);
			{	/* SawMill/defs.scm 351 */
				obj_t BgL_tmpz00_14684;

				BgL_tmpz00_14684 = ((obj_t) BgL_pz00_8438);
				bgl_display_string(BGl_string3108z00zzsaw_defsz00, BgL_tmpz00_14684);
			}
			{	/* SawMill/defs.scm 352 */
				obj_t BgL_arg2929z00_9759;

				{	/* SawMill/defs.scm 352 */
					BgL_globalz00_bglt BgL_arg2930z00_9760;

					BgL_arg2930z00_9760 =
						(((BgL_rtl_loadfunz00_bglt) COBJECT(
								((BgL_rtl_loadfunz00_bglt) BgL_oz00_8435)))->BgL_varz00);
					BgL_arg2929z00_9759 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2930z00_9760));
				}
				bgl_display_obj(BgL_arg2929z00_9759, BgL_pz00_8438);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8437, BgL_pz00_8438));
		}

	}



/* &dump-fun-rtl_loadg1801 */
	obj_t BGl_z62dumpzd2funzd2rtl_loadg1801z62zzsaw_defsz00(obj_t BgL_envz00_8440,
		obj_t BgL_oz00_8441, obj_t BgL_destz00_8442, obj_t BgL_argsz00_8443,
		obj_t BgL_pz00_8444, obj_t BgL_mz00_8445)
	{
		{	/* SawMill/defs.scm 340 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_loadgz00_bglt) BgL_oz00_8441)), BgL_destz00_8442,
				BgL_pz00_8444);
			{	/* SawMill/defs.scm 342 */
				obj_t BgL_tmpz00_14697;

				BgL_tmpz00_14697 = ((obj_t) BgL_pz00_8444);
				bgl_display_string(BGl_string3108z00zzsaw_defsz00, BgL_tmpz00_14697);
			}
			{	/* SawMill/defs.scm 343 */
				obj_t BgL_arg2927z00_9762;

				{	/* SawMill/defs.scm 343 */
					BgL_globalz00_bglt BgL_arg2928z00_9763;

					BgL_arg2928z00_9763 =
						(((BgL_rtl_loadgz00_bglt) COBJECT(
								((BgL_rtl_loadgz00_bglt) BgL_oz00_8441)))->BgL_varz00);
					BgL_arg2927z00_9762 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2928z00_9763));
				}
				bgl_display_obj(BgL_arg2927z00_9762, BgL_pz00_8444);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8443, BgL_pz00_8444));
		}

	}



/* &dump-fun-rtl_mov1799 */
	obj_t BGl_z62dumpzd2funzd2rtl_mov1799z62zzsaw_defsz00(obj_t BgL_envz00_8446,
		obj_t BgL_oz00_8447, obj_t BgL_destz00_8448, obj_t BgL_argsz00_8449,
		obj_t BgL_pz00_8450, obj_t BgL_mz00_8451)
	{
		{	/* SawMill/defs.scm 333 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_movz00_bglt) BgL_oz00_8447)), BgL_destz00_8448,
				BgL_pz00_8450);
			return BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8449,
					BgL_pz00_8450));
		}

	}



/* &dump-fun-rtl_loadi1797 */
	obj_t BGl_z62dumpzd2funzd2rtl_loadi1797z62zzsaw_defsz00(obj_t BgL_envz00_8452,
		obj_t BgL_oz00_8453, obj_t BgL_destz00_8454, obj_t BgL_argsz00_8455,
		obj_t BgL_pz00_8456, obj_t BgL_mz00_8457)
	{
		{	/* SawMill/defs.scm 324 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_loadiz00_bglt) BgL_oz00_8453)), BgL_destz00_8454,
				BgL_pz00_8456);
			{	/* SawMill/defs.scm 326 */
				obj_t BgL_tmpz00_14715;

				BgL_tmpz00_14715 = ((obj_t) BgL_pz00_8456);
				bgl_display_string(BGl_string3108z00zzsaw_defsz00, BgL_tmpz00_14715);
			}
			bgl_display_obj(
				(((BgL_atomz00_bglt) COBJECT(
							(((BgL_rtl_loadiz00_bglt) COBJECT(
										((BgL_rtl_loadiz00_bglt) BgL_oz00_8453)))->
								BgL_constantz00)))->BgL_valuez00), BgL_pz00_8456);
			return BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8455,
					BgL_pz00_8456));
		}

	}



/* &dump-fun-rtl_fun1795 */
	obj_t BGl_z62dumpzd2funzd2rtl_fun1795z62zzsaw_defsz00(obj_t BgL_envz00_8458,
		obj_t BgL_oz00_8459, obj_t BgL_destz00_8460, obj_t BgL_argsz00_8461,
		obj_t BgL_pz00_8462, obj_t BgL_mz00_8463)
	{
		{	/* SawMill/defs.scm 317 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt) BgL_oz00_8459), BgL_destz00_8460, BgL_pz00_8462);
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8461, BgL_pz00_8462));
		}

	}



/* &dump-rtl_reg1791 */
	obj_t BGl_z62dumpzd2rtl_reg1791zb0zzsaw_defsz00(obj_t BgL_envz00_8464,
		obj_t BgL_oz00_8465, obj_t BgL_pz00_8466, obj_t BgL_mz00_8467)
	{
		{	/* SawMill/defs.scm 291 */
			{	/* SawMill/defs.scm 292 */
				obj_t BgL_arg2922z00_9768;

				BgL_arg2922z00_9768 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_rtl_regz00_bglt) BgL_oz00_8465)));
				bgl_display_obj(BgL_arg2922z00_9768, BgL_pz00_8466);
			}
			if (CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
				{	/* SawMill/defs.scm 293 */
					{	/* SawMill/defs.scm 294 */
						obj_t BgL_tmpz00_14734;

						BgL_tmpz00_14734 = ((obj_t) BgL_pz00_8466);
						bgl_display_string(BGl_string3401z00zzsaw_defsz00,
							BgL_tmpz00_14734);
					}
					{	/* SawMill/defs.scm 295 */
						obj_t BgL_arg2923z00_9769;

						{	/* SawMill/defs.scm 295 */
							BgL_typez00_bglt BgL_arg2924z00_9770;

							BgL_arg2924z00_9770 =
								(((BgL_rtl_regz00_bglt) COBJECT(
										((BgL_rtl_regz00_bglt) BgL_oz00_8465)))->BgL_typez00);
							BgL_arg2923z00_9769 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2924z00_9770));
						}
						return bgl_display_obj(BgL_arg2923z00_9769, BgL_pz00_8466);
					}
				}
			else
				{	/* SawMill/defs.scm 293 */
					return BFALSE;
				}
		}

	}



/* &dump-rtl_ins1789 */
	obj_t BGl_z62dumpzd2rtl_ins1789zb0zzsaw_defsz00(obj_t BgL_envz00_8468,
		obj_t BgL_oz00_8469, obj_t BgL_pz00_8470, obj_t BgL_mz00_8471)
	{
		{	/* SawMill/defs.scm 259 */
			{	/* SawMill/defs.scm 261 */
				obj_t BgL_tmpz00_14742;

				BgL_tmpz00_14742 = ((obj_t) BgL_pz00_8470);
				bgl_display_string(BGl_string3402z00zzsaw_defsz00, BgL_tmpz00_14742);
			}
			if (CBOOL(
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_oz00_8469)))->BgL_destz00)))
				{	/* SawMill/defs.scm 262 */
					{	/* SawMill/defs.scm 263 */
						obj_t BgL_tmpz00_14749;

						BgL_tmpz00_14749 = ((obj_t) BgL_pz00_8470);
						bgl_display_string(BGl_string3111z00zzsaw_defsz00,
							BgL_tmpz00_14749);
					}
					BGl_dumpz00zzsaw_defsz00(
						(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_oz00_8469)))->BgL_destz00),
						BgL_pz00_8470, CINT(BgL_mz00_8471));
					{	/* SawMill/defs.scm 265 */
						obj_t BgL_tmpz00_14756;

						BgL_tmpz00_14756 = ((obj_t) BgL_pz00_8470);
						bgl_display_string(BGl_string3403z00zzsaw_defsz00,
							BgL_tmpz00_14756);
					}
				}
			else
				{	/* SawMill/defs.scm 262 */
					BFALSE;
				}
			BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_8469), BgL_pz00_8470, BgL_mz00_8471);
			if (CBOOL(
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_oz00_8469)))->BgL_destz00)))
				{	/* SawMill/defs.scm 268 */
					obj_t BgL_tmpz00_14765;

					BgL_tmpz00_14765 = ((obj_t) BgL_pz00_8470);
					bgl_display_string(BGl_string3112z00zzsaw_defsz00, BgL_tmpz00_14765);
				}
			else
				{	/* SawMill/defs.scm 267 */
					BFALSE;
				}
			{	/* SawMill/defs.scm 269 */
				obj_t BgL_tmpz00_14768;

				BgL_tmpz00_14768 = ((obj_t) BgL_pz00_8470);
				bgl_display_string(BGl_string3108z00zzsaw_defsz00, BgL_tmpz00_14768);
			}
			{	/* SawMill/defs.scm 270 */
				obj_t BgL_tmpz00_14771;

				BgL_tmpz00_14771 = ((obj_t) BgL_pz00_8470);
				bgl_display_string(BGl_string3404z00zzsaw_defsz00, BgL_tmpz00_14771);
			}
			if (NULLP(
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_oz00_8469)))->BgL_z52spillz52)))
				{	/* SawMill/defs.scm 271 */
					((bool_t) 0);
				}
			else
				{	/* SawMill/defs.scm 272 */
					obj_t BgL_g1681z00_9772;

					BgL_g1681z00_9772 =
						(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_oz00_8469)))->BgL_z52spillz52);
					{
						obj_t BgL_l1679z00_9774;

						BgL_l1679z00_9774 = BgL_g1681z00_9772;
					BgL_zc3z04anonymousza32892ze3z87_9773:
						if (PAIRP(BgL_l1679z00_9774))
							{	/* SawMill/defs.scm 272 */
								{	/* SawMill/defs.scm 273 */
									obj_t BgL_rz00_9775;

									BgL_rz00_9775 = CAR(BgL_l1679z00_9774);
									bgl_display_obj(BGl_shapez00zztools_shapez00(BgL_rz00_9775),
										BgL_pz00_8470);
									{	/* SawMill/defs.scm 274 */
										obj_t BgL_tmpz00_14785;

										BgL_tmpz00_14785 = ((obj_t) BgL_pz00_8470);
										bgl_display_string(BGl_string3108z00zzsaw_defsz00,
											BgL_tmpz00_14785);
									}
								}
								{
									obj_t BgL_l1679z00_14788;

									BgL_l1679z00_14788 = CDR(BgL_l1679z00_9774);
									BgL_l1679z00_9774 = BgL_l1679z00_14788;
									goto BgL_zc3z04anonymousza32892ze3z87_9773;
								}
							}
						else
							{	/* SawMill/defs.scm 272 */
								((bool_t) 1);
							}
					}
				}
			{	/* SawMill/defs.scm 276 */
				obj_t BgL_tmpz00_14790;

				BgL_tmpz00_14790 = ((obj_t) BgL_pz00_8470);
				bgl_display_string(BGl_string3112z00zzsaw_defsz00, BgL_tmpz00_14790);
			}
			{	/* SawMill/defs.scm 277 */
				obj_t BgL_tmpz00_14793;

				BgL_tmpz00_14793 = ((obj_t) BgL_pz00_8470);
				return
					bgl_display_string(BGl_string3405z00zzsaw_defsz00, BgL_tmpz00_14793);
			}
		}

	}



/* &dump-block1787 */
	obj_t BGl_z62dumpzd2block1787zb0zzsaw_defsz00(obj_t BgL_envz00_8472,
		obj_t BgL_oz00_8473, obj_t BgL_pz00_8474, obj_t BgL_mz00_8475)
	{
		{	/* SawMill/defs.scm 244 */
			{	/* SawMill/defs.scm 246 */
				obj_t BgL_tmpz00_14796;

				BgL_tmpz00_14796 = ((obj_t) BgL_pz00_8474);
				bgl_display_string(BGl_string3111z00zzsaw_defsz00, BgL_tmpz00_14796);
			}
			{	/* SawMill/defs.scm 246 */
				obj_t BgL_arg2856z00_9777;

				BgL_arg2856z00_9777 =
					bgl_typeof(((obj_t) ((BgL_blockz00_bglt) BgL_oz00_8473)));
				bgl_display_obj(BgL_arg2856z00_9777, BgL_pz00_8474);
			}
			{	/* SawMill/defs.scm 246 */
				obj_t BgL_tmpz00_14803;

				BgL_tmpz00_14803 = ((obj_t) BgL_pz00_8474);
				bgl_display_string(BGl_string3108z00zzsaw_defsz00, BgL_tmpz00_14803);
			}
			{	/* SawMill/defs.scm 246 */
				int BgL_arg2857z00_9778;

				BgL_arg2857z00_9778 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_8473)))->BgL_labelz00);
				bgl_display_obj(BINT(BgL_arg2857z00_9778), BgL_pz00_8474);
			}
			{	/* SawMill/defs.scm 246 */
				obj_t BgL_tmpz00_14810;

				BgL_tmpz00_14810 = ((obj_t) BgL_pz00_8474);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_14810);
			}
			{	/* SawMill/defs.scm 248 */
				long BgL_arg2858z00_9779;

				BgL_arg2858z00_9779 = ((long) CINT(BgL_mz00_8475) + 1L);
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8474,
					(int) (BgL_arg2858z00_9779));
			}
			{	/* SawMill/defs.scm 249 */
				obj_t BgL_tmpz00_14817;

				BgL_tmpz00_14817 = ((obj_t) BgL_pz00_8474);
				bgl_display_string(BGl_string3406z00zzsaw_defsz00, BgL_tmpz00_14817);
			}
			{	/* SawMill/defs.scm 249 */
				obj_t BgL_arg2859z00_9780;

				{	/* SawMill/defs.scm 249 */
					obj_t BgL_l1665z00_9781;

					BgL_l1665z00_9781 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oz00_8473)))->BgL_predsz00);
					if (NULLP(BgL_l1665z00_9781))
						{	/* SawMill/defs.scm 249 */
							BgL_arg2859z00_9780 = BNIL;
						}
					else
						{	/* SawMill/defs.scm 249 */
							obj_t BgL_head1667z00_9782;

							{	/* SawMill/defs.scm 249 */
								int BgL_arg2868z00_9783;

								BgL_arg2868z00_9783 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt)
												CAR(BgL_l1665z00_9781))))->BgL_labelz00);
								BgL_head1667z00_9782 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg2868z00_9783), BNIL);
							}
							{	/* SawMill/defs.scm 249 */
								obj_t BgL_g1670z00_9784;

								BgL_g1670z00_9784 = CDR(BgL_l1665z00_9781);
								{
									obj_t BgL_l1665z00_9786;
									obj_t BgL_tail1668z00_9787;

									BgL_l1665z00_9786 = BgL_g1670z00_9784;
									BgL_tail1668z00_9787 = BgL_head1667z00_9782;
								BgL_zc3z04anonymousza32861ze3z87_9785:
									if (NULLP(BgL_l1665z00_9786))
										{	/* SawMill/defs.scm 249 */
											BgL_arg2859z00_9780 = BgL_head1667z00_9782;
										}
									else
										{	/* SawMill/defs.scm 249 */
											obj_t BgL_newtail1669z00_9788;

											{	/* SawMill/defs.scm 249 */
												int BgL_arg2864z00_9789;

												BgL_arg2864z00_9789 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																CAR(
																	((obj_t) BgL_l1665z00_9786)))))->
													BgL_labelz00);
												BgL_newtail1669z00_9788 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg2864z00_9789), BNIL);
											}
											SET_CDR(BgL_tail1668z00_9787, BgL_newtail1669z00_9788);
											{	/* SawMill/defs.scm 249 */
												obj_t BgL_arg2863z00_9790;

												BgL_arg2863z00_9790 = CDR(((obj_t) BgL_l1665z00_9786));
												{
													obj_t BgL_tail1668z00_14842;
													obj_t BgL_l1665z00_14841;

													BgL_l1665z00_14841 = BgL_arg2863z00_9790;
													BgL_tail1668z00_14842 = BgL_newtail1669z00_9788;
													BgL_tail1668z00_9787 = BgL_tail1668z00_14842;
													BgL_l1665z00_9786 = BgL_l1665z00_14841;
													goto BgL_zc3z04anonymousza32861ze3z87_9785;
												}
											}
										}
								}
							}
						}
				}
				bgl_display_obj(BgL_arg2859z00_9780, BgL_pz00_8474);
			}
			{	/* SawMill/defs.scm 249 */
				obj_t BgL_tmpz00_14844;

				BgL_tmpz00_14844 = ((obj_t) BgL_pz00_8474);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_14844);
			}
			{	/* SawMill/defs.scm 250 */
				long BgL_arg2871z00_9791;

				BgL_arg2871z00_9791 = ((long) CINT(BgL_mz00_8475) + 1L);
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8474,
					(int) (BgL_arg2871z00_9791));
			}
			{	/* SawMill/defs.scm 251 */
				obj_t BgL_tmpz00_14851;

				BgL_tmpz00_14851 = ((obj_t) BgL_pz00_8474);
				bgl_display_string(BGl_string3407z00zzsaw_defsz00, BgL_tmpz00_14851);
			}
			{	/* SawMill/defs.scm 251 */
				obj_t BgL_arg2872z00_9792;

				{	/* SawMill/defs.scm 251 */
					obj_t BgL_l1672z00_9793;

					BgL_l1672z00_9793 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oz00_8473)))->BgL_succsz00);
					if (NULLP(BgL_l1672z00_9793))
						{	/* SawMill/defs.scm 251 */
							BgL_arg2872z00_9792 = BNIL;
						}
					else
						{	/* SawMill/defs.scm 251 */
							obj_t BgL_head1674z00_9794;

							{	/* SawMill/defs.scm 251 */
								int BgL_arg2881z00_9795;

								BgL_arg2881z00_9795 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt)
												CAR(BgL_l1672z00_9793))))->BgL_labelz00);
								BgL_head1674z00_9794 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg2881z00_9795), BNIL);
							}
							{	/* SawMill/defs.scm 251 */
								obj_t BgL_g1677z00_9796;

								BgL_g1677z00_9796 = CDR(BgL_l1672z00_9793);
								{
									obj_t BgL_l1672z00_9798;
									obj_t BgL_tail1675z00_9799;

									BgL_l1672z00_9798 = BgL_g1677z00_9796;
									BgL_tail1675z00_9799 = BgL_head1674z00_9794;
								BgL_zc3z04anonymousza32874ze3z87_9797:
									if (NULLP(BgL_l1672z00_9798))
										{	/* SawMill/defs.scm 251 */
											BgL_arg2872z00_9792 = BgL_head1674z00_9794;
										}
									else
										{	/* SawMill/defs.scm 251 */
											obj_t BgL_newtail1676z00_9800;

											{	/* SawMill/defs.scm 251 */
												int BgL_arg2877z00_9801;

												BgL_arg2877z00_9801 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																CAR(
																	((obj_t) BgL_l1672z00_9798)))))->
													BgL_labelz00);
												BgL_newtail1676z00_9800 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg2877z00_9801), BNIL);
											}
											SET_CDR(BgL_tail1675z00_9799, BgL_newtail1676z00_9800);
											{	/* SawMill/defs.scm 251 */
												obj_t BgL_arg2876z00_9802;

												BgL_arg2876z00_9802 = CDR(((obj_t) BgL_l1672z00_9798));
												{
													obj_t BgL_tail1675z00_14876;
													obj_t BgL_l1672z00_14875;

													BgL_l1672z00_14875 = BgL_arg2876z00_9802;
													BgL_tail1675z00_14876 = BgL_newtail1676z00_9800;
													BgL_tail1675z00_9799 = BgL_tail1675z00_14876;
													BgL_l1672z00_9798 = BgL_l1672z00_14875;
													goto BgL_zc3z04anonymousza32874ze3z87_9797;
												}
											}
										}
								}
							}
						}
				}
				bgl_display_obj(BgL_arg2872z00_9792, BgL_pz00_8474);
			}
			{	/* SawMill/defs.scm 251 */
				obj_t BgL_tmpz00_14878;

				BgL_tmpz00_14878 = ((obj_t) BgL_pz00_8474);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_14878);
			}
			{	/* SawMill/defs.scm 252 */
				long BgL_arg2884z00_9803;

				BgL_arg2884z00_9803 = ((long) CINT(BgL_mz00_8475) + 1L);
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8474,
					(int) (BgL_arg2884z00_9803));
			}
			{	/* SawMill/defs.scm 253 */
				obj_t BgL_arg2885z00_9804;
				long BgL_arg2886z00_9805;

				BgL_arg2885z00_9804 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_8473)))->BgL_firstz00);
				BgL_arg2886z00_9805 = ((long) CINT(BgL_mz00_8475) + 1L);
				BGl_dumpza2za2zzsaw_defsz00(BgL_arg2885z00_9804, BgL_pz00_8474,
					(int) (BgL_arg2886z00_9805));
			}
			{	/* SawMill/defs.scm 254 */
				obj_t BgL_tmpz00_14891;

				BgL_tmpz00_14891 = ((obj_t) BgL_pz00_8474);
				return
					bgl_display_string(BGl_string3408z00zzsaw_defsz00, BgL_tmpz00_14891);
			}
		}

	}



/* &shape-rtl_reg1783 */
	obj_t BGl_z62shapezd2rtl_reg1783zb0zzsaw_defsz00(obj_t BgL_envz00_8476,
		obj_t BgL_oz00_8477)
	{
		{	/* SawMill/defs.scm 131 */
			{	/* SawMill/defs.scm 132 */
				obj_t BgL_pz00_9807;

				{	/* SawMill/defs.scm 132 */

					{	/* SawMill/defs.scm 132 */

						BgL_pz00_9807 =
							BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE);
					}
				}
				if (CBOOL(
						(((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_oz00_8477)))->BgL_onexprzf3zf3)))
					{	/* SawMill/defs.scm 135 */
						bgl_display_string(BGl_string3409z00zzsaw_defsz00, BgL_pz00_9807);
						bgl_display_obj(
							(((BgL_rtl_regz00_bglt) COBJECT(
										((BgL_rtl_regz00_bglt) BgL_oz00_8477)))->BgL_namez00),
							BgL_pz00_9807);
					}
				else
					{	/* SawMill/defs.scm 135 */
						if (CBOOL(
								(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt) BgL_oz00_8477)))->
									BgL_hardwarez00)))
							{	/* SawMill/defs.scm 138 */
								bgl_display_string(BGl_string3410z00zzsaw_defsz00,
									BgL_pz00_9807);
								bgl_display_obj((((BgL_rtl_regz00_bglt)
											COBJECT(((BgL_rtl_regz00_bglt) BgL_oz00_8477)))->
										BgL_hardwarez00), BgL_pz00_9807);
							}
						else
							{	/* SawMill/defs.scm 138 */
								if (CBOOL(
										(((BgL_rtl_regz00_bglt) COBJECT(
													((BgL_rtl_regz00_bglt) BgL_oz00_8477)))->BgL_varz00)))
									{	/* SawMill/defs.scm 142 */
										obj_t BgL_arg2847z00_9808;

										BgL_arg2847z00_9808 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														(((BgL_rtl_regz00_bglt) COBJECT(
																	((BgL_rtl_regz00_bglt) BgL_oz00_8477)))->
															BgL_varz00))))->BgL_idz00);
										bgl_display_obj(BgL_arg2847z00_9808, BgL_pz00_9807);
									}
								else
									{	/* SawMill/defs.scm 141 */
										bgl_display_string(BGl_string3411z00zzsaw_defsz00,
											BgL_pz00_9807);
										bgl_display_obj((((BgL_rtl_regz00_bglt)
													COBJECT(((BgL_rtl_regz00_bglt) BgL_oz00_8477)))->
												BgL_namez00), BgL_pz00_9807);
									}
							}
					}
				if (CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
					{	/* SawMill/defs.scm 146 */
						bgl_display_string(BGl_string3401z00zzsaw_defsz00, BgL_pz00_9807);
						bgl_display_obj(
							(((BgL_typez00_bglt) COBJECT(
										(((BgL_rtl_regz00_bglt) COBJECT(
													((BgL_rtl_regz00_bglt) BgL_oz00_8477)))->
											BgL_typez00)))->BgL_idz00), BgL_pz00_9807);
					}
				else
					{	/* SawMill/defs.scm 146 */
						BFALSE;
					}
				if (CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00))
					{	/* SawMill/defs.scm 149 */
						bgl_display_string(BGl_string3412z00zzsaw_defsz00, BgL_pz00_9807);
						bgl_display_obj(
							(((BgL_rtl_regz00_bglt) COBJECT(
										((BgL_rtl_regz00_bglt) BgL_oz00_8477)))->BgL_keyz00),
							BgL_pz00_9807);
					}
				else
					{	/* SawMill/defs.scm 149 */
						BFALSE;
					}
				return bgl_close_output_port(BgL_pz00_9807);
			}
		}

	}



/* &shape-rtl_ins1781 */
	obj_t BGl_z62shapezd2rtl_ins1781zb0zzsaw_defsz00(obj_t BgL_envz00_8478,
		obj_t BgL_iz00_8479)
	{
		{	/* SawMill/defs.scm 123 */
			{	/* SawMill/defs.scm 126 */
				obj_t BgL_zc3z04anonymousza32841ze3z87_9810;

				BgL_zc3z04anonymousza32841ze3z87_9810 =
					MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32841ze3ze5zzsaw_defsz00,
					(int) (1L), (int) (1L));
				PROCEDURE_SET(BgL_zc3z04anonymousza32841ze3z87_9810,
					(int) (0L), ((obj_t) ((BgL_rtl_insz00_bglt) BgL_iz00_8479)));
				return
					BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00
					(BgL_zc3z04anonymousza32841ze3z87_9810);
			}
		}

	}



/* &<@anonymous:2841> */
	obj_t BGl_z62zc3z04anonymousza32841ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8480,
		obj_t BgL_opz00_8482)
	{
		{	/* SawMill/defs.scm 125 */
			{	/* SawMill/defs.scm 126 */
				BgL_rtl_insz00_bglt BgL_iz00_8481;

				BgL_iz00_8481 =
					((BgL_rtl_insz00_bglt) PROCEDURE_REF(BgL_envz00_8480, (int) (0L)));
				return
					BGl_dumpz00zzsaw_defsz00(
					((obj_t) BgL_iz00_8481), BgL_opz00_8482, (int) (0L));
		}}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(517137079L,
				BSTRING_TO_STRING(BGl_string3413z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string3413z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string3413z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string3413z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string3413z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string3413z00zzsaw_defsz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_libz00(57049157L,
				BSTRING_TO_STRING(BGl_string3413z00zzsaw_defsz00));
		}

	}

#ifdef __cplusplus
}
#endif
