/*===========================================================================*/
/*   (SawMill/node2rtl.scm)                                                  */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawMill/node2rtl.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_NODE2RTL_TYPE_DEFINITIONS
#define BGL_SAW_NODE2RTL_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_jumpexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                      *BgL_rtl_jumpexitz00_bglt;

	typedef struct BgL_rtl_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_failz00_bglt;

	typedef struct BgL_rtl_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                *BgL_rtl_ifz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_movz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_movz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                        *BgL_rtl_instanceofz00_bglt;

	typedef struct BgL_rtl_makeboxz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_makeboxz00_bglt;

	typedef struct BgL_rtl_boxrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxrefz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_boxsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_applyz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                   *BgL_rtl_applyz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_funsz00;
		obj_t BgL_rettypez00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_funcallz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_protectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_protectz00_bglt;

	typedef struct BgL_rtl_protectedz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                       *BgL_rtl_protectedz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_areaz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_blockz00_bgl *BgL_entryz00;
		struct BgL_blockz00_bgl *BgL_exitz00;
	}              *BgL_areaz00_bglt;

	typedef struct BgL_reversedz00_bgl
	{
	}                  *BgL_reversedz00_bglt;

	typedef struct BgL_rlocalz00_bgl
	{
		obj_t BgL_regz00;
		obj_t BgL_codez00;
	}                *BgL_rlocalz00_bglt;

	typedef struct BgL_retblockzf2tozf2_bgl
	{
		struct BgL_blockz00_bgl *BgL_toz00;
		struct BgL_rtl_regz00_bgl *BgL_dstz00;
	}                       *BgL_retblockzf2tozf2_bglt;


#endif													// BGL_SAW_NODE2RTL_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(BgL_nodez00_bglt);
	static BgL_areaz00_bglt BGl_moveze70ze7zzsaw_node2rtlz00(BgL_rtl_regz00_bglt,
		BgL_localz00_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_globalzd2ze3rtlz31zzsaw_node2rtlz00(BgL_globalz00_bglt);
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_newz00zzsaw_defsz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_rtl_pragmaz00zzsaw_defsz00;
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_node2rtlz00 = BUNSPEC;
	static obj_t BGl_imperativezf3zf3zzsaw_node2rtlz00(BgL_appz00_bglt,
		BgL_globalz00_bglt, obj_t);
	static BgL_areaz00_bglt BGl_z62predicatez62zzsaw_node2rtlz00(obj_t, obj_t,
		obj_t);
	static BgL_areaz00_bglt BGl_linkza2za2zzsaw_node2rtlz00(obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2sequence1726z81zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_bdestinationz12z12zzsaw_node2rtlz00(BgL_blockz00_bglt,
		BgL_rtl_regz00_bglt);
	static BgL_areaz00_bglt BGl_callza2za2zzsaw_node2rtlz00(obj_t,
		BgL_rtl_funz00_bglt, obj_t);
	extern obj_t BGl_newz00zzast_nodez00;
	extern obj_t BGl_rtl_boxrefz00zzsaw_defsz00;
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza32102ze3ze5zzsaw_node2rtlz00(obj_t,
		obj_t);
	static obj_t BGl_retblockzf2tozf2zzsaw_node2rtlz00 = BUNSPEC;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2app1737z81zzsaw_node2rtlz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static BgL_areaz00_bglt
		BGl_compilezd2labelzd2callz00zzsaw_node2rtlz00(BgL_localz00_bglt, obj_t);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_toplevelzd2initzd2zzsaw_node2rtlz00(void);
	extern obj_t BGl_rtl_protectz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2vref1753z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_rtl_boxsetz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vlengthz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2vsetz121755z93zzsaw_node2rtlz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static BgL_areaz00_bglt BGl_predicatez00zzsaw_node2rtlz00(BgL_nodez00_bglt,
		obj_t);
	extern obj_t BGl_rtl_makeboxz00zzsaw_defsz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_node2rtlz00(void);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_vsetz00zzsaw_defsz00;
	static obj_t BGl_objectzd2initzd2zzsaw_node2rtlz00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2atom1718z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vallocz00zzsaw_defsz00;
	static BgL_blockz00_bglt BGl_z62globalzd2ze3rtlz53zzsaw_node2rtlz00(obj_t,
		obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2instanceof1759z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62predicatezd2letzd2var1787z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_cast_nullz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadfunz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2vlength1757z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	static bool_t BGl_za2reversezd2callzd2argumentza2z00zzsaw_node2rtlz00;
	static BgL_areaz00_bglt BGl_singleza2za2zzsaw_node2rtlz00(obj_t,
		BgL_rtl_funz00_bglt, obj_t);
	static BgL_areaz00_bglt
		BGl_localzd2ze3codez31zzsaw_node2rtlz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_localzd2ze3regz31zzsaw_node2rtlz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_reversedz00zzsaw_node2rtlz00 = BUNSPEC;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2letzd2fun1735z53zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32125ze3ze5zzsaw_node2rtlz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_methodzd2initzd2zzsaw_node2rtlz00(void);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2valloc1751z81zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32142ze3ze5zzsaw_node2rtlz00(obj_t,
		obj_t);
	static BgL_areaz00_bglt BGl_forkz00zzsaw_node2rtlz00(BgL_areaz00_bglt, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62localzd2ze3regz53zzsaw_node2rtlz00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_jumpexitz00zzsaw_defsz00;
	static obj_t BGl_z62nodezd2ze3rtl1715z53zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static BgL_areaz00_bglt BGl_linkz00zzsaw_node2rtlz00(BgL_areaz00_bglt,
		BgL_areaz00_bglt);
	extern obj_t BGl_rtl_instanceofz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2appzd2ly1739z53zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_rtl_setfieldz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2retblock1777z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	static obj_t BGl_joinz00zzsaw_node2rtlz00(obj_t, BgL_rtl_regz00_bglt);
	static BgL_areaz00_bglt BGl_forkzf2joinzf2zzsaw_node2rtlz00(BgL_areaz00_bglt,
		obj_t, BgL_rtl_regz00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_argszd21ze70z35zzsaw_node2rtlz00(obj_t);
	extern obj_t BGl_rtl_ifz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62predicatezd2conditiona1785zb0zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	extern obj_t BGl_rtl_selectz00zzsaw_defsz00;
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static BgL_areaz00_bglt BGl_z62lambda2100z62zzsaw_node2rtlz00(obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2106z62zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2107z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_storegz00zzsaw_defsz00;
	static obj_t BGl_z62predicate1780z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2getfield1745z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2111z62zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2112z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2119z62zzsaw_node2rtlz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2switch1733z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_areaz00_bglt BGl_z62predicatezd2atom1783zb0zzsaw_node2rtlz00(obj_t,
		obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2conditiona1731z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2123z62zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_rtl_returnz00zzsaw_defsz00;
	static BgL_blockz00_bglt BGl_z62lambda2126z62zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_rtl_applyz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsync_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2return1779z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_localz00_bglt BGl_z62lambda2137z62zzsaw_node2rtlz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_synczd2ze3sequencez31zzsync_nodez00(BgL_syncz00_bglt);
	static BgL_localz00_bglt BGl_z62lambda2140z62zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2143z62zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	static obj_t BGl_areaz00zzsaw_node2rtlz00 = BUNSPEC;
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2letzd2var1722z53zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_rtl_failz00zzsaw_defsz00;
	static obj_t BGl_z62lambda2151z62zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62lambda2152z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2156z62zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2157z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_node2rtlz00(void);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2setfield1747z81zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_node2rtlz00(void);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2setq1724z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2setzd2exzd2it1765z81zzsaw_node2rtlz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static bool_t BGl_dfsze70ze7zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_node2rtlz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_node2rtlz00(void);
	static BgL_retblockz00_bglt BGl_z62lambda2164z62zzsaw_node2rtlz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32169ze3ze5zzsaw_node2rtlz00(obj_t,
		obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda2167z62zzsaw_node2rtlz00(obj_t,
		obj_t);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2funcall1741z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda2170z62zzsaw_node2rtlz00(obj_t,
		obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2new1749z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static BgL_blockz00_bglt BGl_z62lambda2177z62zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2178z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	static BgL_areaz00_bglt BGl_z62lambda2098z62zzsaw_node2rtlz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_rlocalz00zzsaw_node2rtlz00 = BUNSPEC;
	extern obj_t BGl_rtl_globalrefz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2sync1728z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_newzd2uregzd2zzsaw_node2rtlz00(BgL_localz00_bglt);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2cast1761z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda2182z62zzsaw_node2rtlz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2183z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	static BgL_rtl_regz00_bglt
		BGl_newzd2regzd2zzsaw_node2rtlz00(BgL_nodez00_bglt);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2castzd2null1763z53zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	static obj_t BGl_coercez00zzsaw_node2rtlz00(obj_t);
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2fail1769z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2boxzd2ref1773z53zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt BGl_z62nodezd2ze3rtlz53zzsaw_node2rtlz00(obj_t,
		obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2boxzd2setz121775z41zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2makezd2box1771z53zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2var1720z81zzsaw_node2rtlz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_rtl_protectedz00zzsaw_defsz00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_blockz00zzsaw_defsz00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_findzd2registerzd2zzsaw_node2rtlz00(obj_t,
		BgL_rtl_regz00_bglt);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2jumpzd2exzd2it1767z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2pragma1743z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_getzd2globalzd2zzsaw_node2rtlz00(BgL_globalz00_bglt);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static BgL_areaz00_bglt BGl_unlinkz00zzsaw_node2rtlz00(BgL_areaz00_bglt);
	static obj_t __cnst[19];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_predicatezd2envzd2zzsaw_node2rtlz00,
		BgL_bgl_za762predicateza762za72920za7, BGl_z62predicatez62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2921za7,
		BGl_z62nodezd2ze3rtlz53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2902z00zzsaw_node2rtlz00,
		BgL_bgl_string2902za700za7za7s2922za7, "predicate::area", 15);
	      DEFINE_STRING(BGl_string2905z00zzsaw_node2rtlz00,
		BgL_bgl_string2905za700za7za7s2923za7, "saw_node2rtl", 12);
	      DEFINE_STRING(BGl_string2906z00zzsaw_node2rtlz00,
		BgL_bgl_string2906za700za7za7s2924za7,
		"light elight node->rtl1715 _ retblock/to dst to rlocal code obj reg reversed saw_node2rtl area exit entry __evmeaning_address else procedure ",
		141);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2900z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2925za7,
		BGl_z62nodezd2ze3rtlzd2return1779z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2901z00zzsaw_node2rtlz00,
		BgL_bgl_za762predicateza7d2a2926z00,
		BGl_z62predicatezd2atom1783zb0zzsaw_node2rtlz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2903z00zzsaw_node2rtlz00,
		BgL_bgl_za762predicateza7d2c2927z00,
		BGl_z62predicatezd2conditiona1785zb0zzsaw_node2rtlz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2904z00zzsaw_node2rtlz00,
		BgL_bgl_za762predicateza7d2l2928z00,
		BGl_z62predicatezd2letzd2var1787z62zzsaw_node2rtlz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2835z00zzsaw_node2rtlz00,
		BgL_bgl_string2835za700za7za7s2929za7, "switch", 6);
	      DEFINE_STRING(BGl_string2836z00zzsaw_node2rtlz00,
		BgL_bgl_string2836za700za7za7s2930za7, "bad constant", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2837z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2107za7622931z00, BGl_z62lambda2107z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2838z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2106za7622932z00, BGl_z62lambda2106z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2839z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2112za7622933z00, BGl_z62lambda2112z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2840z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2111za7622934z00, BGl_z62lambda2111z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2841z00zzsaw_node2rtlz00,
		BgL_bgl_za762za7c3za704anonymo2935za7,
		BGl_z62zc3z04anonymousza32102ze3ze5zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2842z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2100za7622936z00, BGl_z62lambda2100z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2843z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2098za7622937z00, BGl_z62lambda2098z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2844z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2126za7622938z00, BGl_z62lambda2126z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2845z00zzsaw_node2rtlz00,
		BgL_bgl_za762za7c3za704anonymo2939za7,
		BGl_z62zc3z04anonymousza32125ze3ze5zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2846z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2123za7622940z00, BGl_z62lambda2123z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2847z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2119za7622941z00, BGl_z62lambda2119z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2848z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2152za7622942z00, BGl_z62lambda2152z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2849z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2151za7622943z00, BGl_z62lambda2151z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2850z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2157za7622944z00, BGl_z62lambda2157z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2851z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2156za7622945z00, BGl_z62lambda2156z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2852z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2143za7622946z00, BGl_z62lambda2143z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2853z00zzsaw_node2rtlz00,
		BgL_bgl_za762za7c3za704anonymo2947za7,
		BGl_z62zc3z04anonymousza32142ze3ze5zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2854z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2140za7622948z00, BGl_z62lambda2140z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2855z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2137za7622949z00, BGl_z62lambda2137z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2856z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2178za7622950z00, BGl_z62lambda2178z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2857z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2177za7622951z00, BGl_z62lambda2177z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2858z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2183za7622952z00, BGl_z62lambda2183z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2865z00zzsaw_node2rtlz00,
		BgL_bgl_string2865za700za7za7s2953za7, "node->rtl1715", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2859z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2182za7622954z00, BGl_z62lambda2182z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2867z00zzsaw_node2rtlz00,
		BgL_bgl_string2867za700za7za7s2955za7, "predicate1780", 13);
	      DEFINE_STRING(BGl_string2868z00zzsaw_node2rtlz00,
		BgL_bgl_string2868za700za7za7s2956za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2860z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2170za7622957z00, BGl_z62lambda2170z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2861z00zzsaw_node2rtlz00,
		BgL_bgl_za762za7c3za704anonymo2958za7,
		BGl_z62zc3z04anonymousza32169ze3ze5zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2862z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2167za7622959z00, BGl_z62lambda2167z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2863z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2164za7622960z00, BGl_z62lambda2164z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string2870z00zzsaw_node2rtlz00,
		BgL_bgl_string2870za700za7za7s2961za7, "node->rtl::area", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2864z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2962za7,
		BGl_z62nodezd2ze3rtl1715z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2866z00zzsaw_node2rtlz00,
		BgL_bgl_za762predicate17802963za7, BGl_z62predicate1780z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2869z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2964za7,
		BGl_z62nodezd2ze3rtlzd2atom1718z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2871z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2965za7,
		BGl_z62nodezd2ze3rtlzd2var1720z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2872z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2966za7,
		BGl_z62nodezd2ze3rtlzd2letzd2var1722z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2873z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2967za7,
		BGl_z62nodezd2ze3rtlzd2setq1724z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2874z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2968za7,
		BGl_z62nodezd2ze3rtlzd2sequence1726z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2875z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2969za7,
		BGl_z62nodezd2ze3rtlzd2sync1728z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2876z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2970za7,
		BGl_z62nodezd2ze3rtlzd2conditiona1731z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2877z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2971za7,
		BGl_z62nodezd2ze3rtlzd2switch1733z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2878z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2972za7,
		BGl_z62nodezd2ze3rtlzd2letzd2fun1735z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2879z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2973za7,
		BGl_z62nodezd2ze3rtlzd2app1737z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2880z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2974za7,
		BGl_z62nodezd2ze3rtlzd2appzd2ly1739z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2881z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2975za7,
		BGl_z62nodezd2ze3rtlzd2funcall1741z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2882z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2976za7,
		BGl_z62nodezd2ze3rtlzd2pragma1743z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2883z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2977za7,
		BGl_z62nodezd2ze3rtlzd2getfield1745z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2884z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2978za7,
		BGl_z62nodezd2ze3rtlzd2setfield1747z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2885z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2979za7,
		BGl_z62nodezd2ze3rtlzd2new1749z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2886z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2980za7,
		BGl_z62nodezd2ze3rtlzd2valloc1751z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2887z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2981za7,
		BGl_z62nodezd2ze3rtlzd2vref1753z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2888z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2982za7,
		BGl_z62nodezd2ze3rtlzd2vsetz121755z93zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2889z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2983za7,
		BGl_z62nodezd2ze3rtlzd2vlength1757z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2890z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2984za7,
		BGl_z62nodezd2ze3rtlzd2instanceof1759z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2891z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2985za7,
		BGl_z62nodezd2ze3rtlzd2cast1761z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2892z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2986za7,
		BGl_z62nodezd2ze3rtlzd2castzd2null1763z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2893z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2987za7,
		BGl_z62nodezd2ze3rtlzd2setzd2exzd2it1765z81zzsaw_node2rtlz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2894z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2988za7,
		BGl_z62nodezd2ze3rtlzd2jumpzd2exzd2it1767z81zzsaw_node2rtlz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2895z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2989za7,
		BGl_z62nodezd2ze3rtlzd2fail1769z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2896z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2990za7,
		BGl_z62nodezd2ze3rtlzd2makezd2box1771z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2897z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2991za7,
		BGl_z62nodezd2ze3rtlzd2boxzd2ref1773z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2898z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2992za7,
		BGl_z62nodezd2ze3rtlzd2boxzd2setz121775z41zzsaw_node2rtlz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2899z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2993za7,
		BGl_z62nodezd2ze3rtlzd2retblock1777z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2ze3rtlzd2envze3zzsaw_node2rtlz00,
		BgL_bgl_za762globalza7d2za7e3r2994za7,
		BGl_z62globalzd2ze3rtlz53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2ze3regzd2envze3zzsaw_node2rtlz00,
		BgL_bgl_za762localza7d2za7e3re2995za7,
		BGl_z62localzd2ze3regz53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_node2rtlz00));
		     ADD_ROOT((void *) (&BGl_retblockzf2tozf2zzsaw_node2rtlz00));
		     ADD_ROOT((void *) (&BGl_reversedz00zzsaw_node2rtlz00));
		     ADD_ROOT((void *) (&BGl_areaz00zzsaw_node2rtlz00));
		     ADD_ROOT((void *) (&BGl_rlocalz00zzsaw_node2rtlz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long
		BgL_checksumz00_6336, char *BgL_fromz00_6337)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_node2rtlz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_node2rtlz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_node2rtlz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_node2rtlz00();
					BGl_cnstzd2initzd2zzsaw_node2rtlz00();
					BGl_importedzd2moduleszd2initz00zzsaw_node2rtlz00();
					BGl_objectzd2initzd2zzsaw_node2rtlz00();
					BGl_genericzd2initzd2zzsaw_node2rtlz00();
					BGl_methodzd2initzd2zzsaw_node2rtlz00();
					return BGl_toplevelzd2initzd2zzsaw_node2rtlz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L,
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "saw_node2rtl");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			{	/* SawMill/node2rtl.scm 1 */
				obj_t BgL_cportz00_5740;

				{	/* SawMill/node2rtl.scm 1 */
					obj_t BgL_stringz00_5747;

					BgL_stringz00_5747 = BGl_string2906z00zzsaw_node2rtlz00;
					{	/* SawMill/node2rtl.scm 1 */
						obj_t BgL_startz00_5748;

						BgL_startz00_5748 = BINT(0L);
						{	/* SawMill/node2rtl.scm 1 */
							obj_t BgL_endz00_5749;

							BgL_endz00_5749 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5747)));
							{	/* SawMill/node2rtl.scm 1 */

								BgL_cportz00_5740 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5747, BgL_startz00_5748, BgL_endz00_5749);
				}}}}
				{
					long BgL_iz00_5741;

					BgL_iz00_5741 = 18L;
				BgL_loopz00_5742:
					if ((BgL_iz00_5741 == -1L))
						{	/* SawMill/node2rtl.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/node2rtl.scm 1 */
							{	/* SawMill/node2rtl.scm 1 */
								obj_t BgL_arg2919z00_5743;

								{	/* SawMill/node2rtl.scm 1 */

									{	/* SawMill/node2rtl.scm 1 */
										obj_t BgL_locationz00_5745;

										BgL_locationz00_5745 = BBOOL(((bool_t) 0));
										{	/* SawMill/node2rtl.scm 1 */

											BgL_arg2919z00_5743 =
												BGl_readz00zz__readerz00(BgL_cportz00_5740,
												BgL_locationz00_5745);
										}
									}
								}
								{	/* SawMill/node2rtl.scm 1 */
									int BgL_tmpz00_6371;

									BgL_tmpz00_6371 = (int) (BgL_iz00_5741);
									CNST_TABLE_SET(BgL_tmpz00_6371, BgL_arg2919z00_5743);
							}}
							{	/* SawMill/node2rtl.scm 1 */
								int BgL_auxz00_5746;

								BgL_auxz00_5746 = (int) ((BgL_iz00_5741 - 1L));
								{
									long BgL_iz00_6376;

									BgL_iz00_6376 = (long) (BgL_auxz00_5746);
									BgL_iz00_5741 = BgL_iz00_6376;
									goto BgL_loopz00_5742;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_za2reversezd2callzd2argumentza2z00zzsaw_node2rtlz00 = ((bool_t) 0);
			return BUNSPEC;
		}

	}



/* global->rtl */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_globalzd2ze3rtlz31zzsaw_node2rtlz00(BgL_globalz00_bglt BgL_varz00_96)
	{
		{	/* SawMill/node2rtl.scm 34 */
			{	/* SawMill/node2rtl.scm 35 */
				BgL_areaz00_bglt BgL_az00_2254;

				{	/* SawMill/node2rtl.scm 35 */
					BgL_rtl_returnz00_bglt BgL_arg1836z00_2277;
					obj_t BgL_arg1837z00_2278;

					{	/* SawMill/node2rtl.scm 35 */
						BgL_rtl_returnz00_bglt BgL_new1212z00_2280;

						{	/* SawMill/node2rtl.scm 35 */
							BgL_rtl_returnz00_bglt BgL_new1211z00_2281;

							BgL_new1211z00_2281 =
								((BgL_rtl_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_returnz00_bgl))));
							{	/* SawMill/node2rtl.scm 35 */
								long BgL_arg1839z00_2282;

								BgL_arg1839z00_2282 =
									BGL_CLASS_NUM(BGl_rtl_returnz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1211z00_2281),
									BgL_arg1839z00_2282);
							}
							BgL_new1212z00_2280 = BgL_new1211z00_2281;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1212z00_2280)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_returnz00_bglt) COBJECT(BgL_new1212z00_2280))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_variablez00_bglt)
										COBJECT(((BgL_variablez00_bglt) BgL_varz00_96)))->
									BgL_typez00)), BUNSPEC);
						BgL_arg1836z00_2277 = BgL_new1212z00_2280;
					}
					BgL_arg1837z00_2278 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_varz00_96)))->
										BgL_valuez00))))->BgL_bodyz00);
					{	/* SawMill/node2rtl.scm 35 */
						obj_t BgL_list1838z00_2279;

						BgL_list1838z00_2279 = MAKE_YOUNG_PAIR(BgL_arg1837z00_2278, BNIL);
						BgL_az00_2254 =
							BGl_callza2za2zzsaw_node2rtlz00(BFALSE,
							((BgL_rtl_funz00_bglt) BgL_arg1836z00_2277),
							BgL_list1838z00_2279);
				}}
				{	/* SawMill/node2rtl.scm 38 */
					struct bgl_cell BgL_box2998_5737z00;
					BgL_blockz00_bglt BgL_rz00_2255;
					obj_t BgL_nz00_5737;

					BgL_rz00_2255 =
						(((BgL_areaz00_bglt) COBJECT(BgL_az00_2254))->BgL_entryz00);
					BgL_nz00_5737 = MAKE_CELL_STACK(BINT(0L), BgL_box2998_5737z00);
					BGl_dfsze70ze7zzsaw_node2rtlz00(BgL_nz00_5737,
						((obj_t) BgL_rz00_2255));
					return BgL_rz00_2255;
				}
			}
		}

	}



/* dfs~0 */
	bool_t BGl_dfsze70ze7zzsaw_node2rtlz00(obj_t BgL_nz00_5735,
		obj_t BgL_bz00_2258)
	{
		{	/* SawMill/node2rtl.scm 39 */
			{	/* SawMill/node2rtl.scm 40 */
				BgL_reversedz00_bglt BgL_wide1215z00_2262;

				BgL_wide1215z00_2262 =
					((BgL_reversedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_reversedz00_bgl))));
				{	/* SawMill/node2rtl.scm 40 */
					obj_t BgL_auxz00_6404;
					BgL_objectz00_bglt BgL_tmpz00_6400;

					BgL_auxz00_6404 = ((obj_t) BgL_wide1215z00_2262);
					BgL_tmpz00_6400 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2258)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6400, BgL_auxz00_6404);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2258)));
				{	/* SawMill/node2rtl.scm 40 */
					long BgL_arg1829z00_2263;

					BgL_arg1829z00_2263 = BGL_CLASS_NUM(BGl_reversedz00zzsaw_node2rtlz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_bz00_2258))), BgL_arg1829z00_2263);
				}
				((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2258)));
			}
			((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2258));
			{	/* SawMill/node2rtl.scm 41 */
				int BgL_vz00_3969;

				BgL_vz00_3969 = CINT(CELL_REF(BgL_nz00_5735));
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_2258)))->BgL_labelz00) =
					((int) BgL_vz00_3969), BUNSPEC);
			}
			{	/* SawMill/node2rtl.scm 42 */
				obj_t BgL_auxz00_5736;

				BgL_auxz00_5736 = ADDFX(CELL_REF(BgL_nz00_5735), BINT(1L));
				CELL_SET(BgL_nz00_5735, BgL_auxz00_5736);
			}
			{	/* SawMill/node2rtl.scm 43 */
				obj_t BgL_g1619z00_2265;

				BgL_g1619z00_2265 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_bz00_2258)))->BgL_succsz00);
				{
					obj_t BgL_l1617z00_2267;

					BgL_l1617z00_2267 = BgL_g1619z00_2265;
				BgL_zc3z04anonymousza31830ze3z87_2268:
					if (PAIRP(BgL_l1617z00_2267))
						{	/* SawMill/node2rtl.scm 46 */
							{	/* SawMill/node2rtl.scm 44 */
								obj_t BgL_sz00_2270;

								BgL_sz00_2270 = CAR(BgL_l1617z00_2267);
								{	/* SawMill/node2rtl.scm 44 */
									obj_t BgL_arg1832z00_2271;

									{	/* SawMill/node2rtl.scm 44 */
										obj_t BgL_arg1833z00_2272;

										BgL_arg1833z00_2272 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_sz00_2270)))->BgL_predsz00);
										BgL_arg1832z00_2271 =
											MAKE_YOUNG_PAIR(BgL_bz00_2258, BgL_arg1833z00_2272);
									}
									{	/* SawMill/node2rtl.scm 44 */
										obj_t BgL_vz00_3975;

										BgL_vz00_3975 = BgL_arg1832z00_2271;
										((((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt) BgL_sz00_2270)))->
												BgL_predsz00) = ((obj_t) BgL_vz00_3975), BUNSPEC);
									}
								}
								{	/* SawMill/node2rtl.scm 45 */
									bool_t BgL_test3000z00_6435;

									{	/* SawMill/node2rtl.scm 45 */
										obj_t BgL_classz00_3976;

										BgL_classz00_3976 = BGl_reversedz00zzsaw_node2rtlz00;
										if (BGL_OBJECTP(BgL_sz00_2270))
											{	/* SawMill/node2rtl.scm 45 */
												obj_t BgL_oclassz00_3978;

												{	/* SawMill/node2rtl.scm 45 */
													long BgL_arg1808z00_3980;

													{	/* SawMill/node2rtl.scm 45 */
														long BgL_arg1809z00_3981;

														BgL_arg1809z00_3981 =
															BGL_OBJECT_CLASS_NUM(
															((BgL_objectz00_bglt) BgL_sz00_2270));
														BgL_arg1808z00_3980 =
															(BgL_arg1809z00_3981 - OBJECT_TYPE);
													}
													BgL_oclassz00_3978 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1808z00_3980);
												}
												BgL_test3000z00_6435 =
													(BgL_oclassz00_3978 == BgL_classz00_3976);
											}
										else
											{	/* SawMill/node2rtl.scm 45 */
												BgL_test3000z00_6435 = ((bool_t) 0);
											}
									}
									if (BgL_test3000z00_6435)
										{	/* SawMill/node2rtl.scm 45 */
											((bool_t) 0);
										}
									else
										{	/* SawMill/node2rtl.scm 45 */
											BGl_dfsze70ze7zzsaw_node2rtlz00(BgL_nz00_5735,
												BgL_sz00_2270);
										}
								}
							}
							{
								obj_t BgL_l1617z00_6444;

								BgL_l1617z00_6444 = CDR(BgL_l1617z00_2267);
								BgL_l1617z00_2267 = BgL_l1617z00_6444;
								goto BgL_zc3z04anonymousza31830ze3z87_2268;
							}
						}
					else
						{	/* SawMill/node2rtl.scm 46 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* &global->rtl */
	BgL_blockz00_bglt BGl_z62globalzd2ze3rtlz53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5506, obj_t BgL_varz00_5507)
	{
		{	/* SawMill/node2rtl.scm 34 */
			return
				BGl_globalzd2ze3rtlz31zzsaw_node2rtlz00(
				((BgL_globalz00_bglt) BgL_varz00_5507));
		}

	}



/* get-global */
	BgL_globalz00_bglt BGl_getzd2globalzd2zzsaw_node2rtlz00(BgL_globalz00_bglt
		BgL_varz00_97)
	{
		{	/* SawMill/node2rtl.scm 49 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_varz00_97));
			if (CBOOL((((BgL_globalz00_bglt) COBJECT(BgL_varz00_97))->BgL_aliasz00)))
				{	/* SawMill/node2rtl.scm 53 */
					obj_t BgL_unaliasz00_2286;

					{	/* SawMill/node2rtl.scm 53 */
						obj_t BgL_arg1843z00_2288;
						obj_t BgL_arg1844z00_2289;

						BgL_arg1843z00_2288 =
							(((BgL_globalz00_bglt) COBJECT(BgL_varz00_97))->BgL_aliasz00);
						BgL_arg1844z00_2289 =
							(((BgL_globalz00_bglt) COBJECT(BgL_varz00_97))->BgL_modulez00);
						{	/* SawMill/node2rtl.scm 53 */
							obj_t BgL_list1845z00_2290;

							BgL_list1845z00_2290 = MAKE_YOUNG_PAIR(BgL_arg1844z00_2289, BNIL);
							BgL_unaliasz00_2286 =
								BGl_findzd2globalzd2zzast_envz00(BgL_arg1843z00_2288,
								BgL_list1845z00_2290);
						}
					}
					{	/* SawMill/node2rtl.scm 54 */
						bool_t BgL_test3003z00_6457;

						{	/* SawMill/node2rtl.scm 54 */
							obj_t BgL_classz00_3988;

							BgL_classz00_3988 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_unaliasz00_2286))
								{	/* SawMill/node2rtl.scm 54 */
									BgL_objectz00_bglt BgL_arg1801z00_3990;

									BgL_arg1801z00_3990 =
										(BgL_objectz00_bglt) (BgL_unaliasz00_2286);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawMill/node2rtl.scm 54 */
											long BgL_idxz00_3996;

											BgL_idxz00_3996 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3990);
											BgL_test3003z00_6457 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3996 + 2L)) == BgL_classz00_3988);
										}
									else
										{	/* SawMill/node2rtl.scm 54 */
											bool_t BgL_res2792z00_4018;

											{	/* SawMill/node2rtl.scm 54 */
												obj_t BgL_oclassz00_4004;

												{	/* SawMill/node2rtl.scm 54 */
													long BgL_arg1808z00_4010;

													{	/* SawMill/node2rtl.scm 54 */
														long BgL_arg1809z00_4011;

														BgL_arg1809z00_4011 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3990);
														BgL_arg1808z00_4010 =
															(BgL_arg1809z00_4011 - OBJECT_TYPE);
													}
													BgL_oclassz00_4004 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1808z00_4010);
												}
												{	/* SawMill/node2rtl.scm 54 */
													bool_t BgL__ortest_1115z00_4005;

													BgL__ortest_1115z00_4005 =
														(BgL_classz00_3988 == BgL_oclassz00_4004);
													if (BgL__ortest_1115z00_4005)
														{	/* SawMill/node2rtl.scm 54 */
															BgL_res2792z00_4018 = BgL__ortest_1115z00_4005;
														}
													else
														{	/* SawMill/node2rtl.scm 54 */
															long BgL_odepthz00_4006;

															BgL_odepthz00_4006 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4004);
															if ((2L < BgL_odepthz00_4006))
																{	/* SawMill/node2rtl.scm 54 */
																	obj_t BgL_arg1797z00_4008;

																	BgL_arg1797z00_4008 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4004,
																		2L);
																	BgL_res2792z00_4018 =
																		(BgL_arg1797z00_4008 == BgL_classz00_3988);
																}
															else
																{	/* SawMill/node2rtl.scm 54 */
																	BgL_res2792z00_4018 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3003z00_6457 = BgL_res2792z00_4018;
										}
								}
							else
								{	/* SawMill/node2rtl.scm 54 */
									BgL_test3003z00_6457 = ((bool_t) 0);
								}
						}
						if (BgL_test3003z00_6457)
							{	/* SawMill/node2rtl.scm 54 */
								BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
									((BgL_variablez00_bglt) BgL_unaliasz00_2286));
								return ((BgL_globalz00_bglt) BgL_unaliasz00_2286);
							}
						else
							{	/* SawMill/node2rtl.scm 54 */
								return BgL_varz00_97;
							}
					}
				}
			else
				{	/* SawMill/node2rtl.scm 52 */
					return BgL_varz00_97;
				}
		}

	}



/* new-reg */
	BgL_rtl_regz00_bglt BGl_newzd2regzd2zzsaw_node2rtlz00(BgL_nodez00_bglt
		BgL_ez00_98)
	{
		{	/* SawMill/node2rtl.scm 64 */
			{	/* SawMill/node2rtl.scm 65 */
				bool_t BgL_test3008z00_6480;

				{	/* SawMill/node2rtl.scm 65 */
					obj_t BgL_classz00_4019;

					BgL_classz00_4019 = BGl_varz00zzast_nodez00;
					{	/* SawMill/node2rtl.scm 65 */
						BgL_objectz00_bglt BgL_arg1801z00_4021;

						{	/* SawMill/node2rtl.scm 65 */
							obj_t BgL_tmpz00_6481;

							BgL_tmpz00_6481 = ((obj_t) BgL_ez00_98);
							BgL_arg1801z00_4021 = (BgL_objectz00_bglt) (BgL_tmpz00_6481);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/node2rtl.scm 65 */
								long BgL_idxz00_4027;

								BgL_idxz00_4027 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4021);
								BgL_test3008z00_6480 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4027 + 2L)) == BgL_classz00_4019);
							}
						else
							{	/* SawMill/node2rtl.scm 65 */
								bool_t BgL_res2793z00_4049;

								{	/* SawMill/node2rtl.scm 65 */
									obj_t BgL_oclassz00_4035;

									{	/* SawMill/node2rtl.scm 65 */
										long BgL_arg1808z00_4041;

										{	/* SawMill/node2rtl.scm 65 */
											long BgL_arg1809z00_4042;

											BgL_arg1809z00_4042 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4021);
											BgL_arg1808z00_4041 = (BgL_arg1809z00_4042 - OBJECT_TYPE);
										}
										BgL_oclassz00_4035 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_4041);
									}
									{	/* SawMill/node2rtl.scm 65 */
										bool_t BgL__ortest_1115z00_4036;

										BgL__ortest_1115z00_4036 =
											(BgL_classz00_4019 == BgL_oclassz00_4035);
										if (BgL__ortest_1115z00_4036)
											{	/* SawMill/node2rtl.scm 65 */
												BgL_res2793z00_4049 = BgL__ortest_1115z00_4036;
											}
										else
											{	/* SawMill/node2rtl.scm 65 */
												long BgL_odepthz00_4037;

												BgL_odepthz00_4037 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4035);
												if ((2L < BgL_odepthz00_4037))
													{	/* SawMill/node2rtl.scm 65 */
														obj_t BgL_arg1797z00_4039;

														BgL_arg1797z00_4039 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4035, 2L);
														BgL_res2793z00_4049 =
															(BgL_arg1797z00_4039 == BgL_classz00_4019);
													}
												else
													{	/* SawMill/node2rtl.scm 65 */
														BgL_res2793z00_4049 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test3008z00_6480 = BgL_res2793z00_4049;
							}
					}
				}
				if (BgL_test3008z00_6480)
					{	/* SawMill/node2rtl.scm 66 */
						bool_t BgL_test3012z00_6500;

						{	/* SawMill/node2rtl.scm 66 */
							BgL_valuez00_bglt BgL_arg1861z00_2308;

							BgL_arg1861z00_2308 =
								(((BgL_variablez00_bglt) COBJECT(
										(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_ez00_98)))->
											BgL_variablez00)))->BgL_valuez00);
							{	/* SawMill/node2rtl.scm 66 */
								obj_t BgL_classz00_4052;

								BgL_classz00_4052 = BGl_sfunz00zzast_varz00;
								{	/* SawMill/node2rtl.scm 66 */
									BgL_objectz00_bglt BgL_arg1801z00_4054;

									{	/* SawMill/node2rtl.scm 66 */
										obj_t BgL_tmpz00_6504;

										BgL_tmpz00_6504 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1861z00_2308));
										BgL_arg1801z00_4054 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6504);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawMill/node2rtl.scm 66 */
											long BgL_idxz00_4060;

											BgL_idxz00_4060 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4054);
											BgL_test3012z00_6500 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4060 + 3L)) == BgL_classz00_4052);
										}
									else
										{	/* SawMill/node2rtl.scm 66 */
											bool_t BgL_res2794z00_4082;

											{	/* SawMill/node2rtl.scm 66 */
												obj_t BgL_oclassz00_4068;

												{	/* SawMill/node2rtl.scm 66 */
													long BgL_arg1808z00_4074;

													{	/* SawMill/node2rtl.scm 66 */
														long BgL_arg1809z00_4075;

														BgL_arg1809z00_4075 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4054);
														BgL_arg1808z00_4074 =
															(BgL_arg1809z00_4075 - OBJECT_TYPE);
													}
													BgL_oclassz00_4068 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1808z00_4074);
												}
												{	/* SawMill/node2rtl.scm 66 */
													bool_t BgL__ortest_1115z00_4069;

													BgL__ortest_1115z00_4069 =
														(BgL_classz00_4052 == BgL_oclassz00_4068);
													if (BgL__ortest_1115z00_4069)
														{	/* SawMill/node2rtl.scm 66 */
															BgL_res2794z00_4082 = BgL__ortest_1115z00_4069;
														}
													else
														{	/* SawMill/node2rtl.scm 66 */
															long BgL_odepthz00_4070;

															BgL_odepthz00_4070 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4068);
															if ((3L < BgL_odepthz00_4070))
																{	/* SawMill/node2rtl.scm 66 */
																	obj_t BgL_arg1797z00_4072;

																	BgL_arg1797z00_4072 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4068,
																		3L);
																	BgL_res2794z00_4082 =
																		(BgL_arg1797z00_4072 == BgL_classz00_4052);
																}
															else
																{	/* SawMill/node2rtl.scm 66 */
																	BgL_res2794z00_4082 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3012z00_6500 = BgL_res2794z00_4082;
										}
								}
							}
						}
						if (BgL_test3012z00_6500)
							{	/* SawMill/node2rtl.scm 67 */
								BgL_rtl_regz00_bglt BgL_new1219z00_2295;

								{	/* SawMill/node2rtl.scm 68 */
									BgL_rtl_regz00_bglt BgL_new1218z00_2299;

									BgL_new1218z00_2299 =
										((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_regz00_bgl))));
									{	/* SawMill/node2rtl.scm 68 */
										long BgL_arg1854z00_2300;

										BgL_arg1854z00_2300 =
											BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1218z00_2299),
											BgL_arg1854z00_2300);
									}
									{	/* SawMill/node2rtl.scm 68 */
										BgL_objectz00_bglt BgL_tmpz00_6528;

										BgL_tmpz00_6528 =
											((BgL_objectz00_bglt) BgL_new1218z00_2299);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6528, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1218z00_2299);
									BgL_new1219z00_2295 = BgL_new1218z00_2299;
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2295))->
										BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(0L))),
									BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2295))->
										BgL_varz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2295))->
										BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
								{
									obj_t BgL_auxz00_6537;

									{	/* SawMill/node2rtl.scm 70 */

										{	/* SawMill/node2rtl.scm 70 */

											BgL_auxz00_6537 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
									}}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2295))->
											BgL_namez00) = ((obj_t) BgL_auxz00_6537), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_6540;

									{	/* SawMill/node2rtl.scm 70 */
										obj_t BgL_arg1852z00_2297;

										{	/* SawMill/node2rtl.scm 70 */
											obj_t BgL_arg1853z00_2298;

											{	/* SawMill/node2rtl.scm 70 */
												obj_t BgL_classz00_4087;

												BgL_classz00_4087 = BGl_rtl_regz00zzsaw_defsz00;
												BgL_arg1853z00_2298 =
													BGL_CLASS_ALL_FIELDS(BgL_classz00_4087);
											}
											BgL_arg1852z00_2297 = VECTOR_REF(BgL_arg1853z00_2298, 4L);
										}
										BgL_auxz00_6540 =
											BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
											(BgL_arg1852z00_2297);
									}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2295))->
											BgL_keyz00) = ((obj_t) BgL_auxz00_6540), BUNSPEC);
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2295))->
										BgL_debugnamez00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2295))->
										BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
								return BgL_new1219z00_2295;
							}
						else
							{	/* SawMill/node2rtl.scm 71 */
								BgL_rtl_regz00_bglt BgL_new1221z00_2301;

								{	/* SawMill/node2rtl.scm 72 */
									BgL_rtl_regz00_bglt BgL_new1220z00_2306;

									BgL_new1220z00_2306 =
										((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_regz00_bgl))));
									{	/* SawMill/node2rtl.scm 72 */
										long BgL_arg1860z00_2307;

										BgL_arg1860z00_2307 =
											BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1220z00_2306),
											BgL_arg1860z00_2307);
									}
									{	/* SawMill/node2rtl.scm 72 */
										BgL_objectz00_bglt BgL_tmpz00_6551;

										BgL_tmpz00_6551 =
											((BgL_objectz00_bglt) BgL_new1220z00_2306);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6551, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1220z00_2306);
									BgL_new1221z00_2301 = BgL_new1220z00_2306;
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2301))->
										BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_variablez00_bglt)
												COBJECT((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																	BgL_ez00_98)))->BgL_variablez00)))->
											BgL_typez00)), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2301))->
										BgL_varz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2301))->
										BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
								{
									obj_t BgL_auxz00_6561;

									{	/* SawMill/node2rtl.scm 74 */

										{	/* SawMill/node2rtl.scm 74 */

											BgL_auxz00_6561 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
									}}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2301))->
											BgL_namez00) = ((obj_t) BgL_auxz00_6561), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_6564;

									{	/* SawMill/node2rtl.scm 74 */
										obj_t BgL_arg1856z00_2304;

										{	/* SawMill/node2rtl.scm 74 */
											obj_t BgL_arg1857z00_2305;

											{	/* SawMill/node2rtl.scm 74 */
												obj_t BgL_classz00_4095;

												BgL_classz00_4095 = BGl_rtl_regz00zzsaw_defsz00;
												BgL_arg1857z00_2305 =
													BGL_CLASS_ALL_FIELDS(BgL_classz00_4095);
											}
											BgL_arg1856z00_2304 = VECTOR_REF(BgL_arg1857z00_2305, 4L);
										}
										BgL_auxz00_6564 =
											BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
											(BgL_arg1856z00_2304);
									}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2301))->
											BgL_keyz00) = ((obj_t) BgL_auxz00_6564), BUNSPEC);
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2301))->
										BgL_debugnamez00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2301))->
										BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
								return BgL_new1221z00_2301;
							}
					}
				else
					{	/* SawMill/node2rtl.scm 75 */
						BgL_rtl_regz00_bglt BgL_new1223z00_2310;

						{	/* SawMill/node2rtl.scm 75 */
							BgL_rtl_regz00_bglt BgL_new1222z00_2314;

							BgL_new1222z00_2314 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/node2rtl.scm 75 */
								long BgL_arg1868z00_2315;

								BgL_arg1868z00_2315 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1222z00_2314),
									BgL_arg1868z00_2315);
							}
							{	/* SawMill/node2rtl.scm 75 */
								BgL_objectz00_bglt BgL_tmpz00_6575;

								BgL_tmpz00_6575 = ((BgL_objectz00_bglt) BgL_new1222z00_2314);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6575, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1222z00_2314);
							BgL_new1223z00_2310 = BgL_new1222z00_2314;
						}
						((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2310))->
								BgL_typez00) =
							((BgL_typez00_bglt) BGl_getzd2typezd2zztype_typeofz00(BgL_ez00_98,
									((bool_t) 0))), BUNSPEC);
						((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2310))->
								BgL_varz00) = ((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2310))->
								BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
						{
							obj_t BgL_auxz00_6583;

							{	/* SawMill/node2rtl.scm 75 */

								{	/* SawMill/node2rtl.scm 75 */

									BgL_auxz00_6583 = BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
							}}
							((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2310))->
									BgL_namez00) = ((obj_t) BgL_auxz00_6583), BUNSPEC);
						}
						{
							obj_t BgL_auxz00_6586;

							{	/* SawMill/node2rtl.scm 75 */
								obj_t BgL_arg1866z00_2312;

								{	/* SawMill/node2rtl.scm 75 */
									obj_t BgL_arg1867z00_2313;

									{	/* SawMill/node2rtl.scm 75 */
										obj_t BgL_classz00_4101;

										BgL_classz00_4101 = BGl_rtl_regz00zzsaw_defsz00;
										BgL_arg1867z00_2313 =
											BGL_CLASS_ALL_FIELDS(BgL_classz00_4101);
									}
									BgL_arg1866z00_2312 = VECTOR_REF(BgL_arg1867z00_2313, 4L);
								}
								BgL_auxz00_6586 =
									BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
									(BgL_arg1866z00_2312);
							}
							((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2310))->
									BgL_keyz00) = ((obj_t) BgL_auxz00_6586), BUNSPEC);
						}
						((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2310))->
								BgL_debugnamez00) = ((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2310))->
								BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
						return BgL_new1223z00_2310;
					}
			}
		}

	}



/* new-ureg */
	BgL_rtl_regz00_bglt BGl_newzd2uregzd2zzsaw_node2rtlz00(BgL_localz00_bglt
		BgL_varz00_99)
	{
		{	/* SawMill/node2rtl.scm 77 */
			{	/* SawMill/node2rtl.scm 78 */
				BgL_rtl_regz00_bglt BgL_new1226z00_2316;

				{	/* SawMill/node2rtl.scm 78 */
					BgL_rtl_regz00_bglt BgL_new1224z00_2321;

					BgL_new1224z00_2321 =
						((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regz00_bgl))));
					{	/* SawMill/node2rtl.scm 78 */
						long BgL_arg1876z00_2322;

						BgL_arg1876z00_2322 = BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1224z00_2321), BgL_arg1876z00_2322);
					}
					{	/* SawMill/node2rtl.scm 78 */
						BgL_objectz00_bglt BgL_tmpz00_6597;

						BgL_tmpz00_6597 = ((BgL_objectz00_bglt) BgL_new1224z00_2321);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6597, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1224z00_2321);
					BgL_new1226z00_2316 = BgL_new1224z00_2321;
				}
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1226z00_2316))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_variablez00_bglt)
								COBJECT(((BgL_variablez00_bglt) BgL_varz00_99)))->BgL_typez00)),
					BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1226z00_2316))->BgL_varz00) =
					((obj_t) ((obj_t) BgL_varz00_99)), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1226z00_2316))->
						BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
				{
					obj_t BgL_auxz00_6607;

					{	/* SawMill/node2rtl.scm 78 */
						obj_t BgL_arg1870z00_2317;

						{	/* SawMill/node2rtl.scm 78 */
							obj_t BgL_arg1872z00_2318;

							{	/* SawMill/node2rtl.scm 78 */
								obj_t BgL_classz00_4108;

								BgL_classz00_4108 = BGl_rtl_regz00zzsaw_defsz00;
								BgL_arg1872z00_2318 = BGL_CLASS_ALL_FIELDS(BgL_classz00_4108);
							}
							BgL_arg1870z00_2317 = VECTOR_REF(BgL_arg1872z00_2318, 3L);
						}
						BgL_auxz00_6607 =
							BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
							(BgL_arg1870z00_2317);
					}
					((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1226z00_2316))->BgL_namez00) =
						((obj_t) BgL_auxz00_6607), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_6612;

					{	/* SawMill/node2rtl.scm 78 */
						obj_t BgL_arg1873z00_2319;

						{	/* SawMill/node2rtl.scm 78 */
							obj_t BgL_arg1875z00_2320;

							{	/* SawMill/node2rtl.scm 78 */
								obj_t BgL_classz00_4110;

								BgL_classz00_4110 = BGl_rtl_regz00zzsaw_defsz00;
								BgL_arg1875z00_2320 = BGL_CLASS_ALL_FIELDS(BgL_classz00_4110);
							}
							BgL_arg1873z00_2319 = VECTOR_REF(BgL_arg1875z00_2320, 4L);
						}
						BgL_auxz00_6612 =
							BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
							(BgL_arg1873z00_2319);
					}
					((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1226z00_2316))->BgL_keyz00) =
						((obj_t) BgL_auxz00_6612), BUNSPEC);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1226z00_2316))->
						BgL_debugnamez00) = ((obj_t) BFALSE), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1226z00_2316))->
						BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
				return BgL_new1226z00_2316;
			}
		}

	}



/* local->reg */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_localzd2ze3regz31zzsaw_node2rtlz00(BgL_localz00_bglt BgL_varz00_100)
	{
		{	/* SawMill/node2rtl.scm 80 */
			{	/* SawMill/node2rtl.scm 81 */
				bool_t BgL_test3016z00_6619;

				{	/* SawMill/node2rtl.scm 81 */
					obj_t BgL_classz00_4112;

					BgL_classz00_4112 = BGl_rlocalz00zzsaw_node2rtlz00;
					{	/* SawMill/node2rtl.scm 81 */
						obj_t BgL_oclassz00_4114;

						{	/* SawMill/node2rtl.scm 81 */
							long BgL_arg1808z00_4116;

							{	/* SawMill/node2rtl.scm 81 */
								long BgL_arg1809z00_4117;

								BgL_arg1809z00_4117 =
									BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_varz00_100));
								BgL_arg1808z00_4116 = (BgL_arg1809z00_4117 - OBJECT_TYPE);
							}
							BgL_oclassz00_4114 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1808z00_4116);
						}
						BgL_test3016z00_6619 = (BgL_oclassz00_4114 == BgL_classz00_4112);
				}}
				if (BgL_test3016z00_6619)
					{
						obj_t BgL_auxz00_6625;

						{
							BgL_rlocalz00_bglt BgL_auxz00_6626;

							{
								obj_t BgL_auxz00_6627;

								{	/* SawMill/node2rtl.scm 82 */
									BgL_objectz00_bglt BgL_tmpz00_6628;

									BgL_tmpz00_6628 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
									BgL_auxz00_6627 = BGL_OBJECT_WIDENING(BgL_tmpz00_6628);
								}
								BgL_auxz00_6626 = ((BgL_rlocalz00_bglt) BgL_auxz00_6627);
							}
							BgL_auxz00_6625 =
								(((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_6626))->BgL_regz00);
						}
						return ((BgL_rtl_regz00_bglt) BgL_auxz00_6625);
					}
				else
					{	/* SawMill/node2rtl.scm 83 */
						BgL_rtl_regz00_bglt BgL_rz00_2324;

						BgL_rz00_2324 = BGl_newzd2uregzd2zzsaw_node2rtlz00(BgL_varz00_100);
						{	/* SawMill/node2rtl.scm 84 */
							BgL_rlocalz00_bglt BgL_wide1229z00_2327;

							BgL_wide1229z00_2327 =
								((BgL_rlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rlocalz00_bgl))));
							{	/* SawMill/node2rtl.scm 84 */
								obj_t BgL_auxz00_6640;
								BgL_objectz00_bglt BgL_tmpz00_6637;

								BgL_auxz00_6640 = ((obj_t) BgL_wide1229z00_2327);
								BgL_tmpz00_6637 =
									((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6637, BgL_auxz00_6640);
							}
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
							{	/* SawMill/node2rtl.scm 84 */
								long BgL_arg1879z00_2328;

								BgL_arg1879z00_2328 =
									BGL_CLASS_NUM(BGl_rlocalz00zzsaw_node2rtlz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_varz00_100)), BgL_arg1879z00_2328);
							}
							((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
						}
						{
							BgL_rlocalz00_bglt BgL_auxz00_6651;

							{
								obj_t BgL_auxz00_6652;

								{	/* SawMill/node2rtl.scm 84 */
									BgL_objectz00_bglt BgL_tmpz00_6653;

									BgL_tmpz00_6653 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
									BgL_auxz00_6652 = BGL_OBJECT_WIDENING(BgL_tmpz00_6653);
								}
								BgL_auxz00_6651 = ((BgL_rlocalz00_bglt) BgL_auxz00_6652);
							}
							((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_6651))->BgL_regz00) =
								((obj_t) ((obj_t) BgL_rz00_2324)), BUNSPEC);
						}
						{
							BgL_rlocalz00_bglt BgL_auxz00_6660;

							{
								obj_t BgL_auxz00_6661;

								{	/* SawMill/node2rtl.scm 84 */
									BgL_objectz00_bglt BgL_tmpz00_6662;

									BgL_tmpz00_6662 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
									BgL_auxz00_6661 = BGL_OBJECT_WIDENING(BgL_tmpz00_6662);
								}
								BgL_auxz00_6660 = ((BgL_rlocalz00_bglt) BgL_auxz00_6661);
							}
							((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_6660))->BgL_codez00) =
								((obj_t) BFALSE), BUNSPEC);
						}
						((BgL_localz00_bglt) BgL_varz00_100);
						return BgL_rz00_2324;
					}
			}
		}

	}



/* &local->reg */
	BgL_rtl_regz00_bglt BGl_z62localzd2ze3regz53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5508, obj_t BgL_varz00_5509)
	{
		{	/* SawMill/node2rtl.scm 80 */
			return
				BGl_localzd2ze3regz31zzsaw_node2rtlz00(
				((BgL_localz00_bglt) BgL_varz00_5509));
		}

	}



/* bdestination! */
	obj_t BGl_bdestinationz12z12zzsaw_node2rtlz00(BgL_blockz00_bglt BgL_bz00_103,
		BgL_rtl_regz00_bglt BgL_regz00_104)
	{
		{	/* SawMill/node2rtl.scm 93 */
			{	/* SawMill/node2rtl.scm 94 */
				obj_t BgL_insz00_2332;

				BgL_insz00_2332 =
					CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
						(((BgL_blockz00_bglt) COBJECT(BgL_bz00_103))->BgL_firstz00)));
				{	/* SawMill/node2rtl.scm 95 */
					bool_t BgL_test3017z00_6674;

					{	/* SawMill/node2rtl.scm 95 */
						bool_t BgL_test3018z00_6675;

						{	/* SawMill/node2rtl.scm 95 */
							BgL_rtl_funz00_bglt BgL_arg1894z00_2346;

							BgL_arg1894z00_2346 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_2332)))->BgL_funz00);
							{	/* SawMill/node2rtl.scm 95 */
								obj_t BgL_classz00_4139;

								BgL_classz00_4139 = BGl_rtl_movz00zzsaw_defsz00;
								{	/* SawMill/node2rtl.scm 95 */
									BgL_objectz00_bglt BgL_arg1801z00_4141;

									{	/* SawMill/node2rtl.scm 95 */
										obj_t BgL_tmpz00_6678;

										BgL_tmpz00_6678 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1894z00_2346));
										BgL_arg1801z00_4141 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6678);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawMill/node2rtl.scm 95 */
											long BgL_idxz00_4147;

											BgL_idxz00_4147 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4141);
											BgL_test3018z00_6675 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4147 + 3L)) == BgL_classz00_4139);
										}
									else
										{	/* SawMill/node2rtl.scm 95 */
											bool_t BgL_res2795z00_4169;

											{	/* SawMill/node2rtl.scm 95 */
												obj_t BgL_oclassz00_4155;

												{	/* SawMill/node2rtl.scm 95 */
													long BgL_arg1808z00_4161;

													{	/* SawMill/node2rtl.scm 95 */
														long BgL_arg1809z00_4162;

														BgL_arg1809z00_4162 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4141);
														BgL_arg1808z00_4161 =
															(BgL_arg1809z00_4162 - OBJECT_TYPE);
													}
													BgL_oclassz00_4155 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1808z00_4161);
												}
												{	/* SawMill/node2rtl.scm 95 */
													bool_t BgL__ortest_1115z00_4156;

													BgL__ortest_1115z00_4156 =
														(BgL_classz00_4139 == BgL_oclassz00_4155);
													if (BgL__ortest_1115z00_4156)
														{	/* SawMill/node2rtl.scm 95 */
															BgL_res2795z00_4169 = BgL__ortest_1115z00_4156;
														}
													else
														{	/* SawMill/node2rtl.scm 95 */
															long BgL_odepthz00_4157;

															BgL_odepthz00_4157 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4155);
															if ((3L < BgL_odepthz00_4157))
																{	/* SawMill/node2rtl.scm 95 */
																	obj_t BgL_arg1797z00_4159;

																	BgL_arg1797z00_4159 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4155,
																		3L);
																	BgL_res2795z00_4169 =
																		(BgL_arg1797z00_4159 == BgL_classz00_4139);
																}
															else
																{	/* SawMill/node2rtl.scm 95 */
																	BgL_res2795z00_4169 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3018z00_6675 = BgL_res2795z00_4169;
										}
								}
							}
						}
						if (BgL_test3018z00_6675)
							{	/* SawMill/node2rtl.scm 96 */
								bool_t BgL_test3022z00_6698;

								{	/* SawMill/node2rtl.scm 96 */
									obj_t BgL_tmpz00_6699;

									{	/* SawMill/node2rtl.scm 96 */
										obj_t BgL_pairz00_4171;

										BgL_pairz00_4171 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_insz00_2332)))->
											BgL_argsz00);
										BgL_tmpz00_6699 = CAR(BgL_pairz00_4171);
									}
									BgL_test3022z00_6698 =
										(BgL_tmpz00_6699 == ((obj_t) BgL_regz00_104));
								}
								if (BgL_test3022z00_6698)
									{	/* SawMill/node2rtl.scm 96 */
										BgL_test3017z00_6674 = ((bool_t) 0);
									}
								else
									{	/* SawMill/node2rtl.scm 96 */
										BgL_test3017z00_6674 = ((bool_t) 1);
									}
							}
						else
							{	/* SawMill/node2rtl.scm 95 */
								BgL_test3017z00_6674 = ((bool_t) 1);
							}
					}
					if (BgL_test3017z00_6674)
						{	/* SawMill/node2rtl.scm 95 */
							return
								((((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_2332)))->BgL_destz00) =
								((obj_t) ((obj_t) BgL_regz00_104)), BUNSPEC);
						}
					else
						{	/* SawMill/node2rtl.scm 95 */
							return BFALSE;
						}
				}
			}
		}

	}



/* single* */
	BgL_areaz00_bglt BGl_singleza2za2zzsaw_node2rtlz00(obj_t BgL_ez00_105,
		BgL_rtl_funz00_bglt BgL_funz00_106, obj_t BgL_argsz00_107)
	{
		{	/* SawMill/node2rtl.scm 102 */
			{	/* SawMill/node2rtl.scm 103 */
				BgL_rtl_insz00_bglt BgL_insz00_2349;

				{	/* SawMill/node2rtl.scm 103 */
					BgL_rtl_insz00_bglt BgL_new1233z00_2361;

					{	/* SawMill/node2rtl.scm 103 */
						BgL_rtl_insz00_bglt BgL_new1231z00_2362;

						BgL_new1231z00_2362 =
							((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_insz00_bgl))));
						{	/* SawMill/node2rtl.scm 103 */
							long BgL_arg1905z00_2363;

							BgL_arg1905z00_2363 = BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1231z00_2362),
								BgL_arg1905z00_2363);
						}
						{	/* SawMill/node2rtl.scm 103 */
							BgL_objectz00_bglt BgL_tmpz00_6712;

							BgL_tmpz00_6712 = ((BgL_objectz00_bglt) BgL_new1231z00_2362);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6712, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1231z00_2362);
						BgL_new1233z00_2361 = BgL_new1231z00_2362;
					}
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1233z00_2361))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1233z00_2361))->
							BgL_z52spillz52) = ((obj_t) BNIL), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1233z00_2361))->BgL_destz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1233z00_2361))->BgL_funz00) =
						((BgL_rtl_funz00_bglt) BgL_funz00_106), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1233z00_2361))->BgL_argsz00) =
						((obj_t) BgL_argsz00_107), BUNSPEC);
					BgL_insz00_2349 = BgL_new1233z00_2361;
				}
				{	/* SawMill/node2rtl.scm 104 */
					bool_t BgL_test3023z00_6721;

					{	/* SawMill/node2rtl.scm 104 */
						obj_t BgL_classz00_4177;

						BgL_classz00_4177 = BGl_nodez00zzast_nodez00;
						if (BGL_OBJECTP(BgL_ez00_105))
							{	/* SawMill/node2rtl.scm 104 */
								BgL_objectz00_bglt BgL_arg1801z00_4179;

								BgL_arg1801z00_4179 = (BgL_objectz00_bglt) (BgL_ez00_105);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawMill/node2rtl.scm 104 */
										long BgL_idxz00_4185;

										BgL_idxz00_4185 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4179);
										BgL_test3023z00_6721 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4185 + 1L)) == BgL_classz00_4177);
									}
								else
									{	/* SawMill/node2rtl.scm 104 */
										bool_t BgL_res2796z00_4207;

										{	/* SawMill/node2rtl.scm 104 */
											obj_t BgL_oclassz00_4193;

											{	/* SawMill/node2rtl.scm 104 */
												long BgL_arg1808z00_4199;

												{	/* SawMill/node2rtl.scm 104 */
													long BgL_arg1809z00_4200;

													BgL_arg1809z00_4200 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4179);
													BgL_arg1808z00_4199 =
														(BgL_arg1809z00_4200 - OBJECT_TYPE);
												}
												BgL_oclassz00_4193 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1808z00_4199);
											}
											{	/* SawMill/node2rtl.scm 104 */
												bool_t BgL__ortest_1115z00_4194;

												BgL__ortest_1115z00_4194 =
													(BgL_classz00_4177 == BgL_oclassz00_4193);
												if (BgL__ortest_1115z00_4194)
													{	/* SawMill/node2rtl.scm 104 */
														BgL_res2796z00_4207 = BgL__ortest_1115z00_4194;
													}
												else
													{	/* SawMill/node2rtl.scm 104 */
														long BgL_odepthz00_4195;

														BgL_odepthz00_4195 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4193);
														if ((1L < BgL_odepthz00_4195))
															{	/* SawMill/node2rtl.scm 104 */
																obj_t BgL_arg1797z00_4197;

																BgL_arg1797z00_4197 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4193,
																	1L);
																BgL_res2796z00_4207 =
																	(BgL_arg1797z00_4197 == BgL_classz00_4177);
															}
														else
															{	/* SawMill/node2rtl.scm 104 */
																BgL_res2796z00_4207 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3023z00_6721 = BgL_res2796z00_4207;
									}
							}
						else
							{	/* SawMill/node2rtl.scm 104 */
								BgL_test3023z00_6721 = ((bool_t) 0);
							}
					}
					if (BgL_test3023z00_6721)
						{	/* SawMill/node2rtl.scm 104 */
							{	/* SawMill/node2rtl.scm 105 */
								obj_t BgL_arg1898z00_2351;

								BgL_arg1898z00_2351 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_ez00_105)))->BgL_locz00);
								((((BgL_rtl_funz00_bglt) COBJECT(BgL_funz00_106))->BgL_locz00) =
									((obj_t) BgL_arg1898z00_2351), BUNSPEC);
							}
							{	/* SawMill/node2rtl.scm 106 */
								obj_t BgL_arg1899z00_2352;

								BgL_arg1899z00_2352 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_ez00_105)))->BgL_locz00);
								((((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_2349))->
										BgL_locz00) = ((obj_t) BgL_arg1899z00_2352), BUNSPEC);
							}
						}
					else
						{	/* SawMill/node2rtl.scm 104 */
							BFALSE;
						}
				}
				{	/* SawMill/node2rtl.scm 107 */
					obj_t BgL_lz00_2353;

					BgL_lz00_2353 = MAKE_YOUNG_PAIR(((obj_t) BgL_insz00_2349), BNIL);
					{	/* SawMill/node2rtl.scm 108 */
						BgL_blockz00_bglt BgL_bz00_2354;

						{	/* SawMill/node2rtl.scm 108 */
							BgL_blockz00_bglt BgL_new1235z00_2358;

							{	/* SawMill/node2rtl.scm 108 */
								BgL_blockz00_bglt BgL_new1234z00_2359;

								BgL_new1234z00_2359 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawMill/node2rtl.scm 108 */
									long BgL_arg1901z00_2360;

									BgL_arg1901z00_2360 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1234z00_2359),
										BgL_arg1901z00_2360);
								}
								{	/* SawMill/node2rtl.scm 108 */
									BgL_objectz00_bglt BgL_tmpz00_6753;

									BgL_tmpz00_6753 = ((BgL_objectz00_bglt) BgL_new1234z00_2359);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6753, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1234z00_2359);
								BgL_new1235z00_2358 = BgL_new1234z00_2359;
							}
							((((BgL_blockz00_bglt) COBJECT(BgL_new1235z00_2358))->
									BgL_labelz00) = ((int) (int) (0L)), BUNSPEC);
							((((BgL_blockz00_bglt) COBJECT(BgL_new1235z00_2358))->
									BgL_predsz00) = ((obj_t) BNIL), BUNSPEC);
							((((BgL_blockz00_bglt) COBJECT(BgL_new1235z00_2358))->
									BgL_succsz00) = ((obj_t) BNIL), BUNSPEC);
							((((BgL_blockz00_bglt) COBJECT(BgL_new1235z00_2358))->
									BgL_firstz00) = ((obj_t) BgL_lz00_2353), BUNSPEC);
							BgL_bz00_2354 = BgL_new1235z00_2358;
						}
						{	/* SawMill/node2rtl.scm 109 */
							BgL_areaz00_bglt BgL_new1237z00_2355;

							{	/* SawMill/node2rtl.scm 109 */
								BgL_areaz00_bglt BgL_new1236z00_2356;

								BgL_new1236z00_2356 =
									((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_areaz00_bgl))));
								{	/* SawMill/node2rtl.scm 109 */
									long BgL_arg1900z00_2357;

									BgL_arg1900z00_2357 =
										BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1236z00_2356),
										BgL_arg1900z00_2357);
								}
								BgL_new1237z00_2355 = BgL_new1236z00_2356;
							}
							((((BgL_areaz00_bglt) COBJECT(BgL_new1237z00_2355))->
									BgL_entryz00) = ((BgL_blockz00_bglt) BgL_bz00_2354), BUNSPEC);
							((((BgL_areaz00_bglt) COBJECT(BgL_new1237z00_2355))->
									BgL_exitz00) = ((BgL_blockz00_bglt) BgL_bz00_2354), BUNSPEC);
							return BgL_new1237z00_2355;
						}
					}
				}
			}
		}

	}



/* unlink */
	BgL_areaz00_bglt BGl_unlinkz00zzsaw_node2rtlz00(BgL_areaz00_bglt BgL_az00_113)
	{
		{	/* SawMill/node2rtl.scm 117 */
			{	/* SawMill/node2rtl.scm 118 */
				BgL_areaz00_bglt BgL_new1239z00_2365;

				{	/* SawMill/node2rtl.scm 119 */
					BgL_areaz00_bglt BgL_new1238z00_2372;

					BgL_new1238z00_2372 =
						((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_areaz00_bgl))));
					{	/* SawMill/node2rtl.scm 119 */
						long BgL_arg1915z00_2373;

						BgL_arg1915z00_2373 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1238z00_2372), BgL_arg1915z00_2373);
					}
					BgL_new1239z00_2365 = BgL_new1238z00_2372;
				}
				((((BgL_areaz00_bglt) COBJECT(BgL_new1239z00_2365))->BgL_entryz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(BgL_az00_113))->
							BgL_entryz00)), BUNSPEC);
				{
					BgL_blockz00_bglt BgL_auxz00_6774;

					{	/* SawMill/node2rtl.scm 121 */
						BgL_areaz00_bglt BgL_arg1909z00_2366;

						{	/* SawMill/node2rtl.scm 121 */
							BgL_rtl_nopz00_bglt BgL_arg1911z00_2367;

							{	/* SawMill/node2rtl.scm 121 */
								BgL_rtl_nopz00_bglt BgL_new1241z00_2369;

								{	/* SawMill/node2rtl.scm 121 */
									BgL_rtl_nopz00_bglt BgL_new1240z00_2370;

									BgL_new1240z00_2370 =
										((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_nopz00_bgl))));
									{	/* SawMill/node2rtl.scm 121 */
										long BgL_arg1914z00_2371;

										{	/* SawMill/node2rtl.scm 121 */
											obj_t BgL_classz00_4225;

											BgL_classz00_4225 = BGl_rtl_nopz00zzsaw_defsz00;
											BgL_arg1914z00_2371 = BGL_CLASS_NUM(BgL_classz00_4225);
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1240z00_2370),
											BgL_arg1914z00_2371);
									}
									BgL_new1241z00_2369 = BgL_new1240z00_2370;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1241z00_2369)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								BgL_arg1911z00_2367 = BgL_new1241z00_2369;
							}
							BgL_arg1909z00_2366 =
								BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
								((BgL_rtl_funz00_bglt) BgL_arg1911z00_2367), BNIL);
						}
						BgL_auxz00_6774 =
							(((BgL_areaz00_bglt) COBJECT(BgL_arg1909z00_2366))->BgL_exitz00);
					}
					((((BgL_areaz00_bglt) COBJECT(BgL_new1239z00_2365))->BgL_exitz00) =
						((BgL_blockz00_bglt) BgL_auxz00_6774), BUNSPEC);
				}
				return BgL_new1239z00_2365;
			}
		}

	}



/* link */
	BgL_areaz00_bglt BGl_linkz00zzsaw_node2rtlz00(BgL_areaz00_bglt BgL_b1z00_114,
		BgL_areaz00_bglt BgL_b2z00_115)
	{
		{	/* SawMill/node2rtl.scm 123 */
			{	/* SawMill/node2rtl.scm 124 */
				BgL_blockz00_bglt BgL_arg1916z00_2374;
				BgL_blockz00_bglt BgL_arg1917z00_2375;

				BgL_arg1916z00_2374 =
					(((BgL_areaz00_bglt) COBJECT(BgL_b1z00_114))->BgL_exitz00);
				BgL_arg1917z00_2375 =
					(((BgL_areaz00_bglt) COBJECT(BgL_b2z00_115))->BgL_entryz00);
				{	/* SawMill/node2rtl.scm 91 */
					obj_t BgL_arg1880z00_4234;

					{	/* SawMill/node2rtl.scm 91 */
						obj_t BgL_arg1881z00_4235;

						BgL_arg1881z00_4235 =
							(((BgL_blockz00_bglt) COBJECT(BgL_arg1916z00_2374))->
							BgL_succsz00);
						BgL_arg1880z00_4234 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg1917z00_2375),
							BgL_arg1881z00_4235);
					}
					((((BgL_blockz00_bglt) COBJECT(BgL_arg1916z00_2374))->BgL_succsz00) =
						((obj_t) BgL_arg1880z00_4234), BUNSPEC);
				}
			}
			{	/* SawMill/node2rtl.scm 125 */
				BgL_areaz00_bglt BgL_new1243z00_2376;

				{	/* SawMill/node2rtl.scm 125 */
					BgL_areaz00_bglt BgL_new1242z00_2377;

					BgL_new1242z00_2377 =
						((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_areaz00_bgl))));
					{	/* SawMill/node2rtl.scm 125 */
						long BgL_arg1918z00_2378;

						BgL_arg1918z00_2378 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1242z00_2377), BgL_arg1918z00_2378);
					}
					BgL_new1243z00_2376 = BgL_new1242z00_2377;
				}
				((((BgL_areaz00_bglt) COBJECT(BgL_new1243z00_2376))->BgL_entryz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(BgL_b1z00_114))->
							BgL_entryz00)), BUNSPEC);
				((((BgL_areaz00_bglt) COBJECT(BgL_new1243z00_2376))->BgL_exitz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(BgL_b2z00_115))->
							BgL_exitz00)), BUNSPEC);
				return BgL_new1243z00_2376;
			}
		}

	}



/* link* */
	BgL_areaz00_bglt BGl_linkza2za2zzsaw_node2rtlz00(obj_t BgL_lz00_116)
	{
		{	/* SawMill/node2rtl.scm 127 */
			{
				BgL_areaz00_bglt BgL_rz00_2388;
				obj_t BgL_lz00_2389;

				if (NULLP(BgL_lz00_116))
					{	/* SawMill/node2rtl.scm 133 */
						BgL_rtl_nopz00_bglt BgL_arg1920z00_2381;

						{	/* SawMill/node2rtl.scm 133 */
							BgL_rtl_nopz00_bglt BgL_new1246z00_2383;

							{	/* SawMill/node2rtl.scm 133 */
								BgL_rtl_nopz00_bglt BgL_new1244z00_2384;

								BgL_new1244z00_2384 =
									((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_nopz00_bgl))));
								{	/* SawMill/node2rtl.scm 133 */
									long BgL_arg1922z00_2385;

									BgL_arg1922z00_2385 =
										BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1244z00_2384),
										BgL_arg1922z00_2385);
								}
								BgL_new1246z00_2383 = BgL_new1244z00_2384;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1246z00_2383)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg1920z00_2381 = BgL_new1246z00_2383;
						}
						return
							BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
							((BgL_rtl_funz00_bglt) BgL_arg1920z00_2381), BNIL);
					}
				else
					{	/* SawMill/node2rtl.scm 134 */
						obj_t BgL_arg1923z00_2386;
						obj_t BgL_arg1924z00_2387;

						BgL_arg1923z00_2386 = CAR(((obj_t) BgL_lz00_116));
						BgL_arg1924z00_2387 = CDR(((obj_t) BgL_lz00_116));
						BgL_rz00_2388 = ((BgL_areaz00_bglt) BgL_arg1923z00_2386);
						BgL_lz00_2389 = BgL_arg1924z00_2387;
					BgL_zc3z04anonymousza31925ze3z87_2390:
						if (NULLP(BgL_lz00_2389))
							{	/* SawMill/node2rtl.scm 129 */
								return BgL_rz00_2388;
							}
						else
							{	/* SawMill/node2rtl.scm 131 */
								BgL_areaz00_bglt BgL_arg1927z00_2392;
								obj_t BgL_arg1928z00_2393;

								{	/* SawMill/node2rtl.scm 131 */
									obj_t BgL_arg1929z00_2394;

									BgL_arg1929z00_2394 = CAR(((obj_t) BgL_lz00_2389));
									BgL_arg1927z00_2392 =
										BGl_linkz00zzsaw_node2rtlz00(BgL_rz00_2388,
										((BgL_areaz00_bglt) BgL_arg1929z00_2394));
								}
								BgL_arg1928z00_2393 = CDR(((obj_t) BgL_lz00_2389));
								{
									obj_t BgL_lz00_6822;
									BgL_areaz00_bglt BgL_rz00_6821;

									BgL_rz00_6821 = BgL_arg1927z00_2392;
									BgL_lz00_6822 = BgL_arg1928z00_2393;
									BgL_lz00_2389 = BgL_lz00_6822;
									BgL_rz00_2388 = BgL_rz00_6821;
									goto BgL_zc3z04anonymousza31925ze3z87_2390;
								}
							}
					}
			}
		}

	}



/* fork/join */
	BgL_areaz00_bglt BGl_forkzf2joinzf2zzsaw_node2rtlz00(BgL_areaz00_bglt
		BgL_headz00_117, obj_t BgL_contsz00_118, BgL_rtl_regz00_bglt BgL_rz00_119)
	{
		{	/* SawMill/node2rtl.scm 136 */
			{	/* SawMill/node2rtl.scm 138 */
				BgL_blockz00_bglt BgL_arg1930z00_2396;
				obj_t BgL_arg1931z00_2397;

				BgL_arg1930z00_2396 =
					(((BgL_areaz00_bglt) COBJECT(BgL_headz00_117))->BgL_exitz00);
				if (NULLP(BgL_contsz00_118))
					{	/* SawMill/node2rtl.scm 138 */
						BgL_arg1931z00_2397 = BNIL;
					}
				else
					{	/* SawMill/node2rtl.scm 138 */
						obj_t BgL_head1622z00_2400;

						{	/* SawMill/node2rtl.scm 138 */
							BgL_blockz00_bglt BgL_arg1938z00_2412;

							BgL_arg1938z00_2412 =
								(((BgL_areaz00_bglt) COBJECT(
										((BgL_areaz00_bglt)
											CAR(((obj_t) BgL_contsz00_118)))))->BgL_entryz00);
							BgL_head1622z00_2400 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1938z00_2412), BNIL);
						}
						{	/* SawMill/node2rtl.scm 138 */
							obj_t BgL_g1625z00_2401;

							BgL_g1625z00_2401 = CDR(((obj_t) BgL_contsz00_118));
							{
								obj_t BgL_l1620z00_2403;
								obj_t BgL_tail1623z00_2404;

								BgL_l1620z00_2403 = BgL_g1625z00_2401;
								BgL_tail1623z00_2404 = BgL_head1622z00_2400;
							BgL_zc3z04anonymousza31933ze3z87_2405:
								if (NULLP(BgL_l1620z00_2403))
									{	/* SawMill/node2rtl.scm 138 */
										BgL_arg1931z00_2397 = BgL_head1622z00_2400;
									}
								else
									{	/* SawMill/node2rtl.scm 138 */
										obj_t BgL_newtail1624z00_2407;

										{	/* SawMill/node2rtl.scm 138 */
											BgL_blockz00_bglt BgL_arg1936z00_2409;

											BgL_arg1936z00_2409 =
												(((BgL_areaz00_bglt) COBJECT(
														((BgL_areaz00_bglt)
															CAR(
																((obj_t) BgL_l1620z00_2403)))))->BgL_entryz00);
											BgL_newtail1624z00_2407 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1936z00_2409), BNIL);
										}
										SET_CDR(BgL_tail1623z00_2404, BgL_newtail1624z00_2407);
										{	/* SawMill/node2rtl.scm 138 */
											obj_t BgL_arg1935z00_2408;

											BgL_arg1935z00_2408 = CDR(((obj_t) BgL_l1620z00_2403));
											{
												obj_t BgL_tail1623z00_6847;
												obj_t BgL_l1620z00_6846;

												BgL_l1620z00_6846 = BgL_arg1935z00_2408;
												BgL_tail1623z00_6847 = BgL_newtail1624z00_2407;
												BgL_tail1623z00_2404 = BgL_tail1623z00_6847;
												BgL_l1620z00_2403 = BgL_l1620z00_6846;
												goto BgL_zc3z04anonymousza31933ze3z87_2405;
											}
										}
									}
							}
						}
					}
				((((BgL_blockz00_bglt) COBJECT(BgL_arg1930z00_2396))->BgL_succsz00) =
					((obj_t) BgL_arg1931z00_2397), BUNSPEC);
			}
			{	/* SawMill/node2rtl.scm 140 */
				BgL_blockz00_bglt BgL_joinz00_2414;

				{	/* SawMill/node2rtl.scm 140 */
					BgL_areaz00_bglt BgL_arg1944z00_2426;

					{	/* SawMill/node2rtl.scm 140 */
						BgL_rtl_movz00_bglt BgL_arg1945z00_2427;

						{	/* SawMill/node2rtl.scm 140 */
							BgL_rtl_movz00_bglt BgL_new1248z00_2429;

							{	/* SawMill/node2rtl.scm 140 */
								BgL_rtl_movz00_bglt BgL_new1247z00_2430;

								BgL_new1247z00_2430 =
									((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_movz00_bgl))));
								{	/* SawMill/node2rtl.scm 140 */
									long BgL_arg1947z00_2431;

									BgL_arg1947z00_2431 =
										BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1247z00_2430),
										BgL_arg1947z00_2431);
								}
								BgL_new1248z00_2429 = BgL_new1247z00_2430;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1248z00_2429)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg1945z00_2427 = BgL_new1248z00_2429;
						}
						{	/* SawMill/node2rtl.scm 140 */
							obj_t BgL_list1946z00_2428;

							BgL_list1946z00_2428 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_rz00_119), BNIL);
							BgL_arg1944z00_2426 =
								BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
								((BgL_rtl_funz00_bglt) BgL_arg1945z00_2427),
								BgL_list1946z00_2428);
					}}
					BgL_joinz00_2414 =
						(((BgL_areaz00_bglt) COBJECT(BgL_arg1944z00_2426))->BgL_entryz00);
				}
				{
					obj_t BgL_l1626z00_2416;

					BgL_l1626z00_2416 = BgL_contsz00_118;
				BgL_zc3z04anonymousza31940ze3z87_2417:
					if (PAIRP(BgL_l1626z00_2416))
						{	/* SawMill/node2rtl.scm 141 */
							{	/* SawMill/node2rtl.scm 142 */
								BgL_areaz00_bglt BgL_az00_2419;

								BgL_az00_2419 = ((BgL_areaz00_bglt) CAR(BgL_l1626z00_2416));
								{	/* SawMill/node2rtl.scm 142 */
									BgL_blockz00_bglt BgL_bz00_2420;

									BgL_bz00_2420 =
										(((BgL_areaz00_bglt) COBJECT(BgL_az00_2419))->BgL_exitz00);
									{	/* SawMill/node2rtl.scm 91 */
										obj_t BgL_arg1880z00_4271;

										{	/* SawMill/node2rtl.scm 91 */
											obj_t BgL_arg1881z00_4272;

											BgL_arg1881z00_4272 =
												(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2420))->
												BgL_succsz00);
											BgL_arg1880z00_4271 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_joinz00_2414),
												BgL_arg1881z00_4272);
										}
										((((BgL_blockz00_bglt) COBJECT(BgL_bz00_2420))->
												BgL_succsz00) = ((obj_t) BgL_arg1880z00_4271), BUNSPEC);
									}
									BGl_bdestinationz12z12zzsaw_node2rtlz00(BgL_bz00_2420,
										BgL_rz00_119);
								}
							}
							{
								obj_t BgL_l1626z00_6870;

								BgL_l1626z00_6870 = CDR(BgL_l1626z00_2416);
								BgL_l1626z00_2416 = BgL_l1626z00_6870;
								goto BgL_zc3z04anonymousza31940ze3z87_2417;
							}
						}
					else
						{	/* SawMill/node2rtl.scm 141 */
							((bool_t) 1);
						}
				}
				{	/* SawMill/node2rtl.scm 147 */
					BgL_areaz00_bglt BgL_new1250z00_2423;

					{	/* SawMill/node2rtl.scm 147 */
						BgL_areaz00_bglt BgL_new1249z00_2424;

						BgL_new1249z00_2424 =
							((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_areaz00_bgl))));
						{	/* SawMill/node2rtl.scm 147 */
							long BgL_arg1943z00_2425;

							BgL_arg1943z00_2425 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1249z00_2424),
								BgL_arg1943z00_2425);
						}
						BgL_new1250z00_2423 = BgL_new1249z00_2424;
					}
					((((BgL_areaz00_bglt) COBJECT(BgL_new1250z00_2423))->BgL_entryz00) =
						((BgL_blockz00_bglt) (((BgL_areaz00_bglt)
									COBJECT(BgL_headz00_117))->BgL_entryz00)), BUNSPEC);
					((((BgL_areaz00_bglt) COBJECT(BgL_new1250z00_2423))->BgL_exitz00) =
						((BgL_blockz00_bglt) BgL_joinz00_2414), BUNSPEC);
					return BgL_new1250z00_2423;
				}
			}
		}

	}



/* join */
	obj_t BGl_joinz00zzsaw_node2rtlz00(obj_t BgL_contsz00_120,
		BgL_rtl_regz00_bglt BgL_xrz00_121)
	{
		{	/* SawMill/node2rtl.scm 149 */
			{	/* SawMill/node2rtl.scm 150 */
				obj_t BgL_rz00_2432;

				BgL_rz00_2432 =
					BGl_findzd2registerzd2zzsaw_node2rtlz00(BgL_contsz00_120,
					BgL_xrz00_121);
				{	/* SawMill/node2rtl.scm 152 */
					BgL_blockz00_bglt BgL_joinz00_2433;

					{	/* SawMill/node2rtl.scm 152 */
						BgL_areaz00_bglt BgL_arg1957z00_2458;

						{	/* SawMill/node2rtl.scm 152 */
							BgL_rtl_movz00_bglt BgL_arg1958z00_2459;

							{	/* SawMill/node2rtl.scm 152 */
								BgL_rtl_movz00_bglt BgL_new1252z00_2461;

								{	/* SawMill/node2rtl.scm 152 */
									BgL_rtl_movz00_bglt BgL_new1251z00_2462;

									BgL_new1251z00_2462 =
										((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_movz00_bgl))));
									{	/* SawMill/node2rtl.scm 152 */
										long BgL_arg1960z00_2463;

										BgL_arg1960z00_2463 =
											BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1251z00_2462),
											BgL_arg1960z00_2463);
									}
									BgL_new1252z00_2461 = BgL_new1251z00_2462;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1252z00_2461)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								BgL_arg1958z00_2459 = BgL_new1252z00_2461;
							}
							{	/* SawMill/node2rtl.scm 152 */
								obj_t BgL_list1959z00_2460;

								BgL_list1959z00_2460 = MAKE_YOUNG_PAIR(BgL_rz00_2432, BNIL);
								BgL_arg1957z00_2458 =
									BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
									((BgL_rtl_funz00_bglt) BgL_arg1958z00_2459),
									BgL_list1959z00_2460);
						}}
						BgL_joinz00_2433 =
							(((BgL_areaz00_bglt) COBJECT(BgL_arg1957z00_2458))->BgL_entryz00);
					}
					{
						obj_t BgL_l1628z00_2435;

						BgL_l1628z00_2435 = BgL_contsz00_120;
					BgL_zc3z04anonymousza31948ze3z87_2436:
						if (PAIRP(BgL_l1628z00_2435))
							{	/* SawMill/node2rtl.scm 153 */
								{	/* SawMill/node2rtl.scm 154 */
									BgL_areaz00_bglt BgL_az00_2438;

									BgL_az00_2438 = ((BgL_areaz00_bglt) CAR(BgL_l1628z00_2435));
									{	/* SawMill/node2rtl.scm 154 */
										BgL_blockz00_bglt BgL_bz00_2439;

										BgL_bz00_2439 =
											(((BgL_areaz00_bglt) COBJECT(BgL_az00_2438))->
											BgL_exitz00);
										{	/* SawMill/node2rtl.scm 91 */
											obj_t BgL_arg1880z00_4290;

											{	/* SawMill/node2rtl.scm 91 */
												obj_t BgL_arg1881z00_4291;

												BgL_arg1881z00_4291 =
													(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2439))->
													BgL_succsz00);
												BgL_arg1880z00_4290 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_joinz00_2433),
													BgL_arg1881z00_4291);
											}
											((((BgL_blockz00_bglt) COBJECT(BgL_bz00_2439))->
													BgL_succsz00) =
												((obj_t) BgL_arg1880z00_4290), BUNSPEC);
										}
										BGl_bdestinationz12z12zzsaw_node2rtlz00(BgL_bz00_2439,
											((BgL_rtl_regz00_bglt) BgL_rz00_2432));
									}
								}
								{
									obj_t BgL_l1628z00_6901;

									BgL_l1628z00_6901 = CDR(BgL_l1628z00_2435);
									BgL_l1628z00_2435 = BgL_l1628z00_6901;
									goto BgL_zc3z04anonymousza31948ze3z87_2436;
								}
							}
						else
							{	/* SawMill/node2rtl.scm 153 */
								((bool_t) 1);
							}
					}
					if (NULLP(BgL_contsz00_120))
						{	/* SawMill/node2rtl.scm 159 */
							return BNIL;
						}
					else
						{	/* SawMill/node2rtl.scm 159 */
							obj_t BgL_head1632z00_2444;

							BgL_head1632z00_2444 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1630z00_2446;
								obj_t BgL_tail1633z00_2447;

								BgL_l1630z00_2446 = BgL_contsz00_120;
								BgL_tail1633z00_2447 = BgL_head1632z00_2444;
							BgL_zc3z04anonymousza31952ze3z87_2448:
								if (NULLP(BgL_l1630z00_2446))
									{	/* SawMill/node2rtl.scm 159 */
										return CDR(BgL_head1632z00_2444);
									}
								else
									{	/* SawMill/node2rtl.scm 159 */
										obj_t BgL_newtail1634z00_2450;

										{	/* SawMill/node2rtl.scm 159 */
											BgL_areaz00_bglt BgL_arg1955z00_2452;

											{	/* SawMill/node2rtl.scm 159 */
												BgL_areaz00_bglt BgL_az00_2453;

												BgL_az00_2453 =
													((BgL_areaz00_bglt) CAR(((obj_t) BgL_l1630z00_2446)));
												{	/* SawMill/node2rtl.scm 160 */
													BgL_areaz00_bglt BgL_new1254z00_2454;

													{	/* SawMill/node2rtl.scm 160 */
														BgL_areaz00_bglt BgL_new1253z00_2455;

														BgL_new1253z00_2455 =
															((BgL_areaz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_areaz00_bgl))));
														{	/* SawMill/node2rtl.scm 160 */
															long BgL_arg1956z00_2456;

															BgL_arg1956z00_2456 =
																BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1253z00_2455),
																BgL_arg1956z00_2456);
														}
														BgL_new1254z00_2454 = BgL_new1253z00_2455;
													}
													((((BgL_areaz00_bglt) COBJECT(BgL_new1254z00_2454))->
															BgL_entryz00) =
														((BgL_blockz00_bglt) (((BgL_areaz00_bglt)
																	COBJECT(BgL_az00_2453))->BgL_entryz00)),
														BUNSPEC);
													((((BgL_areaz00_bglt) COBJECT(BgL_new1254z00_2454))->
															BgL_exitz00) =
														((BgL_blockz00_bglt) BgL_joinz00_2433), BUNSPEC);
													BgL_arg1955z00_2452 = BgL_new1254z00_2454;
											}}
											BgL_newtail1634z00_2450 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1955z00_2452), BNIL);
										}
										SET_CDR(BgL_tail1633z00_2447, BgL_newtail1634z00_2450);
										{	/* SawMill/node2rtl.scm 159 */
											obj_t BgL_arg1954z00_2451;

											BgL_arg1954z00_2451 = CDR(((obj_t) BgL_l1630z00_2446));
											{
												obj_t BgL_tail1633z00_6925;
												obj_t BgL_l1630z00_6924;

												BgL_l1630z00_6924 = BgL_arg1954z00_2451;
												BgL_tail1633z00_6925 = BgL_newtail1634z00_2450;
												BgL_tail1633z00_2447 = BgL_tail1633z00_6925;
												BgL_l1630z00_2446 = BgL_l1630z00_6924;
												goto BgL_zc3z04anonymousza31952ze3z87_2448;
											}
										}
									}
							}
						}
				}
			}
		}

	}



/* fork */
	BgL_areaz00_bglt BGl_forkz00zzsaw_node2rtlz00(BgL_areaz00_bglt
		BgL_headz00_122, obj_t BgL_joinedz00_123)
	{
		{	/* SawMill/node2rtl.scm 163 */
			{	/* SawMill/node2rtl.scm 165 */
				BgL_blockz00_bglt BgL_arg1961z00_2464;
				obj_t BgL_arg1962z00_2465;

				BgL_arg1961z00_2464 =
					(((BgL_areaz00_bglt) COBJECT(BgL_headz00_122))->BgL_exitz00);
				if (NULLP(BgL_joinedz00_123))
					{	/* SawMill/node2rtl.scm 165 */
						BgL_arg1962z00_2465 = BNIL;
					}
				else
					{	/* SawMill/node2rtl.scm 165 */
						obj_t BgL_head1637z00_2468;

						{	/* SawMill/node2rtl.scm 165 */
							BgL_blockz00_bglt BgL_arg1969z00_2480;

							BgL_arg1969z00_2480 =
								(((BgL_areaz00_bglt) COBJECT(
										((BgL_areaz00_bglt)
											CAR(((obj_t) BgL_joinedz00_123)))))->BgL_entryz00);
							BgL_head1637z00_2468 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1969z00_2480), BNIL);
						}
						{	/* SawMill/node2rtl.scm 165 */
							obj_t BgL_g1640z00_2469;

							BgL_g1640z00_2469 = CDR(((obj_t) BgL_joinedz00_123));
							{
								obj_t BgL_l1635z00_2471;
								obj_t BgL_tail1638z00_2472;

								BgL_l1635z00_2471 = BgL_g1640z00_2469;
								BgL_tail1638z00_2472 = BgL_head1637z00_2468;
							BgL_zc3z04anonymousza31964ze3z87_2473:
								if (NULLP(BgL_l1635z00_2471))
									{	/* SawMill/node2rtl.scm 165 */
										BgL_arg1962z00_2465 = BgL_head1637z00_2468;
									}
								else
									{	/* SawMill/node2rtl.scm 165 */
										obj_t BgL_newtail1639z00_2475;

										{	/* SawMill/node2rtl.scm 165 */
											BgL_blockz00_bglt BgL_arg1967z00_2477;

											BgL_arg1967z00_2477 =
												(((BgL_areaz00_bglt) COBJECT(
														((BgL_areaz00_bglt)
															CAR(
																((obj_t) BgL_l1635z00_2471)))))->BgL_entryz00);
											BgL_newtail1639z00_2475 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1967z00_2477), BNIL);
										}
										SET_CDR(BgL_tail1638z00_2472, BgL_newtail1639z00_2475);
										{	/* SawMill/node2rtl.scm 165 */
											obj_t BgL_arg1966z00_2476;

											BgL_arg1966z00_2476 = CDR(((obj_t) BgL_l1635z00_2471));
											{
												obj_t BgL_tail1638z00_6949;
												obj_t BgL_l1635z00_6948;

												BgL_l1635z00_6948 = BgL_arg1966z00_2476;
												BgL_tail1638z00_6949 = BgL_newtail1639z00_2475;
												BgL_tail1638z00_2472 = BgL_tail1638z00_6949;
												BgL_l1635z00_2471 = BgL_l1635z00_6948;
												goto BgL_zc3z04anonymousza31964ze3z87_2473;
											}
										}
									}
							}
						}
					}
				((((BgL_blockz00_bglt) COBJECT(BgL_arg1961z00_2464))->BgL_succsz00) =
					((obj_t) BgL_arg1962z00_2465), BUNSPEC);
			}
			{	/* SawMill/node2rtl.scm 167 */
				BgL_areaz00_bglt BgL_new1257z00_2482;

				{	/* SawMill/node2rtl.scm 167 */
					BgL_areaz00_bglt BgL_new1255z00_2484;

					BgL_new1255z00_2484 =
						((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_areaz00_bgl))));
					{	/* SawMill/node2rtl.scm 167 */
						long BgL_arg1972z00_2485;

						BgL_arg1972z00_2485 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1255z00_2484), BgL_arg1972z00_2485);
					}
					BgL_new1257z00_2482 = BgL_new1255z00_2484;
				}
				((((BgL_areaz00_bglt) COBJECT(BgL_new1257z00_2482))->BgL_entryz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(BgL_headz00_122))->
							BgL_entryz00)), BUNSPEC);
				((((BgL_areaz00_bglt) COBJECT(BgL_new1257z00_2482))->BgL_exitz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(((BgL_areaz00_bglt)
										CAR(((obj_t) BgL_joinedz00_123)))))->BgL_exitz00)),
					BUNSPEC);
				return BgL_new1257z00_2482;
			}
		}

	}



/* find-register */
	obj_t BGl_findzd2registerzd2zzsaw_node2rtlz00(obj_t BgL_areasz00_124,
		BgL_rtl_regz00_bglt BgL_regz00_125)
	{
		{	/* SawMill/node2rtl.scm 170 */
			{
				obj_t BgL_az00_2495;

				{
					obj_t BgL_lz00_2488;

					BgL_lz00_2488 = BgL_areasz00_124;
				BgL_zc3z04anonymousza31973ze3z87_2489:
					if (NULLP(BgL_lz00_2488))
						{	/* SawMill/node2rtl.scm 180 */
							return ((obj_t) BgL_regz00_125);
						}
					else
						{	/* SawMill/node2rtl.scm 182 */
							obj_t BgL__ortest_1259z00_2491;

							{	/* SawMill/node2rtl.scm 182 */
								obj_t BgL_arg1976z00_2493;

								BgL_arg1976z00_2493 = CAR(((obj_t) BgL_lz00_2488));
								BgL_az00_2495 = BgL_arg1976z00_2493;
								{	/* SawMill/node2rtl.scm 172 */
									obj_t BgL_insz00_2497;

									BgL_insz00_2497 =
										CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
											(((BgL_blockz00_bglt) COBJECT(
														(((BgL_areaz00_bglt) COBJECT(
																	((BgL_areaz00_bglt) BgL_az00_2495)))->
															BgL_exitz00)))->BgL_firstz00)));
									{	/* SawMill/node2rtl.scm 173 */
										bool_t BgL_test3039z00_6972;

										{	/* SawMill/node2rtl.scm 173 */
											BgL_rtl_funz00_bglt BgL_arg1988z00_2512;

											BgL_arg1988z00_2512 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_insz00_2497)))->
												BgL_funz00);
											{	/* SawMill/node2rtl.scm 173 */
												obj_t BgL_classz00_4324;

												BgL_classz00_4324 = BGl_rtl_movz00zzsaw_defsz00;
												{	/* SawMill/node2rtl.scm 173 */
													BgL_objectz00_bglt BgL_arg1801z00_4326;

													{	/* SawMill/node2rtl.scm 173 */
														obj_t BgL_tmpz00_6975;

														BgL_tmpz00_6975 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg1988z00_2512));
														BgL_arg1801z00_4326 =
															(BgL_objectz00_bglt) (BgL_tmpz00_6975);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawMill/node2rtl.scm 173 */
															long BgL_idxz00_4332;

															BgL_idxz00_4332 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4326);
															BgL_test3039z00_6972 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4332 + 3L)) == BgL_classz00_4324);
														}
													else
														{	/* SawMill/node2rtl.scm 173 */
															bool_t BgL_res2797z00_4354;

															{	/* SawMill/node2rtl.scm 173 */
																obj_t BgL_oclassz00_4340;

																{	/* SawMill/node2rtl.scm 173 */
																	long BgL_arg1808z00_4346;

																	{	/* SawMill/node2rtl.scm 173 */
																		long BgL_arg1809z00_4347;

																		BgL_arg1809z00_4347 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4326);
																		BgL_arg1808z00_4346 =
																			(BgL_arg1809z00_4347 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4340 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1808z00_4346);
																}
																{	/* SawMill/node2rtl.scm 173 */
																	bool_t BgL__ortest_1115z00_4341;

																	BgL__ortest_1115z00_4341 =
																		(BgL_classz00_4324 == BgL_oclassz00_4340);
																	if (BgL__ortest_1115z00_4341)
																		{	/* SawMill/node2rtl.scm 173 */
																			BgL_res2797z00_4354 =
																				BgL__ortest_1115z00_4341;
																		}
																	else
																		{	/* SawMill/node2rtl.scm 173 */
																			long BgL_odepthz00_4342;

																			BgL_odepthz00_4342 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_4340);
																			if ((3L < BgL_odepthz00_4342))
																				{	/* SawMill/node2rtl.scm 173 */
																					obj_t BgL_arg1797z00_4344;

																					BgL_arg1797z00_4344 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_4340, 3L);
																					BgL_res2797z00_4354 =
																						(BgL_arg1797z00_4344 ==
																						BgL_classz00_4324);
																				}
																			else
																				{	/* SawMill/node2rtl.scm 173 */
																					BgL_res2797z00_4354 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test3039z00_6972 = BgL_res2797z00_4354;
														}
												}
											}
										}
										if (BgL_test3039z00_6972)
											{	/* SawMill/node2rtl.scm 174 */
												obj_t BgL_rz00_2499;

												{	/* SawMill/node2rtl.scm 174 */
													obj_t BgL_pairz00_4356;

													BgL_pairz00_4356 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_insz00_2497)))->
														BgL_argsz00);
													BgL_rz00_2499 = CAR(BgL_pairz00_4356);
												}
												{	/* SawMill/node2rtl.scm 175 */
													bool_t BgL_test3043z00_6998;

													if (CBOOL(
															(((BgL_rtl_regz00_bglt) COBJECT(
																		((BgL_rtl_regz00_bglt) BgL_rz00_2499)))->
																BgL_varz00)))
														{	/* SawMill/node2rtl.scm 175 */
															BgL_test3043z00_6998 = ((bool_t) 1);
														}
													else
														{	/* SawMill/node2rtl.scm 175 */
															if (
																(((obj_t)
																		(((BgL_rtl_regz00_bglt) COBJECT(
																					((BgL_rtl_regz00_bglt)
																						BgL_rz00_2499)))->BgL_typez00)) ==
																	((obj_t) (((BgL_rtl_regz00_bglt)
																				COBJECT(BgL_regz00_125))->
																			BgL_typez00))))
																{	/* SawMill/node2rtl.scm 176 */
																	BgL_test3043z00_6998 = ((bool_t) 0);
																}
															else
																{	/* SawMill/node2rtl.scm 176 */
																	BgL_test3043z00_6998 = ((bool_t) 1);
																}
														}
													if (BgL_test3043z00_6998)
														{	/* SawMill/node2rtl.scm 175 */
															BgL__ortest_1259z00_2491 = BFALSE;
														}
													else
														{	/* SawMill/node2rtl.scm 175 */
															BgL__ortest_1259z00_2491 = BgL_rz00_2499;
														}
												}
											}
										else
											{	/* SawMill/node2rtl.scm 173 */
												BgL__ortest_1259z00_2491 = BFALSE;
											}
									}
								}
							}
							if (CBOOL(BgL__ortest_1259z00_2491))
								{	/* SawMill/node2rtl.scm 182 */
									return BgL__ortest_1259z00_2491;
								}
							else
								{	/* SawMill/node2rtl.scm 183 */
									obj_t BgL_arg1975z00_2492;

									BgL_arg1975z00_2492 = CDR(((obj_t) BgL_lz00_2488));
									{
										obj_t BgL_lz00_7014;

										BgL_lz00_7014 = BgL_arg1975z00_2492;
										BgL_lz00_2488 = BgL_lz00_7014;
										goto BgL_zc3z04anonymousza31973ze3z87_2489;
									}
								}
						}
				}
			}
		}

	}



/* call* */
	BgL_areaz00_bglt BGl_callza2za2zzsaw_node2rtlz00(obj_t BgL_ez00_128,
		BgL_rtl_funz00_bglt BgL_funz00_129, obj_t BgL_exprsz00_130)
	{
		{	/* SawMill/node2rtl.scm 190 */
			{	/* SawMill/node2rtl.scm 191 */
				obj_t BgL_regsz00_2518;

				if (NULLP(BgL_exprsz00_130))
					{	/* SawMill/node2rtl.scm 191 */
						BgL_regsz00_2518 = BNIL;
					}
				else
					{	/* SawMill/node2rtl.scm 191 */
						obj_t BgL_head1643z00_2541;

						BgL_head1643z00_2541 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1641z00_2543;
							obj_t BgL_tail1644z00_2544;

							BgL_l1641z00_2543 = BgL_exprsz00_130;
							BgL_tail1644z00_2544 = BgL_head1643z00_2541;
						BgL_zc3z04anonymousza32002ze3z87_2545:
							if (NULLP(BgL_l1641z00_2543))
								{	/* SawMill/node2rtl.scm 191 */
									BgL_regsz00_2518 = CDR(BgL_head1643z00_2541);
								}
							else
								{	/* SawMill/node2rtl.scm 191 */
									obj_t BgL_newtail1645z00_2547;

									{	/* SawMill/node2rtl.scm 191 */
										BgL_rtl_regz00_bglt BgL_arg2006z00_2549;

										{	/* SawMill/node2rtl.scm 191 */
											obj_t BgL_ez00_2550;

											BgL_ez00_2550 = CAR(((obj_t) BgL_l1641z00_2543));
											BgL_arg2006z00_2549 =
												BGl_newzd2regzd2zzsaw_node2rtlz00(
												((BgL_nodez00_bglt) BgL_ez00_2550));
										}
										BgL_newtail1645z00_2547 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg2006z00_2549), BNIL);
									}
									SET_CDR(BgL_tail1644z00_2544, BgL_newtail1645z00_2547);
									{	/* SawMill/node2rtl.scm 191 */
										obj_t BgL_arg2004z00_2548;

										BgL_arg2004z00_2548 = CDR(((obj_t) BgL_l1641z00_2543));
										{
											obj_t BgL_tail1644z00_7031;
											obj_t BgL_l1641z00_7030;

											BgL_l1641z00_7030 = BgL_arg2004z00_2548;
											BgL_tail1644z00_7031 = BgL_newtail1645z00_2547;
											BgL_tail1644z00_2544 = BgL_tail1644z00_7031;
											BgL_l1641z00_2543 = BgL_l1641z00_7030;
											goto BgL_zc3z04anonymousza32002ze3z87_2545;
										}
									}
								}
						}
					}
				{	/* SawMill/node2rtl.scm 192 */
					BgL_areaz00_bglt BgL_arg1992z00_2519;
					BgL_areaz00_bglt BgL_arg1993z00_2520;

					{	/* SawMill/node2rtl.scm 192 */
						obj_t BgL_arg1994z00_2521;

						if (NULLP(BgL_exprsz00_130))
							{	/* SawMill/node2rtl.scm 192 */
								BgL_arg1994z00_2521 = BNIL;
							}
						else
							{	/* SawMill/node2rtl.scm 192 */
								obj_t BgL_head1648z00_2525;

								BgL_head1648z00_2525 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_ll1646z00_2527;
									obj_t BgL_ll1647z00_2528;
									obj_t BgL_tail1649z00_2529;

									BgL_ll1646z00_2527 = BgL_exprsz00_130;
									BgL_ll1647z00_2528 = BgL_regsz00_2518;
									BgL_tail1649z00_2529 = BgL_head1648z00_2525;
								BgL_zc3z04anonymousza31996ze3z87_2530:
									if (NULLP(BgL_ll1646z00_2527))
										{	/* SawMill/node2rtl.scm 192 */
											BgL_arg1994z00_2521 = CDR(BgL_head1648z00_2525);
										}
									else
										{	/* SawMill/node2rtl.scm 192 */
											obj_t BgL_newtail1650z00_2532;

											{	/* SawMill/node2rtl.scm 192 */
												BgL_areaz00_bglt BgL_arg2000z00_2535;

												{	/* SawMill/node2rtl.scm 192 */
													obj_t BgL_az00_2536;
													obj_t BgL_rz00_2537;

													BgL_az00_2536 = CAR(((obj_t) BgL_ll1646z00_2527));
													BgL_rz00_2537 = CAR(((obj_t) BgL_ll1647z00_2528));
													{	/* SawMill/node2rtl.scm 192 */
														BgL_areaz00_bglt BgL_res2798z00_4381;

														{	/* SawMill/node2rtl.scm 186 */
															BgL_areaz00_bglt BgL_az00_4376;

															BgL_az00_4376 =
																BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
																((BgL_nodez00_bglt) BgL_az00_2536));
															{	/* SawMill/node2rtl.scm 115 */
																BgL_blockz00_bglt BgL_arg1908z00_4379;

																BgL_arg1908z00_4379 =
																	(((BgL_areaz00_bglt) COBJECT(BgL_az00_4376))->
																	BgL_exitz00);
																BGl_bdestinationz12z12zzsaw_node2rtlz00
																	(BgL_arg1908z00_4379,
																	((BgL_rtl_regz00_bglt) BgL_rz00_2537));
															}
															BgL_res2798z00_4381 = BgL_az00_4376;
														}
														BgL_arg2000z00_2535 = BgL_res2798z00_4381;
													}
												}
												BgL_newtail1650z00_2532 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg2000z00_2535), BNIL);
											}
											SET_CDR(BgL_tail1649z00_2529, BgL_newtail1650z00_2532);
											{	/* SawMill/node2rtl.scm 192 */
												obj_t BgL_arg1998z00_2533;
												obj_t BgL_arg1999z00_2534;

												BgL_arg1998z00_2533 = CDR(((obj_t) BgL_ll1646z00_2527));
												BgL_arg1999z00_2534 = CDR(((obj_t) BgL_ll1647z00_2528));
												{
													obj_t BgL_tail1649z00_7056;
													obj_t BgL_ll1647z00_7055;
													obj_t BgL_ll1646z00_7054;

													BgL_ll1646z00_7054 = BgL_arg1998z00_2533;
													BgL_ll1647z00_7055 = BgL_arg1999z00_2534;
													BgL_tail1649z00_7056 = BgL_newtail1650z00_2532;
													BgL_tail1649z00_2529 = BgL_tail1649z00_7056;
													BgL_ll1647z00_2528 = BgL_ll1647z00_7055;
													BgL_ll1646z00_2527 = BgL_ll1646z00_7054;
													goto BgL_zc3z04anonymousza31996ze3z87_2530;
												}
											}
										}
								}
							}
						BgL_arg1992z00_2519 =
							BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg1994z00_2521);
					}
					BgL_arg1993z00_2520 =
						BGl_singleza2za2zzsaw_node2rtlz00(BgL_ez00_128, BgL_funz00_129,
						BgL_regsz00_2518);
					return BGl_linkz00zzsaw_node2rtlz00(BgL_arg1992z00_2519,
						BgL_arg1993z00_2520);
				}
			}
		}

	}



/* coerce */
	obj_t BGl_coercez00zzsaw_node2rtlz00(obj_t BgL_clausesz00_146)
	{
		{	/* SawMill/node2rtl.scm 272 */
			if (NULLP(BgL_clausesz00_146))
				{	/* SawMill/node2rtl.scm 273 */
					return BNIL;
				}
			else
				{	/* SawMill/node2rtl.scm 273 */
					obj_t BgL_head1685z00_2589;

					BgL_head1685z00_2589 = MAKE_YOUNG_PAIR(BNIL, BNIL);
					{
						obj_t BgL_l1683z00_2591;
						obj_t BgL_tail1686z00_2592;

						BgL_l1683z00_2591 = BgL_clausesz00_146;
						BgL_tail1686z00_2592 = BgL_head1685z00_2589;
					BgL_zc3z04anonymousza32023ze3z87_2593:
						if (NULLP(BgL_l1683z00_2591))
							{	/* SawMill/node2rtl.scm 273 */
								return CDR(BgL_head1685z00_2589);
							}
						else
							{	/* SawMill/node2rtl.scm 273 */
								obj_t BgL_newtail1687z00_2595;

								{	/* SawMill/node2rtl.scm 273 */
									obj_t BgL_arg2028z00_2597;

									{	/* SawMill/node2rtl.scm 273 */
										obj_t BgL_cz00_2598;

										BgL_cz00_2598 = CAR(((obj_t) BgL_l1683z00_2591));
										{	/* SawMill/node2rtl.scm 274 */
											obj_t BgL_pz00_2599;

											BgL_pz00_2599 = CAR(((obj_t) BgL_cz00_2598));
											if ((BgL_pz00_2599 == CNST_TABLE_REF(1L)))
												{	/* SawMill/node2rtl.scm 275 */
													BgL_arg2028z00_2597 = BgL_pz00_2599;
												}
											else
												{	/* SawMill/node2rtl.scm 275 */
													if (NULLP(BgL_pz00_2599))
														{	/* SawMill/node2rtl.scm 277 */
															BgL_arg2028z00_2597 = BNIL;
														}
													else
														{	/* SawMill/node2rtl.scm 277 */
															obj_t BgL_head1680z00_2602;

															BgL_head1680z00_2602 =
																MAKE_YOUNG_PAIR(BNIL, BNIL);
															{
																obj_t BgL_l1678z00_2604;
																obj_t BgL_tail1681z00_2605;

																BgL_l1678z00_2604 = BgL_pz00_2599;
																BgL_tail1681z00_2605 = BgL_head1680z00_2602;
															BgL_zc3z04anonymousza32030ze3z87_2606:
																if (NULLP(BgL_l1678z00_2604))
																	{	/* SawMill/node2rtl.scm 277 */
																		BgL_arg2028z00_2597 =
																			CDR(BgL_head1680z00_2602);
																	}
																else
																	{	/* SawMill/node2rtl.scm 277 */
																		obj_t BgL_newtail1682z00_2608;

																		{	/* SawMill/node2rtl.scm 277 */
																			obj_t BgL_arg2033z00_2610;

																			{	/* SawMill/node2rtl.scm 277 */
																				obj_t BgL_nz00_2611;

																				BgL_nz00_2611 =
																					CAR(((obj_t) BgL_l1678z00_2604));
																				if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_nz00_2611))
																					{	/* SawMill/node2rtl.scm 278 */
																						BgL_arg2033z00_2610 = BgL_nz00_2611;
																					}
																				else
																					{	/* SawMill/node2rtl.scm 278 */
																						if (CHARP(BgL_nz00_2611))
																							{	/* SawMill/node2rtl.scm 279 */
																								BgL_arg2033z00_2610 =
																									BINT((CCHAR(BgL_nz00_2611)));
																							}
																						else
																							{	/* SawMill/node2rtl.scm 279 */
																								BgL_arg2033z00_2610 =
																									BGl_errorz00zz__errorz00
																									(BGl_string2835z00zzsaw_node2rtlz00,
																									BGl_string2836z00zzsaw_node2rtlz00,
																									BgL_nz00_2611);
																							}
																					}
																			}
																			BgL_newtail1682z00_2608 =
																				MAKE_YOUNG_PAIR(BgL_arg2033z00_2610,
																				BNIL);
																		}
																		SET_CDR(BgL_tail1681z00_2605,
																			BgL_newtail1682z00_2608);
																		{	/* SawMill/node2rtl.scm 277 */
																			obj_t BgL_arg2032z00_2609;

																			BgL_arg2032z00_2609 =
																				CDR(((obj_t) BgL_l1678z00_2604));
																			{
																				obj_t BgL_tail1681z00_7094;
																				obj_t BgL_l1678z00_7093;

																				BgL_l1678z00_7093 = BgL_arg2032z00_2609;
																				BgL_tail1681z00_7094 =
																					BgL_newtail1682z00_2608;
																				BgL_tail1681z00_2605 =
																					BgL_tail1681z00_7094;
																				BgL_l1678z00_2604 = BgL_l1678z00_7093;
																				goto
																					BgL_zc3z04anonymousza32030ze3z87_2606;
																			}
																		}
																	}
															}
														}
												}
										}
									}
									BgL_newtail1687z00_2595 =
										MAKE_YOUNG_PAIR(BgL_arg2028z00_2597, BNIL);
								}
								SET_CDR(BgL_tail1686z00_2592, BgL_newtail1687z00_2595);
								{	/* SawMill/node2rtl.scm 273 */
									obj_t BgL_arg2025z00_2596;

									BgL_arg2025z00_2596 = CDR(((obj_t) BgL_l1683z00_2591));
									{
										obj_t BgL_tail1686z00_7100;
										obj_t BgL_l1683z00_7099;

										BgL_l1683z00_7099 = BgL_arg2025z00_2596;
										BgL_tail1686z00_7100 = BgL_newtail1687z00_2595;
										BgL_tail1686z00_2592 = BgL_tail1686z00_7100;
										BgL_l1683z00_2591 = BgL_l1683z00_7099;
										goto BgL_zc3z04anonymousza32023ze3z87_2593;
									}
								}
							}
					}
				}
		}

	}



/* compile-label-call */
	BgL_areaz00_bglt
		BGl_compilezd2labelzd2callz00zzsaw_node2rtlz00(BgL_localz00_bglt
		BgL_vz00_148, obj_t BgL_argsz00_149)
	{
		{	/* SawMill/node2rtl.scm 290 */
			{	/* SawMill/node2rtl.scm 297 */
				obj_t BgL_regsz00_2617;

				if (NULLP(BgL_argsz00_149))
					{	/* SawMill/node2rtl.scm 297 */
						BgL_regsz00_2617 = BNIL;
					}
				else
					{	/* SawMill/node2rtl.scm 297 */
						obj_t BgL_head1690z00_2667;

						BgL_head1690z00_2667 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1688z00_2669;
							obj_t BgL_tail1691z00_2670;

							BgL_l1688z00_2669 = BgL_argsz00_149;
							BgL_tail1691z00_2670 = BgL_head1690z00_2667;
						BgL_zc3z04anonymousza32063ze3z87_2671:
							if (NULLP(BgL_l1688z00_2669))
								{	/* SawMill/node2rtl.scm 297 */
									BgL_regsz00_2617 = CDR(BgL_head1690z00_2667);
								}
							else
								{	/* SawMill/node2rtl.scm 297 */
									obj_t BgL_newtail1692z00_2673;

									{	/* SawMill/node2rtl.scm 297 */
										BgL_rtl_regz00_bglt BgL_arg2067z00_2675;

										{	/* SawMill/node2rtl.scm 297 */
											obj_t BgL_az00_2676;

											BgL_az00_2676 = CAR(((obj_t) BgL_l1688z00_2669));
											BgL_arg2067z00_2675 =
												BGl_newzd2regzd2zzsaw_node2rtlz00(
												((BgL_nodez00_bglt) BgL_az00_2676));
										}
										BgL_newtail1692z00_2673 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg2067z00_2675), BNIL);
									}
									SET_CDR(BgL_tail1691z00_2670, BgL_newtail1692z00_2673);
									{	/* SawMill/node2rtl.scm 297 */
										obj_t BgL_arg2066z00_2674;

										BgL_arg2066z00_2674 = CDR(((obj_t) BgL_l1688z00_2669));
										{
											obj_t BgL_tail1691z00_7117;
											obj_t BgL_l1688z00_7116;

											BgL_l1688z00_7116 = BgL_arg2066z00_2674;
											BgL_tail1691z00_7117 = BgL_newtail1692z00_2673;
											BgL_tail1691z00_2670 = BgL_tail1691z00_7117;
											BgL_l1688z00_2669 = BgL_l1688z00_7116;
											goto BgL_zc3z04anonymousza32063ze3z87_2671;
										}
									}
								}
						}
					}
				{	/* SawMill/node2rtl.scm 298 */
					obj_t BgL_paramsz00_2618;

					BgL_paramsz00_2618 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_vz00_148)))->
										BgL_valuez00))))->BgL_argsz00);
					{	/* SawMill/node2rtl.scm 300 */
						BgL_areaz00_bglt BgL_arg2036z00_2619;
						BgL_areaz00_bglt BgL_arg2037z00_2620;

						{	/* SawMill/node2rtl.scm 300 */
							obj_t BgL_arg2038z00_2621;

							if (NULLP(BgL_argsz00_149))
								{	/* SawMill/node2rtl.scm 300 */
									BgL_arg2038z00_2621 = BNIL;
								}
							else
								{	/* SawMill/node2rtl.scm 300 */
									obj_t BgL_head1695z00_2625;

									BgL_head1695z00_2625 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_ll1693z00_2627;
										obj_t BgL_ll1694z00_2628;
										obj_t BgL_tail1696z00_2629;

										BgL_ll1693z00_2627 = BgL_argsz00_149;
										BgL_ll1694z00_2628 = BgL_regsz00_2617;
										BgL_tail1696z00_2629 = BgL_head1695z00_2625;
									BgL_zc3z04anonymousza32040ze3z87_2630:
										if (NULLP(BgL_ll1693z00_2627))
											{	/* SawMill/node2rtl.scm 300 */
												BgL_arg2038z00_2621 = CDR(BgL_head1695z00_2625);
											}
										else
											{	/* SawMill/node2rtl.scm 300 */
												obj_t BgL_newtail1697z00_2632;

												{	/* SawMill/node2rtl.scm 300 */
													BgL_areaz00_bglt BgL_arg2044z00_2635;

													{	/* SawMill/node2rtl.scm 300 */
														obj_t BgL_ez00_2636;
														obj_t BgL_rz00_2637;

														BgL_ez00_2636 = CAR(((obj_t) BgL_ll1693z00_2627));
														BgL_rz00_2637 = CAR(((obj_t) BgL_ll1694z00_2628));
														{	/* SawMill/node2rtl.scm 300 */
															BgL_areaz00_bglt BgL_res2800z00_4437;

															{	/* SawMill/node2rtl.scm 186 */
																BgL_areaz00_bglt BgL_az00_4432;

																BgL_az00_4432 =
																	BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
																	((BgL_nodez00_bglt) BgL_ez00_2636));
																{	/* SawMill/node2rtl.scm 115 */
																	BgL_blockz00_bglt BgL_arg1908z00_4435;

																	BgL_arg1908z00_4435 =
																		(((BgL_areaz00_bglt)
																			COBJECT(BgL_az00_4432))->BgL_exitz00);
																	BGl_bdestinationz12z12zzsaw_node2rtlz00
																		(BgL_arg1908z00_4435,
																		((BgL_rtl_regz00_bglt) BgL_rz00_2637));
																}
																BgL_res2800z00_4437 = BgL_az00_4432;
															}
															BgL_arg2044z00_2635 = BgL_res2800z00_4437;
														}
													}
													BgL_newtail1697z00_2632 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg2044z00_2635), BNIL);
												}
												SET_CDR(BgL_tail1696z00_2629, BgL_newtail1697z00_2632);
												{	/* SawMill/node2rtl.scm 300 */
													obj_t BgL_arg2042z00_2633;
													obj_t BgL_arg2043z00_2634;

													BgL_arg2042z00_2633 =
														CDR(((obj_t) BgL_ll1693z00_2627));
													BgL_arg2043z00_2634 =
														CDR(((obj_t) BgL_ll1694z00_2628));
													{
														obj_t BgL_tail1696z00_7146;
														obj_t BgL_ll1694z00_7145;
														obj_t BgL_ll1693z00_7144;

														BgL_ll1693z00_7144 = BgL_arg2042z00_2633;
														BgL_ll1694z00_7145 = BgL_arg2043z00_2634;
														BgL_tail1696z00_7146 = BgL_newtail1697z00_2632;
														BgL_tail1696z00_2629 = BgL_tail1696z00_7146;
														BgL_ll1694z00_2628 = BgL_ll1694z00_7145;
														BgL_ll1693z00_2627 = BgL_ll1693z00_7144;
														goto BgL_zc3z04anonymousza32040ze3z87_2630;
													}
												}
											}
									}
								}
							BgL_arg2036z00_2619 =
								BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg2038z00_2621);
						}
						{	/* SawMill/node2rtl.scm 302 */
							BgL_areaz00_bglt BgL_arg2046z00_2639;
							BgL_areaz00_bglt BgL_arg2047z00_2640;

							{	/* SawMill/node2rtl.scm 302 */
								obj_t BgL_arg2048z00_2641;

								{	/* SawMill/node2rtl.scm 302 */
									obj_t BgL_ll1699z00_2642;
									obj_t BgL_ll1700z00_2643;

									BgL_ll1699z00_2642 = bgl_reverse(BgL_regsz00_2617);
									BgL_ll1700z00_2643 = bgl_reverse(BgL_paramsz00_2618);
									if (NULLP(BgL_ll1699z00_2642))
										{	/* SawMill/node2rtl.scm 302 */
											BgL_arg2048z00_2641 = BNIL;
										}
									else
										{	/* SawMill/node2rtl.scm 302 */
											obj_t BgL_head1701z00_2645;

											{	/* SawMill/node2rtl.scm 302 */
												BgL_areaz00_bglt BgL_arg2058z00_2661;

												{	/* SawMill/node2rtl.scm 302 */
													obj_t BgL_arg2059z00_2662;
													obj_t BgL_arg2060z00_2663;

													BgL_arg2059z00_2662 = CAR(BgL_ll1699z00_2642);
													BgL_arg2060z00_2663 =
														CAR(((obj_t) BgL_ll1700z00_2643));
													BgL_arg2058z00_2661 =
														BGl_moveze70ze7zzsaw_node2rtlz00(
														((BgL_rtl_regz00_bglt) BgL_arg2059z00_2662),
														((BgL_localz00_bglt) BgL_arg2060z00_2663));
												}
												BgL_head1701z00_2645 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg2058z00_2661), BNIL);
											}
											{	/* SawMill/node2rtl.scm 302 */
												obj_t BgL_g1705z00_2646;
												obj_t BgL_g1706z00_2647;

												BgL_g1705z00_2646 = CDR(BgL_ll1699z00_2642);
												BgL_g1706z00_2647 = CDR(((obj_t) BgL_ll1700z00_2643));
												{
													obj_t BgL_ll1699z00_2649;
													obj_t BgL_ll1700z00_2650;
													obj_t BgL_tail1702z00_2651;

													BgL_ll1699z00_2649 = BgL_g1705z00_2646;
													BgL_ll1700z00_2650 = BgL_g1706z00_2647;
													BgL_tail1702z00_2651 = BgL_head1701z00_2645;
												BgL_zc3z04anonymousza32050ze3z87_2652:
													if (NULLP(BgL_ll1699z00_2649))
														{	/* SawMill/node2rtl.scm 302 */
															BgL_arg2048z00_2641 = BgL_head1701z00_2645;
														}
													else
														{	/* SawMill/node2rtl.scm 302 */
															obj_t BgL_newtail1703z00_2654;

															{	/* SawMill/node2rtl.scm 302 */
																BgL_areaz00_bglt BgL_arg2055z00_2657;

																{	/* SawMill/node2rtl.scm 302 */
																	obj_t BgL_arg2056z00_2658;
																	obj_t BgL_arg2057z00_2659;

																	BgL_arg2056z00_2658 =
																		CAR(((obj_t) BgL_ll1699z00_2649));
																	BgL_arg2057z00_2659 =
																		CAR(((obj_t) BgL_ll1700z00_2650));
																	BgL_arg2055z00_2657 =
																		BGl_moveze70ze7zzsaw_node2rtlz00(
																		((BgL_rtl_regz00_bglt) BgL_arg2056z00_2658),
																		((BgL_localz00_bglt) BgL_arg2057z00_2659));
																}
																BgL_newtail1703z00_2654 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg2055z00_2657), BNIL);
															}
															SET_CDR(BgL_tail1702z00_2651,
																BgL_newtail1703z00_2654);
															{	/* SawMill/node2rtl.scm 302 */
																obj_t BgL_arg2053z00_2655;
																obj_t BgL_arg2054z00_2656;

																BgL_arg2053z00_2655 =
																	CDR(((obj_t) BgL_ll1699z00_2649));
																BgL_arg2054z00_2656 =
																	CDR(((obj_t) BgL_ll1700z00_2650));
																{
																	obj_t BgL_tail1702z00_7181;
																	obj_t BgL_ll1700z00_7180;
																	obj_t BgL_ll1699z00_7179;

																	BgL_ll1699z00_7179 = BgL_arg2053z00_2655;
																	BgL_ll1700z00_7180 = BgL_arg2054z00_2656;
																	BgL_tail1702z00_7181 =
																		BgL_newtail1703z00_2654;
																	BgL_tail1702z00_2651 = BgL_tail1702z00_7181;
																	BgL_ll1700z00_2650 = BgL_ll1700z00_7180;
																	BgL_ll1699z00_2649 = BgL_ll1699z00_7179;
																	goto BgL_zc3z04anonymousza32050ze3z87_2652;
																}
															}
														}
												}
											}
										}
								}
								BgL_arg2046z00_2639 =
									BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg2048z00_2641);
							}
							BgL_arg2047z00_2640 =
								BGl_localzd2ze3codez31zzsaw_node2rtlz00(BgL_vz00_148);
							BgL_arg2037z00_2620 =
								BGl_linkz00zzsaw_node2rtlz00(BgL_arg2046z00_2639,
								BgL_arg2047z00_2640);
						}
						return
							BGl_linkz00zzsaw_node2rtlz00(BgL_arg2036z00_2619,
							BgL_arg2037z00_2620);
					}
				}
			}
		}

	}



/* move~0 */
	BgL_areaz00_bglt BGl_moveze70ze7zzsaw_node2rtlz00(BgL_rtl_regz00_bglt
		BgL_rz00_2678, BgL_localz00_bglt BgL_vz00_2679)
	{
		{	/* SawMill/node2rtl.scm 296 */
			{	/* SawMill/node2rtl.scm 294 */
				BgL_areaz00_bglt BgL_az00_2681;

				{	/* SawMill/node2rtl.scm 294 */
					BgL_rtl_movz00_bglt BgL_arg2070z00_2683;

					{	/* SawMill/node2rtl.scm 294 */
						BgL_rtl_movz00_bglt BgL_new1284z00_2685;

						{	/* SawMill/node2rtl.scm 294 */
							BgL_rtl_movz00_bglt BgL_new1283z00_2686;

							BgL_new1283z00_2686 =
								((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_movz00_bgl))));
							{	/* SawMill/node2rtl.scm 294 */
								long BgL_arg2072z00_2687;

								BgL_arg2072z00_2687 =
									BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1283z00_2686),
									BgL_arg2072z00_2687);
							}
							BgL_new1284z00_2685 = BgL_new1283z00_2686;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1284z00_2685)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2070z00_2683 = BgL_new1284z00_2685;
					}
					{	/* SawMill/node2rtl.scm 294 */
						obj_t BgL_list2071z00_2684;

						BgL_list2071z00_2684 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_rz00_2678), BNIL);
						BgL_az00_2681 =
							BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
							((BgL_rtl_funz00_bglt) BgL_arg2070z00_2683),
							BgL_list2071z00_2684);
				}}
				BGl_bdestinationz12z12zzsaw_node2rtlz00(
					(((BgL_areaz00_bglt) COBJECT(BgL_az00_2681))->BgL_exitz00),
					BGl_localzd2ze3regz31zzsaw_node2rtlz00(BgL_vz00_2679));
				return BgL_az00_2681;
			}
		}

	}



/* local->code */
	BgL_areaz00_bglt BGl_localzd2ze3codez31zzsaw_node2rtlz00(BgL_localz00_bglt
		BgL_vz00_150)
	{
		{	/* SawMill/node2rtl.scm 306 */
			{	/* SawMill/node2rtl.scm 307 */
				bool_t BgL_test3064z00_7199;

				{	/* SawMill/node2rtl.scm 307 */
					obj_t BgL_classz00_4450;

					BgL_classz00_4450 = BGl_rlocalz00zzsaw_node2rtlz00;
					{	/* SawMill/node2rtl.scm 307 */
						obj_t BgL_oclassz00_4452;

						{	/* SawMill/node2rtl.scm 307 */
							long BgL_arg1808z00_4454;

							{	/* SawMill/node2rtl.scm 307 */
								long BgL_arg1809z00_4455;

								BgL_arg1809z00_4455 =
									BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_vz00_150));
								BgL_arg1808z00_4454 = (BgL_arg1809z00_4455 - OBJECT_TYPE);
							}
							BgL_oclassz00_4452 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1808z00_4454);
						}
						BgL_test3064z00_7199 = (BgL_oclassz00_4452 == BgL_classz00_4450);
				}}
				if (BgL_test3064z00_7199)
					{	/* SawMill/node2rtl.scm 316 */
						obj_t BgL_arg2074z00_2690;

						{
							BgL_rlocalz00_bglt BgL_auxz00_7205;

							{
								obj_t BgL_auxz00_7206;

								{	/* SawMill/node2rtl.scm 316 */
									BgL_objectz00_bglt BgL_tmpz00_7207;

									BgL_tmpz00_7207 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
									BgL_auxz00_7206 = BGL_OBJECT_WIDENING(BgL_tmpz00_7207);
								}
								BgL_auxz00_7205 = ((BgL_rlocalz00_bglt) BgL_auxz00_7206);
							}
							BgL_arg2074z00_2690 =
								(((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7205))->BgL_codez00);
						}
						return
							BGl_unlinkz00zzsaw_node2rtlz00(
							((BgL_areaz00_bglt) BgL_arg2074z00_2690));
					}
				else
					{	/* SawMill/node2rtl.scm 309 */
						BgL_areaz00_bglt BgL_nopz00_2691;
						obj_t BgL_bodyz00_2692;

						{	/* SawMill/node2rtl.scm 309 */
							BgL_rtl_nopz00_bglt BgL_arg2078z00_2699;

							{	/* SawMill/node2rtl.scm 309 */
								BgL_rtl_nopz00_bglt BgL_new1286z00_2701;

								{	/* SawMill/node2rtl.scm 309 */
									BgL_rtl_nopz00_bglt BgL_new1285z00_2702;

									BgL_new1285z00_2702 =
										((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_nopz00_bgl))));
									{	/* SawMill/node2rtl.scm 309 */
										long BgL_arg2080z00_2703;

										BgL_arg2080z00_2703 =
											BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1285z00_2702),
											BgL_arg2080z00_2703);
									}
									BgL_new1286z00_2701 = BgL_new1285z00_2702;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1286z00_2701)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								BgL_arg2078z00_2699 = BgL_new1286z00_2701;
							}
							BgL_nopz00_2691 =
								BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
								((BgL_rtl_funz00_bglt) BgL_arg2078z00_2699), BNIL);
						}
						BgL_bodyz00_2692 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_vz00_150)))->
											BgL_valuez00))))->BgL_bodyz00);
						{	/* SawMill/node2rtl.scm 312 */
							BgL_rlocalz00_bglt BgL_wide1289z00_2695;

							BgL_wide1289z00_2695 =
								((BgL_rlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rlocalz00_bgl))));
							{	/* SawMill/node2rtl.scm 312 */
								obj_t BgL_auxz00_7231;
								BgL_objectz00_bglt BgL_tmpz00_7228;

								BgL_auxz00_7231 = ((obj_t) BgL_wide1289z00_2695);
								BgL_tmpz00_7228 =
									((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7228, BgL_auxz00_7231);
							}
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
							{	/* SawMill/node2rtl.scm 312 */
								long BgL_arg2076z00_2696;

								BgL_arg2076z00_2696 =
									BGL_CLASS_NUM(BGl_rlocalz00zzsaw_node2rtlz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_vz00_150)), BgL_arg2076z00_2696);
							}
							((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
						}
						{
							BgL_rlocalz00_bglt BgL_auxz00_7242;

							{
								obj_t BgL_auxz00_7243;

								{	/* SawMill/node2rtl.scm 312 */
									BgL_objectz00_bglt BgL_tmpz00_7244;

									BgL_tmpz00_7244 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
									BgL_auxz00_7243 = BGL_OBJECT_WIDENING(BgL_tmpz00_7244);
								}
								BgL_auxz00_7242 = ((BgL_rlocalz00_bglt) BgL_auxz00_7243);
							}
							((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7242))->BgL_regz00) =
								((obj_t) BFALSE), BUNSPEC);
						}
						{
							BgL_rlocalz00_bglt BgL_auxz00_7250;

							{
								obj_t BgL_auxz00_7251;

								{	/* SawMill/node2rtl.scm 312 */
									BgL_objectz00_bglt BgL_tmpz00_7252;

									BgL_tmpz00_7252 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
									BgL_auxz00_7251 = BGL_OBJECT_WIDENING(BgL_tmpz00_7252);
								}
								BgL_auxz00_7250 = ((BgL_rlocalz00_bglt) BgL_auxz00_7251);
							}
							((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7250))->BgL_codez00) =
								((obj_t) ((obj_t) BgL_nopz00_2691)), BUNSPEC);
						}
						((BgL_localz00_bglt) BgL_vz00_150);
						{	/* SawMill/node2rtl.scm 314 */
							BgL_areaz00_bglt BgL_arg2077z00_2698;

							BgL_arg2077z00_2698 =
								BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
								((BgL_nodez00_bglt) BgL_bodyz00_2692));
							return
								BGl_linkz00zzsaw_node2rtlz00(BgL_nopz00_2691,
								BgL_arg2077z00_2698);
						}
					}
			}
		}

	}



/* imperative? */
	obj_t BGl_imperativezf3zf3zzsaw_node2rtlz00(BgL_appz00_bglt BgL_ez00_152,
		BgL_globalz00_bglt BgL_vz00_153, obj_t BgL_argsz00_154)
	{
		{	/* SawMill/node2rtl.scm 329 */
			{	/* SawMill/node2rtl.scm 330 */
				obj_t BgL_idz00_2705;

				BgL_idz00_2705 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_vz00_153)))->BgL_idz00);
				if ((BgL_idz00_2705 == CNST_TABLE_REF(2L)))
					{	/* SawMill/node2rtl.scm 333 */
						obj_t BgL_az00_2706;

						{	/* SawMill/node2rtl.scm 333 */
							bool_t BgL_test3066z00_7268;

							{	/* SawMill/node2rtl.scm 333 */
								obj_t BgL_arg2091z00_2717;

								BgL_arg2091z00_2717 = CAR(((obj_t) BgL_argsz00_154));
								{	/* SawMill/node2rtl.scm 333 */
									obj_t BgL_classz00_4477;

									BgL_classz00_4477 = BGl_pragmaz00zzast_nodez00;
									if (BGL_OBJECTP(BgL_arg2091z00_2717))
										{	/* SawMill/node2rtl.scm 333 */
											BgL_objectz00_bglt BgL_arg1801z00_4479;

											BgL_arg1801z00_4479 =
												(BgL_objectz00_bglt) (BgL_arg2091z00_2717);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawMill/node2rtl.scm 333 */
													long BgL_idxz00_4485;

													BgL_idxz00_4485 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4479);
													BgL_test3066z00_7268 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4485 + 4L)) == BgL_classz00_4477);
												}
											else
												{	/* SawMill/node2rtl.scm 333 */
													bool_t BgL_res2801z00_4507;

													{	/* SawMill/node2rtl.scm 333 */
														obj_t BgL_oclassz00_4493;

														{	/* SawMill/node2rtl.scm 333 */
															long BgL_arg1808z00_4499;

															{	/* SawMill/node2rtl.scm 333 */
																long BgL_arg1809z00_4500;

																BgL_arg1809z00_4500 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4479);
																BgL_arg1808z00_4499 =
																	(BgL_arg1809z00_4500 - OBJECT_TYPE);
															}
															BgL_oclassz00_4493 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1808z00_4499);
														}
														{	/* SawMill/node2rtl.scm 333 */
															bool_t BgL__ortest_1115z00_4494;

															BgL__ortest_1115z00_4494 =
																(BgL_classz00_4477 == BgL_oclassz00_4493);
															if (BgL__ortest_1115z00_4494)
																{	/* SawMill/node2rtl.scm 333 */
																	BgL_res2801z00_4507 =
																		BgL__ortest_1115z00_4494;
																}
															else
																{	/* SawMill/node2rtl.scm 333 */
																	long BgL_odepthz00_4495;

																	BgL_odepthz00_4495 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_4493);
																	if ((4L < BgL_odepthz00_4495))
																		{	/* SawMill/node2rtl.scm 333 */
																			obj_t BgL_arg1797z00_4497;

																			BgL_arg1797z00_4497 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_4493, 4L);
																			BgL_res2801z00_4507 =
																				(BgL_arg1797z00_4497 ==
																				BgL_classz00_4477);
																		}
																	else
																		{	/* SawMill/node2rtl.scm 333 */
																			BgL_res2801z00_4507 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test3066z00_7268 = BgL_res2801z00_4507;
												}
										}
									else
										{	/* SawMill/node2rtl.scm 333 */
											BgL_test3066z00_7268 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test3066z00_7268)
								{	/* SawMill/node2rtl.scm 334 */
									obj_t BgL_pairz00_4510;

									BgL_pairz00_4510 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_pragmaz00_bglt)
														CAR(((obj_t) BgL_argsz00_154))))))->BgL_exprza2za2);
									BgL_az00_2706 = CAR(BgL_pairz00_4510);
								}
							else
								{	/* SawMill/node2rtl.scm 333 */
									BgL_az00_2706 = CAR(((obj_t) BgL_argsz00_154));
								}
						}
						{	/* SawMill/node2rtl.scm 337 */
							BgL_rtl_globalrefz00_bglt BgL_arg2082z00_2707;

							{	/* SawMill/node2rtl.scm 337 */
								BgL_rtl_globalrefz00_bglt BgL_new1298z00_2709;

								{	/* SawMill/node2rtl.scm 337 */
									BgL_rtl_globalrefz00_bglt BgL_new1297z00_2711;

									BgL_new1297z00_2711 =
										((BgL_rtl_globalrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_globalrefz00_bgl))));
									{	/* SawMill/node2rtl.scm 337 */
										long BgL_arg2086z00_2712;

										BgL_arg2086z00_2712 =
											BGL_CLASS_NUM(BGl_rtl_globalrefz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1297z00_2711),
											BgL_arg2086z00_2712);
									}
									BgL_new1298z00_2709 = BgL_new1297z00_2711;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1298z00_2709)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								{
									BgL_globalz00_bglt BgL_auxz00_7304;

									{	/* SawMill/node2rtl.scm 338 */
										BgL_variablez00_bglt BgL_arg2085z00_2710;

										BgL_arg2085z00_2710 =
											(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_az00_2706)))->BgL_variablez00);
										BgL_auxz00_7304 =
											BGl_getzd2globalzd2zzsaw_node2rtlz00(
											((BgL_globalz00_bglt) BgL_arg2085z00_2710));
									}
									((((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_new1298z00_2709))->
											BgL_varz00) =
										((BgL_globalz00_bglt) BgL_auxz00_7304), BUNSPEC);
								}
								BgL_arg2082z00_2707 = BgL_new1298z00_2709;
							}
							return
								((obj_t)
								BGl_callza2za2zzsaw_node2rtlz00(
									((obj_t) BgL_ez00_152),
									((BgL_rtl_funz00_bglt) BgL_arg2082z00_2707), BNIL));
						}
					}
				else
					{	/* SawMill/node2rtl.scm 332 */
						return BFALSE;
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			{	/* SawMill/node2rtl.scm 19 */
				obj_t BgL_arg2096z00_2721;
				obj_t BgL_arg2097z00_2722;

				{	/* SawMill/node2rtl.scm 19 */
					obj_t BgL_v1707z00_2734;

					BgL_v1707z00_2734 = create_vector(2L);
					{	/* SawMill/node2rtl.scm 19 */
						obj_t BgL_arg2103z00_2735;

						BgL_arg2103z00_2735 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(3L),
							BGl_proc2838z00zzsaw_node2rtlz00,
							BGl_proc2837z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1707z00_2734, 0L, BgL_arg2103z00_2735);
					}
					{	/* SawMill/node2rtl.scm 19 */
						obj_t BgL_arg2108z00_2745;

						BgL_arg2108z00_2745 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(4L),
							BGl_proc2840z00zzsaw_node2rtlz00,
							BGl_proc2839z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1707z00_2734, 1L, BgL_arg2108z00_2745);
					}
					BgL_arg2096z00_2721 = BgL_v1707z00_2734;
				}
				{	/* SawMill/node2rtl.scm 19 */
					obj_t BgL_v1708z00_2755;

					BgL_v1708z00_2755 = create_vector(0L);
					BgL_arg2097z00_2722 = BgL_v1708z00_2755;
				}
				BGl_areaz00zzsaw_node2rtlz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(5L),
					CNST_TABLE_REF(6L), BGl_objectz00zz__objectz00, 23170L,
					BGl_proc2843z00zzsaw_node2rtlz00, BGl_proc2842z00zzsaw_node2rtlz00,
					BFALSE, BGl_proc2841z00zzsaw_node2rtlz00, BFALSE, BgL_arg2096z00_2721,
					BgL_arg2097z00_2722);
			}
			{	/* SawMill/node2rtl.scm 20 */
				obj_t BgL_arg2117z00_2763;
				obj_t BgL_arg2118z00_2764;

				{	/* SawMill/node2rtl.scm 20 */
					obj_t BgL_v1709z00_2789;

					BgL_v1709z00_2789 = create_vector(0L);
					BgL_arg2117z00_2763 = BgL_v1709z00_2789;
				}
				{	/* SawMill/node2rtl.scm 20 */
					obj_t BgL_v1710z00_2790;

					BgL_v1710z00_2790 = create_vector(0L);
					BgL_arg2118z00_2764 = BgL_v1710z00_2790;
				}
				BGl_reversedz00zzsaw_node2rtlz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(7L),
					CNST_TABLE_REF(6L), BGl_blockz00zzsaw_defsz00, 28990L,
					BGl_proc2847z00zzsaw_node2rtlz00, BGl_proc2846z00zzsaw_node2rtlz00,
					BFALSE, BGl_proc2845z00zzsaw_node2rtlz00,
					BGl_proc2844z00zzsaw_node2rtlz00, BgL_arg2117z00_2763,
					BgL_arg2118z00_2764);
			}
			{	/* SawMill/node2rtl.scm 21 */
				obj_t BgL_arg2135z00_2799;
				obj_t BgL_arg2136z00_2800;

				{	/* SawMill/node2rtl.scm 21 */
					obj_t BgL_v1711z00_2836;

					BgL_v1711z00_2836 = create_vector(2L);
					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_arg2148z00_2837;

						BgL_arg2148z00_2837 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(8L),
							BGl_proc2849z00zzsaw_node2rtlz00,
							BGl_proc2848z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(9L));
						VECTOR_SET(BgL_v1711z00_2836, 0L, BgL_arg2148z00_2837);
					}
					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_arg2153z00_2847;

						BgL_arg2153z00_2847 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(10L),
							BGl_proc2851z00zzsaw_node2rtlz00,
							BGl_proc2850z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(9L));
						VECTOR_SET(BgL_v1711z00_2836, 1L, BgL_arg2153z00_2847);
					}
					BgL_arg2135z00_2799 = BgL_v1711z00_2836;
				}
				{	/* SawMill/node2rtl.scm 21 */
					obj_t BgL_v1712z00_2857;

					BgL_v1712z00_2857 = create_vector(0L);
					BgL_arg2136z00_2800 = BgL_v1712z00_2857;
				}
				BGl_rlocalz00zzsaw_node2rtlz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(11L),
					CNST_TABLE_REF(6L), BGl_localz00zzast_varz00, 58620L,
					BGl_proc2855z00zzsaw_node2rtlz00, BGl_proc2854z00zzsaw_node2rtlz00,
					BFALSE, BGl_proc2853z00zzsaw_node2rtlz00,
					BGl_proc2852z00zzsaw_node2rtlz00, BgL_arg2135z00_2799,
					BgL_arg2136z00_2800);
			}
			{	/* SawMill/node2rtl.scm 22 */
				obj_t BgL_arg2162z00_2866;
				obj_t BgL_arg2163z00_2867;

				{	/* SawMill/node2rtl.scm 22 */
					obj_t BgL_v1713z00_2893;

					BgL_v1713z00_2893 = create_vector(2L);
					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_arg2174z00_2894;

						BgL_arg2174z00_2894 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(12L),
							BGl_proc2857z00zzsaw_node2rtlz00,
							BGl_proc2856z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1713z00_2893, 0L, BgL_arg2174z00_2894);
					}
					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_arg2179z00_2904;

						BgL_arg2179z00_2904 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(13L),
							BGl_proc2859z00zzsaw_node2rtlz00,
							BGl_proc2858z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_rtl_regz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1713z00_2893, 1L, BgL_arg2179z00_2904);
					}
					BgL_arg2162z00_2866 = BgL_v1713z00_2893;
				}
				{	/* SawMill/node2rtl.scm 22 */
					obj_t BgL_v1714z00_2914;

					BgL_v1714z00_2914 = create_vector(0L);
					BgL_arg2163z00_2867 = BgL_v1714z00_2914;
				}
				return (BGl_retblockzf2tozf2zzsaw_node2rtlz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(14L),
						CNST_TABLE_REF(6L), BGl_retblockz00zzast_nodez00, 53023L,
						BGl_proc2863z00zzsaw_node2rtlz00, BGl_proc2862z00zzsaw_node2rtlz00,
						BFALSE, BGl_proc2861z00zzsaw_node2rtlz00,
						BGl_proc2860z00zzsaw_node2rtlz00, BgL_arg2162z00_2866,
						BgL_arg2163z00_2867), BUNSPEC);
			}
		}

	}



/* &lambda2170 */
	BgL_retblockz00_bglt BGl_z62lambda2170z62zzsaw_node2rtlz00(obj_t
		BgL_envz00_5537, obj_t BgL_o1198z00_5538)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{	/* SawMill/node2rtl.scm 22 */
				long BgL_arg2171z00_5752;

				{	/* SawMill/node2rtl.scm 22 */
					obj_t BgL_arg2172z00_5753;

					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_arg2173z00_5754;

						{	/* SawMill/node2rtl.scm 22 */
							long BgL_arg1808z00_5755;

							{	/* SawMill/node2rtl.scm 22 */
								long BgL_arg1809z00_5756;

								BgL_arg1809z00_5756 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt) BgL_o1198z00_5538)));
								BgL_arg1808z00_5755 = (BgL_arg1809z00_5756 - OBJECT_TYPE);
							}
							BgL_arg2173z00_5754 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1808z00_5755);
						}
						BgL_arg2172z00_5753 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2173z00_5754);
					}
					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_tmpz00_7360;

						BgL_tmpz00_7360 = ((obj_t) BgL_arg2172z00_5753);
						BgL_arg2171z00_5752 = BGL_CLASS_NUM(BgL_tmpz00_7360);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_retblockz00_bglt) BgL_o1198z00_5538)), BgL_arg2171z00_5752);
			}
			{	/* SawMill/node2rtl.scm 22 */
				BgL_objectz00_bglt BgL_tmpz00_7366;

				BgL_tmpz00_7366 =
					((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_o1198z00_5538));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7366, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_o1198z00_5538));
			return
				((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_o1198z00_5538));
		}

	}



/* &<@anonymous:2169> */
	obj_t BGl_z62zc3z04anonymousza32169ze3ze5zzsaw_node2rtlz00(obj_t
		BgL_envz00_5539, obj_t BgL_new1197z00_5540)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{
				BgL_retblockz00_bglt BgL_auxz00_7374;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_retblockz00_bglt) BgL_new1197z00_5540))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_7378;

					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_classz00_5758;

						BgL_classz00_5758 = BGl_typez00zztype_typez00;
						{	/* SawMill/node2rtl.scm 22 */
							obj_t BgL__ortest_1117z00_5759;

							BgL__ortest_1117z00_5759 = BGL_CLASS_NIL(BgL_classz00_5758);
							if (CBOOL(BgL__ortest_1117z00_5759))
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7378 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_5759);
								}
							else
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7378 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5758));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_retblockz00_bglt) BgL_new1197z00_5540))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_7378), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7388;

					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_classz00_5760;

						BgL_classz00_5760 = BGl_nodez00zzast_nodez00;
						{	/* SawMill/node2rtl.scm 22 */
							obj_t BgL__ortest_1117z00_5761;

							BgL__ortest_1117z00_5761 = BGL_CLASS_NIL(BgL_classz00_5760);
							if (CBOOL(BgL__ortest_1117z00_5761))
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7388 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_5761);
								}
							else
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7388 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5760));
								}
						}
					}
					((((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt)
										((BgL_retblockz00_bglt) BgL_new1197z00_5540))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_7388), BUNSPEC);
				}
				{
					BgL_blockz00_bglt BgL_auxz00_7405;
					BgL_retblockzf2tozf2_bglt BgL_auxz00_7398;

					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_classz00_5762;

						BgL_classz00_5762 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/node2rtl.scm 22 */
							obj_t BgL__ortest_1117z00_5763;

							BgL__ortest_1117z00_5763 = BGL_CLASS_NIL(BgL_classz00_5762);
							if (CBOOL(BgL__ortest_1117z00_5763))
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7405 =
										((BgL_blockz00_bglt) BgL__ortest_1117z00_5763);
								}
							else
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7405 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5762));
								}
						}
					}
					{
						obj_t BgL_auxz00_7399;

						{	/* SawMill/node2rtl.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_7400;

							BgL_tmpz00_7400 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt) BgL_new1197z00_5540));
							BgL_auxz00_7399 = BGL_OBJECT_WIDENING(BgL_tmpz00_7400);
						}
						BgL_auxz00_7398 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7399);
					}
					((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7398))->BgL_toz00) =
						((BgL_blockz00_bglt) BgL_auxz00_7405), BUNSPEC);
				}
				{
					BgL_rtl_regz00_bglt BgL_auxz00_7420;
					BgL_retblockzf2tozf2_bglt BgL_auxz00_7413;

					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_classz00_5764;

						BgL_classz00_5764 = BGl_rtl_regz00zzsaw_defsz00;
						{	/* SawMill/node2rtl.scm 22 */
							obj_t BgL__ortest_1117z00_5765;

							BgL__ortest_1117z00_5765 = BGL_CLASS_NIL(BgL_classz00_5764);
							if (CBOOL(BgL__ortest_1117z00_5765))
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7420 =
										((BgL_rtl_regz00_bglt) BgL__ortest_1117z00_5765);
								}
							else
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7420 =
										((BgL_rtl_regz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5764));
								}
						}
					}
					{
						obj_t BgL_auxz00_7414;

						{	/* SawMill/node2rtl.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_7415;

							BgL_tmpz00_7415 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt) BgL_new1197z00_5540));
							BgL_auxz00_7414 = BGL_OBJECT_WIDENING(BgL_tmpz00_7415);
						}
						BgL_auxz00_7413 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7414);
					}
					((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7413))->
							BgL_dstz00) = ((BgL_rtl_regz00_bglt) BgL_auxz00_7420), BUNSPEC);
				}
				BgL_auxz00_7374 = ((BgL_retblockz00_bglt) BgL_new1197z00_5540);
				return ((obj_t) BgL_auxz00_7374);
			}
		}

	}



/* &lambda2167 */
	BgL_retblockz00_bglt BGl_z62lambda2167z62zzsaw_node2rtlz00(obj_t
		BgL_envz00_5541, obj_t BgL_o1194z00_5542)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{	/* SawMill/node2rtl.scm 22 */
				BgL_retblockzf2tozf2_bglt BgL_wide1196z00_5767;

				BgL_wide1196z00_5767 =
					((BgL_retblockzf2tozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_retblockzf2tozf2_bgl))));
				{	/* SawMill/node2rtl.scm 22 */
					obj_t BgL_auxz00_7435;
					BgL_objectz00_bglt BgL_tmpz00_7431;

					BgL_auxz00_7435 = ((obj_t) BgL_wide1196z00_5767);
					BgL_tmpz00_7431 =
						((BgL_objectz00_bglt)
						((BgL_retblockz00_bglt)
							((BgL_retblockz00_bglt) BgL_o1194z00_5542)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7431, BgL_auxz00_7435);
				}
				((BgL_objectz00_bglt)
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_o1194z00_5542)));
				{	/* SawMill/node2rtl.scm 22 */
					long BgL_arg2168z00_5768;

					BgL_arg2168z00_5768 =
						BGL_CLASS_NUM(BGl_retblockzf2tozf2zzsaw_node2rtlz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_retblockz00_bglt)
								((BgL_retblockz00_bglt) BgL_o1194z00_5542))),
						BgL_arg2168z00_5768);
				}
				return
					((BgL_retblockz00_bglt)
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_o1194z00_5542)));
			}
		}

	}



/* &lambda2164 */
	BgL_retblockz00_bglt BGl_z62lambda2164z62zzsaw_node2rtlz00(obj_t
		BgL_envz00_5543, obj_t BgL_loc1189z00_5544, obj_t BgL_type1190z00_5545,
		obj_t BgL_body1191z00_5546, obj_t BgL_to1192z00_5547,
		obj_t BgL_dst1193z00_5548)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{	/* SawMill/node2rtl.scm 22 */
				BgL_retblockz00_bglt BgL_new1401z00_5773;

				{	/* SawMill/node2rtl.scm 22 */
					BgL_retblockz00_bglt BgL_tmp1399z00_5774;
					BgL_retblockzf2tozf2_bglt BgL_wide1400z00_5775;

					{
						BgL_retblockz00_bglt BgL_auxz00_7449;

						{	/* SawMill/node2rtl.scm 22 */
							BgL_retblockz00_bglt BgL_new1398z00_5776;

							BgL_new1398z00_5776 =
								((BgL_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_retblockz00_bgl))));
							{	/* SawMill/node2rtl.scm 22 */
								long BgL_arg2166z00_5777;

								BgL_arg2166z00_5777 =
									BGL_CLASS_NUM(BGl_retblockz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1398z00_5776),
									BgL_arg2166z00_5777);
							}
							{	/* SawMill/node2rtl.scm 22 */
								BgL_objectz00_bglt BgL_tmpz00_7454;

								BgL_tmpz00_7454 = ((BgL_objectz00_bglt) BgL_new1398z00_5776);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7454, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1398z00_5776);
							BgL_auxz00_7449 = BgL_new1398z00_5776;
						}
						BgL_tmp1399z00_5774 = ((BgL_retblockz00_bglt) BgL_auxz00_7449);
					}
					BgL_wide1400z00_5775 =
						((BgL_retblockzf2tozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_retblockzf2tozf2_bgl))));
					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_auxz00_7462;
						BgL_objectz00_bglt BgL_tmpz00_7460;

						BgL_auxz00_7462 = ((obj_t) BgL_wide1400z00_5775);
						BgL_tmpz00_7460 = ((BgL_objectz00_bglt) BgL_tmp1399z00_5774);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7460, BgL_auxz00_7462);
					}
					((BgL_objectz00_bglt) BgL_tmp1399z00_5774);
					{	/* SawMill/node2rtl.scm 22 */
						long BgL_arg2165z00_5778;

						BgL_arg2165z00_5778 =
							BGL_CLASS_NUM(BGl_retblockzf2tozf2zzsaw_node2rtlz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1399z00_5774), BgL_arg2165z00_5778);
					}
					BgL_new1401z00_5773 = ((BgL_retblockz00_bglt) BgL_tmp1399z00_5774);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1401z00_5773)))->BgL_locz00) =
					((obj_t) BgL_loc1189z00_5544), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1401z00_5773)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1190z00_5545)),
					BUNSPEC);
				((((BgL_retblockz00_bglt) COBJECT(((BgL_retblockz00_bglt)
									BgL_new1401z00_5773)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1191z00_5546)),
					BUNSPEC);
				{
					BgL_retblockzf2tozf2_bglt BgL_auxz00_7478;

					{
						obj_t BgL_auxz00_7479;

						{	/* SawMill/node2rtl.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_7480;

							BgL_tmpz00_7480 = ((BgL_objectz00_bglt) BgL_new1401z00_5773);
							BgL_auxz00_7479 = BGL_OBJECT_WIDENING(BgL_tmpz00_7480);
						}
						BgL_auxz00_7478 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7479);
					}
					((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7478))->BgL_toz00) =
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_to1192z00_5547)),
						BUNSPEC);
				}
				{
					BgL_retblockzf2tozf2_bglt BgL_auxz00_7486;

					{
						obj_t BgL_auxz00_7487;

						{	/* SawMill/node2rtl.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_7488;

							BgL_tmpz00_7488 = ((BgL_objectz00_bglt) BgL_new1401z00_5773);
							BgL_auxz00_7487 = BGL_OBJECT_WIDENING(BgL_tmpz00_7488);
						}
						BgL_auxz00_7486 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7487);
					}
					((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7486))->
							BgL_dstz00) =
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_dst1193z00_5548)),
						BUNSPEC);
				}
				return BgL_new1401z00_5773;
			}
		}

	}



/* &lambda2183 */
	obj_t BGl_z62lambda2183z62zzsaw_node2rtlz00(obj_t BgL_envz00_5549,
		obj_t BgL_oz00_5550, obj_t BgL_vz00_5551)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{
				BgL_retblockzf2tozf2_bglt BgL_auxz00_7494;

				{
					obj_t BgL_auxz00_7495;

					{	/* SawMill/node2rtl.scm 22 */
						BgL_objectz00_bglt BgL_tmpz00_7496;

						BgL_tmpz00_7496 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_5550));
						BgL_auxz00_7495 = BGL_OBJECT_WIDENING(BgL_tmpz00_7496);
					}
					BgL_auxz00_7494 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7495);
				}
				return
					((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7494))->
						BgL_dstz00) =
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_vz00_5551)),
					BUNSPEC);
			}
		}

	}



/* &lambda2182 */
	BgL_rtl_regz00_bglt BGl_z62lambda2182z62zzsaw_node2rtlz00(obj_t
		BgL_envz00_5552, obj_t BgL_oz00_5553)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{
				BgL_retblockzf2tozf2_bglt BgL_auxz00_7503;

				{
					obj_t BgL_auxz00_7504;

					{	/* SawMill/node2rtl.scm 22 */
						BgL_objectz00_bglt BgL_tmpz00_7505;

						BgL_tmpz00_7505 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_5553));
						BgL_auxz00_7504 = BGL_OBJECT_WIDENING(BgL_tmpz00_7505);
					}
					BgL_auxz00_7503 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7504);
				}
				return
					(((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7503))->BgL_dstz00);
			}
		}

	}



/* &lambda2178 */
	obj_t BGl_z62lambda2178z62zzsaw_node2rtlz00(obj_t BgL_envz00_5554,
		obj_t BgL_oz00_5555, obj_t BgL_vz00_5556)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{
				BgL_retblockzf2tozf2_bglt BgL_auxz00_7511;

				{
					obj_t BgL_auxz00_7512;

					{	/* SawMill/node2rtl.scm 22 */
						BgL_objectz00_bglt BgL_tmpz00_7513;

						BgL_tmpz00_7513 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_5555));
						BgL_auxz00_7512 = BGL_OBJECT_WIDENING(BgL_tmpz00_7513);
					}
					BgL_auxz00_7511 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7512);
				}
				return
					((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7511))->BgL_toz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_5556)), BUNSPEC);
			}
		}

	}



/* &lambda2177 */
	BgL_blockz00_bglt BGl_z62lambda2177z62zzsaw_node2rtlz00(obj_t BgL_envz00_5557,
		obj_t BgL_oz00_5558)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{
				BgL_retblockzf2tozf2_bglt BgL_auxz00_7520;

				{
					obj_t BgL_auxz00_7521;

					{	/* SawMill/node2rtl.scm 22 */
						BgL_objectz00_bglt BgL_tmpz00_7522;

						BgL_tmpz00_7522 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_5558));
						BgL_auxz00_7521 = BGL_OBJECT_WIDENING(BgL_tmpz00_7522);
					}
					BgL_auxz00_7520 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7521);
				}
				return
					(((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7520))->BgL_toz00);
			}
		}

	}



/* &lambda2143 */
	BgL_localz00_bglt BGl_z62lambda2143z62zzsaw_node2rtlz00(obj_t BgL_envz00_5559,
		obj_t BgL_o1187z00_5560)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{	/* SawMill/node2rtl.scm 21 */
				long BgL_arg2144z00_5786;

				{	/* SawMill/node2rtl.scm 21 */
					obj_t BgL_arg2145z00_5787;

					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_arg2146z00_5788;

						{	/* SawMill/node2rtl.scm 21 */
							long BgL_arg1808z00_5789;

							{	/* SawMill/node2rtl.scm 21 */
								long BgL_arg1809z00_5790;

								BgL_arg1809z00_5790 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1187z00_5560)));
								BgL_arg1808z00_5789 = (BgL_arg1809z00_5790 - OBJECT_TYPE);
							}
							BgL_arg2146z00_5788 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1808z00_5789);
						}
						BgL_arg2145z00_5787 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2146z00_5788);
					}
					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_tmpz00_7534;

						BgL_tmpz00_7534 = ((obj_t) BgL_arg2145z00_5787);
						BgL_arg2144z00_5786 = BGL_CLASS_NUM(BgL_tmpz00_7534);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1187z00_5560)), BgL_arg2144z00_5786);
			}
			{	/* SawMill/node2rtl.scm 21 */
				BgL_objectz00_bglt BgL_tmpz00_7540;

				BgL_tmpz00_7540 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1187z00_5560));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7540, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1187z00_5560));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1187z00_5560));
		}

	}



/* &<@anonymous:2142> */
	obj_t BGl_z62zc3z04anonymousza32142ze3ze5zzsaw_node2rtlz00(obj_t
		BgL_envz00_5561, obj_t BgL_new1186z00_5562)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{
				BgL_localz00_bglt BgL_auxz00_7548;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1186z00_5562))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(15L)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1186z00_5562))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_7556;

					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_classz00_5792;

						BgL_classz00_5792 = BGl_typez00zztype_typez00;
						{	/* SawMill/node2rtl.scm 21 */
							obj_t BgL__ortest_1117z00_5793;

							BgL__ortest_1117z00_5793 = BGL_CLASS_NIL(BgL_classz00_5792);
							if (CBOOL(BgL__ortest_1117z00_5793))
								{	/* SawMill/node2rtl.scm 21 */
									BgL_auxz00_7556 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_5793);
								}
							else
								{	/* SawMill/node2rtl.scm 21 */
									BgL_auxz00_7556 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5792));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1186z00_5562))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_7556), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_7566;

					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_classz00_5794;

						BgL_classz00_5794 = BGl_valuez00zzast_varz00;
						{	/* SawMill/node2rtl.scm 21 */
							obj_t BgL__ortest_1117z00_5795;

							BgL__ortest_1117z00_5795 = BGL_CLASS_NIL(BgL_classz00_5794);
							if (CBOOL(BgL__ortest_1117z00_5795))
								{	/* SawMill/node2rtl.scm 21 */
									BgL_auxz00_7566 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_5795);
								}
							else
								{	/* SawMill/node2rtl.scm 21 */
									BgL_auxz00_7566 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5794));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1186z00_5562))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_7566), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1186z00_5562))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1186z00_5562))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1186z00_5562))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1186z00_5562))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1186z00_5562))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1186z00_5562))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1186z00_5562))))->BgL_keyz00) =
					((long) 0L), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1186z00_5562))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1186z00_5562))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_rlocalz00_bglt BgL_auxz00_7603;

					{
						obj_t BgL_auxz00_7604;

						{	/* SawMill/node2rtl.scm 21 */
							BgL_objectz00_bglt BgL_tmpz00_7605;

							BgL_tmpz00_7605 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1186z00_5562));
							BgL_auxz00_7604 = BGL_OBJECT_WIDENING(BgL_tmpz00_7605);
						}
						BgL_auxz00_7603 = ((BgL_rlocalz00_bglt) BgL_auxz00_7604);
					}
					((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7603))->BgL_regz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rlocalz00_bglt BgL_auxz00_7611;

					{
						obj_t BgL_auxz00_7612;

						{	/* SawMill/node2rtl.scm 21 */
							BgL_objectz00_bglt BgL_tmpz00_7613;

							BgL_tmpz00_7613 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1186z00_5562));
							BgL_auxz00_7612 = BGL_OBJECT_WIDENING(BgL_tmpz00_7613);
						}
						BgL_auxz00_7611 = ((BgL_rlocalz00_bglt) BgL_auxz00_7612);
					}
					((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7611))->BgL_codez00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_7548 = ((BgL_localz00_bglt) BgL_new1186z00_5562);
				return ((obj_t) BgL_auxz00_7548);
			}
		}

	}



/* &lambda2140 */
	BgL_localz00_bglt BGl_z62lambda2140z62zzsaw_node2rtlz00(obj_t BgL_envz00_5563,
		obj_t BgL_o1183z00_5564)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{	/* SawMill/node2rtl.scm 21 */
				BgL_rlocalz00_bglt BgL_wide1185z00_5797;

				BgL_wide1185z00_5797 =
					((BgL_rlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rlocalz00_bgl))));
				{	/* SawMill/node2rtl.scm 21 */
					obj_t BgL_auxz00_7626;
					BgL_objectz00_bglt BgL_tmpz00_7622;

					BgL_auxz00_7626 = ((obj_t) BgL_wide1185z00_5797);
					BgL_tmpz00_7622 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1183z00_5564)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7622, BgL_auxz00_7626);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1183z00_5564)));
				{	/* SawMill/node2rtl.scm 21 */
					long BgL_arg2141z00_5798;

					BgL_arg2141z00_5798 = BGL_CLASS_NUM(BGl_rlocalz00zzsaw_node2rtlz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1183z00_5564))), BgL_arg2141z00_5798);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1183z00_5564)));
			}
		}

	}



/* &lambda2137 */
	BgL_localz00_bglt BGl_z62lambda2137z62zzsaw_node2rtlz00(obj_t BgL_envz00_5565,
		obj_t BgL_id1168z00_5566, obj_t BgL_name1169z00_5567,
		obj_t BgL_type1170z00_5568, obj_t BgL_value1171z00_5569,
		obj_t BgL_access1172z00_5570, obj_t BgL_fastzd2alpha1173zd2_5571,
		obj_t BgL_removable1174z00_5572, obj_t BgL_occurrence1175z00_5573,
		obj_t BgL_occurrencew1176z00_5574, obj_t BgL_userzf31177zf3_5575,
		obj_t BgL_key1178z00_5576, obj_t BgL_valzd2noescape1179zd2_5577,
		obj_t BgL_volatile1180z00_5578, obj_t BgL_reg1181z00_5579,
		obj_t BgL_code1182z00_5580)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{	/* SawMill/node2rtl.scm 21 */
				long BgL_occurrence1175z00_5802;
				long BgL_occurrencew1176z00_5803;
				bool_t BgL_userzf31177zf3_5804;
				long BgL_key1178z00_5805;
				bool_t BgL_volatile1180z00_5806;

				BgL_occurrence1175z00_5802 = (long) CINT(BgL_occurrence1175z00_5573);
				BgL_occurrencew1176z00_5803 = (long) CINT(BgL_occurrencew1176z00_5574);
				BgL_userzf31177zf3_5804 = CBOOL(BgL_userzf31177zf3_5575);
				BgL_key1178z00_5805 = (long) CINT(BgL_key1178z00_5576);
				BgL_volatile1180z00_5806 = CBOOL(BgL_volatile1180z00_5578);
				{	/* SawMill/node2rtl.scm 21 */
					BgL_localz00_bglt BgL_new1396z00_5807;

					{	/* SawMill/node2rtl.scm 21 */
						BgL_localz00_bglt BgL_tmp1394z00_5808;
						BgL_rlocalz00_bglt BgL_wide1395z00_5809;

						{
							BgL_localz00_bglt BgL_auxz00_7645;

							{	/* SawMill/node2rtl.scm 21 */
								BgL_localz00_bglt BgL_new1393z00_5810;

								BgL_new1393z00_5810 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* SawMill/node2rtl.scm 21 */
									long BgL_arg2139z00_5811;

									BgL_arg2139z00_5811 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1393z00_5810),
										BgL_arg2139z00_5811);
								}
								{	/* SawMill/node2rtl.scm 21 */
									BgL_objectz00_bglt BgL_tmpz00_7650;

									BgL_tmpz00_7650 = ((BgL_objectz00_bglt) BgL_new1393z00_5810);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7650, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1393z00_5810);
								BgL_auxz00_7645 = BgL_new1393z00_5810;
							}
							BgL_tmp1394z00_5808 = ((BgL_localz00_bglt) BgL_auxz00_7645);
						}
						BgL_wide1395z00_5809 =
							((BgL_rlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rlocalz00_bgl))));
						{	/* SawMill/node2rtl.scm 21 */
							obj_t BgL_auxz00_7658;
							BgL_objectz00_bglt BgL_tmpz00_7656;

							BgL_auxz00_7658 = ((obj_t) BgL_wide1395z00_5809);
							BgL_tmpz00_7656 = ((BgL_objectz00_bglt) BgL_tmp1394z00_5808);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7656, BgL_auxz00_7658);
						}
						((BgL_objectz00_bglt) BgL_tmp1394z00_5808);
						{	/* SawMill/node2rtl.scm 21 */
							long BgL_arg2138z00_5812;

							BgL_arg2138z00_5812 =
								BGL_CLASS_NUM(BGl_rlocalz00zzsaw_node2rtlz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1394z00_5808),
								BgL_arg2138z00_5812);
						}
						BgL_new1396z00_5807 = ((BgL_localz00_bglt) BgL_tmp1394z00_5808);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1396z00_5807)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1168z00_5566)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1396z00_5807)))->BgL_namez00) =
						((obj_t) BgL_name1169z00_5567), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1396z00_5807)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1170z00_5568)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1396z00_5807)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1171z00_5569)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1396z00_5807)))->BgL_accessz00) =
						((obj_t) BgL_access1172z00_5570), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1396z00_5807)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1173zd2_5571), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1396z00_5807)))->BgL_removablez00) =
						((obj_t) BgL_removable1174z00_5572), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1396z00_5807)))->BgL_occurrencez00) =
						((long) BgL_occurrence1175z00_5802), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1396z00_5807)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1176z00_5803), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1396z00_5807)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31177zf3_5804), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1396z00_5807)))->BgL_keyz00) =
						((long) BgL_key1178z00_5805), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1396z00_5807)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1179zd2_5577), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1396z00_5807)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1180z00_5806), BUNSPEC);
					{
						BgL_rlocalz00_bglt BgL_auxz00_7695;

						{
							obj_t BgL_auxz00_7696;

							{	/* SawMill/node2rtl.scm 21 */
								BgL_objectz00_bglt BgL_tmpz00_7697;

								BgL_tmpz00_7697 = ((BgL_objectz00_bglt) BgL_new1396z00_5807);
								BgL_auxz00_7696 = BGL_OBJECT_WIDENING(BgL_tmpz00_7697);
							}
							BgL_auxz00_7695 = ((BgL_rlocalz00_bglt) BgL_auxz00_7696);
						}
						((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7695))->BgL_regz00) =
							((obj_t) BgL_reg1181z00_5579), BUNSPEC);
					}
					{
						BgL_rlocalz00_bglt BgL_auxz00_7702;

						{
							obj_t BgL_auxz00_7703;

							{	/* SawMill/node2rtl.scm 21 */
								BgL_objectz00_bglt BgL_tmpz00_7704;

								BgL_tmpz00_7704 = ((BgL_objectz00_bglt) BgL_new1396z00_5807);
								BgL_auxz00_7703 = BGL_OBJECT_WIDENING(BgL_tmpz00_7704);
							}
							BgL_auxz00_7702 = ((BgL_rlocalz00_bglt) BgL_auxz00_7703);
						}
						((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7702))->BgL_codez00) =
							((obj_t) BgL_code1182z00_5580), BUNSPEC);
					}
					return BgL_new1396z00_5807;
				}
			}
		}

	}



/* &lambda2157 */
	obj_t BGl_z62lambda2157z62zzsaw_node2rtlz00(obj_t BgL_envz00_5581,
		obj_t BgL_oz00_5582, obj_t BgL_vz00_5583)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{
				BgL_rlocalz00_bglt BgL_auxz00_7709;

				{
					obj_t BgL_auxz00_7710;

					{	/* SawMill/node2rtl.scm 21 */
						BgL_objectz00_bglt BgL_tmpz00_7711;

						BgL_tmpz00_7711 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_5582));
						BgL_auxz00_7710 = BGL_OBJECT_WIDENING(BgL_tmpz00_7711);
					}
					BgL_auxz00_7709 = ((BgL_rlocalz00_bglt) BgL_auxz00_7710);
				}
				return
					((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7709))->BgL_codez00) =
					((obj_t) BgL_vz00_5583), BUNSPEC);
			}
		}

	}



/* &lambda2156 */
	obj_t BGl_z62lambda2156z62zzsaw_node2rtlz00(obj_t BgL_envz00_5584,
		obj_t BgL_oz00_5585)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{
				BgL_rlocalz00_bglt BgL_auxz00_7717;

				{
					obj_t BgL_auxz00_7718;

					{	/* SawMill/node2rtl.scm 21 */
						BgL_objectz00_bglt BgL_tmpz00_7719;

						BgL_tmpz00_7719 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_5585));
						BgL_auxz00_7718 = BGL_OBJECT_WIDENING(BgL_tmpz00_7719);
					}
					BgL_auxz00_7717 = ((BgL_rlocalz00_bglt) BgL_auxz00_7718);
				}
				return (((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7717))->BgL_codez00);
			}
		}

	}



/* &lambda2152 */
	obj_t BGl_z62lambda2152z62zzsaw_node2rtlz00(obj_t BgL_envz00_5586,
		obj_t BgL_oz00_5587, obj_t BgL_vz00_5588)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{
				BgL_rlocalz00_bglt BgL_auxz00_7725;

				{
					obj_t BgL_auxz00_7726;

					{	/* SawMill/node2rtl.scm 21 */
						BgL_objectz00_bglt BgL_tmpz00_7727;

						BgL_tmpz00_7727 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_5587));
						BgL_auxz00_7726 = BGL_OBJECT_WIDENING(BgL_tmpz00_7727);
					}
					BgL_auxz00_7725 = ((BgL_rlocalz00_bglt) BgL_auxz00_7726);
				}
				return
					((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7725))->BgL_regz00) =
					((obj_t) BgL_vz00_5588), BUNSPEC);
			}
		}

	}



/* &lambda2151 */
	obj_t BGl_z62lambda2151z62zzsaw_node2rtlz00(obj_t BgL_envz00_5589,
		obj_t BgL_oz00_5590)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{
				BgL_rlocalz00_bglt BgL_auxz00_7733;

				{
					obj_t BgL_auxz00_7734;

					{	/* SawMill/node2rtl.scm 21 */
						BgL_objectz00_bglt BgL_tmpz00_7735;

						BgL_tmpz00_7735 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_5590));
						BgL_auxz00_7734 = BGL_OBJECT_WIDENING(BgL_tmpz00_7735);
					}
					BgL_auxz00_7733 = ((BgL_rlocalz00_bglt) BgL_auxz00_7734);
				}
				return (((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7733))->BgL_regz00);
			}
		}

	}



/* &lambda2126 */
	BgL_blockz00_bglt BGl_z62lambda2126z62zzsaw_node2rtlz00(obj_t BgL_envz00_5591,
		obj_t BgL_o1166z00_5592)
	{
		{	/* SawMill/node2rtl.scm 20 */
			{	/* SawMill/node2rtl.scm 20 */
				long BgL_arg2127z00_5818;

				{	/* SawMill/node2rtl.scm 20 */
					obj_t BgL_arg2128z00_5819;

					{	/* SawMill/node2rtl.scm 20 */
						obj_t BgL_arg2129z00_5820;

						{	/* SawMill/node2rtl.scm 20 */
							long BgL_arg1808z00_5821;

							{	/* SawMill/node2rtl.scm 20 */
								long BgL_arg1809z00_5822;

								BgL_arg1809z00_5822 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_o1166z00_5592)));
								BgL_arg1808z00_5821 = (BgL_arg1809z00_5822 - OBJECT_TYPE);
							}
							BgL_arg2129z00_5820 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1808z00_5821);
						}
						BgL_arg2128z00_5819 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2129z00_5820);
					}
					{	/* SawMill/node2rtl.scm 20 */
						obj_t BgL_tmpz00_7747;

						BgL_tmpz00_7747 = ((obj_t) BgL_arg2128z00_5819);
						BgL_arg2127z00_5818 = BGL_CLASS_NUM(BgL_tmpz00_7747);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) BgL_o1166z00_5592)), BgL_arg2127z00_5818);
			}
			{	/* SawMill/node2rtl.scm 20 */
				BgL_objectz00_bglt BgL_tmpz00_7753;

				BgL_tmpz00_7753 =
					((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1166z00_5592));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7753, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1166z00_5592));
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1166z00_5592));
		}

	}



/* &<@anonymous:2125> */
	obj_t BGl_z62zc3z04anonymousza32125ze3ze5zzsaw_node2rtlz00(obj_t
		BgL_envz00_5593, obj_t BgL_new1165z00_5594)
	{
		{	/* SawMill/node2rtl.scm 20 */
			{
				BgL_blockz00_bglt BgL_auxz00_7761;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_new1165z00_5594))))->BgL_labelz00) =
					((int) (int) (0L)), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1165z00_5594))))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1165z00_5594))))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1165z00_5594))))->BgL_firstz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_7761 = ((BgL_blockz00_bglt) BgL_new1165z00_5594);
				return ((obj_t) BgL_auxz00_7761);
			}
		}

	}



/* &lambda2123 */
	BgL_blockz00_bglt BGl_z62lambda2123z62zzsaw_node2rtlz00(obj_t BgL_envz00_5595,
		obj_t BgL_o1162z00_5596)
	{
		{	/* SawMill/node2rtl.scm 20 */
			{	/* SawMill/node2rtl.scm 20 */
				BgL_reversedz00_bglt BgL_wide1164z00_5825;

				BgL_wide1164z00_5825 =
					((BgL_reversedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_reversedz00_bgl))));
				{	/* SawMill/node2rtl.scm 20 */
					obj_t BgL_auxz00_7782;
					BgL_objectz00_bglt BgL_tmpz00_7778;

					BgL_auxz00_7782 = ((obj_t) BgL_wide1164z00_5825);
					BgL_tmpz00_7778 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1162z00_5596)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7778, BgL_auxz00_7782);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1162z00_5596)));
				{	/* SawMill/node2rtl.scm 20 */
					long BgL_arg2124z00_5826;

					BgL_arg2124z00_5826 = BGL_CLASS_NUM(BGl_reversedz00zzsaw_node2rtlz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_o1162z00_5596))), BgL_arg2124z00_5826);
				}
				return
					((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1162z00_5596)));
			}
		}

	}



/* &lambda2119 */
	BgL_blockz00_bglt BGl_z62lambda2119z62zzsaw_node2rtlz00(obj_t BgL_envz00_5597,
		obj_t BgL_label1158z00_5598, obj_t BgL_preds1159z00_5599,
		obj_t BgL_succs1160z00_5600, obj_t BgL_first1161z00_5601)
	{
		{	/* SawMill/node2rtl.scm 20 */
			{	/* SawMill/node2rtl.scm 20 */
				int BgL_label1158z00_5827;

				BgL_label1158z00_5827 = CINT(BgL_label1158z00_5598);
				{	/* SawMill/node2rtl.scm 20 */
					BgL_blockz00_bglt BgL_new1391z00_5831;

					{	/* SawMill/node2rtl.scm 20 */
						BgL_blockz00_bglt BgL_tmp1389z00_5832;
						BgL_reversedz00_bglt BgL_wide1390z00_5833;

						{
							BgL_blockz00_bglt BgL_auxz00_7797;

							{	/* SawMill/node2rtl.scm 20 */
								BgL_blockz00_bglt BgL_new1388z00_5834;

								BgL_new1388z00_5834 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawMill/node2rtl.scm 20 */
									long BgL_arg2122z00_5835;

									BgL_arg2122z00_5835 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1388z00_5834),
										BgL_arg2122z00_5835);
								}
								{	/* SawMill/node2rtl.scm 20 */
									BgL_objectz00_bglt BgL_tmpz00_7802;

									BgL_tmpz00_7802 = ((BgL_objectz00_bglt) BgL_new1388z00_5834);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7802, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1388z00_5834);
								BgL_auxz00_7797 = BgL_new1388z00_5834;
							}
							BgL_tmp1389z00_5832 = ((BgL_blockz00_bglt) BgL_auxz00_7797);
						}
						BgL_wide1390z00_5833 =
							((BgL_reversedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_reversedz00_bgl))));
						{	/* SawMill/node2rtl.scm 20 */
							obj_t BgL_auxz00_7810;
							BgL_objectz00_bglt BgL_tmpz00_7808;

							BgL_auxz00_7810 = ((obj_t) BgL_wide1390z00_5833);
							BgL_tmpz00_7808 = ((BgL_objectz00_bglt) BgL_tmp1389z00_5832);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7808, BgL_auxz00_7810);
						}
						((BgL_objectz00_bglt) BgL_tmp1389z00_5832);
						{	/* SawMill/node2rtl.scm 20 */
							long BgL_arg2120z00_5836;

							BgL_arg2120z00_5836 =
								BGL_CLASS_NUM(BGl_reversedz00zzsaw_node2rtlz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1389z00_5832),
								BgL_arg2120z00_5836);
						}
						BgL_new1391z00_5831 = ((BgL_blockz00_bglt) BgL_tmp1389z00_5832);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1391z00_5831)))->BgL_labelz00) =
						((int) BgL_label1158z00_5827), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1391z00_5831)))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1159z00_5599)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1391z00_5831)))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1160z00_5600)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1391z00_5831)))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1161z00_5601)), BUNSPEC);
					return BgL_new1391z00_5831;
				}
			}
		}

	}



/* &<@anonymous:2102> */
	obj_t BGl_z62zc3z04anonymousza32102ze3ze5zzsaw_node2rtlz00(obj_t
		BgL_envz00_5602, obj_t BgL_new1156z00_5603)
	{
		{	/* SawMill/node2rtl.scm 19 */
			{
				BgL_areaz00_bglt BgL_auxz00_7829;

				{
					BgL_blockz00_bglt BgL_auxz00_7830;

					{	/* SawMill/node2rtl.scm 19 */
						obj_t BgL_classz00_5838;

						BgL_classz00_5838 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/node2rtl.scm 19 */
							obj_t BgL__ortest_1117z00_5839;

							BgL__ortest_1117z00_5839 = BGL_CLASS_NIL(BgL_classz00_5838);
							if (CBOOL(BgL__ortest_1117z00_5839))
								{	/* SawMill/node2rtl.scm 19 */
									BgL_auxz00_7830 =
										((BgL_blockz00_bglt) BgL__ortest_1117z00_5839);
								}
							else
								{	/* SawMill/node2rtl.scm 19 */
									BgL_auxz00_7830 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5838));
								}
						}
					}
					((((BgL_areaz00_bglt) COBJECT(
									((BgL_areaz00_bglt) BgL_new1156z00_5603)))->BgL_entryz00) =
						((BgL_blockz00_bglt) BgL_auxz00_7830), BUNSPEC);
				}
				{
					BgL_blockz00_bglt BgL_auxz00_7839;

					{	/* SawMill/node2rtl.scm 19 */
						obj_t BgL_classz00_5840;

						BgL_classz00_5840 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/node2rtl.scm 19 */
							obj_t BgL__ortest_1117z00_5841;

							BgL__ortest_1117z00_5841 = BGL_CLASS_NIL(BgL_classz00_5840);
							if (CBOOL(BgL__ortest_1117z00_5841))
								{	/* SawMill/node2rtl.scm 19 */
									BgL_auxz00_7839 =
										((BgL_blockz00_bglt) BgL__ortest_1117z00_5841);
								}
							else
								{	/* SawMill/node2rtl.scm 19 */
									BgL_auxz00_7839 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5840));
								}
						}
					}
					((((BgL_areaz00_bglt) COBJECT(
									((BgL_areaz00_bglt) BgL_new1156z00_5603)))->BgL_exitz00) =
						((BgL_blockz00_bglt) BgL_auxz00_7839), BUNSPEC);
				}
				BgL_auxz00_7829 = ((BgL_areaz00_bglt) BgL_new1156z00_5603);
				return ((obj_t) BgL_auxz00_7829);
			}
		}

	}



/* &lambda2100 */
	BgL_areaz00_bglt BGl_z62lambda2100z62zzsaw_node2rtlz00(obj_t BgL_envz00_5604)
	{
		{	/* SawMill/node2rtl.scm 19 */
			{	/* SawMill/node2rtl.scm 19 */
				BgL_areaz00_bglt BgL_new1155z00_5842;

				BgL_new1155z00_5842 =
					((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_areaz00_bgl))));
				{	/* SawMill/node2rtl.scm 19 */
					long BgL_arg2101z00_5843;

					BgL_arg2101z00_5843 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1155z00_5842), BgL_arg2101z00_5843);
				}
				return BgL_new1155z00_5842;
			}
		}

	}



/* &lambda2098 */
	BgL_areaz00_bglt BGl_z62lambda2098z62zzsaw_node2rtlz00(obj_t BgL_envz00_5605,
		obj_t BgL_entry1153z00_5606, obj_t BgL_exit1154z00_5607)
	{
		{	/* SawMill/node2rtl.scm 19 */
			{	/* SawMill/node2rtl.scm 19 */
				BgL_areaz00_bglt BgL_new1387z00_5846;

				{	/* SawMill/node2rtl.scm 19 */
					BgL_areaz00_bglt BgL_new1386z00_5847;

					BgL_new1386z00_5847 =
						((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_areaz00_bgl))));
					{	/* SawMill/node2rtl.scm 19 */
						long BgL_arg2099z00_5848;

						BgL_arg2099z00_5848 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1386z00_5847), BgL_arg2099z00_5848);
					}
					BgL_new1387z00_5846 = BgL_new1386z00_5847;
				}
				((((BgL_areaz00_bglt) COBJECT(BgL_new1387z00_5846))->BgL_entryz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_entry1153z00_5606)),
					BUNSPEC);
				((((BgL_areaz00_bglt) COBJECT(BgL_new1387z00_5846))->BgL_exitz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_exit1154z00_5607)),
					BUNSPEC);
				return BgL_new1387z00_5846;
			}
		}

	}



/* &lambda2112 */
	obj_t BGl_z62lambda2112z62zzsaw_node2rtlz00(obj_t BgL_envz00_5608,
		obj_t BgL_oz00_5609, obj_t BgL_vz00_5610)
	{
		{	/* SawMill/node2rtl.scm 19 */
			return
				((((BgL_areaz00_bglt) COBJECT(
							((BgL_areaz00_bglt) BgL_oz00_5609)))->BgL_exitz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_5610)), BUNSPEC);
		}

	}



/* &lambda2111 */
	BgL_blockz00_bglt BGl_z62lambda2111z62zzsaw_node2rtlz00(obj_t BgL_envz00_5611,
		obj_t BgL_oz00_5612)
	{
		{	/* SawMill/node2rtl.scm 19 */
			return
				(((BgL_areaz00_bglt) COBJECT(
						((BgL_areaz00_bglt) BgL_oz00_5612)))->BgL_exitz00);
		}

	}



/* &lambda2107 */
	obj_t BGl_z62lambda2107z62zzsaw_node2rtlz00(obj_t BgL_envz00_5613,
		obj_t BgL_oz00_5614, obj_t BgL_vz00_5615)
	{
		{	/* SawMill/node2rtl.scm 19 */
			return
				((((BgL_areaz00_bglt) COBJECT(
							((BgL_areaz00_bglt) BgL_oz00_5614)))->BgL_entryz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_5615)), BUNSPEC);
		}

	}



/* &lambda2106 */
	BgL_blockz00_bglt BGl_z62lambda2106z62zzsaw_node2rtlz00(obj_t BgL_envz00_5616,
		obj_t BgL_oz00_5617)
	{
		{	/* SawMill/node2rtl.scm 19 */
			return
				(((BgL_areaz00_bglt) COBJECT(
						((BgL_areaz00_bglt) BgL_oz00_5617)))->BgL_entryz00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_proc2864z00zzsaw_node2rtlz00, BGl_nodez00zzast_nodez00,
				BGl_string2865z00zzsaw_node2rtlz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_predicatezd2envzd2zzsaw_node2rtlz00,
				BGl_proc2866z00zzsaw_node2rtlz00, BGl_nodez00zzast_nodez00,
				BGl_string2867z00zzsaw_node2rtlz00);
		}

	}



/* &predicate1780 */
	obj_t BGl_z62predicate1780z62zzsaw_node2rtlz00(obj_t BgL_envz00_5620,
		obj_t BgL_ez00_5621, obj_t BgL_joinedz00_5622)
	{
		{	/* SawMill/node2rtl.scm 509 */
			{
				BgL_areaz00_bglt BgL_auxz00_7874;

				{	/* SawMill/node2rtl.scm 510 */
					BgL_areaz00_bglt BgL_arg2186z00_5856;

					{	/* SawMill/node2rtl.scm 510 */
						BgL_rtl_ifz00_bglt BgL_arg2187z00_5857;

						{	/* SawMill/node2rtl.scm 510 */
							BgL_rtl_ifz00_bglt BgL_new1380z00_5858;

							{	/* SawMill/node2rtl.scm 510 */
								BgL_rtl_ifz00_bglt BgL_new1379z00_5859;

								BgL_new1379z00_5859 =
									((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_ifz00_bgl))));
								{	/* SawMill/node2rtl.scm 510 */
									long BgL_arg2189z00_5860;

									BgL_arg2189z00_5860 =
										BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1379z00_5859),
										BgL_arg2189z00_5860);
								}
								BgL_new1380z00_5858 = BgL_new1379z00_5859;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1380z00_5858)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg2187z00_5857 = BgL_new1380z00_5858;
						}
						{	/* SawMill/node2rtl.scm 510 */
							obj_t BgL_list2188z00_5861;

							BgL_list2188z00_5861 =
								MAKE_YOUNG_PAIR(
								((obj_t) ((BgL_nodez00_bglt) BgL_ez00_5621)), BNIL);
							BgL_arg2186z00_5856 =
								BGl_callza2za2zzsaw_node2rtlz00(
								((obj_t)
									((BgL_nodez00_bglt) BgL_ez00_5621)),
								((BgL_rtl_funz00_bglt) BgL_arg2187z00_5857),
								BgL_list2188z00_5861);
					}}
					BgL_auxz00_7874 =
						BGl_forkz00zzsaw_node2rtlz00(BgL_arg2186z00_5856,
						BgL_joinedz00_5622);
				}
				return ((obj_t) BgL_auxz00_7874);
			}
		}

	}



/* &node->rtl1715 */
	obj_t BGl_z62nodezd2ze3rtl1715z53zzsaw_node2rtlz00(obj_t BgL_envz00_5623,
		obj_t BgL_ez00_5624)
	{
		{	/* SawMill/node2rtl.scm 206 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(16L),
				BGl_string2868z00zzsaw_node2rtlz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_ez00_5624)));
		}

	}



/* node->rtl */
	BgL_areaz00_bglt BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(BgL_nodez00_bglt
		BgL_ez00_137)
	{
		{	/* SawMill/node2rtl.scm 206 */
			{	/* SawMill/node2rtl.scm 206 */
				obj_t BgL_method1716z00_2934;

				{	/* SawMill/node2rtl.scm 206 */
					obj_t BgL_res2806z00_4667;

					{	/* SawMill/node2rtl.scm 206 */
						long BgL_objzd2classzd2numz00_4638;

						BgL_objzd2classzd2numz00_4638 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_137));
						{	/* SawMill/node2rtl.scm 206 */
							obj_t BgL_arg1805z00_4639;

							BgL_arg1805z00_4639 =
								PROCEDURE_REF(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
								(int) (1L));
							{	/* SawMill/node2rtl.scm 206 */
								int BgL_offsetz00_4642;

								BgL_offsetz00_4642 = (int) (BgL_objzd2classzd2numz00_4638);
								{	/* SawMill/node2rtl.scm 206 */
									long BgL_offsetz00_4643;

									BgL_offsetz00_4643 =
										((long) (BgL_offsetz00_4642) - OBJECT_TYPE);
									{	/* SawMill/node2rtl.scm 206 */
										long BgL_modz00_4644;

										BgL_modz00_4644 =
											(BgL_offsetz00_4643 >> (int) ((long) ((int) (4L))));
										{	/* SawMill/node2rtl.scm 206 */
											long BgL_restz00_4646;

											BgL_restz00_4646 =
												(BgL_offsetz00_4643 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawMill/node2rtl.scm 206 */

												{	/* SawMill/node2rtl.scm 206 */
													obj_t BgL_bucketz00_4648;

													BgL_bucketz00_4648 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_4639), BgL_modz00_4644);
													BgL_res2806z00_4667 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4648), BgL_restz00_4646);
					}}}}}}}}
					BgL_method1716z00_2934 = BgL_res2806z00_4667;
				}
				return
					((BgL_areaz00_bglt)
					(VA_PROCEDUREP(BgL_method1716z00_2934) ? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_method1716z00_2934)) (BgL_method1716z00_2934,
							((obj_t) BgL_ez00_137), BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_method1716z00_2934)) (BgL_method1716z00_2934,
							((obj_t) BgL_ez00_137))));
			}
		}

	}



/* &node->rtl */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlz53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5625, obj_t BgL_ez00_5626)
	{
		{	/* SawMill/node2rtl.scm 206 */
			return
				BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
				((BgL_nodez00_bglt) BgL_ez00_5626));
		}

	}



/* predicate */
	BgL_areaz00_bglt BGl_predicatez00zzsaw_node2rtlz00(BgL_nodez00_bglt
		BgL_ez00_176, obj_t BgL_joinedz00_177)
	{
		{	/* SawMill/node2rtl.scm 509 */
			{	/* SawMill/node2rtl.scm 509 */
				obj_t BgL_method1781z00_2935;

				{	/* SawMill/node2rtl.scm 509 */
					obj_t BgL_res2811z00_4698;

					{	/* SawMill/node2rtl.scm 509 */
						long BgL_objzd2classzd2numz00_4669;

						BgL_objzd2classzd2numz00_4669 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_176));
						{	/* SawMill/node2rtl.scm 509 */
							obj_t BgL_arg1805z00_4670;

							BgL_arg1805z00_4670 =
								PROCEDURE_REF(BGl_predicatezd2envzd2zzsaw_node2rtlz00,
								(int) (1L));
							{	/* SawMill/node2rtl.scm 509 */
								int BgL_offsetz00_4673;

								BgL_offsetz00_4673 = (int) (BgL_objzd2classzd2numz00_4669);
								{	/* SawMill/node2rtl.scm 509 */
									long BgL_offsetz00_4674;

									BgL_offsetz00_4674 =
										((long) (BgL_offsetz00_4673) - OBJECT_TYPE);
									{	/* SawMill/node2rtl.scm 509 */
										long BgL_modz00_4675;

										BgL_modz00_4675 =
											(BgL_offsetz00_4674 >> (int) ((long) ((int) (4L))));
										{	/* SawMill/node2rtl.scm 509 */
											long BgL_restz00_4677;

											BgL_restz00_4677 =
												(BgL_offsetz00_4674 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawMill/node2rtl.scm 509 */

												{	/* SawMill/node2rtl.scm 509 */
													obj_t BgL_bucketz00_4679;

													BgL_bucketz00_4679 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_4670), BgL_modz00_4675);
													BgL_res2811z00_4698 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4679), BgL_restz00_4677);
					}}}}}}}}
					BgL_method1781z00_2935 = BgL_res2811z00_4698;
				}
				return
					((BgL_areaz00_bglt)
					(VA_PROCEDUREP(BgL_method1781z00_2935) ? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_method1781z00_2935)) (BgL_method1781z00_2935,
							((obj_t) BgL_ez00_176), BgL_joinedz00_177,
							BEOA) : ((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_method1781z00_2935)) (BgL_method1781z00_2935,
							((obj_t) BgL_ez00_176), BgL_joinedz00_177)));
			}
		}

	}



/* &predicate */
	BgL_areaz00_bglt BGl_z62predicatez62zzsaw_node2rtlz00(obj_t BgL_envz00_5627,
		obj_t BgL_ez00_5628, obj_t BgL_joinedz00_5629)
	{
		{	/* SawMill/node2rtl.scm 509 */
			return
				BGl_predicatez00zzsaw_node2rtlz00(
				((BgL_nodez00_bglt) BgL_ez00_5628), BgL_joinedz00_5629);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_atomz00zzast_nodez00,
				BGl_proc2869z00zzsaw_node2rtlz00, BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_varz00zzast_nodez00,
				BGl_proc2871z00zzsaw_node2rtlz00, BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2872z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_setqz00zzast_nodez00,
				BGl_proc2873z00zzsaw_node2rtlz00, BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2874z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_syncz00zzast_nodez00,
				BGl_proc2875z00zzsaw_node2rtlz00, BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2876z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_switchz00zzast_nodez00, BGl_proc2877z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2878z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_appz00zzast_nodez00,
				BGl_proc2879z00zzsaw_node2rtlz00, BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2880z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2881z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_pragmaz00zzast_nodez00, BGl_proc2882z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_getfieldz00zzast_nodez00, BGl_proc2883z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_setfieldz00zzast_nodez00, BGl_proc2884z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_newz00zzast_nodez00,
				BGl_proc2885z00zzsaw_node2rtlz00, BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_vallocz00zzast_nodez00, BGl_proc2886z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_vrefz00zzast_nodez00,
				BGl_proc2887z00zzsaw_node2rtlz00, BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_vsetz12z12zzast_nodez00, BGl_proc2888z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_vlengthz00zzast_nodez00, BGl_proc2889z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2890z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_castz00zzast_nodez00,
				BGl_proc2891z00zzsaw_node2rtlz00, BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_castzd2nullzd2zzast_nodez00, BGl_proc2892z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2893z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2894z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_failz00zzast_nodez00,
				BGl_proc2895z00zzsaw_node2rtlz00, BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2896z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2897z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2898z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_retblockz00zzast_nodez00, BGl_proc2899z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_returnz00zzast_nodez00, BGl_proc2900z00zzsaw_node2rtlz00,
				BGl_string2870z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_predicatezd2envzd2zzsaw_node2rtlz00, BGl_atomz00zzast_nodez00,
				BGl_proc2901z00zzsaw_node2rtlz00, BGl_string2902z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_predicatezd2envzd2zzsaw_node2rtlz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2903z00zzsaw_node2rtlz00,
				BGl_string2902z00zzsaw_node2rtlz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_predicatezd2envzd2zzsaw_node2rtlz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2904z00zzsaw_node2rtlz00, BGl_string2902z00zzsaw_node2rtlz00);
		}

	}



/* &predicate-let-var1787 */
	BgL_areaz00_bglt BGl_z62predicatezd2letzd2var1787z62zzsaw_node2rtlz00(obj_t
		BgL_envz00_5664, obj_t BgL_ez00_5665, obj_t BgL_lz00_5666)
	{
		{	/* SawMill/node2rtl.scm 525 */
			{	/* SawMill/node2rtl.scm 529 */
				bool_t BgL_test3079z00_7995;

				if (NULLP(
						(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_ez00_5665)))->BgL_bindingsz00)))
					{	/* SawMill/node2rtl.scm 529 */
						BgL_test3079z00_7995 = ((bool_t) 0);
					}
				else
					{	/* SawMill/node2rtl.scm 529 */
						if (NULLP(CDR(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5665)))->
										BgL_bindingsz00))))
							{	/* SawMill/node2rtl.scm 531 */
								bool_t BgL_test3082z00_8005;

								{	/* SawMill/node2rtl.scm 531 */
									BgL_nodez00_bglt BgL_arg2640z00_5864;

									BgL_arg2640z00_5864 =
										(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5665)))->BgL_bodyz00);
									{	/* SawMill/node2rtl.scm 531 */
										obj_t BgL_classz00_5865;

										BgL_classz00_5865 = BGl_varz00zzast_nodez00;
										{	/* SawMill/node2rtl.scm 531 */
											BgL_objectz00_bglt BgL_arg1801z00_5866;

											{	/* SawMill/node2rtl.scm 531 */
												obj_t BgL_tmpz00_8008;

												BgL_tmpz00_8008 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg2640z00_5864));
												BgL_arg1801z00_5866 =
													(BgL_objectz00_bglt) (BgL_tmpz00_8008);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawMill/node2rtl.scm 531 */
													long BgL_idxz00_5867;

													BgL_idxz00_5867 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_5866);
													BgL_test3082z00_8005 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_5867 + 2L)) == BgL_classz00_5865);
												}
											else
												{	/* SawMill/node2rtl.scm 531 */
													bool_t BgL_res2825z00_5870;

													{	/* SawMill/node2rtl.scm 531 */
														obj_t BgL_oclassz00_5871;

														{	/* SawMill/node2rtl.scm 531 */
															long BgL_arg1808z00_5872;

															{	/* SawMill/node2rtl.scm 531 */
																long BgL_arg1809z00_5873;

																BgL_arg1809z00_5873 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_5866);
																BgL_arg1808z00_5872 =
																	(BgL_arg1809z00_5873 - OBJECT_TYPE);
															}
															BgL_oclassz00_5871 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1808z00_5872);
														}
														{	/* SawMill/node2rtl.scm 531 */
															bool_t BgL__ortest_1115z00_5874;

															BgL__ortest_1115z00_5874 =
																(BgL_classz00_5865 == BgL_oclassz00_5871);
															if (BgL__ortest_1115z00_5874)
																{	/* SawMill/node2rtl.scm 531 */
																	BgL_res2825z00_5870 =
																		BgL__ortest_1115z00_5874;
																}
															else
																{	/* SawMill/node2rtl.scm 531 */
																	long BgL_odepthz00_5875;

																	BgL_odepthz00_5875 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_5871);
																	if ((2L < BgL_odepthz00_5875))
																		{	/* SawMill/node2rtl.scm 531 */
																			obj_t BgL_arg1797z00_5876;

																			BgL_arg1797z00_5876 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_5871, 2L);
																			BgL_res2825z00_5870 =
																				(BgL_arg1797z00_5876 ==
																				BgL_classz00_5865);
																		}
																	else
																		{	/* SawMill/node2rtl.scm 531 */
																			BgL_res2825z00_5870 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test3082z00_8005 = BgL_res2825z00_5870;
												}
										}
									}
								}
								if (BgL_test3082z00_8005)
									{	/* SawMill/node2rtl.scm 532 */
										obj_t BgL_tmpz00_8028;

										{	/* SawMill/node2rtl.scm 532 */
											obj_t BgL_pairz00_5877;

											BgL_pairz00_5877 =
												(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_ez00_5665)))->
												BgL_bindingsz00);
											BgL_tmpz00_8028 = CAR(CAR(BgL_pairz00_5877));
										}
										BgL_test3079z00_7995 =
											(BgL_tmpz00_8028 ==
											((obj_t)
												(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt)
																(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_ez00_5665)))->BgL_bodyz00))))->
													BgL_variablez00)));
									}
								else
									{	/* SawMill/node2rtl.scm 531 */
										BgL_test3079z00_7995 = ((bool_t) 0);
									}
							}
						else
							{	/* SawMill/node2rtl.scm 530 */
								BgL_test3079z00_7995 = ((bool_t) 0);
							}
					}
				if (BgL_test3079z00_7995)
					{	/* SawMill/node2rtl.scm 534 */
						obj_t BgL_arg2567z00_5878;

						{	/* SawMill/node2rtl.scm 534 */
							obj_t BgL_pairz00_5879;

							BgL_pairz00_5879 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_ez00_5665)))->BgL_bindingsz00);
							BgL_arg2567z00_5878 = CDR(CAR(BgL_pairz00_5879));
						}
						return
							BGl_predicatez00zzsaw_node2rtlz00(
							((BgL_nodez00_bglt) BgL_arg2567z00_5878), BgL_lz00_5666);
					}
				else
					{	/* SawMill/node2rtl.scm 535 */
						bool_t BgL_test3086z00_8045;

						{	/* SawMill/node2rtl.scm 535 */
							bool_t BgL_test3087z00_8046;

							{	/* SawMill/node2rtl.scm 535 */
								BgL_nodez00_bglt BgL_arg2632z00_5880;

								BgL_arg2632z00_5880 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_ez00_5665)))->BgL_bodyz00);
								{	/* SawMill/node2rtl.scm 535 */
									obj_t BgL_classz00_5881;

									BgL_classz00_5881 = BGl_conditionalz00zzast_nodez00;
									{	/* SawMill/node2rtl.scm 535 */
										BgL_objectz00_bglt BgL_arg1801z00_5882;

										{	/* SawMill/node2rtl.scm 535 */
											obj_t BgL_tmpz00_8049;

											BgL_tmpz00_8049 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg2632z00_5880));
											BgL_arg1801z00_5882 =
												(BgL_objectz00_bglt) (BgL_tmpz00_8049);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawMill/node2rtl.scm 535 */
												long BgL_idxz00_5883;

												BgL_idxz00_5883 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_5882);
												BgL_test3087z00_8046 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5883 + 3L)) == BgL_classz00_5881);
											}
										else
											{	/* SawMill/node2rtl.scm 535 */
												bool_t BgL_res2826z00_5886;

												{	/* SawMill/node2rtl.scm 535 */
													obj_t BgL_oclassz00_5887;

													{	/* SawMill/node2rtl.scm 535 */
														long BgL_arg1808z00_5888;

														{	/* SawMill/node2rtl.scm 535 */
															long BgL_arg1809z00_5889;

															BgL_arg1809z00_5889 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_5882);
															BgL_arg1808z00_5888 =
																(BgL_arg1809z00_5889 - OBJECT_TYPE);
														}
														BgL_oclassz00_5887 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1808z00_5888);
													}
													{	/* SawMill/node2rtl.scm 535 */
														bool_t BgL__ortest_1115z00_5890;

														BgL__ortest_1115z00_5890 =
															(BgL_classz00_5881 == BgL_oclassz00_5887);
														if (BgL__ortest_1115z00_5890)
															{	/* SawMill/node2rtl.scm 535 */
																BgL_res2826z00_5886 = BgL__ortest_1115z00_5890;
															}
														else
															{	/* SawMill/node2rtl.scm 535 */
																long BgL_odepthz00_5891;

																BgL_odepthz00_5891 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_5887);
																if ((3L < BgL_odepthz00_5891))
																	{	/* SawMill/node2rtl.scm 535 */
																		obj_t BgL_arg1797z00_5892;

																		BgL_arg1797z00_5892 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_5887, 3L);
																		BgL_res2826z00_5886 =
																			(BgL_arg1797z00_5892 ==
																			BgL_classz00_5881);
																	}
																else
																	{	/* SawMill/node2rtl.scm 535 */
																		BgL_res2826z00_5886 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test3087z00_8046 = BgL_res2826z00_5886;
											}
									}
								}
							}
							if (BgL_test3087z00_8046)
								{	/* SawMill/node2rtl.scm 535 */
									if (NULLP(
											(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_ez00_5665)))->
												BgL_bindingsz00)))
										{	/* SawMill/node2rtl.scm 536 */
											BgL_test3086z00_8045 = ((bool_t) 0);
										}
									else
										{	/* SawMill/node2rtl.scm 536 */
											if (NULLP(CDR(
														(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_ez00_5665)))->
															BgL_bindingsz00))))
												{	/* SawMill/node2rtl.scm 538 */
													bool_t BgL_test3093z00_8078;

													{	/* SawMill/node2rtl.scm 538 */
														BgL_nodez00_bglt BgL_arg2626z00_5893;

														BgL_arg2626z00_5893 =
															(((BgL_conditionalz00_bglt) COBJECT(
																	((BgL_conditionalz00_bglt)
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_ez00_5665)))->BgL_bodyz00))))->
															BgL_testz00);
														{	/* SawMill/node2rtl.scm 538 */
															obj_t BgL_classz00_5894;

															BgL_classz00_5894 = BGl_varz00zzast_nodez00;
															{	/* SawMill/node2rtl.scm 538 */
																BgL_objectz00_bglt BgL_arg1801z00_5895;

																{	/* SawMill/node2rtl.scm 538 */
																	obj_t BgL_tmpz00_8083;

																	BgL_tmpz00_8083 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg2626z00_5893));
																	BgL_arg1801z00_5895 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_8083);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* SawMill/node2rtl.scm 538 */
																		long BgL_idxz00_5896;

																		BgL_idxz00_5896 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1801z00_5895);
																		BgL_test3093z00_8078 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_5896 + 2L)) ==
																			BgL_classz00_5894);
																	}
																else
																	{	/* SawMill/node2rtl.scm 538 */
																		bool_t BgL_res2827z00_5899;

																		{	/* SawMill/node2rtl.scm 538 */
																			obj_t BgL_oclassz00_5900;

																			{	/* SawMill/node2rtl.scm 538 */
																				long BgL_arg1808z00_5901;

																				{	/* SawMill/node2rtl.scm 538 */
																					long BgL_arg1809z00_5902;

																					BgL_arg1809z00_5902 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1801z00_5895);
																					BgL_arg1808z00_5901 =
																						(BgL_arg1809z00_5902 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_5900 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1808z00_5901);
																			}
																			{	/* SawMill/node2rtl.scm 538 */
																				bool_t BgL__ortest_1115z00_5903;

																				BgL__ortest_1115z00_5903 =
																					(BgL_classz00_5894 ==
																					BgL_oclassz00_5900);
																				if (BgL__ortest_1115z00_5903)
																					{	/* SawMill/node2rtl.scm 538 */
																						BgL_res2827z00_5899 =
																							BgL__ortest_1115z00_5903;
																					}
																				else
																					{	/* SawMill/node2rtl.scm 538 */
																						long BgL_odepthz00_5904;

																						BgL_odepthz00_5904 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_5900);
																						if ((2L < BgL_odepthz00_5904))
																							{	/* SawMill/node2rtl.scm 538 */
																								obj_t BgL_arg1797z00_5905;

																								BgL_arg1797z00_5905 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_5900, 2L);
																								BgL_res2827z00_5899 =
																									(BgL_arg1797z00_5905 ==
																									BgL_classz00_5894);
																							}
																						else
																							{	/* SawMill/node2rtl.scm 538 */
																								BgL_res2827z00_5899 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test3093z00_8078 = BgL_res2827z00_5899;
																	}
															}
														}
													}
													if (BgL_test3093z00_8078)
														{	/* SawMill/node2rtl.scm 539 */
															bool_t BgL_test3097z00_8103;

															{	/* SawMill/node2rtl.scm 539 */
																long BgL_tmpz00_8104;

																{
																	BgL_variablez00_bglt BgL_auxz00_8105;

																	{
																		BgL_localz00_bglt BgL_auxz00_8106;

																		{
																			obj_t BgL_auxz00_8107;

																			{	/* SawMill/node2rtl.scm 539 */
																				obj_t BgL_pairz00_5906;

																				BgL_pairz00_5906 =
																					(((BgL_letzd2varzd2_bglt) COBJECT(
																							((BgL_letzd2varzd2_bglt)
																								BgL_ez00_5665)))->
																					BgL_bindingsz00);
																				{	/* SawMill/node2rtl.scm 539 */
																					obj_t BgL_pairz00_5907;

																					BgL_pairz00_5907 =
																						CAR(BgL_pairz00_5906);
																					BgL_auxz00_8107 =
																						CAR(BgL_pairz00_5907);
																			}}
																			BgL_auxz00_8106 =
																				((BgL_localz00_bglt) BgL_auxz00_8107);
																		}
																		BgL_auxz00_8105 =
																			((BgL_variablez00_bglt) BgL_auxz00_8106);
																	}
																	BgL_tmpz00_8104 =
																		(((BgL_variablez00_bglt)
																			COBJECT(BgL_auxz00_8105))->
																		BgL_occurrencez00);
																}
																BgL_test3097z00_8103 = (1L == BgL_tmpz00_8104);
															}
															if (BgL_test3097z00_8103)
																{	/* SawMill/node2rtl.scm 540 */
																	obj_t BgL_tmpz00_8116;

																	{	/* SawMill/node2rtl.scm 540 */
																		obj_t BgL_pairz00_5908;

																		BgL_pairz00_5908 =
																			(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_ez00_5665)))->BgL_bindingsz00);
																		BgL_tmpz00_8116 =
																			CAR(CAR(BgL_pairz00_5908));
																	}
																	BgL_test3086z00_8045 =
																		(BgL_tmpz00_8116 ==
																		((obj_t)
																			(((BgL_varz00_bglt) COBJECT(
																						((BgL_varz00_bglt)
																							(((BgL_conditionalz00_bglt)
																									COBJECT((
																											(BgL_conditionalz00_bglt)
																											(((BgL_letzd2varzd2_bglt)
																													COBJECT((
																															(BgL_letzd2varzd2_bglt)
																															BgL_ez00_5665)))->
																												BgL_bodyz00))))->
																								BgL_testz00))))->
																				BgL_variablez00)));
																}
															else
																{	/* SawMill/node2rtl.scm 539 */
																	BgL_test3086z00_8045 = ((bool_t) 0);
																}
														}
													else
														{	/* SawMill/node2rtl.scm 538 */
															BgL_test3086z00_8045 = ((bool_t) 0);
														}
												}
											else
												{	/* SawMill/node2rtl.scm 537 */
													BgL_test3086z00_8045 = ((bool_t) 0);
												}
										}
								}
							else
								{	/* SawMill/node2rtl.scm 535 */
									BgL_test3086z00_8045 = ((bool_t) 0);
								}
						}
						if (BgL_test3086z00_8045)
							{	/* SawMill/node2rtl.scm 535 */
								{	/* SawMill/node2rtl.scm 542 */
									BgL_nodez00_bglt BgL_arg2608z00_5909;
									obj_t BgL_arg2609z00_5910;

									BgL_arg2608z00_5909 =
										(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5665)))->BgL_bodyz00);
									{	/* SawMill/node2rtl.scm 542 */
										obj_t BgL_pairz00_5911;

										BgL_pairz00_5911 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_ez00_5665)))->
											BgL_bindingsz00);
										BgL_arg2609z00_5910 = CDR(CAR(BgL_pairz00_5911));
									}
									((((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_arg2608z00_5909)))->
											BgL_testz00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
												BgL_arg2609z00_5910)), BUNSPEC);
								}
								return
									BGl_predicatez00zzsaw_node2rtlz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5665)))->BgL_bodyz00),
									BgL_lz00_5666);
							}
						else
							{	/* SawMill/node2rtl.scm 545 */
								BgL_areaz00_bglt BgL_arg2613z00_5912;

								{	/* SawMill/node2rtl.scm 545 */
									BgL_rtl_ifz00_bglt BgL_arg2614z00_5913;

									{	/* SawMill/node2rtl.scm 545 */
										BgL_rtl_ifz00_bglt BgL_new1385z00_5914;

										{	/* SawMill/node2rtl.scm 545 */
											BgL_rtl_ifz00_bglt BgL_new1384z00_5915;

											BgL_new1384z00_5915 =
												((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_ifz00_bgl))));
											{	/* SawMill/node2rtl.scm 545 */
												long BgL_arg2616z00_5916;

												BgL_arg2616z00_5916 =
													BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1384z00_5915),
													BgL_arg2616z00_5916);
											}
											BgL_new1385z00_5914 = BgL_new1384z00_5915;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1385z00_5914)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										BgL_arg2614z00_5913 = BgL_new1385z00_5914;
									}
									{	/* SawMill/node2rtl.scm 545 */
										obj_t BgL_list2615z00_5917;

										BgL_list2615z00_5917 =
											MAKE_YOUNG_PAIR(
											((obj_t) ((BgL_letzd2varzd2_bglt) BgL_ez00_5665)), BNIL);
										BgL_arg2613z00_5912 =
											BGl_callza2za2zzsaw_node2rtlz00(
											((obj_t)
												((BgL_letzd2varzd2_bglt) BgL_ez00_5665)),
											((BgL_rtl_funz00_bglt) BgL_arg2614z00_5913),
											BgL_list2615z00_5917);
								}}
								return
									BGl_forkz00zzsaw_node2rtlz00(BgL_arg2613z00_5912,
									BgL_lz00_5666);
							}
					}
			}
		}

	}



/* &predicate-conditiona1785 */
	BgL_areaz00_bglt BGl_z62predicatezd2conditiona1785zb0zzsaw_node2rtlz00(obj_t
		BgL_envz00_5667, obj_t BgL_ez00_5668, obj_t BgL_lz00_5669)
	{
		{	/* SawMill/node2rtl.scm 520 */
			{	/* SawMill/node2rtl.scm 522 */
				BgL_nodez00_bglt BgL_arg2520z00_5919;
				obj_t BgL_arg2524z00_5920;

				BgL_arg2520z00_5919 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_ez00_5668)))->BgL_testz00);
				{	/* SawMill/node2rtl.scm 522 */
					BgL_areaz00_bglt BgL_arg2527z00_5921;
					BgL_areaz00_bglt BgL_arg2528z00_5922;

					BgL_arg2527z00_5921 =
						BGl_predicatez00zzsaw_node2rtlz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_ez00_5668)))->BgL_truez00),
						BgL_lz00_5669);
					BgL_arg2528z00_5922 =
						BGl_predicatez00zzsaw_node2rtlz00((((BgL_conditionalz00_bglt)
								COBJECT(((BgL_conditionalz00_bglt) BgL_ez00_5668)))->
							BgL_falsez00), BgL_lz00_5669);
					{	/* SawMill/node2rtl.scm 522 */
						obj_t BgL_list2529z00_5923;

						{	/* SawMill/node2rtl.scm 522 */
							obj_t BgL_arg2531z00_5924;

							BgL_arg2531z00_5924 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg2528z00_5922), BNIL);
							BgL_list2529z00_5923 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_arg2527z00_5921), BgL_arg2531z00_5924);
						}
						BgL_arg2524z00_5920 = BgL_list2529z00_5923;
					}
				}
				return
					BGl_predicatez00zzsaw_node2rtlz00(BgL_arg2520z00_5919,
					BgL_arg2524z00_5920);
			}
		}

	}



/* &predicate-atom1783 */
	BgL_areaz00_bglt BGl_z62predicatezd2atom1783zb0zzsaw_node2rtlz00(obj_t
		BgL_envz00_5670, obj_t BgL_ez00_5671, obj_t BgL_lz00_5672)
	{
		{	/* SawMill/node2rtl.scm 513 */
			if (CBOOL(
					(((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt) BgL_ez00_5671)))->BgL_valuez00)))
				{	/* SawMill/node2rtl.scm 515 */
					return ((BgL_areaz00_bglt) CAR(((obj_t) BgL_lz00_5672)));
				}
			else
				{	/* SawMill/node2rtl.scm 517 */
					obj_t BgL_pairz00_5926;

					BgL_pairz00_5926 = CDR(((obj_t) BgL_lz00_5672));
					return ((BgL_areaz00_bglt) CAR(BgL_pairz00_5926));
				}
		}

	}



/* &node->rtl-return1779 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2return1779z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5673, obj_t BgL_ez00_5674)
	{
		{	/* SawMill/node2rtl.scm 495 */
			{	/* SawMill/node2rtl.scm 497 */
				BgL_retblockz00_bglt BgL_i1378z00_5928;

				BgL_i1378z00_5928 =
					((BgL_retblockz00_bglt)
					(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_ez00_5674)))->BgL_blockz00));
				{	/* SawMill/node2rtl.scm 498 */
					BgL_areaz00_bglt BgL_rz00_5929;

					{	/* SawMill/node2rtl.scm 498 */
						BgL_nodez00_bglt BgL_arg2516z00_5930;
						BgL_rtl_regz00_bglt BgL_arg2518z00_5931;

						BgL_arg2516z00_5930 =
							(((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_ez00_5674)))->BgL_valuez00);
						{
							BgL_retblockzf2tozf2_bglt BgL_auxz00_8184;

							{
								obj_t BgL_auxz00_8185;

								{	/* SawMill/node2rtl.scm 498 */
									BgL_objectz00_bglt BgL_tmpz00_8186;

									BgL_tmpz00_8186 = ((BgL_objectz00_bglt) BgL_i1378z00_5928);
									BgL_auxz00_8185 = BGL_OBJECT_WIDENING(BgL_tmpz00_8186);
								}
								BgL_auxz00_8184 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_8185);
							}
							BgL_arg2518z00_5931 =
								(((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_8184))->
								BgL_dstz00);
						}
						{	/* SawMill/node2rtl.scm 498 */
							BgL_areaz00_bglt BgL_res2823z00_5932;

							{	/* SawMill/node2rtl.scm 186 */
								BgL_areaz00_bglt BgL_az00_5933;

								BgL_az00_5933 =
									BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(BgL_arg2516z00_5930);
								BGl_bdestinationz12z12zzsaw_node2rtlz00(
									(((BgL_areaz00_bglt) COBJECT(BgL_az00_5933))->BgL_exitz00),
									BgL_arg2518z00_5931);
								BgL_res2823z00_5932 = BgL_az00_5933;
							}
							BgL_rz00_5929 = BgL_res2823z00_5932;
						}
					}
					{	/* SawMill/node2rtl.scm 499 */
						BgL_blockz00_bglt BgL_arg2514z00_5934;
						BgL_blockz00_bglt BgL_arg2515z00_5935;

						BgL_arg2514z00_5934 =
							(((BgL_areaz00_bglt) COBJECT(BgL_rz00_5929))->BgL_exitz00);
						{
							BgL_retblockzf2tozf2_bglt BgL_auxz00_8195;

							{
								obj_t BgL_auxz00_8196;

								{	/* SawMill/node2rtl.scm 499 */
									BgL_objectz00_bglt BgL_tmpz00_8197;

									BgL_tmpz00_8197 = ((BgL_objectz00_bglt) BgL_i1378z00_5928);
									BgL_auxz00_8196 = BGL_OBJECT_WIDENING(BgL_tmpz00_8197);
								}
								BgL_auxz00_8195 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_8196);
							}
							BgL_arg2515z00_5935 =
								(((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_8195))->
								BgL_toz00);
						}
						{	/* SawMill/node2rtl.scm 91 */
							obj_t BgL_arg1880z00_5936;

							{	/* SawMill/node2rtl.scm 91 */
								obj_t BgL_arg1881z00_5937;

								BgL_arg1881z00_5937 =
									(((BgL_blockz00_bglt) COBJECT(BgL_arg2514z00_5934))->
									BgL_succsz00);
								BgL_arg1880z00_5936 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg2515z00_5935),
									BgL_arg1881z00_5937);
							}
							((((BgL_blockz00_bglt) COBJECT(BgL_arg2514z00_5934))->
									BgL_succsz00) = ((obj_t) BgL_arg1880z00_5936), BUNSPEC);
						}
					}
					return BGl_unlinkz00zzsaw_node2rtlz00(BgL_rz00_5929);
				}
			}
		}

	}



/* &node->rtl-retblock1777 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2retblock1777z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5675, obj_t BgL_ez00_5676)
	{
		{	/* SawMill/node2rtl.scm 479 */
			{	/* SawMill/node2rtl.scm 482 */
				BgL_rtl_regz00_bglt BgL_dstz00_5939;

				BgL_dstz00_5939 =
					BGl_newzd2regzd2zzsaw_node2rtlz00(
					((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_ez00_5676)));
				{	/* SawMill/node2rtl.scm 483 */
					BgL_areaz00_bglt BgL_joinz00_5940;

					{	/* SawMill/node2rtl.scm 483 */
						BgL_rtl_movz00_bglt BgL_arg2508z00_5941;

						{	/* SawMill/node2rtl.scm 483 */
							BgL_rtl_movz00_bglt BgL_new1372z00_5942;

							{	/* SawMill/node2rtl.scm 483 */
								BgL_rtl_movz00_bglt BgL_new1371z00_5943;

								BgL_new1371z00_5943 =
									((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_movz00_bgl))));
								{	/* SawMill/node2rtl.scm 483 */
									long BgL_arg2512z00_5944;

									BgL_arg2512z00_5944 =
										BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1371z00_5943),
										BgL_arg2512z00_5944);
								}
								BgL_new1372z00_5942 = BgL_new1371z00_5943;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1372z00_5942)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg2508z00_5941 = BgL_new1372z00_5942;
						}
						{	/* SawMill/node2rtl.scm 483 */
							obj_t BgL_list2509z00_5945;

							BgL_list2509z00_5945 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_dstz00_5939), BNIL);
							BgL_joinz00_5940 =
								BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
								((BgL_rtl_funz00_bglt) BgL_arg2508z00_5941),
								BgL_list2509z00_5945);
					}}
					{	/* SawMill/node2rtl.scm 484 */
						BgL_retblockzf2tozf2_bglt BgL_wide1375z00_5946;

						BgL_wide1375z00_5946 =
							((BgL_retblockzf2tozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_retblockzf2tozf2_bgl))));
						{	/* SawMill/node2rtl.scm 484 */
							obj_t BgL_auxz00_8225;
							BgL_objectz00_bglt BgL_tmpz00_8221;

							BgL_auxz00_8225 = ((obj_t) BgL_wide1375z00_5946);
							BgL_tmpz00_8221 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt)
									((BgL_retblockz00_bglt) BgL_ez00_5676)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8221, BgL_auxz00_8225);
						}
						((BgL_objectz00_bglt)
							((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_ez00_5676)));
						{	/* SawMill/node2rtl.scm 484 */
							long BgL_arg2504z00_5947;

							BgL_arg2504z00_5947 =
								BGL_CLASS_NUM(BGl_retblockzf2tozf2zzsaw_node2rtlz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_retblockz00_bglt)
										((BgL_retblockz00_bglt) BgL_ez00_5676))),
								BgL_arg2504z00_5947);
						}
						((BgL_retblockz00_bglt)
							((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_ez00_5676)));
					}
					{
						BgL_retblockzf2tozf2_bglt BgL_auxz00_8239;

						{
							obj_t BgL_auxz00_8240;

							{	/* SawMill/node2rtl.scm 484 */
								BgL_objectz00_bglt BgL_tmpz00_8241;

								BgL_tmpz00_8241 =
									((BgL_objectz00_bglt)
									((BgL_retblockz00_bglt)
										((BgL_retblockz00_bglt) BgL_ez00_5676)));
								BgL_auxz00_8240 = BGL_OBJECT_WIDENING(BgL_tmpz00_8241);
							}
							BgL_auxz00_8239 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_8240);
						}
						((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_8239))->
								BgL_toz00) =
							((BgL_blockz00_bglt) (((BgL_areaz00_bglt)
										COBJECT(BgL_joinz00_5940))->BgL_entryz00)), BUNSPEC);
					}
					{
						BgL_retblockzf2tozf2_bglt BgL_auxz00_8249;

						{
							obj_t BgL_auxz00_8250;

							{	/* SawMill/node2rtl.scm 484 */
								BgL_objectz00_bglt BgL_tmpz00_8251;

								BgL_tmpz00_8251 =
									((BgL_objectz00_bglt)
									((BgL_retblockz00_bglt)
										((BgL_retblockz00_bglt) BgL_ez00_5676)));
								BgL_auxz00_8250 = BGL_OBJECT_WIDENING(BgL_tmpz00_8251);
							}
							BgL_auxz00_8249 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_8250);
						}
						((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_8249))->
								BgL_dstz00) = ((BgL_rtl_regz00_bglt) BgL_dstz00_5939), BUNSPEC);
					}
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_ez00_5676));
					{	/* SawMill/node2rtl.scm 485 */
						BgL_areaz00_bglt BgL_arg2505z00_5948;

						{	/* SawMill/node2rtl.scm 485 */
							BgL_nodez00_bglt BgL_arg2506z00_5949;

							BgL_arg2506z00_5949 =
								(((BgL_retblockz00_bglt) COBJECT(
										((BgL_retblockz00_bglt) BgL_ez00_5676)))->BgL_bodyz00);
							{	/* SawMill/node2rtl.scm 485 */
								BgL_areaz00_bglt BgL_res2822z00_5950;

								{	/* SawMill/node2rtl.scm 186 */
									BgL_areaz00_bglt BgL_az00_5951;

									BgL_az00_5951 =
										BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(BgL_arg2506z00_5949);
									BGl_bdestinationz12z12zzsaw_node2rtlz00(
										(((BgL_areaz00_bglt) COBJECT(BgL_az00_5951))->BgL_exitz00),
										BgL_dstz00_5939);
									BgL_res2822z00_5950 = BgL_az00_5951;
								}
								BgL_arg2505z00_5948 = BgL_res2822z00_5950;
						}}
						return
							BGl_linkz00zzsaw_node2rtlz00(BgL_arg2505z00_5948,
							BgL_joinz00_5940);
					}
				}
			}
		}

	}



/* &node->rtl-box-set!1775 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2boxzd2setz121775z41zzsaw_node2rtlz00(obj_t
		BgL_envz00_5677, obj_t BgL_ez00_5678)
	{
		{	/* SawMill/node2rtl.scm 473 */
			{	/* SawMill/node2rtl.scm 475 */
				BgL_areaz00_bglt BgL_arg2489z00_5953;
				BgL_areaz00_bglt BgL_arg2490z00_5954;

				{	/* SawMill/node2rtl.scm 475 */
					BgL_rtl_boxsetz00_bglt BgL_arg2492z00_5955;
					BgL_varz00_bglt BgL_arg2494z00_5956;
					BgL_nodez00_bglt BgL_arg2496z00_5957;

					{	/* SawMill/node2rtl.scm 475 */
						BgL_rtl_boxsetz00_bglt BgL_new1367z00_5958;

						{	/* SawMill/node2rtl.scm 475 */
							BgL_rtl_boxsetz00_bglt BgL_new1366z00_5959;

							BgL_new1366z00_5959 =
								((BgL_rtl_boxsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_boxsetz00_bgl))));
							{	/* SawMill/node2rtl.scm 475 */
								long BgL_arg2499z00_5960;

								BgL_arg2499z00_5960 =
									BGL_CLASS_NUM(BGl_rtl_boxsetz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1366z00_5959),
									BgL_arg2499z00_5960);
							}
							BgL_new1367z00_5958 = BgL_new1366z00_5959;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1367z00_5958)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2492z00_5955 = BgL_new1367z00_5958;
					}
					BgL_arg2494z00_5956 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_ez00_5678)))->BgL_varz00);
					BgL_arg2496z00_5957 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_ez00_5678)))->BgL_valuez00);
					{	/* SawMill/node2rtl.scm 475 */
						obj_t BgL_list2497z00_5961;

						{	/* SawMill/node2rtl.scm 475 */
							obj_t BgL_arg2498z00_5962;

							BgL_arg2498z00_5962 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg2496z00_5957), BNIL);
							BgL_list2497z00_5961 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_arg2494z00_5956), BgL_arg2498z00_5962);
						}
						BgL_arg2489z00_5953 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_boxzd2setz12zc0_bglt) BgL_ez00_5678)),
							((BgL_rtl_funz00_bglt) BgL_arg2492z00_5955),
							BgL_list2497z00_5961);
				}}
				{	/* SawMill/node2rtl.scm 476 */
					BgL_rtl_nopz00_bglt BgL_arg2501z00_5963;

					{	/* SawMill/node2rtl.scm 476 */
						BgL_rtl_nopz00_bglt BgL_new1369z00_5964;

						{	/* SawMill/node2rtl.scm 476 */
							BgL_rtl_nopz00_bglt BgL_new1368z00_5965;

							BgL_new1368z00_5965 =
								((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_nopz00_bgl))));
							{	/* SawMill/node2rtl.scm 476 */
								long BgL_arg2503z00_5966;

								BgL_arg2503z00_5966 =
									BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1368z00_5965),
									BgL_arg2503z00_5966);
							}
							BgL_new1369z00_5964 = BgL_new1368z00_5965;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1369z00_5964)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2501z00_5963 = BgL_new1369z00_5964;
					}
					BgL_arg2490z00_5954 =
						BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
						((BgL_rtl_funz00_bglt) BgL_arg2501z00_5963), BNIL);
				}
				return
					BGl_linkz00zzsaw_node2rtlz00(BgL_arg2489z00_5953,
					BgL_arg2490z00_5954);
			}
		}

	}



/* &node->rtl-box-ref1773 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2boxzd2ref1773z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5679, obj_t BgL_ez00_5680)
	{
		{	/* SawMill/node2rtl.scm 468 */
			{	/* SawMill/node2rtl.scm 470 */
				BgL_rtl_boxrefz00_bglt BgL_arg2483z00_5968;
				BgL_varz00_bglt BgL_arg2485z00_5969;

				{	/* SawMill/node2rtl.scm 470 */
					BgL_rtl_boxrefz00_bglt BgL_new1364z00_5970;

					{	/* SawMill/node2rtl.scm 470 */
						BgL_rtl_boxrefz00_bglt BgL_new1363z00_5971;

						BgL_new1363z00_5971 =
							((BgL_rtl_boxrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_boxrefz00_bgl))));
						{	/* SawMill/node2rtl.scm 470 */
							long BgL_arg2488z00_5972;

							BgL_arg2488z00_5972 =
								BGL_CLASS_NUM(BGl_rtl_boxrefz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1363z00_5971),
								BgL_arg2488z00_5972);
						}
						BgL_new1364z00_5970 = BgL_new1363z00_5971;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1364z00_5970)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					BgL_arg2483z00_5968 = BgL_new1364z00_5970;
				}
				BgL_arg2485z00_5969 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_ez00_5680)))->BgL_varz00);
				{	/* SawMill/node2rtl.scm 470 */
					obj_t BgL_list2486z00_5973;

					BgL_list2486z00_5973 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_arg2485z00_5969), BNIL);
					return
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_boxzd2refzd2_bglt) BgL_ez00_5680)),
						((BgL_rtl_funz00_bglt) BgL_arg2483z00_5968), BgL_list2486z00_5973);
				}
			}
		}

	}



/* &node->rtl-make-box1771 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2makezd2box1771z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5681, obj_t BgL_ez00_5682)
	{
		{	/* SawMill/node2rtl.scm 463 */
			{	/* SawMill/node2rtl.scm 465 */
				BgL_rtl_makeboxz00_bglt BgL_arg2479z00_5975;
				BgL_nodez00_bglt BgL_arg2480z00_5976;

				{	/* SawMill/node2rtl.scm 465 */
					BgL_rtl_makeboxz00_bglt BgL_new1361z00_5977;

					{	/* SawMill/node2rtl.scm 465 */
						BgL_rtl_makeboxz00_bglt BgL_new1360z00_5978;

						BgL_new1360z00_5978 =
							((BgL_rtl_makeboxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_makeboxz00_bgl))));
						{	/* SawMill/node2rtl.scm 465 */
							long BgL_arg2482z00_5979;

							BgL_arg2482z00_5979 =
								BGL_CLASS_NUM(BGl_rtl_makeboxz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1360z00_5978),
								BgL_arg2482z00_5979);
						}
						BgL_new1361z00_5977 = BgL_new1360z00_5978;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1361z00_5977)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					BgL_arg2479z00_5975 = BgL_new1361z00_5977;
				}
				BgL_arg2480z00_5976 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_ez00_5682)))->BgL_valuez00);
				{	/* SawMill/node2rtl.scm 465 */
					obj_t BgL_list2481z00_5980;

					BgL_list2481z00_5980 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_arg2480z00_5976), BNIL);
					return
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_makezd2boxzd2_bglt) BgL_ez00_5682)),
						((BgL_rtl_funz00_bglt) BgL_arg2479z00_5975), BgL_list2481z00_5980);
				}
			}
		}

	}



/* &node->rtl-fail1769 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2fail1769z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5683, obj_t BgL_ez00_5684)
	{
		{	/* SawMill/node2rtl.scm 458 */
			{	/* SawMill/node2rtl.scm 460 */
				BgL_areaz00_bglt BgL_arg2467z00_5982;

				{	/* SawMill/node2rtl.scm 460 */
					BgL_rtl_failz00_bglt BgL_arg2468z00_5983;
					BgL_nodez00_bglt BgL_arg2469z00_5984;
					BgL_nodez00_bglt BgL_arg2471z00_5985;
					BgL_nodez00_bglt BgL_arg2472z00_5986;

					{	/* SawMill/node2rtl.scm 460 */
						BgL_rtl_failz00_bglt BgL_new1358z00_5987;

						{	/* SawMill/node2rtl.scm 460 */
							BgL_rtl_failz00_bglt BgL_new1357z00_5988;

							BgL_new1357z00_5988 =
								((BgL_rtl_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_failz00_bgl))));
							{	/* SawMill/node2rtl.scm 460 */
								long BgL_arg2477z00_5989;

								BgL_arg2477z00_5989 =
									BGL_CLASS_NUM(BGl_rtl_failz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1357z00_5988),
									BgL_arg2477z00_5989);
							}
							BgL_new1358z00_5987 = BgL_new1357z00_5988;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1358z00_5987)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2468z00_5983 = BgL_new1358z00_5987;
					}
					BgL_arg2469z00_5984 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_ez00_5684)))->BgL_procz00);
					BgL_arg2471z00_5985 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_ez00_5684)))->BgL_msgz00);
					BgL_arg2472z00_5986 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_ez00_5684)))->BgL_objz00);
					{	/* SawMill/node2rtl.scm 460 */
						obj_t BgL_list2473z00_5990;

						{	/* SawMill/node2rtl.scm 460 */
							obj_t BgL_arg2474z00_5991;

							{	/* SawMill/node2rtl.scm 460 */
								obj_t BgL_arg2475z00_5992;

								BgL_arg2475z00_5992 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg2472z00_5986), BNIL);
								BgL_arg2474z00_5991 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg2471z00_5985), BgL_arg2475z00_5992);
							}
							BgL_list2473z00_5990 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_arg2469z00_5984), BgL_arg2474z00_5991);
						}
						BgL_arg2467z00_5982 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_failz00_bglt) BgL_ez00_5684)),
							((BgL_rtl_funz00_bglt) BgL_arg2468z00_5983),
							BgL_list2473z00_5990);
				}}
				return BGl_unlinkz00zzsaw_node2rtlz00(BgL_arg2467z00_5982);
			}
		}

	}



/* &node->rtl-jump-ex-it1767 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2jumpzd2exzd2it1767z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5685, obj_t BgL_ez00_5686)
	{
		{	/* SawMill/node2rtl.scm 453 */
			{	/* SawMill/node2rtl.scm 455 */
				BgL_areaz00_bglt BgL_arg2458z00_5994;

				{	/* SawMill/node2rtl.scm 455 */
					BgL_rtl_jumpexitz00_bglt BgL_arg2460z00_5995;
					BgL_nodez00_bglt BgL_arg2461z00_5996;
					BgL_nodez00_bglt BgL_arg2463z00_5997;

					{	/* SawMill/node2rtl.scm 455 */
						BgL_rtl_jumpexitz00_bglt BgL_new1355z00_5998;

						{	/* SawMill/node2rtl.scm 455 */
							BgL_rtl_jumpexitz00_bglt BgL_new1354z00_5999;

							BgL_new1354z00_5999 =
								((BgL_rtl_jumpexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_jumpexitz00_bgl))));
							{	/* SawMill/node2rtl.scm 455 */
								long BgL_arg2466z00_6000;

								BgL_arg2466z00_6000 =
									BGL_CLASS_NUM(BGl_rtl_jumpexitz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1354z00_5999),
									BgL_arg2466z00_6000);
							}
							BgL_new1355z00_5998 = BgL_new1354z00_5999;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1355z00_5998)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2460z00_5995 = BgL_new1355z00_5998;
					}
					BgL_arg2461z00_5996 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_ez00_5686)))->BgL_exitz00);
					BgL_arg2463z00_5997 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_ez00_5686)))->BgL_valuez00);
					{	/* SawMill/node2rtl.scm 455 */
						obj_t BgL_list2464z00_6001;

						{	/* SawMill/node2rtl.scm 455 */
							obj_t BgL_arg2465z00_6002;

							BgL_arg2465z00_6002 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg2463z00_5997), BNIL);
							BgL_list2464z00_6001 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_arg2461z00_5996), BgL_arg2465z00_6002);
						}
						BgL_arg2458z00_5994 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_ez00_5686)),
							((BgL_rtl_funz00_bglt) BgL_arg2460z00_5995),
							BgL_list2464z00_6001);
				}}
				return BGl_unlinkz00zzsaw_node2rtlz00(BgL_arg2458z00_5994);
			}
		}

	}



/* &node->rtl-set-ex-it1765 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2setzd2exzd2it1765z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5687, obj_t BgL_ez00_5688)
	{
		{	/* SawMill/node2rtl.scm 445 */
			{	/* SawMill/node2rtl.scm 447 */
				BgL_areaz00_bglt BgL_arg2443z00_6004;
				BgL_areaz00_bglt BgL_arg2444z00_6005;

				{	/* SawMill/node2rtl.scm 447 */
					BgL_areaz00_bglt BgL_az00_6006;

					{	/* SawMill/node2rtl.scm 447 */
						BgL_rtl_protectz00_bglt BgL_arg2449z00_6007;

						{	/* SawMill/node2rtl.scm 447 */
							BgL_rtl_protectz00_bglt BgL_new1350z00_6008;

							{	/* SawMill/node2rtl.scm 447 */
								BgL_rtl_protectz00_bglt BgL_new1349z00_6009;

								BgL_new1349z00_6009 =
									((BgL_rtl_protectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_protectz00_bgl))));
								{	/* SawMill/node2rtl.scm 447 */
									long BgL_arg2451z00_6010;

									BgL_arg2451z00_6010 =
										BGL_CLASS_NUM(BGl_rtl_protectz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1349z00_6009),
										BgL_arg2451z00_6010);
								}
								BgL_new1350z00_6008 = BgL_new1349z00_6009;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1350z00_6008)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg2449z00_6007 = BgL_new1350z00_6008;
						}
						BgL_az00_6006 =
							BGl_singleza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_setzd2exzd2itz00_bglt) BgL_ez00_5688)),
							((BgL_rtl_funz00_bglt) BgL_arg2449z00_6007), BNIL);
					}
					{	/* SawMill/node2rtl.scm 448 */
						BgL_rtl_regz00_bglt BgL_arg2445z00_6011;

						{	/* SawMill/node2rtl.scm 448 */
							BgL_variablez00_bglt BgL_arg2447z00_6012;

							BgL_arg2447z00_6012 =
								(((BgL_varz00_bglt) COBJECT(
										(((BgL_setzd2exzd2itz00_bglt) COBJECT(
													((BgL_setzd2exzd2itz00_bglt) BgL_ez00_5688)))->
											BgL_varz00)))->BgL_variablez00);
							BgL_arg2445z00_6011 =
								BGl_localzd2ze3regz31zzsaw_node2rtlz00(((BgL_localz00_bglt)
									BgL_arg2447z00_6012));
						}
						BGl_bdestinationz12z12zzsaw_node2rtlz00(
							(((BgL_areaz00_bglt) COBJECT(BgL_az00_6006))->BgL_exitz00),
							BgL_arg2445z00_6011);
					}
					BgL_arg2443z00_6004 = BgL_az00_6006;
				}
				{	/* SawMill/node2rtl.scm 450 */
					BgL_rtl_protectedz00_bglt BgL_arg2453z00_6013;
					BgL_nodez00_bglt BgL_arg2455z00_6014;

					{	/* SawMill/node2rtl.scm 450 */
						BgL_rtl_protectedz00_bglt BgL_new1352z00_6015;

						{	/* SawMill/node2rtl.scm 450 */
							BgL_rtl_protectedz00_bglt BgL_new1351z00_6016;

							BgL_new1351z00_6016 =
								((BgL_rtl_protectedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_protectedz00_bgl))));
							{	/* SawMill/node2rtl.scm 450 */
								long BgL_arg2457z00_6017;

								BgL_arg2457z00_6017 =
									BGL_CLASS_NUM(BGl_rtl_protectedz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1351z00_6016),
									BgL_arg2457z00_6017);
							}
							BgL_new1352z00_6015 = BgL_new1351z00_6016;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1352z00_6015)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2453z00_6013 = BgL_new1352z00_6015;
					}
					BgL_arg2455z00_6014 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_ez00_5688)))->BgL_bodyz00);
					{	/* SawMill/node2rtl.scm 450 */
						obj_t BgL_list2456z00_6018;

						BgL_list2456z00_6018 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg2455z00_6014), BNIL);
						BgL_arg2444z00_6005 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_setzd2exzd2itz00_bglt) BgL_ez00_5688)),
							((BgL_rtl_funz00_bglt) BgL_arg2453z00_6013),
							BgL_list2456z00_6018);
				}}
				return
					BGl_linkz00zzsaw_node2rtlz00(BgL_arg2443z00_6004,
					BgL_arg2444z00_6005);
			}
		}

	}



/* &node->rtl-cast-null1763 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2castzd2null1763z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5689, obj_t BgL_ez00_5690)
	{
		{	/* SawMill/node2rtl.scm 440 */
			{	/* SawMill/node2rtl.scm 442 */
				BgL_rtl_cast_nullz00_bglt BgL_arg2439z00_6020;

				{	/* SawMill/node2rtl.scm 442 */
					BgL_rtl_cast_nullz00_bglt BgL_new1347z00_6021;

					{	/* SawMill/node2rtl.scm 442 */
						BgL_rtl_cast_nullz00_bglt BgL_new1346z00_6022;

						BgL_new1346z00_6022 =
							((BgL_rtl_cast_nullz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_cast_nullz00_bgl))));
						{	/* SawMill/node2rtl.scm 442 */
							long BgL_arg2440z00_6023;

							BgL_arg2440z00_6023 =
								BGL_CLASS_NUM(BGl_rtl_cast_nullz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1346z00_6022),
								BgL_arg2440z00_6023);
						}
						BgL_new1347z00_6021 = BgL_new1346z00_6022;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1347z00_6021)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_new1347z00_6021))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_nodez00_bglt)
									COBJECT(((BgL_nodez00_bglt) ((BgL_castzd2nullzd2_bglt)
												BgL_ez00_5690))))->BgL_typez00)), BUNSPEC);
					BgL_arg2439z00_6020 = BgL_new1347z00_6021;
				}
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_castzd2nullzd2_bglt) BgL_ez00_5690)),
					((BgL_rtl_funz00_bglt) BgL_arg2439z00_6020), BNIL);
			}
		}

	}



/* &node->rtl-cast1761 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2cast1761z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5691, obj_t BgL_ez00_5692)
	{
		{	/* SawMill/node2rtl.scm 433 */
			return
				BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_ez00_5692)))->BgL_argz00));
		}

	}



/* &node->rtl-instanceof1759 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2instanceof1759z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5693, obj_t BgL_ez00_5694)
	{
		{	/* SawMill/node2rtl.scm 428 */
			{	/* SawMill/node2rtl.scm 430 */
				BgL_rtl_instanceofz00_bglt BgL_arg2435z00_6026;
				obj_t BgL_arg2436z00_6027;

				{	/* SawMill/node2rtl.scm 430 */
					BgL_rtl_instanceofz00_bglt BgL_new1343z00_6028;

					{	/* SawMill/node2rtl.scm 430 */
						BgL_rtl_instanceofz00_bglt BgL_new1342z00_6029;

						BgL_new1342z00_6029 =
							((BgL_rtl_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_instanceofz00_bgl))));
						{	/* SawMill/node2rtl.scm 430 */
							long BgL_arg2437z00_6030;

							BgL_arg2437z00_6030 =
								BGL_CLASS_NUM(BGl_rtl_instanceofz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1342z00_6029),
								BgL_arg2437z00_6030);
						}
						BgL_new1343z00_6028 = BgL_new1342z00_6029;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1343z00_6028)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_new1343z00_6028))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_instanceofz00_bglt)
									COBJECT(((BgL_instanceofz00_bglt) BgL_ez00_5694)))->
								BgL_classz00)), BUNSPEC);
					BgL_arg2435z00_6026 = BgL_new1343z00_6028;
				}
				BgL_arg2436z00_6027 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_instanceofz00_bglt) BgL_ez00_5694))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_instanceofz00_bglt) BgL_ez00_5694)),
					((BgL_rtl_funz00_bglt) BgL_arg2435z00_6026), BgL_arg2436z00_6027);
			}
		}

	}



/* &node->rtl-vlength1757 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2vlength1757z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5695, obj_t BgL_ez00_5696)
	{
		{	/* SawMill/node2rtl.scm 423 */
			{	/* SawMill/node2rtl.scm 425 */
				BgL_rtl_vlengthz00_bglt BgL_arg2430z00_6032;
				obj_t BgL_arg2432z00_6033;

				{	/* SawMill/node2rtl.scm 425 */
					BgL_rtl_vlengthz00_bglt BgL_new1340z00_6034;

					{	/* SawMill/node2rtl.scm 425 */
						BgL_rtl_vlengthz00_bglt BgL_new1339z00_6035;

						BgL_new1339z00_6035 =
							((BgL_rtl_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_vlengthz00_bgl))));
						{	/* SawMill/node2rtl.scm 425 */
							long BgL_arg2434z00_6036;

							BgL_arg2434z00_6036 =
								BGL_CLASS_NUM(BGl_rtl_vlengthz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1339z00_6035),
								BgL_arg2434z00_6036);
						}
						BgL_new1340z00_6034 = BgL_new1339z00_6035;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1340z00_6034)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1340z00_6034))->
							BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) (((BgL_vlengthz00_bglt)
										COBJECT(((BgL_vlengthz00_bglt) BgL_ez00_5696)))->
									BgL_ftypez00))), BUNSPEC);
					((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1340z00_6034))->
							BgL_vtypez00) =
						((BgL_typez00_bglt) (((BgL_vlengthz00_bglt)
									COBJECT(((BgL_vlengthz00_bglt) BgL_ez00_5696)))->
								BgL_vtypez00)), BUNSPEC);
					BgL_arg2430z00_6032 = BgL_new1340z00_6034;
				}
				BgL_arg2432z00_6033 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vlengthz00_bglt) BgL_ez00_5696))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_vlengthz00_bglt) BgL_ez00_5696)),
					((BgL_rtl_funz00_bglt) BgL_arg2430z00_6032), BgL_arg2432z00_6033);
			}
		}

	}



/* &node->rtl-vset!1755 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2vsetz121755z93zzsaw_node2rtlz00(obj_t
		BgL_envz00_5697, obj_t BgL_ez00_5698)
	{
		{	/* SawMill/node2rtl.scm 417 */
			{	/* SawMill/node2rtl.scm 419 */
				BgL_areaz00_bglt BgL_arg2421z00_6038;
				BgL_areaz00_bglt BgL_arg2422z00_6039;

				{	/* SawMill/node2rtl.scm 419 */
					BgL_rtl_vsetz00_bglt BgL_arg2423z00_6040;
					obj_t BgL_arg2425z00_6041;

					{	/* SawMill/node2rtl.scm 419 */
						BgL_rtl_vsetz00_bglt BgL_new1335z00_6042;

						{	/* SawMill/node2rtl.scm 419 */
							BgL_rtl_vsetz00_bglt BgL_new1334z00_6043;

							BgL_new1334z00_6043 =
								((BgL_rtl_vsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_vsetz00_bgl))));
							{	/* SawMill/node2rtl.scm 419 */
								long BgL_arg2426z00_6044;

								BgL_arg2426z00_6044 =
									BGL_CLASS_NUM(BGl_rtl_vsetz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1334z00_6043),
									BgL_arg2426z00_6044);
							}
							BgL_new1335z00_6042 = BgL_new1334z00_6043;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1335z00_6042)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1335z00_6042))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_vsetz12z12_bglt)
										COBJECT(((BgL_vsetz12z12_bglt) BgL_ez00_5698)))->
									BgL_ftypez00)), BUNSPEC);
						((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1335z00_6042))->
								BgL_vtypez00) =
							((BgL_typez00_bglt) (((BgL_vsetz12z12_bglt)
										COBJECT(((BgL_vsetz12z12_bglt) BgL_ez00_5698)))->
									BgL_vtypez00)), BUNSPEC);
						BgL_arg2423z00_6040 = BgL_new1335z00_6042;
					}
					BgL_arg2425z00_6041 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vsetz12z12_bglt) BgL_ez00_5698))))->BgL_exprza2za2);
					BgL_arg2421z00_6038 =
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_vsetz12z12_bglt) BgL_ez00_5698)),
						((BgL_rtl_funz00_bglt) BgL_arg2423z00_6040), BgL_arg2425z00_6041);
				}
				{	/* SawMill/node2rtl.scm 420 */
					BgL_rtl_nopz00_bglt BgL_arg2427z00_6045;

					{	/* SawMill/node2rtl.scm 420 */
						BgL_rtl_nopz00_bglt BgL_new1337z00_6046;

						{	/* SawMill/node2rtl.scm 420 */
							BgL_rtl_nopz00_bglt BgL_new1336z00_6047;

							BgL_new1336z00_6047 =
								((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_nopz00_bgl))));
							{	/* SawMill/node2rtl.scm 420 */
								long BgL_arg2429z00_6048;

								BgL_arg2429z00_6048 =
									BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1336z00_6047),
									BgL_arg2429z00_6048);
							}
							BgL_new1337z00_6046 = BgL_new1336z00_6047;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1337z00_6046)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2427z00_6045 = BgL_new1337z00_6046;
					}
					BgL_arg2422z00_6039 =
						BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
						((BgL_rtl_funz00_bglt) BgL_arg2427z00_6045), BNIL);
				}
				return
					BGl_linkz00zzsaw_node2rtlz00(BgL_arg2421z00_6038,
					BgL_arg2422z00_6039);
			}
		}

	}



/* &node->rtl-vref1753 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2vref1753z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5699, obj_t BgL_ez00_5700)
	{
		{	/* SawMill/node2rtl.scm 412 */
			{	/* SawMill/node2rtl.scm 414 */
				BgL_rtl_vrefz00_bglt BgL_arg2417z00_6050;
				obj_t BgL_arg2418z00_6051;

				{	/* SawMill/node2rtl.scm 414 */
					BgL_rtl_vrefz00_bglt BgL_new1332z00_6052;

					{	/* SawMill/node2rtl.scm 414 */
						BgL_rtl_vrefz00_bglt BgL_new1331z00_6053;

						BgL_new1331z00_6053 =
							((BgL_rtl_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_vrefz00_bgl))));
						{	/* SawMill/node2rtl.scm 414 */
							long BgL_arg2420z00_6054;

							BgL_arg2420z00_6054 = BGL_CLASS_NUM(BGl_rtl_vrefz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1331z00_6053),
								BgL_arg2420z00_6054);
						}
						BgL_new1332z00_6052 = BgL_new1331z00_6053;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1332z00_6052)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1332z00_6052))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
											BgL_ez00_5700)))->BgL_ftypez00)), BUNSPEC);
					((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1332z00_6052))->
							BgL_vtypez00) =
						((BgL_typez00_bglt) (((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
											BgL_ez00_5700)))->BgL_vtypez00)), BUNSPEC);
					BgL_arg2417z00_6050 = BgL_new1332z00_6052;
				}
				BgL_arg2418z00_6051 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vrefz00_bglt) BgL_ez00_5700))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_vrefz00_bglt) BgL_ez00_5700)),
					((BgL_rtl_funz00_bglt) BgL_arg2417z00_6050), BgL_arg2418z00_6051);
			}
		}

	}



/* &node->rtl-valloc1751 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2valloc1751z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5701, obj_t BgL_ez00_5702)
	{
		{	/* SawMill/node2rtl.scm 406 */
			{	/* SawMill/node2rtl.scm 408 */
				BgL_rtl_vallocz00_bglt BgL_arg2414z00_6056;
				obj_t BgL_arg2415z00_6057;

				{	/* SawMill/node2rtl.scm 408 */
					BgL_rtl_vallocz00_bglt BgL_new1329z00_6058;

					{	/* SawMill/node2rtl.scm 408 */
						BgL_rtl_vallocz00_bglt BgL_new1328z00_6059;

						BgL_new1328z00_6059 =
							((BgL_rtl_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_vallocz00_bgl))));
						{	/* SawMill/node2rtl.scm 408 */
							long BgL_arg2416z00_6060;

							BgL_arg2416z00_6060 =
								BGL_CLASS_NUM(BGl_rtl_vallocz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1328z00_6059),
								BgL_arg2416z00_6060);
						}
						BgL_new1329z00_6058 = BgL_new1328z00_6059;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1329z00_6058)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1329z00_6058))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_vallocz00_bglt)
									COBJECT(((BgL_vallocz00_bglt) BgL_ez00_5702)))->
								BgL_ftypez00)), BUNSPEC);
					((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1329z00_6058))->
							BgL_vtypez00) =
						((BgL_typez00_bglt)
							BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
										(BgL_vallocz00_bglt) BgL_ez00_5702)), ((bool_t) 0))),
						BUNSPEC);
					BgL_arg2414z00_6056 = BgL_new1329z00_6058;
				}
				BgL_arg2415z00_6057 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_ez00_5702))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_vallocz00_bglt) BgL_ez00_5702)),
					((BgL_rtl_funz00_bglt) BgL_arg2414z00_6056), BgL_arg2415z00_6057);
			}
		}

	}



/* &node->rtl-new1749 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2new1749z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5703, obj_t BgL_ez00_5704)
	{
		{	/* SawMill/node2rtl.scm 400 */
			{	/* SawMill/node2rtl.scm 402 */
				BgL_rtl_newz00_bglt BgL_arg2410z00_6062;
				obj_t BgL_arg2411z00_6063;

				{	/* SawMill/node2rtl.scm 402 */
					BgL_rtl_newz00_bglt BgL_new1326z00_6064;

					{	/* SawMill/node2rtl.scm 402 */
						BgL_rtl_newz00_bglt BgL_new1325z00_6065;

						BgL_new1325z00_6065 =
							((BgL_rtl_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_newz00_bgl))));
						{	/* SawMill/node2rtl.scm 402 */
							long BgL_arg2412z00_6066;

							BgL_arg2412z00_6066 = BGL_CLASS_NUM(BGl_rtl_newz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1325z00_6065),
								BgL_arg2412z00_6066);
						}
						BgL_new1326z00_6064 = BgL_new1325z00_6065;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1326z00_6064)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1326z00_6064))->BgL_typez00) =
						((BgL_typez00_bglt)
							BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
										(BgL_newz00_bglt) BgL_ez00_5704)), ((bool_t) 0))), BUNSPEC);
					((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1326z00_6064))->
							BgL_constrz00) =
						((obj_t) (((BgL_newz00_bglt) COBJECT(((BgL_newz00_bglt)
											BgL_ez00_5704)))->BgL_argszd2typezd2)), BUNSPEC);
					BgL_arg2410z00_6062 = BgL_new1326z00_6064;
				}
				BgL_arg2411z00_6063 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_newz00_bglt) BgL_ez00_5704))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_newz00_bglt) BgL_ez00_5704)),
					((BgL_rtl_funz00_bglt) BgL_arg2410z00_6062), BgL_arg2411z00_6063);
			}
		}

	}



/* &node->rtl-setfield1747 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2setfield1747z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5705, obj_t BgL_ez00_5706)
	{
		{	/* SawMill/node2rtl.scm 391 */
			{	/* SawMill/node2rtl.scm 393 */
				BgL_areaz00_bglt BgL_arg2401z00_6068;
				BgL_areaz00_bglt BgL_arg2402z00_6069;

				{	/* SawMill/node2rtl.scm 393 */
					BgL_rtl_setfieldz00_bglt BgL_arg2403z00_6070;
					obj_t BgL_arg2404z00_6071;

					{	/* SawMill/node2rtl.scm 393 */
						BgL_rtl_setfieldz00_bglt BgL_new1321z00_6072;

						{	/* SawMill/node2rtl.scm 393 */
							BgL_rtl_setfieldz00_bglt BgL_new1320z00_6073;

							BgL_new1320z00_6073 =
								((BgL_rtl_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_setfieldz00_bgl))));
							{	/* SawMill/node2rtl.scm 393 */
								long BgL_arg2405z00_6074;

								BgL_arg2405z00_6074 =
									BGL_CLASS_NUM(BGl_rtl_setfieldz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1320z00_6073),
									BgL_arg2405z00_6074);
							}
							BgL_new1321z00_6072 = BgL_new1320z00_6073;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1321z00_6072)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1321z00_6072))->
								BgL_namez00) =
							((obj_t) (((BgL_setfieldz00_bglt) COBJECT(((BgL_setfieldz00_bglt)
												BgL_ez00_5706)))->BgL_fnamez00)), BUNSPEC);
						((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1321z00_6072))->
								BgL_objtypez00) =
							((BgL_typez00_bglt) (((BgL_setfieldz00_bglt)
										COBJECT(((BgL_setfieldz00_bglt) BgL_ez00_5706)))->
									BgL_otypez00)), BUNSPEC);
						((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1321z00_6072))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_setfieldz00_bglt)
										COBJECT(((BgL_setfieldz00_bglt) BgL_ez00_5706)))->
									BgL_ftypez00)), BUNSPEC);
						BgL_arg2403z00_6070 = BgL_new1321z00_6072;
					}
					BgL_arg2404z00_6071 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_setfieldz00_bglt) BgL_ez00_5706))))->BgL_exprza2za2);
					BgL_arg2401z00_6068 =
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_setfieldz00_bglt) BgL_ez00_5706)),
						((BgL_rtl_funz00_bglt) BgL_arg2403z00_6070), BgL_arg2404z00_6071);
				}
				{	/* SawMill/node2rtl.scm 397 */
					BgL_rtl_nopz00_bglt BgL_arg2407z00_6075;

					{	/* SawMill/node2rtl.scm 397 */
						BgL_rtl_nopz00_bglt BgL_new1323z00_6076;

						{	/* SawMill/node2rtl.scm 397 */
							BgL_rtl_nopz00_bglt BgL_new1322z00_6077;

							BgL_new1322z00_6077 =
								((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_nopz00_bgl))));
							{	/* SawMill/node2rtl.scm 397 */
								long BgL_arg2409z00_6078;

								BgL_arg2409z00_6078 =
									BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1322z00_6077),
									BgL_arg2409z00_6078);
							}
							BgL_new1323z00_6076 = BgL_new1322z00_6077;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1323z00_6076)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2407z00_6075 = BgL_new1323z00_6076;
					}
					BgL_arg2402z00_6069 =
						BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
						((BgL_rtl_funz00_bglt) BgL_arg2407z00_6075), BNIL);
				}
				return
					BGl_linkz00zzsaw_node2rtlz00(BgL_arg2401z00_6068,
					BgL_arg2402z00_6069);
			}
		}

	}



/* &node->rtl-getfield1745 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2getfield1745z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5707, obj_t BgL_ez00_5708)
	{
		{	/* SawMill/node2rtl.scm 383 */
			{	/* SawMill/node2rtl.scm 385 */
				BgL_rtl_getfieldz00_bglt BgL_arg2397z00_6080;
				obj_t BgL_arg2398z00_6081;

				{	/* SawMill/node2rtl.scm 385 */
					BgL_rtl_getfieldz00_bglt BgL_new1318z00_6082;

					{	/* SawMill/node2rtl.scm 385 */
						BgL_rtl_getfieldz00_bglt BgL_new1317z00_6083;

						BgL_new1317z00_6083 =
							((BgL_rtl_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_getfieldz00_bgl))));
						{	/* SawMill/node2rtl.scm 385 */
							long BgL_arg2399z00_6084;

							BgL_arg2399z00_6084 =
								BGL_CLASS_NUM(BGl_rtl_getfieldz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1317z00_6083),
								BgL_arg2399z00_6084);
						}
						BgL_new1318z00_6082 = BgL_new1317z00_6083;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1318z00_6082)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1318z00_6082))->
							BgL_namez00) =
						((obj_t) (((BgL_getfieldz00_bglt) COBJECT(((BgL_getfieldz00_bglt)
											BgL_ez00_5708)))->BgL_fnamez00)), BUNSPEC);
					((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1318z00_6082))->
							BgL_objtypez00) =
						((BgL_typez00_bglt) (((BgL_getfieldz00_bglt)
									COBJECT(((BgL_getfieldz00_bglt) BgL_ez00_5708)))->
								BgL_otypez00)), BUNSPEC);
					((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1318z00_6082))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_getfieldz00_bglt)
									COBJECT(((BgL_getfieldz00_bglt) BgL_ez00_5708)))->
								BgL_ftypez00)), BUNSPEC);
					BgL_arg2397z00_6080 = BgL_new1318z00_6082;
				}
				BgL_arg2398z00_6081 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_ez00_5708))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_getfieldz00_bglt) BgL_ez00_5708)),
					((BgL_rtl_funz00_bglt) BgL_arg2397z00_6080), BgL_arg2398z00_6081);
			}
		}

	}



/* &node->rtl-pragma1743 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2pragma1743z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5709, obj_t BgL_ez00_5710)
	{
		{	/* SawMill/node2rtl.scm 372 */
			{	/* SawMill/node2rtl.scm 374 */
				bool_t BgL_test3099z00_8588;

				if (
					(STRING_LENGTH(
							(((BgL_pragmaz00_bglt) COBJECT(
										((BgL_pragmaz00_bglt) BgL_ez00_5710)))->BgL_formatz00)) ==
						0L))
					{	/* SawMill/node2rtl.scm 374 */
						if (NULLP(
								(((BgL_externz00_bglt) COBJECT(
											((BgL_externz00_bglt)
												((BgL_pragmaz00_bglt) BgL_ez00_5710))))->
									BgL_exprza2za2)))
							{	/* SawMill/node2rtl.scm 375 */
								BgL_test3099z00_8588 = ((bool_t) 0);
							}
						else
							{	/* SawMill/node2rtl.scm 376 */
								bool_t BgL_test3102z00_8599;

								{	/* SawMill/node2rtl.scm 376 */
									obj_t BgL_tmpz00_8600;

									{	/* SawMill/node2rtl.scm 376 */
										obj_t BgL_pairz00_6086;

										BgL_pairz00_6086 =
											(((BgL_externz00_bglt) COBJECT(
													((BgL_externz00_bglt)
														((BgL_pragmaz00_bglt) BgL_ez00_5710))))->
											BgL_exprza2za2);
										BgL_tmpz00_8600 = CDR(BgL_pairz00_6086);
									}
									BgL_test3102z00_8599 = NULLP(BgL_tmpz00_8600);
								}
								if (BgL_test3102z00_8599)
									{	/* SawMill/node2rtl.scm 377 */
										obj_t BgL_arg2389z00_6087;

										{	/* SawMill/node2rtl.scm 377 */
											obj_t BgL_pairz00_6088;

											BgL_pairz00_6088 =
												(((BgL_externz00_bglt) COBJECT(
														((BgL_externz00_bglt)
															((BgL_pragmaz00_bglt) BgL_ez00_5710))))->
												BgL_exprza2za2);
											BgL_arg2389z00_6087 = CAR(BgL_pairz00_6088);
										}
										{	/* SawMill/node2rtl.scm 377 */
											obj_t BgL_classz00_6089;

											BgL_classz00_6089 = BGl_varz00zzast_nodez00;
											if (BGL_OBJECTP(BgL_arg2389z00_6087))
												{	/* SawMill/node2rtl.scm 377 */
													BgL_objectz00_bglt BgL_arg1801z00_6090;

													BgL_arg1801z00_6090 =
														(BgL_objectz00_bglt) (BgL_arg2389z00_6087);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawMill/node2rtl.scm 377 */
															long BgL_idxz00_6091;

															BgL_idxz00_6091 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_6090);
															BgL_test3099z00_8588 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_6091 + 2L)) == BgL_classz00_6089);
														}
													else
														{	/* SawMill/node2rtl.scm 377 */
															bool_t BgL_res2821z00_6094;

															{	/* SawMill/node2rtl.scm 377 */
																obj_t BgL_oclassz00_6095;

																{	/* SawMill/node2rtl.scm 377 */
																	long BgL_arg1808z00_6096;

																	{	/* SawMill/node2rtl.scm 377 */
																		long BgL_arg1809z00_6097;

																		BgL_arg1809z00_6097 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_6090);
																		BgL_arg1808z00_6096 =
																			(BgL_arg1809z00_6097 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_6095 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1808z00_6096);
																}
																{	/* SawMill/node2rtl.scm 377 */
																	bool_t BgL__ortest_1115z00_6098;

																	BgL__ortest_1115z00_6098 =
																		(BgL_classz00_6089 == BgL_oclassz00_6095);
																	if (BgL__ortest_1115z00_6098)
																		{	/* SawMill/node2rtl.scm 377 */
																			BgL_res2821z00_6094 =
																				BgL__ortest_1115z00_6098;
																		}
																	else
																		{	/* SawMill/node2rtl.scm 377 */
																			long BgL_odepthz00_6099;

																			BgL_odepthz00_6099 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_6095);
																			if ((2L < BgL_odepthz00_6099))
																				{	/* SawMill/node2rtl.scm 377 */
																					obj_t BgL_arg1797z00_6100;

																					BgL_arg1797z00_6100 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_6095, 2L);
																					BgL_res2821z00_6094 =
																						(BgL_arg1797z00_6100 ==
																						BgL_classz00_6089);
																				}
																			else
																				{	/* SawMill/node2rtl.scm 377 */
																					BgL_res2821z00_6094 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test3099z00_8588 = BgL_res2821z00_6094;
														}
												}
											else
												{	/* SawMill/node2rtl.scm 377 */
													BgL_test3099z00_8588 = ((bool_t) 0);
												}
										}
									}
								else
									{	/* SawMill/node2rtl.scm 376 */
										BgL_test3099z00_8588 = ((bool_t) 0);
									}
							}
					}
				else
					{	/* SawMill/node2rtl.scm 374 */
						BgL_test3099z00_8588 = ((bool_t) 0);
					}
				if (BgL_test3099z00_8588)
					{	/* SawMill/node2rtl.scm 378 */
						obj_t BgL_fmtz00_6101;

						{
							BgL_variablez00_bglt BgL_auxz00_8629;

							{
								BgL_varz00_bglt BgL_auxz00_8630;

								{	/* SawMill/node2rtl.scm 378 */
									obj_t BgL_pairz00_6102;

									BgL_pairz00_6102 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_pragmaz00_bglt) BgL_ez00_5710))))->
										BgL_exprza2za2);
									BgL_auxz00_8630 = ((BgL_varz00_bglt) CAR(BgL_pairz00_6102));
								}
								BgL_auxz00_8629 =
									(((BgL_varz00_bglt) COBJECT(BgL_auxz00_8630))->
									BgL_variablez00);
							}
							BgL_fmtz00_6101 =
								(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_8629))->
								BgL_namez00);
						}
						{	/* SawMill/node2rtl.scm 379 */
							BgL_rtl_pragmaz00_bglt BgL_arg2377z00_6103;
							obj_t BgL_arg2378z00_6104;

							{	/* SawMill/node2rtl.scm 379 */
								BgL_rtl_pragmaz00_bglt BgL_new1313z00_6105;

								{	/* SawMill/node2rtl.scm 379 */
									BgL_rtl_pragmaz00_bglt BgL_new1311z00_6106;

									BgL_new1311z00_6106 =
										((BgL_rtl_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_pragmaz00_bgl))));
									{	/* SawMill/node2rtl.scm 379 */
										long BgL_arg2380z00_6107;

										BgL_arg2380z00_6107 =
											BGL_CLASS_NUM(BGl_rtl_pragmaz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1311z00_6106),
											BgL_arg2380z00_6107);
									}
									BgL_new1313z00_6105 = BgL_new1311z00_6106;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1313z00_6105)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_new1313z00_6105))->
										BgL_formatz00) = ((obj_t) BgL_fmtz00_6101), BUNSPEC);
								BgL_arg2377z00_6103 = BgL_new1313z00_6105;
							}
							{	/* SawMill/node2rtl.scm 379 */
								obj_t BgL_pairz00_6108;

								BgL_pairz00_6108 =
									(((BgL_externz00_bglt) COBJECT(
											((BgL_externz00_bglt)
												((BgL_pragmaz00_bglt) BgL_ez00_5710))))->
									BgL_exprza2za2);
								BgL_arg2378z00_6104 = CDR(BgL_pairz00_6108);
							}
							return
								BGl_callza2za2zzsaw_node2rtlz00(
								((obj_t)
									((BgL_pragmaz00_bglt) BgL_ez00_5710)),
								((BgL_rtl_funz00_bglt) BgL_arg2377z00_6103),
								BgL_arg2378z00_6104);
						}
					}
				else
					{	/* SawMill/node2rtl.scm 380 */
						BgL_rtl_pragmaz00_bglt BgL_arg2385z00_6109;
						obj_t BgL_arg2387z00_6110;

						{	/* SawMill/node2rtl.scm 380 */
							BgL_rtl_pragmaz00_bglt BgL_new1315z00_6111;

							{	/* SawMill/node2rtl.scm 380 */
								BgL_rtl_pragmaz00_bglt BgL_new1314z00_6112;

								BgL_new1314z00_6112 =
									((BgL_rtl_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_pragmaz00_bgl))));
								{	/* SawMill/node2rtl.scm 380 */
									long BgL_arg2388z00_6113;

									BgL_arg2388z00_6113 =
										BGL_CLASS_NUM(BGl_rtl_pragmaz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1314z00_6112),
										BgL_arg2388z00_6113);
								}
								BgL_new1315z00_6111 = BgL_new1314z00_6112;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1315z00_6111)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_new1315z00_6111))->
									BgL_formatz00) =
								((obj_t) (((BgL_pragmaz00_bglt) COBJECT(((BgL_pragmaz00_bglt)
													BgL_ez00_5710)))->BgL_formatz00)), BUNSPEC);
							BgL_arg2385z00_6109 = BgL_new1315z00_6111;
						}
						BgL_arg2387z00_6110 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_pragmaz00_bglt) BgL_ez00_5710))))->BgL_exprza2za2);
						return
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_pragmaz00_bglt) BgL_ez00_5710)),
							((BgL_rtl_funz00_bglt) BgL_arg2385z00_6109), BgL_arg2387z00_6110);
					}
			}
		}

	}



/* &node->rtl-funcall1741 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2funcall1741z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5711, obj_t BgL_ez00_5712)
	{
		{	/* SawMill/node2rtl.scm 347 */
			{	/* SawMill/node2rtl.scm 354 */
				obj_t BgL_argsz00_6115;

				BgL_argsz00_6115 =
					BGl_argszd21ze70z35zzsaw_node2rtlz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_ez00_5712)))->BgL_argsz00));
				{	/* SawMill/node2rtl.scm 355 */
					obj_t BgL_casezd2valuezd2_6116;

					BgL_casezd2valuezd2_6116 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_ez00_5712)))->BgL_strengthz00);
					if ((BgL_casezd2valuezd2_6116 == CNST_TABLE_REF(17L)))
						{	/* SawMill/node2rtl.scm 358 */
							BgL_rtl_callz00_bglt BgL_arg2342z00_6117;

							{	/* SawMill/node2rtl.scm 358 */
								BgL_rtl_callz00_bglt BgL_new1304z00_6118;

								{	/* SawMill/node2rtl.scm 358 */
									BgL_rtl_callz00_bglt BgL_new1303z00_6119;

									BgL_new1303z00_6119 =
										((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_callz00_bgl))));
									{	/* SawMill/node2rtl.scm 358 */
										long BgL_arg2346z00_6120;

										BgL_arg2346z00_6120 =
											BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1303z00_6119),
											BgL_arg2346z00_6120);
									}
									BgL_new1304z00_6118 = BgL_new1303z00_6119;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1304z00_6118)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								{
									BgL_globalz00_bglt BgL_auxz00_8683;

									{	/* SawMill/node2rtl.scm 358 */
										BgL_variablez00_bglt BgL_arg2344z00_6121;

										BgL_arg2344z00_6121 =
											(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt)
														(((BgL_funcallz00_bglt) COBJECT(
																	((BgL_funcallz00_bglt) BgL_ez00_5712)))->
															BgL_funz00))))->BgL_variablez00);
										BgL_auxz00_8683 =
											BGl_getzd2globalzd2zzsaw_node2rtlz00(((BgL_globalz00_bglt)
												BgL_arg2344z00_6121));
									}
									((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1304z00_6118))->
											BgL_varz00) =
										((BgL_globalz00_bglt) BgL_auxz00_8683), BUNSPEC);
								}
								BgL_arg2342z00_6117 = BgL_new1304z00_6118;
							}
							return
								BGl_callza2za2zzsaw_node2rtlz00(
								((obj_t)
									((BgL_funcallz00_bglt) BgL_ez00_5712)),
								((BgL_rtl_funz00_bglt) BgL_arg2342z00_6117), BgL_argsz00_6115);
						}
					else
						{	/* SawMill/node2rtl.scm 355 */
							if ((BgL_casezd2valuezd2_6116 == CNST_TABLE_REF(18L)))
								{	/* SawMill/node2rtl.scm 362 */
									BgL_rtl_lightfuncallz00_bglt BgL_arg2348z00_6122;

									{	/* SawMill/node2rtl.scm 362 */
										BgL_rtl_lightfuncallz00_bglt BgL_new1306z00_6123;

										{	/* SawMill/node2rtl.scm 362 */
											BgL_rtl_lightfuncallz00_bglt BgL_new1305z00_6124;

											BgL_new1305z00_6124 =
												((BgL_rtl_lightfuncallz00_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_lightfuncallz00_bgl))));
											{	/* SawMill/node2rtl.scm 362 */
												long BgL_arg2349z00_6125;

												BgL_arg2349z00_6125 =
													BGL_CLASS_NUM(BGl_rtl_lightfuncallz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1305z00_6124),
													BgL_arg2349z00_6125);
											}
											BgL_new1306z00_6123 = BgL_new1305z00_6124;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1306z00_6123)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										{
											obj_t BgL_auxz00_8704;

											{	/* SawMill/node2rtl.scm 364 */

												{	/* SawMill/node2rtl.scm 364 */

													BgL_auxz00_8704 =
														BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
											}}
											((((BgL_rtl_lightfuncallz00_bglt)
														COBJECT(BgL_new1306z00_6123))->BgL_namez00) =
												((obj_t) BgL_auxz00_8704), BUNSPEC);
										}
										((((BgL_rtl_lightfuncallz00_bglt)
													COBJECT(BgL_new1306z00_6123))->BgL_funsz00) =
											((obj_t) (((BgL_funcallz00_bglt)
														COBJECT(((BgL_funcallz00_bglt) BgL_ez00_5712)))->
													BgL_functionsz00)), BUNSPEC);
										((((BgL_rtl_lightfuncallz00_bglt)
													COBJECT(BgL_new1306z00_6123))->BgL_rettypez00) =
											((obj_t) ((obj_t)
													BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
															((BgL_funcallz00_bglt) BgL_ez00_5712)),
														((bool_t) 0)))), BUNSPEC);
										BgL_arg2348z00_6122 = BgL_new1306z00_6123;
									}
									return
										BGl_callza2za2zzsaw_node2rtlz00(
										((obj_t)
											((BgL_funcallz00_bglt) BgL_ez00_5712)),
										((BgL_rtl_funz00_bglt) BgL_arg2348z00_6122),
										BgL_argsz00_6115);
								}
							else
								{	/* SawMill/node2rtl.scm 369 */
									BgL_rtl_funcallz00_bglt BgL_arg2351z00_6126;

									{	/* SawMill/node2rtl.scm 369 */
										BgL_rtl_funcallz00_bglt BgL_new1309z00_6127;

										{	/* SawMill/node2rtl.scm 369 */
											BgL_rtl_funcallz00_bglt BgL_new1308z00_6128;

											BgL_new1308z00_6128 =
												((BgL_rtl_funcallz00_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_funcallz00_bgl))));
											{	/* SawMill/node2rtl.scm 369 */
												long BgL_arg2352z00_6129;

												BgL_arg2352z00_6129 =
													BGL_CLASS_NUM(BGl_rtl_funcallz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1308z00_6128),
													BgL_arg2352z00_6129);
											}
											BgL_new1309z00_6127 = BgL_new1308z00_6128;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1309z00_6127)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										BgL_arg2351z00_6126 = BgL_new1309z00_6127;
									}
									return
										BGl_callza2za2zzsaw_node2rtlz00(
										((obj_t)
											((BgL_funcallz00_bglt) BgL_ez00_5712)),
										((BgL_rtl_funz00_bglt) BgL_arg2351z00_6126),
										BgL_argsz00_6115);
								}
						}
				}
			}
		}

	}



/* args-1~0 */
	obj_t BGl_argszd21ze70z35zzsaw_node2rtlz00(obj_t BgL_argsz00_3213)
	{
		{	/* SawMill/node2rtl.scm 351 */
			if (NULLP(CDR(((obj_t) BgL_argsz00_3213))))
				{	/* SawMill/node2rtl.scm 349 */
					return BNIL;
				}
			else
				{	/* SawMill/node2rtl.scm 351 */
					obj_t BgL_arg2357z00_3217;
					obj_t BgL_arg2358z00_3218;

					BgL_arg2357z00_3217 = CAR(((obj_t) BgL_argsz00_3213));
					{	/* SawMill/node2rtl.scm 351 */
						obj_t BgL_arg2359z00_3219;

						BgL_arg2359z00_3219 = CDR(((obj_t) BgL_argsz00_3213));
						BgL_arg2358z00_3218 =
							BGl_argszd21ze70z35zzsaw_node2rtlz00(BgL_arg2359z00_3219);
					}
					return MAKE_YOUNG_PAIR(BgL_arg2357z00_3217, BgL_arg2358z00_3218);
				}
		}

	}



/* &node->rtl-app-ly1739 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2appzd2ly1739z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5713, obj_t BgL_ez00_5714)
	{
		{	/* SawMill/node2rtl.scm 342 */
			{	/* SawMill/node2rtl.scm 344 */
				BgL_rtl_applyz00_bglt BgL_arg2335z00_6131;
				BgL_nodez00_bglt BgL_arg2336z00_6132;
				BgL_nodez00_bglt BgL_arg2337z00_6133;

				{	/* SawMill/node2rtl.scm 344 */
					BgL_rtl_applyz00_bglt BgL_new1301z00_6134;

					{	/* SawMill/node2rtl.scm 344 */
						BgL_rtl_applyz00_bglt BgL_new1300z00_6135;

						BgL_new1300z00_6135 =
							((BgL_rtl_applyz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_applyz00_bgl))));
						{	/* SawMill/node2rtl.scm 344 */
							long BgL_arg2340z00_6136;

							BgL_arg2340z00_6136 =
								BGL_CLASS_NUM(BGl_rtl_applyz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1300z00_6135),
								BgL_arg2340z00_6136);
						}
						BgL_new1301z00_6134 = BgL_new1300z00_6135;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1301z00_6134)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					BgL_arg2335z00_6131 = BgL_new1301z00_6134;
				}
				BgL_arg2336z00_6132 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_ez00_5714)))->BgL_funz00);
				BgL_arg2337z00_6133 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_ez00_5714)))->BgL_argz00);
				{	/* SawMill/node2rtl.scm 344 */
					obj_t BgL_list2338z00_6137;

					{	/* SawMill/node2rtl.scm 344 */
						obj_t BgL_arg2339z00_6138;

						BgL_arg2339z00_6138 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg2337z00_6133), BNIL);
						BgL_list2338z00_6137 =
							MAKE_YOUNG_PAIR(
							((obj_t) BgL_arg2336z00_6132), BgL_arg2339z00_6138);
					}
					return
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_appzd2lyzd2_bglt) BgL_ez00_5714)),
						((BgL_rtl_funz00_bglt) BgL_arg2335z00_6131), BgL_list2338z00_6137);
				}
			}
		}

	}



/* &node->rtl-app1737 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2app1737z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5715, obj_t BgL_ez00_5716)
	{
		{	/* SawMill/node2rtl.scm 319 */
			{	/* SawMill/node2rtl.scm 321 */
				BgL_variablez00_bglt BgL_vz00_6140;

				BgL_vz00_6140 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_ez00_5716)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* SawMill/node2rtl.scm 322 */
					bool_t BgL_test3110z00_8760;

					{	/* SawMill/node2rtl.scm 322 */
						obj_t BgL_classz00_6141;

						BgL_classz00_6141 = BGl_localz00zzast_varz00;
						{	/* SawMill/node2rtl.scm 322 */
							BgL_objectz00_bglt BgL_arg1801z00_6142;

							{	/* SawMill/node2rtl.scm 322 */
								obj_t BgL_tmpz00_8761;

								BgL_tmpz00_8761 =
									((obj_t) ((BgL_objectz00_bglt) BgL_vz00_6140));
								BgL_arg1801z00_6142 = (BgL_objectz00_bglt) (BgL_tmpz00_8761);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawMill/node2rtl.scm 322 */
									long BgL_idxz00_6143;

									BgL_idxz00_6143 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_6142);
									BgL_test3110z00_8760 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6143 + 2L)) == BgL_classz00_6141);
								}
							else
								{	/* SawMill/node2rtl.scm 322 */
									bool_t BgL_res2820z00_6146;

									{	/* SawMill/node2rtl.scm 322 */
										obj_t BgL_oclassz00_6147;

										{	/* SawMill/node2rtl.scm 322 */
											long BgL_arg1808z00_6148;

											{	/* SawMill/node2rtl.scm 322 */
												long BgL_arg1809z00_6149;

												BgL_arg1809z00_6149 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_6142);
												BgL_arg1808z00_6148 =
													(BgL_arg1809z00_6149 - OBJECT_TYPE);
											}
											BgL_oclassz00_6147 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1808z00_6148);
										}
										{	/* SawMill/node2rtl.scm 322 */
											bool_t BgL__ortest_1115z00_6150;

											BgL__ortest_1115z00_6150 =
												(BgL_classz00_6141 == BgL_oclassz00_6147);
											if (BgL__ortest_1115z00_6150)
												{	/* SawMill/node2rtl.scm 322 */
													BgL_res2820z00_6146 = BgL__ortest_1115z00_6150;
												}
											else
												{	/* SawMill/node2rtl.scm 322 */
													long BgL_odepthz00_6151;

													BgL_odepthz00_6151 =
														BGL_CLASS_DEPTH(BgL_oclassz00_6147);
													if ((2L < BgL_odepthz00_6151))
														{	/* SawMill/node2rtl.scm 322 */
															obj_t BgL_arg1797z00_6152;

															BgL_arg1797z00_6152 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6147, 2L);
															BgL_res2820z00_6146 =
																(BgL_arg1797z00_6152 == BgL_classz00_6141);
														}
													else
														{	/* SawMill/node2rtl.scm 322 */
															BgL_res2820z00_6146 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test3110z00_8760 = BgL_res2820z00_6146;
								}
						}
					}
					if (BgL_test3110z00_8760)
						{	/* SawMill/node2rtl.scm 323 */
							obj_t BgL_arg2326z00_6153;

							BgL_arg2326z00_6153 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_ez00_5716)))->BgL_argsz00);
							return
								BGl_compilezd2labelzd2callz00zzsaw_node2rtlz00(
								((BgL_localz00_bglt) BgL_vz00_6140), BgL_arg2326z00_6153);
						}
					else
						{	/* SawMill/node2rtl.scm 324 */
							obj_t BgL__ortest_1292z00_6154;

							{	/* SawMill/node2rtl.scm 324 */
								obj_t BgL_arg2333z00_6155;

								BgL_arg2333z00_6155 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_ez00_5716)))->BgL_argsz00);
								BgL__ortest_1292z00_6154 =
									BGl_imperativezf3zf3zzsaw_node2rtlz00(
									((BgL_appz00_bglt) BgL_ez00_5716),
									((BgL_globalz00_bglt) BgL_vz00_6140), BgL_arg2333z00_6155);
							}
							if (CBOOL(BgL__ortest_1292z00_6154))
								{	/* SawMill/node2rtl.scm 324 */
									return ((BgL_areaz00_bglt) BgL__ortest_1292z00_6154);
								}
							else
								{	/* SawMill/node2rtl.scm 327 */
									BgL_rtl_callz00_bglt BgL_arg2330z00_6156;
									obj_t BgL_arg2331z00_6157;

									{	/* SawMill/node2rtl.scm 327 */
										BgL_rtl_callz00_bglt BgL_new1296z00_6158;

										{	/* SawMill/node2rtl.scm 327 */
											BgL_rtl_callz00_bglt BgL_new1295z00_6159;

											BgL_new1295z00_6159 =
												((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_callz00_bgl))));
											{	/* SawMill/node2rtl.scm 327 */
												long BgL_arg2332z00_6160;

												BgL_arg2332z00_6160 =
													BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1295z00_6159),
													BgL_arg2332z00_6160);
											}
											BgL_new1296z00_6158 = BgL_new1295z00_6159;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1296z00_6158)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1296z00_6158))->
												BgL_varz00) =
											((BgL_globalz00_bglt)
												BGl_getzd2globalzd2zzsaw_node2rtlz00((
														(BgL_globalz00_bglt) BgL_vz00_6140))), BUNSPEC);
										BgL_arg2330z00_6156 = BgL_new1296z00_6158;
									}
									BgL_arg2331z00_6157 =
										(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_ez00_5716)))->BgL_argsz00);
									return
										BGl_callza2za2zzsaw_node2rtlz00(
										((obj_t)
											((BgL_appz00_bglt) BgL_ez00_5716)),
										((BgL_rtl_funz00_bglt) BgL_arg2330z00_6156),
										BgL_arg2331z00_6157);
								}
						}
				}
			}
		}

	}



/* &node->rtl-let-fun1735 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2letzd2fun1735z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5717, obj_t BgL_ez00_5718)
	{
		{	/* SawMill/node2rtl.scm 285 */
			return
				BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_ez00_5718)))->BgL_bodyz00));
		}

	}



/* &node->rtl-switch1733 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2switch1733z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5719, obj_t BgL_ez00_5720)
	{
		{	/* SawMill/node2rtl.scm 264 */
			{	/* SawMill/node2rtl.scm 266 */
				BgL_areaz00_bglt BgL_arg2309z00_6163;
				obj_t BgL_arg2310z00_6164;
				BgL_rtl_regz00_bglt BgL_arg2311z00_6165;

				{	/* SawMill/node2rtl.scm 266 */
					BgL_rtl_selectz00_bglt BgL_arg2312z00_6166;
					BgL_nodez00_bglt BgL_arg2313z00_6167;

					{	/* SawMill/node2rtl.scm 266 */
						BgL_rtl_selectz00_bglt BgL_new1281z00_6168;

						{	/* SawMill/node2rtl.scm 266 */
							BgL_rtl_selectz00_bglt BgL_new1280z00_6169;

							BgL_new1280z00_6169 =
								((BgL_rtl_selectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_selectz00_bgl))));
							{	/* SawMill/node2rtl.scm 266 */
								long BgL_arg2316z00_6170;

								BgL_arg2316z00_6170 =
									BGL_CLASS_NUM(BGl_rtl_selectz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1280z00_6169),
									BgL_arg2316z00_6170);
							}
							BgL_new1281z00_6168 = BgL_new1280z00_6169;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1281z00_6168)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1281z00_6168))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_switchz00_bglt)
										COBJECT(((BgL_switchz00_bglt) BgL_ez00_5720)))->
									BgL_itemzd2typezd2)), BUNSPEC);
						{
							obj_t BgL_auxz00_8820;

							{	/* SawMill/node2rtl.scm 267 */
								obj_t BgL_arg2315z00_6171;

								BgL_arg2315z00_6171 =
									(((BgL_switchz00_bglt) COBJECT(
											((BgL_switchz00_bglt) BgL_ez00_5720)))->BgL_clausesz00);
								BgL_auxz00_8820 =
									BGl_coercez00zzsaw_node2rtlz00(BgL_arg2315z00_6171);
							}
							((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1281z00_6168))->
									BgL_patternsz00) = ((obj_t) BgL_auxz00_8820), BUNSPEC);
						}
						BgL_arg2312z00_6166 = BgL_new1281z00_6168;
					}
					BgL_arg2313z00_6167 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_ez00_5720)))->BgL_testz00);
					{	/* SawMill/node2rtl.scm 266 */
						obj_t BgL_list2314z00_6172;

						BgL_list2314z00_6172 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg2313z00_6167), BNIL);
						BgL_arg2309z00_6163 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_switchz00_bglt) BgL_ez00_5720)),
							((BgL_rtl_funz00_bglt) BgL_arg2312z00_6166),
							BgL_list2314z00_6172);
				}}
				{	/* SawMill/node2rtl.scm 269 */
					obj_t BgL_l1673z00_6173;

					BgL_l1673z00_6173 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_ez00_5720)))->BgL_clausesz00);
					if (NULLP(BgL_l1673z00_6173))
						{	/* SawMill/node2rtl.scm 269 */
							BgL_arg2310z00_6164 = BNIL;
						}
					else
						{	/* SawMill/node2rtl.scm 269 */
							obj_t BgL_head1675z00_6174;

							BgL_head1675z00_6174 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1673z00_6176;
								obj_t BgL_tail1676z00_6177;

								BgL_l1673z00_6176 = BgL_l1673z00_6173;
								BgL_tail1676z00_6177 = BgL_head1675z00_6174;
							BgL_zc3z04anonymousza32318ze3z87_6175:
								if (NULLP(BgL_l1673z00_6176))
									{	/* SawMill/node2rtl.scm 269 */
										BgL_arg2310z00_6164 = CDR(BgL_head1675z00_6174);
									}
								else
									{	/* SawMill/node2rtl.scm 269 */
										obj_t BgL_newtail1677z00_6178;

										{	/* SawMill/node2rtl.scm 269 */
											BgL_areaz00_bglt BgL_arg2322z00_6179;

											{	/* SawMill/node2rtl.scm 269 */
												obj_t BgL_cz00_6180;

												BgL_cz00_6180 = CAR(((obj_t) BgL_l1673z00_6176));
												{	/* SawMill/node2rtl.scm 269 */
													obj_t BgL_arg2323z00_6181;

													BgL_arg2323z00_6181 = CDR(((obj_t) BgL_cz00_6180));
													BgL_arg2322z00_6179 =
														BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
														((BgL_nodez00_bglt) BgL_arg2323z00_6181));
												}
											}
											BgL_newtail1677z00_6178 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg2322z00_6179), BNIL);
										}
										SET_CDR(BgL_tail1676z00_6177, BgL_newtail1677z00_6178);
										{	/* SawMill/node2rtl.scm 269 */
											obj_t BgL_arg2320z00_6182;

											BgL_arg2320z00_6182 = CDR(((obj_t) BgL_l1673z00_6176));
											{
												obj_t BgL_tail1676z00_8853;
												obj_t BgL_l1673z00_8852;

												BgL_l1673z00_8852 = BgL_arg2320z00_6182;
												BgL_tail1676z00_8853 = BgL_newtail1677z00_6178;
												BgL_tail1676z00_6177 = BgL_tail1676z00_8853;
												BgL_l1673z00_6176 = BgL_l1673z00_8852;
												goto BgL_zc3z04anonymousza32318ze3z87_6175;
											}
										}
									}
							}
						}
				}
				BgL_arg2311z00_6165 =
					BGl_newzd2regzd2zzsaw_node2rtlz00(
					((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_ez00_5720)));
				return
					BGl_forkzf2joinzf2zzsaw_node2rtlz00(BgL_arg2309z00_6163,
					BgL_arg2310z00_6164, BgL_arg2311z00_6165);
			}
		}

	}



/* &node->rtl-conditiona1731 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2conditiona1731z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5721, obj_t BgL_ez00_5722)
	{
		{	/* SawMill/node2rtl.scm 258 */
			{	/* SawMill/node2rtl.scm 260 */
				BgL_nodez00_bglt BgL_arg2298z00_6184;
				obj_t BgL_arg2299z00_6185;

				BgL_arg2298z00_6184 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_ez00_5722)))->BgL_testz00);
				{	/* SawMill/node2rtl.scm 260 */
					obj_t BgL_arg2300z00_6186;
					BgL_rtl_regz00_bglt BgL_arg2301z00_6187;

					{	/* SawMill/node2rtl.scm 260 */
						BgL_areaz00_bglt BgL_arg2302z00_6188;
						BgL_areaz00_bglt BgL_arg2304z00_6189;

						BgL_arg2302z00_6188 =
							BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_ez00_5722)))->BgL_truez00));
						BgL_arg2304z00_6189 =
							BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_ez00_5722)))->BgL_falsez00));
						{	/* SawMill/node2rtl.scm 260 */
							obj_t BgL_list2305z00_6190;

							{	/* SawMill/node2rtl.scm 260 */
								obj_t BgL_arg2306z00_6191;

								BgL_arg2306z00_6191 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg2304z00_6189), BNIL);
								BgL_list2305z00_6190 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg2302z00_6188), BgL_arg2306z00_6191);
							}
							BgL_arg2300z00_6186 = BgL_list2305z00_6190;
						}
					}
					BgL_arg2301z00_6187 =
						BGl_newzd2regzd2zzsaw_node2rtlz00(
						((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_ez00_5722)));
					BgL_arg2299z00_6185 =
						BGl_joinz00zzsaw_node2rtlz00(BgL_arg2300z00_6186,
						BgL_arg2301z00_6187);
				}
				return
					BGl_predicatez00zzsaw_node2rtlz00(BgL_arg2298z00_6184,
					BgL_arg2299z00_6185);
			}
		}

	}



/* &node->rtl-sync1728 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2sync1728z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5723, obj_t BgL_ez00_5724)
	{
		{	/* SawMill/node2rtl.scm 254 */
			return
				BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00
				(BGl_synczd2ze3sequencez31zzsync_nodez00(((BgL_syncz00_bglt)
						BgL_ez00_5724)));
		}

	}



/* &node->rtl-sequence1726 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2sequence1726z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5725, obj_t BgL_ez00_5726)
	{
		{	/* SawMill/node2rtl.scm 249 */
			{	/* SawMill/node2rtl.scm 251 */
				obj_t BgL_arg2291z00_6194;

				{	/* SawMill/node2rtl.scm 251 */
					obj_t BgL_l1668z00_6195;

					BgL_l1668z00_6195 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_ez00_5726)))->BgL_nodesz00);
					if (NULLP(BgL_l1668z00_6195))
						{	/* SawMill/node2rtl.scm 251 */
							BgL_arg2291z00_6194 = BNIL;
						}
					else
						{	/* SawMill/node2rtl.scm 251 */
							obj_t BgL_head1670z00_6196;

							BgL_head1670z00_6196 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1668z00_6198;
								obj_t BgL_tail1671z00_6199;

								BgL_l1668z00_6198 = BgL_l1668z00_6195;
								BgL_tail1671z00_6199 = BgL_head1670z00_6196;
							BgL_zc3z04anonymousza32293ze3z87_6197:
								if (NULLP(BgL_l1668z00_6198))
									{	/* SawMill/node2rtl.scm 251 */
										BgL_arg2291z00_6194 = CDR(BgL_head1670z00_6196);
									}
								else
									{	/* SawMill/node2rtl.scm 251 */
										obj_t BgL_newtail1672z00_6200;

										{	/* SawMill/node2rtl.scm 251 */
											BgL_areaz00_bglt BgL_arg2296z00_6201;

											{	/* SawMill/node2rtl.scm 251 */
												obj_t BgL_ez00_6202;

												BgL_ez00_6202 = CAR(((obj_t) BgL_l1668z00_6198));
												BgL_arg2296z00_6201 =
													BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
													((BgL_nodez00_bglt) BgL_ez00_6202));
											}
											BgL_newtail1672z00_6200 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg2296z00_6201), BNIL);
										}
										SET_CDR(BgL_tail1671z00_6199, BgL_newtail1672z00_6200);
										{	/* SawMill/node2rtl.scm 251 */
											obj_t BgL_arg2295z00_6203;

											BgL_arg2295z00_6203 = CDR(((obj_t) BgL_l1668z00_6198));
											{
												obj_t BgL_tail1671z00_8896;
												obj_t BgL_l1668z00_8895;

												BgL_l1668z00_8895 = BgL_arg2295z00_6203;
												BgL_tail1671z00_8896 = BgL_newtail1672z00_6200;
												BgL_tail1671z00_6199 = BgL_tail1671z00_8896;
												BgL_l1668z00_6198 = BgL_l1668z00_8895;
												goto BgL_zc3z04anonymousza32293ze3z87_6197;
											}
										}
									}
							}
						}
				}
				return BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg2291z00_6194);
			}
		}

	}



/* &node->rtl-setq1724 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2setq1724z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5727, obj_t BgL_ez00_5728)
	{
		{	/* SawMill/node2rtl.scm 240 */
			{	/* SawMill/node2rtl.scm 242 */
				BgL_varz00_bglt BgL_i1271z00_6205;

				BgL_i1271z00_6205 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_ez00_5728)))->BgL_varz00);
				{	/* SawMill/node2rtl.scm 243 */
					BgL_areaz00_bglt BgL_arg2274z00_6206;
					BgL_areaz00_bglt BgL_arg2275z00_6207;

					{	/* SawMill/node2rtl.scm 243 */
						bool_t BgL_test3119z00_8900;

						{	/* SawMill/node2rtl.scm 243 */
							BgL_variablez00_bglt BgL_arg2287z00_6208;

							BgL_arg2287z00_6208 =
								(((BgL_varz00_bglt) COBJECT(BgL_i1271z00_6205))->
								BgL_variablez00);
							{	/* SawMill/node2rtl.scm 243 */
								obj_t BgL_classz00_6209;

								BgL_classz00_6209 = BGl_globalz00zzast_varz00;
								{	/* SawMill/node2rtl.scm 243 */
									BgL_objectz00_bglt BgL_arg1801z00_6210;

									{	/* SawMill/node2rtl.scm 243 */
										obj_t BgL_tmpz00_8902;

										BgL_tmpz00_8902 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2287z00_6208));
										BgL_arg1801z00_6210 =
											(BgL_objectz00_bglt) (BgL_tmpz00_8902);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawMill/node2rtl.scm 243 */
											long BgL_idxz00_6211;

											BgL_idxz00_6211 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_6210);
											BgL_test3119z00_8900 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_6211 + 2L)) == BgL_classz00_6209);
										}
									else
										{	/* SawMill/node2rtl.scm 243 */
											bool_t BgL_res2817z00_6214;

											{	/* SawMill/node2rtl.scm 243 */
												obj_t BgL_oclassz00_6215;

												{	/* SawMill/node2rtl.scm 243 */
													long BgL_arg1808z00_6216;

													{	/* SawMill/node2rtl.scm 243 */
														long BgL_arg1809z00_6217;

														BgL_arg1809z00_6217 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_6210);
														BgL_arg1808z00_6216 =
															(BgL_arg1809z00_6217 - OBJECT_TYPE);
													}
													BgL_oclassz00_6215 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1808z00_6216);
												}
												{	/* SawMill/node2rtl.scm 243 */
													bool_t BgL__ortest_1115z00_6218;

													BgL__ortest_1115z00_6218 =
														(BgL_classz00_6209 == BgL_oclassz00_6215);
													if (BgL__ortest_1115z00_6218)
														{	/* SawMill/node2rtl.scm 243 */
															BgL_res2817z00_6214 = BgL__ortest_1115z00_6218;
														}
													else
														{	/* SawMill/node2rtl.scm 243 */
															long BgL_odepthz00_6219;

															BgL_odepthz00_6219 =
																BGL_CLASS_DEPTH(BgL_oclassz00_6215);
															if ((2L < BgL_odepthz00_6219))
																{	/* SawMill/node2rtl.scm 243 */
																	obj_t BgL_arg1797z00_6220;

																	BgL_arg1797z00_6220 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6215,
																		2L);
																	BgL_res2817z00_6214 =
																		(BgL_arg1797z00_6220 == BgL_classz00_6209);
																}
															else
																{	/* SawMill/node2rtl.scm 243 */
																	BgL_res2817z00_6214 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3119z00_8900 = BgL_res2817z00_6214;
										}
								}
							}
						}
						if (BgL_test3119z00_8900)
							{	/* SawMill/node2rtl.scm 244 */
								BgL_rtl_storegz00_bglt BgL_arg2279z00_6221;
								BgL_nodez00_bglt BgL_arg2280z00_6222;

								{	/* SawMill/node2rtl.scm 244 */
									BgL_rtl_storegz00_bglt BgL_new1274z00_6223;

									{	/* SawMill/node2rtl.scm 244 */
										BgL_rtl_storegz00_bglt BgL_new1272z00_6224;

										BgL_new1272z00_6224 =
											((BgL_rtl_storegz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_rtl_storegz00_bgl))));
										{	/* SawMill/node2rtl.scm 244 */
											long BgL_arg2283z00_6225;

											BgL_arg2283z00_6225 =
												BGL_CLASS_NUM(BGl_rtl_storegz00zzsaw_defsz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1272z00_6224),
												BgL_arg2283z00_6225);
										}
										BgL_new1274z00_6223 = BgL_new1272z00_6224;
									}
									((((BgL_rtl_funz00_bglt) COBJECT(
													((BgL_rtl_funz00_bglt) BgL_new1274z00_6223)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									{
										BgL_globalz00_bglt BgL_auxz00_8928;

										{	/* SawMill/node2rtl.scm 244 */
											BgL_variablez00_bglt BgL_arg2282z00_6226;

											BgL_arg2282z00_6226 =
												(((BgL_varz00_bglt) COBJECT(BgL_i1271z00_6205))->
												BgL_variablez00);
											BgL_auxz00_8928 =
												BGl_getzd2globalzd2zzsaw_node2rtlz00((
													(BgL_globalz00_bglt) BgL_arg2282z00_6226));
										}
										((((BgL_rtl_storegz00_bglt) COBJECT(BgL_new1274z00_6223))->
												BgL_varz00) =
											((BgL_globalz00_bglt) BgL_auxz00_8928), BUNSPEC);
									}
									BgL_arg2279z00_6221 = BgL_new1274z00_6223;
								}
								BgL_arg2280z00_6222 =
									(((BgL_setqz00_bglt) COBJECT(
											((BgL_setqz00_bglt) BgL_ez00_5728)))->BgL_valuez00);
								{	/* SawMill/node2rtl.scm 244 */
									obj_t BgL_list2281z00_6227;

									BgL_list2281z00_6227 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg2280z00_6222), BNIL);
									BgL_arg2274z00_6206 =
										BGl_callza2za2zzsaw_node2rtlz00(
										((obj_t)
											((BgL_setqz00_bglt) BgL_ez00_5728)),
										((BgL_rtl_funz00_bglt) BgL_arg2279z00_6221),
										BgL_list2281z00_6227);
							}}
						else
							{	/* SawMill/node2rtl.scm 245 */
								BgL_nodez00_bglt BgL_arg2284z00_6228;
								BgL_rtl_regz00_bglt BgL_arg2285z00_6229;

								BgL_arg2284z00_6228 =
									(((BgL_setqz00_bglt) COBJECT(
											((BgL_setqz00_bglt) BgL_ez00_5728)))->BgL_valuez00);
								{	/* SawMill/node2rtl.scm 245 */
									BgL_variablez00_bglt BgL_arg2286z00_6230;

									BgL_arg2286z00_6230 =
										(((BgL_varz00_bglt) COBJECT(BgL_i1271z00_6205))->
										BgL_variablez00);
									BgL_arg2285z00_6229 =
										BGl_localzd2ze3regz31zzsaw_node2rtlz00(((BgL_localz00_bglt)
											BgL_arg2286z00_6230));
								}
								{	/* SawMill/node2rtl.scm 245 */
									BgL_areaz00_bglt BgL_res2818z00_6231;

									{	/* SawMill/node2rtl.scm 186 */
										BgL_areaz00_bglt BgL_az00_6232;

										BgL_az00_6232 =
											BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00
											(BgL_arg2284z00_6228);
										BGl_bdestinationz12z12zzsaw_node2rtlz00((((BgL_areaz00_bglt)
													COBJECT(BgL_az00_6232))->BgL_exitz00),
											BgL_arg2285z00_6229);
										BgL_res2818z00_6231 = BgL_az00_6232;
									}
									BgL_arg2274z00_6206 = BgL_res2818z00_6231;
								}
							}
					}
					{	/* SawMill/node2rtl.scm 246 */
						BgL_rtl_nopz00_bglt BgL_arg2288z00_6233;

						{	/* SawMill/node2rtl.scm 246 */
							BgL_rtl_nopz00_bglt BgL_new1276z00_6234;

							{	/* SawMill/node2rtl.scm 246 */
								BgL_rtl_nopz00_bglt BgL_new1275z00_6235;

								BgL_new1275z00_6235 =
									((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_nopz00_bgl))));
								{	/* SawMill/node2rtl.scm 246 */
									long BgL_arg2290z00_6236;

									BgL_arg2290z00_6236 =
										BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1275z00_6235),
										BgL_arg2290z00_6236);
								}
								BgL_new1276z00_6234 = BgL_new1275z00_6235;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1276z00_6234)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg2288z00_6233 = BgL_new1276z00_6234;
						}
						BgL_arg2275z00_6207 =
							BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
							((BgL_rtl_funz00_bglt) BgL_arg2288z00_6233), BNIL);
					}
					return
						BGl_linkz00zzsaw_node2rtlz00(BgL_arg2274z00_6206,
						BgL_arg2275z00_6207);
				}
			}
		}

	}



/* &node->rtl-let-var1722 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2letzd2var1722z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5729, obj_t BgL_ez00_5730)
	{
		{	/* SawMill/node2rtl.scm 223 */
			{	/* SawMill/node2rtl.scm 226 */
				bool_t BgL_test3123z00_8958;

				{	/* SawMill/node2rtl.scm 226 */
					bool_t BgL_test3124z00_8959;

					{	/* SawMill/node2rtl.scm 226 */
						BgL_nodez00_bglt BgL_arg2273z00_6238;

						BgL_arg2273z00_6238 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_ez00_5730)))->BgL_bodyz00);
						{	/* SawMill/node2rtl.scm 226 */
							obj_t BgL_classz00_6239;

							BgL_classz00_6239 = BGl_conditionalz00zzast_nodez00;
							{	/* SawMill/node2rtl.scm 226 */
								BgL_objectz00_bglt BgL_arg1801z00_6240;

								{	/* SawMill/node2rtl.scm 226 */
									obj_t BgL_tmpz00_8962;

									BgL_tmpz00_8962 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg2273z00_6238));
									BgL_arg1801z00_6240 = (BgL_objectz00_bglt) (BgL_tmpz00_8962);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawMill/node2rtl.scm 226 */
										long BgL_idxz00_6241;

										BgL_idxz00_6241 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_6240);
										BgL_test3124z00_8959 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6241 + 3L)) == BgL_classz00_6239);
									}
								else
									{	/* SawMill/node2rtl.scm 226 */
										bool_t BgL_res2814z00_6244;

										{	/* SawMill/node2rtl.scm 226 */
											obj_t BgL_oclassz00_6245;

											{	/* SawMill/node2rtl.scm 226 */
												long BgL_arg1808z00_6246;

												{	/* SawMill/node2rtl.scm 226 */
													long BgL_arg1809z00_6247;

													BgL_arg1809z00_6247 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_6240);
													BgL_arg1808z00_6246 =
														(BgL_arg1809z00_6247 - OBJECT_TYPE);
												}
												BgL_oclassz00_6245 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1808z00_6246);
											}
											{	/* SawMill/node2rtl.scm 226 */
												bool_t BgL__ortest_1115z00_6248;

												BgL__ortest_1115z00_6248 =
													(BgL_classz00_6239 == BgL_oclassz00_6245);
												if (BgL__ortest_1115z00_6248)
													{	/* SawMill/node2rtl.scm 226 */
														BgL_res2814z00_6244 = BgL__ortest_1115z00_6248;
													}
												else
													{	/* SawMill/node2rtl.scm 226 */
														long BgL_odepthz00_6249;

														BgL_odepthz00_6249 =
															BGL_CLASS_DEPTH(BgL_oclassz00_6245);
														if ((3L < BgL_odepthz00_6249))
															{	/* SawMill/node2rtl.scm 226 */
																obj_t BgL_arg1797z00_6250;

																BgL_arg1797z00_6250 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6245,
																	3L);
																BgL_res2814z00_6244 =
																	(BgL_arg1797z00_6250 == BgL_classz00_6239);
															}
														else
															{	/* SawMill/node2rtl.scm 226 */
																BgL_res2814z00_6244 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3124z00_8959 = BgL_res2814z00_6244;
									}
							}
						}
					}
					if (BgL_test3124z00_8959)
						{	/* SawMill/node2rtl.scm 226 */
							if (NULLP(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5730)))->
										BgL_bindingsz00)))
								{	/* SawMill/node2rtl.scm 227 */
									BgL_test3123z00_8958 = ((bool_t) 0);
								}
							else
								{	/* SawMill/node2rtl.scm 227 */
									if (NULLP(CDR(
												(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_ez00_5730)))->
													BgL_bindingsz00))))
										{	/* SawMill/node2rtl.scm 229 */
											bool_t BgL_test3130z00_8991;

											{	/* SawMill/node2rtl.scm 229 */
												BgL_nodez00_bglt BgL_arg2268z00_6251;

												BgL_arg2268z00_6251 =
													(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt)
																(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_ez00_5730)))->BgL_bodyz00))))->
													BgL_testz00);
												{	/* SawMill/node2rtl.scm 229 */
													obj_t BgL_classz00_6252;

													BgL_classz00_6252 = BGl_varz00zzast_nodez00;
													{	/* SawMill/node2rtl.scm 229 */
														BgL_objectz00_bglt BgL_arg1801z00_6253;

														{	/* SawMill/node2rtl.scm 229 */
															obj_t BgL_tmpz00_8996;

															BgL_tmpz00_8996 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg2268z00_6251));
															BgL_arg1801z00_6253 =
																(BgL_objectz00_bglt) (BgL_tmpz00_8996);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawMill/node2rtl.scm 229 */
																long BgL_idxz00_6254;

																BgL_idxz00_6254 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1801z00_6253);
																BgL_test3130z00_8991 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_6254 + 2L)) ==
																	BgL_classz00_6252);
															}
														else
															{	/* SawMill/node2rtl.scm 229 */
																bool_t BgL_res2815z00_6257;

																{	/* SawMill/node2rtl.scm 229 */
																	obj_t BgL_oclassz00_6258;

																	{	/* SawMill/node2rtl.scm 229 */
																		long BgL_arg1808z00_6259;

																		{	/* SawMill/node2rtl.scm 229 */
																			long BgL_arg1809z00_6260;

																			BgL_arg1809z00_6260 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1801z00_6253);
																			BgL_arg1808z00_6259 =
																				(BgL_arg1809z00_6260 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_6258 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1808z00_6259);
																	}
																	{	/* SawMill/node2rtl.scm 229 */
																		bool_t BgL__ortest_1115z00_6261;

																		BgL__ortest_1115z00_6261 =
																			(BgL_classz00_6252 == BgL_oclassz00_6258);
																		if (BgL__ortest_1115z00_6261)
																			{	/* SawMill/node2rtl.scm 229 */
																				BgL_res2815z00_6257 =
																					BgL__ortest_1115z00_6261;
																			}
																		else
																			{	/* SawMill/node2rtl.scm 229 */
																				long BgL_odepthz00_6262;

																				BgL_odepthz00_6262 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_6258);
																				if ((2L < BgL_odepthz00_6262))
																					{	/* SawMill/node2rtl.scm 229 */
																						obj_t BgL_arg1797z00_6263;

																						BgL_arg1797z00_6263 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_6258, 2L);
																						BgL_res2815z00_6257 =
																							(BgL_arg1797z00_6263 ==
																							BgL_classz00_6252);
																					}
																				else
																					{	/* SawMill/node2rtl.scm 229 */
																						BgL_res2815z00_6257 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test3130z00_8991 = BgL_res2815z00_6257;
															}
													}
												}
											}
											if (BgL_test3130z00_8991)
												{	/* SawMill/node2rtl.scm 230 */
													bool_t BgL_test3134z00_9016;

													{	/* SawMill/node2rtl.scm 230 */
														long BgL_tmpz00_9017;

														{
															BgL_variablez00_bglt BgL_auxz00_9018;

															{
																BgL_localz00_bglt BgL_auxz00_9019;

																{
																	obj_t BgL_auxz00_9020;

																	{	/* SawMill/node2rtl.scm 230 */
																		obj_t BgL_pairz00_6264;

																		BgL_pairz00_6264 =
																			(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_ez00_5730)))->BgL_bindingsz00);
																		{	/* SawMill/node2rtl.scm 230 */
																			obj_t BgL_pairz00_6265;

																			BgL_pairz00_6265 = CAR(BgL_pairz00_6264);
																			BgL_auxz00_9020 = CAR(BgL_pairz00_6265);
																	}}
																	BgL_auxz00_9019 =
																		((BgL_localz00_bglt) BgL_auxz00_9020);
																}
																BgL_auxz00_9018 =
																	((BgL_variablez00_bglt) BgL_auxz00_9019);
															}
															BgL_tmpz00_9017 =
																(((BgL_variablez00_bglt)
																	COBJECT(BgL_auxz00_9018))->BgL_occurrencez00);
														}
														BgL_test3134z00_9016 = (1L == BgL_tmpz00_9017);
													}
													if (BgL_test3134z00_9016)
														{	/* SawMill/node2rtl.scm 231 */
															obj_t BgL_tmpz00_9029;

															{	/* SawMill/node2rtl.scm 231 */
																obj_t BgL_pairz00_6266;

																BgL_pairz00_6266 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_ez00_5730)))->BgL_bindingsz00);
																BgL_tmpz00_9029 = CAR(CAR(BgL_pairz00_6266));
															}
															BgL_test3123z00_8958 =
																(BgL_tmpz00_9029 ==
																((obj_t)
																	(((BgL_varz00_bglt) COBJECT(
																				((BgL_varz00_bglt)
																					(((BgL_conditionalz00_bglt) COBJECT(
																								((BgL_conditionalz00_bglt)
																									(((BgL_letzd2varzd2_bglt)
																											COBJECT((
																													(BgL_letzd2varzd2_bglt)
																													BgL_ez00_5730)))->
																										BgL_bodyz00))))->
																						BgL_testz00))))->BgL_variablez00)));
														}
													else
														{	/* SawMill/node2rtl.scm 230 */
															BgL_test3123z00_8958 = ((bool_t) 0);
														}
												}
											else
												{	/* SawMill/node2rtl.scm 229 */
													BgL_test3123z00_8958 = ((bool_t) 0);
												}
										}
									else
										{	/* SawMill/node2rtl.scm 228 */
											BgL_test3123z00_8958 = ((bool_t) 0);
										}
								}
						}
					else
						{	/* SawMill/node2rtl.scm 226 */
							BgL_test3123z00_8958 = ((bool_t) 0);
						}
				}
				if (BgL_test3123z00_8958)
					{	/* SawMill/node2rtl.scm 226 */
						{	/* SawMill/node2rtl.scm 232 */
							BgL_nodez00_bglt BgL_arg2244z00_6267;
							obj_t BgL_arg2245z00_6268;

							BgL_arg2244z00_6267 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_ez00_5730)))->BgL_bodyz00);
							{	/* SawMill/node2rtl.scm 232 */
								obj_t BgL_pairz00_6269;

								BgL_pairz00_6269 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_ez00_5730)))->
									BgL_bindingsz00);
								BgL_arg2245z00_6268 = CDR(CAR(BgL_pairz00_6269));
							}
							((((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_arg2244z00_6267)))->
									BgL_testz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg2245z00_6268)),
								BUNSPEC);
						}
						return
							BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_ez00_5730)))->BgL_bodyz00));
					}
				else
					{	/* SawMill/node2rtl.scm 235 */
						BgL_areaz00_bglt BgL_arg2248z00_6270;
						BgL_areaz00_bglt BgL_arg2249z00_6271;

						{	/* SawMill/node2rtl.scm 235 */
							obj_t BgL_arg2250z00_6272;

							{	/* SawMill/node2rtl.scm 235 */
								obj_t BgL_l1663z00_6273;

								BgL_l1663z00_6273 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_ez00_5730)))->
									BgL_bindingsz00);
								if (NULLP(BgL_l1663z00_6273))
									{	/* SawMill/node2rtl.scm 235 */
										BgL_arg2250z00_6272 = BNIL;
									}
								else
									{	/* SawMill/node2rtl.scm 235 */
										obj_t BgL_head1665z00_6274;

										BgL_head1665z00_6274 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1663z00_6276;
											obj_t BgL_tail1666z00_6277;

											BgL_l1663z00_6276 = BgL_l1663z00_6273;
											BgL_tail1666z00_6277 = BgL_head1665z00_6274;
										BgL_zc3z04anonymousza32252ze3z87_6275:
											if (NULLP(BgL_l1663z00_6276))
												{	/* SawMill/node2rtl.scm 235 */
													BgL_arg2250z00_6272 = CDR(BgL_head1665z00_6274);
												}
											else
												{	/* SawMill/node2rtl.scm 235 */
													obj_t BgL_newtail1667z00_6278;

													{	/* SawMill/node2rtl.scm 235 */
														BgL_areaz00_bglt BgL_arg2255z00_6279;

														{	/* SawMill/node2rtl.scm 235 */
															obj_t BgL_bz00_6280;

															BgL_bz00_6280 = CAR(((obj_t) BgL_l1663z00_6276));
															{	/* SawMill/node2rtl.scm 235 */
																obj_t BgL_arg2256z00_6281;
																BgL_rtl_regz00_bglt BgL_arg2257z00_6282;

																BgL_arg2256z00_6281 =
																	CDR(((obj_t) BgL_bz00_6280));
																{	/* SawMill/node2rtl.scm 235 */
																	obj_t BgL_arg2258z00_6283;

																	BgL_arg2258z00_6283 =
																		CAR(((obj_t) BgL_bz00_6280));
																	BgL_arg2257z00_6282 =
																		BGl_localzd2ze3regz31zzsaw_node2rtlz00(
																		((BgL_localz00_bglt) BgL_arg2258z00_6283));
																}
																{	/* SawMill/node2rtl.scm 235 */
																	BgL_areaz00_bglt BgL_res2816z00_6284;

																	{	/* SawMill/node2rtl.scm 186 */
																		BgL_areaz00_bglt BgL_az00_6285;

																		BgL_az00_6285 =
																			BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
																			((BgL_nodez00_bglt) BgL_arg2256z00_6281));
																		BGl_bdestinationz12z12zzsaw_node2rtlz00(
																			(((BgL_areaz00_bglt)
																					COBJECT(BgL_az00_6285))->BgL_exitz00),
																			BgL_arg2257z00_6282);
																		BgL_res2816z00_6284 = BgL_az00_6285;
																	}
																	BgL_arg2255z00_6279 = BgL_res2816z00_6284;
																}
															}
														}
														BgL_newtail1667z00_6278 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg2255z00_6279), BNIL);
													}
													SET_CDR(BgL_tail1666z00_6277,
														BgL_newtail1667z00_6278);
													{	/* SawMill/node2rtl.scm 235 */
														obj_t BgL_arg2254z00_6286;

														BgL_arg2254z00_6286 =
															CDR(((obj_t) BgL_l1663z00_6276));
														{
															obj_t BgL_tail1666z00_9080;
															obj_t BgL_l1663z00_9079;

															BgL_l1663z00_9079 = BgL_arg2254z00_6286;
															BgL_tail1666z00_9080 = BgL_newtail1667z00_6278;
															BgL_tail1666z00_6277 = BgL_tail1666z00_9080;
															BgL_l1663z00_6276 = BgL_l1663z00_9079;
															goto BgL_zc3z04anonymousza32252ze3z87_6275;
														}
													}
												}
										}
									}
							}
							BgL_arg2248z00_6270 =
								BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg2250z00_6272);
						}
						BgL_arg2249z00_6271 =
							BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_ez00_5730)))->BgL_bodyz00));
						return
							BGl_linkz00zzsaw_node2rtlz00(BgL_arg2248z00_6270,
							BgL_arg2249z00_6271);
					}
			}
		}

	}



/* &node->rtl-var1720 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2var1720z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5731, obj_t BgL_ez00_5732)
	{
		{	/* SawMill/node2rtl.scm 213 */
			{	/* SawMill/node2rtl.scm 215 */
				bool_t BgL_test3137z00_9086;

				{	/* SawMill/node2rtl.scm 215 */
					BgL_variablez00_bglt BgL_arg2214z00_6288;

					BgL_arg2214z00_6288 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_ez00_5732)))->BgL_variablez00);
					{	/* SawMill/node2rtl.scm 215 */
						obj_t BgL_classz00_6289;

						BgL_classz00_6289 = BGl_localz00zzast_varz00;
						{	/* SawMill/node2rtl.scm 215 */
							BgL_objectz00_bglt BgL_arg1801z00_6290;

							{	/* SawMill/node2rtl.scm 215 */
								obj_t BgL_tmpz00_9089;

								BgL_tmpz00_9089 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg2214z00_6288));
								BgL_arg1801z00_6290 = (BgL_objectz00_bglt) (BgL_tmpz00_9089);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawMill/node2rtl.scm 215 */
									long BgL_idxz00_6291;

									BgL_idxz00_6291 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_6290);
									BgL_test3137z00_9086 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6291 + 2L)) == BgL_classz00_6289);
								}
							else
								{	/* SawMill/node2rtl.scm 215 */
									bool_t BgL_res2812z00_6294;

									{	/* SawMill/node2rtl.scm 215 */
										obj_t BgL_oclassz00_6295;

										{	/* SawMill/node2rtl.scm 215 */
											long BgL_arg1808z00_6296;

											{	/* SawMill/node2rtl.scm 215 */
												long BgL_arg1809z00_6297;

												BgL_arg1809z00_6297 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_6290);
												BgL_arg1808z00_6296 =
													(BgL_arg1809z00_6297 - OBJECT_TYPE);
											}
											BgL_oclassz00_6295 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1808z00_6296);
										}
										{	/* SawMill/node2rtl.scm 215 */
											bool_t BgL__ortest_1115z00_6298;

											BgL__ortest_1115z00_6298 =
												(BgL_classz00_6289 == BgL_oclassz00_6295);
											if (BgL__ortest_1115z00_6298)
												{	/* SawMill/node2rtl.scm 215 */
													BgL_res2812z00_6294 = BgL__ortest_1115z00_6298;
												}
											else
												{	/* SawMill/node2rtl.scm 215 */
													long BgL_odepthz00_6299;

													BgL_odepthz00_6299 =
														BGL_CLASS_DEPTH(BgL_oclassz00_6295);
													if ((2L < BgL_odepthz00_6299))
														{	/* SawMill/node2rtl.scm 215 */
															obj_t BgL_arg1797z00_6300;

															BgL_arg1797z00_6300 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6295, 2L);
															BgL_res2812z00_6294 =
																(BgL_arg1797z00_6300 == BgL_classz00_6289);
														}
													else
														{	/* SawMill/node2rtl.scm 215 */
															BgL_res2812z00_6294 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test3137z00_9086 = BgL_res2812z00_6294;
								}
						}
					}
				}
				if (BgL_test3137z00_9086)
					{	/* SawMill/node2rtl.scm 216 */
						BgL_rtl_movz00_bglt BgL_arg2195z00_6301;
						BgL_rtl_regz00_bglt BgL_arg2196z00_6302;

						{	/* SawMill/node2rtl.scm 216 */
							BgL_rtl_movz00_bglt BgL_new1264z00_6303;

							{	/* SawMill/node2rtl.scm 216 */
								BgL_rtl_movz00_bglt BgL_new1263z00_6304;

								BgL_new1263z00_6304 =
									((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_movz00_bgl))));
								{	/* SawMill/node2rtl.scm 216 */
									long BgL_arg2198z00_6305;

									BgL_arg2198z00_6305 =
										BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1263z00_6304),
										BgL_arg2198z00_6305);
								}
								BgL_new1264z00_6303 = BgL_new1263z00_6304;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1264z00_6303)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg2195z00_6301 = BgL_new1264z00_6303;
						}
						{	/* SawMill/node2rtl.scm 216 */
							BgL_variablez00_bglt BgL_arg2199z00_6306;

							BgL_arg2199z00_6306 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_ez00_5732)))->BgL_variablez00);
							BgL_arg2196z00_6302 =
								BGl_localzd2ze3regz31zzsaw_node2rtlz00(
								((BgL_localz00_bglt) BgL_arg2199z00_6306));
						}
						{	/* SawMill/node2rtl.scm 216 */
							obj_t BgL_list2197z00_6307;

							BgL_list2197z00_6307 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg2196z00_6302), BNIL);
							return
								BGl_singleza2za2zzsaw_node2rtlz00(
								((obj_t)
									((BgL_varz00_bglt) BgL_ez00_5732)),
								((BgL_rtl_funz00_bglt) BgL_arg2195z00_6301),
								BgL_list2197z00_6307);
						}
					}
				else
					{	/* SawMill/node2rtl.scm 217 */
						bool_t BgL_test3141z00_9125;

						{	/* SawMill/node2rtl.scm 217 */
							BgL_valuez00_bglt BgL_arg2212z00_6308;

							BgL_arg2212z00_6308 =
								(((BgL_variablez00_bglt) COBJECT(
										(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_ez00_5732)))->
											BgL_variablez00)))->BgL_valuez00);
							{	/* SawMill/node2rtl.scm 217 */
								obj_t BgL_classz00_6309;

								BgL_classz00_6309 = BGl_sfunz00zzast_varz00;
								{	/* SawMill/node2rtl.scm 217 */
									BgL_objectz00_bglt BgL_arg1801z00_6310;

									{	/* SawMill/node2rtl.scm 217 */
										obj_t BgL_tmpz00_9129;

										BgL_tmpz00_9129 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2212z00_6308));
										BgL_arg1801z00_6310 =
											(BgL_objectz00_bglt) (BgL_tmpz00_9129);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawMill/node2rtl.scm 217 */
											long BgL_idxz00_6311;

											BgL_idxz00_6311 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_6310);
											BgL_test3141z00_9125 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_6311 + 3L)) == BgL_classz00_6309);
										}
									else
										{	/* SawMill/node2rtl.scm 217 */
											bool_t BgL_res2813z00_6314;

											{	/* SawMill/node2rtl.scm 217 */
												obj_t BgL_oclassz00_6315;

												{	/* SawMill/node2rtl.scm 217 */
													long BgL_arg1808z00_6316;

													{	/* SawMill/node2rtl.scm 217 */
														long BgL_arg1809z00_6317;

														BgL_arg1809z00_6317 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_6310);
														BgL_arg1808z00_6316 =
															(BgL_arg1809z00_6317 - OBJECT_TYPE);
													}
													BgL_oclassz00_6315 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1808z00_6316);
												}
												{	/* SawMill/node2rtl.scm 217 */
													bool_t BgL__ortest_1115z00_6318;

													BgL__ortest_1115z00_6318 =
														(BgL_classz00_6309 == BgL_oclassz00_6315);
													if (BgL__ortest_1115z00_6318)
														{	/* SawMill/node2rtl.scm 217 */
															BgL_res2813z00_6314 = BgL__ortest_1115z00_6318;
														}
													else
														{	/* SawMill/node2rtl.scm 217 */
															long BgL_odepthz00_6319;

															BgL_odepthz00_6319 =
																BGL_CLASS_DEPTH(BgL_oclassz00_6315);
															if ((3L < BgL_odepthz00_6319))
																{	/* SawMill/node2rtl.scm 217 */
																	obj_t BgL_arg1797z00_6320;

																	BgL_arg1797z00_6320 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6315,
																		3L);
																	BgL_res2813z00_6314 =
																		(BgL_arg1797z00_6320 == BgL_classz00_6309);
																}
															else
																{	/* SawMill/node2rtl.scm 217 */
																	BgL_res2813z00_6314 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3141z00_9125 = BgL_res2813z00_6314;
										}
								}
							}
						}
						if (BgL_test3141z00_9125)
							{	/* SawMill/node2rtl.scm 218 */
								BgL_rtl_loadfunz00_bglt BgL_arg2204z00_6321;

								{	/* SawMill/node2rtl.scm 218 */
									BgL_rtl_loadfunz00_bglt BgL_new1266z00_6322;

									{	/* SawMill/node2rtl.scm 218 */
										BgL_rtl_loadfunz00_bglt BgL_new1265z00_6323;

										BgL_new1265z00_6323 =
											((BgL_rtl_loadfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_rtl_loadfunz00_bgl))));
										{	/* SawMill/node2rtl.scm 218 */
											long BgL_arg2207z00_6324;

											BgL_arg2207z00_6324 =
												BGL_CLASS_NUM(BGl_rtl_loadfunz00zzsaw_defsz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1265z00_6323),
												BgL_arg2207z00_6324);
										}
										BgL_new1266z00_6322 = BgL_new1265z00_6323;
									}
									((((BgL_rtl_funz00_bglt) COBJECT(
													((BgL_rtl_funz00_bglt) BgL_new1266z00_6322)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									{
										BgL_globalz00_bglt BgL_auxz00_9155;

										{	/* SawMill/node2rtl.scm 218 */
											BgL_variablez00_bglt BgL_arg2206z00_6325;

											BgL_arg2206z00_6325 =
												(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_ez00_5732)))->
												BgL_variablez00);
											BgL_auxz00_9155 =
												BGl_getzd2globalzd2zzsaw_node2rtlz00((
													(BgL_globalz00_bglt) BgL_arg2206z00_6325));
										}
										((((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_new1266z00_6322))->
												BgL_varz00) =
											((BgL_globalz00_bglt) BgL_auxz00_9155), BUNSPEC);
									}
									BgL_arg2204z00_6321 = BgL_new1266z00_6322;
								}
								return
									BGl_singleza2za2zzsaw_node2rtlz00(
									((obj_t)
										((BgL_varz00_bglt) BgL_ez00_5732)),
									((BgL_rtl_funz00_bglt) BgL_arg2204z00_6321), BNIL);
							}
						else
							{	/* SawMill/node2rtl.scm 220 */
								BgL_rtl_loadgz00_bglt BgL_arg2208z00_6326;

								{	/* SawMill/node2rtl.scm 220 */
									BgL_rtl_loadgz00_bglt BgL_new1268z00_6327;

									{	/* SawMill/node2rtl.scm 220 */
										BgL_rtl_loadgz00_bglt BgL_new1267z00_6328;

										BgL_new1267z00_6328 =
											((BgL_rtl_loadgz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_rtl_loadgz00_bgl))));
										{	/* SawMill/node2rtl.scm 220 */
											long BgL_arg2211z00_6329;

											BgL_arg2211z00_6329 =
												BGL_CLASS_NUM(BGl_rtl_loadgz00zzsaw_defsz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1267z00_6328),
												BgL_arg2211z00_6329);
										}
										BgL_new1268z00_6327 = BgL_new1267z00_6328;
									}
									((((BgL_rtl_funz00_bglt) COBJECT(
													((BgL_rtl_funz00_bglt) BgL_new1268z00_6327)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									{
										BgL_globalz00_bglt BgL_auxz00_9171;

										{	/* SawMill/node2rtl.scm 220 */
											BgL_variablez00_bglt BgL_arg2210z00_6330;

											BgL_arg2210z00_6330 =
												(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_ez00_5732)))->
												BgL_variablez00);
											BgL_auxz00_9171 =
												BGl_getzd2globalzd2zzsaw_node2rtlz00((
													(BgL_globalz00_bglt) BgL_arg2210z00_6330));
										}
										((((BgL_rtl_loadgz00_bglt) COBJECT(BgL_new1268z00_6327))->
												BgL_varz00) =
											((BgL_globalz00_bglt) BgL_auxz00_9171), BUNSPEC);
									}
									BgL_arg2208z00_6326 = BgL_new1268z00_6327;
								}
								return
									BGl_singleza2za2zzsaw_node2rtlz00(
									((obj_t)
										((BgL_varz00_bglt) BgL_ez00_5732)),
									((BgL_rtl_funz00_bglt) BgL_arg2208z00_6326), BNIL);
							}
					}
			}
		}

	}



/* &node->rtl-atom1718 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2atom1718z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5733, obj_t BgL_ez00_5734)
	{
		{	/* SawMill/node2rtl.scm 209 */
			{	/* SawMill/node2rtl.scm 210 */
				BgL_rtl_loadiz00_bglt BgL_arg2190z00_6332;

				{	/* SawMill/node2rtl.scm 210 */
					BgL_rtl_loadiz00_bglt BgL_new1261z00_6333;

					{	/* SawMill/node2rtl.scm 210 */
						BgL_rtl_loadiz00_bglt BgL_new1260z00_6334;

						BgL_new1260z00_6334 =
							((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_loadiz00_bgl))));
						{	/* SawMill/node2rtl.scm 210 */
							long BgL_arg2192z00_6335;

							BgL_arg2192z00_6335 =
								BGL_CLASS_NUM(BGl_rtl_loadiz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1260z00_6334),
								BgL_arg2192z00_6335);
						}
						BgL_new1261z00_6333 = BgL_new1260z00_6334;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1261z00_6333)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_new1261z00_6333))->
							BgL_constantz00) =
						((BgL_atomz00_bglt) ((BgL_atomz00_bglt) BgL_ez00_5734)), BUNSPEC);
					BgL_arg2190z00_6332 = BgL_new1261z00_6333;
				}
				return
					BGl_singleza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_atomz00_bglt) BgL_ez00_5734)),
					((BgL_rtl_funz00_bglt) BgL_arg2190z00_6332), BNIL);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2905z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2905z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2905z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2905z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2905z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2905z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string2905z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzsync_nodez00(421078394L,
				BSTRING_TO_STRING(BGl_string2905z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2905z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2905z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string2905z00zzsaw_node2rtlz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_cplibz00(395792377L,
				BSTRING_TO_STRING(BGl_string2905z00zzsaw_node2rtlz00));
		}

	}

#ifdef __cplusplus
}
#endif
