/*===========================================================================*/
/*   (Unsafe/sha2.scm)                                                       */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Unsafe/sha2.scm -o objs/obj_p/Unsafe/sha2.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___SHA2_TYPE_DEFINITIONS
#define BGL___SHA2_TYPE_DEFINITIONS
#endif // BGL___SHA2_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_sha512zd2internalzd2transformz00zz__sha2z00(obj_t, obj_t);
static obj_t BGl_sha256zd2updatezd2zz__sha2z00(obj_t, obj_t, obj_t, obj_t);
static uint32_t BGl_rotr32z00zz__sha2z00(uint32_t, int);
static obj_t BGl_z62zc3z04anonymousza31612ze3ze5zz__sha2z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2filezd2zz__sha2z00(obj_t);
static obj_t BGl_state64zd2ze3stringz31zz__sha2z00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__sha2z00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2portzd2zz__sha2z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha512sumz00zz__sha2z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31937ze3ze5zz__sha2z00(obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sha2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2mmapzd2zz__sha2z00(obj_t);
extern obj_t BGl_openzd2mmapzd2zz__mmapz00(obj_t, obj_t, obj_t);
static uint64_t BGl_rotr64z00zz__sha2z00(uint64_t, int);
static obj_t BGl_z62sha512sumzd2stringzb0zz__sha2z00(obj_t, obj_t);
static long BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00(obj_t, obj_t, long, obj_t, long);
static obj_t BGl_z62zc3z04anonymousza31938ze3ze5zz__sha2z00(obj_t);
static obj_t BGl_z62sha256sumzd2stringzb0zz__sha2z00(obj_t, obj_t);
static uint64_t BGl_compressze70ze7zz__sha2z00(uint64_t, uint64_t, uint64_t, uint64_t, uint64_t, long);
static uint32_t BGl_compressze71ze7zz__sha2z00(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, long);
static long BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00(obj_t, obj_t, long, obj_t, long);
static uint32_t BGl_addu32z00zz__sha2z00(uint32_t, uint32_t);
static obj_t BGl_toplevelzd2initzd2zz__sha2z00(void);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00(obj_t, obj_t, obj_t);
static long BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00(obj_t, obj_t, long, obj_t, long);
static obj_t BGl_z62sha512sumzd2filezb0zz__sha2z00(obj_t, obj_t);
static long BGl_u32mmapzd2refze70z35zz__sha2z00(obj_t, obj_t, long);
static long BGl_u32mmapzd2refze71z35zz__sha2z00(obj_t, long);
static obj_t BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00(obj_t, obj_t, obj_t);
static long BGl_u32stringzd2refze70z35zz__sha2z00(obj_t, long);
static long BGl_u32stringzd2refze71z35zz__sha2z00(obj_t, long);
static uint64_t BGl_xfzd2refze70z35zz__sha2z00(obj_t, long);
static uint32_t BGl_xfzd2refze71z35zz__sha2z00(obj_t, long);
static obj_t BGl_genericzd2initzd2zz__sha2z00(void);
static obj_t BGl_z62sha512sumzd2portzb0zz__sha2z00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__sha2z00(void);
static obj_t BGl_gczd2rootszd2initz00zz__sha2z00(void);
static obj_t BGl_objectzd2initzd2zz__sha2z00(void);
static uint64_t BGl_get64zd2azd2zz__sha2z00(obj_t);
static uint64_t BGl_get64zd2bzd2zz__sha2z00(obj_t);
static uint64_t BGl_get64zd2czd2zz__sha2z00(obj_t);
static uint64_t BGl_get64zd2dzd2zz__sha2z00(obj_t);
static uint64_t BGl_get64zd2ezd2zz__sha2z00(obj_t);
static uint64_t BGl_get64zd2fzd2zz__sha2z00(obj_t);
extern obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t, obj_t, obj_t);
static uint64_t BGl_get64zd2gzd2zz__sha2z00(obj_t);
static uint64_t BGl_get64zd2hzd2zz__sha2z00(obj_t);
static obj_t BGl_z62sha512sumzd2mmapzb0zz__sha2z00(obj_t, obj_t);
extern obj_t BGl_makezd2u32vectorzd2zz__srfi4z00(long, uint32_t);
static uint64_t BGl_Majze70ze7zz__sha2z00(uint64_t, uint64_t, uint64_t);
static uint32_t BGl_Majze71ze7zz__sha2z00(uint32_t, uint32_t, uint32_t);
static uint32_t BGl_Sigma0zd2256zd2zz__sha2z00(uint32_t);
extern obj_t BGl_makezd2u64vectorzd2zz__srfi4z00(long, uint64_t);
static uint32_t BGl_sigma0zd2256zd2zz__sha2z00(uint32_t);
static uint64_t BGl_Sigma0zd2512zd2zz__sha2z00(uint64_t);
static obj_t BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00(void);
BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2filezd2zz__sha2z00(obj_t);
static obj_t BGl_z62sha256sumzd2filezb0zz__sha2z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__sha2z00(void);
static uint64_t BGl_sigma0zd2512zd2zz__sha2z00(uint64_t);
extern obj_t blit_string(obj_t, long, obj_t, long, long);
static obj_t BGl_z62sha256sumz62zz__sha2z00(obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__sha2z00(void);
BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2portzd2zz__sha2z00(obj_t);
static obj_t BGl_statezd2ze3stringz31zz__sha2z00(obj_t);
static obj_t BGl_z62sha256sumzd2portzb0zz__sha2z00(obj_t, obj_t);
static uint32_t BGl_Sigma1zd2256zd2zz__sha2z00(uint32_t);
static long BGl_z62fillzd2word32zd2portz12z70zz__sha2z00(obj_t, obj_t, long, obj_t, long);
static obj_t BGl_u32zd2fillz12zc0zz__sha2z00(obj_t, long, uint32_t);
BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2mmapzd2zz__sha2z00(obj_t);
static obj_t BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00(void);
extern obj_t make_string(long, unsigned char);
static obj_t BGl_K256z00zz__sha2z00 = BUNSPEC;
extern obj_t bgl_close_input_port(obj_t);
static obj_t BGl_z62sha256sumzd2mmapzb0zz__sha2z00(obj_t, obj_t);
static obj_t BGl_sha256zd2internalzd2transformz00zz__sha2z00(obj_t, obj_t);
static uint32_t BGl_sigma1zd2256zd2zz__sha2z00(uint32_t);
BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2stringzd2zz__sha2z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2stringzd2zz__sha2z00(obj_t);
static long BGl_z62fillzd2word64zd2portz12z70zz__sha2z00(obj_t, obj_t, long, obj_t, long);
static obj_t BGl_u64zd2fillz12zc0zz__sha2z00(obj_t, long, uint64_t);
extern obj_t BGl_readzd2bytezd2zz__r4_input_6_10_2z00(obj_t);
static uint64_t BGl_Sigma1zd2512zd2zz__sha2z00(uint64_t);
static obj_t BGl_z62sha512sumz62zz__sha2z00(obj_t, obj_t);
static obj_t BGl_K512z00zz__sha2z00 = BUNSPEC;
static obj_t BGl_sha512zd2updatezd2zz__sha2z00(obj_t, obj_t, obj_t, obj_t);
static long BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00(obj_t, obj_t, long, obj_t, long);
static uint64_t BGl_sigma1zd2512zd2zz__sha2z00(uint64_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31611ze3ze5zz__sha2z00(obj_t);
static uint32_t BGl_getzd2azd2zz__sha2z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha256sumz00zz__sha2z00(obj_t);
static uint32_t BGl_getzd2bzd2zz__sha2z00(obj_t);
static uint32_t BGl_getzd2czd2zz__sha2z00(obj_t);
static uint32_t BGl_getzd2dzd2zz__sha2z00(obj_t);
static uint32_t BGl_getzd2ezd2zz__sha2z00(obj_t);
static uint32_t BGl_getzd2fzd2zz__sha2z00(obj_t);
static uint32_t BGl_getzd2gzd2zz__sha2z00(obj_t);
static uint32_t BGl_getzd2hzd2zz__sha2z00(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha512sumzd2stringzd2envz00zz__sha2z00, BgL_bgl_za762sha512sumza7d2s2311z00, BGl_z62sha512sumzd2stringzb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha256sumzd2portzd2envz00zz__sha2z00, BgL_bgl_za762sha256sumza7d2p2312z00, BGl_z62sha256sumzd2portzb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha512sumzd2filezd2envz00zz__sha2z00, BgL_bgl_za762sha512sumza7d2f2313z00, BGl_z62sha512sumzd2filezb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2300z00zz__sha2z00, BgL_bgl_string2300za700za7za7_2314za7, "sha256sum", 9 );
DEFINE_STRING( BGl_string2301z00zz__sha2z00, BgL_bgl_string2301za700za7za7_2315za7, "Illegal argument", 16 );
DEFINE_STRING( BGl_string2302z00zz__sha2z00, BgL_bgl_string2302za700za7za7_2316za7, "&sha512sum-mmap", 15 );
DEFINE_STRING( BGl_string2304z00zz__sha2z00, BgL_bgl_string2304za700za7za7_2317za7, "&sha512sum-string", 17 );
DEFINE_STRING( BGl_string2305z00zz__sha2z00, BgL_bgl_string2305za700za7za7_2318za7, "&sha512sum-port", 15 );
DEFINE_STRING( BGl_string2306z00zz__sha2z00, BgL_bgl_string2306za700za7za7_2319za7, "&sha512sum-file", 15 );
DEFINE_STRING( BGl_string2307z00zz__sha2z00, BgL_bgl_string2307za700za7za7_2320za7, "sha512sum", 9 );
DEFINE_STRING( BGl_string2308z00zz__sha2z00, BgL_bgl_string2308za700za7za7_2321za7, "&hmac-sha256sum-string", 22 );
DEFINE_STRING( BGl_string2309z00zz__sha2z00, BgL_bgl_string2309za700za7za7_2322za7, "&hmac-sha512sum-string", 22 );
DEFINE_BGL_L_PROCEDURE(BGl_proc2303z00zz__sha2z00, BgL_bgl_za762fillza7d2word642323z00, BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00 );
DEFINE_STRING( BGl_string2310z00zz__sha2z00, BgL_bgl_string2310za700za7za7_2324za7, "__sha2", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha256sumzd2stringzd2envz00zz__sha2z00, BgL_bgl_za762sha256sumza7d2s2325z00, BGl_z62sha256sumzd2stringzb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha512sumzd2envzd2zz__sha2z00, BgL_bgl_za762sha512sumza762za72326za7, BGl_z62sha512sumz62zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha256sumzd2envzd2zz__sha2z00, BgL_bgl_za762sha256sumza762za72327za7, BGl_z62sha256sumz62zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha512sumzd2portzd2envz00zz__sha2z00, BgL_bgl_za762sha512sumza7d2p2328z00, BGl_z62sha512sumzd2portzb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2291z00zz__sha2z00, BgL_bgl_string2291za700za7za7_2329za7, "/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/runtime/Unsafe/sha2.scm", 75 );
DEFINE_STRING( BGl_string2292z00zz__sha2z00, BgL_bgl_string2292za700za7za7_2330za7, "&sha256sum-mmap", 15 );
DEFINE_STRING( BGl_string2293z00zz__sha2z00, BgL_bgl_string2293za700za7za7_2331za7, "mmap", 4 );
DEFINE_STRING( BGl_string2295z00zz__sha2z00, BgL_bgl_string2295za700za7za7_2332za7, "&sha256sum-string", 17 );
DEFINE_STRING( BGl_string2296z00zz__sha2z00, BgL_bgl_string2296za700za7za7_2333za7, "bstring", 7 );
DEFINE_STRING( BGl_string2297z00zz__sha2z00, BgL_bgl_string2297za700za7za7_2334za7, "&sha256sum-port", 15 );
DEFINE_STRING( BGl_string2298z00zz__sha2z00, BgL_bgl_string2298za700za7za7_2335za7, "input-port", 10 );
DEFINE_STRING( BGl_string2299z00zz__sha2z00, BgL_bgl_string2299za700za7za7_2336za7, "&sha256sum-file", 15 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha256sumzd2mmapzd2envz00zz__sha2z00, BgL_bgl_za762sha256sumza7d2m2337z00, BGl_z62sha256sumzd2mmapzb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_BGL_L_PROCEDURE(BGl_proc2290z00zz__sha2z00, BgL_bgl_za762fillza7d2word322338z00, BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00 );
DEFINE_BGL_L_PROCEDURE(BGl_proc2294z00zz__sha2z00, BgL_bgl_za762fillza7d2word322339z00, BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_hmaczd2sha512sumzd2stringzd2envzd2zz__sha2z00, BgL_bgl_za762hmacza7d2sha5122340z00, BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha256sumzd2filezd2envz00zz__sha2z00, BgL_bgl_za762sha256sumza7d2f2341z00, BGl_z62sha256sumzd2filezb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_hmaczd2sha256sumzd2stringzd2envzd2zz__sha2z00, BgL_bgl_za762hmacza7d2sha2562342z00, BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha512sumzd2mmapzd2envz00zz__sha2z00, BgL_bgl_za762sha512sumza7d2m2343z00, BGl_z62sha512sumzd2mmapzb0zz__sha2z00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__sha2z00) );
ADD_ROOT( (void *)(&BGl_K256z00zz__sha2z00) );
ADD_ROOT( (void *)(&BGl_K512z00zz__sha2z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Unsafe/sha2.scm\" 2790) \"BGl_toplevelzd2initzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"addu32\" \"Unsafe/sha2.scm\" 7572) \"BGl_addu32z00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"rotr32\" \"Unsafe/sha2.scm\" 8933) \"BGl_rotr32z00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"rotr64\" \"Unsafe/sha2.scm\" 9258) \"BGl_rotr64z00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32-fill!\" \"Unsafe/sha2.scm\" 9583) \"BGl_u32zd2fillz12zc0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u64-fill!\" \"Unsafe/sha2.scm\" 10134) \"BGl_u64zd2fillz12zc0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"state->string\" \"Unsafe/sha2.scm\" 10978) \"BGl_statezd2ze3stringz31zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"state64->string\" \"Unsafe/sha2.scm\" 11661) \"BGl_state64zd2ze3stringz31zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256-initial-hash-value\" \"Unsafe/sha2.scm\" 17253) \"BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512-initial-hash-value\" \"Unsafe/sha2.scm\" 17931) \"BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"Sigma0-256\" \"Unsafe/sha2.scm\" 23952) \"BGl_Sigma0zd2256zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sigma0-256\" \"Unsafe/sha2.scm\" 24270) \"BGl_sigma0zd2256zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"Sigma1-256\" \"Unsafe/sha2.scm\" 24592) \"BGl_Sigma1zd2256zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sigma1-256\" \"Unsafe/sha2.scm\" 24910) \"BGl_sigma1zd2256zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"Sigma0-512\" \"Unsafe/sha2.scm\" 25234) \"BGl_Sigma0zd2512zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"Sigma1-512\" \"Unsafe/sha2.scm\" 25555) \"BGl_Sigma1zd2512zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sigma0-512\" \"Unsafe/sha2.scm\" 25876) \"BGl_sigma0zd2512zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sigma1-512\" \"Unsafe/sha2.scm\" 26199) \"BGl_sigma1zd2512zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-a\" \"Unsafe/sha2.scm\" 26524) \"BGl_getzd2azd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-b\" \"Unsafe/sha2.scm\" 26573) \"BGl_getzd2bzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-c\" \"Unsafe/sha2.scm\" 26622) \"BGl_getzd2czd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-d\" \"Unsafe/sha2.scm\" 26671) \"BGl_getzd2dzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-e\" \"Unsafe/sha2.scm\" 26720) \"BGl_getzd2ezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-f\" \"Unsafe/sha2.scm\" 26769) \"BGl_getzd2fzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-g\" \"Unsafe/sha2.scm\" 26818) \"BGl_getzd2gzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-h\" \"Unsafe/sha2.scm\" 26867) \"BGl_getzd2hzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256-internal-transform\" \"Unsafe/sha2.scm\" 27139) \"BGl_sha256zd2internalzd2transformz00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"xf-ref~1\" \"Unsafe/sha2.scm\" 27661) \"BGl_xfzd2refze71z35zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"compress~1\" \"Unsafe/sha2.scm\" 27567) \"BGl_compressze71ze7zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"Maj~1\" \"Unsafe/sha2.scm\" 27335) \"BGl_Majze71ze7zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256-update\" \"Unsafe/sha2.scm\" 29588) \"BGl_sha256zd2updatezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256sum-mmap\" \"Unsafe/sha2.scm\" 31097) \"BGl_sha256sumzd2mmapzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha256sum-mmap\" \"Unsafe/sha2.scm\" 31097) \"BGl_z62sha256sumzd2mmapzb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&fill-word32-mmap!\" \"Unsafe/sha2.scm\" 32215) \"BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32mmap-ref~1\" \"Unsafe/sha2.scm\" 31216) \"BGl_u32mmapzd2refze71z35zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256sum-string\" \"Unsafe/sha2.scm\" 32608) \"BGl_sha256sumzd2stringzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha256sum-string\" \"Unsafe/sha2.scm\" 32608) \"BGl_z62sha256sumzd2stringzb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&fill-word32-string!\" \"Unsafe/sha2.scm\" 33743) \"BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32string-ref~1\" \"Unsafe/sha2.scm\" 32723) \"BGl_u32stringzd2refze71z35zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256sum-port\" \"Unsafe/sha2.scm\" 34139) \"BGl_sha256sumzd2portzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha256sum-port\" \"Unsafe/sha2.scm\" 34139) \"BGl_z62sha256sumzd2portzb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&fill-word32-port!\" \"Unsafe/sha2.scm\" 35599) \"BGl_z62fillzd2word32zd2portz12z70zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256sum-file\" \"Unsafe/sha2.scm\" 35991) \"BGl_sha256sumzd2filezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha256sum-file\" \"Unsafe/sha2.scm\" 35991) \"BGl_z62sha256sumzd2filezb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1611>\" \"Unsafe/sha2.scm\" 36089) \"BGl_z62zc3z04anonymousza31611ze3ze5zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1612>\" \"Unsafe/sha2.scm\" 36198) \"BGl_z62zc3z04anonymousza31612ze3ze5zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256sum\" \"Unsafe/sha2.scm\" 36486) \"BGl_sha256sumz00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha256sum\" \"Unsafe/sha2.scm\" 36486) \"BGl_z62sha256sumz62zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-a\" \"Unsafe/sha2.scm\" 36961) \"BGl_get64zd2azd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-b\" \"Unsafe/sha2.scm\" 37012) \"BGl_get64zd2bzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-c\" \"Unsafe/sha2.scm\" 37063) \"BGl_get64zd2czd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-d\" \"Unsafe/sha2.scm\" 37114) \"BGl_get64zd2dzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-e\" \"Unsafe/sha2.scm\" 37165) \"BGl_get64zd2ezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-f\" \"Unsafe/sha2.scm\" 37216) \"BGl_get64zd2fzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-g\" \"Unsafe/sha2.scm\" 37267) \"BGl_get64zd2gzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-h\" \"Unsafe/sha2.scm\" 37318) \"BGl_get64zd2hzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512-internal-transform\" \"Unsafe/sha2.scm\" 37592) \"BGl_sha512zd2internalzd2transformz00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"xf-ref~0\" \"Unsafe/sha2.scm\" 38116) \"BGl_xfzd2refze70z35zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"compress~0\" \"Unsafe/sha2.scm\" 38022) \"BGl_compressze70ze7zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"Maj~0\" \"Unsafe/sha2.scm\" 37790) \"BGl_Majze70ze7zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512-update\" \"Unsafe/sha2.scm\" 40075) \"BGl_sha512zd2updatezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512sum-mmap\" \"Unsafe/sha2.scm\" 41588) \"BGl_sha512sumzd2mmapzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha512sum-mmap\" \"Unsafe/sha2.scm\" 41588) \"BGl_z62sha512sumzd2mmapzb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&fill-word64-mmap!\" \"Unsafe/sha2.scm\" 43103) \"BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32mmap-ref~0\" \"Unsafe/sha2.scm\" 41700) \"BGl_u32mmapzd2refze70z35zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512sum-string\" \"Unsafe/sha2.scm\" 43498) \"BGl_sha512sumzd2stringzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha512sum-string\" \"Unsafe/sha2.scm\" 43498) \"BGl_z62sha512sumzd2stringzb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&fill-word64-string!\" \"Unsafe/sha2.scm\" 45047) \"BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32string-ref~0\" \"Unsafe/sha2.scm\" 43613) \"BGl_u32stringzd2refze70z35zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512sum-port\" \"Unsafe/sha2.scm\" 45445) \"BGl_sha512sumzd2portzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha512sum-port\" \"Unsafe/sha2.scm\" 45445) \"BGl_z62sha512sumzd2portzb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&fill-word64-port!\" \"Unsafe/sha2.scm\" 47281) \"BGl_z62fillzd2word64zd2portz12z70zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512sum-file\" \"Unsafe/sha2.scm\" 47675) \"BGl_sha512sumzd2filezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha512sum-file\" \"Unsafe/sha2.scm\" 47675) \"BGl_z62sha512sumzd2filezb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1937>\" \"Unsafe/sha2.scm\" 47773) \"BGl_z62zc3z04anonymousza31937ze3ze5zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1938>\" \"Unsafe/sha2.scm\" 47882) \"BGl_z62zc3z04anonymousza31938ze3ze5zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512sum\" \"Unsafe/sha2.scm\" 48170) \"BGl_sha512sumz00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha512sum\" \"Unsafe/sha2.scm\" 48170) \"BGl_z62sha512sumz62zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"hmac-sha256sum-string\" \"Unsafe/sha2.scm\" 48645) \"BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&hmac-sha256sum-string\" \"Unsafe/sha2.scm\" 48645) \"BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"hmac-sha512sum-string\" \"Unsafe/sha2.scm\" 48951) \"BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&hmac-sha512sum-string\" \"Unsafe/sha2.scm\" 48951) \"BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sha2z00(long BgL_checksumz00_4363, char * BgL_fromz00_4364)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__sha2z00))
{ 
BGl_requirezd2initializa7ationz75zz__sha2z00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__sha2z00(); 
BGl_importedzd2moduleszd2initz00zz__sha2z00(); 
BGl_toplevelzd2initzd2zz__sha2z00(); 
return 
BGl_profzd2initzd2zz__sha2z00();}  else 
{ 
return BUNSPEC;} } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__sha2z00(void)
{
{ /* Unsafe/sha2.scm 50 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__sha2z00(void)
{
{ /* Unsafe/sha2.scm 50 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__sha2z00(void)
{
{ /* Unsafe/sha2.scm 50 */
{ /* Unsafe/sha2.scm 339 */
 obj_t BgL_vz00_1361;
{ /* Llib/srfi4.scm 451 */

BgL_vz00_1361 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(64L, (uint32_t)(0)); } 
BGL_U32VSET(BgL_vz00_1361, 0L, (uint32_t)(1116352408)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 1L, (uint32_t)(1899447441)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 2L, (uint32_t)(3049323471)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 3L, (uint32_t)(3921009573)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 4L, (uint32_t)(961987163)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 5L, (uint32_t)(1508970993)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 6L, (uint32_t)(2453635748)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 7L, (uint32_t)(2870763221)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 8L, (uint32_t)(3624381080)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 9L, (uint32_t)(310598401)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 10L, (uint32_t)(607225278)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 11L, (uint32_t)(1426881987)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 12L, (uint32_t)(1925078388)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 13L, (uint32_t)(2162078206)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 14L, (uint32_t)(2614888103)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 15L, (uint32_t)(3248222580)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 16L, (uint32_t)(3835390401)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 17L, (uint32_t)(4022224774)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 18L, (uint32_t)(264347078)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 19L, (uint32_t)(604807628)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 20L, (uint32_t)(770255983)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 21L, (uint32_t)(1249150122)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 22L, (uint32_t)(1555081692)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 23L, (uint32_t)(1996064986)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 24L, (uint32_t)(2554220882)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 25L, (uint32_t)(2821834349)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 26L, (uint32_t)(2952996808)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 27L, (uint32_t)(3210313671)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 28L, (uint32_t)(3336571891)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 29L, (uint32_t)(3584528711)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 30L, (uint32_t)(113926993)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 31L, (uint32_t)(338241895)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 32L, (uint32_t)(666307205)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 33L, (uint32_t)(773529912)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 34L, (uint32_t)(1294757372)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 35L, (uint32_t)(1396182291)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 36L, (uint32_t)(1695183700)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 37L, (uint32_t)(1986661051)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 38L, (uint32_t)(2177026350)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 39L, (uint32_t)(2456956037)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 40L, (uint32_t)(2730485921)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 41L, (uint32_t)(2820302411)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 42L, (uint32_t)(3259730800)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 43L, (uint32_t)(3345764771)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 44L, (uint32_t)(3516065817)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 45L, (uint32_t)(3600352804)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 46L, (uint32_t)(4094571909)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 47L, (uint32_t)(275423344)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 48L, (uint32_t)(430227734)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 49L, (uint32_t)(506948616)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 50L, (uint32_t)(659060556)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 51L, (uint32_t)(883997877)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 52L, (uint32_t)(958139571)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 53L, (uint32_t)(1322822218)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 54L, (uint32_t)(1537002063)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 55L, (uint32_t)(1747873779)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 56L, (uint32_t)(1955562222)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 57L, (uint32_t)(2024104815)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 58L, (uint32_t)(2227730452)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 59L, (uint32_t)(2361852424)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 60L, (uint32_t)(2428436474)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 61L, (uint32_t)(2756734187)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 62L, (uint32_t)(3204031479)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1361, 63L, (uint32_t)(3329325298)); BUNSPEC; 
BGl_K256z00zz__sha2z00 = BgL_vz00_1361; } 
{ /* Unsafe/sha2.scm 440 */
 obj_t BgL_vz00_1364;
{ /* Llib/srfi4.scm 453 */

BgL_vz00_1364 = 
BGl_makezd2u64vectorzd2zz__srfi4z00(80L, (uint64_t)(0)); } 
BGL_U64VSET(BgL_vz00_1364, 0L, (uint64_t)(4794697086780616226)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 1L, (uint64_t)(8158064640168781261)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 2L, (uint64_t)(-5349999486874862801)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 3L, (uint64_t)(-1606136188198331460)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 4L, (uint64_t)(4131703408338449720)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 5L, (uint64_t)(6480981068601479193)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 6L, (uint64_t)(-7908458776815382629)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 7L, (uint64_t)(-6116909921290321640)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 8L, (uint64_t)(-2880145864133508542)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 9L, (uint64_t)(1334009975649890238)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 10L, (uint64_t)(2608012711638119052)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 11L, (uint64_t)(6128411473006802146)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 12L, (uint64_t)(8268148722764581231)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 13L, (uint64_t)(-9160688886553864527)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 14L, (uint64_t)(-7215885187991268811)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 15L, (uint64_t)(-4495734319001033068)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 16L, (uint64_t)(-1973867731355612462)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 17L, (uint64_t)(-1171420211273849373)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 18L, (uint64_t)(1135362057144423861)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 19L, (uint64_t)(2597628984639134821)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 20L, (uint64_t)(3308224258029322869)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 21L, (uint64_t)(5365058923640841347)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 22L, (uint64_t)(6679025012923562964)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 23L, (uint64_t)(8573033837759648693)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 24L, (uint64_t)(-7476448914759557205)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 25L, (uint64_t)(-6327057829258317296)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 26L, (uint64_t)(-5763719355590565569)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 27L, (uint64_t)(-4658551843659510044)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 28L, (uint64_t)(-4116276920077217854)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 29L, (uint64_t)(-3051310485924567259)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 30L, (uint64_t)(489312712824947311)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 31L, (uint64_t)(1452737877330783856)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 32L, (uint64_t)(2861767655752347644)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 33L, (uint64_t)(3322285676063803686)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 34L, (uint64_t)(5560940570517711597)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 35L, (uint64_t)(5996557281743188959)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 36L, (uint64_t)(7280758554555802590)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 37L, (uint64_t)(8532644243296465576)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 38L, (uint64_t)(-9096487096722542874)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 39L, (uint64_t)(-7894198246740708037)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 40L, (uint64_t)(-6719396339535248540)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 41L, (uint64_t)(-6333637450476146687)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 42L, (uint64_t)(-4446306890439682159)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 43L, (uint64_t)(-4076793802049405392)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 44L, (uint64_t)(-3345356375505022440)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 45L, (uint64_t)(-2983346525034927856)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 46L, (uint64_t)(-860691631967231958)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 47L, (uint64_t)(1182934255886127544)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 48L, (uint64_t)(1847814050463011016)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 49L, (uint64_t)(2177327727835720531)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 50L, (uint64_t)(2830643537854262169)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 51L, (uint64_t)(3796741975233480872)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 52L, (uint64_t)(4115178125766777443)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 53L, (uint64_t)(5681478168544905931)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 54L, (uint64_t)(6601373596472566643)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 55L, (uint64_t)(7507060721942968483)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 56L, (uint64_t)(8399075790359081724)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 57L, (uint64_t)(8693463985226723168)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 58L, (uint64_t)(-8878714635349349518)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 59L, (uint64_t)(-8302665154208450068)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 60L, (uint64_t)(-8016688836872298968)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 61L, (uint64_t)(-6606660893046293015)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 62L, (uint64_t)(-4685533653050689259)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 63L, (uint64_t)(-4147400797238176981)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 64L, (uint64_t)(-3880063495543823972)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 65L, (uint64_t)(-3348786107499101689)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 66L, (uint64_t)(-1523767162380948706)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 67L, (uint64_t)(-757361751448694408)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 68L, (uint64_t)(500013540394364858)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 69L, (uint64_t)(748580250866718886)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 70L, (uint64_t)(1242879168328830382)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 71L, (uint64_t)(1977374033974150939)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 72L, (uint64_t)(2944078676154940804)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 73L, (uint64_t)(3659926193048069267)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 74L, (uint64_t)(4368137639120453308)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 75L, (uint64_t)(4836135668995329356)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 76L, (uint64_t)(5532061633213252278)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 77L, (uint64_t)(6448918945643986474)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 78L, (uint64_t)(6902733635092675308)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1364, 79L, (uint64_t)(7801388544844847127)); BUNSPEC; 
return ( 
BGl_K512z00zz__sha2z00 = BgL_vz00_1364, BUNSPEC) ;} } 

}



/* addu32 */
uint32_t BGl_addu32z00zz__sha2z00(uint32_t BgL_n1z00_3, uint32_t BgL_n2z00_4)
{
{ /* Unsafe/sha2.scm 185 */
{ /* Unsafe/sha2.scm 186 */
 uint32_t BgL_h1z00_1375;
BgL_h1z00_1375 = 
(BgL_n1z00_3 >> 
(int)(16L)); 
{ /* Unsafe/sha2.scm 186 */
 uint32_t BgL_h2z00_1376;
BgL_h2z00_1376 = 
(BgL_n2z00_4 >> 
(int)(16L)); 
{ /* Unsafe/sha2.scm 187 */
 uint32_t BgL_hz00_1377;
{ /* Unsafe/sha2.scm 188 */
 uint32_t BgL_arg1262z00_1384; uint32_t BgL_arg1263z00_1385;
BgL_arg1262z00_1384 = 
(uint32_t)(65535L); 
BgL_arg1263z00_1385 = 
(BgL_h1z00_1375+BgL_h2z00_1376); 
BgL_hz00_1377 = 
(BgL_arg1262z00_1384 & BgL_arg1263z00_1385); } 
{ /* Unsafe/sha2.scm 188 */
 uint32_t BgL_l1z00_1378;
{ /* Unsafe/sha2.scm 189 */
 uint32_t BgL_arg1261z00_1383;
BgL_arg1261z00_1383 = 
(uint32_t)(65535L); 
BgL_l1z00_1378 = 
(BgL_n1z00_3 & BgL_arg1261z00_1383); } 
{ /* Unsafe/sha2.scm 189 */
 uint32_t BgL_l2z00_1379;
{ /* Unsafe/sha2.scm 190 */
 uint32_t BgL_arg1258z00_1382;
BgL_arg1258z00_1382 = 
(uint32_t)(65535L); 
BgL_l2z00_1379 = 
(BgL_n2z00_4 & BgL_arg1258z00_1382); } 
{ /* Unsafe/sha2.scm 192 */

return 
(
(BgL_hz00_1377 << 
(int)(16L))+
(BgL_l1z00_1378+BgL_l2z00_1379));} } } } } } } 

}



/* rotr32 */
uint32_t BGl_rotr32z00zz__sha2z00(uint32_t BgL_xz00_5, int BgL_nz00_6)
{
{ /* Unsafe/sha2.scm 224 */
return 
(
(BgL_xz00_5 >> 
(int)(
(long)(BgL_nz00_6))) | 
(BgL_xz00_5 << 
(int)(
(32L-
(long)(BgL_nz00_6)))));} 

}



/* rotr64 */
uint64_t BGl_rotr64z00zz__sha2z00(uint64_t BgL_xz00_7, int BgL_nz00_8)
{
{ /* Unsafe/sha2.scm 230 */
return 
(
(BgL_xz00_7 >> 
(int)(
(long)(BgL_nz00_8))) | 
(BgL_xz00_7 << 
(int)(
(64L-
(long)(BgL_nz00_8)))));} 

}



/* u32-fill! */
obj_t BGl_u32zd2fillz12zc0zz__sha2z00(obj_t BgL_strz00_9, long BgL_offsetz00_10, uint32_t BgL_wz00_11)
{
{ /* Unsafe/sha2.scm 236 */
{ /* Unsafe/sha2.scm 237 */
 obj_t BgL_s1z00_1392;
{ /* Unsafe/sha2.scm 237 */
 long BgL_arg1290z00_1404;
{ /* Unsafe/sha2.scm 237 */
 uint32_t BgL_tmpz00_4551;
BgL_tmpz00_4551 = 
(BgL_wz00_11 >> 
(int)(16L)); 
BgL_arg1290z00_1404 = 
(long)(BgL_tmpz00_4551); } 
BgL_s1z00_1392 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1290z00_1404, 16L); } 
{ /* Unsafe/sha2.scm 237 */
 long BgL_l1z00_1393;
BgL_l1z00_1393 = 
STRING_LENGTH(BgL_s1z00_1392); 
{ /* Unsafe/sha2.scm 238 */
 obj_t BgL_s2z00_1394;
{ /* Unsafe/sha2.scm 239 */
 long BgL_arg1280z00_1401;
{ /* Unsafe/sha2.scm 239 */
 uint32_t BgL_arg1286z00_1402;
BgL_arg1286z00_1402 = 
(BgL_wz00_11 & 
((uint32_t)(65536)-
(uint32_t)(1L))); 
BgL_arg1280z00_1401 = 
(long)(BgL_arg1286z00_1402); } 
BgL_s2z00_1394 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1280z00_1401, 16L); } 
{ /* Unsafe/sha2.scm 239 */
 long BgL_l2z00_1395;
BgL_l2z00_1395 = 
STRING_LENGTH(BgL_s2z00_1394); 
{ /* Unsafe/sha2.scm 240 */

blit_string(BgL_s1z00_1392, 0L, BgL_strz00_9, 
(BgL_offsetz00_10+
(4L-BgL_l1z00_1393)), BgL_l1z00_1393); 
return 
blit_string(BgL_s2z00_1394, 0L, BgL_strz00_9, 
(BgL_offsetz00_10+
(4L+
(4L-BgL_l2z00_1395))), BgL_l2z00_1395);} } } } } } 

}



/* u64-fill! */
obj_t BGl_u64zd2fillz12zc0zz__sha2z00(obj_t BgL_strz00_12, long BgL_offsetz00_13, uint64_t BgL_wz00_14)
{
{ /* Unsafe/sha2.scm 247 */
{ /* Unsafe/sha2.scm 248 */
 obj_t BgL_s1z00_1406;
{ /* Unsafe/sha2.scm 248 */
 long BgL_arg1330z00_1446;
{ /* Unsafe/sha2.scm 248 */
 long BgL_arg1331z00_1447;
{ /* Unsafe/sha2.scm 248 */
 uint32_t BgL_arg1333z00_1448;
{ /* Unsafe/sha2.scm 248 */
 uint32_t BgL_arg1334z00_1449;
{ /* Unsafe/sha2.scm 248 */
 uint64_t BgL_tmpz00_4570;
BgL_tmpz00_4570 = 
(BgL_wz00_14 >> 
(int)(32L)); 
BgL_arg1334z00_1449 = 
(uint32_t)(BgL_tmpz00_4570); } 
BgL_arg1333z00_1448 = 
(BgL_arg1334z00_1449 >> 
(int)(16L)); } 
BgL_arg1331z00_1447 = 
(long)(BgL_arg1333z00_1448); } 
{ /* Unsafe/sha2.scm 248 */
 uint32_t BgL_xz00_2979;
BgL_xz00_2979 = 
(uint32_t)(BgL_arg1331z00_1447); 
BgL_arg1330z00_1446 = 
(long)(BgL_xz00_2979); } } 
BgL_s1z00_1406 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1330z00_1446, 16L); } 
{ /* Unsafe/sha2.scm 248 */
 long BgL_l1z00_1407;
BgL_l1z00_1407 = 
STRING_LENGTH(BgL_s1z00_1406); 
{ /* Unsafe/sha2.scm 249 */
 obj_t BgL_s2z00_1408;
{ /* Unsafe/sha2.scm 250 */
 long BgL_arg1321z00_1440;
{ /* Unsafe/sha2.scm 250 */
 long BgL_arg1325z00_1441;
{ /* Unsafe/sha2.scm 250 */
 uint32_t BgL_arg1326z00_1442;
{ /* Unsafe/sha2.scm 250 */
 uint32_t BgL_arg1327z00_1443; uint32_t BgL_arg1328z00_1444;
{ /* Unsafe/sha2.scm 250 */
 uint64_t BgL_tmpz00_4581;
BgL_tmpz00_4581 = 
(BgL_wz00_14 >> 
(int)(32L)); 
BgL_arg1327z00_1443 = 
(uint32_t)(BgL_tmpz00_4581); } 
BgL_arg1328z00_1444 = 
((uint32_t)(65536)-
(uint32_t)(1L)); 
BgL_arg1326z00_1442 = 
(BgL_arg1327z00_1443 & BgL_arg1328z00_1444); } 
BgL_arg1325z00_1441 = 
(long)(BgL_arg1326z00_1442); } 
{ /* Unsafe/sha2.scm 250 */
 uint32_t BgL_xz00_2988;
BgL_xz00_2988 = 
(uint32_t)(BgL_arg1325z00_1441); 
BgL_arg1321z00_1440 = 
(long)(BgL_xz00_2988); } } 
BgL_s2z00_1408 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1321z00_1440, 16L); } 
{ /* Unsafe/sha2.scm 250 */
 long BgL_l2z00_1409;
BgL_l2z00_1409 = 
STRING_LENGTH(BgL_s2z00_1408); 
{ /* Unsafe/sha2.scm 251 */
 obj_t BgL_s3z00_1410;
{ /* Unsafe/sha2.scm 252 */
 long BgL_arg1314z00_1433;
{ /* Unsafe/sha2.scm 252 */
 long BgL_arg1315z00_1434;
{ /* Unsafe/sha2.scm 252 */
 uint32_t BgL_arg1316z00_1435;
{ /* Unsafe/sha2.scm 252 */
 uint32_t BgL_arg1317z00_1436;
{ /* Unsafe/sha2.scm 252 */
 uint64_t BgL_arg1318z00_1437;
BgL_arg1318z00_1437 = 
(BgL_wz00_14 & 
(
((uint64_t)(1) << 
(int)(32L))-
(uint64_t)(1L))); 
BgL_arg1317z00_1436 = 
(uint32_t)(BgL_arg1318z00_1437); } 
BgL_arg1316z00_1435 = 
(BgL_arg1317z00_1436 >> 
(int)(16L)); } 
BgL_arg1315z00_1434 = 
(long)(BgL_arg1316z00_1435); } 
{ /* Unsafe/sha2.scm 252 */
 uint32_t BgL_xz00_2998;
BgL_xz00_2998 = 
(uint32_t)(BgL_arg1315z00_1434); 
BgL_arg1314z00_1433 = 
(long)(BgL_xz00_2998); } } 
BgL_s3z00_1410 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1314z00_1433, 16L); } 
{ /* Unsafe/sha2.scm 252 */
 long BgL_l3z00_1411;
BgL_l3z00_1411 = 
STRING_LENGTH(BgL_s3z00_1410); 
{ /* Unsafe/sha2.scm 253 */
 obj_t BgL_s4z00_1412;
{ /* Unsafe/sha2.scm 254 */
 long BgL_arg1306z00_1425;
{ /* Unsafe/sha2.scm 254 */
 long BgL_arg1307z00_1426;
{ /* Unsafe/sha2.scm 254 */
 uint32_t BgL_arg1308z00_1427;
{ /* Unsafe/sha2.scm 254 */
 uint32_t BgL_arg1309z00_1428; uint32_t BgL_arg1310z00_1429;
{ /* Unsafe/sha2.scm 254 */
 uint64_t BgL_arg1311z00_1430;
BgL_arg1311z00_1430 = 
(BgL_wz00_14 & 
(
((uint64_t)(1) << 
(int)(32L))-
(uint64_t)(1L))); 
BgL_arg1309z00_1428 = 
(uint32_t)(BgL_arg1311z00_1430); } 
BgL_arg1310z00_1429 = 
((uint32_t)(65536)-
(uint32_t)(1L)); 
BgL_arg1308z00_1427 = 
(BgL_arg1309z00_1428 & BgL_arg1310z00_1429); } 
BgL_arg1307z00_1426 = 
(long)(BgL_arg1308z00_1427); } 
{ /* Unsafe/sha2.scm 254 */
 uint32_t BgL_xz00_3011;
BgL_xz00_3011 = 
(uint32_t)(BgL_arg1307z00_1426); 
BgL_arg1306z00_1425 = 
(long)(BgL_xz00_3011); } } 
BgL_s4z00_1412 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1306z00_1425, 16L); } 
{ /* Unsafe/sha2.scm 254 */
 long BgL_l4z00_1413;
BgL_l4z00_1413 = 
STRING_LENGTH(BgL_s4z00_1412); 
{ /* Unsafe/sha2.scm 255 */

blit_string(BgL_s1z00_1406, 0L, BgL_strz00_12, 
(BgL_offsetz00_13+
(4L-BgL_l1z00_1407)), BgL_l1z00_1407); 
blit_string(BgL_s2z00_1408, 0L, BgL_strz00_12, 
(BgL_offsetz00_13+
(4L+
(4L-BgL_l2z00_1409))), BgL_l2z00_1409); 
blit_string(BgL_s3z00_1410, 0L, BgL_strz00_12, 
(BgL_offsetz00_13+
(8L+
(4L-BgL_l3z00_1411))), BgL_l3z00_1411); 
return 
blit_string(BgL_s4z00_1412, 0L, BgL_strz00_12, 
(BgL_offsetz00_13+
(12L+
(4L-BgL_l4z00_1413))), BgL_l4z00_1413);} } } } } } } } } } 

}



/* state->string */
obj_t BGl_statezd2ze3stringz31zz__sha2z00(obj_t BgL_statez00_15)
{
{ /* Unsafe/sha2.scm 264 */
{ /* Unsafe/sha2.scm 265 */
 obj_t BgL_rz00_1451;
BgL_rz00_1451 = 
make_string(64L, ((unsigned char)'0')); 
{ /* Unsafe/sha2.scm 266 */
 uint32_t BgL_arg1336z00_1452;
BgL_arg1336z00_1452 = 
BGL_U32VREF(BgL_statez00_15, 0L); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1451, 0L, BgL_arg1336z00_1452); } 
{ /* Unsafe/sha2.scm 267 */
 uint32_t BgL_arg1337z00_1453;
BgL_arg1337z00_1453 = 
BGL_U32VREF(BgL_statez00_15, 1L); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1451, 8L, BgL_arg1337z00_1453); } 
{ /* Unsafe/sha2.scm 268 */
 uint32_t BgL_arg1338z00_1454;
BgL_arg1338z00_1454 = 
BGL_U32VREF(BgL_statez00_15, 2L); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1451, 16L, BgL_arg1338z00_1454); } 
{ /* Unsafe/sha2.scm 269 */
 uint32_t BgL_arg1339z00_1455;
BgL_arg1339z00_1455 = 
BGL_U32VREF(BgL_statez00_15, 3L); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1451, 24L, BgL_arg1339z00_1455); } 
{ /* Unsafe/sha2.scm 270 */
 uint32_t BgL_arg1340z00_1456;
BgL_arg1340z00_1456 = 
BGL_U32VREF(BgL_statez00_15, 4L); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1451, 32L, BgL_arg1340z00_1456); } 
{ /* Unsafe/sha2.scm 271 */
 uint32_t BgL_arg1341z00_1457;
BgL_arg1341z00_1457 = 
BGL_U32VREF(BgL_statez00_15, 5L); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1451, 40L, BgL_arg1341z00_1457); } 
{ /* Unsafe/sha2.scm 272 */
 uint32_t BgL_arg1342z00_1458;
BgL_arg1342z00_1458 = 
BGL_U32VREF(BgL_statez00_15, 6L); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1451, 48L, BgL_arg1342z00_1458); } 
{ /* Unsafe/sha2.scm 273 */
 uint32_t BgL_arg1343z00_1459;
BgL_arg1343z00_1459 = 
BGL_U32VREF(BgL_statez00_15, 7L); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1451, 56L, BgL_arg1343z00_1459); } 
return BgL_rz00_1451;} } 

}



/* state64->string */
obj_t BGl_state64zd2ze3stringz31zz__sha2z00(obj_t BgL_statez00_16)
{
{ /* Unsafe/sha2.scm 279 */
{ /* Unsafe/sha2.scm 280 */
 obj_t BgL_rz00_1460;
BgL_rz00_1460 = 
make_string(128L, ((unsigned char)'0')); 
{ /* Unsafe/sha2.scm 281 */
 uint64_t BgL_arg1344z00_1461;
BgL_arg1344z00_1461 = 
BGL_U64VREF(BgL_statez00_16, 0L); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1460, 0L, BgL_arg1344z00_1461); } 
{ /* Unsafe/sha2.scm 282 */
 uint64_t BgL_arg1345z00_1462;
BgL_arg1345z00_1462 = 
BGL_U64VREF(BgL_statez00_16, 1L); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1460, 16L, BgL_arg1345z00_1462); } 
{ /* Unsafe/sha2.scm 283 */
 uint64_t BgL_arg1346z00_1463;
BgL_arg1346z00_1463 = 
BGL_U64VREF(BgL_statez00_16, 2L); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1460, 32L, BgL_arg1346z00_1463); } 
{ /* Unsafe/sha2.scm 284 */
 uint64_t BgL_arg1347z00_1464;
BgL_arg1347z00_1464 = 
BGL_U64VREF(BgL_statez00_16, 3L); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1460, 48L, BgL_arg1347z00_1464); } 
{ /* Unsafe/sha2.scm 285 */
 uint64_t BgL_arg1348z00_1465;
BgL_arg1348z00_1465 = 
BGL_U64VREF(BgL_statez00_16, 4L); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1460, 64L, BgL_arg1348z00_1465); } 
{ /* Unsafe/sha2.scm 286 */
 uint64_t BgL_arg1349z00_1466;
BgL_arg1349z00_1466 = 
BGL_U64VREF(BgL_statez00_16, 5L); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1460, 80L, BgL_arg1349z00_1466); } 
{ /* Unsafe/sha2.scm 287 */
 uint64_t BgL_arg1350z00_1467;
BgL_arg1350z00_1467 = 
BGL_U64VREF(BgL_statez00_16, 6L); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1460, 96L, BgL_arg1350z00_1467); } 
{ /* Unsafe/sha2.scm 288 */
 uint64_t BgL_arg1351z00_1468;
BgL_arg1351z00_1468 = 
BGL_U64VREF(BgL_statez00_16, 7L); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1460, 112L, BgL_arg1351z00_1468); } 
return BgL_rz00_1460;} } 

}



/* sha256-initial-hash-value */
obj_t BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00(void)
{
{ /* Unsafe/sha2.scm 409 */
{ /* Unsafe/sha2.scm 410 */
 obj_t BgL_vz00_1469;
{ /* Llib/srfi4.scm 451 */

BgL_vz00_1469 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(8L, (uint32_t)(0)); } 
BGL_U32VSET(BgL_vz00_1469, 0L, (uint32_t)(1779033703)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1469, 1L, (uint32_t)(3144134277)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1469, 2L, (uint32_t)(1013904242)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1469, 3L, (uint32_t)(2773480762)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1469, 4L, (uint32_t)(1359893119)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1469, 5L, (uint32_t)(2600822924)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1469, 6L, (uint32_t)(528734635)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1469, 7L, (uint32_t)(1541459225)); BUNSPEC; 
return BgL_vz00_1469;} } 

}



/* sha512-initial-hash-value */
obj_t BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00(void)
{
{ /* Unsafe/sha2.scm 424 */
{ /* Unsafe/sha2.scm 425 */
 obj_t BgL_vz00_1472;
{ /* Llib/srfi4.scm 453 */

BgL_vz00_1472 = 
BGl_makezd2u64vectorzd2zz__srfi4z00(8L, (uint64_t)(0)); } 
BGL_U64VSET(BgL_vz00_1472, 0L, (uint64_t)(7640891576956012808)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1472, 1L, (uint64_t)(-4942790177534073029)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1472, 2L, (uint64_t)(4354685564936845355)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1472, 3L, (uint64_t)(-6534734903238641935)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1472, 4L, (uint64_t)(5840696475078001361)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1472, 5L, (uint64_t)(-7276294671716946913)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1472, 6L, (uint64_t)(2270897969802886507)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1472, 7L, (uint64_t)(6620516959819538809)); BUNSPEC; 
return BgL_vz00_1472;} } 

}



/* Sigma0-256 */
uint32_t BGl_Sigma0zd2256zd2zz__sha2z00(uint32_t BgL_xz00_17)
{
{ /* Unsafe/sha2.scm 527 */
return 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_17, 
(int)(2L)) ^ 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_17, 
(int)(13L)) ^ 
BGl_rotr32z00zz__sha2z00(BgL_xz00_17, 
(int)(22L))));} 

}



/* sigma0-256 */
uint32_t BGl_sigma0zd2256zd2zz__sha2z00(uint32_t BgL_xz00_18)
{
{ /* Unsafe/sha2.scm 533 */
return 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_18, 
(int)(7L)) ^ 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_18, 
(int)(18L)) ^ 
(BgL_xz00_18 >> 
(int)(3L))));} 

}



/* Sigma1-256 */
uint32_t BGl_Sigma1zd2256zd2zz__sha2z00(uint32_t BgL_xz00_19)
{
{ /* Unsafe/sha2.scm 539 */
return 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_19, 
(int)(6L)) ^ 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_19, 
(int)(11L)) ^ 
BGl_rotr32z00zz__sha2z00(BgL_xz00_19, 
(int)(25L))));} 

}



/* sigma1-256 */
uint32_t BGl_sigma1zd2256zd2zz__sha2z00(uint32_t BgL_xz00_20)
{
{ /* Unsafe/sha2.scm 545 */
return 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_20, 
(int)(17L)) ^ 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_20, 
(int)(19L)) ^ 
(BgL_xz00_20 >> 
(int)(10L))));} 

}



/* Sigma0-512 */
uint64_t BGl_Sigma0zd2512zd2zz__sha2z00(uint64_t BgL_xz00_21)
{
{ /* Unsafe/sha2.scm 551 */
return 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_21, 
(int)(28L)) ^ 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_21, 
(int)(34L)) ^ 
BGl_rotr64z00zz__sha2z00(BgL_xz00_21, 
(int)(39L))));} 

}



/* Sigma1-512 */
uint64_t BGl_Sigma1zd2512zd2zz__sha2z00(uint64_t BgL_xz00_22)
{
{ /* Unsafe/sha2.scm 557 */
return 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_22, 
(int)(14L)) ^ 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_22, 
(int)(18L)) ^ 
BGl_rotr64z00zz__sha2z00(BgL_xz00_22, 
(int)(41L))));} 

}



/* sigma0-512 */
uint64_t BGl_sigma0zd2512zd2zz__sha2z00(uint64_t BgL_xz00_23)
{
{ /* Unsafe/sha2.scm 563 */
return 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_23, 
(int)(1L)) ^ 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_23, 
(int)(8L)) ^ 
(BgL_xz00_23 >> 
(int)(7L))));} 

}



/* sigma1-512 */
uint64_t BGl_sigma1zd2512zd2zz__sha2z00(uint64_t BgL_xz00_24)
{
{ /* Unsafe/sha2.scm 569 */
return 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_24, 
(int)(19L)) ^ 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_24, 
(int)(61L)) ^ 
(BgL_xz00_24 >> 
(int)(6L))));} 

}



/* get-a */
uint32_t BGl_getzd2azd2zz__sha2z00(obj_t BgL_stz00_25)
{
{ /* Unsafe/sha2.scm 575 */
return 
BGL_U32VREF(BgL_stz00_25, 0L);} 

}



/* get-b */
uint32_t BGl_getzd2bzd2zz__sha2z00(obj_t BgL_stz00_26)
{
{ /* Unsafe/sha2.scm 576 */
return 
BGL_U32VREF(BgL_stz00_26, 1L);} 

}



/* get-c */
uint32_t BGl_getzd2czd2zz__sha2z00(obj_t BgL_stz00_27)
{
{ /* Unsafe/sha2.scm 577 */
return 
BGL_U32VREF(BgL_stz00_27, 2L);} 

}



/* get-d */
uint32_t BGl_getzd2dzd2zz__sha2z00(obj_t BgL_stz00_28)
{
{ /* Unsafe/sha2.scm 578 */
return 
BGL_U32VREF(BgL_stz00_28, 3L);} 

}



/* get-e */
uint32_t BGl_getzd2ezd2zz__sha2z00(obj_t BgL_stz00_29)
{
{ /* Unsafe/sha2.scm 579 */
return 
BGL_U32VREF(BgL_stz00_29, 4L);} 

}



/* get-f */
uint32_t BGl_getzd2fzd2zz__sha2z00(obj_t BgL_stz00_30)
{
{ /* Unsafe/sha2.scm 580 */
return 
BGL_U32VREF(BgL_stz00_30, 5L);} 

}



/* get-g */
uint32_t BGl_getzd2gzd2zz__sha2z00(obj_t BgL_stz00_31)
{
{ /* Unsafe/sha2.scm 581 */
return 
BGL_U32VREF(BgL_stz00_31, 6L);} 

}



/* get-h */
uint32_t BGl_getzd2hzd2zz__sha2z00(obj_t BgL_stz00_32)
{
{ /* Unsafe/sha2.scm 582 */
return 
BGL_U32VREF(BgL_stz00_32, 7L);} 

}



/* sha256-internal-transform */
obj_t BGl_sha256zd2internalzd2transformz00zz__sha2z00(obj_t BgL_statez00_33, obj_t BgL_bufferz00_34)
{
{ /* Unsafe/sha2.scm 587 */
{ 
 obj_t BgL_statez00_1594; uint32_t BgL_az00_1595; uint32_t BgL_bz00_1596; uint32_t BgL_cz00_1597; uint32_t BgL_dz00_1598; uint32_t BgL_ez00_1599; uint32_t BgL_fz00_1600; uint32_t BgL_gz00_1601; uint32_t BgL_hz00_1602;
{ /* Unsafe/sha2.scm 622 */
 uint32_t BgL_g1064z00_1512; uint32_t BgL_g1065z00_1513; uint32_t BgL_g1066z00_1514; uint32_t BgL_g1067z00_1515; uint32_t BgL_g1068z00_1516; uint32_t BgL_g1069z00_1517; uint32_t BgL_g1070z00_1518; uint32_t BgL_g1071z00_1519;
BgL_g1064z00_1512 = 
BGl_getzd2azd2zz__sha2z00(BgL_statez00_33); 
BgL_g1065z00_1513 = 
BGl_getzd2bzd2zz__sha2z00(BgL_statez00_33); 
BgL_g1066z00_1514 = 
BGl_getzd2czd2zz__sha2z00(BgL_statez00_33); 
BgL_g1067z00_1515 = 
BGl_getzd2dzd2zz__sha2z00(BgL_statez00_33); 
BgL_g1068z00_1516 = 
BGl_getzd2ezd2zz__sha2z00(BgL_statez00_33); 
BgL_g1069z00_1517 = 
BGl_getzd2fzd2zz__sha2z00(BgL_statez00_33); 
BgL_g1070z00_1518 = 
BGl_getzd2gzd2zz__sha2z00(BgL_statez00_33); 
BgL_g1071z00_1519 = 
BGl_getzd2hzd2zz__sha2z00(BgL_statez00_33); 
{ 
 uint32_t BgL_az00_1521; uint32_t BgL_bz00_1522; uint32_t BgL_cz00_1523; uint32_t BgL_dz00_1524; uint32_t BgL_ez00_1525; uint32_t BgL_fz00_1526; uint32_t BgL_gz00_1527; uint32_t BgL_hz00_1528; long BgL_jz00_1529;
BgL_az00_1521 = BgL_g1064z00_1512; 
BgL_bz00_1522 = BgL_g1065z00_1513; 
BgL_cz00_1523 = BgL_g1066z00_1514; 
BgL_dz00_1524 = BgL_g1067z00_1515; 
BgL_ez00_1525 = BgL_g1068z00_1516; 
BgL_fz00_1526 = BgL_g1069z00_1517; 
BgL_gz00_1527 = BgL_g1070z00_1518; 
BgL_hz00_1528 = BgL_g1071z00_1519; 
BgL_jz00_1529 = 0L; 
BgL_zc3z04anonymousza31385ze3z87_1530:
if(
(BgL_jz00_1529<16L))
{ /* Unsafe/sha2.scm 633 */
 uint32_t BgL_wz00_1532;
BgL_wz00_1532 = 
BGL_U32VREF(BgL_bufferz00_34, BgL_jz00_1529); 
{ /* Unsafe/sha2.scm 633 */
 uint32_t BgL_t1z00_1533;
BgL_t1z00_1533 = 
BGl_compressze71ze7zz__sha2z00(BgL_ez00_1525, BgL_fz00_1526, BgL_gz00_1527, BgL_hz00_1528, BgL_wz00_1532, BgL_jz00_1529); 
{ /* Unsafe/sha2.scm 634 */
 uint32_t BgL_t2z00_1534;
BgL_t2z00_1534 = 
BGl_addu32z00zz__sha2z00(
BGl_Sigma0zd2256zd2zz__sha2z00(BgL_az00_1521), 
BGl_Majze71ze7zz__sha2z00(BgL_az00_1521, BgL_bz00_1522, BgL_cz00_1523)); 
{ /* Unsafe/sha2.scm 635 */

{ 
 long BgL_jz00_4784; uint32_t BgL_hz00_4783; uint32_t BgL_gz00_4782; uint32_t BgL_fz00_4781; uint32_t BgL_ez00_4779; uint32_t BgL_dz00_4778; uint32_t BgL_cz00_4777; uint32_t BgL_bz00_4776; uint32_t BgL_az00_4774;
BgL_az00_4774 = 
BGl_addu32z00zz__sha2z00(BgL_t1z00_1533, BgL_t2z00_1534); 
BgL_bz00_4776 = BgL_az00_1521; 
BgL_cz00_4777 = BgL_bz00_1522; 
BgL_dz00_4778 = BgL_cz00_1523; 
BgL_ez00_4779 = 
BGl_addu32z00zz__sha2z00(BgL_dz00_1524, BgL_t1z00_1533); 
BgL_fz00_4781 = BgL_ez00_1525; 
BgL_gz00_4782 = BgL_fz00_1526; 
BgL_hz00_4783 = BgL_gz00_1527; 
BgL_jz00_4784 = 
(BgL_jz00_1529+1L); 
BgL_jz00_1529 = BgL_jz00_4784; 
BgL_hz00_1528 = BgL_hz00_4783; 
BgL_gz00_1527 = BgL_gz00_4782; 
BgL_fz00_1526 = BgL_fz00_4781; 
BgL_ez00_1525 = BgL_ez00_4779; 
BgL_dz00_1524 = BgL_dz00_4778; 
BgL_cz00_1523 = BgL_cz00_4777; 
BgL_bz00_1522 = BgL_bz00_4776; 
BgL_az00_1521 = BgL_az00_4774; 
goto BgL_zc3z04anonymousza31385ze3z87_1530;} } } } }  else 
{ /* Unsafe/sha2.scm 632 */
if(
(BgL_jz00_1529<64L))
{ /* Unsafe/sha2.scm 638 */
 uint32_t BgL_s0z00_1541;
BgL_s0z00_1541 = 
BGl_sigma0zd2256zd2zz__sha2z00(
BGl_xfzd2refze71z35zz__sha2z00(BgL_bufferz00_34, 
(BgL_jz00_1529+1L))); 
{ /* Unsafe/sha2.scm 638 */
 uint32_t BgL_s1z00_1542;
BgL_s1z00_1542 = 
BGl_sigma1zd2256zd2zz__sha2z00(
BGl_xfzd2refze71z35zz__sha2z00(BgL_bufferz00_34, 
(BgL_jz00_1529+14L))); 
{ /* Unsafe/sha2.scm 639 */
 long BgL_ndxz00_1543;
BgL_ndxz00_1543 = 
(BgL_jz00_1529 & 
LLONG_TO_LONG(((BGL_LONGLONG_T)15))); 
{ /* Unsafe/sha2.scm 640 */
 uint32_t BgL_wz00_1544;
BgL_wz00_1544 = 
BGl_addu32z00zz__sha2z00(
BGl_xfzd2refze71z35zz__sha2z00(BgL_bufferz00_34, BgL_jz00_1529), 
BGl_addu32z00zz__sha2z00(BgL_s1z00_1542, 
BGl_addu32z00zz__sha2z00(
BGl_xfzd2refze71z35zz__sha2z00(BgL_bufferz00_34, 
(BgL_jz00_1529+9L)), BgL_s0z00_1541))); 
{ /* Unsafe/sha2.scm 641 */
 uint32_t BgL_t1z00_1545;
BgL_t1z00_1545 = 
BGl_compressze71ze7zz__sha2z00(BgL_ez00_1525, BgL_fz00_1526, BgL_gz00_1527, BgL_hz00_1528, BgL_wz00_1544, BgL_jz00_1529); 
{ /* Unsafe/sha2.scm 642 */
 uint32_t BgL_t2z00_1546;
BgL_t2z00_1546 = 
BGl_addu32z00zz__sha2z00(
BGl_Sigma0zd2256zd2zz__sha2z00(BgL_az00_1521), 
BGl_Majze71ze7zz__sha2z00(BgL_az00_1521, BgL_bz00_1522, BgL_cz00_1523)); 
{ /* Unsafe/sha2.scm 643 */

BGL_U32VSET(BgL_bufferz00_34, BgL_ndxz00_1543, BgL_wz00_1544); BUNSPEC; 
{ 
 long BgL_jz00_4817; uint32_t BgL_hz00_4816; uint32_t BgL_gz00_4815; uint32_t BgL_fz00_4814; uint32_t BgL_ez00_4812; uint32_t BgL_dz00_4811; uint32_t BgL_cz00_4810; uint32_t BgL_bz00_4809; uint32_t BgL_az00_4807;
BgL_az00_4807 = 
BGl_addu32z00zz__sha2z00(BgL_t1z00_1545, BgL_t2z00_1546); 
BgL_bz00_4809 = BgL_az00_1521; 
BgL_cz00_4810 = BgL_bz00_1522; 
BgL_dz00_4811 = BgL_cz00_1523; 
BgL_ez00_4812 = 
BGl_addu32z00zz__sha2z00(BgL_dz00_1524, BgL_t1z00_1545); 
BgL_fz00_4814 = BgL_ez00_1525; 
BgL_gz00_4815 = BgL_fz00_1526; 
BgL_hz00_4816 = BgL_gz00_1527; 
BgL_jz00_4817 = 
(BgL_jz00_1529+1L); 
BgL_jz00_1529 = BgL_jz00_4817; 
BgL_hz00_1528 = BgL_hz00_4816; 
BgL_gz00_1527 = BgL_gz00_4815; 
BgL_fz00_1526 = BgL_fz00_4814; 
BgL_ez00_1525 = BgL_ez00_4812; 
BgL_dz00_1524 = BgL_dz00_4811; 
BgL_cz00_1523 = BgL_cz00_4810; 
BgL_bz00_1522 = BgL_bz00_4809; 
BgL_az00_1521 = BgL_az00_4807; 
goto BgL_zc3z04anonymousza31385ze3z87_1530;} } } } } } } }  else 
{ /* Unsafe/sha2.scm 637 */
BgL_statez00_1594 = BgL_statez00_33; 
BgL_az00_1595 = BgL_az00_1521; 
BgL_bz00_1596 = BgL_bz00_1522; 
BgL_cz00_1597 = BgL_cz00_1523; 
BgL_dz00_1598 = BgL_dz00_1524; 
BgL_ez00_1599 = BgL_ez00_1525; 
BgL_fz00_1600 = BgL_fz00_1526; 
BgL_gz00_1601 = BgL_gz00_1527; 
BgL_hz00_1602 = BgL_hz00_1528; 
{ /* Unsafe/sha2.scm 604 */
 uint32_t BgL_oaz00_1604; uint32_t BgL_obz00_1605; uint32_t BgL_ocz00_1606; uint32_t BgL_odz00_1607; uint32_t BgL_oez00_1608; uint32_t BgL_ofz00_1609; uint32_t BgL_ogz00_1610; uint32_t BgL_ohz00_1611;
BgL_oaz00_1604 = 
BGl_getzd2azd2zz__sha2z00(BgL_statez00_1594); 
BgL_obz00_1605 = 
BGl_getzd2bzd2zz__sha2z00(BgL_statez00_1594); 
BgL_ocz00_1606 = 
BGl_getzd2czd2zz__sha2z00(BgL_statez00_1594); 
BgL_odz00_1607 = 
BGl_getzd2dzd2zz__sha2z00(BgL_statez00_1594); 
BgL_oez00_1608 = 
BGl_getzd2ezd2zz__sha2z00(BgL_statez00_1594); 
BgL_ofz00_1609 = 
BGl_getzd2fzd2zz__sha2z00(BgL_statez00_1594); 
BgL_ogz00_1610 = 
BGl_getzd2gzd2zz__sha2z00(BgL_statez00_1594); 
BgL_ohz00_1611 = 
BGl_getzd2hzd2zz__sha2z00(BgL_statez00_1594); 
{ /* Unsafe/sha2.scm 613 */
 uint32_t BgL_arg1430z00_1613;
BgL_arg1430z00_1613 = 
BGl_addu32z00zz__sha2z00(BgL_oaz00_1604, BgL_az00_1595); 
BGL_U32VSET(BgL_statez00_1594, 0L, BgL_arg1430z00_1613); BUNSPEC; } 
{ /* Unsafe/sha2.scm 614 */
 uint32_t BgL_arg1431z00_1614;
BgL_arg1431z00_1614 = 
BGl_addu32z00zz__sha2z00(BgL_obz00_1605, BgL_bz00_1596); 
BGL_U32VSET(BgL_statez00_1594, 1L, BgL_arg1431z00_1614); BUNSPEC; } 
{ /* Unsafe/sha2.scm 615 */
 uint32_t BgL_arg1432z00_1615;
BgL_arg1432z00_1615 = 
BGl_addu32z00zz__sha2z00(BgL_ocz00_1606, BgL_cz00_1597); 
BGL_U32VSET(BgL_statez00_1594, 2L, BgL_arg1432z00_1615); BUNSPEC; } 
{ /* Unsafe/sha2.scm 616 */
 uint32_t BgL_arg1433z00_1616;
BgL_arg1433z00_1616 = 
BGl_addu32z00zz__sha2z00(BgL_odz00_1607, BgL_dz00_1598); 
BGL_U32VSET(BgL_statez00_1594, 3L, BgL_arg1433z00_1616); BUNSPEC; } 
{ /* Unsafe/sha2.scm 617 */
 uint32_t BgL_arg1434z00_1617;
BgL_arg1434z00_1617 = 
BGl_addu32z00zz__sha2z00(BgL_oez00_1608, BgL_ez00_1599); 
BGL_U32VSET(BgL_statez00_1594, 4L, BgL_arg1434z00_1617); BUNSPEC; } 
{ /* Unsafe/sha2.scm 618 */
 uint32_t BgL_arg1435z00_1618;
BgL_arg1435z00_1618 = 
BGl_addu32z00zz__sha2z00(BgL_ofz00_1609, BgL_fz00_1600); 
BGL_U32VSET(BgL_statez00_1594, 5L, BgL_arg1435z00_1618); BUNSPEC; } 
{ /* Unsafe/sha2.scm 619 */
 uint32_t BgL_arg1436z00_1619;
BgL_arg1436z00_1619 = 
BGl_addu32z00zz__sha2z00(BgL_ogz00_1610, BgL_gz00_1601); 
BGL_U32VSET(BgL_statez00_1594, 6L, BgL_arg1436z00_1619); BUNSPEC; } 
{ /* Unsafe/sha2.scm 620 */
 uint32_t BgL_arg1437z00_1620;
BgL_arg1437z00_1620 = 
BGl_addu32z00zz__sha2z00(BgL_ohz00_1611, BgL_hz00_1602); 
BGL_U32VSET(BgL_statez00_1594, 7L, BgL_arg1437z00_1620); BUNSPEC; } } 
return BgL_statez00_33;} } } } } } 

}



/* xf-ref~1 */
uint32_t BGl_xfzd2refze71z35zz__sha2z00(obj_t BgL_vz00_1590, long BgL_nz00_1591)
{
{ /* Unsafe/sha2.scm 599 */
{ /* Unsafe/sha2.scm 599 */
 long BgL_tmpz00_4843;
BgL_tmpz00_4843 = 
(BgL_nz00_1591 & 15L); 
return 
BGL_U32VREF(BgL_vz00_1590, BgL_tmpz00_4843);} } 

}



/* compress~1 */
uint32_t BGl_compressze71ze7zz__sha2z00(uint32_t BgL_ez00_1577, uint32_t BgL_fz00_1578, uint32_t BgL_gz00_1579, uint32_t BgL_hz00_1580, uint32_t BgL_wz00_1581, long BgL_jz00_1582)
{
{ /* Unsafe/sha2.scm 596 */
{ 
 uint32_t BgL_xz00_1570; uint32_t BgL_yz00_1571; uint32_t BgL_za7za7_1572;
{ /* Unsafe/sha2.scm 596 */
 uint32_t BgL_arg1421z00_1584;
{ /* Unsafe/sha2.scm 596 */
 uint32_t BgL_arg1422z00_1585; uint32_t BgL_arg1423z00_1586;
BgL_arg1422z00_1585 = 
BGl_Sigma1zd2256zd2zz__sha2z00(BgL_ez00_1577); 
{ /* Unsafe/sha2.scm 596 */
 uint32_t BgL_arg1424z00_1587; uint32_t BgL_arg1425z00_1588;
BgL_xz00_1570 = BgL_ez00_1577; 
BgL_yz00_1571 = BgL_fz00_1578; 
BgL_za7za7_1572 = BgL_gz00_1579; 
BgL_arg1424z00_1587 = 
(
(BgL_xz00_1570 & BgL_yz00_1571) ^ 
(
~(BgL_xz00_1570) & BgL_za7za7_1572)); 
{ /* Unsafe/sha2.scm 596 */
 uint32_t BgL_arg1426z00_1589;
BgL_arg1426z00_1589 = 
BGL_U32VREF(BGl_K256z00zz__sha2z00, BgL_jz00_1582); 
BgL_arg1425z00_1588 = 
BGl_addu32z00zz__sha2z00(BgL_arg1426z00_1589, BgL_wz00_1581); } 
BgL_arg1423z00_1586 = 
BGl_addu32z00zz__sha2z00(BgL_arg1424z00_1587, BgL_arg1425z00_1588); } 
BgL_arg1421z00_1584 = 
BGl_addu32z00zz__sha2z00(BgL_arg1422z00_1585, BgL_arg1423z00_1586); } 
return 
BGl_addu32z00zz__sha2z00(BgL_hz00_1580, BgL_arg1421z00_1584);} } } 

}



/* Maj~1 */
uint32_t BGl_Majze71ze7zz__sha2z00(uint32_t BgL_xz00_1562, uint32_t BgL_yz00_1563, uint32_t BgL_za7za7_1564)
{
{ /* Unsafe/sha2.scm 590 */
return 
(
(BgL_xz00_1562 & BgL_yz00_1563) ^ 
(
(BgL_xz00_1562 & BgL_za7za7_1564) ^ 
(BgL_yz00_1563 & BgL_za7za7_1564)));} 

}



/* sha256-update */
obj_t BGl_sha256zd2updatezd2zz__sha2z00(obj_t BgL_statez00_35, obj_t BgL_bufferz00_36, obj_t BgL_oz00_37, obj_t BgL_fillzd2wordz12zc0_38)
{
{ /* Unsafe/sha2.scm 653 */
{ 
 obj_t BgL_vz00_1661; long BgL_lenz00_1662; uint32_t BgL_valz00_1663; obj_t BgL_bufferz00_1646; long BgL_iz00_1647;
{ 
 long BgL_iz00_1629; long BgL_lz00_1630;
BgL_iz00_1629 = 0L; 
BgL_lz00_1630 = 0L; 
BgL_zc3z04anonymousza31438ze3z87_1631:
{ /* Unsafe/sha2.scm 673 */
 long BgL_bytesz00_1632;
BgL_bufferz00_1646 = BgL_bufferz00_36; 
BgL_iz00_1647 = BgL_iz00_1629; 
{ 
 long BgL_jz00_1650; long BgL_iz00_1651; long BgL_nz00_1652;
BgL_jz00_1650 = 0L; 
BgL_iz00_1651 = BgL_iz00_1647; 
BgL_nz00_1652 = 0L; 
BgL_zc3z04anonymousza31450ze3z87_1653:
if(
(BgL_jz00_1650<16L))
{ /* Unsafe/sha2.scm 662 */
 long BgL_arg1452z00_1655; long BgL_arg1453z00_1656; long BgL_arg1454z00_1657;
BgL_arg1452z00_1655 = 
(BgL_jz00_1650+1L); 
BgL_arg1453z00_1656 = 
(BgL_iz00_1651+4L); 
{ /* Unsafe/sha2.scm 662 */
 long BgL_b1143z00_1658;
BgL_b1143z00_1658 = 
((long(*)(obj_t, obj_t, long, obj_t, long))PROCEDURE_L_ENTRY(BgL_fillzd2wordz12zc0_38))(BgL_fillzd2wordz12zc0_38, BgL_bufferz00_1646, BgL_jz00_1650, BgL_oz00_37, BgL_iz00_1651); 
BgL_arg1454z00_1657 = 
(BgL_nz00_1652+BgL_b1143z00_1658); } 
{ 
 long BgL_nz00_4875; long BgL_iz00_4874; long BgL_jz00_4873;
BgL_jz00_4873 = BgL_arg1452z00_1655; 
BgL_iz00_4874 = BgL_arg1453z00_1656; 
BgL_nz00_4875 = BgL_arg1454z00_1657; 
BgL_nz00_1652 = BgL_nz00_4875; 
BgL_iz00_1651 = BgL_iz00_4874; 
BgL_jz00_1650 = BgL_jz00_4873; 
goto BgL_zc3z04anonymousza31450ze3z87_1653;} }  else 
{ /* Unsafe/sha2.scm 661 */
BgL_bytesz00_1632 = BgL_nz00_1652; } } 
if(
(BgL_bytesz00_1632==64L))
{ /* Unsafe/sha2.scm 675 */
BGl_sha256zd2internalzd2transformz00zz__sha2z00(BgL_statez00_35, BgL_bufferz00_36); 
{ 
 long BgL_lz00_4881; long BgL_iz00_4879;
BgL_iz00_4879 = 
(BgL_iz00_1629+64L); 
BgL_lz00_4881 = 
(BgL_lz00_1630+64L); 
BgL_lz00_1630 = BgL_lz00_4881; 
BgL_iz00_1629 = BgL_iz00_4879; 
goto BgL_zc3z04anonymousza31438ze3z87_1631;} }  else 
{ /* Unsafe/sha2.scm 675 */
if(
(
(64L-BgL_bytesz00_1632)>=8L))
{ /* Unsafe/sha2.scm 679 */
{ /* Unsafe/sha2.scm 682 */
 uint32_t BgL_ulenz00_1638;
{ /* Unsafe/sha2.scm 682 */
 long BgL_tmpz00_4886;
BgL_tmpz00_4886 = 
(8L*
(
(BgL_lz00_1630-1L)+BgL_bytesz00_1632)); 
BgL_ulenz00_1638 = 
(uint32_t)(BgL_tmpz00_4886); } 
BGL_U32VSET(BgL_bufferz00_36, 15L, BgL_ulenz00_1638); BUNSPEC; } 
return 
BGl_sha256zd2internalzd2transformz00zz__sha2z00(BgL_statez00_35, BgL_bufferz00_36);}  else 
{ /* Unsafe/sha2.scm 679 */
BGl_sha256zd2internalzd2transformz00zz__sha2z00(BgL_statez00_35, BgL_bufferz00_36); 
BgL_vz00_1661 = BgL_bufferz00_36; 
BgL_lenz00_1662 = 15L; 
BgL_valz00_1663 = (uint32_t)(0); 
{ 
 long BgL_iz00_1666;
BgL_iz00_1666 = 0L; 
BgL_zc3z04anonymousza31457ze3z87_1667:
if(
(BgL_iz00_1666<BgL_lenz00_1662))
{ /* Unsafe/sha2.scm 667 */
BGL_U32VSET(BgL_vz00_1661, BgL_iz00_1666, BgL_valz00_1663); BUNSPEC; 
{ 
 long BgL_iz00_4897;
BgL_iz00_4897 = 
(BgL_iz00_1666+1L); 
BgL_iz00_1666 = BgL_iz00_4897; 
goto BgL_zc3z04anonymousza31457ze3z87_1667;} }  else 
{ /* Unsafe/sha2.scm 667 */((bool_t)0); } } 
{ /* Unsafe/sha2.scm 689 */
 uint32_t BgL_ulenz00_1641;
{ /* Unsafe/sha2.scm 689 */
 long BgL_tmpz00_4899;
BgL_tmpz00_4899 = 
(8L*
(
(BgL_lz00_1630-1L)+BgL_bytesz00_1632)); 
BgL_ulenz00_1641 = 
(uint32_t)(BgL_tmpz00_4899); } 
BGL_U32VSET(BgL_bufferz00_36, 15L, BgL_ulenz00_1641); BUNSPEC; } 
return 
BGl_sha256zd2internalzd2transformz00zz__sha2z00(BgL_statez00_35, BgL_bufferz00_36);} } } } } } 

}



/* sha256sum-mmap */
BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2mmapzd2zz__sha2z00(obj_t BgL_mmz00_39)
{
{ /* Unsafe/sha2.scm 696 */
{ /* Unsafe/sha2.scm 733 */
 obj_t BgL_statez00_1675; obj_t BgL_bufferz00_1676;
BgL_statez00_1675 = 
BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00(); 
{ /* Llib/srfi4.scm 451 */

BgL_bufferz00_1676 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(16L, (uint32_t)(0)); } 
BGl_sha256zd2updatezd2zz__sha2z00(BgL_statez00_1675, BgL_bufferz00_1676, BgL_mmz00_39, BGl_proc2290z00zz__sha2z00); 
return 
BGl_statezd2ze3stringz31zz__sha2z00(BgL_statez00_1675);} } 

}



/* &sha256sum-mmap */
obj_t BGl_z62sha256sumzd2mmapzb0zz__sha2z00(obj_t BgL_envz00_3896, obj_t BgL_mmz00_3897)
{
{ /* Unsafe/sha2.scm 696 */
{ /* Unsafe/sha2.scm 699 */
 obj_t BgL_auxz00_4910;
if(
BGL_MMAPP(BgL_mmz00_3897))
{ /* Unsafe/sha2.scm 699 */
BgL_auxz00_4910 = BgL_mmz00_3897
; }  else 
{ 
 obj_t BgL_auxz00_4913;
BgL_auxz00_4913 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2291z00zz__sha2z00, 
BINT(31200L), BGl_string2292z00zz__sha2z00, BGl_string2293z00zz__sha2z00, BgL_mmz00_3897); 
FAILURE(BgL_auxz00_4913,BFALSE,BFALSE);} 
return 
BGl_sha256sumzd2mmapzd2zz__sha2z00(BgL_auxz00_4910);} } 

}



/* &fill-word32-mmap! */
long BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00(obj_t BgL_envz00_3898, obj_t BgL_v32z00_3899, long BgL_iz00_3900, obj_t BgL_mmz00_3901, long BgL_nz00_3902)
{
{ /* Unsafe/sha2.scm 731 */
{ /* Unsafe/sha2.scm 702 */
 long BgL_lz00_4009;
{ /* Unsafe/sha2.scm 702 */
 obj_t BgL_tmpz00_4918;
BgL_tmpz00_4918 = 
((obj_t)BgL_mmz00_3901); 
BgL_lz00_4009 = 
BGL_MMAP_LENGTH(BgL_tmpz00_4918); } 
{ /* Unsafe/sha2.scm 704 */
 bool_t BgL_test2352z00_4921;
{ /* Unsafe/sha2.scm 704 */
 long BgL_n2z00_4010;
BgL_n2z00_4010 = 
(long)(BgL_lz00_4009); 
BgL_test2352z00_4921 = 
(
(BgL_nz00_3902+4L)<=BgL_n2z00_4010); } 
if(BgL_test2352z00_4921)
{ /* Unsafe/sha2.scm 705 */
 uint32_t BgL_v0z00_4011;
{ /* Unsafe/sha2.scm 705 */
 long BgL_tmpz00_4925;
BgL_tmpz00_4925 = 
BGl_u32mmapzd2refze71z35zz__sha2z00(
((obj_t)BgL_mmz00_3901), BgL_nz00_3902); 
BgL_v0z00_4011 = 
(uint32_t)(BgL_tmpz00_4925); } 
{ /* Unsafe/sha2.scm 705 */
 uint32_t BgL_v1z00_4012;
{ /* Unsafe/sha2.scm 706 */
 long BgL_arg1478z00_4013;
BgL_arg1478z00_4013 = 
(BgL_nz00_3902+1L); 
{ /* Unsafe/sha2.scm 706 */
 long BgL_tmpz00_4930;
BgL_tmpz00_4930 = 
BGl_u32mmapzd2refze71z35zz__sha2z00(
((obj_t)BgL_mmz00_3901), BgL_arg1478z00_4013); 
BgL_v1z00_4012 = 
(uint32_t)(BgL_tmpz00_4930); } } 
{ /* Unsafe/sha2.scm 706 */
 uint32_t BgL_v2z00_4014;
{ /* Unsafe/sha2.scm 707 */
 long BgL_arg1477z00_4015;
BgL_arg1477z00_4015 = 
(BgL_nz00_3902+2L); 
{ /* Unsafe/sha2.scm 707 */
 long BgL_tmpz00_4935;
BgL_tmpz00_4935 = 
BGl_u32mmapzd2refze71z35zz__sha2z00(
((obj_t)BgL_mmz00_3901), BgL_arg1477z00_4015); 
BgL_v2z00_4014 = 
(uint32_t)(BgL_tmpz00_4935); } } 
{ /* Unsafe/sha2.scm 707 */
 uint32_t BgL_v3z00_4016;
{ /* Unsafe/sha2.scm 708 */
 long BgL_arg1476z00_4017;
BgL_arg1476z00_4017 = 
(BgL_nz00_3902+3L); 
{ /* Unsafe/sha2.scm 708 */
 long BgL_tmpz00_4940;
BgL_tmpz00_4940 = 
BGl_u32mmapzd2refze71z35zz__sha2z00(
((obj_t)BgL_mmz00_3901), BgL_arg1476z00_4017); 
BgL_v3z00_4016 = 
(uint32_t)(BgL_tmpz00_4940); } } 
{ /* Unsafe/sha2.scm 708 */
 uint32_t BgL_vz00_4018;
{ /* Unsafe/sha2.scm 709 */
 uint32_t BgL_arg1465z00_4019; uint32_t BgL_arg1466z00_4020;
{ /* Unsafe/sha2.scm 709 */
 uint32_t BgL_arg1467z00_4021;
{ /* Unsafe/sha2.scm 709 */
 long BgL_arg1468z00_4022;
{ /* Unsafe/sha2.scm 709 */
 long BgL_arg1469z00_4023; long BgL_arg1470z00_4024;
{ /* Unsafe/sha2.scm 709 */
 uint32_t BgL_tmpz00_4944;
BgL_tmpz00_4944 = 
(BgL_v0z00_4011 << 
(int)(8L)); 
BgL_arg1469z00_4023 = 
(long)(BgL_tmpz00_4944); } 
BgL_arg1470z00_4024 = 
(long)(BgL_v1z00_4012); 
BgL_arg1468z00_4022 = 
(BgL_arg1469z00_4023 | BgL_arg1470z00_4024); } 
BgL_arg1467z00_4021 = 
(uint32_t)(BgL_arg1468z00_4022); } 
BgL_arg1465z00_4019 = 
(BgL_arg1467z00_4021 << 
(int)(16L)); } 
{ /* Unsafe/sha2.scm 709 */
 long BgL_arg1472z00_4025;
{ /* Unsafe/sha2.scm 709 */
 long BgL_arg1473z00_4026; long BgL_arg1474z00_4027;
{ /* Unsafe/sha2.scm 709 */
 uint32_t BgL_tmpz00_4953;
BgL_tmpz00_4953 = 
(BgL_v2z00_4014 << 
(int)(8L)); 
BgL_arg1473z00_4026 = 
(long)(BgL_tmpz00_4953); } 
BgL_arg1474z00_4027 = 
(long)(BgL_v3z00_4016); 
BgL_arg1472z00_4025 = 
(BgL_arg1473z00_4026 | BgL_arg1474z00_4027); } 
BgL_arg1466z00_4020 = 
(uint32_t)(BgL_arg1472z00_4025); } 
BgL_vz00_4018 = 
(BgL_arg1465z00_4019 | BgL_arg1466z00_4020); } 
{ /* Unsafe/sha2.scm 709 */

BGL_U32VSET(BgL_v32z00_3899, BgL_iz00_3900, BgL_vz00_4018); BUNSPEC; 
return 4L;} } } } } }  else 
{ /* Unsafe/sha2.scm 712 */
 bool_t BgL_test2353z00_4962;
{ /* Unsafe/sha2.scm 712 */
 long BgL_tmpz00_4963;
{ /* Unsafe/sha2.scm 712 */
 long BgL_za72za7_4028;
BgL_za72za7_4028 = 
(long)(BgL_lz00_4009); 
BgL_tmpz00_4963 = 
(1L+BgL_za72za7_4028); } 
BgL_test2353z00_4962 = 
(BgL_nz00_3902>=BgL_tmpz00_4963); } 
if(BgL_test2353z00_4962)
{ /* Unsafe/sha2.scm 712 */
{ /* Unsafe/sha2.scm 713 */
 uint32_t BgL_tmpz00_4967;
BgL_tmpz00_4967 = 
(uint32_t)(0L); 
BGL_U32VSET(BgL_v32z00_3899, BgL_iz00_3900, BgL_tmpz00_4967); } BUNSPEC; 
return 0L;}  else 
{ /* Unsafe/sha2.scm 716 */
 obj_t BgL_vz00_4029; long BgL_kz00_4030;
BgL_vz00_4029 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(4L, 
(uint32_t)(0L)); 
{ /* Unsafe/sha2.scm 717 */
 long BgL_tmpz00_4972;
{ /* Unsafe/sha2.scm 717 */
 long BgL_za72za7_4031;
BgL_za72za7_4031 = 
(long)(BgL_lz00_4009); 
BgL_tmpz00_4972 = 
(
(BgL_nz00_3902+4L)-BgL_za72za7_4031); } 
BgL_kz00_4030 = 
(4L-BgL_tmpz00_4972); } 
{ 
 long BgL_jz00_4033;
BgL_jz00_4033 = 0L; 
BgL_loopz00_4032:
if(
(BgL_jz00_4033==BgL_kz00_4030))
{ /* Unsafe/sha2.scm 719 */
{ /* Unsafe/sha2.scm 721 */
 uint32_t BgL_tmpz00_4979;
BgL_tmpz00_4979 = 
(uint32_t)(128L); 
BGL_U32VSET(BgL_vz00_4029, BgL_jz00_4033, BgL_tmpz00_4979); } BUNSPEC; 
{ /* Unsafe/sha2.scm 722 */
 uint32_t BgL_v0z00_4034;
BgL_v0z00_4034 = 
BGL_U32VREF(BgL_vz00_4029, 0L); 
{ /* Unsafe/sha2.scm 722 */
 uint32_t BgL_v1z00_4035;
BgL_v1z00_4035 = 
BGL_U32VREF(BgL_vz00_4029, 1L); 
{ /* Unsafe/sha2.scm 723 */
 uint32_t BgL_v2z00_4036;
BgL_v2z00_4036 = 
BGL_U32VREF(BgL_vz00_4029, 2L); 
{ /* Unsafe/sha2.scm 724 */
 uint32_t BgL_v3z00_4037;
BgL_v3z00_4037 = 
BGL_U32VREF(BgL_vz00_4029, 3L); 
{ /* Unsafe/sha2.scm 725 */
 uint32_t BgL_vz00_4038;
{ /* Unsafe/sha2.scm 726 */
 uint32_t BgL_arg1484z00_4039; uint32_t BgL_arg1485z00_4040;
{ /* Unsafe/sha2.scm 726 */
 uint32_t BgL_arg1486z00_4041;
{ /* Unsafe/sha2.scm 726 */
 long BgL_arg1487z00_4042;
{ /* Unsafe/sha2.scm 726 */
 long BgL_arg1488z00_4043; long BgL_arg1489z00_4044;
{ /* Unsafe/sha2.scm 726 */
 uint32_t BgL_tmpz00_4986;
BgL_tmpz00_4986 = 
(BgL_v0z00_4034 << 
(int)(8L)); 
BgL_arg1488z00_4043 = 
(long)(BgL_tmpz00_4986); } 
BgL_arg1489z00_4044 = 
(long)(BgL_v1z00_4035); 
BgL_arg1487z00_4042 = 
(BgL_arg1488z00_4043 | BgL_arg1489z00_4044); } 
BgL_arg1486z00_4041 = 
(uint32_t)(BgL_arg1487z00_4042); } 
BgL_arg1484z00_4039 = 
(BgL_arg1486z00_4041 << 
(int)(16L)); } 
{ /* Unsafe/sha2.scm 726 */
 long BgL_arg1493z00_4045;
{ /* Unsafe/sha2.scm 726 */
 long BgL_arg1494z00_4046; long BgL_arg1495z00_4047;
{ /* Unsafe/sha2.scm 726 */
 uint32_t BgL_tmpz00_4995;
BgL_tmpz00_4995 = 
(BgL_v2z00_4036 << 
(int)(8L)); 
BgL_arg1494z00_4046 = 
(long)(BgL_tmpz00_4995); } 
BgL_arg1495z00_4047 = 
(long)(BgL_v3z00_4037); 
BgL_arg1493z00_4045 = 
(BgL_arg1494z00_4046 | BgL_arg1495z00_4047); } 
BgL_arg1485z00_4040 = 
(uint32_t)(BgL_arg1493z00_4045); } 
BgL_vz00_4038 = 
(BgL_arg1484z00_4039 | BgL_arg1485z00_4040); } 
{ /* Unsafe/sha2.scm 726 */

BGL_U32VSET(BgL_v32z00_3899, BgL_iz00_3900, BgL_vz00_4038); BUNSPEC; 
return 
(BgL_jz00_4033+1L);} } } } } } }  else 
{ /* Unsafe/sha2.scm 719 */
{ /* Unsafe/sha2.scm 730 */
 long BgL_arg1497z00_4048;
BgL_arg1497z00_4048 = 
BGl_u32mmapzd2refze71z35zz__sha2z00(
((obj_t)BgL_mmz00_3901), 
(BgL_nz00_3902+BgL_jz00_4033)); 
{ /* Unsafe/sha2.scm 730 */
 uint32_t BgL_tmpz00_5008;
BgL_tmpz00_5008 = 
(uint32_t)(BgL_arg1497z00_4048); 
BGL_U32VSET(BgL_vz00_4029, BgL_jz00_4033, BgL_tmpz00_5008); } BUNSPEC; } 
{ 
 long BgL_jz00_5011;
BgL_jz00_5011 = 
(BgL_jz00_4033+1L); 
BgL_jz00_4033 = BgL_jz00_5011; 
goto BgL_loopz00_4032;} } } } } } } } 

}



/* u32mmap-ref~1 */
long BGl_u32mmapzd2refze71z35zz__sha2z00(obj_t BgL_mmz00_1679, long BgL_iz00_1680)
{
{ /* Unsafe/sha2.scm 699 */
{ /* Unsafe/sha2.scm 699 */
 unsigned char BgL_arg1461z00_1682;
{ /* Unsafe/sha2.scm 699 */
 long BgL_tmpz00_5013;
BgL_tmpz00_5013 = 
(long)(BgL_iz00_1680); 
BgL_arg1461z00_1682 = 
BGL_MMAP_REF(BgL_mmz00_1679, BgL_tmpz00_5013); } 
return 
(BgL_arg1461z00_1682);} } 

}



/* sha256sum-string */
BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2stringzd2zz__sha2z00(obj_t BgL_strz00_40)
{
{ /* Unsafe/sha2.scm 741 */
{ /* Unsafe/sha2.scm 778 */
 obj_t BgL_statez00_1747; obj_t BgL_bufferz00_1748;
BgL_statez00_1747 = 
BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00(); 
{ /* Llib/srfi4.scm 451 */

BgL_bufferz00_1748 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(16L, (uint32_t)(0)); } 
BGl_sha256zd2updatezd2zz__sha2z00(BgL_statez00_1747, BgL_bufferz00_1748, BgL_strz00_40, BGl_proc2294z00zz__sha2z00); 
return 
BGl_statezd2ze3stringz31zz__sha2z00(BgL_statez00_1747);} } 

}



/* &sha256sum-string */
obj_t BGl_z62sha256sumzd2stringzb0zz__sha2z00(obj_t BgL_envz00_3904, obj_t BgL_strz00_3905)
{
{ /* Unsafe/sha2.scm 741 */
{ /* Unsafe/sha2.scm 744 */
 obj_t BgL_auxz00_5021;
if(
STRINGP(BgL_strz00_3905))
{ /* Unsafe/sha2.scm 744 */
BgL_auxz00_5021 = BgL_strz00_3905
; }  else 
{ 
 obj_t BgL_auxz00_5024;
BgL_auxz00_5024 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2291z00zz__sha2z00, 
BINT(32705L), BGl_string2295z00zz__sha2z00, BGl_string2296z00zz__sha2z00, BgL_strz00_3905); 
FAILURE(BgL_auxz00_5024,BFALSE,BFALSE);} 
return 
BGl_sha256sumzd2stringzd2zz__sha2z00(BgL_auxz00_5021);} } 

}



/* &fill-word32-string! */
long BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00(obj_t BgL_envz00_3906, obj_t BgL_v32z00_3907, long BgL_iz00_3908, obj_t BgL_strz00_3909, long BgL_nz00_3910)
{
{ /* Unsafe/sha2.scm 776 */
{ /* Unsafe/sha2.scm 747 */
 long BgL_lz00_4053;
BgL_lz00_4053 = 
STRING_LENGTH(
((obj_t)BgL_strz00_3909)); 
if(
(
(BgL_nz00_3910+4L)<=BgL_lz00_4053))
{ /* Unsafe/sha2.scm 750 */
 uint32_t BgL_v0z00_4054;
{ /* Unsafe/sha2.scm 750 */
 long BgL_tmpz00_5034;
BgL_tmpz00_5034 = 
BGl_u32stringzd2refze71z35zz__sha2z00(
((obj_t)BgL_strz00_3909), BgL_nz00_3910); 
BgL_v0z00_4054 = 
(uint32_t)(BgL_tmpz00_5034); } 
{ /* Unsafe/sha2.scm 750 */
 uint32_t BgL_v1z00_4055;
{ /* Unsafe/sha2.scm 751 */
 long BgL_tmpz00_5038;
BgL_tmpz00_5038 = 
BGl_u32stringzd2refze71z35zz__sha2z00(
((obj_t)BgL_strz00_3909), 
(BgL_nz00_3910+1L)); 
BgL_v1z00_4055 = 
(uint32_t)(BgL_tmpz00_5038); } 
{ /* Unsafe/sha2.scm 751 */
 uint32_t BgL_v2z00_4056;
{ /* Unsafe/sha2.scm 752 */
 long BgL_tmpz00_5043;
BgL_tmpz00_5043 = 
BGl_u32stringzd2refze71z35zz__sha2z00(
((obj_t)BgL_strz00_3909), 
(BgL_nz00_3910+2L)); 
BgL_v2z00_4056 = 
(uint32_t)(BgL_tmpz00_5043); } 
{ /* Unsafe/sha2.scm 752 */
 uint32_t BgL_v3z00_4057;
{ /* Unsafe/sha2.scm 753 */
 long BgL_tmpz00_5048;
BgL_tmpz00_5048 = 
BGl_u32stringzd2refze71z35zz__sha2z00(
((obj_t)BgL_strz00_3909), 
(BgL_nz00_3910+3L)); 
BgL_v3z00_4057 = 
(uint32_t)(BgL_tmpz00_5048); } 
{ /* Unsafe/sha2.scm 753 */
 uint32_t BgL_vz00_4058;
{ /* Unsafe/sha2.scm 754 */
 uint32_t BgL_arg1511z00_4059; uint32_t BgL_arg1512z00_4060;
{ /* Unsafe/sha2.scm 754 */
 uint32_t BgL_arg1513z00_4061;
{ /* Unsafe/sha2.scm 754 */
 long BgL_arg1514z00_4062;
{ /* Unsafe/sha2.scm 754 */
 long BgL_arg1515z00_4063; long BgL_arg1516z00_4064;
{ /* Unsafe/sha2.scm 754 */
 uint32_t BgL_tmpz00_5053;
BgL_tmpz00_5053 = 
(BgL_v0z00_4054 << 
(int)(8L)); 
BgL_arg1515z00_4063 = 
(long)(BgL_tmpz00_5053); } 
BgL_arg1516z00_4064 = 
(long)(BgL_v1z00_4055); 
BgL_arg1514z00_4062 = 
(BgL_arg1515z00_4063 | BgL_arg1516z00_4064); } 
BgL_arg1513z00_4061 = 
(uint32_t)(BgL_arg1514z00_4062); } 
BgL_arg1511z00_4059 = 
(BgL_arg1513z00_4061 << 
(int)(16L)); } 
{ /* Unsafe/sha2.scm 754 */
 long BgL_arg1518z00_4065;
{ /* Unsafe/sha2.scm 754 */
 long BgL_arg1520z00_4066; long BgL_arg1521z00_4067;
{ /* Unsafe/sha2.scm 754 */
 uint32_t BgL_tmpz00_5062;
BgL_tmpz00_5062 = 
(BgL_v2z00_4056 << 
(int)(8L)); 
BgL_arg1520z00_4066 = 
(long)(BgL_tmpz00_5062); } 
BgL_arg1521z00_4067 = 
(long)(BgL_v3z00_4057); 
BgL_arg1518z00_4065 = 
(BgL_arg1520z00_4066 | BgL_arg1521z00_4067); } 
BgL_arg1512z00_4060 = 
(uint32_t)(BgL_arg1518z00_4065); } 
BgL_vz00_4058 = 
(BgL_arg1511z00_4059 | BgL_arg1512z00_4060); } 
{ /* Unsafe/sha2.scm 754 */

BGL_U32VSET(BgL_v32z00_3907, BgL_iz00_3908, BgL_vz00_4058); BUNSPEC; 
return 4L;} } } } } }  else 
{ /* Unsafe/sha2.scm 749 */
if(
(BgL_nz00_3910>=
(1L+BgL_lz00_4053)))
{ /* Unsafe/sha2.scm 757 */
{ /* Unsafe/sha2.scm 758 */
 uint32_t BgL_tmpz00_5074;
BgL_tmpz00_5074 = 
(uint32_t)(0L); 
BGL_U32VSET(BgL_v32z00_3907, BgL_iz00_3908, BgL_tmpz00_5074); } BUNSPEC; 
return 0L;}  else 
{ /* Unsafe/sha2.scm 761 */
 obj_t BgL_vz00_4068; long BgL_kz00_4069;
BgL_vz00_4068 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(4L, 
(uint32_t)(0L)); 
BgL_kz00_4069 = 
(4L-
(
(BgL_nz00_3910+4L)-BgL_lz00_4053)); 
{ 
 long BgL_jz00_4071;
BgL_jz00_4071 = 0L; 
BgL_loopz00_4070:
if(
(BgL_jz00_4071==BgL_kz00_4069))
{ /* Unsafe/sha2.scm 764 */
{ /* Unsafe/sha2.scm 766 */
 uint32_t BgL_tmpz00_5084;
BgL_tmpz00_5084 = 
(uint32_t)(128L); 
BGL_U32VSET(BgL_vz00_4068, BgL_jz00_4071, BgL_tmpz00_5084); } BUNSPEC; 
{ /* Unsafe/sha2.scm 767 */
 uint32_t BgL_v0z00_4072;
BgL_v0z00_4072 = 
BGL_U32VREF(BgL_vz00_4068, 0L); 
{ /* Unsafe/sha2.scm 767 */
 uint32_t BgL_v1z00_4073;
BgL_v1z00_4073 = 
BGL_U32VREF(BgL_vz00_4068, 1L); 
{ /* Unsafe/sha2.scm 768 */
 uint32_t BgL_v2z00_4074;
BgL_v2z00_4074 = 
BGL_U32VREF(BgL_vz00_4068, 2L); 
{ /* Unsafe/sha2.scm 769 */
 uint32_t BgL_v3z00_4075;
BgL_v3z00_4075 = 
BGL_U32VREF(BgL_vz00_4068, 3L); 
{ /* Unsafe/sha2.scm 770 */
 uint32_t BgL_vz00_4076;
{ /* Unsafe/sha2.scm 771 */
 uint32_t BgL_arg1531z00_4077; uint32_t BgL_arg1532z00_4078;
{ /* Unsafe/sha2.scm 771 */
 uint32_t BgL_arg1533z00_4079;
{ /* Unsafe/sha2.scm 771 */
 long BgL_arg1537z00_4080;
{ /* Unsafe/sha2.scm 771 */
 long BgL_arg1538z00_4081; long BgL_arg1539z00_4082;
{ /* Unsafe/sha2.scm 771 */
 uint32_t BgL_tmpz00_5091;
BgL_tmpz00_5091 = 
(BgL_v0z00_4072 << 
(int)(8L)); 
BgL_arg1538z00_4081 = 
(long)(BgL_tmpz00_5091); } 
BgL_arg1539z00_4082 = 
(long)(BgL_v1z00_4073); 
BgL_arg1537z00_4080 = 
(BgL_arg1538z00_4081 | BgL_arg1539z00_4082); } 
BgL_arg1533z00_4079 = 
(uint32_t)(BgL_arg1537z00_4080); } 
BgL_arg1531z00_4077 = 
(BgL_arg1533z00_4079 << 
(int)(16L)); } 
{ /* Unsafe/sha2.scm 771 */
 long BgL_arg1543z00_4083;
{ /* Unsafe/sha2.scm 771 */
 long BgL_arg1544z00_4084; long BgL_arg1545z00_4085;
{ /* Unsafe/sha2.scm 771 */
 uint32_t BgL_tmpz00_5100;
BgL_tmpz00_5100 = 
(BgL_v2z00_4074 << 
(int)(8L)); 
BgL_arg1544z00_4084 = 
(long)(BgL_tmpz00_5100); } 
BgL_arg1545z00_4085 = 
(long)(BgL_v3z00_4075); 
BgL_arg1543z00_4083 = 
(BgL_arg1544z00_4084 | BgL_arg1545z00_4085); } 
BgL_arg1532z00_4078 = 
(uint32_t)(BgL_arg1543z00_4083); } 
BgL_vz00_4076 = 
(BgL_arg1531z00_4077 | BgL_arg1532z00_4078); } 
{ /* Unsafe/sha2.scm 771 */

BGL_U32VSET(BgL_v32z00_3907, BgL_iz00_3908, BgL_vz00_4076); BUNSPEC; 
return 
(BgL_jz00_4071+1L);} } } } } } }  else 
{ /* Unsafe/sha2.scm 764 */
{ /* Unsafe/sha2.scm 775 */
 long BgL_arg1548z00_4086;
BgL_arg1548z00_4086 = 
BGl_u32stringzd2refze71z35zz__sha2z00(
((obj_t)BgL_strz00_3909), 
(BgL_nz00_3910+BgL_jz00_4071)); 
{ /* Unsafe/sha2.scm 775 */
 uint32_t BgL_tmpz00_5113;
BgL_tmpz00_5113 = 
(uint32_t)(BgL_arg1548z00_4086); 
BGL_U32VSET(BgL_vz00_4068, BgL_jz00_4071, BgL_tmpz00_5113); } BUNSPEC; } 
{ 
 long BgL_jz00_5116;
BgL_jz00_5116 = 
(BgL_jz00_4071+1L); 
BgL_jz00_4071 = BgL_jz00_5116; 
goto BgL_loopz00_4070;} } } } } } } 

}



/* u32string-ref~1 */
long BGl_u32stringzd2refze71z35zz__sha2z00(obj_t BgL_strz00_1751, long BgL_iz00_1752)
{
{ /* Unsafe/sha2.scm 744 */
return 
(
STRING_REF(BgL_strz00_1751, BgL_iz00_1752));} 

}



/* sha256sum-port */
BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2portzd2zz__sha2z00(obj_t BgL_pz00_41)
{
{ /* Unsafe/sha2.scm 786 */
{ /* Unsafe/sha2.scm 786 */
 obj_t BgL_lenz00_3922;
BgL_lenz00_3922 = 
MAKE_CELL(
BINT(0L)); 
{ /* Unsafe/sha2.scm 788 */
 obj_t BgL_bufz00_1818;
{ /* Llib/srfi4.scm 451 */

BgL_bufz00_1818 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(4L, (uint32_t)(0)); } 
{ /* Unsafe/sha2.scm 809 */
 obj_t BgL_fillzd2word32zd2portz12z12_3911;
{ 
 int BgL_tmpz00_5122;
BgL_tmpz00_5122 = 
(int)(2L); 
BgL_fillzd2word32zd2portz12z12_3911 = 
MAKE_L_PROCEDURE(BGl_z62fillzd2word32zd2portz12z70zz__sha2z00, BgL_tmpz00_5122); } 
PROCEDURE_L_SET(BgL_fillzd2word32zd2portz12z12_3911, 
(int)(0L), BgL_bufz00_1818); 
PROCEDURE_L_SET(BgL_fillzd2word32zd2portz12z12_3911, 
(int)(1L), 
((obj_t)BgL_lenz00_3922)); 
{ /* Unsafe/sha2.scm 841 */
 obj_t BgL_statez00_1821; obj_t BgL_bufferz00_1822;
BgL_statez00_1821 = 
BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00(); 
{ /* Llib/srfi4.scm 451 */

BgL_bufferz00_1822 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(16L, (uint32_t)(0)); } 
BGl_sha256zd2updatezd2zz__sha2z00(BgL_statez00_1821, BgL_bufferz00_1822, BgL_pz00_41, BgL_fillzd2word32zd2portz12z12_3911); 
return 
BGl_statezd2ze3stringz31zz__sha2z00(BgL_statez00_1821);} } } } } 

}



/* &sha256sum-port */
obj_t BGl_z62sha256sumzd2portzb0zz__sha2z00(obj_t BgL_envz00_3912, obj_t BgL_pz00_3913)
{
{ /* Unsafe/sha2.scm 786 */
{ /* Unsafe/sha2.scm 786 */
 obj_t BgL_auxz00_5134;
if(
INPUT_PORTP(BgL_pz00_3913))
{ /* Unsafe/sha2.scm 786 */
BgL_auxz00_5134 = BgL_pz00_3913
; }  else 
{ 
 obj_t BgL_auxz00_5137;
BgL_auxz00_5137 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2291z00zz__sha2z00, 
BINT(34139L), BGl_string2297z00zz__sha2z00, BGl_string2298z00zz__sha2z00, BgL_pz00_3913); 
FAILURE(BgL_auxz00_5137,BFALSE,BFALSE);} 
return 
BGl_sha256sumzd2portzd2zz__sha2z00(BgL_auxz00_5134);} } 

}



/* &fill-word32-port! */
long BGl_z62fillzd2word32zd2portz12z70zz__sha2z00(obj_t BgL_envz00_3914, obj_t BgL_v32z00_3917, long BgL_iz00_3918, obj_t BgL_pz00_3919, long BgL_nz00_3920)
{
{ /* Unsafe/sha2.scm 839 */
{ /* Unsafe/sha2.scm 809 */
 obj_t BgL_bufz00_3915; obj_t BgL_lenz00_3916;
BgL_bufz00_3915 = 
((obj_t)
PROCEDURE_L_REF(BgL_envz00_3914, 
(int)(0L))); 
BgL_lenz00_3916 = 
PROCEDURE_L_REF(BgL_envz00_3914, 
(int)(1L)); 
{ 
 obj_t BgL_pz00_4092;
{ /* Unsafe/sha2.scm 809 */
 long BgL_lz00_4099;
BgL_pz00_4092 = 
((obj_t)BgL_pz00_3919); 
{ 
 long BgL_iz00_4094;
BgL_iz00_4094 = 0L; 
BgL_loopz00_4093:
if(
(BgL_iz00_4094==4L))
{ /* Unsafe/sha2.scm 794 */
BgL_lz00_4099 = BgL_iz00_4094; }  else 
{ /* Unsafe/sha2.scm 796 */
 obj_t BgL_cz00_4095;
BgL_cz00_4095 = 
BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_pz00_4092); 
if(
EOF_OBJECTP(BgL_cz00_4095))
{ 
 long BgL_jz00_4097;
BgL_jz00_4097 = BgL_iz00_4094; 
BgL_liipz00_4096:
if(
(BgL_jz00_4097==4L))
{ /* Unsafe/sha2.scm 799 */
BgL_lz00_4099 = BgL_iz00_4094; }  else 
{ /* Unsafe/sha2.scm 799 */
{ /* Unsafe/sha2.scm 802 */
 uint32_t BgL_tmpz00_5154;
BgL_tmpz00_5154 = 
(uint32_t)(0L); 
BGL_U32VSET(BgL_bufz00_3915, BgL_jz00_4097, BgL_tmpz00_5154); } BUNSPEC; 
{ 
 long BgL_jz00_5157;
BgL_jz00_5157 = 
(BgL_jz00_4097+1L); 
BgL_jz00_4097 = BgL_jz00_5157; 
goto BgL_liipz00_4096;} } }  else 
{ /* Unsafe/sha2.scm 797 */
{ /* Unsafe/sha2.scm 805 */
 uint32_t BgL_arg1608z00_4098;
{ /* Unsafe/sha2.scm 805 */
 char BgL_tmpz00_5159;
BgL_tmpz00_5159 = 
(signed char)CINT(BgL_cz00_4095); 
BgL_arg1608z00_4098 = 
(uint32_t)(BgL_tmpz00_5159); } 
BGL_U32VSET(BgL_bufz00_3915, BgL_iz00_4094, BgL_arg1608z00_4098); BUNSPEC; } 
{ 
 long BgL_iz00_5163;
BgL_iz00_5163 = 
(BgL_iz00_4094+1L); 
BgL_iz00_4094 = BgL_iz00_5163; 
goto BgL_loopz00_4093;} } } } 
{ /* Unsafe/sha2.scm 810 */
 obj_t BgL_auxz00_4100;
BgL_auxz00_4100 = 
ADDFX(
CELL_REF(BgL_lenz00_3916), 
BINT(BgL_lz00_4099)); 
CELL_SET(BgL_lenz00_3916, BgL_auxz00_4100); } 
if(
(
(BgL_nz00_3920+4L)<=
(long)CINT(
CELL_REF(BgL_lenz00_3916))))
{ /* Unsafe/sha2.scm 813 */
 uint32_t BgL_v0z00_4101;
BgL_v0z00_4101 = 
BGL_U32VREF(BgL_bufz00_3915, 0L); 
{ /* Unsafe/sha2.scm 813 */
 uint32_t BgL_v1z00_4102;
BgL_v1z00_4102 = 
BGL_U32VREF(BgL_bufz00_3915, 1L); 
{ /* Unsafe/sha2.scm 814 */
 uint32_t BgL_v2z00_4103;
BgL_v2z00_4103 = 
BGL_U32VREF(BgL_bufz00_3915, 2L); 
{ /* Unsafe/sha2.scm 815 */
 uint32_t BgL_v3z00_4104;
BgL_v3z00_4104 = 
BGL_U32VREF(BgL_bufz00_3915, 3L); 
{ /* Unsafe/sha2.scm 816 */
 uint32_t BgL_vz00_4105;
{ /* Unsafe/sha2.scm 817 */
 uint32_t BgL_arg1562z00_4106; uint32_t BgL_arg1565z00_4107;
{ /* Unsafe/sha2.scm 817 */
 uint32_t BgL_arg1566z00_4108;
{ /* Unsafe/sha2.scm 817 */
 long BgL_arg1567z00_4109;
{ /* Unsafe/sha2.scm 817 */
 long BgL_arg1568z00_4110; long BgL_arg1569z00_4111;
{ /* Unsafe/sha2.scm 817 */
 uint32_t BgL_tmpz00_5176;
BgL_tmpz00_5176 = 
(BgL_v0z00_4101 << 
(int)(8L)); 
BgL_arg1568z00_4110 = 
(long)(BgL_tmpz00_5176); } 
BgL_arg1569z00_4111 = 
(long)(BgL_v1z00_4102); 
BgL_arg1567z00_4109 = 
(BgL_arg1568z00_4110 | BgL_arg1569z00_4111); } 
BgL_arg1566z00_4108 = 
(uint32_t)(BgL_arg1567z00_4109); } 
BgL_arg1562z00_4106 = 
(BgL_arg1566z00_4108 << 
(int)(16L)); } 
{ /* Unsafe/sha2.scm 817 */
 long BgL_arg1571z00_4112;
{ /* Unsafe/sha2.scm 817 */
 long BgL_arg1572z00_4113; long BgL_arg1573z00_4114;
{ /* Unsafe/sha2.scm 817 */
 uint32_t BgL_tmpz00_5185;
BgL_tmpz00_5185 = 
(BgL_v2z00_4103 << 
(int)(8L)); 
BgL_arg1572z00_4113 = 
(long)(BgL_tmpz00_5185); } 
BgL_arg1573z00_4114 = 
(long)(BgL_v3z00_4104); 
BgL_arg1571z00_4112 = 
(BgL_arg1572z00_4113 | BgL_arg1573z00_4114); } 
BgL_arg1565z00_4107 = 
(uint32_t)(BgL_arg1571z00_4112); } 
BgL_vz00_4105 = 
(BgL_arg1562z00_4106 | BgL_arg1565z00_4107); } 
{ /* Unsafe/sha2.scm 817 */

BGL_U32VSET(BgL_v32z00_3917, BgL_iz00_3918, BgL_vz00_4105); BUNSPEC; 
return 4L;} } } } } }  else 
{ /* Unsafe/sha2.scm 812 */
if(
(BgL_nz00_3920>=
(1L+
(long)CINT(
CELL_REF(BgL_lenz00_3916)))))
{ /* Unsafe/sha2.scm 820 */
{ /* Unsafe/sha2.scm 821 */
 uint32_t BgL_tmpz00_5198;
BgL_tmpz00_5198 = 
(uint32_t)(0L); 
BGL_U32VSET(BgL_v32z00_3917, BgL_iz00_3918, BgL_tmpz00_5198); } BUNSPEC; 
return 0L;}  else 
{ /* Unsafe/sha2.scm 824 */
 obj_t BgL_vz00_4115; long BgL_kz00_4116;
BgL_vz00_4115 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(4L, 
(uint32_t)(0L)); 
BgL_kz00_4116 = 
(4L-
(
(BgL_nz00_3920+4L)-
(long)CINT(
CELL_REF(BgL_lenz00_3916)))); 
{ 
 long BgL_jz00_4118;
BgL_jz00_4118 = 0L; 
BgL_loopz00_4117:
if(
(BgL_jz00_4118==BgL_kz00_4116))
{ /* Unsafe/sha2.scm 827 */
{ /* Unsafe/sha2.scm 829 */
 uint32_t BgL_tmpz00_5209;
BgL_tmpz00_5209 = 
(uint32_t)(128L); 
BGL_U32VSET(BgL_vz00_4115, BgL_jz00_4118, BgL_tmpz00_5209); } BUNSPEC; 
{ /* Unsafe/sha2.scm 830 */
 uint32_t BgL_v0z00_4119;
BgL_v0z00_4119 = 
BGL_U32VREF(BgL_vz00_4115, 0L); 
{ /* Unsafe/sha2.scm 830 */
 uint32_t BgL_v1z00_4120;
BgL_v1z00_4120 = 
BGL_U32VREF(BgL_vz00_4115, 1L); 
{ /* Unsafe/sha2.scm 831 */
 uint32_t BgL_v2z00_4121;
BgL_v2z00_4121 = 
BGL_U32VREF(BgL_vz00_4115, 2L); 
{ /* Unsafe/sha2.scm 832 */
 uint32_t BgL_v3z00_4122;
BgL_v3z00_4122 = 
BGL_U32VREF(BgL_vz00_4115, 3L); 
{ /* Unsafe/sha2.scm 833 */
 uint32_t BgL_vz00_4123;
{ /* Unsafe/sha2.scm 834 */
 uint32_t BgL_arg1581z00_4124; uint32_t BgL_arg1582z00_4125;
{ /* Unsafe/sha2.scm 834 */
 uint32_t BgL_arg1583z00_4126;
{ /* Unsafe/sha2.scm 834 */
 long BgL_arg1584z00_4127;
{ /* Unsafe/sha2.scm 834 */
 long BgL_arg1585z00_4128; long BgL_arg1586z00_4129;
{ /* Unsafe/sha2.scm 834 */
 uint32_t BgL_tmpz00_5216;
BgL_tmpz00_5216 = 
(BgL_v0z00_4119 << 
(int)(8L)); 
BgL_arg1585z00_4128 = 
(long)(BgL_tmpz00_5216); } 
BgL_arg1586z00_4129 = 
(long)(BgL_v1z00_4120); 
BgL_arg1584z00_4127 = 
(BgL_arg1585z00_4128 | BgL_arg1586z00_4129); } 
BgL_arg1583z00_4126 = 
(uint32_t)(BgL_arg1584z00_4127); } 
BgL_arg1581z00_4124 = 
(BgL_arg1583z00_4126 << 
(int)(16L)); } 
{ /* Unsafe/sha2.scm 834 */
 long BgL_arg1588z00_4130;
{ /* Unsafe/sha2.scm 834 */
 long BgL_arg1589z00_4131; long BgL_arg1591z00_4132;
{ /* Unsafe/sha2.scm 834 */
 uint32_t BgL_tmpz00_5225;
BgL_tmpz00_5225 = 
(BgL_v2z00_4121 << 
(int)(8L)); 
BgL_arg1589z00_4131 = 
(long)(BgL_tmpz00_5225); } 
BgL_arg1591z00_4132 = 
(long)(BgL_v3z00_4122); 
BgL_arg1588z00_4130 = 
(BgL_arg1589z00_4131 | BgL_arg1591z00_4132); } 
BgL_arg1582z00_4125 = 
(uint32_t)(BgL_arg1588z00_4130); } 
BgL_vz00_4123 = 
(BgL_arg1581z00_4124 | BgL_arg1582z00_4125); } 
{ /* Unsafe/sha2.scm 834 */

BGL_U32VSET(BgL_v32z00_3917, BgL_iz00_3918, BgL_vz00_4123); BUNSPEC; 
return 
(BgL_jz00_4118+1L);} } } } } } }  else 
{ /* Unsafe/sha2.scm 827 */
{ /* Unsafe/sha2.scm 838 */
 uint32_t BgL_arg1593z00_4133;
BgL_arg1593z00_4133 = 
BGL_U32VREF(BgL_bufz00_3915, BgL_jz00_4118); 
BGL_U32VSET(BgL_vz00_4115, BgL_jz00_4118, BgL_arg1593z00_4133); BUNSPEC; } 
{ 
 long BgL_jz00_5237;
BgL_jz00_5237 = 
(BgL_jz00_4118+1L); 
BgL_jz00_4118 = BgL_jz00_5237; 
goto BgL_loopz00_4117;} } } } } } } } } 

}



/* sha256sum-file */
BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2filezd2zz__sha2z00(obj_t BgL_fnamez00_42)
{
{ /* Unsafe/sha2.scm 849 */
{ /* Unsafe/sha2.scm 850 */
 obj_t BgL_mmz00_1901;
BgL_mmz00_1901 = 
BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_42, BTRUE, BFALSE); 
if(
BGL_MMAPP(BgL_mmz00_1901))
{ /* Unsafe/sha2.scm 852 */
 obj_t BgL_exitd1072z00_1903;
BgL_exitd1072z00_1903 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Unsafe/sha2.scm 854 */
 obj_t BgL_zc3z04anonymousza31611ze3z87_3924;
BgL_zc3z04anonymousza31611ze3z87_3924 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31611ze3ze5zz__sha2z00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31611ze3z87_3924, 
(int)(0L), BgL_mmz00_1901); 
{ /* Unsafe/sha2.scm 852 */
 obj_t BgL_arg2264z00_3283;
{ /* Unsafe/sha2.scm 852 */
 obj_t BgL_arg2265z00_3284;
BgL_arg2265z00_3284 = 
BGL_EXITD_PROTECT(BgL_exitd1072z00_1903); 
BgL_arg2264z00_3283 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31611ze3z87_3924, BgL_arg2265z00_3284); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1072z00_1903, BgL_arg2264z00_3283); BUNSPEC; } 
{ /* Unsafe/sha2.scm 853 */
 obj_t BgL_tmp1074z00_1905;
BgL_tmp1074z00_1905 = 
BGl_sha256sumzd2mmapzd2zz__sha2z00(BgL_mmz00_1901); 
{ /* Unsafe/sha2.scm 852 */
 bool_t BgL_test2367z00_5252;
{ /* Unsafe/sha2.scm 852 */
 obj_t BgL_arg2263z00_3286;
BgL_arg2263z00_3286 = 
BGL_EXITD_PROTECT(BgL_exitd1072z00_1903); 
BgL_test2367z00_5252 = 
PAIRP(BgL_arg2263z00_3286); } 
if(BgL_test2367z00_5252)
{ /* Unsafe/sha2.scm 852 */
 obj_t BgL_arg2261z00_3287;
{ /* Unsafe/sha2.scm 852 */
 obj_t BgL_arg2262z00_3288;
BgL_arg2262z00_3288 = 
BGL_EXITD_PROTECT(BgL_exitd1072z00_1903); 
BgL_arg2261z00_3287 = 
CDR(
((obj_t)BgL_arg2262z00_3288)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1072z00_1903, BgL_arg2261z00_3287); BUNSPEC; }  else 
{ /* Unsafe/sha2.scm 852 */BFALSE; } } 
BGl_z62zc3z04anonymousza31611ze3ze5zz__sha2z00(BgL_zc3z04anonymousza31611ze3z87_3924); 
return BgL_tmp1074z00_1905;} } }  else 
{ /* Unsafe/sha2.scm 855 */
 obj_t BgL_pz00_1908;
{ /* Ieee/port.scm 460 */

BgL_pz00_1908 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_fnamez00_42, BTRUE, 
BINT(5000000L)); } 
{ /* Unsafe/sha2.scm 856 */
 obj_t BgL_exitd1076z00_1909;
BgL_exitd1076z00_1909 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Unsafe/sha2.scm 858 */
 obj_t BgL_zc3z04anonymousza31612ze3z87_3925;
BgL_zc3z04anonymousza31612ze3z87_3925 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31612ze3ze5zz__sha2z00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31612ze3z87_3925, 
(int)(0L), BgL_pz00_1908); 
{ /* Unsafe/sha2.scm 856 */
 obj_t BgL_arg2264z00_3291;
{ /* Unsafe/sha2.scm 856 */
 obj_t BgL_arg2265z00_3292;
BgL_arg2265z00_3292 = 
BGL_EXITD_PROTECT(BgL_exitd1076z00_1909); 
BgL_arg2264z00_3291 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31612ze3z87_3925, BgL_arg2265z00_3292); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1076z00_1909, BgL_arg2264z00_3291); BUNSPEC; } 
{ /* Unsafe/sha2.scm 857 */
 obj_t BgL_tmp1078z00_1911;
BgL_tmp1078z00_1911 = 
BGl_sha256sumzd2portzd2zz__sha2z00(BgL_pz00_1908); 
{ /* Unsafe/sha2.scm 856 */
 bool_t BgL_test2368z00_5272;
{ /* Unsafe/sha2.scm 856 */
 obj_t BgL_arg2263z00_3294;
BgL_arg2263z00_3294 = 
BGL_EXITD_PROTECT(BgL_exitd1076z00_1909); 
BgL_test2368z00_5272 = 
PAIRP(BgL_arg2263z00_3294); } 
if(BgL_test2368z00_5272)
{ /* Unsafe/sha2.scm 856 */
 obj_t BgL_arg2261z00_3295;
{ /* Unsafe/sha2.scm 856 */
 obj_t BgL_arg2262z00_3296;
BgL_arg2262z00_3296 = 
BGL_EXITD_PROTECT(BgL_exitd1076z00_1909); 
BgL_arg2261z00_3295 = 
CDR(
((obj_t)BgL_arg2262z00_3296)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1076z00_1909, BgL_arg2261z00_3295); BUNSPEC; }  else 
{ /* Unsafe/sha2.scm 856 */BFALSE; } } 
BGl_z62zc3z04anonymousza31612ze3ze5zz__sha2z00(BgL_zc3z04anonymousza31612ze3z87_3925); 
return BgL_tmp1078z00_1911;} } } } } } 

}



/* &sha256sum-file */
obj_t BGl_z62sha256sumzd2filezb0zz__sha2z00(obj_t BgL_envz00_3926, obj_t BgL_fnamez00_3927)
{
{ /* Unsafe/sha2.scm 849 */
{ /* Unsafe/sha2.scm 850 */
 obj_t BgL_auxz00_5280;
if(
STRINGP(BgL_fnamez00_3927))
{ /* Unsafe/sha2.scm 850 */
BgL_auxz00_5280 = BgL_fnamez00_3927
; }  else 
{ 
 obj_t BgL_auxz00_5283;
BgL_auxz00_5283 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2291z00zz__sha2z00, 
BINT(36025L), BGl_string2299z00zz__sha2z00, BGl_string2296z00zz__sha2z00, BgL_fnamez00_3927); 
FAILURE(BgL_auxz00_5283,BFALSE,BFALSE);} 
return 
BGl_sha256sumzd2filezd2zz__sha2z00(BgL_auxz00_5280);} } 

}



/* &<@anonymous:1611> */
obj_t BGl_z62zc3z04anonymousza31611ze3ze5zz__sha2z00(obj_t BgL_envz00_3928)
{
{ /* Unsafe/sha2.scm 852 */
{ /* Unsafe/sha2.scm 854 */
 obj_t BgL_mmz00_3929;
BgL_mmz00_3929 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_3928, 
(int)(0L))); 
return 
bgl_close_mmap(BgL_mmz00_3929);} } 

}



/* &<@anonymous:1612> */
obj_t BGl_z62zc3z04anonymousza31612ze3ze5zz__sha2z00(obj_t BgL_envz00_3930)
{
{ /* Unsafe/sha2.scm 856 */
{ /* Unsafe/sha2.scm 858 */
 obj_t BgL_pz00_3931;
BgL_pz00_3931 = 
PROCEDURE_REF(BgL_envz00_3930, 
(int)(0L)); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_3931));} } 

}



/* sha256sum */
BGL_EXPORTED_DEF obj_t BGl_sha256sumz00zz__sha2z00(obj_t BgL_objz00_43)
{
{ /* Unsafe/sha2.scm 863 */
if(
BGL_MMAPP(BgL_objz00_43))
{ /* Unsafe/sha2.scm 865 */
return 
BGl_sha256sumzd2mmapzd2zz__sha2z00(BgL_objz00_43);}  else 
{ /* Unsafe/sha2.scm 865 */
if(
STRINGP(BgL_objz00_43))
{ /* Unsafe/sha2.scm 867 */
return 
BGl_sha256sumzd2stringzd2zz__sha2z00(BgL_objz00_43);}  else 
{ /* Unsafe/sha2.scm 867 */
if(
INPUT_PORTP(BgL_objz00_43))
{ /* Unsafe/sha2.scm 869 */
return 
BGl_sha256sumzd2portzd2zz__sha2z00(BgL_objz00_43);}  else 
{ /* Unsafe/sha2.scm 869 */
return 
BGl_errorz00zz__errorz00(BGl_string2300z00zz__sha2z00, BGl_string2301z00zz__sha2z00, BgL_objz00_43);} } } } 

}



/* &sha256sum */
obj_t BGl_z62sha256sumz62zz__sha2z00(obj_t BgL_envz00_3932, obj_t BgL_objz00_3933)
{
{ /* Unsafe/sha2.scm 863 */
return 
BGl_sha256sumz00zz__sha2z00(BgL_objz00_3933);} 

}



/* get64-a */
uint64_t BGl_get64zd2azd2zz__sha2z00(obj_t BgL_stz00_44)
{
{ /* Unsafe/sha2.scm 877 */
return 
BGL_U64VREF(BgL_stz00_44, 0L);} 

}



/* get64-b */
uint64_t BGl_get64zd2bzd2zz__sha2z00(obj_t BgL_stz00_45)
{
{ /* Unsafe/sha2.scm 878 */
return 
BGL_U64VREF(BgL_stz00_45, 1L);} 

}



/* get64-c */
uint64_t BGl_get64zd2czd2zz__sha2z00(obj_t BgL_stz00_46)
{
{ /* Unsafe/sha2.scm 879 */
return 
BGL_U64VREF(BgL_stz00_46, 2L);} 

}



/* get64-d */
uint64_t BGl_get64zd2dzd2zz__sha2z00(obj_t BgL_stz00_47)
{
{ /* Unsafe/sha2.scm 880 */
return 
BGL_U64VREF(BgL_stz00_47, 3L);} 

}



/* get64-e */
uint64_t BGl_get64zd2ezd2zz__sha2z00(obj_t BgL_stz00_48)
{
{ /* Unsafe/sha2.scm 881 */
return 
BGL_U64VREF(BgL_stz00_48, 4L);} 

}



/* get64-f */
uint64_t BGl_get64zd2fzd2zz__sha2z00(obj_t BgL_stz00_49)
{
{ /* Unsafe/sha2.scm 882 */
return 
BGL_U64VREF(BgL_stz00_49, 5L);} 

}



/* get64-g */
uint64_t BGl_get64zd2gzd2zz__sha2z00(obj_t BgL_stz00_50)
{
{ /* Unsafe/sha2.scm 883 */
return 
BGL_U64VREF(BgL_stz00_50, 6L);} 

}



/* get64-h */
uint64_t BGl_get64zd2hzd2zz__sha2z00(obj_t BgL_stz00_51)
{
{ /* Unsafe/sha2.scm 884 */
return 
BGL_U64VREF(BgL_stz00_51, 7L);} 

}



/* sha512-internal-transform */
obj_t BGl_sha512zd2internalzd2transformz00zz__sha2z00(obj_t BgL_statez00_52, obj_t BgL_bufferz00_53)
{
{ /* Unsafe/sha2.scm 889 */
{ 
 obj_t BgL_statez00_2009; uint64_t BgL_az00_2010; uint64_t BgL_bz00_2011; uint64_t BgL_cz00_2012; uint64_t BgL_dz00_2013; uint64_t BgL_ez00_2014; uint64_t BgL_fz00_2015; uint64_t BgL_gz00_2016; uint64_t BgL_hz00_2017;
{ /* Unsafe/sha2.scm 924 */
 uint64_t BgL_g1080z00_1927; uint64_t BgL_g1081z00_1928; uint64_t BgL_g1082z00_1929; uint64_t BgL_g1083z00_1930; uint64_t BgL_g1084z00_1931; uint64_t BgL_g1085z00_1932; uint64_t BgL_g1086z00_1933; uint64_t BgL_g1087z00_1934;
BgL_g1080z00_1927 = 
BGl_get64zd2azd2zz__sha2z00(BgL_statez00_52); 
BgL_g1081z00_1928 = 
BGl_get64zd2bzd2zz__sha2z00(BgL_statez00_52); 
BgL_g1082z00_1929 = 
BGl_get64zd2czd2zz__sha2z00(BgL_statez00_52); 
BgL_g1083z00_1930 = 
BGl_get64zd2dzd2zz__sha2z00(BgL_statez00_52); 
BgL_g1084z00_1931 = 
BGl_get64zd2ezd2zz__sha2z00(BgL_statez00_52); 
BgL_g1085z00_1932 = 
BGl_get64zd2fzd2zz__sha2z00(BgL_statez00_52); 
BgL_g1086z00_1933 = 
BGl_get64zd2gzd2zz__sha2z00(BgL_statez00_52); 
BgL_g1087z00_1934 = 
BGl_get64zd2hzd2zz__sha2z00(BgL_statez00_52); 
{ 
 uint64_t BgL_az00_1936; uint64_t BgL_bz00_1937; uint64_t BgL_cz00_1938; uint64_t BgL_dz00_1939; uint64_t BgL_ez00_1940; uint64_t BgL_fz00_1941; uint64_t BgL_gz00_1942; uint64_t BgL_hz00_1943; long BgL_jz00_1944;
BgL_az00_1936 = BgL_g1080z00_1927; 
BgL_bz00_1937 = BgL_g1081z00_1928; 
BgL_cz00_1938 = BgL_g1082z00_1929; 
BgL_dz00_1939 = BgL_g1083z00_1930; 
BgL_ez00_1940 = BgL_g1084z00_1931; 
BgL_fz00_1941 = BgL_g1085z00_1932; 
BgL_gz00_1942 = BgL_g1086z00_1933; 
BgL_hz00_1943 = BgL_g1087z00_1934; 
BgL_jz00_1944 = 0L; 
BgL_zc3z04anonymousza31617ze3z87_1945:
if(
(BgL_jz00_1944<16L))
{ /* Unsafe/sha2.scm 935 */
 uint64_t BgL_wz00_1947;
BgL_wz00_1947 = 
BGL_U64VREF(BgL_bufferz00_53, BgL_jz00_1944); 
{ /* Unsafe/sha2.scm 935 */
 uint64_t BgL_t1z00_1948;
BgL_t1z00_1948 = 
BGl_compressze70ze7zz__sha2z00(BgL_ez00_1940, BgL_fz00_1941, BgL_gz00_1942, BgL_hz00_1943, BgL_wz00_1947, BgL_jz00_1944); 
{ /* Unsafe/sha2.scm 936 */
 uint64_t BgL_t2z00_1949;
BgL_t2z00_1949 = 
(
BGl_Sigma0zd2512zd2zz__sha2z00(BgL_az00_1936)+
BGl_Majze70ze7zz__sha2z00(BgL_az00_1936, BgL_bz00_1937, BgL_cz00_1938)); 
{ /* Unsafe/sha2.scm 937 */

{ 
 long BgL_jz00_5340; uint64_t BgL_hz00_5339; uint64_t BgL_gz00_5338; uint64_t BgL_fz00_5337; uint64_t BgL_ez00_5335; uint64_t BgL_dz00_5334; uint64_t BgL_cz00_5333; uint64_t BgL_bz00_5332; uint64_t BgL_az00_5330;
BgL_az00_5330 = 
(BgL_t1z00_1948+BgL_t2z00_1949); 
BgL_bz00_5332 = BgL_az00_1936; 
BgL_cz00_5333 = BgL_bz00_1937; 
BgL_dz00_5334 = BgL_cz00_1938; 
BgL_ez00_5335 = 
(BgL_dz00_1939+BgL_t1z00_1948); 
BgL_fz00_5337 = BgL_ez00_1940; 
BgL_gz00_5338 = BgL_fz00_1941; 
BgL_hz00_5339 = BgL_gz00_1942; 
BgL_jz00_5340 = 
(BgL_jz00_1944+1L); 
BgL_jz00_1944 = BgL_jz00_5340; 
BgL_hz00_1943 = BgL_hz00_5339; 
BgL_gz00_1942 = BgL_gz00_5338; 
BgL_fz00_1941 = BgL_fz00_5337; 
BgL_ez00_1940 = BgL_ez00_5335; 
BgL_dz00_1939 = BgL_dz00_5334; 
BgL_cz00_1938 = BgL_cz00_5333; 
BgL_bz00_1937 = BgL_bz00_5332; 
BgL_az00_1936 = BgL_az00_5330; 
goto BgL_zc3z04anonymousza31617ze3z87_1945;} } } } }  else 
{ /* Unsafe/sha2.scm 934 */
if(
(BgL_jz00_1944<80L))
{ /* Unsafe/sha2.scm 940 */
 uint64_t BgL_s0z00_1956;
BgL_s0z00_1956 = 
BGl_sigma0zd2512zd2zz__sha2z00(
BGl_xfzd2refze70z35zz__sha2z00(BgL_bufferz00_53, 
(BgL_jz00_1944+1L))); 
{ /* Unsafe/sha2.scm 940 */
 uint64_t BgL_s1z00_1957;
BgL_s1z00_1957 = 
BGl_sigma1zd2512zd2zz__sha2z00(
BGl_xfzd2refze70z35zz__sha2z00(BgL_bufferz00_53, 
(BgL_jz00_1944+14L))); 
{ /* Unsafe/sha2.scm 941 */
 long BgL_ndxz00_1958;
BgL_ndxz00_1958 = 
(BgL_jz00_1944 & 
LLONG_TO_LONG(((BGL_LONGLONG_T)15))); 
{ /* Unsafe/sha2.scm 942 */
 uint64_t BgL_wz00_1959;
BgL_wz00_1959 = 
(
BGl_xfzd2refze70z35zz__sha2z00(BgL_bufferz00_53, BgL_jz00_1944)+
(BgL_s1z00_1957+
(
BGl_xfzd2refze70z35zz__sha2z00(BgL_bufferz00_53, 
(BgL_jz00_1944+9L))+BgL_s0z00_1956))); 
{ /* Unsafe/sha2.scm 943 */
 uint64_t BgL_t1z00_1960;
BgL_t1z00_1960 = 
BGl_compressze70ze7zz__sha2z00(BgL_ez00_1940, BgL_fz00_1941, BgL_gz00_1942, BgL_hz00_1943, BgL_wz00_1959, BgL_jz00_1944); 
{ /* Unsafe/sha2.scm 944 */
 uint64_t BgL_t2z00_1961;
BgL_t2z00_1961 = 
(
BGl_Sigma0zd2512zd2zz__sha2z00(BgL_az00_1936)+
BGl_Majze70ze7zz__sha2z00(BgL_az00_1936, BgL_bz00_1937, BgL_cz00_1938)); 
{ /* Unsafe/sha2.scm 945 */

BGL_U64VSET(BgL_bufferz00_53, BgL_ndxz00_1958, BgL_wz00_1959); BUNSPEC; 
{ 
 long BgL_jz00_5373; uint64_t BgL_hz00_5372; uint64_t BgL_gz00_5371; uint64_t BgL_fz00_5370; uint64_t BgL_ez00_5368; uint64_t BgL_dz00_5367; uint64_t BgL_cz00_5366; uint64_t BgL_bz00_5365; uint64_t BgL_az00_5363;
BgL_az00_5363 = 
(BgL_t1z00_1960+BgL_t2z00_1961); 
BgL_bz00_5365 = BgL_az00_1936; 
BgL_cz00_5366 = BgL_bz00_1937; 
BgL_dz00_5367 = BgL_cz00_1938; 
BgL_ez00_5368 = 
(BgL_dz00_1939+BgL_t1z00_1960); 
BgL_fz00_5370 = BgL_ez00_1940; 
BgL_gz00_5371 = BgL_fz00_1941; 
BgL_hz00_5372 = BgL_gz00_1942; 
BgL_jz00_5373 = 
(BgL_jz00_1944+1L); 
BgL_jz00_1944 = BgL_jz00_5373; 
BgL_hz00_1943 = BgL_hz00_5372; 
BgL_gz00_1942 = BgL_gz00_5371; 
BgL_fz00_1941 = BgL_fz00_5370; 
BgL_ez00_1940 = BgL_ez00_5368; 
BgL_dz00_1939 = BgL_dz00_5367; 
BgL_cz00_1938 = BgL_cz00_5366; 
BgL_bz00_1937 = BgL_bz00_5365; 
BgL_az00_1936 = BgL_az00_5363; 
goto BgL_zc3z04anonymousza31617ze3z87_1945;} } } } } } } }  else 
{ /* Unsafe/sha2.scm 939 */
BgL_statez00_2009 = BgL_statez00_52; 
BgL_az00_2010 = BgL_az00_1936; 
BgL_bz00_2011 = BgL_bz00_1937; 
BgL_cz00_2012 = BgL_cz00_1938; 
BgL_dz00_2013 = BgL_dz00_1939; 
BgL_ez00_2014 = BgL_ez00_1940; 
BgL_fz00_2015 = BgL_fz00_1941; 
BgL_gz00_2016 = BgL_gz00_1942; 
BgL_hz00_2017 = BgL_hz00_1943; 
{ /* Unsafe/sha2.scm 906 */
 uint64_t BgL_oaz00_2019; uint64_t BgL_obz00_2020; uint64_t BgL_ocz00_2021; uint64_t BgL_odz00_2022; uint64_t BgL_oez00_2023; uint64_t BgL_ofz00_2024; uint64_t BgL_ogz00_2025; uint64_t BgL_ohz00_2026;
BgL_oaz00_2019 = 
BGl_get64zd2azd2zz__sha2z00(BgL_statez00_2009); 
BgL_obz00_2020 = 
BGl_get64zd2bzd2zz__sha2z00(BgL_statez00_2009); 
BgL_ocz00_2021 = 
BGl_get64zd2czd2zz__sha2z00(BgL_statez00_2009); 
BgL_odz00_2022 = 
BGl_get64zd2dzd2zz__sha2z00(BgL_statez00_2009); 
BgL_oez00_2023 = 
BGl_get64zd2ezd2zz__sha2z00(BgL_statez00_2009); 
BgL_ofz00_2024 = 
BGl_get64zd2fzd2zz__sha2z00(BgL_statez00_2009); 
BgL_ogz00_2025 = 
BGl_get64zd2gzd2zz__sha2z00(BgL_statez00_2009); 
BgL_ohz00_2026 = 
BGl_get64zd2hzd2zz__sha2z00(BgL_statez00_2009); 
{ /* Unsafe/sha2.scm 915 */
 uint64_t BgL_arg1661z00_2028;
BgL_arg1661z00_2028 = 
(BgL_oaz00_2019+BgL_az00_2010); 
BGL_U64VSET(BgL_statez00_2009, 0L, BgL_arg1661z00_2028); BUNSPEC; } 
{ /* Unsafe/sha2.scm 916 */
 uint64_t BgL_arg1663z00_2029;
BgL_arg1663z00_2029 = 
(BgL_obz00_2020+BgL_bz00_2011); 
BGL_U64VSET(BgL_statez00_2009, 1L, BgL_arg1663z00_2029); BUNSPEC; } 
{ /* Unsafe/sha2.scm 917 */
 uint64_t BgL_arg1664z00_2030;
BgL_arg1664z00_2030 = 
(BgL_ocz00_2021+BgL_cz00_2012); 
BGL_U64VSET(BgL_statez00_2009, 2L, BgL_arg1664z00_2030); BUNSPEC; } 
{ /* Unsafe/sha2.scm 918 */
 uint64_t BgL_arg1665z00_2031;
BgL_arg1665z00_2031 = 
(BgL_odz00_2022+BgL_dz00_2013); 
BGL_U64VSET(BgL_statez00_2009, 3L, BgL_arg1665z00_2031); BUNSPEC; } 
{ /* Unsafe/sha2.scm 919 */
 uint64_t BgL_arg1666z00_2032;
BgL_arg1666z00_2032 = 
(BgL_oez00_2023+BgL_ez00_2014); 
BGL_U64VSET(BgL_statez00_2009, 4L, BgL_arg1666z00_2032); BUNSPEC; } 
{ /* Unsafe/sha2.scm 920 */
 uint64_t BgL_arg1667z00_2033;
BgL_arg1667z00_2033 = 
(BgL_ofz00_2024+BgL_fz00_2015); 
BGL_U64VSET(BgL_statez00_2009, 5L, BgL_arg1667z00_2033); BUNSPEC; } 
{ /* Unsafe/sha2.scm 921 */
 uint64_t BgL_arg1668z00_2034;
BgL_arg1668z00_2034 = 
(BgL_ogz00_2025+BgL_gz00_2016); 
BGL_U64VSET(BgL_statez00_2009, 6L, BgL_arg1668z00_2034); BUNSPEC; } 
{ /* Unsafe/sha2.scm 922 */
 uint64_t BgL_arg1670z00_2035;
BgL_arg1670z00_2035 = 
(BgL_ohz00_2026+BgL_hz00_2017); 
BGL_U64VSET(BgL_statez00_2009, 7L, BgL_arg1670z00_2035); BUNSPEC; } } 
return BgL_statez00_52;} } } } } } 

}



/* xf-ref~0 */
uint64_t BGl_xfzd2refze70z35zz__sha2z00(obj_t BgL_vz00_2005, long BgL_nz00_2006)
{
{ /* Unsafe/sha2.scm 901 */
{ /* Unsafe/sha2.scm 901 */
 long BgL_tmpz00_5399;
BgL_tmpz00_5399 = 
(BgL_nz00_2006 & 15L); 
return 
BGL_U64VREF(BgL_vz00_2005, BgL_tmpz00_5399);} } 

}



/* compress~0 */
uint64_t BGl_compressze70ze7zz__sha2z00(uint64_t BgL_ez00_1992, uint64_t BgL_fz00_1993, uint64_t BgL_gz00_1994, uint64_t BgL_hz00_1995, uint64_t BgL_wz00_1996, long BgL_jz00_1997)
{
{ /* Unsafe/sha2.scm 898 */
{ 
 uint64_t BgL_xz00_1985; uint64_t BgL_yz00_1986; uint64_t BgL_za7za7_1987;
{ /* Unsafe/sha2.scm 898 */
 uint64_t BgL_arg1652z00_1999;
{ /* Unsafe/sha2.scm 898 */
 uint64_t BgL_arg1653z00_2000; uint64_t BgL_arg1654z00_2001;
BgL_arg1653z00_2000 = 
BGl_Sigma1zd2512zd2zz__sha2z00(BgL_ez00_1992); 
{ /* Unsafe/sha2.scm 898 */
 uint64_t BgL_arg1655z00_2002; uint64_t BgL_arg1656z00_2003;
BgL_xz00_1985 = BgL_ez00_1992; 
BgL_yz00_1986 = BgL_fz00_1993; 
BgL_za7za7_1987 = BgL_gz00_1994; 
BgL_arg1655z00_2002 = 
(
(BgL_xz00_1985 & BgL_yz00_1986) ^ 
(
~(BgL_xz00_1985) & BgL_za7za7_1987)); 
{ /* Unsafe/sha2.scm 898 */
 uint64_t BgL_arg1657z00_2004;
BgL_arg1657z00_2004 = 
BGL_U64VREF(BGl_K512z00zz__sha2z00, BgL_jz00_1997); 
BgL_arg1656z00_2003 = 
(BgL_arg1657z00_2004+BgL_wz00_1996); } 
BgL_arg1654z00_2001 = 
(BgL_arg1655z00_2002+BgL_arg1656z00_2003); } 
BgL_arg1652z00_1999 = 
(BgL_arg1653z00_2000+BgL_arg1654z00_2001); } 
return 
(BgL_hz00_1995+BgL_arg1652z00_1999);} } } 

}



/* Maj~0 */
uint64_t BGl_Majze70ze7zz__sha2z00(uint64_t BgL_xz00_1977, uint64_t BgL_yz00_1978, uint64_t BgL_za7za7_1979)
{
{ /* Unsafe/sha2.scm 892 */
return 
(
(BgL_xz00_1977 & BgL_yz00_1978) ^ 
(
(BgL_xz00_1977 & BgL_za7za7_1979) ^ 
(BgL_yz00_1978 & BgL_za7za7_1979)));} 

}



/* sha512-update */
obj_t BGl_sha512zd2updatezd2zz__sha2z00(obj_t BgL_statez00_54, obj_t BgL_bufferz00_55, obj_t BgL_oz00_56, obj_t BgL_fillzd2wordz12zc0_57)
{
{ /* Unsafe/sha2.scm 955 */
{ 
 obj_t BgL_vz00_2076; long BgL_lenz00_2077; uint64_t BgL_valz00_2078; obj_t BgL_bufferz00_2061; long BgL_iz00_2062;
{ 
 long BgL_iz00_2044; long BgL_lz00_2045;
BgL_iz00_2044 = 0L; 
BgL_lz00_2045 = 0L; 
BgL_zc3z04anonymousza31671ze3z87_2046:
{ /* Unsafe/sha2.scm 975 */
 long BgL_bytesz00_2047;
BgL_bufferz00_2061 = BgL_bufferz00_55; 
BgL_iz00_2062 = BgL_iz00_2044; 
{ 
 long BgL_jz00_2065; long BgL_iz00_2066; long BgL_nz00_2067;
BgL_jz00_2065 = 0L; 
BgL_iz00_2066 = BgL_iz00_2062; 
BgL_nz00_2067 = 0L; 
BgL_zc3z04anonymousza31689ze3z87_2068:
if(
(BgL_jz00_2065<16L))
{ /* Unsafe/sha2.scm 964 */
 long BgL_arg1691z00_2070; long BgL_arg1692z00_2071; long BgL_arg1694z00_2072;
BgL_arg1691z00_2070 = 
(BgL_jz00_2065+1L); 
BgL_arg1692z00_2071 = 
(BgL_iz00_2066+8L); 
{ /* Unsafe/sha2.scm 964 */
 long BgL_b1144z00_2073;
BgL_b1144z00_2073 = 
((long(*)(obj_t, obj_t, long, obj_t, long))PROCEDURE_L_ENTRY(BgL_fillzd2wordz12zc0_57))(BgL_fillzd2wordz12zc0_57, BgL_bufferz00_2061, BgL_jz00_2065, BgL_oz00_56, BgL_iz00_2066); 
BgL_arg1694z00_2072 = 
(BgL_nz00_2067+BgL_b1144z00_2073); } 
{ 
 long BgL_nz00_5431; long BgL_iz00_5430; long BgL_jz00_5429;
BgL_jz00_5429 = BgL_arg1691z00_2070; 
BgL_iz00_5430 = BgL_arg1692z00_2071; 
BgL_nz00_5431 = BgL_arg1694z00_2072; 
BgL_nz00_2067 = BgL_nz00_5431; 
BgL_iz00_2066 = BgL_iz00_5430; 
BgL_jz00_2065 = BgL_jz00_5429; 
goto BgL_zc3z04anonymousza31689ze3z87_2068;} }  else 
{ /* Unsafe/sha2.scm 963 */
BgL_bytesz00_2047 = BgL_nz00_2067; } } 
if(
(BgL_bytesz00_2047==128L))
{ /* Unsafe/sha2.scm 977 */
BGl_sha512zd2internalzd2transformz00zz__sha2z00(BgL_statez00_54, BgL_bufferz00_55); 
{ 
 long BgL_lz00_5437; long BgL_iz00_5435;
BgL_iz00_5435 = 
(BgL_iz00_2044+128L); 
BgL_lz00_5437 = 
(BgL_lz00_2045+128L); 
BgL_lz00_2045 = BgL_lz00_5437; 
BgL_iz00_2044 = BgL_iz00_5435; 
goto BgL_zc3z04anonymousza31671ze3z87_2046;} }  else 
{ /* Unsafe/sha2.scm 977 */
if(
(
(128L-BgL_bytesz00_2047)>=8L))
{ /* Unsafe/sha2.scm 981 */
{ /* Unsafe/sha2.scm 984 */
 uint64_t BgL_ulenz00_2053;
{ /* Unsafe/sha2.scm 984 */
 long BgL_tmpz00_5442;
BgL_tmpz00_5442 = 
(8L*
(
(BgL_lz00_2045-1L)+BgL_bytesz00_2047)); 
BgL_ulenz00_2053 = 
(uint64_t)(BgL_tmpz00_5442); } 
BGL_U64VSET(BgL_bufferz00_55, 15L, BgL_ulenz00_2053); BUNSPEC; } 
return 
BGl_sha512zd2internalzd2transformz00zz__sha2z00(BgL_statez00_54, BgL_bufferz00_55);}  else 
{ /* Unsafe/sha2.scm 981 */
BGl_sha512zd2internalzd2transformz00zz__sha2z00(BgL_statez00_54, BgL_bufferz00_55); 
BgL_vz00_2076 = BgL_bufferz00_55; 
BgL_lenz00_2077 = 15L; 
BgL_valz00_2078 = (uint64_t)(0); 
{ 
 long BgL_iz00_2081;
BgL_iz00_2081 = 0L; 
BgL_zc3z04anonymousza31697ze3z87_2082:
if(
(BgL_iz00_2081<BgL_lenz00_2077))
{ /* Unsafe/sha2.scm 969 */
BGL_U64VSET(BgL_vz00_2076, BgL_iz00_2081, BgL_valz00_2078); BUNSPEC; 
{ 
 long BgL_iz00_5453;
BgL_iz00_5453 = 
(BgL_iz00_2081+1L); 
BgL_iz00_2081 = BgL_iz00_5453; 
goto BgL_zc3z04anonymousza31697ze3z87_2082;} }  else 
{ /* Unsafe/sha2.scm 969 */((bool_t)0); } } 
{ /* Unsafe/sha2.scm 991 */
 uint64_t BgL_ulenz00_2056;
{ /* Unsafe/sha2.scm 991 */
 long BgL_tmpz00_5455;
BgL_tmpz00_5455 = 
(8L*
(
(BgL_lz00_2045-1L)+BgL_bytesz00_2047)); 
BgL_ulenz00_2056 = 
(uint64_t)(BgL_tmpz00_5455); } 
BGL_U64VSET(BgL_bufferz00_55, 15L, BgL_ulenz00_2056); BUNSPEC; } 
return 
BGl_sha512zd2internalzd2transformz00zz__sha2z00(BgL_statez00_54, BgL_bufferz00_55);} } } } } } 

}



/* sha512sum-mmap */
BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2mmapzd2zz__sha2z00(obj_t BgL_mmz00_58)
{
{ /* Unsafe/sha2.scm 998 */
{ /* Unsafe/sha2.scm 1001 */
 obj_t BgL_fillzd2word64zd2mmapz12z12_3934;
{ 
 int BgL_tmpz00_5462;
BgL_tmpz00_5462 = 
(int)(1L); 
BgL_fillzd2word64zd2mmapz12z12_3934 = 
MAKE_L_PROCEDURE(BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00, BgL_tmpz00_5462); } 
PROCEDURE_L_SET(BgL_fillzd2word64zd2mmapz12z12_3934, 
(int)(0L), BgL_mmz00_58); 
{ /* Unsafe/sha2.scm 1045 */
 obj_t BgL_statez00_2090; obj_t BgL_bufferz00_2091;
BgL_statez00_2090 = 
BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00(); 
{ /* Llib/srfi4.scm 453 */

BgL_bufferz00_2091 = 
BGl_makezd2u64vectorzd2zz__srfi4z00(16L, (uint64_t)(0)); } 
BGl_sha512zd2updatezd2zz__sha2z00(BgL_statez00_2090, BgL_bufferz00_2091, BgL_mmz00_58, BgL_fillzd2word64zd2mmapz12z12_3934); 
return 
BGl_state64zd2ze3stringz31zz__sha2z00(BgL_statez00_2090);} } } 

}



/* &sha512sum-mmap */
obj_t BGl_z62sha512sumzd2mmapzb0zz__sha2z00(obj_t BgL_envz00_3935, obj_t BgL_mmz00_3936)
{
{ /* Unsafe/sha2.scm 998 */
{ /* Unsafe/sha2.scm 1001 */
 obj_t BgL_auxz00_5471;
if(
BGL_MMAPP(BgL_mmz00_3936))
{ /* Unsafe/sha2.scm 1001 */
BgL_auxz00_5471 = BgL_mmz00_3936
; }  else 
{ 
 obj_t BgL_auxz00_5474;
BgL_auxz00_5474 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2291z00zz__sha2z00, 
BINT(41684L), BGl_string2302z00zz__sha2z00, BGl_string2293z00zz__sha2z00, BgL_mmz00_3936); 
FAILURE(BgL_auxz00_5474,BFALSE,BFALSE);} 
return 
BGl_sha512sumzd2mmapzd2zz__sha2z00(BgL_auxz00_5471);} } 

}



/* &fill-word64-mmap! */
long BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00(obj_t BgL_envz00_3937, obj_t BgL_v64z00_3939, long BgL_iz00_3940, obj_t BgL_mmz00_3941, long BgL_nz00_3942)
{
{ /* Unsafe/sha2.scm 1043 */
{ /* Unsafe/sha2.scm 1004 */
 obj_t BgL_mmz00_3938;
BgL_mmz00_3938 = 
((obj_t)
PROCEDURE_L_REF(BgL_envz00_3937, 
(int)(0L))); 
{ /* Unsafe/sha2.scm 1004 */
 long BgL_lz00_4138;
{ /* Unsafe/sha2.scm 1004 */
 obj_t BgL_tmpz00_5482;
BgL_tmpz00_5482 = 
((obj_t)BgL_mmz00_3941); 
BgL_lz00_4138 = 
BGL_MMAP_LENGTH(BgL_tmpz00_5482); } 
{ /* Unsafe/sha2.scm 1006 */
 bool_t BgL_test2380z00_5485;
{ /* Unsafe/sha2.scm 1006 */
 long BgL_n2z00_4139;
BgL_n2z00_4139 = 
(long)(BgL_lz00_4138); 
BgL_test2380z00_5485 = 
(
(BgL_nz00_3942+8L)<=BgL_n2z00_4139); } 
if(BgL_test2380z00_5485)
{ /* Unsafe/sha2.scm 1007 */
 uint32_t BgL_v0z00_4140;
{ /* Unsafe/sha2.scm 1007 */
 long BgL_tmpz00_5489;
BgL_tmpz00_5489 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3938, 
((obj_t)BgL_mmz00_3941), BgL_nz00_3942); 
BgL_v0z00_4140 = 
(uint32_t)(BgL_tmpz00_5489); } 
{ /* Unsafe/sha2.scm 1007 */
 uint32_t BgL_v1z00_4141;
{ /* Unsafe/sha2.scm 1008 */
 long BgL_arg1746z00_4142;
BgL_arg1746z00_4142 = 
(BgL_nz00_3942+1L); 
{ /* Unsafe/sha2.scm 1008 */
 long BgL_tmpz00_5494;
BgL_tmpz00_5494 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3938, 
((obj_t)BgL_mmz00_3941), BgL_arg1746z00_4142); 
BgL_v1z00_4141 = 
(uint32_t)(BgL_tmpz00_5494); } } 
{ /* Unsafe/sha2.scm 1008 */
 uint32_t BgL_v2z00_4143;
{ /* Unsafe/sha2.scm 1009 */
 long BgL_arg1745z00_4144;
BgL_arg1745z00_4144 = 
(BgL_nz00_3942+2L); 
{ /* Unsafe/sha2.scm 1009 */
 long BgL_tmpz00_5499;
BgL_tmpz00_5499 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3938, 
((obj_t)BgL_mmz00_3941), BgL_arg1745z00_4144); 
BgL_v2z00_4143 = 
(uint32_t)(BgL_tmpz00_5499); } } 
{ /* Unsafe/sha2.scm 1009 */
 uint32_t BgL_v3z00_4145;
{ /* Unsafe/sha2.scm 1010 */
 long BgL_arg1742z00_4146;
BgL_arg1742z00_4146 = 
(BgL_nz00_3942+3L); 
{ /* Unsafe/sha2.scm 1010 */
 long BgL_tmpz00_5504;
BgL_tmpz00_5504 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3938, 
((obj_t)BgL_mmz00_3941), BgL_arg1742z00_4146); 
BgL_v3z00_4145 = 
(uint32_t)(BgL_tmpz00_5504); } } 
{ /* Unsafe/sha2.scm 1010 */
 uint32_t BgL_v4z00_4147;
{ /* Unsafe/sha2.scm 1011 */
 long BgL_arg1740z00_4148;
BgL_arg1740z00_4148 = 
(BgL_nz00_3942+4L); 
{ /* Unsafe/sha2.scm 1011 */
 long BgL_tmpz00_5509;
BgL_tmpz00_5509 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3938, 
((obj_t)BgL_mmz00_3941), BgL_arg1740z00_4148); 
BgL_v4z00_4147 = 
(uint32_t)(BgL_tmpz00_5509); } } 
{ /* Unsafe/sha2.scm 1011 */
 uint32_t BgL_v5z00_4149;
{ /* Unsafe/sha2.scm 1012 */
 long BgL_arg1739z00_4150;
BgL_arg1739z00_4150 = 
(BgL_nz00_3942+5L); 
{ /* Unsafe/sha2.scm 1012 */
 long BgL_tmpz00_5514;
BgL_tmpz00_5514 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3938, 
((obj_t)BgL_mmz00_3941), BgL_arg1739z00_4150); 
BgL_v5z00_4149 = 
(uint32_t)(BgL_tmpz00_5514); } } 
{ /* Unsafe/sha2.scm 1012 */
 uint32_t BgL_v6z00_4151;
{ /* Unsafe/sha2.scm 1013 */
 long BgL_arg1738z00_4152;
BgL_arg1738z00_4152 = 
(BgL_nz00_3942+6L); 
{ /* Unsafe/sha2.scm 1013 */
 long BgL_tmpz00_5519;
BgL_tmpz00_5519 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3938, 
((obj_t)BgL_mmz00_3941), BgL_arg1738z00_4152); 
BgL_v6z00_4151 = 
(uint32_t)(BgL_tmpz00_5519); } } 
{ /* Unsafe/sha2.scm 1013 */
 uint32_t BgL_v7z00_4153;
{ /* Unsafe/sha2.scm 1014 */
 long BgL_arg1737z00_4154;
BgL_arg1737z00_4154 = 
(BgL_nz00_3942+7L); 
{ /* Unsafe/sha2.scm 1014 */
 long BgL_tmpz00_5524;
BgL_tmpz00_5524 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3938, 
((obj_t)BgL_mmz00_3941), BgL_arg1737z00_4154); 
BgL_v7z00_4153 = 
(uint32_t)(BgL_tmpz00_5524); } } 
{ /* Unsafe/sha2.scm 1014 */
 uint64_t BgL_vz00_4155;
{ /* Unsafe/sha2.scm 1015 */
 uint64_t BgL_arg1706z00_4156; uint64_t BgL_arg1707z00_4157;
{ /* Unsafe/sha2.scm 1015 */
 uint64_t BgL_arg1710z00_4158;
{ /* Unsafe/sha2.scm 1015 */
 long BgL_arg1711z00_4159;
{ /* Unsafe/sha2.scm 1015 */
 long BgL_arg1714z00_4160; long BgL_arg1715z00_4161;
{ /* Unsafe/sha2.scm 1015 */
 uint32_t BgL_tmpz00_5528;
BgL_tmpz00_5528 = 
(BgL_v0z00_4140 << 
(int)(8L)); 
BgL_arg1714z00_4160 = 
(long)(BgL_tmpz00_5528); } 
BgL_arg1715z00_4161 = 
(long)(BgL_v1z00_4141); 
BgL_arg1711z00_4159 = 
(BgL_arg1714z00_4160 | BgL_arg1715z00_4161); } 
BgL_arg1710z00_4158 = 
(uint64_t)(BgL_arg1711z00_4159); } 
BgL_arg1706z00_4156 = 
(BgL_arg1710z00_4158 << 
(int)(48L)); } 
{ /* Unsafe/sha2.scm 1015 */
 uint64_t BgL_arg1717z00_4162; uint64_t BgL_arg1719z00_4163;
{ /* Unsafe/sha2.scm 1015 */
 uint64_t BgL_arg1721z00_4164;
{ /* Unsafe/sha2.scm 1015 */
 long BgL_arg1722z00_4165;
{ /* Unsafe/sha2.scm 1015 */
 long BgL_arg1723z00_4166; long BgL_arg1724z00_4167;
{ /* Unsafe/sha2.scm 1015 */
 uint32_t BgL_tmpz00_5537;
BgL_tmpz00_5537 = 
(BgL_v2z00_4143 << 
(int)(8L)); 
BgL_arg1723z00_4166 = 
(long)(BgL_tmpz00_5537); } 
BgL_arg1724z00_4167 = 
(long)(BgL_v3z00_4145); 
BgL_arg1722z00_4165 = 
(BgL_arg1723z00_4166 | BgL_arg1724z00_4167); } 
BgL_arg1721z00_4164 = 
(uint64_t)(BgL_arg1722z00_4165); } 
BgL_arg1717z00_4162 = 
(BgL_arg1721z00_4164 << 
(int)(32L)); } 
{ /* Unsafe/sha2.scm 1016 */
 uint64_t BgL_arg1726z00_4168; uint64_t BgL_arg1727z00_4169;
{ /* Unsafe/sha2.scm 1016 */
 uint64_t BgL_arg1728z00_4170;
{ /* Unsafe/sha2.scm 1016 */
 long BgL_arg1729z00_4171;
{ /* Unsafe/sha2.scm 1016 */
 long BgL_arg1730z00_4172; long BgL_arg1731z00_4173;
{ /* Unsafe/sha2.scm 1016 */
 uint32_t BgL_tmpz00_5546;
BgL_tmpz00_5546 = 
(BgL_v4z00_4147 << 
(int)(8L)); 
BgL_arg1730z00_4172 = 
(long)(BgL_tmpz00_5546); } 
BgL_arg1731z00_4173 = 
(long)(BgL_v5z00_4149); 
BgL_arg1729z00_4171 = 
(BgL_arg1730z00_4172 | BgL_arg1731z00_4173); } 
BgL_arg1728z00_4170 = 
(uint64_t)(BgL_arg1729z00_4171); } 
BgL_arg1726z00_4168 = 
(BgL_arg1728z00_4170 << 
(int)(16L)); } 
{ /* Unsafe/sha2.scm 1016 */
 long BgL_arg1733z00_4174;
{ /* Unsafe/sha2.scm 1016 */
 long BgL_arg1734z00_4175; long BgL_arg1735z00_4176;
{ /* Unsafe/sha2.scm 1016 */
 uint32_t BgL_tmpz00_5555;
BgL_tmpz00_5555 = 
(BgL_v6z00_4151 << 
(int)(8L)); 
BgL_arg1734z00_4175 = 
(long)(BgL_tmpz00_5555); } 
BgL_arg1735z00_4176 = 
(long)(BgL_v7z00_4153); 
BgL_arg1733z00_4174 = 
(BgL_arg1734z00_4175 | BgL_arg1735z00_4176); } 
BgL_arg1727z00_4169 = 
(uint64_t)(BgL_arg1733z00_4174); } 
BgL_arg1719z00_4163 = 
(BgL_arg1726z00_4168 | BgL_arg1727z00_4169); } 
BgL_arg1707z00_4157 = 
(BgL_arg1717z00_4162 | BgL_arg1719z00_4163); } 
BgL_vz00_4155 = 
(BgL_arg1706z00_4156 | BgL_arg1707z00_4157); } 
{ /* Unsafe/sha2.scm 1015 */

BGL_U64VSET(BgL_v64z00_3939, BgL_iz00_3940, BgL_vz00_4155); BUNSPEC; 
return 8L;} } } } } } } } } }  else 
{ /* Unsafe/sha2.scm 1019 */
 bool_t BgL_test2381z00_5566;
{ /* Unsafe/sha2.scm 1019 */
 long BgL_tmpz00_5567;
{ /* Unsafe/sha2.scm 1019 */
 long BgL_za72za7_4177;
BgL_za72za7_4177 = 
(long)(BgL_lz00_4138); 
BgL_tmpz00_5567 = 
(1L+BgL_za72za7_4177); } 
BgL_test2381z00_5566 = 
(BgL_nz00_3942>=BgL_tmpz00_5567); } 
if(BgL_test2381z00_5566)
{ /* Unsafe/sha2.scm 1019 */
BGL_U64VSET(BgL_v64z00_3939, BgL_iz00_3940, (uint64_t)(0)); BUNSPEC; 
return 0L;}  else 
{ /* Unsafe/sha2.scm 1023 */
 obj_t BgL_vz00_4178; long BgL_kz00_4179;
BgL_vz00_4178 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(8L, 
(uint32_t)(0L)); 
{ /* Unsafe/sha2.scm 1024 */
 long BgL_tmpz00_5574;
{ /* Unsafe/sha2.scm 1024 */
 long BgL_za72za7_4180;
BgL_za72za7_4180 = 
(long)(BgL_lz00_4138); 
BgL_tmpz00_5574 = 
(
(BgL_nz00_3942+8L)-BgL_za72za7_4180); } 
BgL_kz00_4179 = 
(8L-BgL_tmpz00_5574); } 
{ 
 long BgL_jz00_4182;
BgL_jz00_4182 = 0L; 
BgL_loopz00_4181:
if(
(BgL_jz00_4182==BgL_kz00_4179))
{ /* Unsafe/sha2.scm 1026 */
{ /* Unsafe/sha2.scm 1028 */
 uint32_t BgL_tmpz00_5581;
BgL_tmpz00_5581 = 
(uint32_t)(128L); 
BGL_U32VSET(BgL_vz00_4178, BgL_jz00_4182, BgL_tmpz00_5581); } BUNSPEC; 
{ /* Unsafe/sha2.scm 1029 */
 uint32_t BgL_v0z00_4183;
BgL_v0z00_4183 = 
BGL_U32VREF(BgL_vz00_4178, 0L); 
{ /* Unsafe/sha2.scm 1029 */
 uint32_t BgL_v1z00_4184;
BgL_v1z00_4184 = 
BGL_U32VREF(BgL_vz00_4178, 1L); 
{ /* Unsafe/sha2.scm 1030 */
 uint32_t BgL_v2z00_4185;
BgL_v2z00_4185 = 
BGL_U32VREF(BgL_vz00_4178, 2L); 
{ /* Unsafe/sha2.scm 1031 */
 uint32_t BgL_v3z00_4186;
BgL_v3z00_4186 = 
BGL_U32VREF(BgL_vz00_4178, 3L); 
{ /* Unsafe/sha2.scm 1032 */
 uint32_t BgL_v4z00_4187;
BgL_v4z00_4187 = 
BGL_U32VREF(BgL_vz00_4178, 4L); 
{ /* Unsafe/sha2.scm 1033 */
 uint32_t BgL_v5z00_4188;
BgL_v5z00_4188 = 
BGL_U32VREF(BgL_vz00_4178, 5L); 
{ /* Unsafe/sha2.scm 1034 */
 uint32_t BgL_v6z00_4189;
BgL_v6z00_4189 = 
BGL_U32VREF(BgL_vz00_4178, 6L); 
{ /* Unsafe/sha2.scm 1035 */
 uint32_t BgL_v7z00_4190;
BgL_v7z00_4190 = 
BGL_U32VREF(BgL_vz00_4178, 7L); 
{ /* Unsafe/sha2.scm 1036 */
 uint64_t BgL_vz00_4191;
{ /* Unsafe/sha2.scm 1037 */
 uint64_t BgL_arg1751z00_4192; uint64_t BgL_arg1752z00_4193;
{ /* Unsafe/sha2.scm 1037 */
 uint64_t BgL_arg1753z00_4194;
{ /* Unsafe/sha2.scm 1037 */
 long BgL_arg1754z00_4195;
{ /* Unsafe/sha2.scm 1037 */
 long BgL_arg1755z00_4196; long BgL_arg1756z00_4197;
{ /* Unsafe/sha2.scm 1037 */
 uint32_t BgL_tmpz00_5592;
BgL_tmpz00_5592 = 
(BgL_v0z00_4183 << 
(int)(8L)); 
BgL_arg1755z00_4196 = 
(long)(BgL_tmpz00_5592); } 
BgL_arg1756z00_4197 = 
(long)(BgL_v1z00_4184); 
BgL_arg1754z00_4195 = 
(BgL_arg1755z00_4196 | BgL_arg1756z00_4197); } 
BgL_arg1753z00_4194 = 
(uint64_t)(BgL_arg1754z00_4195); } 
BgL_arg1751z00_4192 = 
(BgL_arg1753z00_4194 << 
(int)(48L)); } 
{ /* Unsafe/sha2.scm 1037 */
 uint64_t BgL_arg1758z00_4198; uint64_t BgL_arg1759z00_4199;
{ /* Unsafe/sha2.scm 1037 */
 uint64_t BgL_arg1760z00_4200;
{ /* Unsafe/sha2.scm 1037 */
 long BgL_arg1761z00_4201;
{ /* Unsafe/sha2.scm 1037 */
 long BgL_arg1762z00_4202; long BgL_arg1763z00_4203;
{ /* Unsafe/sha2.scm 1037 */
 uint32_t BgL_tmpz00_5601;
BgL_tmpz00_5601 = 
(BgL_v2z00_4185 << 
(int)(8L)); 
BgL_arg1762z00_4202 = 
(long)(BgL_tmpz00_5601); } 
BgL_arg1763z00_4203 = 
(long)(BgL_v3z00_4186); 
BgL_arg1761z00_4201 = 
(BgL_arg1762z00_4202 | BgL_arg1763z00_4203); } 
BgL_arg1760z00_4200 = 
(uint64_t)(BgL_arg1761z00_4201); } 
BgL_arg1758z00_4198 = 
(BgL_arg1760z00_4200 << 
(int)(32L)); } 
{ /* Unsafe/sha2.scm 1038 */
 uint64_t BgL_arg1765z00_4204; uint64_t BgL_arg1766z00_4205;
{ /* Unsafe/sha2.scm 1038 */
 uint64_t BgL_arg1767z00_4206;
{ /* Unsafe/sha2.scm 1038 */
 long BgL_arg1768z00_4207;
{ /* Unsafe/sha2.scm 1038 */
 long BgL_arg1769z00_4208; long BgL_arg1770z00_4209;
{ /* Unsafe/sha2.scm 1038 */
 uint32_t BgL_tmpz00_5610;
BgL_tmpz00_5610 = 
(BgL_v4z00_4187 << 
(int)(8L)); 
BgL_arg1769z00_4208 = 
(long)(BgL_tmpz00_5610); } 
BgL_arg1770z00_4209 = 
(long)(BgL_v5z00_4188); 
BgL_arg1768z00_4207 = 
(BgL_arg1769z00_4208 | BgL_arg1770z00_4209); } 
BgL_arg1767z00_4206 = 
(uint64_t)(BgL_arg1768z00_4207); } 
BgL_arg1765z00_4204 = 
(BgL_arg1767z00_4206 << 
(int)(16L)); } 
{ /* Unsafe/sha2.scm 1038 */
 long BgL_arg1772z00_4210;
{ /* Unsafe/sha2.scm 1038 */
 long BgL_arg1773z00_4211; long BgL_arg1774z00_4212;
{ /* Unsafe/sha2.scm 1038 */
 uint32_t BgL_tmpz00_5619;
BgL_tmpz00_5619 = 
(BgL_v6z00_4189 << 
(int)(8L)); 
BgL_arg1773z00_4211 = 
(long)(BgL_tmpz00_5619); } 
BgL_arg1774z00_4212 = 
(long)(BgL_v7z00_4190); 
BgL_arg1772z00_4210 = 
(BgL_arg1773z00_4211 | BgL_arg1774z00_4212); } 
BgL_arg1766z00_4205 = 
(uint64_t)(BgL_arg1772z00_4210); } 
BgL_arg1759z00_4199 = 
(BgL_arg1765z00_4204 | BgL_arg1766z00_4205); } 
BgL_arg1752z00_4193 = 
(BgL_arg1758z00_4198 | BgL_arg1759z00_4199); } 
BgL_vz00_4191 = 
(BgL_arg1751z00_4192 | BgL_arg1752z00_4193); } 
{ /* Unsafe/sha2.scm 1037 */

BGL_U64VSET(BgL_v64z00_3939, BgL_iz00_3940, BgL_vz00_4191); BUNSPEC; 
return 
(BgL_jz00_4182+1L);} } } } } } } } } } }  else 
{ /* Unsafe/sha2.scm 1026 */
{ /* Unsafe/sha2.scm 1042 */
 long BgL_arg1776z00_4213;
BgL_arg1776z00_4213 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3938, 
((obj_t)BgL_mmz00_3941), 
(BgL_nz00_3942+BgL_jz00_4182)); 
{ /* Unsafe/sha2.scm 1042 */
 uint32_t BgL_tmpz00_5634;
BgL_tmpz00_5634 = 
(uint32_t)(BgL_arg1776z00_4213); 
BGL_U32VSET(BgL_vz00_4178, BgL_jz00_4182, BgL_tmpz00_5634); } BUNSPEC; } 
{ 
 long BgL_jz00_5637;
BgL_jz00_5637 = 
(BgL_jz00_4182+1L); 
BgL_jz00_4182 = BgL_jz00_5637; 
goto BgL_loopz00_4181;} } } } } } } } } 

}



/* u32mmap-ref~0 */
long BGl_u32mmapzd2refze70z35zz__sha2z00(obj_t BgL_mmz00_3980, obj_t BgL_mmza3mmapza3_2094, long BgL_iz00_2095)
{
{ /* Unsafe/sha2.scm 1001 */
{ /* Unsafe/sha2.scm 1001 */
 unsigned char BgL_arg1701z00_2097;
{ /* Unsafe/sha2.scm 1001 */
 long BgL_tmpz00_5639;
BgL_tmpz00_5639 = 
(long)(BgL_iz00_2095); 
BgL_arg1701z00_2097 = 
BGL_MMAP_REF(BgL_mmz00_3980, BgL_tmpz00_5639); } 
return 
(BgL_arg1701z00_2097);} } 

}



/* sha512sum-string */
BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2stringzd2zz__sha2z00(obj_t BgL_strz00_59)
{
{ /* Unsafe/sha2.scm 1053 */
{ /* Unsafe/sha2.scm 1100 */
 obj_t BgL_statez00_2202; obj_t BgL_bufferz00_2203;
BgL_statez00_2202 = 
BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00(); 
{ /* Llib/srfi4.scm 453 */

BgL_bufferz00_2203 = 
BGl_makezd2u64vectorzd2zz__srfi4z00(16L, (uint64_t)(0)); } 
BGl_sha512zd2updatezd2zz__sha2z00(BgL_statez00_2202, BgL_bufferz00_2203, BgL_strz00_59, BGl_proc2303z00zz__sha2z00); 
return 
BGl_state64zd2ze3stringz31zz__sha2z00(BgL_statez00_2202);} } 

}



/* &sha512sum-string */
obj_t BGl_z62sha512sumzd2stringzb0zz__sha2z00(obj_t BgL_envz00_3944, obj_t BgL_strz00_3945)
{
{ /* Unsafe/sha2.scm 1053 */
{ /* Unsafe/sha2.scm 1056 */
 obj_t BgL_auxz00_5647;
if(
STRINGP(BgL_strz00_3945))
{ /* Unsafe/sha2.scm 1056 */
BgL_auxz00_5647 = BgL_strz00_3945
; }  else 
{ 
 obj_t BgL_auxz00_5650;
BgL_auxz00_5650 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2291z00zz__sha2z00, 
BINT(43595L), BGl_string2304z00zz__sha2z00, BGl_string2296z00zz__sha2z00, BgL_strz00_3945); 
FAILURE(BgL_auxz00_5650,BFALSE,BFALSE);} 
return 
BGl_sha512sumzd2stringzd2zz__sha2z00(BgL_auxz00_5647);} } 

}



/* &fill-word64-string! */
long BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00(obj_t BgL_envz00_3946, obj_t BgL_v64z00_3947, long BgL_iz00_3948, obj_t BgL_strz00_3949, long BgL_nz00_3950)
{
{ /* Unsafe/sha2.scm 1098 */
{ /* Unsafe/sha2.scm 1059 */
 long BgL_lz00_4218;
BgL_lz00_4218 = 
STRING_LENGTH(
((obj_t)BgL_strz00_3949)); 
if(
(
(BgL_nz00_3950+8L)<=BgL_lz00_4218))
{ /* Unsafe/sha2.scm 1062 */
 uint32_t BgL_v0z00_4219;
{ /* Unsafe/sha2.scm 1062 */
 long BgL_tmpz00_5660;
BgL_tmpz00_5660 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3949), BgL_nz00_3950); 
BgL_v0z00_4219 = 
(uint32_t)(BgL_tmpz00_5660); } 
{ /* Unsafe/sha2.scm 1062 */
 uint32_t BgL_v1z00_4220;
{ /* Unsafe/sha2.scm 1063 */
 long BgL_tmpz00_5664;
BgL_tmpz00_5664 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3949), 
(BgL_nz00_3950+1L)); 
BgL_v1z00_4220 = 
(uint32_t)(BgL_tmpz00_5664); } 
{ /* Unsafe/sha2.scm 1063 */
 uint32_t BgL_v2z00_4221;
{ /* Unsafe/sha2.scm 1064 */
 long BgL_tmpz00_5669;
BgL_tmpz00_5669 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3949), 
(BgL_nz00_3950+2L)); 
BgL_v2z00_4221 = 
(uint32_t)(BgL_tmpz00_5669); } 
{ /* Unsafe/sha2.scm 1064 */
 uint32_t BgL_v3z00_4222;
{ /* Unsafe/sha2.scm 1065 */
 long BgL_tmpz00_5674;
BgL_tmpz00_5674 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3949), 
(BgL_nz00_3950+3L)); 
BgL_v3z00_4222 = 
(uint32_t)(BgL_tmpz00_5674); } 
{ /* Unsafe/sha2.scm 1065 */
 uint32_t BgL_v4z00_4223;
{ /* Unsafe/sha2.scm 1066 */
 long BgL_tmpz00_5679;
BgL_tmpz00_5679 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3949), 
(BgL_nz00_3950+4L)); 
BgL_v4z00_4223 = 
(uint32_t)(BgL_tmpz00_5679); } 
{ /* Unsafe/sha2.scm 1066 */
 uint32_t BgL_v5z00_4224;
{ /* Unsafe/sha2.scm 1067 */
 long BgL_tmpz00_5684;
BgL_tmpz00_5684 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3949), 
(BgL_nz00_3950+5L)); 
BgL_v5z00_4224 = 
(uint32_t)(BgL_tmpz00_5684); } 
{ /* Unsafe/sha2.scm 1067 */
 uint32_t BgL_v6z00_4225;
{ /* Unsafe/sha2.scm 1068 */
 long BgL_tmpz00_5689;
BgL_tmpz00_5689 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3949), 
(BgL_nz00_3950+6L)); 
BgL_v6z00_4225 = 
(uint32_t)(BgL_tmpz00_5689); } 
{ /* Unsafe/sha2.scm 1068 */
 uint32_t BgL_v7z00_4226;
{ /* Unsafe/sha2.scm 1069 */
 long BgL_tmpz00_5694;
BgL_tmpz00_5694 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3949), 
(BgL_nz00_3950+7L)); 
BgL_v7z00_4226 = 
(uint32_t)(BgL_tmpz00_5694); } 
{ /* Unsafe/sha2.scm 1069 */
 uint64_t BgL_vz00_4227;
{ /* Unsafe/sha2.scm 1070 */
 uint64_t BgL_arg1789z00_4228; uint64_t BgL_arg1790z00_4229;
{ /* Unsafe/sha2.scm 1070 */
 uint64_t BgL_arg1791z00_4230;
{ /* Unsafe/sha2.scm 1070 */
 long BgL_arg1792z00_4231;
{ /* Unsafe/sha2.scm 1070 */
 long BgL_arg1793z00_4232; long BgL_arg1794z00_4233;
{ /* Unsafe/sha2.scm 1070 */
 uint32_t BgL_tmpz00_5699;
BgL_tmpz00_5699 = 
(BgL_v0z00_4219 << 
(int)(8L)); 
BgL_arg1793z00_4232 = 
(long)(BgL_tmpz00_5699); } 
BgL_arg1794z00_4233 = 
(long)(BgL_v1z00_4220); 
BgL_arg1792z00_4231 = 
(BgL_arg1793z00_4232 | BgL_arg1794z00_4233); } 
BgL_arg1791z00_4230 = 
(uint64_t)(BgL_arg1792z00_4231); } 
BgL_arg1789z00_4228 = 
(BgL_arg1791z00_4230 << 
(int)(48L)); } 
{ /* Unsafe/sha2.scm 1070 */
 uint64_t BgL_arg1796z00_4234; uint64_t BgL_arg1797z00_4235;
{ /* Unsafe/sha2.scm 1070 */
 uint64_t BgL_arg1798z00_4236;
{ /* Unsafe/sha2.scm 1070 */
 long BgL_arg1799z00_4237;
{ /* Unsafe/sha2.scm 1070 */
 long BgL_arg1800z00_4238; long BgL_arg1801z00_4239;
{ /* Unsafe/sha2.scm 1070 */
 uint32_t BgL_tmpz00_5708;
BgL_tmpz00_5708 = 
(BgL_v2z00_4221 << 
(int)(8L)); 
BgL_arg1800z00_4238 = 
(long)(BgL_tmpz00_5708); } 
BgL_arg1801z00_4239 = 
(long)(BgL_v3z00_4222); 
BgL_arg1799z00_4237 = 
(BgL_arg1800z00_4238 | BgL_arg1801z00_4239); } 
BgL_arg1798z00_4236 = 
(uint64_t)(BgL_arg1799z00_4237); } 
BgL_arg1796z00_4234 = 
(BgL_arg1798z00_4236 << 
(int)(32L)); } 
{ /* Unsafe/sha2.scm 1071 */
 uint64_t BgL_arg1803z00_4240; uint64_t BgL_arg1804z00_4241;
{ /* Unsafe/sha2.scm 1071 */
 uint64_t BgL_arg1805z00_4242;
{ /* Unsafe/sha2.scm 1071 */
 long BgL_arg1806z00_4243;
{ /* Unsafe/sha2.scm 1071 */
 long BgL_arg1807z00_4244; long BgL_arg1808z00_4245;
{ /* Unsafe/sha2.scm 1071 */
 uint32_t BgL_tmpz00_5717;
BgL_tmpz00_5717 = 
(BgL_v4z00_4223 << 
(int)(8L)); 
BgL_arg1807z00_4244 = 
(long)(BgL_tmpz00_5717); } 
BgL_arg1808z00_4245 = 
(long)(BgL_v5z00_4224); 
BgL_arg1806z00_4243 = 
(BgL_arg1807z00_4244 | BgL_arg1808z00_4245); } 
BgL_arg1805z00_4242 = 
(uint64_t)(BgL_arg1806z00_4243); } 
BgL_arg1803z00_4240 = 
(BgL_arg1805z00_4242 << 
(int)(16L)); } 
{ /* Unsafe/sha2.scm 1071 */
 long BgL_arg1810z00_4246;
{ /* Unsafe/sha2.scm 1071 */
 long BgL_arg1811z00_4247; long BgL_arg1812z00_4248;
{ /* Unsafe/sha2.scm 1071 */
 uint32_t BgL_tmpz00_5726;
BgL_tmpz00_5726 = 
(BgL_v6z00_4225 << 
(int)(8L)); 
BgL_arg1811z00_4247 = 
(long)(BgL_tmpz00_5726); } 
BgL_arg1812z00_4248 = 
(long)(BgL_v7z00_4226); 
BgL_arg1810z00_4246 = 
(BgL_arg1811z00_4247 | BgL_arg1812z00_4248); } 
BgL_arg1804z00_4241 = 
(uint64_t)(BgL_arg1810z00_4246); } 
BgL_arg1797z00_4235 = 
(BgL_arg1803z00_4240 | BgL_arg1804z00_4241); } 
BgL_arg1790z00_4229 = 
(BgL_arg1796z00_4234 | BgL_arg1797z00_4235); } 
BgL_vz00_4227 = 
(BgL_arg1789z00_4228 | BgL_arg1790z00_4229); } 
{ /* Unsafe/sha2.scm 1070 */

BGL_U64VSET(BgL_v64z00_3947, BgL_iz00_3948, BgL_vz00_4227); BUNSPEC; 
return 8L;} } } } } } } } } }  else 
{ /* Unsafe/sha2.scm 1061 */
if(
(BgL_nz00_3950>=
(1L+BgL_lz00_4218)))
{ /* Unsafe/sha2.scm 1074 */
{ /* Unsafe/sha2.scm 1075 */
 uint64_t BgL_tmpz00_5740;
BgL_tmpz00_5740 = 
(uint64_t)(0L); 
BGL_U64VSET(BgL_v64z00_3947, BgL_iz00_3948, BgL_tmpz00_5740); } BUNSPEC; 
return 0L;}  else 
{ /* Unsafe/sha2.scm 1078 */
 obj_t BgL_vz00_4249; long BgL_kz00_4250;
BgL_vz00_4249 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(8L, 
(uint32_t)(0L)); 
BgL_kz00_4250 = 
(8L-
(
(BgL_nz00_3950+8L)-BgL_lz00_4218)); 
{ 
 long BgL_jz00_4252;
BgL_jz00_4252 = 0L; 
BgL_loopz00_4251:
if(
(BgL_jz00_4252==BgL_kz00_4250))
{ /* Unsafe/sha2.scm 1081 */
{ /* Unsafe/sha2.scm 1083 */
 uint32_t BgL_tmpz00_5750;
BgL_tmpz00_5750 = 
(uint32_t)(128L); 
BGL_U32VSET(BgL_vz00_4249, BgL_jz00_4252, BgL_tmpz00_5750); } BUNSPEC; 
{ /* Unsafe/sha2.scm 1084 */
 uint32_t BgL_v0z00_4253;
BgL_v0z00_4253 = 
BGL_U32VREF(BgL_vz00_4249, 0L); 
{ /* Unsafe/sha2.scm 1084 */
 uint32_t BgL_v1z00_4254;
BgL_v1z00_4254 = 
BGL_U32VREF(BgL_vz00_4249, 1L); 
{ /* Unsafe/sha2.scm 1085 */
 uint32_t BgL_v2z00_4255;
BgL_v2z00_4255 = 
BGL_U32VREF(BgL_vz00_4249, 2L); 
{ /* Unsafe/sha2.scm 1086 */
 uint32_t BgL_v3z00_4256;
BgL_v3z00_4256 = 
BGL_U32VREF(BgL_vz00_4249, 3L); 
{ /* Unsafe/sha2.scm 1087 */
 uint32_t BgL_v4z00_4257;
BgL_v4z00_4257 = 
BGL_U32VREF(BgL_vz00_4249, 4L); 
{ /* Unsafe/sha2.scm 1088 */
 uint32_t BgL_v5z00_4258;
BgL_v5z00_4258 = 
BGL_U32VREF(BgL_vz00_4249, 5L); 
{ /* Unsafe/sha2.scm 1089 */
 uint32_t BgL_v6z00_4259;
BgL_v6z00_4259 = 
BGL_U32VREF(BgL_vz00_4249, 6L); 
{ /* Unsafe/sha2.scm 1090 */
 uint32_t BgL_v7z00_4260;
BgL_v7z00_4260 = 
BGL_U32VREF(BgL_vz00_4249, 7L); 
{ /* Unsafe/sha2.scm 1091 */
 uint64_t BgL_vz00_4261;
{ /* Unsafe/sha2.scm 1092 */
 uint64_t BgL_arg1825z00_4262; uint64_t BgL_arg1826z00_4263;
{ /* Unsafe/sha2.scm 1092 */
 uint64_t BgL_arg1827z00_4264;
{ /* Unsafe/sha2.scm 1092 */
 long BgL_arg1828z00_4265;
{ /* Unsafe/sha2.scm 1092 */
 long BgL_arg1830z00_4266; long BgL_arg1831z00_4267;
{ /* Unsafe/sha2.scm 1092 */
 uint32_t BgL_tmpz00_5761;
BgL_tmpz00_5761 = 
(BgL_v0z00_4253 << 
(int)(8L)); 
BgL_arg1830z00_4266 = 
(long)(BgL_tmpz00_5761); } 
BgL_arg1831z00_4267 = 
(long)(BgL_v1z00_4254); 
BgL_arg1828z00_4265 = 
(BgL_arg1830z00_4266 | BgL_arg1831z00_4267); } 
BgL_arg1827z00_4264 = 
(uint64_t)(BgL_arg1828z00_4265); } 
BgL_arg1825z00_4262 = 
(BgL_arg1827z00_4264 << 
(int)(48L)); } 
{ /* Unsafe/sha2.scm 1092 */
 uint64_t BgL_arg1834z00_4268; uint64_t BgL_arg1835z00_4269;
{ /* Unsafe/sha2.scm 1092 */
 uint64_t BgL_arg1836z00_4270;
{ /* Unsafe/sha2.scm 1092 */
 long BgL_arg1837z00_4271;
{ /* Unsafe/sha2.scm 1092 */
 long BgL_arg1838z00_4272; long BgL_arg1839z00_4273;
{ /* Unsafe/sha2.scm 1092 */
 uint32_t BgL_tmpz00_5770;
BgL_tmpz00_5770 = 
(BgL_v2z00_4255 << 
(int)(8L)); 
BgL_arg1838z00_4272 = 
(long)(BgL_tmpz00_5770); } 
BgL_arg1839z00_4273 = 
(long)(BgL_v3z00_4256); 
BgL_arg1837z00_4271 = 
(BgL_arg1838z00_4272 | BgL_arg1839z00_4273); } 
BgL_arg1836z00_4270 = 
(uint64_t)(BgL_arg1837z00_4271); } 
BgL_arg1834z00_4268 = 
(BgL_arg1836z00_4270 << 
(int)(32L)); } 
{ /* Unsafe/sha2.scm 1093 */
 uint64_t BgL_arg1841z00_4274; uint64_t BgL_arg1842z00_4275;
{ /* Unsafe/sha2.scm 1093 */
 uint64_t BgL_arg1843z00_4276;
{ /* Unsafe/sha2.scm 1093 */
 long BgL_arg1844z00_4277;
{ /* Unsafe/sha2.scm 1093 */
 long BgL_arg1845z00_4278; long BgL_arg1846z00_4279;
{ /* Unsafe/sha2.scm 1093 */
 uint32_t BgL_tmpz00_5779;
BgL_tmpz00_5779 = 
(BgL_v4z00_4257 << 
(int)(8L)); 
BgL_arg1845z00_4278 = 
(long)(BgL_tmpz00_5779); } 
BgL_arg1846z00_4279 = 
(long)(BgL_v5z00_4258); 
BgL_arg1844z00_4277 = 
(BgL_arg1845z00_4278 | BgL_arg1846z00_4279); } 
BgL_arg1843z00_4276 = 
(uint64_t)(BgL_arg1844z00_4277); } 
BgL_arg1841z00_4274 = 
(BgL_arg1843z00_4276 << 
(int)(16L)); } 
{ /* Unsafe/sha2.scm 1093 */
 long BgL_arg1848z00_4280;
{ /* Unsafe/sha2.scm 1093 */
 long BgL_arg1849z00_4281; long BgL_arg1850z00_4282;
{ /* Unsafe/sha2.scm 1093 */
 uint32_t BgL_tmpz00_5788;
BgL_tmpz00_5788 = 
(BgL_v6z00_4259 << 
(int)(8L)); 
BgL_arg1849z00_4281 = 
(long)(BgL_tmpz00_5788); } 
BgL_arg1850z00_4282 = 
(long)(BgL_v7z00_4260); 
BgL_arg1848z00_4280 = 
(BgL_arg1849z00_4281 | BgL_arg1850z00_4282); } 
BgL_arg1842z00_4275 = 
(uint64_t)(BgL_arg1848z00_4280); } 
BgL_arg1835z00_4269 = 
(BgL_arg1841z00_4274 | BgL_arg1842z00_4275); } 
BgL_arg1826z00_4263 = 
(BgL_arg1834z00_4268 | BgL_arg1835z00_4269); } 
BgL_vz00_4261 = 
(BgL_arg1825z00_4262 | BgL_arg1826z00_4263); } 
{ /* Unsafe/sha2.scm 1092 */

BGL_U64VSET(BgL_v64z00_3947, BgL_iz00_3948, BgL_vz00_4261); BUNSPEC; 
return 
(BgL_jz00_4252+1L);} } } } } } } } } } }  else 
{ /* Unsafe/sha2.scm 1081 */
{ /* Unsafe/sha2.scm 1097 */
 long BgL_arg1852z00_4283;
BgL_arg1852z00_4283 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3949), 
(BgL_nz00_3950+BgL_jz00_4252)); 
{ /* Unsafe/sha2.scm 1097 */
 uint32_t BgL_tmpz00_5803;
BgL_tmpz00_5803 = 
(uint32_t)(BgL_arg1852z00_4283); 
BGL_U32VSET(BgL_vz00_4249, BgL_jz00_4252, BgL_tmpz00_5803); } BUNSPEC; } 
{ 
 long BgL_jz00_5806;
BgL_jz00_5806 = 
(BgL_jz00_4252+1L); 
BgL_jz00_4252 = BgL_jz00_5806; 
goto BgL_loopz00_4251;} } } } } } } 

}



/* u32string-ref~0 */
long BGl_u32stringzd2refze70z35zz__sha2z00(obj_t BgL_strz00_2206, long BgL_iz00_2207)
{
{ /* Unsafe/sha2.scm 1056 */
return 
(
STRING_REF(BgL_strz00_2206, BgL_iz00_2207));} 

}



/* sha512sum-port */
BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2portzd2zz__sha2z00(obj_t BgL_pz00_60)
{
{ /* Unsafe/sha2.scm 1108 */
{ /* Unsafe/sha2.scm 1108 */
 obj_t BgL_lenz00_3962;
BgL_lenz00_3962 = 
MAKE_CELL(
BINT(0L)); 
{ /* Unsafe/sha2.scm 1110 */
 obj_t BgL_bufz00_2313;
{ /* Llib/srfi4.scm 451 */

BgL_bufz00_2313 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(8L, (uint32_t)(0)); } 
{ /* Unsafe/sha2.scm 1131 */
 obj_t BgL_fillzd2word64zd2portz12z12_3951;
{ 
 int BgL_tmpz00_5812;
BgL_tmpz00_5812 = 
(int)(2L); 
BgL_fillzd2word64zd2portz12z12_3951 = 
MAKE_L_PROCEDURE(BGl_z62fillzd2word64zd2portz12z70zz__sha2z00, BgL_tmpz00_5812); } 
PROCEDURE_L_SET(BgL_fillzd2word64zd2portz12z12_3951, 
(int)(0L), BgL_bufz00_2313); 
PROCEDURE_L_SET(BgL_fillzd2word64zd2portz12z12_3951, 
(int)(1L), 
((obj_t)BgL_lenz00_3962)); 
{ /* Unsafe/sha2.scm 1173 */
 obj_t BgL_statez00_2316; obj_t BgL_bufferz00_2317;
BgL_statez00_2316 = 
BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00(); 
{ /* Llib/srfi4.scm 453 */

BgL_bufferz00_2317 = 
BGl_makezd2u64vectorzd2zz__srfi4z00(16L, (uint64_t)(0)); } 
BGl_sha512zd2updatezd2zz__sha2z00(BgL_statez00_2316, BgL_bufferz00_2317, BgL_pz00_60, BgL_fillzd2word64zd2portz12z12_3951); 
return 
BGl_state64zd2ze3stringz31zz__sha2z00(BgL_statez00_2316);} } } } } 

}



/* &sha512sum-port */
obj_t BGl_z62sha512sumzd2portzb0zz__sha2z00(obj_t BgL_envz00_3952, obj_t BgL_pz00_3953)
{
{ /* Unsafe/sha2.scm 1108 */
{ /* Unsafe/sha2.scm 1108 */
 obj_t BgL_auxz00_5824;
if(
INPUT_PORTP(BgL_pz00_3953))
{ /* Unsafe/sha2.scm 1108 */
BgL_auxz00_5824 = BgL_pz00_3953
; }  else 
{ 
 obj_t BgL_auxz00_5827;
BgL_auxz00_5827 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2291z00zz__sha2z00, 
BINT(45445L), BGl_string2305z00zz__sha2z00, BGl_string2298z00zz__sha2z00, BgL_pz00_3953); 
FAILURE(BgL_auxz00_5827,BFALSE,BFALSE);} 
return 
BGl_sha512sumzd2portzd2zz__sha2z00(BgL_auxz00_5824);} } 

}



/* &fill-word64-port! */
long BGl_z62fillzd2word64zd2portz12z70zz__sha2z00(obj_t BgL_envz00_3954, obj_t BgL_v64z00_3957, long BgL_iz00_3958, obj_t BgL_pz00_3959, long BgL_nz00_3960)
{
{ /* Unsafe/sha2.scm 1171 */
{ /* Unsafe/sha2.scm 1131 */
 obj_t BgL_bufz00_3955; obj_t BgL_lenz00_3956;
BgL_bufz00_3955 = 
((obj_t)
PROCEDURE_L_REF(BgL_envz00_3954, 
(int)(0L))); 
BgL_lenz00_3956 = 
PROCEDURE_L_REF(BgL_envz00_3954, 
(int)(1L)); 
{ 
 obj_t BgL_pz00_4289;
{ /* Unsafe/sha2.scm 1131 */
 long BgL_lz00_4296;
BgL_pz00_4289 = 
((obj_t)BgL_pz00_3959); 
{ 
 long BgL_iz00_4291;
BgL_iz00_4291 = 0L; 
BgL_loopz00_4290:
if(
(BgL_iz00_4291==4L))
{ /* Unsafe/sha2.scm 1116 */
BgL_lz00_4296 = BgL_iz00_4291; }  else 
{ /* Unsafe/sha2.scm 1118 */
 obj_t BgL_cz00_4292;
BgL_cz00_4292 = 
BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_pz00_4289); 
if(
EOF_OBJECTP(BgL_cz00_4292))
{ 
 long BgL_jz00_4294;
BgL_jz00_4294 = BgL_iz00_4291; 
BgL_liipz00_4293:
if(
(BgL_jz00_4294==4L))
{ /* Unsafe/sha2.scm 1121 */
BgL_lz00_4296 = BgL_iz00_4291; }  else 
{ /* Unsafe/sha2.scm 1121 */
{ /* Unsafe/sha2.scm 1124 */
 uint32_t BgL_tmpz00_5844;
BgL_tmpz00_5844 = 
(uint32_t)(0L); 
BGL_U32VSET(BgL_bufz00_3955, BgL_jz00_4294, BgL_tmpz00_5844); } BUNSPEC; 
{ 
 long BgL_jz00_5847;
BgL_jz00_5847 = 
(BgL_jz00_4294+1L); 
BgL_jz00_4294 = BgL_jz00_5847; 
goto BgL_liipz00_4293;} } }  else 
{ /* Unsafe/sha2.scm 1119 */
{ /* Unsafe/sha2.scm 1127 */
 uint32_t BgL_arg1934z00_4295;
{ /* Unsafe/sha2.scm 1127 */
 char BgL_tmpz00_5849;
BgL_tmpz00_5849 = 
(signed char)CINT(BgL_cz00_4292); 
BgL_arg1934z00_4295 = 
(uint32_t)(BgL_tmpz00_5849); } 
BGL_U32VSET(BgL_bufz00_3955, BgL_iz00_4291, BgL_arg1934z00_4295); BUNSPEC; } 
{ 
 long BgL_iz00_5853;
BgL_iz00_5853 = 
(BgL_iz00_4291+1L); 
BgL_iz00_4291 = BgL_iz00_5853; 
goto BgL_loopz00_4290;} } } } 
{ /* Unsafe/sha2.scm 1132 */
 obj_t BgL_auxz00_4297;
BgL_auxz00_4297 = 
ADDFX(
CELL_REF(BgL_lenz00_3956), 
BINT(BgL_lz00_4296)); 
CELL_SET(BgL_lenz00_3956, BgL_auxz00_4297); } 
if(
(
(BgL_nz00_3960+8L)<=BgL_lz00_4296))
{ /* Unsafe/sha2.scm 1135 */
 uint32_t BgL_v0z00_4298;
BgL_v0z00_4298 = 
BGL_U32VREF(BgL_bufz00_3955, 0L); 
{ /* Unsafe/sha2.scm 1135 */
 uint32_t BgL_v1z00_4299;
BgL_v1z00_4299 = 
BGL_U32VREF(BgL_bufz00_3955, 1L); 
{ /* Unsafe/sha2.scm 1136 */
 uint32_t BgL_v2z00_4300;
BgL_v2z00_4300 = 
BGL_U32VREF(BgL_bufz00_3955, 2L); 
{ /* Unsafe/sha2.scm 1137 */
 uint32_t BgL_v3z00_4301;
BgL_v3z00_4301 = 
BGL_U32VREF(BgL_bufz00_3955, 3L); 
{ /* Unsafe/sha2.scm 1138 */
 uint32_t BgL_v4z00_4302;
BgL_v4z00_4302 = 
BGL_U32VREF(BgL_bufz00_3955, 4L); 
{ /* Unsafe/sha2.scm 1139 */
 uint32_t BgL_v5z00_4303;
BgL_v5z00_4303 = 
BGL_U32VREF(BgL_bufz00_3955, 5L); 
{ /* Unsafe/sha2.scm 1140 */
 uint32_t BgL_v6z00_4304;
BgL_v6z00_4304 = 
BGL_U32VREF(BgL_bufz00_3955, 6L); 
{ /* Unsafe/sha2.scm 1141 */
 uint32_t BgL_v7z00_4305;
BgL_v7z00_4305 = 
BGL_U32VREF(BgL_bufz00_3955, 7L); 
{ /* Unsafe/sha2.scm 1142 */
 uint64_t BgL_vz00_4306;
{ /* Unsafe/sha2.scm 1143 */
 uint64_t BgL_arg1863z00_4307; uint64_t BgL_arg1864z00_4308;
{ /* Unsafe/sha2.scm 1143 */
 uint64_t BgL_arg1865z00_4309;
{ /* Unsafe/sha2.scm 1143 */
 long BgL_arg1866z00_4310;
{ /* Unsafe/sha2.scm 1143 */
 long BgL_arg1867z00_4311; long BgL_arg1868z00_4312;
{ /* Unsafe/sha2.scm 1143 */
 uint32_t BgL_tmpz00_5869;
BgL_tmpz00_5869 = 
(BgL_v0z00_4298 << 
(int)(8L)); 
BgL_arg1867z00_4311 = 
(long)(BgL_tmpz00_5869); } 
BgL_arg1868z00_4312 = 
(long)(BgL_v1z00_4299); 
BgL_arg1866z00_4310 = 
(BgL_arg1867z00_4311 | BgL_arg1868z00_4312); } 
BgL_arg1865z00_4309 = 
(uint64_t)(BgL_arg1866z00_4310); } 
BgL_arg1863z00_4307 = 
(BgL_arg1865z00_4309 << 
(int)(48L)); } 
{ /* Unsafe/sha2.scm 1143 */
 uint64_t BgL_arg1870z00_4313; uint64_t BgL_arg1871z00_4314;
{ /* Unsafe/sha2.scm 1143 */
 uint64_t BgL_arg1872z00_4315;
{ /* Unsafe/sha2.scm 1143 */
 long BgL_arg1873z00_4316;
{ /* Unsafe/sha2.scm 1143 */
 long BgL_arg1874z00_4317; long BgL_arg1875z00_4318;
{ /* Unsafe/sha2.scm 1143 */
 uint32_t BgL_tmpz00_5878;
BgL_tmpz00_5878 = 
(BgL_v2z00_4300 << 
(int)(8L)); 
BgL_arg1874z00_4317 = 
(long)(BgL_tmpz00_5878); } 
BgL_arg1875z00_4318 = 
(long)(BgL_v3z00_4301); 
BgL_arg1873z00_4316 = 
(BgL_arg1874z00_4317 | BgL_arg1875z00_4318); } 
BgL_arg1872z00_4315 = 
(uint64_t)(BgL_arg1873z00_4316); } 
BgL_arg1870z00_4313 = 
(BgL_arg1872z00_4315 << 
(int)(32L)); } 
{ /* Unsafe/sha2.scm 1144 */
 uint64_t BgL_arg1877z00_4319; uint64_t BgL_arg1878z00_4320;
{ /* Unsafe/sha2.scm 1144 */
 uint64_t BgL_arg1879z00_4321;
{ /* Unsafe/sha2.scm 1144 */
 long BgL_arg1881z00_4322;
{ /* Unsafe/sha2.scm 1144 */
 long BgL_arg1882z00_4323; long BgL_arg1884z00_4324;
{ /* Unsafe/sha2.scm 1144 */
 uint32_t BgL_tmpz00_5887;
BgL_tmpz00_5887 = 
(BgL_v4z00_4302 << 
(int)(8L)); 
BgL_arg1882z00_4323 = 
(long)(BgL_tmpz00_5887); } 
BgL_arg1884z00_4324 = 
(long)(BgL_v5z00_4303); 
BgL_arg1881z00_4322 = 
(BgL_arg1882z00_4323 | BgL_arg1884z00_4324); } 
BgL_arg1879z00_4321 = 
(uint64_t)(BgL_arg1881z00_4322); } 
BgL_arg1877z00_4319 = 
(BgL_arg1879z00_4321 << 
(int)(16L)); } 
{ /* Unsafe/sha2.scm 1144 */
 long BgL_arg1886z00_4325;
{ /* Unsafe/sha2.scm 1144 */
 long BgL_arg1887z00_4326; long BgL_arg1888z00_4327;
{ /* Unsafe/sha2.scm 1144 */
 uint32_t BgL_tmpz00_5896;
BgL_tmpz00_5896 = 
(BgL_v6z00_4304 << 
(int)(8L)); 
BgL_arg1887z00_4326 = 
(long)(BgL_tmpz00_5896); } 
BgL_arg1888z00_4327 = 
(long)(BgL_v7z00_4305); 
BgL_arg1886z00_4325 = 
(BgL_arg1887z00_4326 | BgL_arg1888z00_4327); } 
BgL_arg1878z00_4320 = 
(uint64_t)(BgL_arg1886z00_4325); } 
BgL_arg1871z00_4314 = 
(BgL_arg1877z00_4319 | BgL_arg1878z00_4320); } 
BgL_arg1864z00_4308 = 
(BgL_arg1870z00_4313 | BgL_arg1871z00_4314); } 
BgL_vz00_4306 = 
(BgL_arg1863z00_4307 | BgL_arg1864z00_4308); } 
{ /* Unsafe/sha2.scm 1143 */

BGL_U64VSET(BgL_v64z00_3957, BgL_iz00_3958, BgL_vz00_4306); BUNSPEC; 
return 8L;} } } } } } } } } }  else 
{ /* Unsafe/sha2.scm 1134 */
if(
(BgL_nz00_3960>=
(1L+BgL_lz00_4296)))
{ /* Unsafe/sha2.scm 1147 */
{ /* Unsafe/sha2.scm 1148 */
 uint64_t BgL_tmpz00_5910;
BgL_tmpz00_5910 = 
(uint64_t)(0L); 
BGL_U64VSET(BgL_v64z00_3957, BgL_iz00_3958, BgL_tmpz00_5910); } BUNSPEC; 
return 0L;}  else 
{ /* Unsafe/sha2.scm 1151 */
 obj_t BgL_vz00_4328; long BgL_kz00_4329;
BgL_vz00_4328 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(8L, 
(uint32_t)(0L)); 
BgL_kz00_4329 = 
(8L-
(
(BgL_nz00_3960+8L)-BgL_lz00_4296)); 
{ 
 long BgL_jz00_4331;
BgL_jz00_4331 = 0L; 
BgL_loopz00_4330:
if(
(BgL_jz00_4331==BgL_kz00_4329))
{ /* Unsafe/sha2.scm 1154 */
{ /* Unsafe/sha2.scm 1156 */
 uint32_t BgL_tmpz00_5920;
BgL_tmpz00_5920 = 
(uint32_t)(128L); 
BGL_U32VSET(BgL_vz00_4328, BgL_jz00_4331, BgL_tmpz00_5920); } BUNSPEC; 
{ /* Unsafe/sha2.scm 1157 */
 uint32_t BgL_v0z00_4332;
BgL_v0z00_4332 = 
BGL_U32VREF(BgL_vz00_4328, 0L); 
{ /* Unsafe/sha2.scm 1157 */
 uint32_t BgL_v1z00_4333;
BgL_v1z00_4333 = 
BGL_U32VREF(BgL_vz00_4328, 1L); 
{ /* Unsafe/sha2.scm 1158 */
 uint32_t BgL_v2z00_4334;
BgL_v2z00_4334 = 
BGL_U32VREF(BgL_vz00_4328, 2L); 
{ /* Unsafe/sha2.scm 1159 */
 uint32_t BgL_v3z00_4335;
BgL_v3z00_4335 = 
BGL_U32VREF(BgL_vz00_4328, 3L); 
{ /* Unsafe/sha2.scm 1160 */
 uint32_t BgL_v4z00_4336;
BgL_v4z00_4336 = 
BGL_U32VREF(BgL_vz00_4328, 4L); 
{ /* Unsafe/sha2.scm 1161 */
 uint32_t BgL_v5z00_4337;
BgL_v5z00_4337 = 
BGL_U32VREF(BgL_vz00_4328, 5L); 
{ /* Unsafe/sha2.scm 1162 */
 uint32_t BgL_v6z00_4338;
BgL_v6z00_4338 = 
BGL_U32VREF(BgL_vz00_4328, 6L); 
{ /* Unsafe/sha2.scm 1163 */
 uint32_t BgL_v7z00_4339;
BgL_v7z00_4339 = 
BGL_U32VREF(BgL_vz00_4328, 7L); 
{ /* Unsafe/sha2.scm 1164 */
 uint64_t BgL_vz00_4340;
{ /* Unsafe/sha2.scm 1165 */
 uint64_t BgL_arg1894z00_4341; uint64_t BgL_arg1895z00_4342;
{ /* Unsafe/sha2.scm 1165 */
 uint64_t BgL_arg1896z00_4343;
{ /* Unsafe/sha2.scm 1165 */
 long BgL_arg1897z00_4344;
{ /* Unsafe/sha2.scm 1165 */
 long BgL_arg1898z00_4345; long BgL_arg1899z00_4346;
{ /* Unsafe/sha2.scm 1165 */
 uint32_t BgL_tmpz00_5931;
BgL_tmpz00_5931 = 
(BgL_v0z00_4332 << 
(int)(8L)); 
BgL_arg1898z00_4345 = 
(long)(BgL_tmpz00_5931); } 
BgL_arg1899z00_4346 = 
(long)(BgL_v1z00_4333); 
BgL_arg1897z00_4344 = 
(BgL_arg1898z00_4345 | BgL_arg1899z00_4346); } 
BgL_arg1896z00_4343 = 
(uint64_t)(BgL_arg1897z00_4344); } 
BgL_arg1894z00_4341 = 
(BgL_arg1896z00_4343 << 
(int)(48L)); } 
{ /* Unsafe/sha2.scm 1165 */
 uint64_t BgL_arg1901z00_4347; uint64_t BgL_arg1902z00_4348;
{ /* Unsafe/sha2.scm 1165 */
 uint64_t BgL_arg1903z00_4349;
{ /* Unsafe/sha2.scm 1165 */
 long BgL_arg1904z00_4350;
{ /* Unsafe/sha2.scm 1165 */
 long BgL_arg1905z00_4351; long BgL_arg1906z00_4352;
{ /* Unsafe/sha2.scm 1165 */
 uint32_t BgL_tmpz00_5940;
BgL_tmpz00_5940 = 
(BgL_v2z00_4334 << 
(int)(8L)); 
BgL_arg1905z00_4351 = 
(long)(BgL_tmpz00_5940); } 
BgL_arg1906z00_4352 = 
(long)(BgL_v3z00_4335); 
BgL_arg1904z00_4350 = 
(BgL_arg1905z00_4351 | BgL_arg1906z00_4352); } 
BgL_arg1903z00_4349 = 
(uint64_t)(BgL_arg1904z00_4350); } 
BgL_arg1901z00_4347 = 
(BgL_arg1903z00_4349 << 
(int)(32L)); } 
{ /* Unsafe/sha2.scm 1166 */
 uint64_t BgL_arg1908z00_4353; uint64_t BgL_arg1909z00_4354;
{ /* Unsafe/sha2.scm 1166 */
 uint64_t BgL_arg1910z00_4355;
{ /* Unsafe/sha2.scm 1166 */
 long BgL_arg1911z00_4356;
{ /* Unsafe/sha2.scm 1166 */
 long BgL_arg1912z00_4357; long BgL_arg1913z00_4358;
{ /* Unsafe/sha2.scm 1166 */
 uint32_t BgL_tmpz00_5949;
BgL_tmpz00_5949 = 
(BgL_v4z00_4336 << 
(int)(8L)); 
BgL_arg1912z00_4357 = 
(long)(BgL_tmpz00_5949); } 
BgL_arg1913z00_4358 = 
(long)(BgL_v5z00_4337); 
BgL_arg1911z00_4356 = 
(BgL_arg1912z00_4357 | BgL_arg1913z00_4358); } 
BgL_arg1910z00_4355 = 
(uint64_t)(BgL_arg1911z00_4356); } 
BgL_arg1908z00_4353 = 
(BgL_arg1910z00_4355 << 
(int)(16L)); } 
{ /* Unsafe/sha2.scm 1166 */
 long BgL_arg1915z00_4359;
{ /* Unsafe/sha2.scm 1166 */
 long BgL_arg1916z00_4360; long BgL_arg1917z00_4361;
{ /* Unsafe/sha2.scm 1166 */
 uint32_t BgL_tmpz00_5958;
BgL_tmpz00_5958 = 
(BgL_v6z00_4338 << 
(int)(8L)); 
BgL_arg1916z00_4360 = 
(long)(BgL_tmpz00_5958); } 
BgL_arg1917z00_4361 = 
(long)(BgL_v7z00_4339); 
BgL_arg1915z00_4359 = 
(BgL_arg1916z00_4360 | BgL_arg1917z00_4361); } 
BgL_arg1909z00_4354 = 
(uint64_t)(BgL_arg1915z00_4359); } 
BgL_arg1902z00_4348 = 
(BgL_arg1908z00_4353 | BgL_arg1909z00_4354); } 
BgL_arg1895z00_4342 = 
(BgL_arg1901z00_4347 | BgL_arg1902z00_4348); } 
BgL_vz00_4340 = 
(BgL_arg1894z00_4341 | BgL_arg1895z00_4342); } 
{ /* Unsafe/sha2.scm 1165 */

BGL_U64VSET(BgL_v64z00_3957, BgL_iz00_3958, BgL_vz00_4340); BUNSPEC; 
return 
(BgL_jz00_4331+1L);} } } } } } } } } } }  else 
{ /* Unsafe/sha2.scm 1154 */
{ /* Unsafe/sha2.scm 1170 */
 uint32_t BgL_arg1919z00_4362;
BgL_arg1919z00_4362 = 
BGL_U32VREF(BgL_bufz00_3955, BgL_jz00_4331); 
BGL_U32VSET(BgL_vz00_4328, BgL_jz00_4331, BgL_arg1919z00_4362); BUNSPEC; } 
{ 
 long BgL_jz00_5972;
BgL_jz00_5972 = 
(BgL_jz00_4331+1L); 
BgL_jz00_4331 = BgL_jz00_5972; 
goto BgL_loopz00_4330;} } } } } } } } } 

}



/* sha512sum-file */
BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2filezd2zz__sha2z00(obj_t BgL_fnamez00_61)
{
{ /* Unsafe/sha2.scm 1181 */
{ /* Unsafe/sha2.scm 1182 */
 obj_t BgL_mmz00_2432;
BgL_mmz00_2432 = 
BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_61, BTRUE, BFALSE); 
if(
BGL_MMAPP(BgL_mmz00_2432))
{ /* Unsafe/sha2.scm 1184 */
 obj_t BgL_exitd1088z00_2434;
BgL_exitd1088z00_2434 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Unsafe/sha2.scm 1186 */
 obj_t BgL_zc3z04anonymousza31937ze3z87_3964;
BgL_zc3z04anonymousza31937ze3z87_3964 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31937ze3ze5zz__sha2z00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31937ze3z87_3964, 
(int)(0L), BgL_mmz00_2432); 
{ /* Unsafe/sha2.scm 1184 */
 obj_t BgL_arg2264z00_3659;
{ /* Unsafe/sha2.scm 1184 */
 obj_t BgL_arg2265z00_3660;
BgL_arg2265z00_3660 = 
BGL_EXITD_PROTECT(BgL_exitd1088z00_2434); 
BgL_arg2264z00_3659 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31937ze3z87_3964, BgL_arg2265z00_3660); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1088z00_2434, BgL_arg2264z00_3659); BUNSPEC; } 
{ /* Unsafe/sha2.scm 1185 */
 obj_t BgL_tmp1090z00_2436;
BgL_tmp1090z00_2436 = 
BGl_sha512sumzd2mmapzd2zz__sha2z00(BgL_mmz00_2432); 
{ /* Unsafe/sha2.scm 1184 */
 bool_t BgL_test2395z00_5987;
{ /* Unsafe/sha2.scm 1184 */
 obj_t BgL_arg2263z00_3662;
BgL_arg2263z00_3662 = 
BGL_EXITD_PROTECT(BgL_exitd1088z00_2434); 
BgL_test2395z00_5987 = 
PAIRP(BgL_arg2263z00_3662); } 
if(BgL_test2395z00_5987)
{ /* Unsafe/sha2.scm 1184 */
 obj_t BgL_arg2261z00_3663;
{ /* Unsafe/sha2.scm 1184 */
 obj_t BgL_arg2262z00_3664;
BgL_arg2262z00_3664 = 
BGL_EXITD_PROTECT(BgL_exitd1088z00_2434); 
BgL_arg2261z00_3663 = 
CDR(
((obj_t)BgL_arg2262z00_3664)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1088z00_2434, BgL_arg2261z00_3663); BUNSPEC; }  else 
{ /* Unsafe/sha2.scm 1184 */BFALSE; } } 
BGl_z62zc3z04anonymousza31937ze3ze5zz__sha2z00(BgL_zc3z04anonymousza31937ze3z87_3964); 
return BgL_tmp1090z00_2436;} } }  else 
{ /* Unsafe/sha2.scm 1187 */
 obj_t BgL_pz00_2439;
{ /* Ieee/port.scm 460 */

BgL_pz00_2439 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_fnamez00_61, BTRUE, 
BINT(5000000L)); } 
{ /* Unsafe/sha2.scm 1188 */
 obj_t BgL_exitd1092z00_2440;
BgL_exitd1092z00_2440 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Unsafe/sha2.scm 1190 */
 obj_t BgL_zc3z04anonymousza31938ze3z87_3965;
BgL_zc3z04anonymousza31938ze3z87_3965 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31938ze3ze5zz__sha2z00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31938ze3z87_3965, 
(int)(0L), BgL_pz00_2439); 
{ /* Unsafe/sha2.scm 1188 */
 obj_t BgL_arg2264z00_3667;
{ /* Unsafe/sha2.scm 1188 */
 obj_t BgL_arg2265z00_3668;
BgL_arg2265z00_3668 = 
BGL_EXITD_PROTECT(BgL_exitd1092z00_2440); 
BgL_arg2264z00_3667 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31938ze3z87_3965, BgL_arg2265z00_3668); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1092z00_2440, BgL_arg2264z00_3667); BUNSPEC; } 
{ /* Unsafe/sha2.scm 1189 */
 obj_t BgL_tmp1094z00_2442;
BgL_tmp1094z00_2442 = 
BGl_sha512sumzd2portzd2zz__sha2z00(BgL_pz00_2439); 
{ /* Unsafe/sha2.scm 1188 */
 bool_t BgL_test2396z00_6007;
{ /* Unsafe/sha2.scm 1188 */
 obj_t BgL_arg2263z00_3670;
BgL_arg2263z00_3670 = 
BGL_EXITD_PROTECT(BgL_exitd1092z00_2440); 
BgL_test2396z00_6007 = 
PAIRP(BgL_arg2263z00_3670); } 
if(BgL_test2396z00_6007)
{ /* Unsafe/sha2.scm 1188 */
 obj_t BgL_arg2261z00_3671;
{ /* Unsafe/sha2.scm 1188 */
 obj_t BgL_arg2262z00_3672;
BgL_arg2262z00_3672 = 
BGL_EXITD_PROTECT(BgL_exitd1092z00_2440); 
BgL_arg2261z00_3671 = 
CDR(
((obj_t)BgL_arg2262z00_3672)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1092z00_2440, BgL_arg2261z00_3671); BUNSPEC; }  else 
{ /* Unsafe/sha2.scm 1188 */BFALSE; } } 
BGl_z62zc3z04anonymousza31938ze3ze5zz__sha2z00(BgL_zc3z04anonymousza31938ze3z87_3965); 
return BgL_tmp1094z00_2442;} } } } } } 

}



/* &sha512sum-file */
obj_t BGl_z62sha512sumzd2filezb0zz__sha2z00(obj_t BgL_envz00_3966, obj_t BgL_fnamez00_3967)
{
{ /* Unsafe/sha2.scm 1181 */
{ /* Unsafe/sha2.scm 1182 */
 obj_t BgL_auxz00_6015;
if(
STRINGP(BgL_fnamez00_3967))
{ /* Unsafe/sha2.scm 1182 */
BgL_auxz00_6015 = BgL_fnamez00_3967
; }  else 
{ 
 obj_t BgL_auxz00_6018;
BgL_auxz00_6018 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2291z00zz__sha2z00, 
BINT(47709L), BGl_string2306z00zz__sha2z00, BGl_string2296z00zz__sha2z00, BgL_fnamez00_3967); 
FAILURE(BgL_auxz00_6018,BFALSE,BFALSE);} 
return 
BGl_sha512sumzd2filezd2zz__sha2z00(BgL_auxz00_6015);} } 

}



/* &<@anonymous:1937> */
obj_t BGl_z62zc3z04anonymousza31937ze3ze5zz__sha2z00(obj_t BgL_envz00_3968)
{
{ /* Unsafe/sha2.scm 1184 */
{ /* Unsafe/sha2.scm 1186 */
 obj_t BgL_mmz00_3969;
BgL_mmz00_3969 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_3968, 
(int)(0L))); 
return 
bgl_close_mmap(BgL_mmz00_3969);} } 

}



/* &<@anonymous:1938> */
obj_t BGl_z62zc3z04anonymousza31938ze3ze5zz__sha2z00(obj_t BgL_envz00_3970)
{
{ /* Unsafe/sha2.scm 1188 */
{ /* Unsafe/sha2.scm 1190 */
 obj_t BgL_pz00_3971;
BgL_pz00_3971 = 
PROCEDURE_REF(BgL_envz00_3970, 
(int)(0L)); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_3971));} } 

}



/* sha512sum */
BGL_EXPORTED_DEF obj_t BGl_sha512sumz00zz__sha2z00(obj_t BgL_objz00_62)
{
{ /* Unsafe/sha2.scm 1195 */
if(
BGL_MMAPP(BgL_objz00_62))
{ /* Unsafe/sha2.scm 1197 */
return 
BGl_sha512sumzd2mmapzd2zz__sha2z00(BgL_objz00_62);}  else 
{ /* Unsafe/sha2.scm 1197 */
if(
STRINGP(BgL_objz00_62))
{ /* Unsafe/sha2.scm 1199 */
return 
BGl_sha512sumzd2stringzd2zz__sha2z00(BgL_objz00_62);}  else 
{ /* Unsafe/sha2.scm 1199 */
if(
INPUT_PORTP(BgL_objz00_62))
{ /* Unsafe/sha2.scm 1201 */
return 
BGl_sha512sumzd2portzd2zz__sha2z00(BgL_objz00_62);}  else 
{ /* Unsafe/sha2.scm 1201 */
return 
BGl_errorz00zz__errorz00(BGl_string2307z00zz__sha2z00, BGl_string2301z00zz__sha2z00, BgL_objz00_62);} } } } 

}



/* &sha512sum */
obj_t BGl_z62sha512sumz62zz__sha2z00(obj_t BgL_envz00_3972, obj_t BgL_objz00_3973)
{
{ /* Unsafe/sha2.scm 1195 */
return 
BGl_sha512sumz00zz__sha2z00(BgL_objz00_3973);} 

}



/* hmac-sha256sum-string */
BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00(obj_t BgL_keyz00_63, obj_t BgL_msgz00_64)
{
{ /* Unsafe/sha2.scm 1209 */
return 
BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_63, BgL_msgz00_64, BGl_sha256sumzd2stringzd2envz00zz__sha2z00);} 

}



/* &hmac-sha256sum-string */
obj_t BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00(obj_t BgL_envz00_3974, obj_t BgL_keyz00_3975, obj_t BgL_msgz00_3976)
{
{ /* Unsafe/sha2.scm 1209 */
{ /* Unsafe/sha2.scm 1210 */
 obj_t BgL_auxz00_6050; obj_t BgL_auxz00_6043;
if(
STRINGP(BgL_msgz00_3976))
{ /* Unsafe/sha2.scm 1210 */
BgL_auxz00_6050 = BgL_msgz00_3976
; }  else 
{ 
 obj_t BgL_auxz00_6053;
BgL_auxz00_6053 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2291z00zz__sha2z00, 
BINT(48688L), BGl_string2308z00zz__sha2z00, BGl_string2296z00zz__sha2z00, BgL_msgz00_3976); 
FAILURE(BgL_auxz00_6053,BFALSE,BFALSE);} 
if(
STRINGP(BgL_keyz00_3975))
{ /* Unsafe/sha2.scm 1210 */
BgL_auxz00_6043 = BgL_keyz00_3975
; }  else 
{ 
 obj_t BgL_auxz00_6046;
BgL_auxz00_6046 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2291z00zz__sha2z00, 
BINT(48688L), BGl_string2308z00zz__sha2z00, BGl_string2296z00zz__sha2z00, BgL_keyz00_3975); 
FAILURE(BgL_auxz00_6046,BFALSE,BFALSE);} 
return 
BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00(BgL_auxz00_6043, BgL_auxz00_6050);} } 

}



/* hmac-sha512sum-string */
BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00(obj_t BgL_keyz00_65, obj_t BgL_msgz00_66)
{
{ /* Unsafe/sha2.scm 1215 */
return 
BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_65, BgL_msgz00_66, BGl_sha512sumzd2stringzd2envz00zz__sha2z00);} 

}



/* &hmac-sha512sum-string */
obj_t BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00(obj_t BgL_envz00_3977, obj_t BgL_keyz00_3978, obj_t BgL_msgz00_3979)
{
{ /* Unsafe/sha2.scm 1215 */
{ /* Unsafe/sha2.scm 1216 */
 obj_t BgL_auxz00_6066; obj_t BgL_auxz00_6059;
if(
STRINGP(BgL_msgz00_3979))
{ /* Unsafe/sha2.scm 1216 */
BgL_auxz00_6066 = BgL_msgz00_3979
; }  else 
{ 
 obj_t BgL_auxz00_6069;
BgL_auxz00_6069 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2291z00zz__sha2z00, 
BINT(48994L), BGl_string2309z00zz__sha2z00, BGl_string2296z00zz__sha2z00, BgL_msgz00_3979); 
FAILURE(BgL_auxz00_6069,BFALSE,BFALSE);} 
if(
STRINGP(BgL_keyz00_3978))
{ /* Unsafe/sha2.scm 1216 */
BgL_auxz00_6059 = BgL_keyz00_3978
; }  else 
{ 
 obj_t BgL_auxz00_6062;
BgL_auxz00_6062 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2291z00zz__sha2z00, 
BINT(48994L), BGl_string2309z00zz__sha2z00, BGl_string2296z00zz__sha2z00, BgL_keyz00_3978); 
FAILURE(BgL_auxz00_6062,BFALSE,BFALSE);} 
return 
BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00(BgL_auxz00_6059, BgL_auxz00_6066);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__sha2z00(void)
{
{ /* Unsafe/sha2.scm 50 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__sha2z00(void)
{
{ /* Unsafe/sha2.scm 50 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__sha2z00(void)
{
{ /* Unsafe/sha2.scm 50 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__sha2z00(void)
{
{ /* Unsafe/sha2.scm 50 */
BGl_modulezd2initializa7ationz75zz__paramz00(453939141L, 
BSTRING_TO_STRING(BGl_string2310z00zz__sha2z00)); 
BGl_modulezd2initializa7ationz75zz__hmacz00(285132844L, 
BSTRING_TO_STRING(BGl_string2310z00zz__sha2z00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L, 
BSTRING_TO_STRING(BGl_string2310z00zz__sha2z00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L, 
BSTRING_TO_STRING(BGl_string2310z00zz__sha2z00)); 
return 
BGl_modulezd2initializa7ationz75zz__srfi4z00(467924964L, 
BSTRING_TO_STRING(BGl_string2310z00zz__sha2z00));} 

}

#ifdef __cplusplus
}
#endif
